/**
 * The current status of the test suite.
 *
 * See README.Mozilla for details on how to generate this.
 */
const knownFailures = {
  "value": {
    "A-Proposed-FS:18px_TEXT-1_SI-dM": true,
    "A-Proposed-FS:18px_TEXT-1_SI-body": true,
    "A-Proposed-FS:18px_TEXT-1_SI-div": true,
    "A-Proposed-FS:large_TEXT-1_SI-dM": true,
    "A-Proposed-FS:large_TEXT-1_SI-body": true,
    "A-Proposed-FS:large_TEXT-1_SI-div": true,
    "A-Proposed-CB:name_TEXT-1_SI-dM": true,
    "A-Proposed-CB:name_TEXT-1_SI-body": true,
    "A-Proposed-CB:name_TEXT-1_SI-div": true,
    "AC-Proposed-SUB_TEXT-1_SI-dM": true,
    "AC-Proposed-SUB_TEXT-1_SI-body": true,
    "AC-Proposed-SUB_TEXT-1_SI-div": true,
    "AC-Proposed-SUP_TEXT-1_SI-dM": true,
    "AC-Proposed-SUP_TEXT-1_SI-body": true,
    "AC-Proposed-SUP_TEXT-1_SI-div": true,
    "AC-Proposed-FS:2_TEXT-1_SI-dM": true,
    "AC-Proposed-FS:2_TEXT-1_SI-body": true,
    "AC-Proposed-FS:2_TEXT-1_SI-div": true,
    "AC-Proposed-FS:18px_TEXT-1_SI-dM": true,
    "AC-Proposed-FS:18px_TEXT-1_SI-body": true,
    "AC-Proposed-FS:18px_TEXT-1_SI-div": true,
    "AC-Proposed-FS:large_TEXT-1_SI-dM": true,
    "AC-Proposed-FS:large_TEXT-1_SI-body": true,
    "AC-Proposed-FS:large_TEXT-1_SI-div": true,
    "C-Proposed-BC:ace_FONT.ass.s:bc:rgb-1_SW-dM": true,
    "C-Proposed-BC:ace_FONT.ass.s:bc:rgb-1_SW-body": true,
    "C-Proposed-BC:ace_FONT.ass.s:bc:rgb-1_SW-div": true,
    "C-Proposed-HC:g_SPAN.ass.s:c:rgb-1_SW-dM": true,
    "C-Proposed-HC:g_SPAN.ass.s:c:rgb-1_SW-body": true,
    "C-Proposed-HC:g_SPAN.ass.s:c:rgb-1_SW-div": true,
    "C-Proposed-FN:c_FONTf:a-1_SI-dM": true,
    "C-Proposed-FN:c_FONTf:a-1_SI-body": true,
    "C-Proposed-FN:c_FONTf:a-1_SI-div": true,
    "C-Proposed-FN:c_FONTf:a-2_SL-dM": true,
    "C-Proposed-FN:c_FONTf:a-2_SL-body": true,
    "C-Proposed-FN:c_FONTf:a-2_SL-div": true,
    "C-Proposed-FS:1_SPAN.ass.s:fs:large-1_SW-dM": true,
    "C-Proposed-FS:1_SPAN.ass.s:fs:large-1_SW-body": true,
    "C-Proposed-FS:1_SPAN.ass.s:fs:large-1_SW-div": true,
    "C-Proposed-FS:5_FONTsz:1.s:fs:xs-1_SW-dM": true,
    "C-Proposed-FS:5_FONTsz:1.s:fs:xs-1_SW-body": true,
    "C-Proposed-FS:5_FONTsz:1.s:fs:xs-1_SW-div": true,
    "C-Proposed-FS:larger_FONTsz:4-dM": true,
    "C-Proposed-FS:larger_FONTsz:4-body": true,
    "C-Proposed-FS:larger_FONTsz:4-div": true,
    "C-Proposed-FS:smaller_FONTsz:4-dM": true,
    "C-Proposed-FS:smaller_FONTsz:4-body": true,
    "C-Proposed-FS:smaller_FONTsz:4-div": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SO-dM": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SO-body": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SO-div": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SW-dM": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SW-body": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SW-div": true,
    "C-Proposed-FB:h1_ADDRESS-FONT.ass.sz:4-1_SW-dM": true,
    "C-Proposed-FB:h1_ADDRESS-FONT.ass.sz:4-1_SW-body": true,
    "C-Proposed-FB:h1_ADDRESS-FONT.ass.sz:4-1_SW-div": true,
    "CC-Proposed-I_B-1_SW-dM": true,
    "CC-Proposed-I_B-1_SW-body": true,
    "CC-Proposed-I_B-1_SW-div": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-1_SI-dM": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-1_SI-body": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-1_SI-div": true,
    "CC-Proposed-BC:gray_P-SPANs:bc:b-3_SL-dM": true,
    "CC-Proposed-BC:gray_P-SPANs:bc:b-3_SL-body": true,
    "CC-Proposed-BC:gray_P-SPANs:bc:b-3_SL-div": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SL-dM": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SL-body": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SL-div": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SR-dM": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SR-body": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SR-div": true,
    "CC-Proposed-FN:c_FONTf:a-1_SI-dM": true,
    "CC-Proposed-FN:c_FONTf:a-1_SI-body": true,
    "CC-Proposed-FN:c_FONTf:a-1_SI-div": true,
    "CC-Proposed-FN:c_FONTf:a-2_SL-dM": true,
    "CC-Proposed-FN:c_FONTf:a-2_SL-body": true,
    "CC-Proposed-FN:c_FONTf:a-2_SL-div": true,
    "CC-Proposed-FS:1_SPANs:fs:l-1_SW-dM": true,
    "CC-Proposed-FS:1_SPANs:fs:l-1_SW-body": true,
    "CC-Proposed-FS:1_SPANs:fs:l-1_SW-div": true,
    "CC-Proposed-FS:18px_SPANs:fs:l-1_SW-dM": true,
    "CC-Proposed-FS:18px_SPANs:fs:l-1_SW-body": true,
    "CC-Proposed-FS:18px_SPANs:fs:l-1_SW-div": true,
    "CC-Proposed-FS:4_SPANs:fs:l-1_SW-dM": true,
    "CC-Proposed-FS:4_SPANs:fs:l-1_SW-body": true,
    "CC-Proposed-FS:4_SPANs:fs:l-1_SW-div": true,
    "CC-Proposed-FS:4_SPANs:fs:18px-1_SW-dM": true,
    "CC-Proposed-FS:4_SPANs:fs:18px-1_SW-body": true,
    "CC-Proposed-FS:4_SPANs:fs:18px-1_SW-div": true,
    "CC-Proposed-FS:larger_SPANs:fs:l-1_SI-dM": true,
    "CC-Proposed-FS:larger_SPANs:fs:l-1_SI-body": true,
    "CC-Proposed-FS:larger_SPANs:fs:l-1_SI-div": true,
    "CC-Proposed-FS:smaller_SPANs:fs:l-1_SI-dM": true,
    "CC-Proposed-FS:smaller_SPANs:fs:l-1_SI-body": true,
    "CC-Proposed-FS:smaller_SPANs:fs:l-1_SI-div": true,
    "U-RFC-UNLINK_A-1_SO-dM": true,
    "U-RFC-UNLINK_A-1_SO-body": true,
    "U-RFC-UNLINK_A-1_SO-div": true,
    "U-RFC-UNLINK_A-1_SW-dM": true,
    "U-RFC-UNLINK_A-1_SW-body": true,
    "U-RFC-UNLINK_A-1_SW-div": true,
    "U-RFC-UNLINK_A-2_SO-dM": true,
    "U-RFC-UNLINK_A-2_SO-body": true,
    "U-RFC-UNLINK_A-2_SO-div": true,
    "U-RFC-UNLINK_A2-1_SO-dM": true,
    "U-RFC-UNLINK_A2-1_SO-body": true,
    "U-RFC-UNLINK_A2-1_SO-div": true,
    "U-Proposed-B_B-P-I..P-1_SO-I-dM": true,
    "U-Proposed-B_B-P-I..P-1_SO-I-body": true,
    "U-Proposed-B_B-P-I..P-1_SO-I-div": true,
    "U-Proposed-B_B-2_SL-dM": true,
    "U-Proposed-B_B-2_SL-body": true,
    "U-Proposed-B_B-2_SL-div": true,
    "U-Proposed-B_B-2_SR-dM": true,
    "U-Proposed-B_B-2_SR-body": true,
    "U-Proposed-B_B-2_SR-div": true,
    "U-Proposed-U_U-S-2_SI-dM": true,
    "U-Proposed-U_U-S-2_SI-body": true,
    "U-Proposed-U_U-S-2_SI-div": true,
    "U-Proposed-S_DEL-1_SW-dM": true,
    "U-Proposed-S_DEL-1_SW-body": true,
    "U-Proposed-S_DEL-1_SW-div": true,
    "U-Proposed-SUB_SPANs:va:sub-1_SW-dM": true,
    "U-Proposed-SUB_SPANs:va:sub-1_SW-body": true,
    "U-Proposed-SUB_SPANs:va:sub-1_SW-div": true,
    "U-Proposed-SUP_SPANs:va:super-1_SW-dM": true,
    "U-Proposed-SUP_SPANs:va:super-1_SW-body": true,
    "U-Proposed-SUP_SPANs:va:super-1_SW-div": true,
    "U-Proposed-UNLINK_A-1_SC-dM": true,
    "U-Proposed-UNLINK_A-1_SC-body": true,
    "U-Proposed-UNLINK_A-1_SC-div": true,
    "U-Proposed-UNLINK_A-1_SI-dM": true,
    "U-Proposed-UNLINK_A-1_SI-body": true,
    "U-Proposed-UNLINK_A-1_SI-div": true,
    "U-Proposed-UNLINK_A-2_SL-dM": true,
    "U-Proposed-UNLINK_A-2_SL-body": true,
    "U-Proposed-UNLINK_A-2_SL-div": true,
    "U-Proposed-UNLINK_A-3_SR-dM": true,
    "U-Proposed-UNLINK_A-3_SR-body": true,
    "U-Proposed-UNLINK_A-3_SR-div": true,
    "U-Proposed-OUTDENT_BQ-1_SW-dM": true,
    "U-Proposed-OUTDENT_BQ-1_SW-body": true,
    "U-Proposed-OUTDENT_BQ-1_SW-div": true,
    "U-Proposed-OUTDENT_BQ.wibq.s:m:00040.b:n.p:0-1_SW-dM": true,
    "U-Proposed-OUTDENT_BQ.wibq.s:m:00040.b:n.p:0-1_SW-body": true,
    "U-Proposed-OUTDENT_BQ.wibq.s:m:00040.b:n.p:0-1_SW-div": true,
    "U-Proposed-OUTDENT_OL-LI-1_SW-dM": true,
    "U-Proposed-OUTDENT_OL-LI-1_SW-body": true,
    "U-Proposed-OUTDENT_OL-LI-1_SW-div": true,
    "U-Proposed-OUTDENT_UL-LI-1_SW-dM": true,
    "U-Proposed-OUTDENT_UL-LI-1_SW-body": true,
    "U-Proposed-OUTDENT_UL-LI-1_SW-div": true,
    "U-Proposed-OUTDENT_DIV-1_SW-dM": true,
    "U-Proposed-OUTDENT_DIV-1_SW-body": true,
    "U-Proposed-OUTDENT_DIV-1_SW-div": true,
    "U-Proposed-REMOVEFORMAT_Ahref:url-1_SW-dM": true,
    "U-Proposed-REMOVEFORMAT_Ahref:url-1_SW-body": true,
    "U-Proposed-REMOVEFORMAT_Ahref:url-1_SW-div": true,
    "U-Proposed-REMOVEFORMAT_TABLE-TBODY-TR-TD-1_SW-dM": true,
    "U-Proposed-REMOVEFORMAT_TABLE-TBODY-TR-TD-1_SW-body": true,
    "U-Proposed-REMOVEFORMAT_TABLE-TBODY-TR-TD-1_SW-div": true,
    "U-Proposed-UNBOOKMARK_An:name-1_SW-dM": true,
    "U-Proposed-UNBOOKMARK_An:name-1_SW-body": true,
    "U-Proposed-UNBOOKMARK_An:name-1_SW-div": true,
    "UC-Proposed-S_SPANc:s-1_SW-dM": true,
    "UC-Proposed-S_SPANc:s-1_SW-body": true,
    "UC-Proposed-S_SPANc:s-1_SW-div": true,
    "UC-Proposed-S_SPANc:s-2_SI-dM": true,
    "UC-Proposed-S_SPANc:s-2_SI-body": true,
    "UC-Proposed-S_SPANc:s-2_SI-div": true,
    "D-Proposed-CHAR-3_SC-dM": true,
    "D-Proposed-CHAR-3_SC-body": true,
    "D-Proposed-CHAR-3_SC-div": true,
    "D-Proposed-CHAR-4_SC-dM": true,
    "D-Proposed-CHAR-4_SC-body": true,
    "D-Proposed-CHAR-4_SC-div": true,
    "D-Proposed-CHAR-5_SC-dM": true,
    "D-Proposed-CHAR-5_SC-body": true,
    "D-Proposed-CHAR-5_SC-div": true,
    "D-Proposed-CHAR-5_SI-1-dM": true,
    "D-Proposed-CHAR-5_SI-1-body": true,
    "D-Proposed-CHAR-5_SI-1-div": true,
    "D-Proposed-CHAR-5_SI-2-dM": true,
    "D-Proposed-CHAR-5_SI-2-body": true,
    "D-Proposed-CHAR-5_SI-2-div": true,
    "D-Proposed-CHAR-5_SR-dM": true,
    "D-Proposed-CHAR-5_SR-body": true,
    "D-Proposed-CHAR-5_SR-div": true,
    "D-Proposed-CHAR-6_SC-dM": true,
    "D-Proposed-CHAR-6_SC-body": true,
    "D-Proposed-CHAR-6_SC-div": true,
    "D-Proposed-CHAR-7_SC-dM": true,
    "D-Proposed-CHAR-7_SC-body": true,
    "D-Proposed-CHAR-7_SC-div": true,
    "D-Proposed-OL-LI-1_SW-dM": true,
    "D-Proposed-OL-LI-1_SW-body": true,
    "D-Proposed-OL-LI-1_SW-div": true,
    "D-Proposed-TR2rs:2-1_SO1-dM": true,
    "D-Proposed-TR2rs:2-1_SO1-body": true,
    "D-Proposed-TR2rs:2-1_SO1-div": true,
    "D-Proposed-TR2rs:2-1_SO2-dM": true,
    "D-Proposed-TR2rs:2-1_SO2-body": true,
    "D-Proposed-TR2rs:2-1_SO2-div": true,
    "D-Proposed-TR3rs:3-1_SO1-dM": true,
    "D-Proposed-TR3rs:3-1_SO1-body": true,
    "D-Proposed-TR3rs:3-1_SO1-div": true,
    "D-Proposed-TR3rs:3-1_SO2-dM": true,
    "D-Proposed-TR3rs:3-1_SO2-body": true,
    "D-Proposed-TR3rs:3-1_SO2-div": true,
    "D-Proposed-TR3rs:3-1_SO3-dM": true,
    "D-Proposed-TR3rs:3-1_SO3-body": true,
    "D-Proposed-TR3rs:3-1_SO3-div": true,
    "D-Proposed-DIV:ce:false-1_SB-dM": true,
    "D-Proposed-DIV:ce:false-1_SB-body": true,
    "D-Proposed-DIV:ce:false-1_SB-div": true,
    "D-Proposed-DIV:ce:false-1_SL-dM": true,
    "D-Proposed-DIV:ce:false-1_SL-body": true,
    "D-Proposed-DIV:ce:false-1_SL-div": true,
    "D-Proposed-DIV:ce:false-1_SR-dM": true,
    "D-Proposed-DIV:ce:false-1_SR-body": true,
    "D-Proposed-DIV:ce:false-1_SR-div": true,
    "D-Proposed-DIV:ce:false-1_SI-dM": true,
    "FD-Proposed-OL-LI-1_SW-dM": true,
    "FD-Proposed-OL-LI-1_SW-body": true,
    "FD-Proposed-OL-LI-1_SW-div": true,
    "FD-Proposed-TR2rs:2-1_SO1-dM": true,
    "FD-Proposed-TR2rs:2-1_SO1-body": true,
    "FD-Proposed-TR2rs:2-1_SO1-div": true,
    "FD-Proposed-TR2rs:2-1_SO2-dM": true,
    "FD-Proposed-TR2rs:2-1_SO2-body": true,
    "FD-Proposed-TR2rs:2-1_SO2-div": true,
    "FD-Proposed-TR3rs:3-1_SO1-dM": true,
    "FD-Proposed-TR3rs:3-1_SO1-body": true,
    "FD-Proposed-TR3rs:3-1_SO1-div": true,
    "FD-Proposed-TR3rs:3-1_SO2-dM": true,
    "FD-Proposed-TR3rs:3-1_SO2-body": true,
    "FD-Proposed-TR3rs:3-1_SO2-div": true,
    "FD-Proposed-TR3rs:3-1_SO3-dM": true,
    "FD-Proposed-TR3rs:3-1_SO3-body": true,
    "FD-Proposed-TR3rs:3-1_SO3-div": true,
    "FD-Proposed-DIV:ce:false-1_SB-dM": true,
    "FD-Proposed-DIV:ce:false-1_SB-body": true,
    "FD-Proposed-DIV:ce:false-1_SB-div": true,
    "FD-Proposed-DIV:ce:false-1_SL-dM": true,
    "FD-Proposed-DIV:ce:false-1_SL-body": true,
    "FD-Proposed-DIV:ce:false-1_SL-div": true,
    "FD-Proposed-DIV:ce:false-1_SR-dM": true,
    "FD-Proposed-DIV:ce:false-1_SR-body": true,
    "FD-Proposed-DIV:ce:false-1_SR-div": true,
    "FD-Proposed-DIV:ce:false-1_SI-dM": true,
    "I-Proposed-IP_P-1_SC-dM": true,
    "I-Proposed-IP_P-1_SC-body": true,
    "I-Proposed-IP_P-1_SC-div": true,
    "I-Proposed-IP_UL-LI-1_SC-dM": true,
    "I-Proposed-IP_UL-LI-1_SC-body": true,
    "I-Proposed-IP_UL-LI-1_SC-div": true,
    "I-Proposed-IBR_TEXT-1_SC-dM": true,
    "I-Proposed-IBR_TEXT-1_SC-body": true,
    "I-Proposed-IBR_TEXT-1_SC-div": true,
    "I-Proposed-IBR_TEXT-1_SI-dM": true,
    "I-Proposed-IBR_TEXT-1_SI-body": true,
    "I-Proposed-IBR_TEXT-1_SI-div": true,
    "I-Proposed-IBR_LI-1_SC-dM": true,
    "I-Proposed-IBR_LI-1_SC-body": true,
    "I-Proposed-IBR_LI-1_SC-div": true,
    "I-Proposed-IIMG:._SPAN-IMG-1_SO-dM": true,
    "I-Proposed-IIMG:._SPAN-IMG-1_SO-body": true,
    "I-Proposed-IIMG:._SPAN-IMG-1_SO-div": true,
    "I-Proposed-IIMG:._IMG-1_SO-dM": true,
    "I-Proposed-IIMG:._IMG-1_SO-body": true,
    "I-Proposed-IIMG:._IMG-1_SO-div": true,
    "Q-Proposed-UNSELECT_TEXT-1-dM": true,
    "Q-Proposed-UNSELECT_TEXT-1-body": true,
    "Q-Proposed-UNSELECT_TEXT-1-div": true,
    "Q-Proposed-INSERTLINEBREAK_TEXT-1-dM": true,
    "Q-Proposed-INSERTLINEBREAK_TEXT-1-body": true,
    "Q-Proposed-INSERTLINEBREAK_TEXT-1-div": true,
    "Q-Proposed-CREATEBOOKMARK_TEXT-1-dM": true,
    "Q-Proposed-CREATEBOOKMARK_TEXT-1-body": true,
    "Q-Proposed-CREATEBOOKMARK_TEXT-1-div": true,
    "Q-Proposed-UNBOOKMARK_TEXT-1-dM": true,
    "Q-Proposed-UNBOOKMARK_TEXT-1-body": true,
    "Q-Proposed-UNBOOKMARK_TEXT-1-div": true,
    "QE-Proposed-UNSELECT_TEXT-1-dM": true,
    "QE-Proposed-UNSELECT_TEXT-1-body": true,
    "QE-Proposed-UNSELECT_TEXT-1-div": true,
    "QE-Proposed-REDO_TEXT-1-dM": true,
    "QE-Proposed-REDO_TEXT-1-body": true,
    "QE-Proposed-REDO_TEXT-1-div": true,
    "QE-Proposed-INSERTLINEBREAK_TEXT-1-dM": true,
    "QE-Proposed-INSERTLINEBREAK_TEXT-1-body": true,
    "QE-Proposed-INSERTLINEBREAK_TEXT-1-div": true,
    "QE-Proposed-CREATEBOOKMARK_TEXT-1-dM": true,
    "QE-Proposed-CREATEBOOKMARK_TEXT-1-body": true,
    "QE-Proposed-CREATEBOOKMARK_TEXT-1-div": true,
    "QE-Proposed-UNBOOKMARK_TEXT-1-dM": true,
    "QE-Proposed-UNBOOKMARK_TEXT-1-body": true,
    "QE-Proposed-UNBOOKMARK_TEXT-1-div": true,
    "QE-Proposed-COPY_TEXT-1-dM": true,
    "QE-Proposed-COPY_TEXT-1-body": true,
    "QE-Proposed-COPY_TEXT-1-div": true,
    "QE-Proposed-CUT_TEXT-1-dM": true,
    "QE-Proposed-CUT_TEXT-1-body": true,
    "QE-Proposed-CUT_TEXT-1-div": true,
    "QE-Proposed-PASTE_TEXT-1-dM": true,
    "QE-Proposed-PASTE_TEXT-1-body": true,
    "QE-Proposed-PASTE_TEXT-1-div": true,
    "QS-Proposed-SUB_SPAN.sub-1-SI-dM": true,
    "QS-Proposed-SUB_SPAN.sub-1-SI-body": true,
    "QS-Proposed-SUB_SPAN.sub-1-SI-div": true,
    "QS-Proposed-SUB_MYSUB-1-SI-dM": true,
    "QS-Proposed-SUB_MYSUB-1-SI-body": true,
    "QS-Proposed-SUB_MYSUB-1-SI-div": true,
    "QS-Proposed-SUP_SPAN.sup-1-SI-dM": true,
    "QS-Proposed-SUP_SPAN.sup-1-SI-body": true,
    "QS-Proposed-SUP_SPAN.sup-1-SI-div": true,
    "QS-Proposed-SUP_MYSUP-1-SI-dM": true,
    "QS-Proposed-SUP_MYSUP-1-SI-body": true,
    "QS-Proposed-SUP_MYSUP-1-SI-div": true,
    "QS-Proposed-JC_SPANs:ta:c-1_SI-dM": true,
    "QS-Proposed-JC_SPANs:ta:c-1_SI-body": true,
    "QS-Proposed-JC_SPANs:ta:c-1_SI-div": true,
    "QS-Proposed-JC_SPAN.jc-1-SI-dM": true,
    "QS-Proposed-JC_SPAN.jc-1-SI-body": true,
    "QS-Proposed-JC_SPAN.jc-1-SI-div": true,
    "QS-Proposed-JC_MYJC-1-SI-dM": true,
    "QS-Proposed-JC_MYJC-1-SI-body": true,
    "QS-Proposed-JC_MYJC-1-SI-div": true,
    "QS-Proposed-JF_SPANs:ta:j-1_SI-dM": true,
    "QS-Proposed-JF_SPANs:ta:j-1_SI-body": true,
    "QS-Proposed-JF_SPANs:ta:j-1_SI-div": true,
    "QS-Proposed-JF_SPAN.jf-1-SI-dM": true,
    "QS-Proposed-JF_SPAN.jf-1-SI-body": true,
    "QS-Proposed-JF_SPAN.jf-1-SI-div": true,
    "QS-Proposed-JF_MYJF-1-SI-dM": true,
    "QS-Proposed-JF_MYJF-1-SI-body": true,
    "QS-Proposed-JF_MYJF-1-SI-div": true,
    "QS-Proposed-JL_TEXT_SI-dM": true,
    "QS-Proposed-JL_TEXT_SI-body": true,
    "QS-Proposed-JL_TEXT_SI-div": true,
    "QS-Proposed-JR_SPANs:ta:r-1_SI-dM": true,
    "QS-Proposed-JR_SPANs:ta:r-1_SI-body": true,
    "QS-Proposed-JR_SPANs:ta:r-1_SI-div": true,
    "QS-Proposed-JR_SPAN.jr-1-SI-dM": true,
    "QS-Proposed-JR_SPAN.jr-1-SI-body": true,
    "QS-Proposed-JR_SPAN.jr-1-SI-div": true,
    "QS-Proposed-JR_MYJR-1-SI-dM": true,
    "QS-Proposed-JR_MYJR-1-SI-body": true,
    "QS-Proposed-JR_MYJR-1-SI-div": true,
    "QV-Proposed-B_TEXT_SI-dM": true,
    "QV-Proposed-B_TEXT_SI-body": true,
    "QV-Proposed-B_TEXT_SI-div": true,
    "QV-Proposed-B_B-1_SI-dM": true,
    "QV-Proposed-B_B-1_SI-body": true,
    "QV-Proposed-B_B-1_SI-div": true,
    "QV-Proposed-B_STRONG-1_SI-dM": true,
    "QV-Proposed-B_STRONG-1_SI-body": true,
    "QV-Proposed-B_STRONG-1_SI-div": true,
    "QV-Proposed-B_SPANs:fw:b-1_SI-dM": true,
    "QV-Proposed-B_SPANs:fw:b-1_SI-body": true,
    "QV-Proposed-B_SPANs:fw:b-1_SI-div": true,
    "QV-Proposed-B_SPANs:fw:n-1_SI-dM": true,
    "QV-Proposed-B_SPANs:fw:n-1_SI-body": true,
    "QV-Proposed-B_SPANs:fw:n-1_SI-div": true,
    "QV-Proposed-B_Bs:fw:n-1_SI-dM": true,
    "QV-Proposed-B_Bs:fw:n-1_SI-body": true,
    "QV-Proposed-B_Bs:fw:n-1_SI-div": true,
    "QV-Proposed-B_SPAN.b-1_SI-dM": true,
    "QV-Proposed-B_SPAN.b-1_SI-body": true,
    "QV-Proposed-B_SPAN.b-1_SI-div": true,
    "QV-Proposed-B_MYB-1-SI-dM": true,
    "QV-Proposed-B_MYB-1-SI-body": true,
    "QV-Proposed-B_MYB-1-SI-div": true,
    "QV-Proposed-I_TEXT_SI-dM": true,
    "QV-Proposed-I_TEXT_SI-body": true,
    "QV-Proposed-I_TEXT_SI-div": true,
    "QV-Proposed-I_I-1_SI-dM": true,
    "QV-Proposed-I_I-1_SI-body": true,
    "QV-Proposed-I_I-1_SI-div": true,
    "QV-Proposed-I_EM-1_SI-dM": true,
    "QV-Proposed-I_EM-1_SI-body": true,
    "QV-Proposed-I_EM-1_SI-div": true,
    "QV-Proposed-I_SPANs:fs:i-1_SI-dM": true,
    "QV-Proposed-I_SPANs:fs:i-1_SI-body": true,
    "QV-Proposed-I_SPANs:fs:i-1_SI-div": true,
    "QV-Proposed-I_SPANs:fs:n-1_SI-dM": true,
    "QV-Proposed-I_SPANs:fs:n-1_SI-body": true,
    "QV-Proposed-I_SPANs:fs:n-1_SI-div": true,
    "QV-Proposed-I_I-SPANs:fs:n-1_SI-dM": true,
    "QV-Proposed-I_I-SPANs:fs:n-1_SI-body": true,
    "QV-Proposed-I_I-SPANs:fs:n-1_SI-div": true,
    "QV-Proposed-I_SPAN.i-1_SI-dM": true,
    "QV-Proposed-I_SPAN.i-1_SI-body": true,
    "QV-Proposed-I_SPAN.i-1_SI-div": true,
    "QV-Proposed-I_MYI-1-SI-dM": true,
    "QV-Proposed-I_MYI-1-SI-body": true,
    "QV-Proposed-I_MYI-1-SI-div": true,
    "QV-Proposed-FB_BQ-1_SC-dM": true,
    "QV-Proposed-FB_BQ-1_SC-body": true,
    "QV-Proposed-FB_BQ-1_SC-div": true,
    "QV-Proposed-FB_H1-H2-1_SL-dM": true,
    "QV-Proposed-FB_H1-H2-1_SL-body": true,
    "QV-Proposed-FB_H1-H2-1_SL-div": true,
    "QV-Proposed-FB_H1-H2-1_SR-dM": true,
    "QV-Proposed-FB_H1-H2-1_SR-body": true,
    "QV-Proposed-FB_H1-H2-1_SR-div": true,
    "QV-Proposed-FB_TEXT-ADDRESS-1_SL-dM": true,
    "QV-Proposed-FB_TEXT-ADDRESS-1_SL-body": true,
    "QV-Proposed-FB_TEXT-ADDRESS-1_SL-div": true,
    "QV-Proposed-FB_H1-H2.TEXT.H2-1_SM-dM": true,
    "QV-Proposed-FB_H1-H2.TEXT.H2-1_SM-body": true,
    "QV-Proposed-FB_H1-H2.TEXT.H2-1_SM-div": true,
    "QV-Proposed-H_P-1_SC-dM": true,
    "QV-Proposed-H_P-1_SC-body": true,
    "QV-Proposed-H_P-1_SC-div": true,
    "QV-Proposed-FS_FONTs:fs:l-1_SI-dM": true,
    "QV-Proposed-FS_FONTs:fs:l-1_SI-body": true,
    "QV-Proposed-FS_FONTs:fs:l-1_SI-div": true,
    "QV-Proposed-FS_FONT.ass.s:fs:l-1_SI-dM": true,
    "QV-Proposed-FS_FONT.ass.s:fs:l-1_SI-body": true,
    "QV-Proposed-FS_FONT.ass.s:fs:l-1_SI-div": true,
    "QV-Proposed-FS_FONTsz:1.s:fs:xl-1_SI-dM": true,
    "QV-Proposed-FS_FONTsz:1.s:fs:xl-1_SI-body": true,
    "QV-Proposed-FS_FONTsz:1.s:fs:xl-1_SI-div": true,
    "QV-Proposed-FS_SPAN.large-1_SI-dM": true,
    "QV-Proposed-FS_SPAN.large-1_SI-body": true,
    "QV-Proposed-FS_SPAN.large-1_SI-div": true,
    "QV-Proposed-FS_SPAN.fs18px-1_SI-dM": true,
    "QV-Proposed-FS_SPAN.fs18px-1_SI-body": true,
    "QV-Proposed-FS_SPAN.fs18px-1_SI-div": true,
    "QV-Proposed-FA_MYLARGE-1-SI-dM": true,
    "QV-Proposed-FA_MYLARGE-1-SI-body": true,
    "QV-Proposed-FA_MYLARGE-1-SI-div": true,
    "QV-Proposed-FA_MYFS18PX-1-SI-dM": true,
    "QV-Proposed-FA_MYFS18PX-1-SI-body": true,
    "QV-Proposed-FA_MYFS18PX-1-SI-div": true,
    "QV-Proposed-BC_FONTs:bc:fca-1_SI-dM": true,
    "QV-Proposed-BC_FONTs:bc:fca-1_SI-body": true,
    "QV-Proposed-BC_FONTs:bc:fca-1_SI-div": true,
    "QV-Proposed-BC_SPANs:bc:abc-1_SI-dM": true,
    "QV-Proposed-BC_SPANs:bc:abc-1_SI-body": true,
    "QV-Proposed-BC_SPANs:bc:abc-1_SI-div": true,
    "QV-Proposed-BC_FONTs:bc:084-SPAN-1_SI-dM": true,
    "QV-Proposed-BC_FONTs:bc:084-SPAN-1_SI-body": true,
    "QV-Proposed-BC_FONTs:bc:084-SPAN-1_SI-div": true,
    "QV-Proposed-BC_SPANs:bc:cde-SPAN-1_SI-dM": true,
    "QV-Proposed-BC_SPANs:bc:cde-SPAN-1_SI-body": true,
    "QV-Proposed-BC_SPANs:bc:cde-SPAN-1_SI-div": true,
    "QV-Proposed-BC_SPAN.ass.s:bc:rgb-1_SI-dM": true,
    "QV-Proposed-BC_SPAN.ass.s:bc:rgb-1_SI-body": true,
    "QV-Proposed-BC_SPAN.ass.s:bc:rgb-1_SI-div": true,
    "QV-Proposed-BC_SPAN.bcred-1_SI-dM": true,
    "QV-Proposed-BC_SPAN.bcred-1_SI-body": true,
    "QV-Proposed-BC_SPAN.bcred-1_SI-div": true,
    "QV-Proposed-BC_MYBCRED-1-SI-dM": true,
    "QV-Proposed-BC_MYBCRED-1-SI-body": true,
    "QV-Proposed-BC_MYBCRED-1-SI-div": true,
    "QV-Proposed-HC_FONTs:bc:fc0-1_SI-dM": true,
    "QV-Proposed-HC_FONTs:bc:fc0-1_SI-body": true,
    "QV-Proposed-HC_FONTs:bc:fc0-1_SI-div": true,
    "QV-Proposed-HC_SPANs:bc:a0c-1_SI-dM": true,
    "QV-Proposed-HC_SPANs:bc:a0c-1_SI-body": true,
    "QV-Proposed-HC_SPANs:bc:a0c-1_SI-div": true,
    "QV-Proposed-HC_SPAN.ass.s:bc:rgb-1_SI-dM": true,
    "QV-Proposed-HC_SPAN.ass.s:bc:rgb-1_SI-body": true,
    "QV-Proposed-HC_SPAN.ass.s:bc:rgb-1_SI-div": true,
    "QV-Proposed-HC_FONTs:bc:83e-SPAN-1_SI-dM": true,
    "QV-Proposed-HC_FONTs:bc:83e-SPAN-1_SI-body": true,
    "QV-Proposed-HC_FONTs:bc:83e-SPAN-1_SI-div": true,
    "QV-Proposed-HC_SPANs:bc:b12-SPAN-1_SI-dM": true,
    "QV-Proposed-HC_SPANs:bc:b12-SPAN-1_SI-body": true,
    "QV-Proposed-HC_SPANs:bc:b12-SPAN-1_SI-div": true,
    "QV-Proposed-HC_SPAN.bcred-1_SI-dM": true,
    "QV-Proposed-HC_SPAN.bcred-1_SI-body": true,
    "QV-Proposed-HC_SPAN.bcred-1_SI-div": true,
    "QV-Proposed-HC_MYBCRED-1-SI-dM": true,
    "QV-Proposed-HC_MYBCRED-1-SI-body": true,
    "QV-Proposed-HC_MYBCRED-1-SI-div": true
  },
  "select": {
    "S-Proposed-UNSEL_TEXT-1_SI-dM": true,
    "S-Proposed-UNSEL_TEXT-1_SI-body": true,
    "S-Proposed-UNSEL_TEXT-1_SI-div": true,
    "S-Proposed-SM:m.f.c_TEXT-1_SI-1-dM": true,
    "S-Proposed-SM:m.f.c_TEXT-1_SI-1-body": true,
    "S-Proposed-SM:m.f.c_TEXT-1_SI-1-div": true,
    "S-Proposed-SM:m.b.c_TEXT-1_SI-1-dM": true,
    "S-Proposed-SM:m.b.c_TEXT-1_SI-1-body": true,
    "S-Proposed-SM:m.b.c_TEXT-1_SI-1-div": true,
    "S-Proposed-SM:m.b.w_TEXT-1_SI-1-dM": true,
    "S-Proposed-SM:m.b.w_TEXT-1_SI-1-body": true,
    "S-Proposed-SM:m.b.w_TEXT-1_SI-1-div": true,
    "S-Proposed-SM:m.f.c_CHAR-5_SI-2-dM": true,
    "S-Proposed-SM:m.f.c_CHAR-5_SI-2-body": true,
    "S-Proposed-SM:m.f.c_CHAR-5_SI-2-div": true,
    "S-Proposed-SM:m.f.c_CHAR-5_SR-dM": true,
    "S-Proposed-SM:m.f.c_CHAR-5_SR-body": true,
    "S-Proposed-SM:m.f.c_CHAR-5_SR-div": true,
    "S-Proposed-SM:m.b.c_CHAR-5_SR-dM": true,
    "S-Proposed-SM:m.b.c_CHAR-5_SR-body": true,
    "S-Proposed-SM:m.b.c_CHAR-5_SR-div": true,
    "S-Proposed-SM:m.f.w_TEXT-jp_SC-1-dM": true,
    "S-Proposed-SM:m.f.w_TEXT-jp_SC-1-body": true,
    "S-Proposed-SM:m.f.w_TEXT-jp_SC-1-div": true,
    "S-Proposed-SM:m.f.w_TEXT-jp_SC-2-dM": true,
    "S-Proposed-SM:m.f.w_TEXT-jp_SC-2-body": true,
    "S-Proposed-SM:m.f.w_TEXT-jp_SC-2-div": true,
    "S-Proposed-SM:m.f.w_TEXT-jp_SC-5-dM": true,
    "S-Proposed-SM:m.f.w_TEXT-jp_SC-5-body": true,
    "S-Proposed-SM:m.f.w_TEXT-jp_SC-5-div": true,
    "S-Proposed-SM:e.b.w_TEXT-1_SI-3-dM": true,
    "S-Proposed-SM:e.b.w_TEXT-1_SI-3-body": true,
    "S-Proposed-SM:e.b.w_TEXT-1_SI-3-div": true,
    "S-Proposed-SM:e.b.w_TEXT-1_SI-4-dM": true,
    "S-Proposed-SM:e.b.w_TEXT-1_SI-4-body": true,
    "S-Proposed-SM:e.b.w_TEXT-1_SI-4-div": true,
    "S-Proposed-SM:e.b.w_TEXT-1_SI-5-dM": true,
    "S-Proposed-SM:e.b.w_TEXT-1_SI-5-body": true,
    "S-Proposed-SM:e.b.w_TEXT-1_SI-5-div": true,
    "S-Proposed-SM:e.f.w_TEXT-1_SIR-1-dM": true,
    "S-Proposed-SM:e.f.w_TEXT-1_SIR-1-body": true,
    "S-Proposed-SM:e.f.w_TEXT-1_SIR-1-div": true,
    "S-Proposed-SM:e.f.w_TEXT-1_SIR-3-dM": true,
    "S-Proposed-SM:e.f.w_TEXT-1_SIR-3-body": true,
    "S-Proposed-SM:e.f.w_TEXT-1_SIR-3-div": true,
    "S-Proposed-SM:e.f.lb_BR.BR-1_SI-1-dM": true,
    "S-Proposed-SM:e.f.lb_BR.BR-1_SI-1-body": true,
    "S-Proposed-SM:e.f.lb_BR.BR-1_SI-1-div": true,
    "S-Proposed-SM:e.f.lb_P.P.P-1_SI-1-dM": true,
    "S-Proposed-SM:e.f.lb_P.P.P-1_SI-1-body": true,
    "S-Proposed-SM:e.f.lb_P.P.P-1_SI-1-div": true,
    "S-Proposed-SM:e.b.lb_BR.BR-1_SIR-2-dM": true,
    "S-Proposed-SM:e.b.lb_BR.BR-1_SIR-2-body": true,
    "S-Proposed-SM:e.b.lb_BR.BR-1_SIR-2-div": true,
    "S-Proposed-SM:e.b.lb_P.P.P-1_SIR-2-dM": true,
    "S-Proposed-SM:e.b.lb_P.P.P-1_SIR-2-body": true,
    "S-Proposed-SM:e.b.lb_P.P.P-1_SIR-2-div": true,
    "S-Proposed-SM:e.f.l_BR.BR-2_SI-1-dM": true,
    "S-Proposed-SM:e.f.l_BR.BR-2_SI-1-body": true,
    "S-Proposed-SM:e.f.l_BR.BR-2_SI-1-div": true,
    "A-Proposed-B_TEXT-1_SI-dM": true,
    "A-Proposed-B_TEXT-1_SI-body": true,
    "A-Proposed-B_TEXT-1_SI-div": true,
    "A-Proposed-B_TEXT-1_SIR-dM": true,
    "A-Proposed-B_TEXT-1_SIR-body": true,
    "A-Proposed-B_TEXT-1_SIR-div": true,
    "A-Proposed-B_I-1_SL-dM": true,
    "A-Proposed-B_I-1_SL-body": true,
    "A-Proposed-B_I-1_SL-div": true,
    "A-Proposed-I_TEXT-1_SI-dM": true,
    "A-Proposed-I_TEXT-1_SI-body": true,
    "A-Proposed-I_TEXT-1_SI-div": true,
    "A-Proposed-U_TEXT-1_SI-dM": true,
    "A-Proposed-U_TEXT-1_SI-body": true,
    "A-Proposed-U_TEXT-1_SI-div": true,
    "A-Proposed-S_TEXT-1_SI-dM": true,
    "A-Proposed-S_TEXT-1_SI-body": true,
    "A-Proposed-S_TEXT-1_SI-div": true,
    "A-Proposed-SUB_TEXT-1_SI-dM": true,
    "A-Proposed-SUB_TEXT-1_SI-body": true,
    "A-Proposed-SUB_TEXT-1_SI-div": true,
    "A-Proposed-SUP_TEXT-1_SI-dM": true,
    "A-Proposed-SUP_TEXT-1_SI-body": true,
    "A-Proposed-SUP_TEXT-1_SI-div": true,
    "A-Proposed-CL:url_TEXT-1_SI-dM": true,
    "A-Proposed-CL:url_TEXT-1_SI-body": true,
    "A-Proposed-CL:url_TEXT-1_SI-div": true,
    "A-Proposed-BC:blue_TEXT-1_SI-dM": true,
    "A-Proposed-BC:blue_TEXT-1_SI-body": true,
    "A-Proposed-BC:blue_TEXT-1_SI-div": true,
    "A-Proposed-FC:blue_TEXT-1_SI-dM": true,
    "A-Proposed-FC:blue_TEXT-1_SI-body": true,
    "A-Proposed-FC:blue_TEXT-1_SI-div": true,
    "A-Proposed-HC:blue_TEXT-1_SI-dM": true,
    "A-Proposed-HC:blue_TEXT-1_SI-body": true,
    "A-Proposed-HC:blue_TEXT-1_SI-div": true,
    "A-Proposed-FN:a_TEXT-1_SI-dM": true,
    "A-Proposed-FN:a_TEXT-1_SI-body": true,
    "A-Proposed-FN:a_TEXT-1_SI-div": true,
    "A-Proposed-FS:2_TEXT-1_SI-dM": true,
    "A-Proposed-FS:2_TEXT-1_SI-body": true,
    "A-Proposed-FS:2_TEXT-1_SI-div": true,
    "A-Proposed-FS:18px_TEXT-1_SI-dM": true,
    "A-Proposed-FS:18px_TEXT-1_SI-body": true,
    "A-Proposed-FS:18px_TEXT-1_SI-div": true,
    "A-Proposed-FS:large_TEXT-1_SI-dM": true,
    "A-Proposed-FS:large_TEXT-1_SI-body": true,
    "A-Proposed-FS:large_TEXT-1_SI-div": true,
    "A-Proposed-INCFS:2_TEXT-1_SI-dM": true,
    "A-Proposed-INCFS:2_TEXT-1_SI-body": true,
    "A-Proposed-INCFS:2_TEXT-1_SI-div": true,
    "A-Proposed-DECFS:2_TEXT-1_SI-dM": true,
    "A-Proposed-DECFS:2_TEXT-1_SI-body": true,
    "A-Proposed-DECFS:2_TEXT-1_SI-div": true,
    "A-Proposed-CB:name_TEXT-1_SI-dM": true,
    "A-Proposed-CB:name_TEXT-1_SI-body": true,
    "A-Proposed-CB:name_TEXT-1_SI-div": true,
    "AC-Proposed-B_TEXT-1_SI-dM": true,
    "AC-Proposed-B_TEXT-1_SI-body": true,
    "AC-Proposed-B_TEXT-1_SI-div": true,
    "AC-Proposed-I_TEXT-1_SI-dM": true,
    "AC-Proposed-I_TEXT-1_SI-body": true,
    "AC-Proposed-I_TEXT-1_SI-div": true,
    "AC-Proposed-U_TEXT-1_SI-dM": true,
    "AC-Proposed-U_TEXT-1_SI-body": true,
    "AC-Proposed-U_TEXT-1_SI-div": true,
    "AC-Proposed-S_TEXT-1_SI-dM": true,
    "AC-Proposed-S_TEXT-1_SI-body": true,
    "AC-Proposed-S_TEXT-1_SI-div": true,
    "AC-Proposed-SUB_TEXT-1_SI-dM": true,
    "AC-Proposed-SUB_TEXT-1_SI-body": true,
    "AC-Proposed-SUB_TEXT-1_SI-div": true,
    "AC-Proposed-SUP_TEXT-1_SI-dM": true,
    "AC-Proposed-SUP_TEXT-1_SI-body": true,
    "AC-Proposed-SUP_TEXT-1_SI-div": true,
    "AC-Proposed-BC:blue_TEXT-1_SI-dM": true,
    "AC-Proposed-BC:blue_TEXT-1_SI-body": true,
    "AC-Proposed-BC:blue_TEXT-1_SI-div": true,
    "AC-Proposed-FC:blue_TEXT-1_SI-dM": true,
    "AC-Proposed-FC:blue_TEXT-1_SI-body": true,
    "AC-Proposed-FC:blue_TEXT-1_SI-div": true,
    "AC-Proposed-HC:blue_TEXT-1_SI-dM": true,
    "AC-Proposed-HC:blue_TEXT-1_SI-body": true,
    "AC-Proposed-HC:blue_TEXT-1_SI-div": true,
    "AC-Proposed-FN:a_TEXT-1_SI-dM": true,
    "AC-Proposed-FN:a_TEXT-1_SI-body": true,
    "AC-Proposed-FN:a_TEXT-1_SI-div": true,
    "AC-Proposed-FS:2_TEXT-1_SI-dM": true,
    "AC-Proposed-FS:2_TEXT-1_SI-body": true,
    "AC-Proposed-FS:2_TEXT-1_SI-div": true,
    "AC-Proposed-FS:18px_TEXT-1_SI-dM": true,
    "AC-Proposed-FS:18px_TEXT-1_SI-body": true,
    "AC-Proposed-FS:18px_TEXT-1_SI-div": true,
    "AC-Proposed-FS:large_TEXT-1_SI-dM": true,
    "AC-Proposed-FS:large_TEXT-1_SI-body": true,
    "AC-Proposed-FS:large_TEXT-1_SI-div": true,
    "C-Proposed-I_I-1_SL-dM": true,
    "C-Proposed-I_I-1_SL-body": true,
    "C-Proposed-I_I-1_SL-div": true,
    "C-Proposed-I_B-I-1_SO-dM": true,
    "C-Proposed-I_B-I-1_SO-body": true,
    "C-Proposed-I_B-I-1_SO-div": true,
    "C-Proposed-U_U-1_SO-dM": true,
    "C-Proposed-U_U-1_SO-body": true,
    "C-Proposed-U_U-1_SO-div": true,
    "C-Proposed-U_U-1_SL-dM": true,
    "C-Proposed-U_U-1_SL-body": true,
    "C-Proposed-U_U-1_SL-div": true,
    "C-Proposed-U_S-U-1_SO-dM": true,
    "C-Proposed-U_S-U-1_SO-body": true,
    "C-Proposed-U_S-U-1_SO-div": true,
    "C-Proposed-BC:ace_FONT.ass.s:bc:rgb-1_SW-dM": true,
    "C-Proposed-BC:ace_FONT.ass.s:bc:rgb-1_SW-body": true,
    "C-Proposed-BC:ace_FONT.ass.s:bc:rgb-1_SW-div": true,
    "C-Proposed-FC:g_FONTc:b.sz:6-1_SI-dM": true,
    "C-Proposed-FC:g_FONTc:b.sz:6-1_SI-body": true,
    "C-Proposed-FC:g_FONTc:b.sz:6-1_SI-div": true,
    "C-Proposed-HC:g_SPAN.ass.s:c:rgb-1_SW-dM": true,
    "C-Proposed-HC:g_SPAN.ass.s:c:rgb-1_SW-body": true,
    "C-Proposed-HC:g_SPAN.ass.s:c:rgb-1_SW-div": true,
    "C-Proposed-FN:c_FONTf:a-1_SI-dM": true,
    "C-Proposed-FN:c_FONTf:a-1_SI-body": true,
    "C-Proposed-FN:c_FONTf:a-1_SI-div": true,
    "C-Proposed-FN:c_FONTf:a-2_SL-dM": true,
    "C-Proposed-FN:c_FONTf:a-2_SL-body": true,
    "C-Proposed-FN:c_FONTf:a-2_SL-div": true,
    "C-Proposed-FS:1_SPAN.ass.s:fs:large-1_SW-dM": true,
    "C-Proposed-FS:1_SPAN.ass.s:fs:large-1_SW-body": true,
    "C-Proposed-FS:1_SPAN.ass.s:fs:large-1_SW-div": true,
    "C-Proposed-FS:5_FONTsz:1.s:fs:xs-1_SW-dM": true,
    "C-Proposed-FS:5_FONTsz:1.s:fs:xs-1_SW-body": true,
    "C-Proposed-FS:5_FONTsz:1.s:fs:xs-1_SW-div": true,
    "C-Proposed-FS:2_FONTc:b.sz:6-1_SI-dM": true,
    "C-Proposed-FS:2_FONTc:b.sz:6-1_SI-body": true,
    "C-Proposed-FS:2_FONTc:b.sz:6-1_SI-div": true,
    "C-Proposed-FS:larger_FONTsz:4-dM": true,
    "C-Proposed-FS:larger_FONTsz:4-body": true,
    "C-Proposed-FS:larger_FONTsz:4-div": true,
    "C-Proposed-FS:smaller_FONTsz:4-dM": true,
    "C-Proposed-FS:smaller_FONTsz:4-body": true,
    "C-Proposed-FS:smaller_FONTsz:4-div": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SO-dM": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SO-body": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SO-div": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SW-dM": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SW-body": true,
    "C-Proposed-FB:h1_ADDRESS-FONTsz:4-1_SW-div": true,
    "C-Proposed-FB:h1_ADDRESS-FONT.ass.sz:4-1_SW-dM": true,
    "C-Proposed-FB:h1_ADDRESS-FONT.ass.sz:4-1_SW-body": true,
    "C-Proposed-FB:h1_ADDRESS-FONT.ass.sz:4-1_SW-div": true,
    "CC-Proposed-I_I-1_SL-dM": true,
    "CC-Proposed-I_I-1_SL-body": true,
    "CC-Proposed-I_I-1_SL-div": true,
    "CC-Proposed-I_B-1_SL-dM": true,
    "CC-Proposed-I_B-1_SL-body": true,
    "CC-Proposed-I_B-1_SL-div": true,
    "CC-Proposed-I_B-1_SW-dM": true,
    "CC-Proposed-I_B-1_SW-body": true,
    "CC-Proposed-I_B-1_SW-div": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-1_SI-dM": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-1_SI-body": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-1_SI-div": true,
    "CC-Proposed-BC:gray_P-SPANs:bc:b-3_SL-dM": true,
    "CC-Proposed-BC:gray_P-SPANs:bc:b-3_SL-body": true,
    "CC-Proposed-BC:gray_P-SPANs:bc:b-3_SL-div": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SL-dM": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SL-body": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SL-div": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SR-dM": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SR-body": true,
    "CC-Proposed-BC:gray_SPANs:bc:b-2_SR-div": true,
    "CC-Proposed-FN:c_FONTf:a-1_SI-dM": true,
    "CC-Proposed-FN:c_FONTf:a-1_SI-body": true,
    "CC-Proposed-FN:c_FONTf:a-1_SI-div": true,
    "CC-Proposed-FN:c_FONTf:a-2_SL-dM": true,
    "CC-Proposed-FN:c_FONTf:a-2_SL-body": true,
    "CC-Proposed-FN:c_FONTf:a-2_SL-div": true,
    "CC-Proposed-FS:1_SPANs:fs:l-1_SW-dM": true,
    "CC-Proposed-FS:1_SPANs:fs:l-1_SW-body": true,
    "CC-Proposed-FS:1_SPANs:fs:l-1_SW-div": true,
    "CC-Proposed-FS:18px_SPANs:fs:l-1_SW-dM": true,
    "CC-Proposed-FS:18px_SPANs:fs:l-1_SW-body": true,
    "CC-Proposed-FS:18px_SPANs:fs:l-1_SW-div": true,
    "CC-Proposed-FS:4_SPANs:fs:l-1_SW-dM": true,
    "CC-Proposed-FS:4_SPANs:fs:l-1_SW-body": true,
    "CC-Proposed-FS:4_SPANs:fs:l-1_SW-div": true,
    "CC-Proposed-FS:4_SPANs:fs:18px-1_SW-dM": true,
    "CC-Proposed-FS:4_SPANs:fs:18px-1_SW-body": true,
    "CC-Proposed-FS:4_SPANs:fs:18px-1_SW-div": true,
    "CC-Proposed-FS:larger_SPANs:fs:l-1_SI-dM": true,
    "CC-Proposed-FS:larger_SPANs:fs:l-1_SI-body": true,
    "CC-Proposed-FS:larger_SPANs:fs:l-1_SI-div": true,
    "CC-Proposed-FS:smaller_SPANs:fs:l-1_SI-dM": true,
    "CC-Proposed-FS:smaller_SPANs:fs:l-1_SI-body": true,
    "CC-Proposed-FS:smaller_SPANs:fs:l-1_SI-div": true,
    "U-RFC-UNLINK_A-1_SO-dM": true,
    "U-RFC-UNLINK_A-1_SO-body": true,
    "U-RFC-UNLINK_A-1_SO-div": true,
    "U-RFC-UNLINK_A-1_SW-dM": true,
    "U-RFC-UNLINK_A-1_SW-body": true,
    "U-RFC-UNLINK_A-1_SW-div": true,
    "U-RFC-UNLINK_A-2_SO-dM": true,
    "U-RFC-UNLINK_A-2_SO-body": true,
    "U-RFC-UNLINK_A-2_SO-div": true,
    "U-RFC-UNLINK_A2-1_SO-dM": true,
    "U-RFC-UNLINK_A2-1_SO-body": true,
    "U-RFC-UNLINK_A2-1_SO-div": true,
    "U-Proposed-B_B-P3-1_SO12-dM": true,
    "U-Proposed-B_B-P3-1_SO12-body": true,
    "U-Proposed-B_B-P3-1_SO12-div": true,
    "U-Proposed-B_B-P-I..P-1_SO-I-dM": true,
    "U-Proposed-B_B-P-I..P-1_SO-I-body": true,
    "U-Proposed-B_B-P-I..P-1_SO-I-div": true,
    "U-Proposed-B_B-2_SL-dM": true,
    "U-Proposed-B_B-2_SL-body": true,
    "U-Proposed-B_B-2_SL-div": true,
    "U-Proposed-B_B-2_SR-dM": true,
    "U-Proposed-B_B-2_SR-body": true,
    "U-Proposed-B_B-2_SR-div": true,
    "U-Proposed-I_I-P3-1_SO2-dM": true,
    "U-Proposed-I_I-P3-1_SO2-body": true,
    "U-Proposed-I_I-P3-1_SO2-div": true,
    "U-Proposed-U_U-S-1_SO-dM": true,
    "U-Proposed-U_U-S-1_SO-body": true,
    "U-Proposed-U_U-S-1_SO-div": true,
    "U-Proposed-U_U-S-2_SI-dM": true,
    "U-Proposed-U_U-S-2_SI-body": true,
    "U-Proposed-U_U-S-2_SI-div": true,
    "U-Proposed-U_U-P3-1_SO-dM": true,
    "U-Proposed-U_U-P3-1_SO-body": true,
    "U-Proposed-U_U-P3-1_SO-div": true,
    "U-Proposed-S_DEL-1_SW-dM": true,
    "U-Proposed-S_DEL-1_SW-body": true,
    "U-Proposed-S_DEL-1_SW-div": true,
    "U-Proposed-S_S-U-1_SI-dM": true,
    "U-Proposed-S_S-U-1_SI-body": true,
    "U-Proposed-S_S-U-1_SI-div": true,
    "U-Proposed-S_U-S-1_SI-dM": true,
    "U-Proposed-S_U-S-1_SI-body": true,
    "U-Proposed-S_U-S-1_SI-div": true,
    "U-Proposed-SUB_SPANs:va:sub-1_SW-dM": true,
    "U-Proposed-SUB_SPANs:va:sub-1_SW-body": true,
    "U-Proposed-SUB_SPANs:va:sub-1_SW-div": true,
    "U-Proposed-SUP_SPANs:va:super-1_SW-dM": true,
    "U-Proposed-SUP_SPANs:va:super-1_SW-body": true,
    "U-Proposed-SUP_SPANs:va:super-1_SW-div": true,
    "U-Proposed-UNLINK_A-1_SC-dM": true,
    "U-Proposed-UNLINK_A-1_SC-body": true,
    "U-Proposed-UNLINK_A-1_SC-div": true,
    "U-Proposed-UNLINK_A-1_SI-dM": true,
    "U-Proposed-UNLINK_A-1_SI-body": true,
    "U-Proposed-UNLINK_A-1_SI-div": true,
    "U-Proposed-UNLINK_A-2_SL-dM": true,
    "U-Proposed-UNLINK_A-2_SL-body": true,
    "U-Proposed-UNLINK_A-2_SL-div": true,
    "U-Proposed-UNLINK_A-3_SR-dM": true,
    "U-Proposed-UNLINK_A-3_SR-body": true,
    "U-Proposed-UNLINK_A-3_SR-div": true,
    "U-Proposed-OUTDENT_DIV-1_SW-dM": true,
    "U-Proposed-OUTDENT_DIV-1_SW-body": true,
    "U-Proposed-OUTDENT_DIV-1_SW-div": true,
    "U-Proposed-REMOVEFORMAT_Ahref:url-1_SW-dM": true,
    "U-Proposed-REMOVEFORMAT_Ahref:url-1_SW-body": true,
    "U-Proposed-REMOVEFORMAT_Ahref:url-1_SW-div": true,
    "U-Proposed-REMOVEFORMAT_TABLE-TBODY-TR-TD-1_SW-dM": true,
    "U-Proposed-REMOVEFORMAT_TABLE-TBODY-TR-TD-1_SW-body": true,
    "U-Proposed-REMOVEFORMAT_TABLE-TBODY-TR-TD-1_SW-div": true,
    "U-Proposed-UNBOOKMARK_An:name-1_SW-dM": true,
    "U-Proposed-UNBOOKMARK_An:name-1_SW-body": true,
    "U-Proposed-UNBOOKMARK_An:name-1_SW-div": true,
    "UC-Proposed-S_SPANc:s-1_SW-dM": true,
    "UC-Proposed-S_SPANc:s-1_SW-body": true,
    "UC-Proposed-S_SPANc:s-1_SW-div": true,
    "UC-Proposed-S_SPANc:s-2_SI-dM": true,
    "UC-Proposed-S_SPANc:s-2_SI-body": true,
    "UC-Proposed-S_SPANc:s-2_SI-div": true,
    "D-Proposed-CHAR-3_SC-dM": true,
    "D-Proposed-CHAR-3_SC-body": true,
    "D-Proposed-CHAR-3_SC-div": true,
    "D-Proposed-CHAR-4_SC-dM": true,
    "D-Proposed-CHAR-4_SC-body": true,
    "D-Proposed-CHAR-4_SC-div": true,
    "D-Proposed-CHAR-5_SC-dM": true,
    "D-Proposed-CHAR-5_SC-body": true,
    "D-Proposed-CHAR-5_SC-div": true,
    "D-Proposed-CHAR-5_SI-1-dM": true,
    "D-Proposed-CHAR-5_SI-1-body": true,
    "D-Proposed-CHAR-5_SI-1-div": true,
    "D-Proposed-CHAR-5_SI-2-dM": true,
    "D-Proposed-CHAR-5_SI-2-body": true,
    "D-Proposed-CHAR-5_SI-2-div": true,
    "D-Proposed-CHAR-5_SR-dM": true,
    "D-Proposed-CHAR-5_SR-body": true,
    "D-Proposed-CHAR-5_SR-div": true,
    "D-Proposed-CHAR-6_SC-dM": true,
    "D-Proposed-CHAR-6_SC-body": true,
    "D-Proposed-CHAR-6_SC-div": true,
    "D-Proposed-CHAR-7_SC-dM": true,
    "D-Proposed-CHAR-7_SC-body": true,
    "D-Proposed-CHAR-7_SC-div": true,
    "D-Proposed-B-1_SW-div": true,
    "D-Proposed-B-1_SL-dM": true,
    "D-Proposed-B-1_SL-body": true,
    "D-Proposed-B-1_SL-div": true,
    "D-Proposed-B-1_SR-dM": true,
    "D-Proposed-B-1_SR-body": true,
    "D-Proposed-B-1_SR-div": true,
    "D-Proposed-B.I-1_SM-dM": true,
    "D-Proposed-B.I-1_SM-body": true,
    "D-Proposed-B.I-1_SM-div": true,
    "D-Proposed-OL-LI2-1_SO1-dM": true,
    "D-Proposed-OL-LI2-1_SO1-body": true,
    "D-Proposed-OL-LI2-1_SO1-div": true,
    "D-Proposed-OL-LI-1_SW-dM": true,
    "D-Proposed-OL-LI-1_SW-body": true,
    "D-Proposed-OL-LI-1_SW-div": true,
    "D-Proposed-OL-LI-1_SO-dM": true,
    "D-Proposed-OL-LI-1_SO-body": true,
    "D-Proposed-OL-LI-1_SO-div": true,
    "D-Proposed-HR.BR-1_SM-dM": true,
    "D-Proposed-HR.BR-1_SM-body": true,
    "D-Proposed-HR.BR-1_SM-div": true,
    "D-Proposed-TR2rs:2-1_SO1-dM": true,
    "D-Proposed-TR2rs:2-1_SO1-body": true,
    "D-Proposed-TR2rs:2-1_SO1-div": true,
    "D-Proposed-TR2rs:2-1_SO2-dM": true,
    "D-Proposed-TR2rs:2-1_SO2-body": true,
    "D-Proposed-TR2rs:2-1_SO2-div": true,
    "D-Proposed-TR3rs:3-1_SO1-dM": true,
    "D-Proposed-TR3rs:3-1_SO1-body": true,
    "D-Proposed-TR3rs:3-1_SO1-div": true,
    "D-Proposed-TR3rs:3-1_SO2-dM": true,
    "D-Proposed-TR3rs:3-1_SO2-body": true,
    "D-Proposed-TR3rs:3-1_SO2-div": true,
    "D-Proposed-TR3rs:3-1_SO3-dM": true,
    "D-Proposed-TR3rs:3-1_SO3-body": true,
    "D-Proposed-TR3rs:3-1_SO3-div": true,
    "D-Proposed-DIV:ce:false-1_SB-dM": true,
    "D-Proposed-DIV:ce:false-1_SB-body": true,
    "D-Proposed-DIV:ce:false-1_SB-div": true,
    "D-Proposed-DIV:ce:false-1_SL-dM": true,
    "D-Proposed-DIV:ce:false-1_SL-body": true,
    "D-Proposed-DIV:ce:false-1_SL-div": true,
    "D-Proposed-DIV:ce:false-1_SR-dM": true,
    "D-Proposed-DIV:ce:false-1_SR-body": true,
    "D-Proposed-DIV:ce:false-1_SR-div": true,
    "D-Proposed-DIV:ce:false-1_SI-dM": true,
    "D-Proposed-SPAN:d:ib-2_SL-dM": true,
    "D-Proposed-SPAN:d:ib-2_SL-body": true,
    "D-Proposed-SPAN:d:ib-2_SL-div": true,
    "D-Proposed-SPAN:d:ib-3_SR-dM": true,
    "D-Proposed-SPAN:d:ib-3_SR-body": true,
    "D-Proposed-SPAN:d:ib-3_SR-div": true,
    "FD-Proposed-B-1_SW-div": true,
    "FD-Proposed-OL-LI-1_SW-dM": true,
    "FD-Proposed-OL-LI-1_SW-body": true,
    "FD-Proposed-OL-LI-1_SW-div": true,
    "FD-Proposed-OL-LI-1_SO-dM": true,
    "FD-Proposed-OL-LI-1_SO-body": true,
    "FD-Proposed-OL-LI-1_SO-div": true,
    "FD-Proposed-TABLE-1_SB-dM": true,
    "FD-Proposed-TABLE-1_SB-body": true,
    "FD-Proposed-TABLE-1_SB-div": true,
    "FD-Proposed-TD-1_SE-dM": true,
    "FD-Proposed-TD-1_SE-body": true,
    "FD-Proposed-TD-1_SE-div": true,
    "FD-Proposed-TD2-1_SE1-dM": true,
    "FD-Proposed-TD2-1_SE1-body": true,
    "FD-Proposed-TD2-1_SE1-div": true,
    "FD-Proposed-TD2-1_SM-dM": true,
    "FD-Proposed-TD2-1_SM-body": true,
    "FD-Proposed-TD2-1_SM-div": true,
    "FD-Proposed-TR2rs:2-1_SO1-dM": true,
    "FD-Proposed-TR2rs:2-1_SO1-body": true,
    "FD-Proposed-TR2rs:2-1_SO1-div": true,
    "FD-Proposed-TR2rs:2-1_SO2-dM": true,
    "FD-Proposed-TR2rs:2-1_SO2-body": true,
    "FD-Proposed-TR2rs:2-1_SO2-div": true,
    "FD-Proposed-TR3rs:3-1_SO1-dM": true,
    "FD-Proposed-TR3rs:3-1_SO1-body": true,
    "FD-Proposed-TR3rs:3-1_SO1-div": true,
    "FD-Proposed-TR3rs:3-1_SO2-dM": true,
    "FD-Proposed-TR3rs:3-1_SO2-body": true,
    "FD-Proposed-TR3rs:3-1_SO2-div": true,
    "FD-Proposed-TR3rs:3-1_SO3-dM": true,
    "FD-Proposed-TR3rs:3-1_SO3-body": true,
    "FD-Proposed-TR3rs:3-1_SO3-div": true,
    "FD-Proposed-DIV:ce:false-1_SB-dM": true,
    "FD-Proposed-DIV:ce:false-1_SB-body": true,
    "FD-Proposed-DIV:ce:false-1_SB-div": true,
    "FD-Proposed-DIV:ce:false-1_SL-dM": true,
    "FD-Proposed-DIV:ce:false-1_SL-body": true,
    "FD-Proposed-DIV:ce:false-1_SL-div": true,
    "FD-Proposed-DIV:ce:false-1_SR-dM": true,
    "FD-Proposed-DIV:ce:false-1_SR-body": true,
    "FD-Proposed-DIV:ce:false-1_SR-div": true,
    "FD-Proposed-DIV:ce:false-1_SI-dM": true,
    "I-Proposed-IHR_TEXT-1_SC-dM": true,
    "I-Proposed-IHR_TEXT-1_SC-body": true,
    "I-Proposed-IHR_TEXT-1_SC-div": true,
    "I-Proposed-IHR_TEXT-1_SI-dM": true,
    "I-Proposed-IHR_TEXT-1_SI-body": true,
    "I-Proposed-IHR_TEXT-1_SI-div": true,
    "I-Proposed-IHR_B-1_SC-dM": true,
    "I-Proposed-IHR_B-1_SC-body": true,
    "I-Proposed-IHR_B-1_SC-div": true,
    "I-Proposed-IHR_B-1_SS-dM": true,
    "I-Proposed-IHR_B-1_SS-body": true,
    "I-Proposed-IHR_B-1_SS-div": true,
    "I-Proposed-IHR_B-I-1_SMR-dM": true,
    "I-Proposed-IHR_B-I-1_SMR-body": true,
    "I-Proposed-IHR_B-I-1_SMR-div": true,
    "I-Proposed-IP_P-1_SC-dM": true,
    "I-Proposed-IP_P-1_SC-body": true,
    "I-Proposed-IP_P-1_SC-div": true,
    "I-Proposed-IP_UL-LI-1_SC-dM": true,
    "I-Proposed-IP_UL-LI-1_SC-body": true,
    "I-Proposed-IP_UL-LI-1_SC-div": true,
    "I-Proposed-IBR_TEXT-1_SC-dM": true,
    "I-Proposed-IBR_TEXT-1_SC-body": true,
    "I-Proposed-IBR_TEXT-1_SC-div": true,
    "I-Proposed-IBR_TEXT-1_SI-dM": true,
    "I-Proposed-IBR_TEXT-1_SI-body": true,
    "I-Proposed-IBR_TEXT-1_SI-div": true,
    "I-Proposed-IBR_LI-1_SC-dM": true,
    "I-Proposed-IBR_LI-1_SC-body": true,
    "I-Proposed-IBR_LI-1_SC-div": true,
    "I-Proposed-IIMG:._SPAN-IMG-1_SO-dM": true,
    "I-Proposed-IIMG:._SPAN-IMG-1_SO-body": true,
    "I-Proposed-IIMG:._SPAN-IMG-1_SO-div": true,
    "I-Proposed-IIMG:._IMG-1_SO-dM": true,
    "I-Proposed-IIMG:._IMG-1_SO-body": true,
    "I-Proposed-IIMG:._IMG-1_SO-div": true,
    "I-Proposed-IHTML:BR_TEXT-1_SC-dM": true,
    "I-Proposed-IHTML:BR_TEXT-1_SC-body": true,
    "I-Proposed-IHTML:BR_TEXT-1_SC-div": true,
    "I-Proposed-IHTML:S_TEXT-1_SI-dM": true,
    "I-Proposed-IHTML:S_TEXT-1_SI-body": true,
    "I-Proposed-IHTML:S_TEXT-1_SI-div": true,
    "I-Proposed-IHTML:H1.H2_TEXT-1_SI-dM": true,
    "I-Proposed-IHTML:H1.H2_TEXT-1_SI-body": true,
    "I-Proposed-IHTML:H1.H2_TEXT-1_SI-div": true,
    "I-Proposed-IHTML:P-B_TEXT-1_SI-dM": true,
    "I-Proposed-IHTML:P-B_TEXT-1_SI-body": true,
    "I-Proposed-IHTML:P-B_TEXT-1_SI-div": true,
    "Q-Proposed-SELECTALL_TEXT-1-dM": true,
    "Q-Proposed-SELECTALL_TEXT-1-body": true,
    "Q-Proposed-SELECTALL_TEXT-1-div": true,
    "Q-Proposed-UNSELECT_TEXT-1-dM": true,
    "Q-Proposed-UNSELECT_TEXT-1-body": true,
    "Q-Proposed-UNSELECT_TEXT-1-div": true,
    "Q-Proposed-UNDO_TEXT-1-dM": true,
    "Q-Proposed-UNDO_TEXT-1-body": true,
    "Q-Proposed-UNDO_TEXT-1-div": true,
    "Q-Proposed-REDO_TEXT-1-dM": true,
    "Q-Proposed-REDO_TEXT-1-body": true,
    "Q-Proposed-REDO_TEXT-1-div": true,
    "Q-Proposed-BOLD_TEXT-1-dM": true,
    "Q-Proposed-BOLD_TEXT-1-body": true,
    "Q-Proposed-BOLD_TEXT-1-div": true,
    "Q-Proposed-BOLD_B-dM": true,
    "Q-Proposed-BOLD_B-body": true,
    "Q-Proposed-BOLD_B-div": true,
    "Q-Proposed-ITALIC_TEXT-1-dM": true,
    "Q-Proposed-ITALIC_TEXT-1-body": true,
    "Q-Proposed-ITALIC_TEXT-1-div": true,
    "Q-Proposed-ITALIC_I-dM": true,
    "Q-Proposed-ITALIC_I-body": true,
    "Q-Proposed-ITALIC_I-div": true,
    "Q-Proposed-UNDERLINE_TEXT-1-dM": true,
    "Q-Proposed-UNDERLINE_TEXT-1-body": true,
    "Q-Proposed-UNDERLINE_TEXT-1-div": true,
    "Q-Proposed-STRIKETHROUGH_TEXT-1-dM": true,
    "Q-Proposed-STRIKETHROUGH_TEXT-1-body": true,
    "Q-Proposed-STRIKETHROUGH_TEXT-1-div": true,
    "Q-Proposed-SUBSCRIPT_TEXT-1-dM": true,
    "Q-Proposed-SUBSCRIPT_TEXT-1-body": true,
    "Q-Proposed-SUBSCRIPT_TEXT-1-div": true,
    "Q-Proposed-SUPERSCRIPT_TEXT-1-dM": true,
    "Q-Proposed-SUPERSCRIPT_TEXT-1-body": true,
    "Q-Proposed-SUPERSCRIPT_TEXT-1-div": true,
    "Q-Proposed-FORMATBLOCK_TEXT-1-dM": true,
    "Q-Proposed-FORMATBLOCK_TEXT-1-body": true,
    "Q-Proposed-FORMATBLOCK_TEXT-1-div": true,
    "Q-Proposed-CREATELINK_TEXT-1-dM": true,
    "Q-Proposed-CREATELINK_TEXT-1-body": true,
    "Q-Proposed-CREATELINK_TEXT-1-div": true,
    "Q-Proposed-UNLINK_TEXT-1-dM": true,
    "Q-Proposed-UNLINK_TEXT-1-body": true,
    "Q-Proposed-UNLINK_TEXT-1-div": true,
    "Q-Proposed-INSERTHTML_TEXT-1-dM": true,
    "Q-Proposed-INSERTHTML_TEXT-1-body": true,
    "Q-Proposed-INSERTHTML_TEXT-1-div": true,
    "Q-Proposed-INSERTHORIZONTALRULE_TEXT-1-dM": true,
    "Q-Proposed-INSERTHORIZONTALRULE_TEXT-1-body": true,
    "Q-Proposed-INSERTHORIZONTALRULE_TEXT-1-div": true,
    "Q-Proposed-INSERTIMAGE_TEXT-1-dM": true,
    "Q-Proposed-INSERTIMAGE_TEXT-1-body": true,
    "Q-Proposed-INSERTIMAGE_TEXT-1-div": true,
    "Q-Proposed-INSERTLINEBREAK_TEXT-1-dM": true,
    "Q-Proposed-INSERTLINEBREAK_TEXT-1-body": true,
    "Q-Proposed-INSERTLINEBREAK_TEXT-1-div": true,
    "Q-Proposed-INSERTPARAGRAPH_TEXT-1-dM": true,
    "Q-Proposed-INSERTPARAGRAPH_TEXT-1-body": true,
    "Q-Proposed-INSERTPARAGRAPH_TEXT-1-div": true,
    "Q-Proposed-INSERTORDEREDLIST_TEXT-1-dM": true,
    "Q-Proposed-INSERTORDEREDLIST_TEXT-1-body": true,
    "Q-Proposed-INSERTORDEREDLIST_TEXT-1-div": true,
    "Q-Proposed-INSERTUNORDEREDLIST_TEXT-1-dM": true,
    "Q-Proposed-INSERTUNORDEREDLIST_TEXT-1-body": true,
    "Q-Proposed-INSERTUNORDEREDLIST_TEXT-1-div": true,
    "Q-Proposed-INSERTTEXT_TEXT-1-dM": true,
    "Q-Proposed-INSERTTEXT_TEXT-1-body": true,
    "Q-Proposed-INSERTTEXT_TEXT-1-div": true,
    "Q-Proposed-DELETE_TEXT-1-dM": true,
    "Q-Proposed-DELETE_TEXT-1-body": true,
    "Q-Proposed-DELETE_TEXT-1-div": true,
    "Q-Proposed-FORWARDDELETE_TEXT-1-dM": true,
    "Q-Proposed-FORWARDDELETE_TEXT-1-body": true,
    "Q-Proposed-FORWARDDELETE_TEXT-1-div": true,
    "Q-Proposed-STYLEWITHCSS_TEXT-1-dM": true,
    "Q-Proposed-STYLEWITHCSS_TEXT-1-body": true,
    "Q-Proposed-STYLEWITHCSS_TEXT-1-div": true,
    "Q-Proposed-CONTENTREADONLY_TEXT-1-dM": true,
    "Q-Proposed-CONTENTREADONLY_TEXT-1-body": true,
    "Q-Proposed-CONTENTREADONLY_TEXT-1-div": true,
    "Q-Proposed-BACKCOLOR_TEXT-1-dM": true,
    "Q-Proposed-BACKCOLOR_TEXT-1-body": true,
    "Q-Proposed-BACKCOLOR_TEXT-1-div": true,
    "Q-Proposed-FORECOLOR_TEXT-1-dM": true,
    "Q-Proposed-FORECOLOR_TEXT-1-body": true,
    "Q-Proposed-FORECOLOR_TEXT-1-div": true,
    "Q-Proposed-HILITECOLOR_TEXT-1-dM": true,
    "Q-Proposed-HILITECOLOR_TEXT-1-body": true,
    "Q-Proposed-HILITECOLOR_TEXT-1-div": true,
    "Q-Proposed-FONTNAME_TEXT-1-dM": true,
    "Q-Proposed-FONTNAME_TEXT-1-body": true,
    "Q-Proposed-FONTNAME_TEXT-1-div": true,
    "Q-Proposed-FONTSIZE_TEXT-1-dM": true,
    "Q-Proposed-FONTSIZE_TEXT-1-body": true,
    "Q-Proposed-FONTSIZE_TEXT-1-div": true,
    "Q-Proposed-INCREASEFONTSIZE_TEXT-1-dM": true,
    "Q-Proposed-INCREASEFONTSIZE_TEXT-1-body": true,
    "Q-Proposed-INCREASEFONTSIZE_TEXT-1-div": true,
    "Q-Proposed-DECREASEFONTSIZE_TEXT-1-dM": true,
    "Q-Proposed-DECREASEFONTSIZE_TEXT-1-body": true,
    "Q-Proposed-DECREASEFONTSIZE_TEXT-1-div": true,
    "Q-Proposed-HEADING_TEXT-1-dM": true,
    "Q-Proposed-HEADING_TEXT-1-body": true,
    "Q-Proposed-HEADING_TEXT-1-div": true,
    "Q-Proposed-INDENT_TEXT-1-dM": true,
    "Q-Proposed-INDENT_TEXT-1-body": true,
    "Q-Proposed-INDENT_TEXT-1-div": true,
    "Q-Proposed-OUTDENT_TEXT-1-dM": true,
    "Q-Proposed-OUTDENT_TEXT-1-body": true,
    "Q-Proposed-OUTDENT_TEXT-1-div": true,
    "Q-Proposed-CREATEBOOKMARK_TEXT-1-dM": true,
    "Q-Proposed-CREATEBOOKMARK_TEXT-1-body": true,
    "Q-Proposed-CREATEBOOKMARK_TEXT-1-div": true,
    "Q-Proposed-UNBOOKMARK_TEXT-1-dM": true,
    "Q-Proposed-UNBOOKMARK_TEXT-1-body": true,
    "Q-Proposed-UNBOOKMARK_TEXT-1-div": true,
    "Q-Proposed-JUSTIFYCENTER_TEXT-1-dM": true,
    "Q-Proposed-JUSTIFYCENTER_TEXT-1-body": true,
    "Q-Proposed-JUSTIFYCENTER_TEXT-1-div": true,
    "Q-Proposed-JUSTIFYFULL_TEXT-1-dM": true,
    "Q-Proposed-JUSTIFYFULL_TEXT-1-body": true,
    "Q-Proposed-JUSTIFYFULL_TEXT-1-div": true,
    "Q-Proposed-JUSTIFYLEFT_TEXT-1-dM": true,
    "Q-Proposed-JUSTIFYLEFT_TEXT-1-body": true,
    "Q-Proposed-JUSTIFYLEFT_TEXT-1-div": true,
    "Q-Proposed-JUSTIFYRIGHT_TEXT-1-dM": true,
    "Q-Proposed-JUSTIFYRIGHT_TEXT-1-body": true,
    "Q-Proposed-JUSTIFYRIGHT_TEXT-1-div": true,
    "Q-Proposed-REMOVEFORMAT_TEXT-1-dM": true,
    "Q-Proposed-REMOVEFORMAT_TEXT-1-body": true,
    "Q-Proposed-REMOVEFORMAT_TEXT-1-div": true,
    "Q-Proposed-COPY_TEXT-1-dM": true,
    "Q-Proposed-COPY_TEXT-1-body": true,
    "Q-Proposed-COPY_TEXT-1-div": true,
    "Q-Proposed-CUT_TEXT-1-dM": true,
    "Q-Proposed-CUT_TEXT-1-body": true,
    "Q-Proposed-CUT_TEXT-1-div": true,
    "Q-Proposed-PASTE_TEXT-1-dM": true,
    "Q-Proposed-PASTE_TEXT-1-body": true,
    "Q-Proposed-PASTE_TEXT-1-div": true,
    "Q-Proposed-garbage-1_TEXT-1-dM": true,
    "Q-Proposed-garbage-1_TEXT-1-body": true,
    "Q-Proposed-garbage-1_TEXT-1-div": true,
    "QE-Proposed-SELECTALL_TEXT-1-dM": true,
    "QE-Proposed-SELECTALL_TEXT-1-body": true,
    "QE-Proposed-SELECTALL_TEXT-1-div": true,
    "QE-Proposed-UNSELECT_TEXT-1-dM": true,
    "QE-Proposed-UNSELECT_TEXT-1-body": true,
    "QE-Proposed-UNSELECT_TEXT-1-div": true,
    "QE-Proposed-UNDO_TEXT-1-dM": true,
    "QE-Proposed-UNDO_TEXT-1-body": true,
    "QE-Proposed-UNDO_TEXT-1-div": true,
    "QE-Proposed-REDO_TEXT-1-dM": true,
    "QE-Proposed-REDO_TEXT-1-body": true,
    "QE-Proposed-REDO_TEXT-1-div": true,
    "QE-Proposed-BOLD_TEXT-1-dM": true,
    "QE-Proposed-BOLD_TEXT-1-body": true,
    "QE-Proposed-BOLD_TEXT-1-div": true,
    "QE-Proposed-ITALIC_TEXT-1-dM": true,
    "QE-Proposed-ITALIC_TEXT-1-body": true,
    "QE-Proposed-ITALIC_TEXT-1-div": true,
    "QE-Proposed-UNDERLINE_TEXT-1-dM": true,
    "QE-Proposed-UNDERLINE_TEXT-1-body": true,
    "QE-Proposed-UNDERLINE_TEXT-1-div": true,
    "QE-Proposed-STRIKETHROUGH_TEXT-1-dM": true,
    "QE-Proposed-STRIKETHROUGH_TEXT-1-body": true,
    "QE-Proposed-STRIKETHROUGH_TEXT-1-div": true,
    "QE-Proposed-SUBSCRIPT_TEXT-1-dM": true,
    "QE-Proposed-SUBSCRIPT_TEXT-1-body": true,
    "QE-Proposed-SUBSCRIPT_TEXT-1-div": true,
    "QE-Proposed-SUPERSCRIPT_TEXT-1-dM": true,
    "QE-Proposed-SUPERSCRIPT_TEXT-1-body": true,
    "QE-Proposed-SUPERSCRIPT_TEXT-1-div": true,
    "QE-Proposed-FORMATBLOCK_TEXT-1-dM": true,
    "QE-Proposed-FORMATBLOCK_TEXT-1-body": true,
    "QE-Proposed-FORMATBLOCK_TEXT-1-div": true,
    "QE-Proposed-CREATELINK_TEXT-1-dM": true,
    "QE-Proposed-CREATELINK_TEXT-1-body": true,
    "QE-Proposed-CREATELINK_TEXT-1-div": true,
    "QE-Proposed-UNLINK_TEXT-1-dM": true,
    "QE-Proposed-UNLINK_TEXT-1-body": true,
    "QE-Proposed-UNLINK_TEXT-1-div": true,
    "QE-Proposed-INSERTHTML_TEXT-1-dM": true,
    "QE-Proposed-INSERTHTML_TEXT-1-body": true,
    "QE-Proposed-INSERTHTML_TEXT-1-div": true,
    "QE-Proposed-INSERTHORIZONTALRULE_TEXT-1-dM": true,
    "QE-Proposed-INSERTHORIZONTALRULE_TEXT-1-body": true,
    "QE-Proposed-INSERTHORIZONTALRULE_TEXT-1-div": true,
    "QE-Proposed-INSERTIMAGE_TEXT-1-dM": true,
    "QE-Proposed-INSERTIMAGE_TEXT-1-body": true,
    "QE-Proposed-INSERTIMAGE_TEXT-1-div": true,
    "QE-Proposed-INSERTLINEBREAK_TEXT-1-dM": true,
    "QE-Proposed-INSERTLINEBREAK_TEXT-1-body": true,
    "QE-Proposed-INSERTLINEBREAK_TEXT-1-div": true,
    "QE-Proposed-INSERTPARAGRAPH_TEXT-1-dM": true,
    "QE-Proposed-INSERTPARAGRAPH_TEXT-1-body": true,
    "QE-Proposed-INSERTPARAGRAPH_TEXT-1-div": true,
    "QE-Proposed-INSERTORDEREDLIST_TEXT-1-dM": true,
    "QE-Proposed-INSERTORDEREDLIST_TEXT-1-body": true,
    "QE-Proposed-INSERTORDEREDLIST_TEXT-1-div": true,
    "QE-Proposed-INSERTUNORDEREDLIST_TEXT-1-dM": true,
    "QE-Proposed-INSERTUNORDEREDLIST_TEXT-1-body": true,
    "QE-Proposed-INSERTUNORDEREDLIST_TEXT-1-div": true,
    "QE-Proposed-INSERTTEXT_TEXT-1-dM": true,
    "QE-Proposed-INSERTTEXT_TEXT-1-body": true,
    "QE-Proposed-INSERTTEXT_TEXT-1-div": true,
    "QE-Proposed-DELETE_TEXT-1-dM": true,
    "QE-Proposed-DELETE_TEXT-1-body": true,
    "QE-Proposed-DELETE_TEXT-1-div": true,
    "QE-Proposed-FORWARDDELETE_TEXT-1-dM": true,
    "QE-Proposed-FORWARDDELETE_TEXT-1-body": true,
    "QE-Proposed-FORWARDDELETE_TEXT-1-div": true,
    "QE-Proposed-STYLEWITHCSS_TEXT-1-dM": true,
    "QE-Proposed-STYLEWITHCSS_TEXT-1-body": true,
    "QE-Proposed-STYLEWITHCSS_TEXT-1-div": true,
    "QE-Proposed-CONTENTREADONLY_TEXT-1-dM": true,
    "QE-Proposed-CONTENTREADONLY_TEXT-1-body": true,
    "QE-Proposed-CONTENTREADONLY_TEXT-1-div": true,
    "QE-Proposed-BACKCOLOR_TEXT-1-dM": true,
    "QE-Proposed-BACKCOLOR_TEXT-1-body": true,
    "QE-Proposed-BACKCOLOR_TEXT-1-div": true,
    "QE-Proposed-FORECOLOR_TEXT-1-dM": true,
    "QE-Proposed-FORECOLOR_TEXT-1-body": true,
    "QE-Proposed-FORECOLOR_TEXT-1-div": true,
    "QE-Proposed-HILITECOLOR_TEXT-1-dM": true,
    "QE-Proposed-HILITECOLOR_TEXT-1-body": true,
    "QE-Proposed-HILITECOLOR_TEXT-1-div": true,
    "QE-Proposed-FONTNAME_TEXT-1-dM": true,
    "QE-Proposed-FONTNAME_TEXT-1-body": true,
    "QE-Proposed-FONTNAME_TEXT-1-div": true,
    "QE-Proposed-FONTSIZE_TEXT-1-dM": true,
    "QE-Proposed-FONTSIZE_TEXT-1-body": true,
    "QE-Proposed-FONTSIZE_TEXT-1-div": true,
    "QE-Proposed-INCREASEFONTSIZE_TEXT-1-dM": true,
    "QE-Proposed-INCREASEFONTSIZE_TEXT-1-body": true,
    "QE-Proposed-INCREASEFONTSIZE_TEXT-1-div": true,
    "QE-Proposed-DECREASEFONTSIZE_TEXT-1-dM": true,
    "QE-Proposed-DECREASEFONTSIZE_TEXT-1-body": true,
    "QE-Proposed-DECREASEFONTSIZE_TEXT-1-div": true,
    "QE-Proposed-HEADING_TEXT-1-dM": true,
    "QE-Proposed-HEADING_TEXT-1-body": true,
    "QE-Proposed-HEADING_TEXT-1-div": true,
    "QE-Proposed-INDENT_TEXT-1-dM": true,
    "QE-Proposed-INDENT_TEXT-1-body": true,
    "QE-Proposed-INDENT_TEXT-1-div": true,
    "QE-Proposed-OUTDENT_TEXT-1-dM": true,
    "QE-Proposed-OUTDENT_TEXT-1-body": true,
    "QE-Proposed-OUTDENT_TEXT-1-div": true,
    "QE-Proposed-CREATEBOOKMARK_TEXT-1-dM": true,
    "QE-Proposed-CREATEBOOKMARK_TEXT-1-body": true,
    "QE-Proposed-CREATEBOOKMARK_TEXT-1-div": true,
    "QE-Proposed-UNBOOKMARK_TEXT-1-dM": true,
    "QE-Proposed-UNBOOKMARK_TEXT-1-body": true,
    "QE-Proposed-UNBOOKMARK_TEXT-1-div": true,
    "QE-Proposed-JUSTIFYCENTER_TEXT-1-dM": true,
    "QE-Proposed-JUSTIFYCENTER_TEXT-1-body": true,
    "QE-Proposed-JUSTIFYCENTER_TEXT-1-div": true,
    "QE-Proposed-JUSTIFYFULL_TEXT-1-dM": true,
    "QE-Proposed-JUSTIFYFULL_TEXT-1-body": true,
    "QE-Proposed-JUSTIFYFULL_TEXT-1-div": true,
    "QE-Proposed-JUSTIFYLEFT_TEXT-1-dM": true,
    "QE-Proposed-JUSTIFYLEFT_TEXT-1-body": true,
    "QE-Proposed-JUSTIFYLEFT_TEXT-1-div": true,
    "QE-Proposed-JUSTIFYRIGHT_TEXT-1-dM": true,
    "QE-Proposed-JUSTIFYRIGHT_TEXT-1-body": true,
    "QE-Proposed-JUSTIFYRIGHT_TEXT-1-div": true,
    "QE-Proposed-REMOVEFORMAT_TEXT-1-dM": true,
    "QE-Proposed-REMOVEFORMAT_TEXT-1-body": true,
    "QE-Proposed-REMOVEFORMAT_TEXT-1-div": true,
    "QE-Proposed-COPY_TEXT-1-dM": true,
    "QE-Proposed-COPY_TEXT-1-body": true,
    "QE-Proposed-COPY_TEXT-1-div": true,
    "QE-Proposed-CUT_TEXT-1-dM": true,
    "QE-Proposed-CUT_TEXT-1-body": true,
    "QE-Proposed-CUT_TEXT-1-div": true,
    "QE-Proposed-PASTE_TEXT-1-dM": true,
    "QE-Proposed-PASTE_TEXT-1-body": true,
    "QE-Proposed-PASTE_TEXT-1-div": true,
    "QE-Proposed-garbage-1_TEXT-1-dM": true,
    "QE-Proposed-garbage-1_TEXT-1-body": true,
    "QE-Proposed-garbage-1_TEXT-1-div": true,
    "QI-Proposed-SELECTALL_TEXT-1-dM": true,
    "QI-Proposed-SELECTALL_TEXT-1-body": true,
    "QI-Proposed-SELECTALL_TEXT-1-div": true,
    "QI-Proposed-UNSELECT_TEXT-1-dM": true,
    "QI-Proposed-UNSELECT_TEXT-1-body": true,
    "QI-Proposed-UNSELECT_TEXT-1-div": true,
    "QI-Proposed-UNDO_TEXT-1-dM": true,
    "QI-Proposed-UNDO_TEXT-1-body": true,
    "QI-Proposed-UNDO_TEXT-1-div": true,
    "QI-Proposed-REDO_TEXT-1-dM": true,
    "QI-Proposed-REDO_TEXT-1-body": true,
    "QI-Proposed-REDO_TEXT-1-div": true,
    "QI-Proposed-BOLD_TEXT-1-dM": true,
    "QI-Proposed-BOLD_TEXT-1-body": true,
    "QI-Proposed-BOLD_TEXT-1-div": true,
    "QI-Proposed-ITALIC_TEXT-1-dM": true,
    "QI-Proposed-ITALIC_TEXT-1-body": true,
    "QI-Proposed-ITALIC_TEXT-1-div": true,
    "QI-Proposed-UNDERLINE_TEXT-1-dM": true,
    "QI-Proposed-UNDERLINE_TEXT-1-body": true,
    "QI-Proposed-UNDERLINE_TEXT-1-div": true,
    "QI-Proposed-STRIKETHROUGH_TEXT-1-dM": true,
    "QI-Proposed-STRIKETHROUGH_TEXT-1-body": true,
    "QI-Proposed-STRIKETHROUGH_TEXT-1-div": true,
    "QI-Proposed-SUBSCRIPT_TEXT-1-dM": true,
    "QI-Proposed-SUBSCRIPT_TEXT-1-body": true,
    "QI-Proposed-SUBSCRIPT_TEXT-1-div": true,
    "QI-Proposed-SUPERSCRIPT_TEXT-1-dM": true,
    "QI-Proposed-SUPERSCRIPT_TEXT-1-body": true,
    "QI-Proposed-SUPERSCRIPT_TEXT-1-div": true,
    "QI-Proposed-FORMATBLOCK_TEXT-1-dM": true,
    "QI-Proposed-FORMATBLOCK_TEXT-1-body": true,
    "QI-Proposed-FORMATBLOCK_TEXT-1-div": true,
    "QI-Proposed-CREATELINK_TEXT-1-dM": true,
    "QI-Proposed-CREATELINK_TEXT-1-body": true,
    "QI-Proposed-CREATELINK_TEXT-1-div": true,
    "QI-Proposed-UNLINK_TEXT-1-dM": true,
    "QI-Proposed-UNLINK_TEXT-1-body": true,
    "QI-Proposed-UNLINK_TEXT-1-div": true,
    "QI-Proposed-INSERTHTML_TEXT-1-dM": true,
    "QI-Proposed-INSERTHTML_TEXT-1-body": true,
    "QI-Proposed-INSERTHTML_TEXT-1-div": true,
    "QI-Proposed-INSERTHORIZONTALRULE_TEXT-1-dM": true,
    "QI-Proposed-INSERTHORIZONTALRULE_TEXT-1-body": true,
    "QI-Proposed-INSERTHORIZONTALRULE_TEXT-1-div": true,
    "QI-Proposed-INSERTIMAGE_TEXT-1-dM": true,
    "QI-Proposed-INSERTIMAGE_TEXT-1-body": true,
    "QI-Proposed-INSERTIMAGE_TEXT-1-div": true,
    "QI-Proposed-INSERTLINEBREAK_TEXT-1-dM": true,
    "QI-Proposed-INSERTLINEBREAK_TEXT-1-body": true,
    "QI-Proposed-INSERTLINEBREAK_TEXT-1-div": true,
    "QI-Proposed-INSERTPARAGRAPH_TEXT-1-dM": true,
    "QI-Proposed-INSERTPARAGRAPH_TEXT-1-body": true,
    "QI-Proposed-INSERTPARAGRAPH_TEXT-1-div": true,
    "QI-Proposed-INSERTORDEREDLIST_TEXT-1-dM": true,
    "QI-Proposed-INSERTORDEREDLIST_TEXT-1-body": true,
    "QI-Proposed-INSERTORDEREDLIST_TEXT-1-div": true,
    "QI-Proposed-INSERTUNORDEREDLIST_TEXT-1-dM": true,
    "QI-Proposed-INSERTUNORDEREDLIST_TEXT-1-body": true,
    "QI-Proposed-INSERTUNORDEREDLIST_TEXT-1-div": true,
    "QI-Proposed-INSERTTEXT_TEXT-1-dM": true,
    "QI-Proposed-INSERTTEXT_TEXT-1-body": true,
    "QI-Proposed-INSERTTEXT_TEXT-1-div": true,
    "QI-Proposed-DELETE_TEXT-1-dM": true,
    "QI-Proposed-DELETE_TEXT-1-body": true,
    "QI-Proposed-DELETE_TEXT-1-div": true,
    "QI-Proposed-FORWARDDELETE_TEXT-1-dM": true,
    "QI-Proposed-FORWARDDELETE_TEXT-1-body": true,
    "QI-Proposed-FORWARDDELETE_TEXT-1-div": true,
    "QI-Proposed-STYLEWITHCSS_TEXT-1-dM": true,
    "QI-Proposed-STYLEWITHCSS_TEXT-1-body": true,
    "QI-Proposed-STYLEWITHCSS_TEXT-1-div": true,
    "QI-Proposed-CONTENTREADONLY_TEXT-1-dM": true,
    "QI-Proposed-CONTENTREADONLY_TEXT-1-body": true,
    "QI-Proposed-CONTENTREADONLY_TEXT-1-div": true,
    "QI-Proposed-BACKCOLOR_TEXT-1-dM": true,
    "QI-Proposed-BACKCOLOR_TEXT-1-body": true,
    "QI-Proposed-BACKCOLOR_TEXT-1-div": true,
    "QI-Proposed-FORECOLOR_TEXT-1-dM": true,
    "QI-Proposed-FORECOLOR_TEXT-1-body": true,
    "QI-Proposed-FORECOLOR_TEXT-1-div": true,
    "QI-Proposed-HILITECOLOR_TEXT-1-dM": true,
    "QI-Proposed-HILITECOLOR_TEXT-1-body": true,
    "QI-Proposed-HILITECOLOR_TEXT-1-div": true,
    "QI-Proposed-FONTNAME_TEXT-1-dM": true,
    "QI-Proposed-FONTNAME_TEXT-1-body": true,
    "QI-Proposed-FONTNAME_TEXT-1-div": true,
    "QI-Proposed-FONTSIZE_TEXT-1-dM": true,
    "QI-Proposed-FONTSIZE_TEXT-1-body": true,
    "QI-Proposed-FONTSIZE_TEXT-1-div": true,
    "QI-Proposed-INCREASEFONTSIZE_TEXT-1-dM": true,
    "QI-Proposed-INCREASEFONTSIZE_TEXT-1-body": true,
    "QI-Proposed-INCREASEFONTSIZE_TEXT-1-div": true,
    "QI-Proposed-DECREASEFONTSIZE_TEXT-1-dM": true,
    "QI-Proposed-DECREASEFONTSIZE_TEXT-1-body": true,
    "QI-Proposed-DECREASEFONTSIZE_TEXT-1-div": true,
    "QI-Proposed-HEADING_TEXT-1-dM": true,
    "QI-Proposed-HEADING_TEXT-1-body": true,
    "QI-Proposed-HEADING_TEXT-1-div": true,
    "QI-Proposed-INDENT_TEXT-1-dM": true,
    "QI-Proposed-INDENT_TEXT-1-body": true,
    "QI-Proposed-INDENT_TEXT-1-div": true,
    "QI-Proposed-OUTDENT_TEXT-1-dM": true,
    "QI-Proposed-OUTDENT_TEXT-1-body": true,
    "QI-Proposed-OUTDENT_TEXT-1-div": true,
    "QI-Proposed-CREATEBOOKMARK_TEXT-1-dM": true,
    "QI-Proposed-CREATEBOOKMARK_TEXT-1-body": true,
    "QI-Proposed-CREATEBOOKMARK_TEXT-1-div": true,
    "QI-Proposed-UNBOOKMARK_TEXT-1-dM": true,
    "QI-Proposed-UNBOOKMARK_TEXT-1-body": true,
    "QI-Proposed-UNBOOKMARK_TEXT-1-div": true,
    "QI-Proposed-JUSTIFYCENTER_TEXT-1-dM": true,
    "QI-Proposed-JUSTIFYCENTER_TEXT-1-body": true,
    "QI-Proposed-JUSTIFYCENTER_TEXT-1-div": true,
    "QI-Proposed-JUSTIFYFULL_TEXT-1-dM": true,
    "QI-Proposed-JUSTIFYFULL_TEXT-1-body": true,
    "QI-Proposed-JUSTIFYFULL_TEXT-1-div": true,
    "QI-Proposed-JUSTIFYLEFT_TEXT-1-dM": true,
    "QI-Proposed-JUSTIFYLEFT_TEXT-1-body": true,
    "QI-Proposed-JUSTIFYLEFT_TEXT-1-div": true,
    "QI-Proposed-JUSTIFYRIGHT_TEXT-1-dM": true,
    "QI-Proposed-JUSTIFYRIGHT_TEXT-1-body": true,
    "QI-Proposed-JUSTIFYRIGHT_TEXT-1-div": true,
    "QI-Proposed-REMOVEFORMAT_TEXT-1-dM": true,
    "QI-Proposed-REMOVEFORMAT_TEXT-1-body": true,
    "QI-Proposed-REMOVEFORMAT_TEXT-1-div": true,
    "QI-Proposed-COPY_TEXT-1-dM": true,
    "QI-Proposed-COPY_TEXT-1-body": true,
    "QI-Proposed-COPY_TEXT-1-div": true,
    "QI-Proposed-CUT_TEXT-1-dM": true,
    "QI-Proposed-CUT_TEXT-1-body": true,
    "QI-Proposed-CUT_TEXT-1-div": true,
    "QI-Proposed-PASTE_TEXT-1-dM": true,
    "QI-Proposed-PASTE_TEXT-1-body": true,
    "QI-Proposed-PASTE_TEXT-1-div": true,
    "QI-Proposed-garbage-1_TEXT-1-dM": true,
    "QI-Proposed-garbage-1_TEXT-1-body": true,
    "QI-Proposed-garbage-1_TEXT-1-div": true,
    "QS-Proposed-B_TEXT_SI-dM": true,
    "QS-Proposed-B_TEXT_SI-body": true,
    "QS-Proposed-B_TEXT_SI-div": true,
    "QS-Proposed-B_B-1_SI-dM": true,
    "QS-Proposed-B_B-1_SI-body": true,
    "QS-Proposed-B_B-1_SI-div": true,
    "QS-Proposed-B_STRONG-1_SI-dM": true,
    "QS-Proposed-B_STRONG-1_SI-body": true,
    "QS-Proposed-B_STRONG-1_SI-div": true,
    "QS-Proposed-B_SPANs:fw:b-1_SI-dM": true,
    "QS-Proposed-B_SPANs:fw:b-1_SI-body": true,
    "QS-Proposed-B_SPANs:fw:b-1_SI-div": true,
    "QS-Proposed-B_SPANs:fw:n-1_SI-dM": true,
    "QS-Proposed-B_SPANs:fw:n-1_SI-body": true,
    "QS-Proposed-B_SPANs:fw:n-1_SI-div": true,
    "QS-Proposed-B_Bs:fw:n-1_SI-dM": true,
    "QS-Proposed-B_Bs:fw:n-1_SI-body": true,
    "QS-Proposed-B_Bs:fw:n-1_SI-div": true,
    "QS-Proposed-B_B-SPANs:fw:n-1_SI-dM": true,
    "QS-Proposed-B_B-SPANs:fw:n-1_SI-body": true,
    "QS-Proposed-B_B-SPANs:fw:n-1_SI-div": true,
    "QS-Proposed-B_SPAN.b-1-SI-dM": true,
    "QS-Proposed-B_SPAN.b-1-SI-body": true,
    "QS-Proposed-B_SPAN.b-1-SI-div": true,
    "QS-Proposed-B_MYB-1-SI-dM": true,
    "QS-Proposed-B_MYB-1-SI-body": true,
    "QS-Proposed-B_MYB-1-SI-div": true,
    "QS-Proposed-B_B-I-1_SC-dM": true,
    "QS-Proposed-B_B-I-1_SC-body": true,
    "QS-Proposed-B_B-I-1_SC-div": true,
    "QS-Proposed-B_B-I-1_SL-dM": true,
    "QS-Proposed-B_B-I-1_SL-body": true,
    "QS-Proposed-B_B-I-1_SL-div": true,
    "QS-Proposed-B_B-I-1_SR-dM": true,
    "QS-Proposed-B_B-I-1_SR-body": true,
    "QS-Proposed-B_B-I-1_SR-div": true,
    "QS-Proposed-B_STRONG-I-1_SC-dM": true,
    "QS-Proposed-B_STRONG-I-1_SC-body": true,
    "QS-Proposed-B_STRONG-I-1_SC-div": true,
    "QS-Proposed-B_B-I-U-1_SC-dM": true,
    "QS-Proposed-B_B-I-U-1_SC-body": true,
    "QS-Proposed-B_B-I-U-1_SC-div": true,
    "QS-Proposed-B_B-I-U-1_SM-dM": true,
    "QS-Proposed-B_B-I-U-1_SM-body": true,
    "QS-Proposed-B_B-I-U-1_SM-div": true,
    "QS-Proposed-B_TEXT-B-1_SO-1-dM": true,
    "QS-Proposed-B_TEXT-B-1_SO-1-body": true,
    "QS-Proposed-B_TEXT-B-1_SO-1-div": true,
    "QS-Proposed-B_TEXT-B-1_SO-2-dM": true,
    "QS-Proposed-B_TEXT-B-1_SO-2-body": true,
    "QS-Proposed-B_TEXT-B-1_SO-2-div": true,
    "QS-Proposed-B_TEXT-B-1_SL-dM": true,
    "QS-Proposed-B_TEXT-B-1_SL-body": true,
    "QS-Proposed-B_TEXT-B-1_SL-div": true,
    "QS-Proposed-B_TEXT-B-1_SR-dM": true,
    "QS-Proposed-B_TEXT-B-1_SR-body": true,
    "QS-Proposed-B_TEXT-B-1_SR-div": true,
    "QS-Proposed-B_TEXT-B-1_SO-3-dM": true,
    "QS-Proposed-B_TEXT-B-1_SO-3-body": true,
    "QS-Proposed-B_TEXT-B-1_SO-3-div": true,
    "QS-Proposed-B_B.TEXT.B-1_SM-dM": true,
    "QS-Proposed-B_B.TEXT.B-1_SM-body": true,
    "QS-Proposed-B_B.TEXT.B-1_SM-div": true,
    "QS-Proposed-B_B.B.B-1_SM-dM": true,
    "QS-Proposed-B_B.B.B-1_SM-body": true,
    "QS-Proposed-B_B.B.B-1_SM-div": true,
    "QS-Proposed-B_B.STRONG.B-1_SM-dM": true,
    "QS-Proposed-B_B.STRONG.B-1_SM-body": true,
    "QS-Proposed-B_B.STRONG.B-1_SM-div": true,
    "QS-Proposed-B_SPAN.b.MYB.SPANs:fw:b-1_SM-dM": true,
    "QS-Proposed-B_SPAN.b.MYB.SPANs:fw:b-1_SM-body": true,
    "QS-Proposed-B_SPAN.b.MYB.SPANs:fw:b-1_SM-div": true,
    "QS-Proposed-I_TEXT_SI-dM": true,
    "QS-Proposed-I_TEXT_SI-body": true,
    "QS-Proposed-I_TEXT_SI-div": true,
    "QS-Proposed-I_I-1_SI-dM": true,
    "QS-Proposed-I_I-1_SI-body": true,
    "QS-Proposed-I_I-1_SI-div": true,
    "QS-Proposed-I_EM-1_SI-dM": true,
    "QS-Proposed-I_EM-1_SI-body": true,
    "QS-Proposed-I_EM-1_SI-div": true,
    "QS-Proposed-I_SPANs:fs:i-1_SI-dM": true,
    "QS-Proposed-I_SPANs:fs:i-1_SI-body": true,
    "QS-Proposed-I_SPANs:fs:i-1_SI-div": true,
    "QS-Proposed-I_SPANs:fs:n-1_SI-dM": true,
    "QS-Proposed-I_SPANs:fs:n-1_SI-body": true,
    "QS-Proposed-I_SPANs:fs:n-1_SI-div": true,
    "QS-Proposed-I_I-SPANs:fs:n-1_SI-dM": true,
    "QS-Proposed-I_I-SPANs:fs:n-1_SI-body": true,
    "QS-Proposed-I_I-SPANs:fs:n-1_SI-div": true,
    "QS-Proposed-I_SPAN.i-1-SI-dM": true,
    "QS-Proposed-I_SPAN.i-1-SI-body": true,
    "QS-Proposed-I_SPAN.i-1-SI-div": true,
    "QS-Proposed-I_MYI-1-SI-dM": true,
    "QS-Proposed-I_MYI-1-SI-body": true,
    "QS-Proposed-I_MYI-1-SI-div": true,
    "QS-Proposed-U_TEXT_SI-dM": true,
    "QS-Proposed-U_TEXT_SI-body": true,
    "QS-Proposed-U_TEXT_SI-div": true,
    "QS-Proposed-U_U-1_SI-dM": true,
    "QS-Proposed-U_U-1_SI-body": true,
    "QS-Proposed-U_U-1_SI-div": true,
    "QS-Proposed-U_Us:td:n-1_SI-dM": true,
    "QS-Proposed-U_Us:td:n-1_SI-body": true,
    "QS-Proposed-U_Us:td:n-1_SI-div": true,
    "QS-Proposed-U_Ah:url-1_SI-dM": true,
    "QS-Proposed-U_Ah:url-1_SI-body": true,
    "QS-Proposed-U_Ah:url-1_SI-div": true,
    "QS-Proposed-U_Ah:url.s:td:n-1_SI-dM": true,
    "QS-Proposed-U_Ah:url.s:td:n-1_SI-body": true,
    "QS-Proposed-U_Ah:url.s:td:n-1_SI-div": true,
    "QS-Proposed-U_SPANs:td:u-1_SI-dM": true,
    "QS-Proposed-U_SPANs:td:u-1_SI-body": true,
    "QS-Proposed-U_SPANs:td:u-1_SI-div": true,
    "QS-Proposed-U_SPAN.u-1-SI-dM": true,
    "QS-Proposed-U_SPAN.u-1-SI-body": true,
    "QS-Proposed-U_SPAN.u-1-SI-div": true,
    "QS-Proposed-U_MYU-1-SI-dM": true,
    "QS-Proposed-U_MYU-1-SI-body": true,
    "QS-Proposed-U_MYU-1-SI-div": true,
    "QS-Proposed-S_TEXT_SI-dM": true,
    "QS-Proposed-S_TEXT_SI-body": true,
    "QS-Proposed-S_TEXT_SI-div": true,
    "QS-Proposed-S_S-1_SI-dM": true,
    "QS-Proposed-S_S-1_SI-body": true,
    "QS-Proposed-S_S-1_SI-div": true,
    "QS-Proposed-S_STRIKE-1_SI-dM": true,
    "QS-Proposed-S_STRIKE-1_SI-body": true,
    "QS-Proposed-S_STRIKE-1_SI-div": true,
    "QS-Proposed-S_STRIKEs:td:n-1_SI-dM": true,
    "QS-Proposed-S_STRIKEs:td:n-1_SI-body": true,
    "QS-Proposed-S_STRIKEs:td:n-1_SI-div": true,
    "QS-Proposed-S_DEL-1_SI-dM": true,
    "QS-Proposed-S_DEL-1_SI-body": true,
    "QS-Proposed-S_DEL-1_SI-div": true,
    "QS-Proposed-S_SPANs:td:lt-1_SI-dM": true,
    "QS-Proposed-S_SPANs:td:lt-1_SI-body": true,
    "QS-Proposed-S_SPANs:td:lt-1_SI-div": true,
    "QS-Proposed-S_SPAN.s-1-SI-dM": true,
    "QS-Proposed-S_SPAN.s-1-SI-body": true,
    "QS-Proposed-S_SPAN.s-1-SI-div": true,
    "QS-Proposed-S_MYS-1-SI-dM": true,
    "QS-Proposed-S_MYS-1-SI-body": true,
    "QS-Proposed-S_MYS-1-SI-div": true,
    "QS-Proposed-S_S.STRIKE.DEL-1_SM-dM": true,
    "QS-Proposed-S_S.STRIKE.DEL-1_SM-body": true,
    "QS-Proposed-S_S.STRIKE.DEL-1_SM-div": true,
    "QS-Proposed-SUB_TEXT_SI-dM": true,
    "QS-Proposed-SUB_TEXT_SI-body": true,
    "QS-Proposed-SUB_TEXT_SI-div": true,
    "QS-Proposed-SUB_SUB-1_SI-dM": true,
    "QS-Proposed-SUB_SUB-1_SI-body": true,
    "QS-Proposed-SUB_SUB-1_SI-div": true,
    "QS-Proposed-SUB_SPAN.sub-1-SI-dM": true,
    "QS-Proposed-SUB_SPAN.sub-1-SI-body": true,
    "QS-Proposed-SUB_SPAN.sub-1-SI-div": true,
    "QS-Proposed-SUB_MYSUB-1-SI-dM": true,
    "QS-Proposed-SUB_MYSUB-1-SI-body": true,
    "QS-Proposed-SUB_MYSUB-1-SI-div": true,
    "QS-Proposed-SUP_TEXT_SI-dM": true,
    "QS-Proposed-SUP_TEXT_SI-body": true,
    "QS-Proposed-SUP_TEXT_SI-div": true,
    "QS-Proposed-SUP_SUP-1_SI-dM": true,
    "QS-Proposed-SUP_SUP-1_SI-body": true,
    "QS-Proposed-SUP_SUP-1_SI-div": true,
    "QS-Proposed-IOL_TEXT_SI-dM": true,
    "QS-Proposed-IOL_TEXT_SI-body": true,
    "QS-Proposed-IOL_TEXT_SI-div": true,
    "QS-Proposed-SUP_SPAN.sup-1-SI-dM": true,
    "QS-Proposed-SUP_SPAN.sup-1-SI-body": true,
    "QS-Proposed-SUP_SPAN.sup-1-SI-div": true,
    "QS-Proposed-SUP_MYSUP-1-SI-dM": true,
    "QS-Proposed-SUP_MYSUP-1-SI-body": true,
    "QS-Proposed-SUP_MYSUP-1-SI-div": true,
    "QS-Proposed-IOL_TEXT-1_SI-dM": true,
    "QS-Proposed-IOL_TEXT-1_SI-body": true,
    "QS-Proposed-IOL_TEXT-1_SI-div": true,
    "QS-Proposed-IOL_OL-LI-1_SI-dM": true,
    "QS-Proposed-IOL_OL-LI-1_SI-body": true,
    "QS-Proposed-IOL_OL-LI-1_SI-div": true,
    "QS-Proposed-IOL_UL_LI-1_SI-dM": true,
    "QS-Proposed-IOL_UL_LI-1_SI-body": true,
    "QS-Proposed-IOL_UL_LI-1_SI-div": true,
    "QS-Proposed-IUL_TEXT_SI-dM": true,
    "QS-Proposed-IUL_TEXT_SI-body": true,
    "QS-Proposed-IUL_TEXT_SI-div": true,
    "QS-Proposed-IUL_OL-LI-1_SI-dM": true,
    "QS-Proposed-IUL_OL-LI-1_SI-body": true,
    "QS-Proposed-IUL_OL-LI-1_SI-div": true,
    "QS-Proposed-IUL_UL-LI-1_SI-dM": true,
    "QS-Proposed-IUL_UL-LI-1_SI-body": true,
    "QS-Proposed-IUL_UL-LI-1_SI-div": true,
    "QS-Proposed-JC_TEXT_SI-dM": true,
    "QS-Proposed-JC_TEXT_SI-body": true,
    "QS-Proposed-JC_TEXT_SI-div": true,
    "QS-Proposed-JC_DIVa:c-1_SI-dM": true,
    "QS-Proposed-JC_DIVa:c-1_SI-body": true,
    "QS-Proposed-JC_DIVa:c-1_SI-div": true,
    "QS-Proposed-JC_Pa:c-1_SI-dM": true,
    "QS-Proposed-JC_Pa:c-1_SI-body": true,
    "QS-Proposed-JC_Pa:c-1_SI-div": true,
    "QS-Proposed-JC_SPANs:ta:c-1_SI-dM": true,
    "QS-Proposed-JC_SPANs:ta:c-1_SI-body": true,
    "QS-Proposed-JC_SPANs:ta:c-1_SI-div": true,
    "QS-Proposed-JC_SPAN.jc-1-SI-dM": true,
    "QS-Proposed-JC_SPAN.jc-1-SI-body": true,
    "QS-Proposed-JC_SPAN.jc-1-SI-div": true,
    "QS-Proposed-JC_MYJC-1-SI-dM": true,
    "QS-Proposed-JC_MYJC-1-SI-body": true,
    "QS-Proposed-JC_MYJC-1-SI-div": true,
    "QS-Proposed-JF_TEXT_SI-dM": true,
    "QS-Proposed-JF_TEXT_SI-body": true,
    "QS-Proposed-JF_TEXT_SI-div": true,
    "QS-Proposed-JF_DIVa:j-1_SI-dM": true,
    "QS-Proposed-JF_DIVa:j-1_SI-body": true,
    "QS-Proposed-JF_DIVa:j-1_SI-div": true,
    "QS-Proposed-JF_Pa:j-1_SI-dM": true,
    "QS-Proposed-JF_Pa:j-1_SI-body": true,
    "QS-Proposed-JF_Pa:j-1_SI-div": true,
    "QS-Proposed-JF_SPANs:ta:j-1_SI-dM": true,
    "QS-Proposed-JF_SPANs:ta:j-1_SI-body": true,
    "QS-Proposed-JF_SPANs:ta:j-1_SI-div": true,
    "QS-Proposed-JF_SPAN.jf-1-SI-dM": true,
    "QS-Proposed-JF_SPAN.jf-1-SI-body": true,
    "QS-Proposed-JF_SPAN.jf-1-SI-div": true,
    "QS-Proposed-JF_MYJF-1-SI-dM": true,
    "QS-Proposed-JF_MYJF-1-SI-body": true,
    "QS-Proposed-JF_MYJF-1-SI-div": true,
    "QS-Proposed-JL_TEXT_SI-dM": true,
    "QS-Proposed-JL_TEXT_SI-body": true,
    "QS-Proposed-JL_TEXT_SI-div": true,
    "QS-Proposed-JL_DIVa:l-1_SI-dM": true,
    "QS-Proposed-JL_DIVa:l-1_SI-body": true,
    "QS-Proposed-JL_DIVa:l-1_SI-div": true,
    "QS-Proposed-JL_Pa:l-1_SI-dM": true,
    "QS-Proposed-JL_Pa:l-1_SI-body": true,
    "QS-Proposed-JL_Pa:l-1_SI-div": true,
    "QS-Proposed-JL_SPANs:ta:l-1_SI-dM": true,
    "QS-Proposed-JL_SPANs:ta:l-1_SI-body": true,
    "QS-Proposed-JL_SPANs:ta:l-1_SI-div": true,
    "QS-Proposed-JL_SPAN.jl-1-SI-dM": true,
    "QS-Proposed-JL_SPAN.jl-1-SI-body": true,
    "QS-Proposed-JL_SPAN.jl-1-SI-div": true,
    "QS-Proposed-JL_MYJL-1-SI-dM": true,
    "QS-Proposed-JL_MYJL-1-SI-body": true,
    "QS-Proposed-JL_MYJL-1-SI-div": true,
    "QS-Proposed-JR_TEXT_SI-dM": true,
    "QS-Proposed-JR_TEXT_SI-body": true,
    "QS-Proposed-JR_TEXT_SI-div": true,
    "QS-Proposed-JR_DIVa:r-1_SI-dM": true,
    "QS-Proposed-JR_DIVa:r-1_SI-body": true,
    "QS-Proposed-JR_DIVa:r-1_SI-div": true,
    "QS-Proposed-JR_Pa:r-1_SI-dM": true,
    "QS-Proposed-JR_Pa:r-1_SI-body": true,
    "QS-Proposed-JR_Pa:r-1_SI-div": true,
    "QS-Proposed-JR_SPANs:ta:r-1_SI-dM": true,
    "QS-Proposed-JR_SPANs:ta:r-1_SI-body": true,
    "QS-Proposed-JR_SPANs:ta:r-1_SI-div": true,
    "QS-Proposed-JR_SPAN.jr-1-SI-dM": true,
    "QS-Proposed-JR_SPAN.jr-1-SI-body": true,
    "QS-Proposed-JR_SPAN.jr-1-SI-div": true,
    "QS-Proposed-JR_MYJR-1-SI-dM": true,
    "QS-Proposed-JR_MYJR-1-SI-body": true,
    "QS-Proposed-JR_MYJR-1-SI-div": true,
    "QV-Proposed-B_TEXT_SI-dM": true,
    "QV-Proposed-B_TEXT_SI-body": true,
    "QV-Proposed-B_TEXT_SI-div": true,
    "QV-Proposed-B_B-1_SI-dM": true,
    "QV-Proposed-B_B-1_SI-body": true,
    "QV-Proposed-B_B-1_SI-div": true,
    "QV-Proposed-B_STRONG-1_SI-dM": true,
    "QV-Proposed-B_STRONG-1_SI-body": true,
    "QV-Proposed-B_STRONG-1_SI-div": true,
    "QV-Proposed-B_SPANs:fw:b-1_SI-dM": true,
    "QV-Proposed-B_SPANs:fw:b-1_SI-body": true,
    "QV-Proposed-B_SPANs:fw:b-1_SI-div": true,
    "QV-Proposed-B_SPANs:fw:n-1_SI-dM": true,
    "QV-Proposed-B_SPANs:fw:n-1_SI-body": true,
    "QV-Proposed-B_SPANs:fw:n-1_SI-div": true,
    "QV-Proposed-B_Bs:fw:n-1_SI-dM": true,
    "QV-Proposed-B_Bs:fw:n-1_SI-body": true,
    "QV-Proposed-B_Bs:fw:n-1_SI-div": true,
    "QV-Proposed-B_SPAN.b-1_SI-dM": true,
    "QV-Proposed-B_SPAN.b-1_SI-body": true,
    "QV-Proposed-B_SPAN.b-1_SI-div": true,
    "QV-Proposed-B_MYB-1-SI-dM": true,
    "QV-Proposed-B_MYB-1-SI-body": true,
    "QV-Proposed-B_MYB-1-SI-div": true,
    "QV-Proposed-I_TEXT_SI-dM": true,
    "QV-Proposed-I_TEXT_SI-body": true,
    "QV-Proposed-I_TEXT_SI-div": true,
    "QV-Proposed-I_I-1_SI-dM": true,
    "QV-Proposed-I_I-1_SI-body": true,
    "QV-Proposed-I_I-1_SI-div": true,
    "QV-Proposed-I_EM-1_SI-dM": true,
    "QV-Proposed-I_EM-1_SI-body": true,
    "QV-Proposed-I_EM-1_SI-div": true,
    "QV-Proposed-I_SPANs:fs:i-1_SI-dM": true,
    "QV-Proposed-I_SPANs:fs:i-1_SI-body": true,
    "QV-Proposed-I_SPANs:fs:i-1_SI-div": true,
    "QV-Proposed-I_SPANs:fs:n-1_SI-dM": true,
    "QV-Proposed-I_SPANs:fs:n-1_SI-body": true,
    "QV-Proposed-I_SPANs:fs:n-1_SI-div": true,
    "QV-Proposed-I_I-SPANs:fs:n-1_SI-dM": true,
    "QV-Proposed-I_I-SPANs:fs:n-1_SI-body": true,
    "QV-Proposed-I_I-SPANs:fs:n-1_SI-div": true,
    "QV-Proposed-I_SPAN.i-1_SI-dM": true,
    "QV-Proposed-I_SPAN.i-1_SI-body": true,
    "QV-Proposed-I_SPAN.i-1_SI-div": true,
    "QV-Proposed-I_MYI-1-SI-dM": true,
    "QV-Proposed-I_MYI-1-SI-body": true,
    "QV-Proposed-I_MYI-1-SI-div": true,
    "QV-Proposed-FB_TEXT-1_SC-dM": true,
    "QV-Proposed-FB_TEXT-1_SC-body": true,
    "QV-Proposed-FB_TEXT-1_SC-div": true,
    "QV-Proposed-FB_H1-1_SC-dM": true,
    "QV-Proposed-FB_H1-1_SC-body": true,
    "QV-Proposed-FB_H1-1_SC-div": true,
    "QV-Proposed-FB_PRE-1_SC-dM": true,
    "QV-Proposed-FB_PRE-1_SC-body": true,
    "QV-Proposed-FB_PRE-1_SC-div": true,
    "QV-Proposed-FB_BQ-1_SC-dM": true,
    "QV-Proposed-FB_BQ-1_SC-body": true,
    "QV-Proposed-FB_BQ-1_SC-div": true,
    "QV-Proposed-FB_ADDRESS-1_SC-dM": true,
    "QV-Proposed-FB_ADDRESS-1_SC-body": true,
    "QV-Proposed-FB_ADDRESS-1_SC-div": true,
    "QV-Proposed-FB_H1-H2-1_SC-dM": true,
    "QV-Proposed-FB_H1-H2-1_SC-body": true,
    "QV-Proposed-FB_H1-H2-1_SC-div": true,
    "QV-Proposed-FB_H1-H2-1_SL-dM": true,
    "QV-Proposed-FB_H1-H2-1_SL-body": true,
    "QV-Proposed-FB_H1-H2-1_SL-div": true,
    "QV-Proposed-FB_H1-H2-1_SR-dM": true,
    "QV-Proposed-FB_H1-H2-1_SR-body": true,
    "QV-Proposed-FB_H1-H2-1_SR-div": true,
    "QV-Proposed-FB_TEXT-ADDRESS-1_SL-dM": true,
    "QV-Proposed-FB_TEXT-ADDRESS-1_SL-body": true,
    "QV-Proposed-FB_TEXT-ADDRESS-1_SL-div": true,
    "QV-Proposed-FB_TEXT-ADDRESS-1_SR-dM": true,
    "QV-Proposed-FB_TEXT-ADDRESS-1_SR-body": true,
    "QV-Proposed-FB_TEXT-ADDRESS-1_SR-div": true,
    "QV-Proposed-FB_H1-H2.TEXT.H2-1_SM-dM": true,
    "QV-Proposed-FB_H1-H2.TEXT.H2-1_SM-body": true,
    "QV-Proposed-FB_H1-H2.TEXT.H2-1_SM-div": true,
    "QV-Proposed-H_H1-1_SC-dM": true,
    "QV-Proposed-H_H1-1_SC-body": true,
    "QV-Proposed-H_H1-1_SC-div": true,
    "QV-Proposed-H_H3-1_SC-dM": true,
    "QV-Proposed-H_H3-1_SC-body": true,
    "QV-Proposed-H_H3-1_SC-div": true,
    "QV-Proposed-H_H1-H2-H3-H4-1_SC-dM": true,
    "QV-Proposed-H_H1-H2-H3-H4-1_SC-body": true,
    "QV-Proposed-H_H1-H2-H3-H4-1_SC-div": true,
    "QV-Proposed-H_P-1_SC-dM": true,
    "QV-Proposed-H_P-1_SC-body": true,
    "QV-Proposed-H_P-1_SC-div": true,
    "QV-Proposed-FN_FONTf:a-1_SI-dM": true,
    "QV-Proposed-FN_FONTf:a-1_SI-body": true,
    "QV-Proposed-FN_FONTf:a-1_SI-div": true,
    "QV-Proposed-FN_SPANs:ff:a-1_SI-dM": true,
    "QV-Proposed-FN_SPANs:ff:a-1_SI-body": true,
    "QV-Proposed-FN_SPANs:ff:a-1_SI-div": true,
    "QV-Proposed-FN_FONTf:a.s:ff:c-1_SI-dM": true,
    "QV-Proposed-FN_FONTf:a.s:ff:c-1_SI-body": true,
    "QV-Proposed-FN_FONTf:a.s:ff:c-1_SI-div": true,
    "QV-Proposed-FN_FONTf:a-FONTf:c-1_SI-dM": true,
    "QV-Proposed-FN_FONTf:a-FONTf:c-1_SI-body": true,
    "QV-Proposed-FN_FONTf:a-FONTf:c-1_SI-div": true,
    "QV-Proposed-FN_SPANs:ff:c-FONTf:a-1_SI-dM": true,
    "QV-Proposed-FN_SPANs:ff:c-FONTf:a-1_SI-body": true,
    "QV-Proposed-FN_SPANs:ff:c-FONTf:a-1_SI-div": true,
    "QV-Proposed-FN_SPAN.fs18px-1_SI-dM": true,
    "QV-Proposed-FN_SPAN.fs18px-1_SI-body": true,
    "QV-Proposed-FN_SPAN.fs18px-1_SI-div": true,
    "QV-Proposed-FN_MYCOURIER-1-SI-dM": true,
    "QV-Proposed-FN_MYCOURIER-1-SI-body": true,
    "QV-Proposed-FN_MYCOURIER-1-SI-div": true,
    "QV-Proposed-FS_FONTsz:4-1_SI-dM": true,
    "QV-Proposed-FS_FONTsz:4-1_SI-body": true,
    "QV-Proposed-FS_FONTsz:4-1_SI-div": true,
    "QV-Proposed-FS_FONTs:fs:l-1_SI-dM": true,
    "QV-Proposed-FS_FONTs:fs:l-1_SI-body": true,
    "QV-Proposed-FS_FONTs:fs:l-1_SI-div": true,
    "QV-Proposed-FS_FONT.ass.s:fs:l-1_SI-dM": true,
    "QV-Proposed-FS_FONT.ass.s:fs:l-1_SI-body": true,
    "QV-Proposed-FS_FONT.ass.s:fs:l-1_SI-div": true,
    "QV-Proposed-FS_FONTsz:1.s:fs:xl-1_SI-dM": true,
    "QV-Proposed-FS_FONTsz:1.s:fs:xl-1_SI-body": true,
    "QV-Proposed-FS_FONTsz:1.s:fs:xl-1_SI-div": true,
    "QV-Proposed-FS_SPAN.large-1_SI-dM": true,
    "QV-Proposed-FS_SPAN.large-1_SI-body": true,
    "QV-Proposed-FS_SPAN.large-1_SI-div": true,
    "QV-Proposed-FS_SPAN.fs18px-1_SI-dM": true,
    "QV-Proposed-FS_SPAN.fs18px-1_SI-body": true,
    "QV-Proposed-FS_SPAN.fs18px-1_SI-div": true,
    "QV-Proposed-FA_MYLARGE-1-SI-dM": true,
    "QV-Proposed-FA_MYLARGE-1-SI-body": true,
    "QV-Proposed-FA_MYLARGE-1-SI-div": true,
    "QV-Proposed-FA_MYFS18PX-1-SI-dM": true,
    "QV-Proposed-FA_MYFS18PX-1-SI-body": true,
    "QV-Proposed-FA_MYFS18PX-1-SI-div": true,
    "QV-Proposed-BC_FONTs:bc:fca-1_SI-dM": true,
    "QV-Proposed-BC_FONTs:bc:fca-1_SI-body": true,
    "QV-Proposed-BC_FONTs:bc:fca-1_SI-div": true,
    "QV-Proposed-BC_SPANs:bc:abc-1_SI-dM": true,
    "QV-Proposed-BC_SPANs:bc:abc-1_SI-body": true,
    "QV-Proposed-BC_SPANs:bc:abc-1_SI-div": true,
    "QV-Proposed-BC_FONTs:bc:084-SPAN-1_SI-dM": true,
    "QV-Proposed-BC_FONTs:bc:084-SPAN-1_SI-body": true,
    "QV-Proposed-BC_FONTs:bc:084-SPAN-1_SI-div": true,
    "QV-Proposed-BC_SPANs:bc:cde-SPAN-1_SI-dM": true,
    "QV-Proposed-BC_SPANs:bc:cde-SPAN-1_SI-body": true,
    "QV-Proposed-BC_SPANs:bc:cde-SPAN-1_SI-div": true,
    "QV-Proposed-BC_SPAN.ass.s:bc:rgb-1_SI-dM": true,
    "QV-Proposed-BC_SPAN.ass.s:bc:rgb-1_SI-body": true,
    "QV-Proposed-BC_SPAN.ass.s:bc:rgb-1_SI-div": true,
    "QV-Proposed-BC_SPAN.bcred-1_SI-dM": true,
    "QV-Proposed-BC_SPAN.bcred-1_SI-body": true,
    "QV-Proposed-BC_SPAN.bcred-1_SI-div": true,
    "QV-Proposed-BC_MYBCRED-1-SI-dM": true,
    "QV-Proposed-BC_MYBCRED-1-SI-body": true,
    "QV-Proposed-BC_MYBCRED-1-SI-div": true,
    "QV-Proposed-FC_FONTc:f00-1_SI-dM": true,
    "QV-Proposed-FC_FONTc:f00-1_SI-body": true,
    "QV-Proposed-FC_FONTc:f00-1_SI-div": true,
    "QV-Proposed-FC_SPANs:c:0f0-1_SI-dM": true,
    "QV-Proposed-FC_SPANs:c:0f0-1_SI-body": true,
    "QV-Proposed-FC_SPANs:c:0f0-1_SI-div": true,
    "QV-Proposed-FC_FONTc:333.s:c:999-1_SI-dM": true,
    "QV-Proposed-FC_FONTc:333.s:c:999-1_SI-body": true,
    "QV-Proposed-FC_FONTc:333.s:c:999-1_SI-div": true,
    "QV-Proposed-FC_FONTc:641-SPAN-1_SI-dM": true,
    "QV-Proposed-FC_FONTc:641-SPAN-1_SI-body": true,
    "QV-Proposed-FC_FONTc:641-SPAN-1_SI-div": true,
    "QV-Proposed-FC_SPANs:c:d95-SPAN-1_SI-dM": true,
    "QV-Proposed-FC_SPANs:c:d95-SPAN-1_SI-body": true,
    "QV-Proposed-FC_SPANs:c:d95-SPAN-1_SI-div": true,
    "QV-Proposed-FC_SPAN.red-1_SI-dM": true,
    "QV-Proposed-FC_SPAN.red-1_SI-body": true,
    "QV-Proposed-FC_SPAN.red-1_SI-div": true,
    "QV-Proposed-FC_MYRED-1-SI-dM": true,
    "QV-Proposed-FC_MYRED-1-SI-body": true,
    "QV-Proposed-FC_MYRED-1-SI-div": true,
    "QV-Proposed-HC_FONTs:bc:fc0-1_SI-dM": true,
    "QV-Proposed-HC_FONTs:bc:fc0-1_SI-body": true,
    "QV-Proposed-HC_FONTs:bc:fc0-1_SI-div": true,
    "QV-Proposed-HC_SPANs:bc:a0c-1_SI-dM": true,
    "QV-Proposed-HC_SPANs:bc:a0c-1_SI-body": true,
    "QV-Proposed-HC_SPANs:bc:a0c-1_SI-div": true,
    "QV-Proposed-HC_SPAN.ass.s:bc:rgb-1_SI-dM": true,
    "QV-Proposed-HC_SPAN.ass.s:bc:rgb-1_SI-body": true,
    "QV-Proposed-HC_SPAN.ass.s:bc:rgb-1_SI-div": true,
    "QV-Proposed-HC_FONTs:bc:83e-SPAN-1_SI-dM": true,
    "QV-Proposed-HC_FONTs:bc:83e-SPAN-1_SI-body": true,
    "QV-Proposed-HC_FONTs:bc:83e-SPAN-1_SI-div": true,
    "QV-Proposed-HC_SPANs:bc:b12-SPAN-1_SI-dM": true,
    "QV-Proposed-HC_SPANs:bc:b12-SPAN-1_SI-body": true,
    "QV-Proposed-HC_SPANs:bc:b12-SPAN-1_SI-div": true,
    "QV-Proposed-HC_SPAN.bcred-1_SI-dM": true,
    "QV-Proposed-HC_SPAN.bcred-1_SI-body": true,
    "QV-Proposed-HC_SPAN.bcred-1_SI-div": true,
    "QV-Proposed-HC_MYBCRED-1-SI-dM": true,
    "QV-Proposed-HC_MYBCRED-1-SI-body": true,
    "QV-Proposed-HC_MYBCRED-1-SI-div": true
  }
}
