/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/*****************************************************************************/
/* This is an automatically generated file. If you're not                    */
/* nsSiteSecurityService.cpp, you shouldn't be #including it.     */
/*****************************************************************************/

#include <stdint.h>
const PRTime gPreloadListExpirationTime = INT64_C(1539159162824000);

class nsSTSPreload
{
  public:
    const char *mHost;
    const bool mIncludeSubdomains;
};

static const nsSTSPreload kSTSPreloadList[] = {
  { "0.me.uk", true },
  { "0005pay.com", true },
  { "00100010.net", true },
  { "0010100.net", true },
  { "00120012.net", true },
  { "00130013.net", true },
  { "00140014.net", true },
  { "00150015.net", true },
  { "00160016.net", true },
  { "00180018.net", true },
  { "00190019.net", true },
  { "00330033.net", true },
  { "00440044.net", true },
  { "00550055.net", true },
  { "00660066.net", true },
  { "00770077.net", true },
  { "00778899.com", true },
  { "00880088.net", true },
  { "00990099.net", true },
  { "00dani.me", true },
  { "0100dev.com", false },
  { "0100dev.nl", false },
  { "013028.com", true },
  { "016028.com", true },
  { "016098.com", true },
  { "016328.com", true },
  { "019328.com", true },
  { "019398.com", true },
  { "01electronica.com.ar", true },
  { "01seguridad.com.ar", true },
  { "01smh.com", true },
  { "0222.mg", true },
  { "023sec.com", true },
  { "02607.com", true },
  { "028718.com", true },
  { "029978.com", true },
  { "02smh.com", true },
  { "046569.com", true },
  { "04sun.com", true },
  { "050media.nl", true },
  { "0513c.com", true },
  { "055268.com", true },
  { "0573wk.com", true },
  { "066318.com", true },
  { "066538.com", true },
  { "06se.com", true },
  { "081638.com", true },
  { "086628.com", true },
  { "09115.com", true },
  { "0916app.com", true },
  { "0au.de", true },
  { "0c.eu", true },
  { "0c3.de", true },
  { "0cdn.ga", true },
  { "0day.agency", true },
  { "0ik.de", true },
  { "0iz.net", true },
  { "0knowledge.de", true },
  { "0o0.edu.pl", true },
  { "0paste.com", true },
  { "0wx.cat", true },
  { "0wx.es", true },
  { "0wx.eu", true },
  { "0wx.org", true },
  { "0x.cx", true },
  { "0x.sk", true },
  { "0x00ff00ff.com", true },
  { "0x17.de", true },
  { "0x52.net", true },
  { "0x7d.com", true },
  { "0x7fffffff.net", true },
  { "0x90.io", true },
  { "0xabe.io", true },
  { "0xacab.org", true },
  { "0xda.de", true },
  { "0xdc.io", false },
  { "0xdefaced.de", true },
  { "0xee.eu", true },
  { "0xf00.ch", true },
  { "0xfc.de", true },
  { "0xn.de", true },
  { "0yen.org", true },
  { "1-2-3bounce.co.uk", true },
  { "100-downloads.com", true },
  { "10000v.ru", true },
  { "1000minds.com", true },
  { "1000serien.com", false },
  { "1001kerstpakketten.com", false },
  { "10086.nl", true },
  { "10086.ru", true },
  { "100and1.jp", true },
  { "100kredite.de", true },
  { "100lat.pl", true },
  { "100mani.it", true },
  { "100pounds.co.uk", true },
  { "100rembourse.be", true },
  { "101.qa", true },
  { "1011100.com", true },
  { "101sauna.kz", true },
  { "101sauna.ru", true },
  { "1041263497.rsc.cdn77.org", true },
  { "1066.io", true },
  { "10gb.io", true },
  { "10hz.de", true },
  { "10og.de", true },
  { "10ppm.com", true },
  { "10seos.com", true },
  { "10v2.com", true },
  { "1100.so", true },
  { "110110110.net", true },
  { "1116pay.com", true },
  { "112112112.net", true },
  { "112app.nl", true },
  { "112hz.com", true },
  { "113113113.net", true },
  { "118118118.net", true },
  { "11dzon.com", true },
  { "11loc.de", true },
  { "11scc.com", true },
  { "11thstreetcoffee.com", true },
  { "11urss.com", true },
  { "1212873467.rsc.cdn77.org", true },
  { "1218641649.rsc.cdn77.org", true },
  { "123.gg", true },
  { "123apps.net", true },
  { "123bearing.com", true },
  { "123comparer.fr", false },
  { "123djdrop.com", true },
  { "123midterm.com", true },
  { "123pay.ir", false },
  { "123plons.nl", true },
  { "123roulement.be", true },
  { "123roulement.com", true },
  { "123termpapers.com", true },
  { "123test.com", true },
  { "123test.nl", true },
  { "123writings.com", true },
  { "125m125.de", true },
  { "12thmanrising.com", true },
  { "12vpn.net", true },
  { "130.ua", true },
  { "130978.com", true },
  { "132kv.ch", true },
  { "13318522.com", true },
  { "1359826938.rsc.cdn77.org", true },
  { "1391kj.com", true },
  { "1395kj.com", true },
  { "1396.net", true },
  { "13th-dover.uk", true },
  { "1453914078.rsc.cdn77.org", true },
  { "1464424382.rsc.cdn77.org", true },
  { "1481481.com", true },
  { "1481481.net", true },
  { "1481482.com", true },
  { "1481482.net", true },
  { "1481483.com", true },
  { "1481483.net", true },
  { "1481485.com", true },
  { "1481485.net", true },
  { "1481486.com", true },
  { "1481486.net", true },
  { "14it.de", true },
  { "14x3.de", true },
  { "15-10.com", true },
  { "1511774230.rsc.cdn77.org", true },
  { "1590284872.rsc.cdn77.org", true },
  { "1600esplanade.com", true },
  { "160887.com", true },
  { "1644091933.rsc.cdn77.org", true },
  { "1689886.com", true },
  { "168bo9.com", true },
  { "168bo9.net", true },
  { "168esb.com", true },
  { "1750studios.com", false },
  { "17hats.com", true },
  { "1844329061.rsc.cdn77.org", true },
  { "18888msc.com", true },
  { "188da.com", true },
  { "188dv.com", true },
  { "189dv.com", true },
  { "18celebration.com", true },
  { "18celebration.org", true },
  { "18f.gov", true },
  { "18f.gsa.gov", false },
  { "19216811.online", true },
  { "192168ll.repair", true },
  { "1972969867.rsc.cdn77.org", true },
  { "1981612088.rsc.cdn77.org", true },
  { "19hundert84.de", true },
  { "1a-diamantscheiben.de", true },
  { "1a-vermessung.at", true },
  { "1a-werkstattgeraete.de", true },
  { "1aim.com", true },
  { "1b1.pl", true },
  { "1c-power.ru", true },
  { "1cover.co.nz", true },
  { "1cover.com.au", true },
  { "1e9.nl", true },
  { "1hourproofreading.com", true },
  { "1it.click", true },
  { "1item.co.il", true },
  { "1js.de", true },
  { "1kando.com", false },
  { "1km.ro", true },
  { "1kmi.co", true },
  { "1ll.uk", true },
  { "1montre.fr", true },
  { "1morebounce.co.uk", true },
  { "1nfr.com", false },
  { "1of16.de", true },
  { "1on1on1.de", true },
  { "1on1on1.tv", true },
  { "1panorama.ru", true },
  { "1para.net", true },
  { "1password.com", true },
  { "1pw.ca", true },
  { "1px.tv", true },
  { "1r.is", true },
  { "1rs.nl", true },
  { "1salland.nl", true },
  { "1scope.com", true },
  { "1st-bounce.co.uk", true },
  { "1st-community.de", true },
  { "1st4abounce.co.uk", true },
  { "1stchoicefun.co.uk", true },
  { "1stclassbouncycastles.co.uk", true },
  { "1stforfun.co.uk", true },
  { "1stpeninsulabouncers.co.uk", true },
  { "1ststop.co.uk", true },
  { "1volcano.ru", true },
  { "1whw.co.uk", true },
  { "1wirelog.de", true },
  { "1wl.uk", true },
  { "2.wtf", true },
  { "2048-spiel.de", true },
  { "20at.com", true },
  { "20denier.com", true },
  { "21.co.uk", true },
  { "21x9.org", true },
  { "22digital.agency", true },
  { "22scc.com", true },
  { "230beats.com", true },
  { "2333.press", true },
  { "2333666.xyz", true },
  { "2333blog.com", true },
  { "233abc.com", true },
  { "233blog.com", true },
  { "233ss.net", true },
  { "233vps.com", true },
  { "24-7.jp", true },
  { "245meadowvistaway.com", true },
  { "246060.ru", true },
  { "247a.co.uk", true },
  { "247exchange.com", true },
  { "247healthshop.com", true },
  { "247medplan.com", true },
  { "24dian30.com", true },
  { "24hourscienceprojects.com", true },
  { "24ip.com", true },
  { "24ip.de", true },
  { "24ip.fr", true },
  { "24pcr.com", true },
  { "24timeravis.dk", true },
  { "256pages.com", true },
  { "258da.com", true },
  { "25reinyan25.net", true },
  { "2600edinburgh.org", true },
  { "2600hq.com", true },
  { "260887.com", true },
  { "263.info", true },
  { "27728522.com", true },
  { "28-industries.com", true },
  { "281180.de", true },
  { "288da.com", true },
  { "28peaks.com", true },
  { "28spots.net", true },
  { "2948.ca", true },
  { "298da.com", true },
  { "2au.ru", true },
  { "2bas.nl", true },
  { "2bcompany.ch", true },
  { "2bis10.de", true },
  { "2bouncy.com", true },
  { "2c-b.com", true },
  { "2c-d.com", true },
  { "2c-e.com", true },
  { "2c-t-2.com", true },
  { "2c-t-7.com", true },
  { "2c-t-8.com", true },
  { "2cash.ru", true },
  { "2cv-fahrer.de", true },
  { "2fm.ie", true },
  { "2fraud.pro", true },
  { "2gen.com", true },
  { "2heartsbookings.co.uk", true },
  { "2hypeenterprises.com", true },
  { "2kgwf.fi", true },
  { "2krueger.de", true },
  { "2li.ch", true },
  { "2mb.solutions", true },
  { "2mir.com", true },
  { "2nains.ch", true },
  { "2nerds1bit.com", true },
  { "2pay.fr", true },
  { "2programmers.net", true },
  { "2rsc.com", true },
  { "2rsc.net", true },
  { "2stv.net", true },
  { "2ulcceria.nl", true },
  { "3-dot-careapp1-146314.appspot.com", true },
  { "300m.com", false },
  { "304squadron.org", true },
  { "30hzcollective.com", true },
  { "30yearmortgagerates.net", true },
  { "3133780x.com", true },
  { "31klabs.com", true },
  { "31tv.ru", true },
  { "321live.nl", true },
  { "32h.de", true },
  { "33-km.ru", true },
  { "33445.com", true },
  { "33836.com", true },
  { "338da.com", true },
  { "33scc.com", true },
  { "3473-wiki.de", true },
  { "34oztonic.eu", true },
  { "360woodworking.com", true },
  { "365365.com", true },
  { "365daysreview.com", true },
  { "365healthworld.com", true },
  { "365maya.com", true },
  { "365propertybuyer.co.uk", true },
  { "365skulls.com", true },
  { "3778vip.com", true },
  { "379700.com", true },
  { "38888msc.com", true },
  { "388da.com", true },
  { "38blog.com", true },
  { "393335.ml", true },
  { "398.info", true },
  { "39sihu.com", false },
  { "3aandl.com", true },
  { "3ags.de", true },
  { "3amtoolbox.se", true },
  { "3bakayottu.com", true },
  { "3bigking.com", true },
  { "3c-d.de", true },
  { "3chat.org", true },
  { "3circlefunding.ch", true },
  { "3countiescastlehire.co.uk", true },
  { "3cs.ch", true },
  { "3djuegos.com", true },
  { "3dmedium.de", true },
  { "3dmusiclab.nl", true },
  { "3do3dont.com", true },
  { "3dprintsondemand.eu", true },
  { "3drenaline.com", true },
  { "3haeuserprojekt.org", true },
  { "3haueserprojekt.org", true },
  { "3hl0.net", true },
  { "3james.com", true },
  { "3logic.ru", true },
  { "3lot.ru", true },
  { "3n5b.com", true },
  { "3phase.pw", true },
  { "3plusdesign.gr", true },
  { "3prn.com", true },
  { "3queens.cz", true },
  { "3queens.io", true },
  { "3r.org.uk", true },
  { "3s-datasolution.de", true },
  { "3s-datasolutions.de", true },
  { "3s-ddns.de", true },
  { "3s-dns.de", true },
  { "3s-hosting.de", true },
  { "3s-mail.de", true },
  { "3sdatasolution.de", true },
  { "3sdatasolutions.de", true },
  { "3sddns.de", true },
  { "3shosting.de", true },
  { "3smail.de", true },
  { "3timegear.com", true },
  { "3trees.tk", true },
  { "3typen.tv", true },
  { "3v4l.org", true },
  { "3weekdietworks.com", true },
  { "3xx.link", true },
  { "4-1-where.com", true },
  { "4-it.de", true },
  { "40-grad.de", true },
  { "403.ch", true },
  { "404notfound.com.br", true },
  { "4096b.com", true },
  { "4096bit.de", false },
  { "41-where.com", true },
  { "41199.com", true },
  { "411film.com", true },
  { "411movie.com", true },
  { "41studio.com", true },
  { "41where.com", true },
  { "420java.com", true },
  { "4237.com", true },
  { "42day.info", true },
  { "42entrepreneurs.fr", true },
  { "439050.com", true },
  { "440887.com", true },
  { "441jj.com", false },
  { "442887.com", true },
  { "443887.com", true },
  { "444887.com", true },
  { "445887.com", true },
  { "448da.com", true },
  { "44scc.com", true },
  { "4500.co.il", true },
  { "4706666.com", true },
  { "4716666.com", true },
  { "4726666.com", true },
  { "4756666.com", true },
  { "4786666.com", true },
  { "478933.com", true },
  { "47essays.com", true },
  { "491mhz.net", true },
  { "49948522.com", true },
  { "4997777.com", true },
  { "49dollaridahoregisteredagent.com", true },
  { "4bike.eu", true },
  { "4decor.org", true },
  { "4everproxy.com", true },
  { "4eyes.ch", true },
  { "4freepress.com", true },
  { "4g-server.eu", false },
  { "4garage.com.br", true },
  { "4host.ch", true },
  { "4kprojektory.cz", true },
  { "4mm.org", true },
  { "4plebs.moe", true },
  { "4project.co.il", true },
  { "4share.tv", true },
  { "4sics.se", true },
  { "4th-ave-studio.com", true },
  { "4thdc.com", true },
  { "4u.services", true },
  { "4u2ore.net", true },
  { "4vector.com", true },
  { "4vf.de", true },
  { "4winds.pt", true },
  { "4x.fi", true },
  { "4x4.lk", true },
  { "4xlabs.co", true },
  { "500k.nl", true },
  { "500p.xyz", true },
  { "506pay.com", true },
  { "50lakeshore.com", true },
  { "50ma.xyz", true },
  { "50north.de", true },
  { "50plusnet.nl", true },
  { "51aifuli.com", true },
  { "5214889.com", true },
  { "5214889.net", true },
  { "525.info", true },
  { "52b9.com", true },
  { "52b9.net", true },
  { "52kb365.com", true },
  { "52sykb.com", true },
  { "5310899.com", true },
  { "5310899.net", true },
  { "5364b.com", true },
  { "5364c.com", true },
  { "5364d.com", true },
  { "53ningen.com", true },
  { "5432.cc", true },
  { "546802.com", true },
  { "54below.com", true },
  { "5533445.com", true },
  { "558da.com", true },
  { "55scc.com", true },
  { "57he.com", true },
  { "57wilkie.net", true },
  { "588da.com", true },
  { "598598598.net", true },
  { "5apps.com", true },
  { "5c1fd0f31022cbc40af9f785847baaf9.space", true },
  { "5chat.it", true },
  { "5crowd.com", true },
  { "5dm.tv", true },
  { "5ece.de", true },
  { "5francs.com", true },
  { "5gb.space", true },
  { "5kraceforals.com", true },
  { "5starbouncycastlehire.co.uk", true },
  { "5thchichesterscouts.org.uk", true },
  { "5y.fi", true },
  { "609avenue.com", true },
  { "62755.com", true },
  { "645ds.cn", true },
  { "645ds.com", true },
  { "64bitgaming.de", true },
  { "6542277.com", true },
  { "6543399.com", true },
  { "6548855.com", true },
  { "6548877.com", true },
  { "66205.net", true },
  { "6633445.com", true },
  { "6660111.ru", true },
  { "6677.us", true },
  { "668da.com", true },
  { "67899876.com", true },
  { "686848.com", true },
  { "688da.com", true },
  { "6969.us", true },
  { "698da.com", true },
  { "69butterfly.com", true },
  { "69fps.gg", true },
  { "6ird.com", true },
  { "6lo.zgora.pl", true },
  { "6pm.com", true },
  { "6t-montjoye.org", true },
  { "700.az", true },
  { "7045h.com", true },
  { "73info.com", true },
  { "762.ch", true },
  { "771122.tv", true },
  { "772244.net", true },
  { "7733445.com", true },
  { "77890k.com", true },
  { "778da.com", true },
  { "788da.com", true },
  { "789zr.com", true },
  { "7bwin.com", true },
  { "7careconnect.com", true },
  { "7delights.com", true },
  { "7delights.in", true },
  { "7geese.com", true },
  { "7graus.pt", true },
  { "7kicks.com", true },
  { "7kovrikov.ru", true },
  { "7nw.eu", true },
  { "7proxies.com", true },
  { "7sons.de", true },
  { "7thcircledesigns.com", true },
  { "7trade8.com", true },
  { "7x24servis.com", true },
  { "808phone.net", true },
  { "8206688.com", true },
  { "826468.com", true },
  { "826498.com", true },
  { "8522.com", true },
  { "8522club.com", true },
  { "8522hk.com", true },
  { "8522ph.com", true },
  { "8522top.com", true },
  { "8522tw.com", true },
  { "8522usa.com", true },
  { "8833445.com", true },
  { "88522am.com", true },
  { "887.ag", true },
  { "88889822.com", true },
  { "8888esb.com", true },
  { "888msc.vip", true },
  { "88d.com", true },
  { "8901178.com", true },
  { "8901178.net", true },
  { "8910899.com", true },
  { "8910899.net", true },
  { "8917168.com", true },
  { "8917168.net", true },
  { "8917818.com", true },
  { "8917818.net", true },
  { "8951889.com", true },
  { "8951889.net", true },
  { "8992088.com", true },
  { "8992088.net", true },
  { "8ack.de", true },
  { "8ackprotect.com", true },
  { "8da188.com", true },
  { "8da2017.com", true },
  { "8da2018.com", true },
  { "8da88.com", true },
  { "8da999.com", true },
  { "8dabet.com", true },
  { "8hrs.net", true },
  { "8maerz.at", true },
  { "8pecxstudios.com", true },
  { "8shequapp.com", true },
  { "8svn.com", true },
  { "8t8.eu", true },
  { "8tech.com.hk", true },
  { "8thportsmouth.org.uk", true },
  { "8tuffbeers.com", true },
  { "8ung.online", true },
  { "9-11commission.gov", true },
  { "90r.jp", true },
  { "9118.com", true },
  { "911commission.gov", true },
  { "918116.com", true },
  { "918gd.com", true },
  { "918yy.com", true },
  { "919945.com", true },
  { "91dh.cc", true },
  { "91tianmi.com", false },
  { "91travel.info", true },
  { "92url.com", true },
  { "9449-27a1-22a1-e0d9-4237-dd99-e75e-ac85-2f47-9d34.de", true },
  { "9454.com", true },
  { "9500years.com", true },
  { "9617818.com", true },
  { "9617818.net", true },
  { "9696178.com", true },
  { "9696178.net", true },
  { "97bros.com", true },
  { "9822.com", true },
  { "9822.info", true },
  { "9822am.com", true },
  { "9822cn.com", true },
  { "9822hk.com", true },
  { "9822ph.com", true },
  { "9822tw.com", true },
  { "9822usa.com", true },
  { "987987.com", true },
  { "98laba.com", true },
  { "98laba.net", true },
  { "9906753.net", true },
  { "9933445.com", true },
  { "99599.fi", true },
  { "99599.net", true },
  { "99998522.com", true },
  { "99999822.com", true },
  { "99rst.org", true },
  { "9bingo.net", true },
  { "9farm.com", true },
  { "9iwan.net", true },
  { "9jajuice.com", true },
  { "9ss6.com", true },
  { "9tolife.be", true },
  { "9uelle.jp", true },
  { "9vies.ca", true },
  { "9vx.org", true },
  { "9won.kr", true },
  { "9y.at", true },
  { "9yw.me", true },
  { "a-1basements.com", true },
  { "a-1indianawaterproofing.com", true },
  { "a-allard.be", true },
  { "a-classinflatables.co.uk", true },
  { "a-intel.com", true },
  { "a-little-linux-box.at", true },
  { "a-msystems.com", true },
  { "a-oben.org", true },
  { "a-shafaat.ir", true },
  { "a-starbouncycastles.co.uk", true },
  { "a1bouncycastlehire.com", true },
  { "a1jumpandbounce.co.uk", true },
  { "a1moldsolutions.com", true },
  { "a1scuba.com", true },
  { "a1scubastore.com", true },
  { "a2a.net", true },
  { "a2c-co.net", true },
  { "a2nutrition.com.au", true },
  { "a3.pm", true },
  { "a4sound.com", true },
  { "a632079.me", true },
  { "a7m2.me", true },
  { "a8q.org", true },
  { "aa-tour.ru", true },
  { "aa6688.net", true },
  { "aaapl.com", true },
  { "aabanet.com.br", true },
  { "aaben-bank.dk", true },
  { "aabenbank.dk", true },
  { "aacfree.com", true },
  { "aagetransport.no", true },
  { "aalalbayt.com", true },
  { "aalalbayt.net", true },
  { "aalstmotors-usedcars.be", true },
  { "aaltocapital.com", true },
  { "aamwa.com", true },
  { "aanbieders.ga", true },
  { "aandeautobody.com", true },
  { "aandkevents.co.uk", true },
  { "aanmpc.com", true },
  { "aaomidi.com", true },
  { "aapas.org.ar", true },
  { "aardvarksolutions.co.za", true },
  { "aaron.xin", true },
  { "aaronhorler.com", true },
  { "aaronhorler.com.au", true },
  { "aaronkimmig.de", true },
  { "aaronroyle.com", true },
  { "aaronsilber.me", true },
  { "aatf.us", true },
  { "aavienna.com", true },
  { "abaapplianceservice.com", true },
  { "abacus-events.co.uk", true },
  { "abacusbouncycastle.co.uk", true },
  { "abacustech.co.jp", true },
  { "abacustech.net", true },
  { "abacustech.org", true },
  { "abandonedmines.gov", true },
  { "abbadabbabouncycastles.co.uk", true },
  { "abbas.ch", true },
  { "abborsjo.fi", true },
  { "abbotsparties.co.uk", true },
  { "abbottscastles.co.uk", true },
  { "abbradar.net", true },
  { "abbruch-star.de", true },
  { "abc-rz.de", true },
  { "abc.li", true },
  { "abcbouncycastlessurrey.co.uk", true },
  { "abcbouncyfactory.co.uk", true },
  { "abcdef.be", true },
  { "abcheck.se", true },
  { "abckam.com", true },
  { "abcpartyhire.com", true },
  { "abcstudio.com.au", true },
  { "abdullah.pw", true },
  { "abe-elektro.de", true },
  { "abe-medical.jp", true },
  { "abeestrada.com", false },
  { "abeilles-idapi.fr", true },
  { "abenteuer-ahnenforschung.de", true },
  { "abeontech.com", true },
  { "aberdeenalmeras.com", true },
  { "aberdeencastles.co.uk", true },
  { "aberdeenjudo.co.uk", true },
  { "abeus.com", true },
  { "abhisharma.me", true },
  { "abi-2017.tk", true },
  { "abiapp.net", true },
  { "abibruce.co.uk", true },
  { "abidinginhesed.com", true },
  { "abigisp.com", true },
  { "abilitycaresoftware.com", true },
  { "abilitynet.org.uk", true },
  { "abilityone.gov", true },
  { "abilma.com", true },
  { "abilymp06.net", true },
  { "abimelec.com", true },
  { "abinyah.com", true },
  { "abitur97ag.de", true },
  { "abiturma.de", true },
  { "ablak-nyilaszaro.info", true },
  { "ableprop.net", true },
  { "abmc.gov", true },
  { "abmledger.ca", true },
  { "abmtax.ca", true },
  { "abn-consultants.ie", true },
  { "abnehmen.com", true },
  { "abobuch.de", true },
  { "aboces.org", true },
  { "aboderenovation.co.uk", true },
  { "abolicionistas.com", true },
  { "abolition.net", true },
  { "abolitionism.ca", true },
  { "abolitionism.co.uk", true },
  { "abolitionism.com", true },
  { "abolitionism.in", true },
  { "abolitionism.net", true },
  { "abolitionism.us", true },
  { "abolitionist-project.com", true },
  { "abolitionist-society.com", true },
  { "abolitionist.ca", true },
  { "abolitionist.co.uk", true },
  { "abolitionist.com", true },
  { "abolitionist.in", true },
  { "abolitionist.net", true },
  { "abolitionist.us", true },
  { "abolitionistparty.com", true },
  { "abolitionistproject.com", true },
  { "abolitionistsociety.com", true },
  { "abolitionniste.com", true },
  { "abolizionista.com", true },
  { "abos.eu", true },
  { "abouncycastleman.co.uk", true },
  { "abouthrm.nl", true },
  { "aboutict.nl", true },
  { "aboutmedia.nl", true },
  { "aboutspice.com", true },
  { "aboutyou.at", true },
  { "aboutyou.be", true },
  { "aboutyou.ch", true },
  { "aboutyou.de", true },
  { "aboutyou.nl", true },
  { "abox-kb.com", true },
  { "abpis.hr", true },
  { "abracadabra.co.jp", false },
  { "abrakidabra.com.br", true },
  { "abraxan.pro", true },
  { "abrilect.com", true },
  { "abristolgeek.co.uk", true },
  { "abseits.org", true },
  { "absolem.cc", true },
  { "absolutehaitian.com", true },
  { "absolutelyinflatables.co.uk", true },
  { "absoluterush.net", true },
  { "absolutewaterproofingsolutions.com", true },
  { "absolutewebdesigns.com", true },
  { "abstraction21.com", true },
  { "absynthe-inquisition.fr", true },
  { "abthorpe.org", true },
  { "abulanov.com", true },
  { "abundent.com", true },
  { "abuse.fi", true },
  { "abuse.io", true },
  { "abvent.net", true },
  { "abvlbasketviganello.ch", true },
  { "abyssgaming.eu", true },
  { "abyssproject.net", true },
  { "ac-admin.pl", true },
  { "ac-epmservices.com", true },
  { "ac-town.com", true },
  { "ac0g.dyndns.org", true },
  { "academicexperts.us", true },
  { "academie-de-police.ch", true },
  { "academytv.com.au", true },
  { "acaeum.com", true },
  { "acampar.com.br", true },
  { "acara-yoga.de", true },
  { "acat.io", true },
  { "acbrussels-used.be", true },
  { "accbay.com", true },
  { "accelaway.com", true },
  { "acceleratenetworks.com", true },
  { "accelerateyourworld.org", true },
  { "accelerator.net", true },
  { "accelsnow.com", true },
  { "accentthailand.com", true },
  { "accesloges.com", true },
  { "accessacab.co.uk", true },
  { "accessauto-occasions.be", true },
  { "accessibility.gov", true },
  { "accessmy.net", true },
  { "accessoirescheveuxchic.com", true },
  { "accessoripersmartphone.it", true },
  { "accme.co", true },
  { "accord-application.com", true },
  { "accordiondoor.com", true },
  { "accounts.firefox.com", true },
  { "accounts.google.com", true },
  { "accredit.ly", true },
  { "accudraftpaintbooths.com", true },
  { "accuritconsulting.com", true },
  { "accuritpresence.com", true },
  { "ace.one", true },
  { "aceanswering.com", true },
  { "acecerts.co.uk", true },
  { "acecolleges.edu.au", true },
  { "aceinflatables.com", true },
  { "aceinstituteonline.com", true },
  { "acelpb.com", true },
  { "acem.org.au", true },
  { "acemobileforce.com", true },
  { "acemypaper.com", true },
  { "acendealuz.com.br", true },
  { "acerentalandsales.com", true },
  { "acerislaw.com", true },
  { "acessoeducacao.com", true },
  { "acevik.de", true },
  { "acg18.us", false },
  { "acgtalktw.com", true },
  { "achalay.org", true },
  { "acheconcursos.com.br", true },
  { "achenar.net", true },
  { "acheter-ethylotest.fr", true },
  { "achromatisch.de", true },
  { "achterstieg.dedyn.io", true },
  { "achtzehn.eu", true },
  { "achtzehnterachter.de", true },
  { "acidbin.co", true },
  { "aciksite.com", true },
  { "ackis.duckdns.org", false },
  { "aclu.org", false },
  { "acluva.org", false },
  { "acme.beer", true },
  { "acmexyz123.info", true },
  { "acnpacific.com", true },
  { "aconnor.xyz", true },
  { "acordes.online", true },
  { "acorncastles.co.uk", true },
  { "acorntreecare.com", true },
  { "acourse.io", true },
  { "acousti-tech.com", true },
  { "acoustics.network", true },
  { "acoustics.tech", true },
  { "acoustique-tardy.com", true },
  { "acperu.ch", true },
  { "acquisition.gov", true },
  { "acrepairgeorgetown.com", true },
  { "acrepairhutto.com", true },
  { "acrepairroundrocktx.com", true },
  { "acrevalue.com", true },
  { "acrolife.cz", true },
  { "acroso.me", true },
  { "across.ml", true },
  { "acrosstheblvd.com", true },
  { "acroyoga-nuernberg.de", true },
  { "acrylbilder-acrylmalerei.de", true },
  { "acrylicwifi.com", true },
  { "acs-chantal.com", true },
  { "acsbbs.org", true },
  { "acsc.gov.au", true },
  { "acsemb.org", true },
  { "acsihostingsolutions.com", true },
  { "acsports.ca", true },
  { "actc.org.uk", true },
  { "actc81.fr", true },
  { "actgruppe.de", true },
  { "actiefgeld.nl", true },
  { "actionlabs.net", true },
  { "actionmadagascar.ch", true },
  { "actionsack.com", true },
  { "actionselling.com", true },
  { "activatemyiphone.com", true },
  { "activateudid.com", true },
  { "active-tluszcz.pl", true },
  { "active.hu", false },
  { "activecare-monitor.com", true },
  { "activehire.co.uk", true },
  { "activeleisure.ie", true },
  { "activeworld.net", false },
  { "activistasconstructivos.org", true },
  { "activitesaintnicaise.org", true },
  { "activityeventhire.co.uk", true },
  { "actors-cafe.net", true },
  { "actorsroom.com", true },
  { "actserv.co.ke", true },
  { "actu-film.com", true },
  { "acuica.co.uk", false },
  { "acul.me", true },
  { "acus.gov", true },
  { "acwcerts.co.uk", true },
  { "acwi.gov", true },
  { "acy.com", true },
  { "acyfxasia.com", true },
  { "ad-notam.asia", true },
  { "ad-notam.ch", true },
  { "ad-notam.co.uk", true },
  { "ad-notam.com", true },
  { "ad-notam.de", true },
  { "ad-notam.fr", true },
  { "ad-notam.it", true },
  { "ad-notam.pt", true },
  { "ad-notam.us", true },
  { "ada.gov", true },
  { "adalis.org", true },
  { "adam-kostecki.de", true },
  { "adam-wilson.me", true },
  { "adamas-magicus.ru", true },
  { "adambalogh.net", true },
  { "adambyers.com", true },
  { "adamek.online", true },
  { "adamfontenot.com", true },
  { "adamh.us", true },
  { "adamjoycegames.co.uk", true },
  { "adamkaminski.com", true },
  { "adamkostecki.de", true },
  { "adamoutler.com", true },
  { "adamradocz.com", true },
  { "adams.dk", true },
  { "adamsbouncycastles.co.uk", true },
  { "adamstas.com", true },
  { "adamwallington.co.uk", true },
  { "adamwilcox.org", true },
  { "adapt-elektronik.com", true },
  { "adapt.de", true },
  { "adaptablesecurity.org", true },
  { "adapti.de", true },
  { "adaptivemechanics.edu.au", true },
  { "adawolfa.cz", true },
  { "adayinthelifeof.nl", true },
  { "adblock.ovh", true },
  { "adblockextreme.com", true },
  { "adblockextreme.net", true },
  { "adblockextreme.org", true },
  { "addeekt.com", true },
  { "adderall.space", true },
  { "addicional.com", true },
  { "addictively.com", true },
  { "addiko.net", true },
  { "addisoncrump.info", true },
  { "addnine.com", true },
  { "addones.net", true },
  { "addtoany.com", true },
  { "adduono.com", true },
  { "adelebeals.com", true },
  { "adelightfulglow.com", true },
  { "adeline.mobi", true },
  { "adentalsolution.com", true },
  { "adept.org.pl", true },
  { "adevel.eu", true },
  { "adf-safetytools.com", true },
  { "adftrasporti.it", true },
  { "adhd-inattentive.com", true },
  { "adhesivelaundry.co.uk", true },
  { "adhoc.is", true },
  { "adigitali.biz", true },
  { "adimaja.com", true },
  { "adinariversloveschool.com", true },
  { "adingenierie.fr", true },
  { "adint.net", true },
  { "adiponectinsupplement.info", true },
  { "adiponectinsupplement.net", true },
  { "adjagu.org", true },
  { "adlerneves.com", true },
  { "adlerneves.com.br", true },
  { "adlerosn.com", true },
  { "adlerosn.com.br", true },
  { "adlershop.ch", true },
  { "adm-sarov.ru", true },
  { "adme.co.il", true },
  { "admin-forms.co.uk", true },
  { "admin-numerique.com", true },
  { "admin-serv.net", true },
  { "admin.fedoraproject.org", true },
  { "admin.google.com", true },
  { "admin.stg.fedoraproject.org", true },
  { "adminforge.de", true },
  { "administratorserwera.pl", true },
  { "adminlinux.pl", true },
  { "admino.cz", true },
  { "adminwerk.com", true },
  { "adminwiki.fr", true },
  { "admirable.one", true },
  { "admody.com", true },
  { "adnanotoyedekparca.com", true },
  { "adnot.am", true },
  { "adnseguros.es", true },
  { "adoniscabaret.co.uk", true },
  { "adonnante.com", true },
  { "adoptionlink.co.uk", true },
  { "adora-illustrations.fr", true },
  { "adorade.ro", true },
  { "adorai.tk", true },
  { "adorecricket.com", true },
  { "adorewe.com", true },
  { "adoriasoft.com", false },
  { "adoucisseur.shop", true },
  { "adquisitio.co.uk", true },
  { "adquisitio.es", true },
  { "adquisitio.fr", true },
  { "adquisitio.it", true },
  { "adr.gov", true },
  { "adrafinil.wiki", true },
  { "adrianbechtold.de", true },
  { "adriancitu.com", true },
  { "adriancostin.ro", true },
  { "adrianjensen.com", true },
  { "adrianmejias.com", true },
  { "adrien.vin", true },
  { "adrienkohlbecker.com", true },
  { "adrinet.tk", true },
  { "adrup.com", true },
  { "adsbouncycastles.co.uk", true },
  { "adsl2meg.fr", true },
  { "adtgroup.com", true },
  { "adultbizz.eu", true },
  { "adurra.com", true },
  { "aduvi.de", true },
  { "advanced-scribes.com", true },
  { "advanced.info", true },
  { "advancedoneroofing.com", true },
  { "advancedplasticsurgerycenter.com", true },
  { "advancedprotectionkey.com", true },
  { "advancedprotectionsecuritykey.com", true },
  { "advancedweb.hu", true },
  { "advanceworx.com", true },
  { "advancis.net", true },
  { "advancyte.com", true },
  { "advantagehomeexteriors.com", true },
  { "advara.com", true },
  { "advelty.cz", true },
  { "advenacs.com.au", true },
  { "advenapay.com", true },
  { "advento.bg", true },
  { "adventure-inn.com", true },
  { "adventureally.com", true },
  { "adventureforest.co.nz", true },
  { "adventureforest.de", false },
  { "adventureforest.nz", true },
  { "adventuregamers.com", true },
  { "adventurenow.nl", true },
  { "adventures.de", true },
  { "adventureswithlillie.ca", true },
  { "advertisemant.com", true },
  { "advicepro.org.uk", true },
  { "advocaten-avocats.be", true },
  { "advocatenalkmaar.org", true },
  { "advocoeurdehaan.nl", true },
  { "advokat-romanov.com", true },
  { "advtran.com", true },
  { "adware.pl", true },
  { "adws.io", true },
  { "adxperience.com", true },
  { "adzuna.at", true },
  { "adzuna.ca", true },
  { "adzuna.co.nz", true },
  { "adzuna.co.za", true },
  { "adzuna.com", true },
  { "adzuna.com.au", true },
  { "adzuna.com.br", true },
  { "adzuna.de", true },
  { "adzuna.fr", true },
  { "adzuna.in", true },
  { "adzuna.it", true },
  { "adzuna.nl", true },
  { "adzuna.pl", true },
  { "adzuna.ru", true },
  { "adzuna.sg", true },
  { "aebian.org", true },
  { "aecexpert.fr", true },
  { "aegee-utrecht.nl", true },
  { "aegisalarm.co.uk", true },
  { "aegisalarm.com", true },
  { "aegisalarms.co.uk", true },
  { "aegisalarms.com", true },
  { "aehe.us", true },
  { "aei.co.uk", true },
  { "aelurus.com", true },
  { "aeon.co", true },
  { "aep-digital.com", true },
  { "aeradesign.com", true },
  { "aerandir.fr", true },
  { "aereco.com", true },
  { "aergia.eu", true },
  { "aerisnetwork.com", true },
  { "aero-pioneer.com", true },
  { "aerobotz.com", true },
  { "aertel.ie", true },
  { "aessencia.com.br", true },
  { "aestheticdr.org", true },
  { "aesthetics-blog.com", true },
  { "aesthetx.com", true },
  { "aestore.by", true },
  { "aeternus.tech", true },
  { "aetherc0r3.eu", true },
  { "aethonan.pro", true },
  { "aetoscg.com", true },
  { "aetoscg.com.au", true },
  { "aextron.com", true },
  { "aextron.de", true },
  { "aextron.org", true },
  { "af-internet.nl", true },
  { "afavre.io", true },
  { "afb24.de", true },
  { "afbeelding.im", true },
  { "afbeeldinguploaden.nl", true },
  { "affichagepub3.com", true },
  { "affiliatefeatures.com", true },
  { "affiliateroyale.com", true },
  { "affiliatetest.azurewebsites.net", true },
  { "affilie.de", true },
  { "affinity.vc", true },
  { "affinitysync.com", true },
  { "affissioni.roma.it", true },
  { "affittacamere.roma.it", true },
  { "affordableazdivorce.com", true },
  { "affordablehealthquotesforyou.com", true },
  { "affordablekilimanjaro.com", true },
  { "affordablemudjacking.com", true },
  { "affordableracingparts.com.au", true },
  { "affping.com", true },
  { "affvps.net", true },
  { "afghan.dating", true },
  { "afi-business-consulting.com", true },
  { "aficionados.com.br", true },
  { "afinadoronline.com.br", true },
  { "aflamtorrent.com", true },
  { "aflfreebets.com", true },
  { "aflowershop.ca", true },
  { "afmt.fr", true },
  { "afmtevents.com", true },
  { "afonso.io", true },
  { "afp548.com", true },
  { "afri.cc", true },
  { "africa.dating", true },
  { "africanexponent.com", true },
  { "africanimpact.com", true },
  { "africantourer.com", true },
  { "africatravel.de", true },
  { "afrikarl.de", true },
  { "afrodigital.uk", true },
  { "after.digital", true },
  { "afterhate.fr", true },
  { "afterskool.eu", true },
  { "afuh.de", true },
  { "afva.net", true },
  { "afzco.asia", true },
  { "ag-websolutions.de", true },
  { "agalliasis.ch", true },
  { "agamsecurity.ch", true },
  { "agatajanik.de", true },
  { "agate.pw", true },
  { "agechecker.net", true },
  { "ageg.ca", true },
  { "agelesscitizen.com", true },
  { "agenbettingasia.com", true },
  { "agenceklic.com", true },
  { "agenciadeempregosdourados.com.br", true },
  { "agenciafiscal.pe", true },
  { "agenda-loto.net", false },
  { "agenda21senden.de", true },
  { "agent-grow.com", true },
  { "agent6.com.au", true },
  { "agentprocessing.com", true },
  { "agfmedia.com", true },
  { "agglo-sion.ch", true },
  { "aggr.pw", true },
  { "agia.ad", true },
  { "agiairini.cz", true },
  { "agiapelagia.com", true },
  { "agic-geneve.ch", true },
  { "agilebits.com", true },
  { "agilebits.net", false },
  { "agilecraft.com", true },
  { "agileecommerce.com.br", true },
  { "agileui.com", true },
  { "agiley.se", true },
  { "agilob.net", true },
  { "aging.gov", true },
  { "agingstats.gov", true },
  { "aginion.net", true },
  { "agiserv.fr", true },
  { "agliamici.it", true },
  { "agnesk.blog", true },
  { "agonswim.com", false },
  { "agoodmind.com", true },
  { "agoravox.fr", true },
  { "agoravox.it", true },
  { "agoravox.tv", true },
  { "agotnes.com", true },
  { "agouraelectrical.com", true },
  { "agouraelectrician.com", true },
  { "agourahillselectrical.com", true },
  { "agr.asia", true },
  { "agracan.com", true },
  { "agrarking.de", true },
  { "agrarshop4u.de", true },
  { "agrekov.ru", true },
  { "agreor.com", true },
  { "agrichamber.com.ua", true },
  { "agricolo.ch", true },
  { "agridir.site", true },
  { "agrilinks.org", true },
  { "agrios.de", true },
  { "agro-forestry.net", true },
  { "agroline.by", true },
  { "agroyard.com.ua", true },
  { "agsb.ch", true },
  { "agung-furniture.com", true },
  { "agwa.name", true },
  { "ahd.com", false },
  { "aheng.me", true },
  { "ahero4all.org", true },
  { "ahiru3.com", true },
  { "ahkubiak.ovh", true },
  { "ahlaejaba.com", true },
  { "ahmad.works", true },
  { "ahmadly.com", true },
  { "ahmedabadflowermall.com", true },
  { "ahmedcharles.com", true },
  { "ahmerjamilkhan.org", true },
  { "ahmetozer.org", true },
  { "ahosi.com", true },
  { "ahoy.travel", true },
  { "ahoyconference.com", true },
  { "ahtuxpk.ru", true },
  { "ahughes03.com", true },
  { "ahwah.net", true },
  { "ahxxm.com", true },
  { "ai-english.jp", true },
  { "ai1989.com", true },
  { "aia.de", true },
  { "aibaoyou.com", true },
  { "aibenzi.com", true },
  { "aicial.co.uk", true },
  { "aidanapple.com", true },
  { "aidanmontare.net", true },
  { "aide-admin.com", true },
  { "aide-valais.ch", true },
  { "aiden.link", true },
  { "aidhan.net", true },
  { "aids.gov", true },
  { "aie.de", true },
  { "aiesecarad.ro", true },
  { "aiforsocialmedia.com", true },
  { "aifriccampbell.com", true },
  { "aigcev.org", true },
  { "aigenpul.se", true },
  { "aiicy.org", true },
  { "aiida.se", true },
  { "aijsk.com", true },
  { "aikenpromotions.com", true },
  { "aikido-club-limburg.de", true },
  { "aikido-linz.at", true },
  { "aikido-wels.at", true },
  { "aimeeandalec.com", true },
  { "aimerworld.com", true },
  { "aimgroup.co.tz", true },
  { "aimotive.com", true },
  { "aintevenmad.ch", true },
  { "aioboot.com", true },
  { "aiois.com", true },
  { "aipbarcelona.com", true },
  { "aiphyron.com", true },
  { "air-craftglass.com", true },
  { "air-shots.ch", true },
  { "air-we-go.co.uk", true },
  { "airbly.com", true },
  { "airbnb.com", true },
  { "airbnbopen.com", true },
  { "airborne-inflatables.co.uk", true },
  { "airclass.com", true },
  { "aircomms.com", true },
  { "airconsalberton.co.za", true },
  { "airconsboksburg.co.za", true },
  { "airconsfourways.co.za", true },
  { "airconsmidrand.co.za", true },
  { "airconssandton.co.za", true },
  { "airductclean.com", false },
  { "airdur.eu", true },
  { "aireaseleaks.org", true },
  { "airedaleterrier.com.br", true },
  { "airetvie.com", true },
  { "airfax.io", true },
  { "airhart.me", true },
  { "airhelp.com", true },
  { "airhorn.de", true },
  { "airi-tabei.com", true },
  { "airicy.com", true },
  { "airikai.com", true },
  { "airmail.cc", true },
  { "airmaxinflatables.com", true },
  { "airnow.gov", true },
  { "airpbx.com", true },
  { "airplay-inflatable-hire.co.uk", true },
  { "airplayradio.nl", true },
  { "airportlimototoronto.com", true },
  { "airpurifierproductsonline.com", true },
  { "airrestoration.ch", true },
  { "airsick.guide", true },
  { "airsoft.ch", true },
  { "airvpn.org", true },
  { "airvuz.com", true },
  { "airwegobouncycastles.co.uk", true },
  { "airwolfthemes.com", true },
  { "ais.fashion", true },
  { "aistockcharts.com", true },
  { "ait.com.ar", true },
  { "aiticon.com", true },
  { "aitosoftware.com", true },
  { "aiutodomestico.ch", true },
  { "aivd.lol", true },
  { "aiwdirect.com", true },
  { "aixvox.com", true },
  { "aixxe.net", true },
  { "aizxxs.com", true },
  { "aizxxs.net", true },
  { "ajapaik.ee", true },
  { "ajarope.com", true },
  { "ajaxed.net", true },
  { "ajbouncycastles.co.uk", true },
  { "ajces.com", true },
  { "ajdiaz.me", true },
  { "ajeventhire.co.uk", true },
  { "ajiaojr.info", true },
  { "ajiaojr.io", true },
  { "ajiaojr.me", true },
  { "ajiaojr.net", true },
  { "ajiboye.com", true },
  { "ajnasz.hu", true },
  { "ajsb85.com", true },
  { "ak-varazdin.hr", true },
  { "akachanikuji.com", true },
  { "akademeia.moe", true },
  { "akalashnikov.ru", true },
  { "akamon.ac.jp", true },
  { "akaoma.com", true },
  { "akasha.world", true },
  { "akazakov.info", true },
  { "akcounselingservices.com", true },
  { "akdusekbudil.cz", true },
  { "akelius.de", false },
  { "akfoundationindia.com", true },
  { "akihiro.xyz", true },
  { "akihito.com", true },
  { "akijo.de", true },
  { "akita-boutique.com", true },
  { "akiym.com", true },
  { "akj.io", true },
  { "akkbouncycastles.co.uk", true },
  { "akkeylab.com", true },
  { "akoch.net", true },
  { "akostecki.de", true },
  { "akovana.com", true },
  { "akoya.fi", true },
  { "akplates.org", true },
  { "akpwebdesign.com", true },
  { "akr.io", true },
  { "akracing.se", true },
  { "akronet.cz", true },
  { "akropol.cz", true },
  { "akropolis-ravensburg.de", true },
  { "aksehir.bel.tr", true },
  { "akselinurmio.fi", false },
  { "akshi.in", true },
  { "aktan.com.br", true },
  { "aktiv-naturheilmittel.at", true },
  { "aktiv-naturheilmittel.ch", true },
  { "aktiv-naturheilmittel.de", true },
  { "aktivace.eu", true },
  { "aktivierungscenter.de", true },
  { "aktuelle-uhrzeit.at", true },
  { "akuislam.com", true },
  { "akukas.com", true },
  { "akul.co.in", true },
  { "akustik.tech", true },
  { "akutun.cl", true },
  { "akvorrat.at", true },
  { "al3xpro.com", true },
  { "alab.space", true },
  { "alaboard.com", true },
  { "aladdin.ie", true },
  { "aladdinschools.appspot.com", true },
  { "alainbaechlerphotography.ch", true },
  { "alainmargot.ch", true },
  { "alainodea.com", true },
  { "alainwolf.ch", true },
  { "alainwolf.net", true },
  { "alair.cn", false },
  { "alamgir.works", true },
  { "alanberger.me.uk", true },
  { "alanhua.ng", true },
  { "alaninkenya.org", true },
  { "alanya.law", true },
  { "alaricfavier.eu", false },
  { "alarmcomplete.co.uk", true },
  { "alasdelalma.com.co", true },
  { "alastairs-place.net", true },
  { "alaundeil.xyz", true },
  { "alaxyjewellers.co.za", true },
  { "alb-flirt.de", true },
  { "albanboye.info", true },
  { "albbounce.co.uk", true },
  { "albersdruck.de", true },
  { "albertathome.org", true },
  { "albertinum-goettingen.de", true },
  { "albion2.org", true },
  { "alboweb.nl", true },
  { "albuic.tk", true },
  { "alca31.com", true },
  { "alcatelonetouch.us", true },
  { "alchimic.ch", true },
  { "alcnutrition.com", true },
  { "alco-united.com", true },
  { "alcoholapi.com", true },
  { "alcorao.org", true },
  { "aldes.co.za", true },
  { "aldien.com.br", true },
  { "aldo-vandini.de", true },
  { "aldorr.net", true },
  { "aldous-huxley.com", true },
  { "aldred.cloud", true },
  { "alecpap.com", true },
  { "alecpapierniak.com", true },
  { "alecrust.com", true },
  { "aleksejjocic.tk", true },
  { "aleksib.fi", true },
  { "alela.fr", true },
  { "alerbon.net", true },
  { "alertboxx.com", true },
  { "alertonline.nl", true },
  { "alerts.sg", true },
  { "alertwire.com", true },
  { "alesia-formation.fr", true },
  { "alessandroonline.com.br", true },
  { "aletm.it", true },
  { "alex-ross.co.uk", true },
  { "alex97000.de", true },
  { "alexander-beck.eu", true },
  { "alexandermuetzel.de", true },
  { "alexanderneng.de", true },
  { "alexanderschimpf.de", true },
  { "alexanderzinn.com", true },
  { "alexandra-schulze.de", true },
  { "alexandrastylist.com", true },
  { "alexandre-blond.fr", true },
  { "alexandros.io", true },
  { "alexberts.ch", true },
  { "alexcoman.com", true },
  { "alexdaniel.org", true },
  { "alexdaulby.com", true },
  { "alexey-shamara.ru", true },
  { "alexeykopytko.com", true },
  { "alexgaynor.net", true },
  { "alexhd.de", true },
  { "alexio.ml", true },
  { "alexisabarca.com", true },
  { "alexischaussy.xyz", true },
  { "alexismeza.com", true },
  { "alexismeza.com.mx", true },
  { "alexismeza.es", true },
  { "alexismeza.nl", true },
  { "alexkott.com", true },
  { "alexmak.net", true },
  { "alexmerkel.com", true },
  { "alexmerkel.me", true },
  { "alexmerkel.xyz", true },
  { "alexmroberts.net", true },
  { "alexn.org", true },
  { "alexpavel.com", true },
  { "alexpotter.net", false },
  { "alexs.de", true },
  { "alexschroeder.ch", true },
  { "alexsergeyev.com", true },
  { "alexsexton.com", true },
  { "alexsinnott.me", true },
  { "alextaffe.com", true },
  { "alextjam.es", true },
  { "alextsang.net", true },
  { "alexvdveen.nl", true },
  { "alexvetter.de", true },
  { "alexwardweb.com", true },
  { "alexyang.me", true },
  { "alfa-tech.su", true },
  { "alfaperfumes.com.br", true },
  { "alfaponny.se", true },
  { "alghanimcatering.com", true },
  { "algoentremanos.com", true },
  { "algofactory.de", true },
  { "algolia.com", true },
  { "aliacraft.net", true },
  { "aliantsoft.pl", true },
  { "aliaswp.com", true },
  { "alibangash.com", true },
  { "alibip.de", true },
  { "alice-noutore.com", true },
  { "alice.tw", true },
  { "alicestudio.it", true },
  { "alicetone.net", true },
  { "alicialab.org", true },
  { "alien.bz", true },
  { "alienation.biz", true },
  { "alienflight.com", true },
  { "alienslab.net", true },
  { "alienstat.com", true },
  { "alignrs.com", true },
  { "aliim.gdn", true },
  { "alijammusic.com", true },
  { "alikulov.me", true },
  { "alinasmusicstudio.com", true },
  { "alinode.com", true },
  { "alisonisrealestate.com", true },
  { "alisonlitchfield.com", true },
  { "alistairholland.me", true },
  { "alistairstowing.com", true },
  { "alisync.com", true },
  { "aliwebstore.com", true },
  { "alix-board.de", true },
  { "alize-theatre.ch", true },
  { "aljaspod.com", true },
  { "aljaspod.hu", true },
  { "aljaspod.net", true },
  { "aljweb.com", true },
  { "alkel.info", true },
  { "all-connect.net", false },
  { "all-markup-news.com", true },
  { "all4hardware4u.de", true },
  { "allaboutbelgaum.com", false },
  { "allaboutfunuk.com", true },
  { "allaboutswing.co.uk", true },
  { "allaboutswing.com", true },
  { "allaboutthekink.org", true },
  { "allactioneventhire.co.uk", true },
  { "allamericanmuslim.com", true },
  { "allamericatrans.com", true },
  { "allangirvan.net", true },
  { "allarmi.roma.it", true },
  { "allbenjoy.de", true },
  { "allbounceandplay.co.uk", true },
  { "allbouncesurrey.co.uk", true },
  { "allbrandbrand.com", true },
  { "allbusiness.com", true },
  { "allcapa.org", true },
  { "allcarecorrectionalpharmacy.com", true },
  { "allcleanservices.ca", true },
  { "allcloud.com", true },
  { "allcovered.nl", true },
  { "alldewall.de", true },
  { "alle.bg", true },
  { "allemobieleproviders.nl", true },
  { "allenosgood.com", true },
  { "allenscaravans.co.uk", true },
  { "allensun.org", true },
  { "allerbestefreunde.de", true },
  { "allesisonline.nl", true },
  { "alleskomtgoed.org", true },
  { "allesrocknroll.de", true },
  { "allforyou.at", true },
  { "allgreenturf.com.au", true },
  { "alliance-psychiatry.com", true },
  { "alliances-faq.de", true },
  { "alliances-globalsolutions.com", true },
  { "alliedfrozenstorage.com", true },
  { "alligatorge.de", true },
  { "allinagency.com", true },
  { "allincoin.shop", true },
  { "allinone-ranking150.com", true },
  { "allis.studio", true },
  { "alljamin.com", true },
  { "allladyboys.com", true },
  { "allmebel.ru", true },
  { "allmend-ru.de", true },
  { "allns.fr", true },
  { "allo-credit.ch", true },
  { "allo-symo.fr", true },
  { "allontanamentovolatili.it", true },
  { "allontanamentovolatili.milano.it", true },
  { "alloverthehill.com", true },
  { "alloydevil.nl", true },
  { "allplayer.tk", true },
  { "allpointsblog.com", true },
  { "allproptonline.com", true },
  { "allroundpvp.net", true },
  { "allsearch.io", true },
  { "allseasons-cleaning.co.uk", true },
  { "allshousedesigns.com", true },
  { "allstakesupply.com.au", true },
  { "allstarautokiaparts.com", true },
  { "allstarpartyinflatables.co.uk", true },
  { "allstarquilts.com", true },
  { "allsync.com", true },
  { "allsync.nl", true },
  { "allthethings.co.nz", true },
  { "allthings.me", true },
  { "allthingsblogging.com", true },
  { "allthingssquared.com", true },
  { "allthingswild.co.uk", true },
  { "allurescarves.com", true },
  { "alluvion.studio", true },
  { "almaatlantica.com", true },
  { "almagalla.com", true },
  { "almavios.com", true },
  { "aloesoluciones.com.ar", true },
  { "alohapartyevents.co.uk", true },
  { "alonetone.com", true },
  { "alp.od.ua", true },
  { "alpca.org", true },
  { "alpe-d-or.dyn-o-saur.com", true },
  { "alpencam.com", true },
  { "alpencams.com", true },
  { "alpengreis.ch", true },
  { "alpenjuice.com", true },
  { "alpertron.com.ar", true },
  { "alpes-deis-tools.com", true },
  { "alpha-assistant.com", true },
  { "alpha-force.net", false },
  { "alpha.ch", true },
  { "alpha88uat.com", true },
  { "alphaantileak.net", true },
  { "alphabetsigns.com", true },
  { "alphabouncycastles.co.uk", true },
  { "alphabrock.cn", true },
  { "alphachat.net", true },
  { "alphaetomega3d.fr", true },
  { "alphafiduciaryservices.ch", true },
  { "alphainflatablehire.com", true },
  { "alphapengu.in", true },
  { "alpharotary.com", true },
  { "alphasall.com", true },
  { "alphassl.de", true },
  { "alphatrash.de", true },
  { "alphavote-avex.com", true },
  { "alphavote.com", true },
  { "alphera.nl", true },
  { "alphie.me", true },
  { "alphipneux.fr", true },
  { "alpinechaletrental.com", true },
  { "alpineplanet.com", true },
  { "alpinepubliclibrary.org", true },
  { "alpinestarmassage.com", true },
  { "alpinetrek.co.uk", true },
  { "alpiniste.fr", true },
  { "alqassam.net", true },
  { "alrait.com", true },
  { "alroniks.com", true },
  { "als-japan.com", true },
  { "alstroemeria.org", true },
  { "alt-tab-design.com", true },
  { "alt-three.com", true },
  { "alt.org", true },
  { "altaplana.be", true },
  { "altbinaries.com", true },
  { "altedirect.com", true },
  { "alter-news.fr", true },
  { "altered.network", true },
  { "alternador.com.br", true },
  { "alternative.bike", true },
  { "alternativebit.fr", true },
  { "alternativedev.ca", true },
  { "alternativet.party", true },
  { "alterspalter.de", true },
  { "altes-sportamt.de", true },
  { "altesses.eu", true },
  { "altestore.com", true },
  { "altitudemoversdenver.com", true },
  { "altkremsmuensterer.at", true },
  { "altoa.cz", true },
  { "altonblom.com", true },
  { "altoneum.com", true },
  { "altopartners.com", true },
  { "altopia.com", true },
  { "altphotos.com", true },
  { "altruistgroup.net", true },
  { "alts.li", true },
  { "altstipendiaten.de", true },
  { "alttrackr.com", true },
  { "altunbas.info", true },
  { "alumni-kusa.jp", true },
  { "aluoblog.pw", true },
  { "alupferd.de", true },
  { "aluroof.eu", true },
  { "alvcs.com", true },
  { "alviano.com", true },
  { "alvicom.hu", true },
  { "alvn.ga", true },
  { "alvosec.com", true },
  { "alwaysdry.com.au", true },
  { "alwayslookingyourbest.com", true },
  { "alwaysmine.fi", true },
  { "alwaysonssl.com", true },
  { "alyoung.com", true },
  { "alza.at", true },
  { "alza.co.uk", true },
  { "alza.cz", true },
  { "alza.de", true },
  { "alza.hu", true },
  { "alza.sk", true },
  { "alzashop.com", true },
  { "alzonaprinting.com", true },
  { "am2s.fr", true },
  { "am3.se", true },
  { "ama.ne.jp", true },
  { "amadilo.de", false },
  { "amadoraslindas.com", true },
  { "amadvice.com", true },
  { "amaforro.com", true },
  { "amaforums.org", true },
  { "amagdic.com", true },
  { "amaiz.com", true },
  { "amalfi5stars.com", true },
  { "amalficoastchauffeur.com", true },
  { "amalfilapiazzetta.it", true },
  { "amalfipositanoboatrental.com", true },
  { "amalfirock.it", true },
  { "amalfitabula.it", true },
  { "amandasage.ca", true },
  { "amaranthus.com.ph", true },
  { "amaresq.com", true },
  { "amateri.com", true },
  { "amateurvoicetalent.com", true },
  { "amato.tk", true },
  { "amatsuka.com", true },
  { "amauf.de", true },
  { "amazili-communication.com", true },
  { "amazing-castles.co.uk", true },
  { "amazinginflatables.co.uk", true },
  { "amb.tf", true },
  { "amberglowleisure.co.uk", true },
  { "amberlightleisure.com", true },
  { "ambholding-usedcars.be", true },
  { "ambiente.one", true },
  { "ambiq.nl", true },
  { "ambouncyhire.com", true },
  { "amcchemical.com", true },
  { "amcfirst.com", true },
  { "amchainitiative.org", true },
  { "amcs.website", true },
  { "amdouglas.com", true },
  { "amechancez.site", true },
  { "amedtest.org", true },
  { "ameego.it", true },
  { "ameego.net", true },
  { "ameego.nl", true },
  { "ameego.org", true },
  { "amees.me", false },
  { "amello.de", true },
  { "america.gov", true },
  { "americafamilylawcenter.org", true },
  { "american.dating", true },
  { "americanfoundationbr.com", true },
  { "americanmediainstitute.com", true },
  { "americasbasementcontractor.com", true },
  { "americkykongres.cz", true },
  { "amerigroup.com", true },
  { "ameriikanpoijat.org", true },
  { "amerika-forum.de", true },
  { "amerimarkdirect.com", true },
  { "amerimex.cc", true },
  { "amesgen.de", true },
  { "amesvacuumrepair.com", true },
  { "amethystdevelopment.co.uk", true },
  { "ameza.co.uk", true },
  { "ameza.com.mx", true },
  { "ameza.io", true },
  { "ameza.me", true },
  { "ameza.net", true },
  { "amf.to", true },
  { "amg-exterieur.fr", true },
  { "amg-microwave.com", true },
  { "amh-entertainments.co.uk", true },
  { "ami-de-bastanes.fr", true },
  { "amicalecanyon.ch", true },
  { "amiciidogrescue.org.uk", true },
  { "amielucha.com", true },
  { "amikootours.com", true },
  { "amin.ga", true },
  { "amin.one", true },
  { "aminafrance.com", true },
  { "amineptine.com", true },
  { "amirautos.com", true },
  { "amirmahdy.com", true },
  { "amisderodin.fr", true },
  { "amisharingstuff.com", true },
  { "amitpatra.com", true },
  { "ammanagingdirectors.com", true },
  { "amministratore.biz", true },
  { "amministratore.roma.it", true },
  { "amministratorecondominio.roma.it", true },
  { "amnesty.org.au", true },
  { "amnesy.fr", true },
  { "amoozesh98.com", true },
  { "amoozesh98.ir", true },
  { "amorgos-aegialis.com", true },
  { "amorim.ca", true },
  { "amosng.com", true },
  { "ampersandnbspsemicolon.com", true },
  { "amphetamines.org", true },
  { "amphibo.ly", true },
  { "ampproject.com", true },
  { "ampproject.org", true },
  { "ams.co.rs", true },
  { "amsportuk.com", true },
  { "amsterdamian.com", true },
  { "amuq.net", true },
  { "amuraimpianti.it", true },
  { "amv-crm.ru", true },
  { "amyharrisonline.com", true },
  { "amyrussellhair.com", true },
  { "amzn.rocks", true },
  { "anacreon.de", true },
  { "anadiyogacentre.com", true },
  { "anadoluefessk.org", true },
  { "anaethelion.fr", true },
  { "anaisypirueta.es", true },
  { "anajianu.ro", true },
  { "anakros.me", false },
  { "analangelsteen.com", true },
  { "analbleachingguide.com", true },
  { "analgesia.net", true },
  { "analisilaica.it", true },
  { "analogist.net", true },
  { "analteengirls.net", true },
  { "analyticsinmotion.com", true },
  { "analyticum.at", true },
  { "analyticum.com", true },
  { "analyticum.de", true },
  { "analyticum.eu", true },
  { "analyticum.net", true },
  { "ananas.gq", true },
  { "ananke.io", true },
  { "anankecosmetics.com", true },
  { "anantshri.info", true },
  { "anarchistischegroepnijmegen.nl", false },
  { "anassiriphotography.com", false },
  { "anastasia-shamara.ru", true },
  { "anastasiafond.com", true },
  { "ancarda.net", true },
  { "ancestramil.fr", true },
  { "anchev.net", true },
  { "anchovy.nz", false },
  { "ancient-gates.de", true },
  { "ancientnorth.com", true },
  { "ancientnorth.nl", true },
  { "ancolies-andre.com", true },
  { "anconaswine.com", true },
  { "and-stuff.nl", true },
  { "and.com", true },
  { "andalusierondreizen.nl", true },
  { "andariegocusco.com", true },
  { "andarpersassi.it", true },
  { "andbraiz.com", true },
  { "andel.info", false },
  { "anders.hamburg", true },
  { "anderskp.dk", true },
  { "andersonshatch.com", true },
  { "andiplusben.com", true },
  { "andisadhdspot.com", true },
  { "andiscyber.space", true },
  { "anditi.com", true },
  { "andoms.fi", true },
  { "andre-lategan.com", true },
  { "andre-otto.com", true },
  { "andrea-kiaora.de", true },
  { "andrea-m.me", true },
  { "andrea-wirthensohn.at", true },
  { "andreaboero.it", true },
  { "andreagourmet.it", true },
  { "andreamcnett.com", true },
  { "andreasbasurto.com", true },
  { "andreaseracleous.com", true },
  { "andreasfeusi.ch", true },
  { "andreaskrasa.com", true },
  { "andreasolsson.se", true },
  { "andrefaber.nl", true },
  { "andrehansen.de", true },
  { "andrei-nakov.org", true },
  { "andrejbenz.com", true },
  { "andreoliveira.io", true },
  { "andrepicard.de", true },
  { "andrespaz.com", true },
  { "andreundnina.de", true },
  { "andrewdavidwong.com", true },
  { "andrewdaws.io", true },
  { "andrewensley.com", true },
  { "andrewhowden.com", true },
  { "andrewimeson.com", true },
  { "andrewin.ru", true },
  { "andrewmichaud.com", true },
  { "andrewmichaud.me", true },
  { "andrewpeng.net", true },
  { "andrewprokos.com", true },
  { "andrewrgoss.com", true },
  { "andrewryno.com", true },
  { "andrewsun.com", true },
  { "andrewtchin.com", true },
  { "andrewx.net", true },
  { "andrezadnik.com", true },
  { "andro2id.com", true },
  { "andro4all.com", true },
  { "android.re", true },
  { "androide.com", true },
  { "androidhry.cz", true },
  { "androidkatalog.cz", true },
  { "androidnovinky.cz", true },
  { "androidsphone.com", true },
  { "androidtamer.com", true },
  { "androidtelefony.cz", true },
  { "androidzone.me", true },
  { "andromedacenter.com", true },
  { "androticsdirect.com", true },
  { "andruvision.cz", true },
  { "andsat.org", true },
  { "andschwa.com", true },
  { "andso.cn", true },
  { "anduril.de", true },
  { "anduril.eu", true },
  { "andybrett.com", true },
  { "andyc.cc", true },
  { "andycloud.dynu.net", true },
  { "andycrockett.io", true },
  { "andymelichar.com", true },
  { "andymoore.info", true },
  { "andyt.eu", true },
  { "andzia.art.pl", true },
  { "anedot-sandbox.com", true },
  { "anedot.com", true },
  { "anedot.space", true },
  { "anedot.xyz", true },
  { "anekdotes.com", false },
  { "anetaben.nl", true },
  { "anextraordinaryday.net", true },
  { "anfenglish.com", true },
  { "ange-de-bonheur444.com", true },
  { "angehardy.com", true },
  { "angel-body.com", true },
  { "angelic47.com", true },
  { "angelinahair.com", true },
  { "angelremigene.com", true },
  { "angelsgirl.eu.org", true },
  { "anginf.de", true },
  { "anglertanke.de", true },
  { "anglesya.win", true },
  { "anglictina-sojcak.cz", true },
  { "anglictinasojcak.cz", true },
  { "anglingactive.co.uk", true },
  { "anglirl.eu.org", true },
  { "angrapa.ru", true },
  { "angristan.fr", true },
  { "angristan.xyz", true },
  { "angrut.com", true },
  { "angry.im", true },
  { "angrysnarl.com", true },
  { "angryteeth.net", true },
  { "anguiao.com", true },
  { "angularjs.org", false },
  { "angusmak.com", true },
  { "anhaffen.lu", true },
  { "aniaimichal.eu", true },
  { "anim.ee", true },
  { "animacurse.moe", true },
  { "animaemundi.be", true },
  { "animal-liberation.com", true },
  { "animal-rights.com", true },
  { "animalistic.io", true },
  { "animaltesting.fr", true },
  { "animationsmusicales.ch", true },
  { "anime-culture.com", true },
  { "anime-rg.com", true },
  { "anime-tip.com", true },
  { "anime.my", false },
  { "anime1.me", true },
  { "anime1.moe", true },
  { "anime1.pw", true },
  { "anime1.top", true },
  { "animeai.com", true },
  { "animefluxxx.com", true },
  { "animesharp.com", true },
  { "animojis.es", true },
  { "animorphsfanforum.com", true },
  { "anipassion.com", true },
  { "anitaalbersen.nl", true },
  { "anitube.ch", true },
  { "aniwhen.com", true },
  { "ankarakart.com.tr", true },
  { "ankaraprofesyonelwebtasarim.com", true },
  { "ankarauzmanlarnakliyat.com", true },
  { "ankarayilmaznakliyat.com", true },
  { "ankarayucelnakliyat.com", true },
  { "ankenbrand.me", true },
  { "ankiuser.net", true },
  { "ankiweb.net", true },
  { "ankwanoma.com", true },
  { "ankya9.com", true },
  { "anleitung-deutsch-lernen.de", true },
  { "anleitung-zum-flechten.de", true },
  { "anleitung-zum-haekeln.de", true },
  { "anleitung-zum-schreiben.de", true },
  { "anleitung-zum-schweissen.de", true },
  { "anleitung-zum-toepfern.de", true },
  { "anlp.top", true },
  { "anna.info", true },
  { "annaenemma.nl", true },
  { "annafiore.com.br", true },
  { "annangela.moe", true },
  { "annarokina.com", true },
  { "annasvapor.se", true },
  { "annawagner.pl", true },
  { "annedaniels.co.uk", true },
  { "annejan.com", true },
  { "annemakeslovelycandles.co.uk", true },
  { "annetta.com", true },
  { "annettewindlin.ch", true },
  { "annevankesteren.nl", true },
  { "annicascakes.nl", true },
  { "anniversary-cruise.com", true },
  { "annmariewaltsphotography.com", true },
  { "annonasoftware.com", true },
  { "annotate.software", true },
  { "annoyingasfuk.com", true },
  { "annrusnak.com", true },
  { "annuaire-jcb.com", true },
  { "annuaire-photographe.fr", false },
  { "anohana.org", true },
  { "anojan.com", true },
  { "anon-next.de", true },
  { "anoncom.net", true },
  { "anoneko.com", true },
  { "anongoth.pl", true },
  { "anons.fr", true },
  { "anonukradio.org", true },
  { "anonym-surfen.de", true },
  { "anonyme-spieler.at", true },
  { "anorak.tech", true },
  { "another.ch", true },
  { "anotherchef.com", true },
  { "anotherfatgeek.net", true },
  { "anothermilan.net", true },
  { "anowicki.pl", false },
  { "anoxinon.de", true },
  { "ans-delft.nl", true },
  { "ans-ge.ch", true },
  { "ansas.eu", true },
  { "ansas.net", true },
  { "ansdell.net", true },
  { "anseo.ninja", true },
  { "ansermet.net", true },
  { "ansermfg.com", true },
  { "ansgar-sonntag.de", true },
  { "ansgarsonntag.de", true },
  { "ansichtssache.at", true },
  { "ansogning-sg.dk", true },
  { "anstaskforce.gov", true },
  { "answers-online.ru", true },
  { "antama.eu", true },
  { "antama.nl", true },
  { "antani.cloud", true },
  { "antarcti.co", true },
  { "antarespc.com", true },
  { "antcas.com", true },
  { "antecim.fr", true },
  { "antennista.catania.it", true },
  { "antennista.milano.it", true },
  { "antennista.pavia.it", true },
  { "antennista.roma.it", true },
  { "antennisti.milano.it", true },
  { "antennisti.roma.it", true },
  { "anteprima.info", true },
  { "anthedesign.fr", true },
  { "anthisis.tv", true },
  { "anthony-rouanet.com", true },
  { "anthony.codes", true },
  { "anthonyaires.com", true },
  { "anthonycarbonaro.com", true },
  { "anthonygaidot.fr", true },
  { "anthonyloop.com", true },
  { "anthropoid.ca", true },
  { "anti-bible.com", true },
  { "anti-radar.org", true },
  { "antibioticshome.com", true },
  { "anticopyright.com", true },
  { "antifraud.net.ru", true },
  { "antik-trodelmarkt.de", true },
  { "antikvariat.ru", true },
  { "antiled.by", true },
  { "antimine.me", true },
  { "antipolygraph.org", true },
  { "antique-pedalcars.ch", true },
  { "antirepressionbayarea.com", true },
  { "antispeciesism.com", true },
  { "antispeciesist.com", true },
  { "antivirusprotection.reviews", true },
  { "antocom.com", true },
  { "antoga.eu", true },
  { "antoinedeschenes.com", true },
  { "antoinemary.com", true },
  { "antonchen.com", true },
  { "antonellabb.eu", true },
  { "antonin.one", true },
  { "antonjuulnaber.dk", true },
  { "antons.io", true },
  { "antota.lt", true },
  { "antragsgruen.de", true },
  { "antraxx.ee", true },
  { "antroposofica.com.br", true },
  { "antyblokada.pl", true },
  { "anulowano.pl", true },
  { "anvartay.com", true },
  { "anwaltsindex.com", true },
  { "anxietyspace.com", true },
  { "anxiolytics.com", true },
  { "anymetrix.io", true },
  { "anynode.net", true },
  { "anyon.com", true },
  { "anypeer.net", true },
  { "anypool.fr", true },
  { "anypool.net", true },
  { "anyprime.net", true },
  { "anyquestions.govt.nz", true },
  { "anystack.xyz", true },
  { "anzeiger.ag", true },
  { "ao-dev.com", true },
  { "ao2.it", true },
  { "aobogo.com", true },
  { "aoku3d.com", true },
  { "aolabs.nz", true },
  { "aomonk.com", true },
  { "aopedeure.nl", true },
  { "aopsy.de", true },
  { "aosc.io", false },
  { "aosus.org", true },
  { "aotearoa.maori.nz", true },
  { "aotearoaleaks.org", true },
  { "ap-swiss.ch", true },
  { "apache-portal.com", true },
  { "apachehaus.de", false },
  { "apadvantage.com", true },
  { "aparaatti.org", true },
  { "apartmanicg.me", true },
  { "apartment-in-rijeka.com", true },
  { "apartment-natik.fr", true },
  { "apartmentkroatien.at", true },
  { "apartmentregister.com.au", true },
  { "apbox.de", true },
  { "apcemporium.co.uk", true },
  { "apcube.com", true },
  { "apdx.com", true },
  { "apef.ch", true },
  { "apercloud.es", true },
  { "apertis.org", true },
  { "aperturesciencelabs.de", true },
  { "apervita.net", true },
  { "apexitsolutions.ca", true },
  { "aphelionentertainment.com", true },
  { "aphotrax.eu", true },
  { "api-connect.com", true },
  { "api-geek.com", true },
  { "api.biz.tr", true },
  { "api.cloudflare.com", true },
  { "api.intercom.io", true },
  { "api.lookout.com", false },
  { "api.recurly.com", true },
  { "api.simple.com", false },
  { "api.xero.com", false },
  { "apiary.blog", true },
  { "apiary.clothing", true },
  { "apiary.shop", true },
  { "apiary.store", true },
  { "apiary.supplies", true },
  { "apiary.supply", true },
  { "apila.care", true },
  { "apila.us", true },
  { "apiled.io", true },
  { "apination.com", true },
  { "apio.systems", true },
  { "apis.blue", true },
  { "apis.google.com", true },
  { "apis.moe", true },
  { "apisyouwonthate.com", true },
  { "apk.li", true },
  { "apk4fun.com", true },
  { "aplikaceproandroid.cz", true },
  { "aplpackaging.co.uk", true },
  { "aplu.fr", true },
  { "aplus-usa.net", true },
  { "apmpproject.org", true },
  { "apn-dz.org", true },
  { "apn-einstellungen.de", true },
  { "apobot.de", true },
  { "apoil.org", true },
  { "apollyon.work", true },
  { "apoly.de", true },
  { "aponkral.net", true },
  { "aporia.io", true },
  { "aposke.com", true },
  { "aposke.net", true },
  { "aposke.org", true },
  { "apothes.is", true },
  { "app-at.work", true },
  { "app.recurly.com", true },
  { "app.yinxiang.com", false },
  { "app2get.de", true },
  { "apparelfashionwiki.com", true },
  { "appartement-andrea.at", true },
  { "appartement-evolene.net", true },
  { "appartementhaus-badria.de", true },
  { "appartementmarsum.nl", true },
  { "appchive.net", true },
  { "appcoins.io", true },
  { "appearance-plm.de", true },
  { "appel-aide.ch", true },
  { "appelboomdefilm.nl", true },
  { "appengine.google.com", true },
  { "apperio.com", true },
  { "appformacpc.com", true },
  { "appgeek.com.br", true },
  { "appharbor.com", true },
  { "appify.org", true },
  { "applelife.ru", true },
  { "applemon.com", true },
  { "appleoosa.com", true },
  { "appleranch.com", true },
  { "applesana.es", true },
  { "applesencia.com", true },
  { "applewatch.co.nz", true },
  { "applian.jp", true },
  { "appliancerepairlosangeles.com", true },
  { "applicationmanager.gov", true },
  { "apply.eu", true },
  { "apply55gx.com", true },
  { "appmeas.co.uk", true },
  { "appmobile.io", true },
  { "appninjas.com", true },
  { "apponic.com", true },
  { "apponline.com", true },
  { "apprank.in", true },
  { "approbo.com", true },
  { "approvedtreecare.com", true },
  { "apps.co", true },
  { "apps.facebook.com", false },
  { "apps.fedoraproject.org", true },
  { "apps.stg.fedoraproject.org", true },
  { "apps4inter.net", true },
  { "appscloudplus.com", true },
  { "appseccalifornia.org", false },
  { "appshuttle.com", true },
  { "appson.co.uk", false },
  { "appt.ch", true },
  { "apptomics.com", true },
  { "appuals.com", true },
  { "appui-de-fenetre.fr", true },
  { "appveyor.com", true },
  { "appxcrypto.com", true },
  { "appzoojoo.be", true },
  { "apratimsaha.com", true },
  { "aprefix.com", true },
  { "apretatuercas.es", true },
  { "aprikaner.de", true },
  { "aproposcomputing.com", true },
  { "aprovpn.com", true },
  { "aprr.org", true },
  { "aprsdroid.org", true },
  { "aprz.de", true },
  { "apstudynotes.org", true },
  { "aptitude9.com", true },
  { "apu-board.de", true },
  { "apv-ollon.ch", true },
  { "aqsiq.net", true },
  { "aqua-fitness-nacht.de", true },
  { "aqua-fotowelt.de", true },
  { "aquabar.co.il", true },
  { "aquabio.ch", true },
  { "aquadonis.ch", true },
  { "aquahomo.com", true },
  { "aqualife.com.gr", true },
  { "aqualifeprojects.com", true },
  { "aqualysis.nl", true },
  { "aquarium-supplement.net", true },
  { "aquaron.com", true },
  { "aquaselect.eu", true },
  { "aquatechnologygroup.com", true },
  { "aquaundine.net", true },
  { "aquavitaedayspa.com.au", true },
  { "aquila.co.uk", true },
  { "aquitainebrasserie.com.au", true },
  { "aquitroc.com", true },
  { "ar-informatique.ch", true },
  { "ar.al", true },
  { "arab.dating", true },
  { "arabsexi.info", true },
  { "arachina.com", true },
  { "arados.de", true },
  { "arai21.net", true },
  { "araleeniken.com", true },
  { "aramado.com", true },
  { "aramido.de", true },
  { "aranel.me", true },
  { "aranycsillag.net", true },
  { "araratour.com", true },
  { "araro.ch", true },
  { "araseifudousan.com", true },
  { "arawaza.biz", true },
  { "arawaza.com", false },
  { "arawaza.info", true },
  { "araxis.com", true },
  { "arbeitskreis-asyl-eningen.de", true },
  { "arbeitslosenverwaltung.de", true },
  { "arbejdsdag.dk", true },
  { "arbitrarion.com", true },
  { "arbitrary.ch", true },
  { "arboworks.com", true },
  { "arcaik.net", true },
  { "arcbouncycastles.co.uk", true },
  { "arcenergy.co.uk", true },
  { "archimedicx.com", true },
  { "archined.nl", true },
  { "architectdirect.nl", false },
  { "archivero.es", true },
  { "archivesdelavieordinaire.ch", true },
  { "archlinux.de", true },
  { "archlinux.org", true },
  { "archmediamarketing.com", true },
  { "archsec.info", true },
  { "arcobalabs.ca", true },
  { "arcridge.ca", true },
  { "arctic.gov", true },
  { "arcusnova.de", true },
  { "arda-audio.pt", true },
  { "ardtrade.ru", true },
  { "area4pro.com", true },
  { "area536.com", true },
  { "areaclienti.net", true },
  { "areafiftylan.nl", true },
  { "areatrend.com", true },
  { "arendburgers.nl", true },
  { "arenlor.com", true },
  { "arenlor.info", true },
  { "arenns.com", true },
  { "areqgaming.com", true },
  { "ares-trading.de", true },
  { "arethsu.se", true },
  { "arfad.ch", true },
  { "arg.zone", true },
  { "arganaderm.ch", true },
  { "argb.de", true },
  { "argekultur.at", true },
  { "argh.io", true },
  { "argot.com", true },
  { "argovpay.com", true },
  { "ariadermspa.com", true },
  { "arian.io", true },
  { "ariba.info", true },
  { "ariege-pyrenees.net", true },
  { "arieswdd.com", true },
  { "arigato-java.download", true },
  { "arijitdg.net", true },
  { "arikar.eu", true },
  { "arima.co.ke", true },
  { "arimarie.com", true },
  { "arinde.ee", true },
  { "arise19.com", true },
  { "arisevendor.net", true },
  { "aristilabs.com", true },
  { "aristocrates.co", true },
  { "aristocratps.com", true },
  { "aritec-la.com", true },
  { "arivo.com.br", true },
  { "arizonaautomobileclub.com", true },
  { "arjandejong.eu", true },
  { "arjanvaartjes.net", true },
  { "arjunasdaughter.pub", true },
  { "arjweb.co.uk", true },
  { "arkacrao.org", true },
  { "arkadiyt.com", true },
  { "arkaic.dyndns.org", true },
  { "arkbyte.com", true },
  { "arkulagunak.com", false },
  { "arlen.tv", true },
  { "arlenarmageddon.com", true },
  { "armadaquadrat.com", true },
  { "armandsdiscount.com", true },
  { "armansfinejewellery.com", true },
  { "armansfinejewellery.com.au", true },
  { "armarinhovirtual.com.br", true },
  { "armedpoet.com", true },
  { "armeni-jewellery.gr", true },
  { "armil.it", true },
  { "arminc.tk", true },
  { "arminpech.de", true },
  { "armleads.com", true },
  { "armor.ai", true },
  { "armstrongsengineering.com", true },
  { "army24.cz", true },
  { "armyprodej.cz", true },
  { "arnaudb.net", true },
  { "arnaudfeld.de", true },
  { "arnaudminable.net", true },
  { "arniescastles.co.uk", true },
  { "arno-klein.de", true },
  { "arno-klein.eu", true },
  { "arno-klein.fr", true },
  { "arno.pm", true },
  { "arnoldkontz-occasions.lu", true },
  { "arnonerba.com", true },
  { "arnor.org", true },
  { "arnoudraeven.nl", true },
  { "arnoudvandalen.nl", true },
  { "arnsmedia.nl", true },
  { "arod.tk", true },
  { "arogov.com", true },
  { "arokha.com", true },
  { "aromacos.ch", true },
  { "aron.host", true },
  { "aroonchande.com", true },
  { "arox.eu", true },
  { "arqueo-ecuatoriana.ec", true },
  { "arquitetura.pt", true },
  { "arrakis.se", true },
  { "arrive.by", true },
  { "arrmaforum.com", true },
  { "arrow-analytics.nl", true },
  { "arrow-api.nl", true },
  { "arrowfastener.com", true },
  { "arrowheadaddict.com", true },
  { "arrowwebprojects.nl", true },
  { "arschkrebs.org", true },
  { "art-auction.jp", true },
  { "art-et-culture.ch", true },
  { "artansoft.com", true },
  { "artboja.com", true },
  { "artdeco-photo.com", true },
  { "artea.ga", true },
  { "arteaga.co.uk", true },
  { "arteaga.eu", true },
  { "arteaga.me", true },
  { "arteaga.tech", true },
  { "arteaga.uk", true },
  { "arteaga.xyz", true },
  { "artecat.ch", true },
  { "artedellavetrina.it", true },
  { "artefakt.es", true },
  { "arteinstudio.it", true },
  { "artelt.com", true },
  { "arterienundvenen.ch", true },
  { "arteseideias.com.pt", true },
  { "arteshow.ch", true },
  { "artetrama.com", false },
  { "artforum.sk", true },
  { "artfullyelegant.com", true },
  { "arthermitage.org", true },
  { "arthurlaw.ca", true },
  { "artificial.army", true },
  { "artik.cloud", true },
  { "artimpact.ch", true },
  { "artioml.net", true },
  { "artionet.ch", true },
  { "artisans-libres.com", true },
  { "artisansoftaste.com", true },
  { "artistagenda.com", true },
  { "artlantis.nl", true },
  { "artleading.ru", true },
  { "artlifeisgood.com", true },
  { "artlogo.biz", true },
  { "artlogo.cz", true },
  { "artlogo.sk", true },
  { "artmanager.dk", true },
  { "artmarketingnews.com", true },
  { "artmaxi.eu", true },
  { "artmoney.com", true },
  { "arto.bg", true },
  { "artofmonitoring.com", false },
  { "artofwhere.com", true },
  { "artratio.net", true },
  { "artroot.jp", true },
  { "artroscopiaperlosport.it", true },
  { "arts.gov", true },
  { "artschmidtoptical.com", true },
  { "artspac.es", true },
  { "artstopinc.com", true },
  { "arturkohut.com", true },
  { "arturrossa.de", true },
  { "arturszalak.com", true },
  { "artweby.cz", true },
  { "artworxbathrooms.com.au", true },
  { "arty.name", true },
  { "arubasunsetbeach.com", true },
  { "arveron.ch", true },
  { "arvid.io", true },
  { "arvindhariharan.com", true },
  { "arvindhariharan.me", true },
  { "arvutiladu.ee", true },
  { "arw.me", true },
  { "aryan-nation.com", true },
  { "aryasenna.net", true },
  { "arzid.com", true },
  { "arzinfo.pw", true },
  { "as200753.com", true },
  { "as200753.net", true },
  { "as44222.net", true },
  { "asadatec.de", true },
  { "asadzulfahri.com", true },
  { "asafilm.co", true },
  { "asana.studio", true },
  { "asanger.biz", true },
  { "asato-jewelry.com", true },
  { "asbito.de", true },
  { "ascension.run", true },
  { "ascensori.biz", true },
  { "ascgathering.com", true },
  { "ascii.moe", true },
  { "asd.gov.au", true },
  { "asdyx.de", true },
  { "asec01.net", true },
  { "aseith.com", true },
  { "aserver.co", true },
  { "asexualitat.cat", true },
  { "asgapps.co.za", true },
  { "asge-handel.de", true },
  { "ashlocklawgroup.com", true },
  { "ashmportfolio.com", true },
  { "ashutoshmishra.org", true },
  { "asia-gazette.com", true },
  { "asia.dating", true },
  { "asiaheavens.com", true },
  { "asialeonding.at", true },
  { "asian-industry.eu", true },
  { "asianbet77.co", true },
  { "asianodor.com", true },
  { "asianshops.net", true },
  { "asiba.com.au", true },
  { "asiesvenezuela.com", true },
  { "asile-colis.fr", true },
  { "asinetasima.com", true },
  { "asisee.photography", true },
  { "ask.pe", true },
  { "ask1.org", true },
  { "askizzy.org.au", true },
  { "askkaren.gov", true },
  { "askmagicconch.com", false },
  { "askme24.de", true },
  { "askv6.net", true },
  { "askvg.com", true },
  { "askwhy.cz", true },
  { "askwhy.eu", true },
  { "aslinfinity.com", true },
  { "asm-x.com", false },
  { "asmbsurvey.com", true },
  { "asmdz.com", true },
  { "asmik-armenie.com", true },
  { "asoul.tw", true },
  { "aspargesgaarden.no", true },
  { "aspatrimoine.com", true },
  { "aspcl.ch", true },
  { "aspectcontext.com", true },
  { "asperti.com", true },
  { "asphyxia.su", true },
  { "aspiescentral.com", true },
  { "aspirateur-anti-pollution.fr", true },
  { "aspires.co.jp", true },
  { "aspisdata.com", true },
  { "asra.gr", true },
  { "asryflorist.com", true },
  { "asseenfromthesidecar.org", true },
  { "assemble-together.org", true },
  { "assempsaibiza.com", true },
  { "assertion.de", true },
  { "assessoriati.com.br", true },
  { "assetict.com", true },
  { "assetvault.co.za", true },
  { "assguidesporrentruy.ch", true },
  { "assign-it.co.uk", true },
  { "assistance-personnes-agees.ch", true },
  { "assistcart.com", true },
  { "assistenzaferrodastiro.org", true },
  { "assistenzafrigorifero.org", true },
  { "assistenzalavatrice.org", true },
  { "assistenzamicroonde.org", true },
  { "assodigitale.it", true },
  { "asspinter.me", true },
  { "assumptionpj.org", true },
  { "astal.rs", true },
  { "astarbouncycastles.co.uk", true },
  { "astarmathsandphysics.com", true },
  { "astec-informatica.com", true },
  { "astengox.com", true },
  { "astenotarili.online", true },
  { "astenretail.com", true },
  { "astral.org.pl", true },
  { "astroscopy.ch", true },
  { "astrosnail.pt.eu.org", true },
  { "astural.org", true },
  { "astutikhonda.com", true },
  { "asuclassfinder.com", true },
  { "asucrews.com", true },
  { "asuka.io", true },
  { "asun.co", true },
  { "asurepay.cc", false },
  { "asustreiber.de", true },
  { "asvsa.ch", true },
  { "asws.nl", true },
  { "asystent-dzierzawy.pl", true },
  { "at-one.ca", true },
  { "at.search.yahoo.com", false },
  { "atac.no", true },
  { "atacadocervejeiro.com.br", true },
  { "atacadodesandalias.com.br", true },
  { "ataton.ch", true },
  { "atc.io", true },
  { "atchleyjazz.com", true },
  { "atchleyjazz.org", true },
  { "atchleylab.org", true },
  { "atcom.cl", true },
  { "atds.ch", true },
  { "ateamsport.dk", true },
  { "atease-salon.jp", true },
  { "atedificacion.com", true },
  { "ateli.com", true },
  { "atelier-coiffure.ch", true },
  { "atelier-naruby.cz", true },
  { "atelieraphelion.com", true },
  { "atelierbw.com", true },
  { "atelierdefrancais.ch", true },
  { "atelierdeloulou.fr", true },
  { "atelierdesflammesnoires.fr", true },
  { "atelierhupsakee.nl", true },
  { "ateliernaruby.cz", true },
  { "ateliers-veronese-nantes.fr", true },
  { "atelierssud.ch", true },
  { "atelierssud.swiss", true },
  { "atgoetschel.ch", true },
  { "atgroup.gr", true },
  { "atgseed.co.uk", true },
  { "atgseed.uk", true },
  { "ath0.org", true },
  { "atheist-refugees.com", true },
  { "athena-bartholdi.com", true },
  { "athena-garage.co.uk", true },
  { "athenadynamics.com", true },
  { "atheoryofchange.com", true },
  { "atherosense.ga", true },
  { "athlin.de", true },
  { "atimbertownservices.com", true },
  { "atishchenko.com", true },
  { "atisoft.com.tr", true },
  { "atisoft.net", true },
  { "atisoft.net.tr", true },
  { "atisoft.web.tr", true },
  { "atitude.com", true },
  { "ativapsicologia.com.br", true },
  { "atk.me", true },
  { "atl-paas.net", true },
  { "atlantahairsurgeon.com", true },
  { "atlantareroof.com", true },
  { "atlantaspringroll.com", true },
  { "atlantichomes.com.au", true },
  { "atlantis-kh.noip.me", true },
  { "atlantischild.hu", true },
  { "atlantishq.de", true },
  { "atlantiswaterproofing.com", true },
  { "atlas.co", true },
  { "atlaschiropractic.org", true },
  { "atlascultural.com", true },
  { "atlasdev.nl", true },
  { "atlasone.us", true },
  { "atlassian.io", true },
  { "atlassignsandplaques.com", true },
  { "atletika.hu", true },
  { "atmocdn.com", true },
  { "atmschambly.com", true },
  { "atnis.com", true },
  { "ato4sound.com", true },
  { "atolm.net", true },
  { "atom-china.org", true },
  { "atom.solutions", true },
  { "atom86.net", true },
  { "atombase.org", true },
  { "atomic-bounce.com", true },
  { "atomicbounce.co.uk", true },
  { "atomism.com", true },
  { "atorcidabrasileira.com.br", true },
  { "atplonline.co", true },
  { "atraining.ru", true },
  { "atraverscugy.ch", true },
  { "atrevillot.com", true },
  { "atrinik.org", true },
  { "atsoftware.de", true },
  { "attac.us", true },
  { "atte.fi", true },
  { "attendantdesign.com", true },
  { "attendu.cz", true },
  { "attilagyorffy.com", true },
  { "attilavandervelde.nl", true },
  { "attinderdhillon.com", true },
  { "attitudes-bureaux.fr", true },
  { "attogtech.com", true },
  { "attorney.org.il", true },
  { "attwood.org", true },
  { "atulhost.com", true },
  { "atviras.lt", false },
  { "atwonline.org", true },
  { "atypicom.es", true },
  { "atypicom.fr", true },
  { "atypicom.it", true },
  { "atypicom.pt", true },
  { "atzenchefin.de", true },
  { "au-be.net", true },
  { "au2pb.net", true },
  { "au2pb.org", true },
  { "aubergegilly.ch", true },
  { "aubg.org", true },
  { "aubio.org", true },
  { "aubonmanger.fr", true },
  { "aucielrose.com", true },
  { "aucklandcastles.co.uk", true },
  { "aucubin.de", true },
  { "audialbuquerqueparts.com", true },
  { "audiblox.co.za", true },
  { "audiolibri.org", true },
  { "audion.hr", true },
  { "audioonly.stream", true },
  { "audiophile.ch", true },
  { "audiophix.com", true },
  { "audiorecording.me", true },
  { "audiorental.net", true },
  { "audioschoolonline.com", true },
  { "audiotechniker.de", true },
  { "audirsq3.de", true },
  { "audisto.com", true },
  { "auditmatrix.com", true },
  { "auditos.com", true },
  { "auditsquare.com", true },
  { "auerbach-verlag.de", true },
  { "auf-feindgebiet.de", true },
  { "aufprise.de", true },
  { "augaware.org", true },
  { "augen-seite.de", true },
  { "augiero.it", true },
  { "augmentable.de", true },
  { "augmented-portal.com", true },
  { "august-don.site", true },
  { "august.black", true },
  { "augustian-life.cz", true },
  { "augustiner-kantorei-erfurt.de", true },
  { "augustiner-kantorei.de", true },
  { "aukaraoke.su", true },
  { "aulaschrank.gq", true },
  { "aumilieudumonde.gf", true },
  { "aunali1.com", true },
  { "auntie-eileens.com.au", true },
  { "aupasdecourses.com", true },
  { "auplidespages.fr", true },
  { "aur.rocks", true },
  { "aureliaskincare.com", true },
  { "aurelienaltarriba.fr", true },
  { "aureus.pw", true },
  { "auri.ga", true },
  { "auricblue.com", true },
  { "auriko-games.de", true },
  { "aurora-multimedia.co.uk", true },
  { "auroraassociationofrealtors.com", true },
  { "aurosa.cz", true },
  { "auroware.com", true },
  { "aus-ryugaku.info", true },
  { "auskunftsbegehren.at", true },
  { "ausmwoid.de", true },
  { "aussiefunadvisor.com", true },
  { "aussieservicedown.com", true },
  { "aussiestoresonline.com", true },
  { "austin-pearce.com", true },
  { "austincardiac.com", true },
  { "austinheap.com", true },
  { "austinuniversityhouse.com", true },
  { "australian.dating", true },
  { "australianarmedforces.org", true },
  { "australianfreebets.com.au", true },
  { "australianimmigrationadvisors.com.au", true },
  { "australien-tipps.info", true },
  { "austromorph.space", true },
  { "auszeit-lanzarote.com", true },
  { "auszeit.bio", true },
  { "auth.adult", true },
  { "authinfo-bestellen.de", true },
  { "authinity.com", true },
  { "author24.biz", true },
  { "authoritysolutions.com", true },
  { "authorsguild.in", true },
  { "autimatisering.nl", true },
  { "autism-osaka.org", true },
  { "auto-anleitung.de", true },
  { "auto-motor-i-sport.pl", true },
  { "auto-plus.tn", true },
  { "auto-spurgo.com", true },
  { "autoauctionsohio.com", true },
  { "autoauctionsvirginia.com", true },
  { "autobedrijfgarant.nl", true },
  { "autobedrijfschalkoort.nl", true },
  { "autobelle.it", true },
  { "autobourcier.com", true },
  { "autoclean-plus.ch", true },
  { "autocmall.com", true },
  { "autocontrol.online", true },
  { "autocorner.com", true },
  { "autocrypt.org", true },
  { "autod.hu", true },
  { "autodalmacija.com", true },
  { "autoecoledumontblanc.com", true },
  { "autoentrepreneurinfo.com", true },
  { "autoepc.ro", true },
  { "autoinsurancehavasu.com", true },
  { "autokovrik-diskont.ru", true },
  { "autoledky.sk", true },
  { "automaan.nl", true },
  { "automacity.com", true },
  { "automatethis.com.au", true },
  { "automatic.com", true },
  { "automationpro.me", true },
  { "automotivegroup-usedcars.be", true },
  { "automotivemechanic.org", true },
  { "autoosijek.com", true },
  { "autopapo.com.br", true },
  { "autoparts.im", true },
  { "autoparts.sh", true },
  { "autoparts.wf", true },
  { "autorando.com", true },
  { "autoscuola.roma.it", true },
  { "autoshinka72.ru", true },
  { "autoshun.org", true },
  { "autoskola.hr", true },
  { "autoskole.hr", true },
  { "autospurgo.it", true },
  { "autospurgo.milano.it", true },
  { "autostodulky.cz", true },
  { "autotechschool.com", true },
  { "autoterminus-used.be", true },
  { "autoverzekeringafsluiten.com", true },
  { "autres-talents.fr", true },
  { "aux-arts-de-la-table.com", true },
  { "auxquatrevents.ch", true },
  { "av01.tv", true },
  { "av0ndale.de", true },
  { "av163.cc", true },
  { "ava-creative.de", false },
  { "ava-software.at", true },
  { "avaaz.org", true },
  { "avabouncehire.co.uk", true },
  { "avacariu.me", true },
  { "availablecastles.com", true },
  { "avalon-island.ru", true },
  { "avalon-rpg.com", true },
  { "avalon-studios.de", true },
  { "avanet.ch", true },
  { "avanet.com", true },
  { "avanovum.de", true },
  { "avarty.com", true },
  { "avarty.net", true },
  { "avatardiffusion.com", true },
  { "avatarrecruit.co.uk", true },
  { "avcd.cz", true },
  { "avdagic.net", true },
  { "avdh.top", true },
  { "ave.zone", true },
  { "aveapps.com", false },
  { "avedesk.org", false },
  { "aventurische-allianz.de", true },
  { "avenueeyecare.com", true },
  { "averageinspired.com", true },
  { "averam.net", true },
  { "averen.co.uk", true },
  { "avernis.de", true },
  { "avexon.com", true },
  { "avia-krasnoyarsk.ru", true },
  { "avia-ufa.ru", true },
  { "aviapoisk.kz", true },
  { "aviationstrategy.aero", true },
  { "avid.blue", true },
  { "avietech.com", true },
  { "avitres.com", true },
  { "aviv.nyc", true },
  { "avlhostel.com", true },
  { "avmemo.com", true },
  { "avmoo.com", true },
  { "avnet.ws", true },
  { "avocadooo.stream", true },
  { "avocatbeziau.com", true },
  { "avocode.com", true },
  { "avotoma.com", true },
  { "avova.de", true },
  { "avpres.net", true },
  { "avptp.org", true },
  { "avqueen.cn", true },
  { "avsox.com", true },
  { "avticket.ru", false },
  { "avtoforex.ru", true },
  { "avtogara-isperih.com", true },
  { "avtovokzaly.ru", true },
  { "avv.li", true },
  { "avvcorda.com", true },
  { "awaremi-tai.com", true },
  { "awaresec.com", true },
  { "awaresec.no", true },
  { "awaro.net", true },
  { "awbouncycastlehire.com", true },
  { "awccanadianpharmacy.com", true },
  { "awen.me", true },
  { "awesomebouncycastles.co.uk", true },
  { "awesomesit.es", true },
  { "awin.la", true },
  { "awk.tw", true },
  { "awksolutions.com", true },
  { "awningsaboveus.com", true },
  { "awningsatlantaga.com", true },
  { "awomaninherprime.com", true },
  { "awsmdev.de", true },
  { "awsome-books.co.uk", true },
  { "awxg.com", true },
  { "ax25.org", true },
  { "axa-middleeast.com", true },
  { "axchap.ir", true },
  { "axelname.ru", true },
  { "axelteichmann.net", true },
  { "axem.co.jp", true },
  { "axiomer.com", true },
  { "axiomer.es", true },
  { "axiomer.eu", true },
  { "axiomer.me", true },
  { "axiomer.net", true },
  { "axiomer.org", true },
  { "axka.com", false },
  { "axolotlfarm.org", true },
  { "axonholdingse.eu", true },
  { "axrec.de", true },
  { "axtux.tk", true },
  { "ayanomimi.com", true },
  { "ayatk.com", true },
  { "aycomba.de", true },
  { "ayesh.me", true },
  { "ayesh.win", true },
  { "aykutcevik.com", true },
  { "aylak.com", true },
  { "aylesburycastlehire.co.uk", true },
  { "aymericlagier.com", true },
  { "ayon.group", true },
  { "ayothemes.com", true },
  { "ayrohq.com", true },
  { "ayrshirebouncycastlehire.co.uk", true },
  { "ayumindev.net", true },
  { "ayurveda-mantry.com", true },
  { "az-moga.bg", true },
  { "az-vinyl-boden.de", true },
  { "az.search.yahoo.com", false },
  { "azadliq.info", true },
  { "azazy.net", false },
  { "azgfd.com", true },
  { "azia.info", true },
  { "azimut.fr", true },
  { "azlk-team.ru", true },
  { "azort.com", true },
  { "azrazalea.net", true },
  { "azso.pro", true },
  { "aztraslochi.it", true },
  { "aztrix.me", true },
  { "azu-l.com", true },
  { "azu-l.jp", true },
  { "azun.pl", true },
  { "azuxul.fr", true },
  { "azzag.co.uk", true },
  { "azzorti.com", true },
  { "azzurrapelletterie.it", true },
  { "b-b-law.com", true },
  { "b-boom.nl", true },
  { "b-cyclesshop.ch", true },
  { "b-entropy.com", true },
  { "b-landia.net", true },
  { "b-root-force.de", true },
  { "b-services.net", true },
  { "b-ticket.ch", true },
  { "b0618.com", true },
  { "b0618.net", true },
  { "b0868.com", true },
  { "b0868.net", true },
  { "b0rk.com", true },
  { "b1.work", true },
  { "b1758.com", true },
  { "b1758.net", true },
  { "b1768.com", true },
  { "b1768.net", true },
  { "b1788.com", true },
  { "b1788.net", true },
  { "b1c1l1.com", true },
  { "b1rd.tk", true },
  { "b2486.com", true },
  { "b2486.net", true },
  { "b2and.com", false },
  { "b2bmuzikbank.com", true },
  { "b303.me", true },
  { "b422edu.com", true },
  { "b4bouncycastles.co.uk", true },
  { "b4ckbone.de", true },
  { "b4r7.de", true },
  { "b4z.eu", true },
  { "b5189.com", true },
  { "b5189.net", true },
  { "b5289.com", true },
  { "b5289.net", true },
  { "b5989.com", true },
  { "b5989.net", true },
  { "b61688.com", true },
  { "b64.club", true },
  { "b72.com", true },
  { "b72.net", true },
  { "b8591.com", true },
  { "b8591.net", true },
  { "b8979.com", true },
  { "b8979.net", true },
  { "b9018.com", true },
  { "b9018.net", true },
  { "b9108.com", true },
  { "b9108.net", true },
  { "b9110.com", true },
  { "b9110.net", true },
  { "b9112.com", true },
  { "b9112.net", true },
  { "b911gt.com", true },
  { "b911gt.net", true },
  { "b9168.com", true },
  { "b91688.com", true },
  { "b91688.info", true },
  { "b91688.net", true },
  { "b91688.org", true },
  { "b9175.com", true },
  { "b9175.net", true },
  { "b9258.com", true },
  { "b9258.net", true },
  { "b9318.com", true },
  { "b9318.net", true },
  { "b9418.com", true },
  { "b9418.net", true },
  { "b9428.com", true },
  { "b9428.net", true },
  { "b9453.com", true },
  { "b9453.net", true },
  { "b9468.com", true },
  { "b9468.net", true },
  { "b9488.com", true },
  { "b9488.net", true },
  { "b9498.com", true },
  { "b9498.net", true },
  { "b9518.com", true },
  { "b9518.info", true },
  { "b9518.net", true },
  { "b9518.org", true },
  { "b9528.com", true },
  { "b9528.net", true },
  { "b9538.com", true },
  { "b9538.net", true },
  { "b9568.com", true },
  { "b9586.net", true },
  { "b9588.net", true },
  { "b95888.net", true },
  { "b9589.net", true },
  { "b9598.com", true },
  { "b9598.net", true },
  { "b9658.com", true },
  { "b9658.net", true },
  { "b9758.com", true },
  { "b9758.net", true },
  { "b9818.com", true },
  { "b9818.net", true },
  { "b9858.com", true },
  { "b9858.net", true },
  { "b9880.com", true },
  { "b9883.net", true },
  { "b9884.net", true },
  { "b9885.net", true },
  { "b9886.com", true },
  { "b9886.net", true },
  { "b9887.net", true },
  { "b9888.net", true },
  { "b9889.net", true },
  { "b9920.com", true },
  { "b9948.com", true },
  { "b9948.net", true },
  { "b99520.com", true },
  { "b9960.com", true },
  { "b99881.com", true },
  { "b99882.com", true },
  { "b99883.com", true },
  { "b99885.com", true },
  { "b99886.com", true },
  { "b9best.cc", true },
  { "b9best.net", true },
  { "b9king.cc", true },
  { "b9king.com", true },
  { "b9king.net", true },
  { "b9winner.cc", true },
  { "b9winner.net", true },
  { "baalsworld.de", true },
  { "baas-becking.biology.utah.edu", true },
  { "babacasino.net", true },
  { "babai.ru", true },
  { "babarkata.com", true },
  { "babeleo.com", true },
  { "baby-digne.com", true },
  { "babyboom.pl", true },
  { "babycamapp.com", true },
  { "babyfotograf-schweiz.ch", true },
  { "babyphototime.com", true },
  { "babypibu.com", true },
  { "babystep.tv", true },
  { "bacgrouppublishing.com", true },
  { "bachata.info", true },
  { "baches-piscines.com", true },
  { "baciu.ch", true },
  { "backeby.eu", true },
  { "backmountaingas.com", true },
  { "backpacken.org", true },
  { "backpacker.dating", true },
  { "backschues.com", true },
  { "backschues.de", true },
  { "backschues.net", true },
  { "backsideverbier.ch", true },
  { "backterris.com", true },
  { "backtest.org", true },
  { "backupcloud.ru", true },
  { "bacon-monitoring.org", true },
  { "baconismagic.ca", true },
  { "bacontreeconsulting.com", true },
  { "bacoux.com", true },
  { "bacula.jp", true },
  { "bad.horse", true },
  { "bad.pet", true },
  { "badam.co", true },
  { "badblock.fr", true },
  { "badboyzclub.de", true },
  { "badf00d.de", true },
  { "badges.fedoraproject.org", true },
  { "badges.stg.fedoraproject.org", true },
  { "badgesenpatches.nl", true },
  { "badhusky.com", true },
  { "badmania.fr", true },
  { "badmintonbible.com", true },
  { "badoo.com", true },
  { "badpackets.net", true },
  { "badrequest.me", true },
  { "badseacoffee.com", true },
  { "baeder-luboss.de", true },
  { "baer.im", false },
  { "baer.one", false },
  { "baer.space", true },
  { "baffinlee.com", true },
  { "bag.bg", true },
  { "bageez.us", true },
  { "bagelsbakery.com", false },
  { "bageluncle.com", true },
  { "baggy.me.uk", true },
  { "bagheera.me.uk", true },
  { "baglu.com", true },
  { "bagsofbounce.co.uk", true },
  { "bagspecialist.nl", true },
  { "bagstage.de", true },
  { "bah.im", false },
  { "bahnbonus-praemienwelt.de", true },
  { "bahnhelden.de", true },
  { "baifubao.com", true },
  { "baiker.info", true },
  { "bailakomigo.com.br", true },
  { "baildonbouncycastles.co.uk", true },
  { "baileebee.com", true },
  { "baitulongbaycruises.com", true },
  { "baiyangliu.com", true },
  { "baka-gamer.net", true },
  { "baka.network", true },
  { "baka.org.cn", true },
  { "bakaproxy.moe", true },
  { "bakermen.com", true },
  { "bakersafari.co", true },
  { "bakeup.be", true },
  { "bakibal.com", true },
  { "bakim.li", true },
  { "bakingstone.com", true },
  { "bakkerinjebuurt.be", true },
  { "bakongcondo.com", true },
  { "bakxnet.com", true },
  { "balade-commune.ch", true },
  { "baladecommune.ch", true },
  { "balancascia.com.br", true },
  { "balance7.jp", true },
  { "balancenaturalhealthclinic.ca", true },
  { "balboa.io", true },
  { "balcaonet.com.br", true },
  { "balconnr.com", true },
  { "balconsverdun.com", true },
  { "baldur.cc", true },
  { "balenciaspa.com", true },
  { "balia.de", true },
  { "balicekzdravi.cz", true },
  { "balikonos.cz", true },
  { "balinese.dating", true },
  { "balist.es", true },
  { "balkonien.org", true },
  { "ball.holdings", true },
  { "ballarin.cc", true },
  { "ballbusting-cbt.com", true },
  { "ballejaune.com", true },
  { "ballinarsl.com.au", true },
  { "ballmerpeak.org", true },
  { "ballonsportclub-erlangen.de", true },
  { "ballotapi.com", true },
  { "ballothero.com", true },
  { "ballroom.info", true },
  { "balslev.io", true },
  { "balticer.de", true },
  { "balticnetworks.com", true },
  { "bamahammer.com", true },
  { "bambambaby.com.br", true },
  { "bambooforest.nl", true },
  { "bambumania.com.br", true },
  { "bamtoki.com", true },
  { "bamtoki.se", true },
  { "banburybid.com", true },
  { "bancacrs.it", true },
  { "bancaolhares.com.br", true },
  { "bancobai.ao", true },
  { "bancoctt.pt", true },
  { "bandar303.cc", true },
  { "bandar303.win", true },
  { "bandeira1.com.br", true },
  { "bandiga.it", true },
  { "bandito.re", true },
  { "bangdream.ga", true },
  { "bangkok-dark-night.com", true },
  { "bangkok.dating", true },
  { "bangkokcity.de", true },
  { "bangorfederal.com", true },
  { "bangumi.co", true },
  { "bank.simple.com", false },
  { "bankbranchlocator.com", true },
  { "bankcardoffer.com", true },
  { "bankee.us", true },
  { "bankerbuch.de", true },
  { "bankersonline.com", true },
  { "banketbesteld.nl", true },
  { "bankfreeoffers.com", true },
  { "bankin.com", true },
  { "bankinter.pt", true },
  { "bankitt.network", true },
  { "banknet.gov", true },
  { "bankofdenton.com", true },
  { "banksiaparkcottages.com.au", true },
  { "bankstownapartments.com.au", true },
  { "bankvanbreda.be", true },
  { "banned-bitches.tk", true },
  { "bannermarquees.ie", true },
  { "bannsecurity.com", true },
  { "banoviny.sk", true },
  { "banquevanbreda.be", true },
  { "banri.me", true },
  { "banter.city", true },
  { "banxehoi.com", true },
  { "bao-in.com", true },
  { "bao-in.net", true },
  { "baobeiglass.com", true },
  { "baodan666.com", true },
  { "baofengtech.com", true },
  { "baopublishing.it", true },
  { "baosuckhoedoisong.net", false },
  { "baptistboard.com", true },
  { "baptistedeleris.fr", true },
  { "bar-harcourt.com", true },
  { "barabrume.fr", true },
  { "barans2239.com", true },
  { "baraxolka.ru", true },
  { "barbarafabbri.com", true },
  { "barbarians.com", false },
  { "barbate.fr", true },
  { "barbershop-harmony.org", true },
  { "barbu.family", true },
  { "barburas.com", true },
  { "barcamp.koeln", true },
  { "barclays.net", true },
  { "barcodeberlin.com", true },
  { "barcoderealty.com", true },
  { "bardiharborow.tk", true },
  { "baripedia.org", true },
  { "baris-sagdic.com", true },
  { "bariseau-mottrie.be", true },
  { "barisi.me", true },
  { "bariskaragoz.nl", true },
  { "barkerjr.xyz", true },
  { "barlotta.net", true },
  { "barnabycolby.io", true },
  { "barnel.com", true },
  { "barnrats.com", true },
  { "barpodsosnami.pl", true },
  { "barprive.com", true },
  { "barracuda.com.tr", true },
  { "barrera.io", true },
  { "barrett.ag", true },
  { "barriofut.com", true },
  { "barryswebdesign.co.uk", true },
  { "bars.kh.ua", true },
  { "barsashop.com.br", true },
  { "barsil.de", true },
  { "barslecht.com", true },
  { "barslecht.nl", true },
  { "bart-f.com", true },
  { "barta.me", true },
  { "bartel.ws", true },
  { "bartelldrugs.com", true },
  { "bartelt.name", true },
  { "barthonia-showroom.de", true },
  { "bartlamboo.nl", true },
  { "bartula.de", true },
  { "bartzutow.xyz", true },
  { "baruch.me", true },
  { "bas.co.jp", true },
  { "bascht.com", true },
  { "base-autonome-durable.com", true },
  { "baseballrampage.com", true },
  { "baseballsavings.com", true },
  { "baseballwarehouse.com", true },
  { "baseconvert.com", true },
  { "baselang.com", true },
  { "baseline.ba", true },
  { "basementdoctor.com", true },
  { "basementdoctornorthwest.com", true },
  { "basementfinishingohio.com", true },
  { "bashstreetband.co.uk", true },
  { "basicattentiontoken.org", true },
  { "basilicaknights.org", true },
  { "basilm.co", true },
  { "basketball-brannenburg.de", true },
  { "basnoslovno.com.ua", false },
  { "basnoslovno.ru", true },
  { "bass-pro.ru", true },
  { "bassblog.net", true },
  { "bassment.ph", true },
  { "bassresource.com", true },
  { "bassrider.eu", true },
  { "bastelzauberwelt.de", true },
  { "bastianstalder.ch", true },
  { "bastiv.com", true },
  { "bastivmobile.com", true },
  { "bastolino.de", true },
  { "basyspro.net", true },
  { "bat909.com", true },
  { "bat909.net", true },
  { "bat9vip.com", true },
  { "bat9vip.net", true },
  { "batcave.tech", true },
  { "batch.com", true },
  { "bati-alu.fr", true },
  { "batiburrillo.net", true },
  { "batipresta.ch", true },
  { "batistareisfloresonline.com.br", true },
  { "batlab.ch", true },
  { "batolis.com", true },
  { "batonger.com", true },
  { "batook.org", true },
  { "batschu.de", true },
  { "batten.eu.org", true },
  { "batteryservice.ru", false },
  { "batterystaple.pw", true },
  { "battle-game.com", true },
  { "battleboxx.com", false },
  { "battleofthegridiron.com", true },
  { "batvip9.net", true },
  { "bauen-mit-ziegel.de", true },
  { "bauer.network", true },
  { "baugeldspezi.de", true },
  { "baugemeinschaftbernstein.de", true },
  { "baumannfabrice.com", true },
  { "bausep.de", true },
  { "baustils.com", true },
  { "bauthier-occasions.be", true },
  { "bautied.de", true },
  { "bauunternehmen-herr.de", true },
  { "bayareaenergyevents.com", true },
  { "baychimo.com", true },
  { "bayden.com", true },
  { "bayer-stefan.com", true },
  { "bayer-stefan.de", true },
  { "bayer-stefan.eu", true },
  { "bayerhazard.de", true },
  { "bayerstefan.com", true },
  { "bayerstefan.de", true },
  { "bayerstefan.eu", true },
  { "bayherbalist.com", true },
  { "bayilelakiku.com", true },
  { "baymard.com", true },
  { "baywatch.io", true },
  { "bayz.de", true },
  { "bazaarcompass.com", true },
  { "bazdell.com", false },
  { "bazos.at", true },
  { "bazos.cz", true },
  { "bazos.sk", true },
  { "bazziergraphik.com", true },
  { "bb1718.net", true },
  { "bb37roma.it", true },
  { "bbalposticino.it", true },
  { "bbcastles.com", true },
  { "bbgeschenke.ch", true },
  { "bbimarketing.com", true },
  { "bbj.io", true },
  { "bbka.org.uk", true },
  { "bbkworldwide.jp", true },
  { "bblove.me", true },
  { "bblsa.ch", true },
  { "bbnbb.de", true },
  { "bbnx.net", true },
  { "bbswin9.cc", true },
  { "bbswin9.com", true },
  { "bbw-wrestling.com", true },
  { "bbw.dating", true },
  { "bbwcs.co.uk", true },
  { "bbwf.de", true },
  { "bbxin9.com", true },
  { "bbxin9.net", true },
  { "bc-bd.org", false },
  { "bc-diffusion.com", true },
  { "bcansw.com.au", true },
  { "bcbulle.ch", true },
  { "bcdonadio.com.br", true },
  { "bcdonadio.org", true },
  { "bceventhire.co.uk", true },
  { "bch7al.ma", true },
  { "bchep.com", true },
  { "bck-koethen.de", true },
  { "bck.me", true },
  { "bclogandtimberbuilders.com", true },
  { "bclrk.us", true },
  { "bcmainland.ca", true },
  { "bcmguide.com", true },
  { "bcmhire.co.uk", true },
  { "bcmlu.org", true },
  { "bcnet.com.hk", true },
  { "bcnet.hk", true },
  { "bcodeur.com", true },
  { "bcpc-ccgpfcheminots.com", true },
  { "bcrook.com", true },
  { "bcswampcabins.com", true },
  { "bcvps.com", true },
  { "bda-boulevarddesairs.com", true },
  { "bdata.cl", true },
  { "bdd.fi", true },
  { "bdenzer.com", true },
  { "bdvg.org", true },
  { "be-ka-tec.de", true },
  { "be-up-developpement.com", true },
  { "be-webdesign.com", true },
  { "be.search.yahoo.com", false },
  { "be2cloud.de", true },
  { "be9418.com", true },
  { "be9418.info", true },
  { "be9418.net", true },
  { "be9418.org", true },
  { "be9458.com", true },
  { "be9458.info", true },
  { "be9458.net", true },
  { "be9458.org", true },
  { "be958.com", true },
  { "be958.info", true },
  { "be958.net", true },
  { "be958.org", true },
  { "be9966.com", true },
  { "beachfutbolclub.com", true },
  { "beacinsight.com", true },
  { "beadare.com", true },
  { "beadare.nl", true },
  { "bealpha.pl", true },
  { "beamer-discount.de", true },
  { "beanjuice.me", true },
  { "beans-one.com", false },
  { "bearcosports.com.br", true },
  { "bearded.sexy", true },
  { "bearingworks.com", true },
  { "beastowner.li", true },
  { "beatfeld.de", true },
  { "beatnikbreaks.com", true },
  { "beatrizaebischer.ch", true },
  { "beaute-eternelle.ch", true },
  { "beauty-hippie-schmuck.de", true },
  { "beauty-italy.ru", true },
  { "beauty24.de", true },
  { "beautybear.dk", true },
  { "beautyby.tv", true },
  { "beautyconcept.co", false },
  { "beautyevent.fr", true },
  { "beautykat.ru", true },
  { "bebef.de", true },
  { "bebefofuxo.com.br", true },
  { "bebes.uno", true },
  { "bebest.gov", false },
  { "bebout.domains", true },
  { "beckenhamcastles.co.uk", true },
  { "beckerantiques.com", false },
  { "beckon.com", true },
  { "becoast.fr", true },
  { "becs.ch", true },
  { "becydog.cz", true },
  { "bedamedia.com", true },
  { "bedandbreakfast.dk", true },
  { "bedandbreakfasteuropa.com", true },
  { "bedandbreakfasthoekvanholland.com", true },
  { "bedels.nl", true },
  { "bedfordnissanparts.com", true },
  { "bedlingtonterrier.com.br", true },
  { "bednar.co", true },
  { "bedouille.com", true },
  { "bedrocklinux.org", true },
  { "bee-creative.nl", true },
  { "bee-line.org.uk", true },
  { "bee.clothing", true },
  { "bee.supply", true },
  { "bee.tools", true },
  { "beehive.govt.nz", true },
  { "beehive42.com", true },
  { "beehive42.eu", true },
  { "beehive42.net", true },
  { "beehive42.nl", true },
  { "beehive42.org", true },
  { "beehosting.pro", true },
  { "beekbier.nl", true },
  { "beekeeper.blog", true },
  { "beekeeper.clothing", true },
  { "beekeeper.supplies", true },
  { "beekeeper.supply", true },
  { "beekeeper.tools", true },
  { "beekeeping.clothing", true },
  { "beekeeping.tools", true },
  { "beeksnetwork.nl", true },
  { "beelen.fr", true },
  { "beelit.com", true },
  { "beercandle.com", true },
  { "beergazetteer.com", true },
  { "beerians.com", true },
  { "beerjet.bg", true },
  { "beerjet.cz", true },
  { "beerjet.ro", true },
  { "beerjet.sk", true },
  { "beerjetcz.cz", true },
  { "beerradar.no", true },
  { "beerradar.party", true },
  { "beersconf.com", true },
  { "beerview.ga", true },
  { "beeswax-orgone.com", true },
  { "beethoveninlove.com", true },
  { "beetman.net", true },
  { "beeutifulparties.co.uk", true },
  { "beexfit.com", true },
  { "beezkneezcastles.co.uk", true },
  { "beeznest.com", true },
  { "befoodsafe.gov", true },
  { "beforesunrise.de", true },
  { "beframed.ch", true },
  { "befundonline.de", true },
  { "begabungsfoerderung.info", true },
  { "begbie.com", true },
  { "beginatzero.com", true },
  { "beginner.nl", true },
  { "beginwp.top", true },
  { "behamzdarma.cz", true },
  { "behoerden-online-dienste.de", true },
  { "beholdthehurricane.com", true },
  { "behoreal.cz", true },
  { "bei18.com", true },
  { "beichtgenerator.de", true },
  { "beijing.dating", true },
  { "beijinglug.club", true },
  { "beimchristoph.de", true },
  { "beinad.com", true },
  { "beinad.ru", true },
  { "belacapa.com.br", true },
  { "belanglos.de", true },
  { "belani.eu", true },
  { "belarto.be", true },
  { "belarto.de", true },
  { "belarto.es", true },
  { "belarto.fr", true },
  { "belarto.it", true },
  { "belarto.nl", true },
  { "belarto.pl", true },
  { "belastingdienst-in-beeld.nl", false },
  { "belastingmiddeling.nl", true },
  { "belcompany.nl", false },
  { "belegit.org", true },
  { "belfastbounce.co.uk", true },
  { "belfastlocks.com", true },
  { "belfasttechservices.co.uk", true },
  { "belge.rs", true },
  { "belgers.com", true },
  { "belhopro.be", true },
  { "belics.com", true },
  { "belien-tweedehandswagens.be", true },
  { "believablebook.com", false },
  { "believersweb.org", true },
  { "bell.id.au", true },
  { "bella.network", true },
  { "belloy.ch", true },
  { "belloy.net", true },
  { "bellthrogh.com", true },
  { "bellthrough.com", true },
  { "belly-button-piercings.com", true },
  { "belmontgoessolar.org", true },
  { "belt.black", true },
  { "belvoirbouncycastles.co.uk", true },
  { "bely-mishka.by", true },
  { "belyvly.com", true },
  { "bemsoft.pl", true },
  { "bemvindoaolar.com.br", true },
  { "ben-energy.com", false },
  { "ben-stock.de", true },
  { "ben.ninja", true },
  { "ben2.co.il", true },
  { "benabrams.it", true },
  { "benary.org", true },
  { "benbozsa.ca", true },
  { "benburwell.com", true },
  { "benc.io", true },
  { "benceskorka.com", true },
  { "benchcast.com", true },
  { "benchling.com", true },
  { "benchmarkmonument.com", true },
  { "bencorby.com", true },
  { "bendemaree.com", true },
  { "bendigoland.com.au", true },
  { "bendingtheending.com", true },
  { "bendix.co", true },
  { "bendyworks.com", true },
  { "beneathvt.com", true },
  { "benedict-balzer.de", true },
  { "benepiscinas.com.br", true },
  { "beneri.se", true },
  { "benevita.bio", true },
  { "benevita.life", true },
  { "benevita.live", true },
  { "benevita.organic", true },
  { "bengalurugifts.com", true },
  { "benhartmann.de", true },
  { "benhavenarchives.org", true },
  { "benjamin.pe", true },
  { "benjaminblack.net", true },
  { "benjamindietrich.com", true },
  { "benjamindietrich.de", true },
  { "benjaminjurke.com", true },
  { "benjaminjurke.net", true },
  { "benjaminpiquet.fr", true },
  { "benjamins.com", true },
  { "benjaminvasel.de", true },
  { "benjii.me", true },
  { "benleemd.com", true },
  { "benmatthews.com.au", true },
  { "benmillett.us", false },
  { "benmorecentre.co.uk", true },
  { "bennettsbouncycastlehire.co.uk", true },
  { "bennettshire.co.uk", true },
  { "benni1.eu", true },
  { "bennierobinson.com", true },
  { "bennink.me", true },
  { "benno.frl", true },
  { "bennygommers.nl", true },
  { "bennythink.com", true },
  { "benriya.shiga.jp", true },
  { "bensbouncycastles.co.uk", true },
  { "benschnarr.com", true },
  { "benscobie.com", true },
  { "benshoof.org", true },
  { "bensinflatables.co.uk", true },
  { "bentertain.de", true },
  { "bentley.blog", true },
  { "bentley.link", true },
  { "bentongroup.co.uk", true },
  { "bentonweatherstone.co.uk", true },
  { "bentrask.com", true },
  { "benzi.io", true },
  { "beoordelingen.be", true },
  { "bephoenix.org.uk", true },
  { "bequiia.com", true },
  { "beranovi.com", true },
  { "berasavocate.com", true },
  { "beraten-entwickeln-steuern.de", true },
  { "berdaguermontes.eu", false },
  { "bergenhave.nl", true },
  { "bergevoet-fa.nl", true },
  { "bergfex.at", true },
  { "bergfreunde.de", true },
  { "bergfreunde.dk", true },
  { "bergfreunde.es", true },
  { "bergfreunde.eu", true },
  { "bergfreunde.fi", true },
  { "bergfreunde.it", true },
  { "bergfreunde.nl", true },
  { "bergfreunde.no", true },
  { "bergfreunde.se", true },
  { "berglust-pur.de", true },
  { "bergstoneware.com", true },
  { "berhampore-gateway.tk", true },
  { "berichtsheft-vorlage.de", true },
  { "berikod.ru", true },
  { "berlin-flirt.de", true },
  { "berlin.dating", true },
  { "bermeitinger.eu", true },
  { "berna.fr", true },
  { "bernadetteanderes.ch", true },
  { "bernardcontainers.be", true },
  { "bernardfischer.fr", true },
  { "bernat.im", true },
  { "bernd-leitner-fotodesign.com", true },
  { "bernd-leitner-fotodesign.de", true },
  { "bernd-leitner.de", true },
  { "bernhard-seidenspinner.de", true },
  { "bernhardkau.de", true },
  { "bernhardluginbuehl.ch", true },
  { "bernhardluginbuehl.com", true },
  { "bernieware.de", true },
  { "berodes.be", true },
  { "berr.yt", true },
  { "berra.se", true },
  { "berrus.com", true },
  { "berry.cat", true },
  { "berrypay.com", true },
  { "bersierservices.ch", true },
  { "bersotavocats.fr", true },
  { "berst.cz", true },
  { "berthabailey.com", true },
  { "bertholdsson.com", true },
  { "bertoliniodontoiatria.it", true },
  { "bertrand.bio", true },
  { "bertsmithvwparts.com", true },
  { "beryl.net", true },
  { "berz.one", true },
  { "besb.io", true },
  { "besb66.com", true },
  { "beschriftung-metz.de", true },
  { "beserberg.tk", true },
  { "besole.ch", true },
  { "bespokestraps.com", true },
  { "besser-beissen.de", true },
  { "bessettenotaire.com", true },
  { "best-essay-service.com", true },
  { "best-of-bounce.co.uk", true },
  { "best10websitebuilders.com", true },
  { "best66.me", true },
  { "bestattungen-kammerer.de", true },
  { "bestattungshaus-kammerer.de", true },
  { "bestautoinsurance.com", true },
  { "bestbatteriesonline.com", true },
  { "bestbonuses.co.uk", true },
  { "bestbrakes.com", true },
  { "bestbyte.com.br", true },
  { "bestcellular.com", false },
  { "bestemailmarketingsoftware.org", true },
  { "bestesb.com", true },
  { "bestesb.net", true },
  { "bestessaycheap.com", true },
  { "bestessayhelp.com", true },
  { "bestgiftever.ca", true },
  { "bestgifts4you.com", true },
  { "bestinductioncooktop.us", true },
  { "bestlashesandbrows.com", true },
  { "bestlashesandbrows.hu", true },
  { "bestmotherfucking.website", true },
  { "bestoffert.club", true },
  { "bestoliveoils.com", true },
  { "bestpaintings.nl", true },
  { "bestpartyhire.com", true },
  { "bestperfumebrands.com", true },
  { "bestseries.tv", true },
  { "bestwebsite.gallery", true },
  { "bet-99.cc", true },
  { "bet-99.com", true },
  { "bet-99.net", true },
  { "bet168wy.com", true },
  { "bet168wy.net", true },
  { "bet909.com", true },
  { "bet990.com", true },
  { "bet9bet9.net", true },
  { "betacavi.com", true },
  { "betacloud.io", true },
  { "betaworx.de", true },
  { "betaworx.eu", true },
  { "betecnet.de", true },
  { "betgo9.cc", true },
  { "bethanyduke.com", true },
  { "betobaccofree.gov", true },
  { "betonbit.com", true },
  { "betpamm.com", true },
  { "betrallyarabia.com", true },
  { "betseybuckheit.com", true },
  { "betsonlinefree.com.au", true },
  { "betsyshilling.com", true },
  { "bett1.de", true },
  { "better-bounce.co.uk", true },
  { "better.fyi", true },
  { "betterbabyshop.com.au", true },
  { "bettercrypto.org", true },
  { "betterhelp.com", true },
  { "betterjapanese.org", true },
  { "betterna.me", true },
  { "betterscience.org", true },
  { "bettertest.it", true },
  { "betterweb.fr", true },
  { "betterworldinternational.org", true },
  { "bettflaschen.ch", true },
  { "bettingbusiness.ru", true },
  { "bettingsider.dk", true },
  { "bettolinokitchen.com", true },
  { "bettrlifeapp.com", true },
  { "betulashop.ch", true },
  { "betwalker.com", true },
  { "betwin9.com", true },
  { "betwin9.net", true },
  { "beulen.email", true },
  { "beulen.link", true },
  { "beulen.pro", true },
  { "bevedo.cz", true },
  { "beveiligingscamerawestland.nl", true },
  { "bevelpix.com", true },
  { "beverlyinternational.com", true },
  { "bevinco2020.com", true },
  { "bevinsco.org", true },
  { "bevnut.com", true },
  { "bewegungsfluss.com", true },
  { "bewerbungsfoto-deinfoto.ch", true },
  { "bewertet.de", true },
  { "bewonderen.com", true },
  { "bexit-hosting.nl", true },
  { "bexit-security.eu", true },
  { "bexit-security.nl", true },
  { "bexit.nl", true },
  { "bexithosting.nl", true },
  { "bexleycastles.co.uk", true },
  { "beybiz.com", true },
  { "beylikduzuvaillant.com", true },
  { "beyond-infinity.org", true },
  { "beyond-rational.com", true },
  { "beyondalderaan.net", true },
  { "beyondbounce.co.uk", true },
  { "beyondpricing.com", true },
  { "beyondthecode.io", true },
  { "beyondtodaymediagroup.com", true },
  { "beyondtrust.com", true },
  { "beyondweb.net", true },
  { "beyonic.com", true },
  { "beyours.be", true },
  { "bez-energie.de", true },
  { "bezemkast.nl", true },
  { "bezpecnostsiti.cf", true },
  { "bezr.co.uk", true },
  { "bfem.gov", true },
  { "bfgcdn.com", true },
  { "bfi.wien", false },
  { "bflix.tv", true },
  { "bforb.sk", true },
  { "bfpg.org", true },
  { "bft-media.com", true },
  { "bftbradio.com", true },
  { "bfw-online.de", true },
  { "bg-sexologia.com", true },
  { "bg16.de", true },
  { "bgbhsf.top", true },
  { "bgdaddy.com", true },
  { "bgenlisted.com", true },
  { "bgeo.io", true },
  { "bgfashion.net", true },
  { "bgfoto.info", true },
  { "bghost.xyz", true },
  { "bgkoleda.bg", true },
  { "bglsingles.de", true },
  { "bgp.space", true },
  { "bgr34.cz", true },
  { "bgtgames.com", true },
  { "bgtoyou.com", true },
  { "bh-oberland.de", true },
  { "bh.sb", true },
  { "bharath-g.in", true },
  { "bhodisoft.com", true },
  { "bhost.net", true },
  { "bhtelecom.ba", true },
  { "bhuntr.com", true },
  { "bi.search.yahoo.com", false },
  { "biaggeo.com", true },
  { "biano-ai.com", true },
  { "biasmath.es", true },
  { "biathloncup.ru", true },
  { "bible.ru", true },
  { "bibleonline.ru", true },
  { "bibliaon.com", true },
  { "biblio.wiki", true },
  { "biblioblog.fr", true },
  { "bibliomarkt.ch", true },
  { "biblionaut.net", true },
  { "bibliotekarien.se", true },
  { "biboumail.fr", true },
  { "bibuch.com", true },
  { "bicecontracting.com", true },
  { "bicha.net", true },
  { "bichonfrise.com.br", true },
  { "bicranial.io", true },
  { "bicycle-events.com", true },
  { "biddl.com", true },
  { "bidorbuy.co.ke", true },
  { "bidu.com.br", true },
  { "bie.edu", false },
  { "biegner-technik.de", true },
  { "biehlsoft.info", true },
  { "bien-etre-sante.info", true },
  { "bienici.com", true },
  { "bienoubien.org", true },
  { "biensenvue.com", true },
  { "bierbaumer.net", true },
  { "biergaizi.info", true },
  { "bieser.ch", true },
  { "biester.pro", true },
  { "bifrost.cz", true },
  { "big-andy.co.uk", true },
  { "big-bounce.co.uk", true },
  { "big-fluglaerm-hamburg.de", true },
  { "bigbluedoor.net", true },
  { "bigbouncebouncycastles.co.uk", true },
  { "bigbouncetheory.co.uk", true },
  { "bigbounceuk.com", true },
  { "bigcakes.dk", true },
  { "bigclassaction.com", true },
  { "bigdinosaur.org", true },
  { "bigfunbouncycastles.com", true },
  { "biggreenexchange.com", true },
  { "bigio.com.br", true },
  { "bigjohn.ru", true },
  { "bigshort.org", true },
  { "bigsisterchannel.com", true },
  { "bigskymontanalandforsale.com", true },
  { "bihub.io", true },
  { "biilo.com", true },
  { "bijoux.com.br", true },
  { "bijouxbrasil.com.br", true },
  { "bijouxcherie.com", true },
  { "bijuteriicualint.ro", true },
  { "bike-discount.de", true },
  { "bike-kurse.ch", true },
  { "bike-shack.com", true },
  { "bikebay.it", true },
  { "bikehistory.org", true },
  { "biker.dating", true },
  { "bikerebel.com", true },
  { "bikeshopitalia.com", true },
  { "bikiniatoll.com", true },
  { "bikiniseli.com", true },
  { "bikkelbroeders.com", false },
  { "bikkelbroeders.nl", false },
  { "bilalic.com", true },
  { "bilalkilic.de", true },
  { "bilanligne.com", true },
  { "bilbayt.com", true },
  { "bilder-designs.de", true },
  { "bildkomponist.de", true },
  { "bildschirmflackern.de", true },
  { "biletyplus.by", true },
  { "biletyplus.com", true },
  { "biletyplus.ua", true },
  { "bilgo.com", true },
  { "bilke.org", true },
  { "billaud.eu.org", true },
  { "billgoldstein.name", true },
  { "billhartzer.com", true },
  { "billiger-mietwagen.de", true },
  { "billigerfinder.de", true },
  { "billigpoker.dk", true },
  { "billin.net", true },
  { "billionkiaparts.com", true },
  { "billogram.com", true },
  { "billpro.com", false },
  { "billpro.com.au", true },
  { "billrhodesbakery.com", true },
  { "billrobinson.io", true },
  { "billy.pictures", true },
  { "billyoh.com", true },
  { "billysbouncycastlehire.co.uk", true },
  { "billywig.stream", true },
  { "biloplysninger.dk", true },
  { "bilsho.com", true },
  { "biltullen.com", true },
  { "bimmerlabs.com", true },
  { "bin95.com", true },
  { "bina.az", true },
  { "binans.co", true },
  { "binans.com", true },
  { "binans.com.tr", true },
  { "binans.io", true },
  { "binans.net", true },
  { "binans.xyz", true },
  { "binarization.com", true },
  { "binarization.net", true },
  { "binarization.org", true },
  { "binaryapparatus.com", true },
  { "binaryappdev.com", true },
  { "binarycreations.scot", true },
  { "binarydream.fi", true },
  { "binaryevolved.com", true },
  { "binaryrebel.net", true },
  { "binarystud.io", true },
  { "binbin9.com", true },
  { "binbin9.net", true },
  { "binding-problem.com", true },
  { "binfind.com", true },
  { "bing.com", true },
  { "bingo-wear.com", true },
  { "bingobank.org", true },
  { "bingostars.com", true },
  { "binhex.net", true },
  { "binkanhada.biz", true },
  { "binkconsulting.be", true },
  { "binsp.net", true },
  { "binti.com", true },
  { "bintooshoots.com", true },
  { "bio-disinfestazione.it", true },
  { "bio24.si", true },
  { "biobuttons.ch", true },
  { "biocheminee.com", true },
  { "biodiagnostiki.clinic", true },
  { "biodieseldata.com", true },
  { "biodots.at", true },
  { "biodots.eu", true },
  { "biodots.info", true },
  { "biodots.it", true },
  { "bioemsan.cz", true },
  { "bioequivalence.design", true },
  { "bioetco.ch", true },
  { "biogecho.ch", true },
  { "biogecho.swiss", true },
  { "biogeist.de", true },
  { "biogeniq.ca", true },
  { "biohappiness.com", true },
  { "bioharmony.ca", true },
  { "biointelligence-explosion.com", true },
  { "bioligo.ch", true },
  { "biomax-mep.com.br", true },
  { "biometrics.es", true },
  { "biomodra.cz", true },
  { "biopreferred.gov", true },
  { "biopsychiatry.com", true },
  { "bioresonanz-ibiza.com", true },
  { "biosafe.ch", true },
  { "biosbits.org", true },
  { "bioshine.com.sg", true },
  { "biosignalanalytics.com", true },
  { "biospeak.solutions", true },
  { "biosphere.cc", true },
  { "biotechware.com", true },
  { "biou.me", true },
  { "bipyo.com", true },
  { "birbaumer.li", true },
  { "birchbarkfurniture.ch", true },
  { "birchbarkfurniture.com", true },
  { "birchbarkfurniture.fr", true },
  { "birdandbranchnyc.com", true },
  { "birdbrowser.com", true },
  { "birdfeeder.online", true },
  { "birdiehosting.nl", true },
  { "birdslabel.com", true },
  { "birdymanbestreviews.com", true },
  { "birgit-rydlewski.de", true },
  { "birgitandmerlin.com", true },
  { "birkengarten.ch", true },
  { "birkenstab.de", true },
  { "birkhoff.me", true },
  { "birminghamcastlehire.co.uk", true },
  { "birminghamsunset.com", true },
  { "birthdaytip.com", true },
  { "birthmatters.us", true },
  { "birzan.org", true },
  { "bisa-sis.net", true },
  { "bischoff-mathey.family", true },
  { "biscoint.io", true },
  { "bismarck-tb.de", true },
  { "bison.co", true },
  { "bissalama.org", true },
  { "bisschopssteeg.nl", true },
  { "bistrocean.com", true },
  { "bistrotdelagare.fr", true },
  { "bit-cloud.de", true },
  { "bit-sentinel.com", true },
  { "bit.biz.tr", true },
  { "bit.voyage", true },
  { "bit8.com", true },
  { "bitace.com", true },
  { "bitbank.cc", true },
  { "bitbeans.de", true },
  { "bitbucket.com", true },
  { "bitbucket.io", true },
  { "bitbucket.org", true },
  { "bitburner.de", true },
  { "bitcalt.eu.org", true },
  { "bitcalt.ga", true },
  { "bitclubfun.com", true },
  { "bitcoin-india.net", true },
  { "bitcoin-india.org", true },
  { "bitcoin.asia", true },
  { "bitcoin.ch", true },
  { "bitcoin.co.nz", true },
  { "bitcoin.com", true },
  { "bitcoin.de", true },
  { "bitcoin.im", true },
  { "bitcoin.info", true },
  { "bitcoin.org", true },
  { "bitcoin.us", true },
  { "bitcoinbitcoin.com", true },
  { "bitcoinclashic.ninja", true },
  { "bitcoincore.org", true },
  { "bitcoinfo.jp", false },
  { "bitcoinindia.com", true },
  { "bitcoinkarlsruhe.de", true },
  { "bitcoinrealestate.com.au", true },
  { "bitcointhefts.com", true },
  { "bitcoinwalletscript.tk", true },
  { "bitcoinx.gr", true },
  { "bitcoinx.ro", true },
  { "bitedge.com", true },
  { "bitenose.com", true },
  { "bitex.la", true },
  { "bitfasching.de", true },
  { "bitfehler.net", true },
  { "bitfinder.nl", true },
  { "bitfuse.net", true },
  { "bitgo.com", true },
  { "bitgrapes.com", true },
  { "bithap.com", true },
  { "bithir.co.uk", true },
  { "bititrain.com", true },
  { "bitk.co", true },
  { "bitk.co.uk", true },
  { "bitk.eu", true },
  { "bitk.uk", true },
  { "bitlish.com", true },
  { "bitlo.com", true },
  { "bitlo.io", true },
  { "bitlo.org", true },
  { "bitmainwarranty.com", true },
  { "bitmainwarranty.com.ua", true },
  { "bitmainwarranty.ru", true },
  { "bitmarket.net", true },
  { "bitmarket.pl", true },
  { "bitmessage.ch", true },
  { "bitmex.com", true },
  { "bitmidi.com", true },
  { "bitminter.com", true },
  { "bitmoe.com", true },
  { "bitmon.net", true },
  { "bitok.com", true },
  { "bitplay.space", true },
  { "bitpoll.de", true },
  { "bitpoll.org", true },
  { "bitpumpe.net", true },
  { "bitref.com", true },
  { "bitroll.com", true },
  { "bitrush.nl", true },
  { "bitsafe.com.my", true },
  { "bitsburg.ru", true },
  { "bitshaker.net", true },
  { "bitskins.co", true },
  { "bitskrieg.net", true },
  { "bitstorm.nl", true },
  { "bitstorm.org", true },
  { "bitsum.com", true },
  { "bitsync.nl", true },
  { "bitten.pw", true },
  { "bittersweetcandybowl.com", true },
  { "bittervault.xyz", true },
  { "bittylicious.com", true },
  { "bituptick.com", true },
  { "bitvegas.com", true },
  { "bitvest.io", true },
  { "bitwolk.nl", true },
  { "bitxel.com.co", true },
  { "biurokarier.edu.pl", true },
  { "bixservice.com", true },
  { "biyori.moe", true },
  { "biyou-homme.com", true },
  { "biz4x.com", true },
  { "bizeau.ch", true },
  { "bizedge.co.nz", true },
  { "bizniskatalog.mk", true },
  { "biznpro.ru", true },
  { "bizstarter.cz", true },
  { "biztera.com", true },
  { "biztok.eu", true },
  { "bjarnerest.de", true },
  { "bjl5689.com", true },
  { "bjl5689.net", true },
  { "bjornhelmersson.se", true },
  { "bjsbouncycastles.com", true },
  { "bkentertainments.co.uk", true },
  { "bkhayes.com", true },
  { "bkhpilates.co.uk", true },
  { "bklaindia.com", true },
  { "bkositspartytime.co.uk", true },
  { "bl4ckb0x.biz", true },
  { "bl4ckb0x.com", true },
  { "bl4ckb0x.de", true },
  { "bl4ckb0x.eu", true },
  { "bl4ckb0x.info", true },
  { "bl4ckb0x.net", true },
  { "bl4ckb0x.org", true },
  { "blabber.im", true },
  { "blablacar.co.uk", true },
  { "blablacar.com", true },
  { "blablacar.com.tr", true },
  { "blablacar.com.ua", true },
  { "blablacar.de", true },
  { "blablacar.es", true },
  { "blablacar.fr", true },
  { "blablacar.hr", true },
  { "blablacar.hu", true },
  { "blablacar.in", true },
  { "blablacar.it", true },
  { "blablacar.mx", true },
  { "blablacar.nl", true },
  { "blablacar.pl", true },
  { "blablacar.pt", true },
  { "blablacar.ro", true },
  { "blablacar.rs", true },
  { "blablacar.ru", true },
  { "black-gay-porn.biz", true },
  { "black-khat.com", true },
  { "black-mail.nl", true },
  { "black-pool.net", true },
  { "black-raven.fr", true },
  { "black.dating", true },
  { "black.host", true },
  { "blackandpony.de", true },
  { "blackapron.com.br", true },
  { "blackbag.nl", true },
  { "blackbase.de", true },
  { "blackberryforums.be", true },
  { "blackcat.ca", true },
  { "blackcatinformatics.com", true },
  { "blackcicada.com", true },
  { "blackdesertsp.com", true },
  { "blackdotbrewery.com", true },
  { "blackdown.de", true },
  { "blackedbyte.com", true },
  { "blackevent.be", true },
  { "blackgamelp.de", true },
  { "blackgate.org", true },
  { "blackhelicopters.net", true },
  { "blackhillsinfosec.com", true },
  { "blackilli.de", true },
  { "blackislegroup.com", true },
  { "blackl.net", true },
  { "blacklightparty.be", true },
  { "blackmirror.com.au", true },
  { "blacknetwork.eu", true },
  { "blacknova.io", true },
  { "blackonion.com", true },
  { "blackpapermoon.de", true },
  { "blackphantom.de", true },
  { "blackphoenix.de", true },
  { "blackscytheconsulting.com", true },
  { "blackseals.net", true },
  { "blackys-chamber.de", true },
  { "blaise.io", true },
  { "blakecoin.org", true },
  { "blakekhan.com", true },
  { "blancodent.com", true },
  { "blankersfamily.com", true },
  { "blanket.technology", true },
  { "blastentertainment.com.au", true },
  { "blastersklan.com", true },
  { "blastzoneentertainments.co.uk", true },
  { "blaudev.es", true },
  { "blauerhunger.de", true },
  { "blayne.me", true },
  { "blayneallan.com", true },
  { "blazing.cz", true },
  { "blazor.nl", true },
  { "bleaching-tipps.de", true },
  { "bleche-onlineshop.at", true },
  { "bleche-onlineshop.de", true },
  { "blechinger.io", true },
  { "blechpirat.name", true },
  { "blechschmidt.saarland", true },
  { "blenderrecipereviews.com", true },
  { "blendle.nl", true },
  { "blendr.com", true },
  { "blenneros.net", false },
  { "blessedearth.com.au", true },
  { "blessedguy.com", true },
  { "blessedguy.net", false },
  { "blewebprojects.com", true },
  { "blidz.com", true },
  { "blieque.co.uk", true },
  { "blikk.no", true },
  { "blikund.swedbank.se", true },
  { "blindpigandtheacorn.com", true },
  { "bling9.com", true },
  { "bling999.cc", true },
  { "bling999.com", true },
  { "bling999.net", true },
  { "blingsparkleshine.com", true },
  { "blink-security.com", true },
  { "blinking.link", true },
  { "blinkspeed.eu", true },
  { "blio.tk", true },
  { "blip.website", true },
  { "blissjoe.com", true },
  { "blissplan.com", true },
  { "blivawesome.dk", true },
  { "blivvektor.dk", true },
  { "blizhost.com", true },
  { "blizhost.com.br", true },
  { "blizora.com", true },
  { "blizz.news", true },
  { "blkbx.eu", true },
  { "blm.gov", true },
  { "blobfolio.com", true },
  { "block-this.com", true },
  { "block65.com", true },
  { "blockchain.info", true },
  { "blockchainced.com", true },
  { "blockchaindaigakko.jp", true },
  { "blockedyourcar.com", true },
  { "blockedyourcar.net", true },
  { "blockedyourcar.org", true },
  { "blockified.io", true },
  { "blockmetry.com", true },
  { "blockshopauto.com", true },
  { "blockstream.com", true },
  { "blockxit.de", true },
  { "bloemenbesteld.nl", true },
  { "bloemendal.me", true },
  { "blog-grupom2.es", true },
  { "blog.gov.uk", true },
  { "blog.linode.com", false },
  { "blog.lookout.com", false },
  { "blogaid.net", true },
  { "blogarts.net", true },
  { "blogbooker.com", true },
  { "blogconcours.net", true },
  { "blogcuaviet.com", true },
  { "blogexpert.ca", true },
  { "bloggermumofthreeboys.com", true },
  { "blogging-life.com", true },
  { "bloggingwithchildren.com", true },
  { "bloggytalky.com", true },
  { "bloginbeeld.nl", true },
  { "bloglines.co.za", true },
  { "blogom.at", true },
  { "blogpentrusuflet.ro", true },
  { "blogreen.org", true },
  { "blogtroterzy.pl", true },
  { "bloodsports.org", true },
  { "bloom-avenue.com", true },
  { "bltc.co.uk", true },
  { "bltc.com", true },
  { "bltc.net", true },
  { "bltc.org", true },
  { "bltc.org.uk", true },
  { "bltdirect.com", true },
  { "blubberladen.de", true },
  { "bludnykoren.ml", true },
  { "blue-leaf81.net", true },
  { "blue42.net", true },
  { "blueblou.com", true },
  { "bluecardlottery.eu", true },
  { "bluecards.eu", true },
  { "bluechilli.com", true },
  { "bluecon.ninja", true },
  { "bluecrazii.nl", true },
  { "blued.moe", true },
  { "bluedeck.org", true },
  { "bluefinger.nl", true },
  { "blueflare.org", true },
  { "bluefrag.com", true },
  { "bluefuzz.nl", true },
  { "bluehawk.cloud", true },
  { "blueliquiddesigns.com.au", true },
  { "bluemeda.web.id", true },
  { "bluemoonroleplaying.com", true },
  { "bluemosh.com", true },
  { "bluenote9.com", true },
  { "bluepearl.tk", true },
  { "blueperil.de", true },
  { "bluepoint.foundation", true },
  { "bluepoint.institute", true },
  { "bluepoint.one", true },
  { "bluepostbox.de", true },
  { "blueprintloans.co.uk", true },
  { "bluerootsmarketing.com", true },
  { "blues-and-pictures.com", true },
  { "bluesecure.com.br", true },
  { "blueskycoverage.com", true },
  { "bluestardiabetes.com", true },
  { "bluewavewebdesign.com", true },
  { "bluex.im", true },
  { "bluex.info", true },
  { "bluex.net", true },
  { "bluex.org", true },
  { "blueyed.eu", true },
  { "blui.cf", true },
  { "bluiandaj.ml", true },
  { "blumenfeldart.com", true },
  { "blumiges-fischbachtal.de", false },
  { "blundell.wedding", true },
  { "bluntandsnakes.com", true },
  { "bluop.com", true },
  { "blupig.net", true },
  { "bluproducts.com.es", true },
  { "blurringexistence.net", true },
  { "blusmurf.net", true },
  { "blutopia.xyz", true },
  { "blvdmb.com", true },
  { "bm-i.ch", true },
  { "bm-immo.ch", true },
  { "bmhglobal.com.au", true },
  { "bmone.net", true },
  { "bmriv.com", true },
  { "bmros.com.ar", true },
  { "bmw-motorradclub-seefeld.de", true },
  { "bmwcolors.com", true },
  { "bn1digital.co.uk", true },
  { "bn4t.me", true },
  { "bnb-buddy.nl", true },
  { "bnbsinflatablehire.co.uk", true },
  { "bngs.pl", true },
  { "bnin.org", true },
  { "bnjscastles.co.uk", true },
  { "bnstree.com", true },
  { "bnty.net", true },
  { "bo1689.com", true },
  { "bo1689.net", true },
  { "bo9club.cc", true },
  { "bo9club.com", true },
  { "bo9club.net", true },
  { "bo9fun.com", true },
  { "bo9fun.net", true },
  { "bo9game.com", true },
  { "bo9game.net", true },
  { "bo9king.net", true },
  { "boardgamegeeks.de", true },
  { "boards.ie", true },
  { "boat-engines.eu", true },
  { "boatme.de", true },
  { "boattrader.com.au", true },
  { "bobancoamigo.com", true },
  { "bobazar.com", true },
  { "bobcopeland.com", true },
  { "bobep.ru", true },
  { "bobisec.cz", true },
  { "bobkidbob.com", true },
  { "bobkoetsier.nl", true },
  { "bobnbouncedublin.ie", true },
  { "boboates.com", true },
  { "bobobox.net", true },
  { "boboolo.com", true },
  { "bobstronomie.fr", true },
  { "bocamo.it", true },
  { "bochs.info", true },
  { "bockenauer.at", true },
  { "bocloud.eu", true },
  { "bocreation.fr", true },
  { "bodhi.fedoraproject.org", true },
  { "bodixite.com", true },
  { "bodrumfarm.com", true },
  { "bodsch.com", true },
  { "bodybuildingworld.com", true },
  { "bodyconshop.com", true },
  { "bodygearguide.com", true },
  { "bodymusclejournal.com", true },
  { "bodypainter.pl", true },
  { "bodypainting.waw.pl", true },
  { "bodyworkbymichael.com", true },
  { "boeddhashop.nl", true },
  { "boekenlegger.nl", true },
  { "boel073.nl", true },
  { "boem.gov", true },
  { "boernecancerfonden.dk", true },
  { "bogdancornianu.com", true },
  { "bogdanepureanu.ro", true },
  { "bogner.sh", true },
  { "bogobeats.com", true },
  { "bohan.co", true },
  { "bohramt.de", true },
  { "boimmobilier.ch", true },
  { "boincstats.com", true },
  { "boiseonlinemall.com", true },
  { "boisewaldorf.org", true },
  { "boke112.com", true },
  { "bokka.com", true },
  { "bolainfoasia.com", true },
  { "boldmediagroup.com", true },
  { "boldt-metallbau.de", true },
  { "bolektro.de", true },
  { "bolgarnyelv.hu", true },
  { "bolivarfm.com.ve", true },
  { "bollywood.uno", true },
  { "bologna-disinfestazioni.it", true },
  { "bolovegna.it", true },
  { "bolt.cm", false },
  { "boltbeat.com", true },
  { "bolte.org", true },
  { "boltn.uk", true },
  { "bomb.codes", true },
  { "bonaccorso.eu", true },
  { "bonami.cz", true },
  { "bonami.hu", true },
  { "bonami.pl", true },
  { "bonami.ro", true },
  { "bonami.sk", true },
  { "bonbonmania.com", true },
  { "bondagefetishstore.com", true },
  { "bondarenko.dn.ua", true },
  { "bondingwithbaby.ca", true },
  { "bondoer.fr", true },
  { "bondskampeerder.nl", true },
  { "bondtofte.dk", true },
  { "bonebunny.de", true },
  { "bonesserver.com", true },
  { "bonfi.net", true },
  { "bonibuty.com", true },
  { "bonifacius.be", true },
  { "bonita.com.br", true },
  { "bonnant-associes.ch", true },
  { "bonnant-partners.ch", true },
  { "bonnebouffe.fr", true },
  { "bonnieradvocaten.nl", true },
  { "bonnsustainabilityportal.de", true },
  { "bonnyprints.at", true },
  { "bonnyprints.ch", true },
  { "bonnyprints.es", true },
  { "bonnyprints.fr", true },
  { "bonprix.co.uk", true },
  { "bonqoeur.ca", true },
  { "bonsaimedia.nl", true },
  { "boobox.xyz", true },
  { "boodaah.com", true },
  { "boodmo.com", true },
  { "boogiebouncecastles.co.uk", true },
  { "book-in-hotel.com", true },
  { "bookingapp.be", true },
  { "bookingapp.nl", true },
  { "bookingdeluxesp.com", true },
  { "bookingready.com", true },
  { "bookingworldspeakers.com", true },
  { "bookluk.com", true },
  { "bookmakersfreebets.com.au", true },
  { "bookmein.in", true },
  { "bookourdjs.com", true },
  { "booksearch.jp", true },
  { "bookshopofindia.com", true },
  { "booksinthefridge.at", true },
  { "booktracker-org.appspot.com", true },
  { "bookwitty.social", true },
  { "bool.be", true },
  { "boomersurf.com", true },
  { "boomshelf.com", true },
  { "boomshelf.org", true },
  { "boonbox.com", true },
  { "boonehenry.co.uk", true },
  { "booox.biz", true },
  { "booox.cc", true },
  { "booox.info", true },
  { "booox.net", true },
  { "booox.org", true },
  { "booox.pw", true },
  { "boop.pro", true },
  { "booq.org", true },
  { "booquiz.com", true },
  { "boosinflatablegames.co.uk", true },
  { "boost.ink", true },
  { "booter.pw", true },
  { "bootjp.me", false },
  { "bopiweb.com", true },
  { "bopp.org", true },
  { "borahan.net", true },
  { "bordadoenpedreria.com", true },
  { "bordes.me", true },
  { "boredhackers.com", true },
  { "borg.cloud", true },
  { "boringsmith.com", true },
  { "boris64.net", true },
  { "borisenko.by", true },
  { "borisschapira.com", true },
  { "borja.io", true },
  { "born2bounce.co.uk", true },
  { "bornandgrazed.com", true },
  { "bornfiber.dk", true },
  { "bornhack.dk", true },
  { "borowski.pw", true },
  { "borrelpartybus.nl", true },
  { "borysek.net", true },
  { "borzoi.com.br", true },
  { "bosabosa.org", true },
  { "boschee.net", true },
  { "boscoyacht.ch", true },
  { "boskeopolis-stories.com", true },
  { "boss.az", true },
  { "bostadsportal.se", true },
  { "bosufitness.cz", true },
  { "bosun.io", true },
  { "bosworthdental.co.uk", true },
  { "botlab.ch", true },
  { "botmanager.pl", true },
  { "bots.cat", true },
  { "botserver.de", true },
  { "botstack.host", true },
  { "bottaerisposta.net", true },
  { "bottineauneighborhood.org", true },
  { "bottke.berlin", true },
  { "bou.lt", true },
  { "bouah.net", true },
  { "bouchard-mathieux.com", true },
  { "bouchonville-knifemaker.com", true },
  { "bouckaert-usedcars.be", true },
  { "boudah.pl", true },
  { "boueki.jp", true },
  { "boueki.org", true },
  { "bougeret.fr", true },
  { "bouk.co", true },
  { "boukoubengo.com", true },
  { "boulzicourt.fr", true },
  { "bounce-a-mania.co.uk", true },
  { "bounce-a-roo.co.uk", true },
  { "bounce-abouts.com", true },
  { "bounce-n-go.co.uk", true },
  { "bounce-on.co.uk", true },
  { "bounce-xtreme.co.uk", true },
  { "bounce4fun.co.uk", true },
  { "bounce4fun.ie", true },
  { "bounce4kidz.com", true },
  { "bounce4less.ie", true },
  { "bouncea-bout.com", true },
  { "bounceaboutandplay.co.uk", true },
  { "bounceaboutnewark.co.uk", true },
  { "bounceaboutsussex.co.uk", true },
  { "bouncealotcastlehire.co.uk", true },
  { "bouncealotnorthwest.co.uk", true },
  { "bounceandwobble.co.uk", true },
  { "bounceapp.com", true },
  { "bouncearoundevents.co.uk", true },
  { "bouncearoundsheffield.co.uk", true },
  { "bouncebackcastles.co.uk", true },
  { "bouncebeyondcastles.co.uk", true },
  { "bouncebookings.com.au", true },
  { "bouncecrazy.ie", true },
  { "bouncejumpboston.co.uk", true },
  { "bouncekingdom.co.uk", true },
  { "bouncemania.org", true },
  { "bouncemaniaevents.co.uk", true },
  { "bouncemaniainflatables.co.uk", true },
  { "bouncemonkeys.co.uk", true },
  { "bouncenortheast.co.uk", true },
  { "bouncenpaint.co.uk", true },
  { "bouncenslidenortheast.co.uk", true },
  { "bouncepartycastles.com", true },
  { "bounceroosevents.co.uk", true },
  { "bouncers-bouncycastlehire.co.uk", true },
  { "bouncesouthwales.co.uk", true },
  { "bouncesquad.co.uk", true },
  { "bouncetasticuk.co.uk", true },
  { "bouncetheparty.co.uk", true },
  { "bounceunlimited.co.uk", true },
  { "bouncewithbovells.com", true },
  { "bouncewrightcastles.co.uk", true },
  { "bouncincastles.co.uk", true },
  { "bouncing-bugs.co.uk", true },
  { "bouncing4joy.co.uk", true },
  { "bouncingbairnsinflatables.co.uk", true },
  { "bouncingbeansinflatables.co.uk", true },
  { "bouncingbobsinflatables.co.uk", true },
  { "bouncingbuddiesleicester.co.uk", true },
  { "bouncinghigher.co.uk", true },
  { "bouncingscotland.com", true },
  { "bouncourseplanner.net", true },
  { "bouncy-castles-surrey.co.uk", true },
  { "bouncy-tots.co.uk", true },
  { "bouncybaileys.co.uk", true },
  { "bouncyball.eu", true },
  { "bouncyballs.org", true },
  { "bouncyballscastles.co.uk", true },
  { "bouncybouncyboocastlehire.co.uk", true },
  { "bouncycastle.net.au", true },
  { "bouncycastlehire-norwich.com", true },
  { "bouncycastlehire-sheffield.co.uk", true },
  { "bouncycastlehireauckland.co.nz", true },
  { "bouncycastlehirebarnstaple.co.uk", true },
  { "bouncycastlehirebexley.co.uk", true },
  { "bouncycastlehirechelmsford.org.uk", true },
  { "bouncycastlehirehull.co.uk", true },
  { "bouncycastlehireinglasgow.co.uk", true },
  { "bouncycastlehirelouth.co.uk", true },
  { "bouncycastlehiremalvern.co.uk", true },
  { "bouncycastlehiremedway.com", true },
  { "bouncycastlehireoldham.co.uk", true },
  { "bouncycastlehirestroud.co.uk", true },
  { "bouncycastlehiresurrey.co.uk", true },
  { "bouncycastlehiretameside.co.uk", true },
  { "bouncycastlehirewinchester.co.uk", true },
  { "bouncycastleman.co.uk", true },
  { "bouncycastlemangloucestershire.co.uk", true },
  { "bouncycastleparade.com", true },
  { "bouncycastles.me", true },
  { "bouncycastlesgalway.com", true },
  { "bouncycastleshire.co.uk", true },
  { "bouncycastleshireleeds.co.uk", true },
  { "bouncycastlesin.co.uk", true },
  { "bouncycastlesinderby.co.uk", true },
  { "bouncycastlesinleeds.co.uk", true },
  { "bouncycastlesisleofwight.co.uk", true },
  { "bouncycastlesmonaghan.com", true },
  { "bouncycastlesperth.net", true },
  { "bouncycastlessheerness.co.uk", true },
  { "bouncydays.co.uk", true },
  { "bouncyfeet.co.uk", true },
  { "bouncygiggles.com.au", true },
  { "bouncyhigher.co.uk", true },
  { "bouncyhousecastlehire.co.uk", true },
  { "bouncyhouses.co.uk", true },
  { "bouncykingdom.co.uk", true },
  { "bouncykings.co.uk", true },
  { "bouncykingsnortheast.co.uk", true },
  { "bouncymacs.co.uk", true },
  { "bouncymadness.com", true },
  { "bouncyrainbows.co.uk", true },
  { "bouncytime.co.uk", true },
  { "bouncytown.co.uk", true },
  { "bouncywouncy.co.uk", true },
  { "bound2bounce.co.uk", true },
  { "boundarybrighton.com", true },
  { "bountyfactory.io", true },
  { "bourasse.fr", true },
  { "bourdon.fr.eu.org", true },
  { "bourhis.info", true },
  { "bournefun.co.uk", true },
  { "bourqu.in", true },
  { "boutiquedecanetas.com.br", true },
  { "boutiquefutebol.com.br", true },
  { "boutiqueguenaelleverdin.com", true },
  { "bouw.live", true },
  { "bouzouks.net", true },
  { "bovenwebdesign.nl", true },
  { "bowedwallcrackrepair.com", true },
  { "boweryandvine.com", true },
  { "bowlcake.fr", true },
  { "bowling.com", true },
  { "bowlsheet.com", false },
  { "bowntycdn.net", true },
  { "boxpeg.com", true },
  { "boxpirates.to", true },
  { "boxvergelijker.nl", true },
  { "boyhost.cn", true },
  { "boypoint.de", true },
  { "boz.nl", false },
  { "bozdoz.com", true },
  { "bozemancarpetcleaningservices.com", true },
  { "bozit.com.au", true },
  { "bozosbouncycastles.co.uk", true },
  { "bpa.gov", true },
  { "bpaste.net", true },
  { "bpastudies.org", true },
  { "bpo.ovh", true },
  { "bpol-forum.de", true },
  { "bqp.io", true },
  { "bqr.ch", true },
  { "br.search.yahoo.com", false },
  { "br3in.nl", false },
  { "br7.ru", true },
  { "braams.nl", true },
  { "bracho.xyz", true },
  { "brackets-salad.com", true },
  { "bracoitaliano.com.br", true },
  { "bradbrockmeyer.com", true },
  { "bradfordhottubhire.co.uk", true },
  { "bradfordmascots.co.uk", true },
  { "bradkovach.com", true },
  { "bradler.net", true },
  { "bradlinder.org", true },
  { "bradypatterson.com", true },
  { "braemer-it-consulting.de", true },
  { "braeunlich-gmbh.com", true },
  { "brahmins.com", true },
  { "brahmstaedt.de", true },
  { "braiampeguero.xyz", true },
  { "brailsford.xyz", true },
  { "brain-e.co", true },
  { "brain-force.ch", true },
  { "brainball.fr", true },
  { "brainbuxa.com", true },
  { "brainfork.org", true },
  { "brainhub.nl", true },
  { "brainserve.ch", true },
  { "brainserve.com", true },
  { "brainserve.swiss", true },
  { "brainsik.net", true },
  { "brainster.co", true },
  { "brainvoyagermusic.com", true },
  { "brainwork.space", true },
  { "brakemanpro.com", true },
  { "brakstad.org", true },
  { "bralnik.com", true },
  { "brambogaerts.nl", true },
  { "bramburek.net", true },
  { "bramhallsamusements.com", true },
  { "brammingfys.dk", true },
  { "bramstaps.nl", true },
  { "bramvanaken.be", true },
  { "bran.land", true },
  { "branch-bookkeeper.com", true },
  { "brand-foo.com", true },
  { "brand-foo.jp", true },
  { "brand-foo.net", true },
  { "brandbil.dk", true },
  { "brandbuilderwebsites.com", true },
  { "brandcodeconsulting.com", true },
  { "brandcodestyle.com", true },
  { "brando753.xyz", true },
  { "brandongomez.me", true },
  { "brandonhubbard.com", true },
  { "brandonwalker.me", true },
  { "brandrocket.dk", true },
  { "brandstead.com", true },
  { "brandtrapselfie.nl", true },
  { "brandweertrainingen.nl", true },
  { "brandweeruitgeest.nl", true },
  { "brank.as", true },
  { "branw.xyz", true },
  { "brasal.ma", true },
  { "brasalcosmetics.com", true },
  { "brashear.me", true },
  { "brasilbombas.com.br", true },
  { "brasilmorar.com", true },
  { "brasserie-mino.fr", true },
  { "brasspipedreams.org", true },
  { "bratislava-airport-taxi.com", true },
  { "bratvanov.com", true },
  { "brau-ingenieur.de", true },
  { "braudoktor.de", true },
  { "brauingenieur.de", true },
  { "braunsteinpc.com", true },
  { "braunwarth.info", true },
  { "brava.bg", true },
  { "brave-foods.ch", true },
  { "brave-foods.com", true },
  { "brave.com", true },
  { "bravebaby.com.au", true },
  { "bravehearts.org.au", true },
  { "braviskindenjeugd.nl", true },
  { "bravisziekenhuis.nl", true },
  { "brazilian.dating", true },
  { "brazillens.com", true },
  { "brck.nl", true },
  { "brd.ro", true },
  { "breadandlife.org", true },
  { "breadofgod.org", true },
  { "breakingtech.it", true },
  { "breakpoint.at", true },
  { "breathedreamgo.com", true },
  { "breathingblanket.com", true },
  { "brecht.ch", true },
  { "breckle.com.ua", true },
  { "brecknell.biz", true },
  { "brecknell.com", true },
  { "brecknell.info", true },
  { "brecknell.name", true },
  { "brecknell.net", true },
  { "brecknell.org", true },
  { "breda.computer", true },
  { "bredvid.no", true },
  { "breest.net", true },
  { "breeyn.com", true },
  { "brefy.com", true },
  { "brege.org", true },
  { "bregnedalsystems.dk", true },
  { "breitbild-beamer.de", true },
  { "brejoc.com", true },
  { "bremen-restaurants.de", true },
  { "bremensaki.com", true },
  { "bremerfriedensforum.de", true },
  { "brendanbatliner.com", true },
  { "brendanscherer.com", true },
  { "brentacampbell.com", true },
  { "brentnewbury.com", true },
  { "bressier.fr", true },
  { "bretcarmichael.com", true },
  { "brettabel.com", true },
  { "brettcornwall.com", true },
  { "brettelliff.com", true },
  { "bretz-hufer.de", true },
  { "bretzner.fr", true },
  { "brevboxar.se", true },
  { "brewsouth.com", true },
  { "brewtrackr.com", true },
  { "brgins.com", true },
  { "brianalaway.com", true },
  { "brianalawayconsulting.com", true },
  { "briandwells.com", true },
  { "brianfoshee.com", true },
  { "briangarcia.ga", true },
  { "brianlanders.us", true },
  { "brianmwaters.net", true },
  { "brianroadifer.com", true },
  { "briansmith.org", true },
  { "briantkatch.com", true },
  { "brianwesaala.com", true },
  { "briarproject.org", true },
  { "brickftp.com", true },
  { "brickheroes.com", true },
  { "brickvortex.com", true },
  { "bricolajeux.ch", true },
  { "brid.gy", false },
  { "bridgeglobalmarketing.com", true },
  { "bridgevest.com", true },
  { "bridgingdirectory.com", true },
  { "brie.tech", true },
  { "briefassistant.com", true },
  { "briefhansa.de", true },
  { "briefvorlagen-papierformat.de", true },
  { "briggsleroux.com", true },
  { "brighouse-leisure.co.uk", true },
  { "brightday.bz", true },
  { "brightonbank.com", true },
  { "brightonbouncycastles.net", true },
  { "brightonchilli.org.uk", true },
  { "brightonzhang.com", true },
  { "brigidaarie.com", true },
  { "brilliantbouncyfun.co.uk", true },
  { "brilliantdecisionmaking.com", true },
  { "brilliantproductions.co.nz", true },
  { "brimspark.systems", true },
  { "brinkhu.is", true },
  { "brinquedoseducativos.art.br", true },
  { "brio-shop.ch", true },
  { "brisbanelogistics.com.au", true },
  { "bristebein.com", true },
  { "bristolandwestonsuperbounce.com", true },
  { "britanniapandi.com", true },
  { "britelocate.com", true },
  { "britishbeef.com", true },
  { "britishbookmakers.co.uk", true },
  { "britishgroupsg.com", true },
  { "britishpearl.com", true },
  { "britishsciencefestival.org", true },
  { "britishscienceweek.org", true },
  { "britneyclause.com", true },
  { "britton-photography.com", true },
  { "brmascots.com", true },
  { "brmsalescommunity.com", true },
  { "brn.by", true },
  { "bro.hk", true },
  { "broadleft.org", true },
  { "broadsheet.com.au", true },
  { "brockmeyer.net", true },
  { "brockmeyer.org", true },
  { "brodowski.cc", true },
  { "broersma.com", true },
  { "broeselei.at", true },
  { "brokenhands.io", true },
  { "brokenjoysticks.net", true },
  { "brokervalues.com", true },
  { "brompton-cocktail.com", true },
  { "bronetb2b.com.br", true },
  { "bronevichok.ru", true },
  { "bronwynlewis.com", true },
  { "broodbesteld.nl", true },
  { "brooke-fan.com", true },
  { "brookehatton.com", true },
  { "brooklynrealestateblog.com", true },
  { "brookworth.com", true },
  { "brossman.it", true },
  { "brossmanit.com", true },
  { "brother-printsmart.nl", true },
  { "brouillard.ch", true },
  { "brouwerijkoelit.nl", true },
  { "brovelton.com", true },
  { "brown-devost.com", true },
  { "brownfieldstsc.org", true },
  { "brownihc.com", true },
  { "brring.com", true },
  { "bru6.de", true },
  { "brucemartin.net", true },
  { "brucemobile.de", false },
  { "bruck.me", true },
  { "bruckner.li", true },
  { "bruna-cdn.nl", true },
  { "brunick.de", false },
  { "brunn.email", true },
  { "brunner.ninja", false },
  { "brunoramos.com", true },
  { "brunoramos.org", true },
  { "brunosouza.org", true },
  { "bruun.co", true },
  { "bryankaplan.com", true },
  { "bryanquigley.com", true },
  { "bs-network.net", true },
  { "bs-security.com", true },
  { "bs.sb", true },
  { "bs.to", true },
  { "bs12v.ru", true },
  { "bsa157.org", true },
  { "bsatroop794.org", true },
  { "bsc-rietz.at", true },
  { "bsd-box.net", true },
  { "bsd.com.ro", true },
  { "bsdes.net", true },
  { "bsdfreak.dk", true },
  { "bsdracing.ca", true },
  { "bsdug.org", true },
  { "bsdunix.xyz", true },
  { "bsee.gov", true },
  { "bserved.de", true },
  { "bsg-aok-muenchen.de", true },
  { "bsg.ro", true },
  { "bsgamanet.ro", true },
  { "bsidesf.com", true },
  { "bsidesf.org", true },
  { "bsidessf.com", true },
  { "bslim-e-boutique.com", true },
  { "bsociabl.com", true },
  { "bsp-southpool.com", true },
  { "bsquared.org", true },
  { "bstoked.net", true },
  { "bsw-solution.de", true },
  { "bt123.xyz", true },
  { "bta.lv", false },
  { "btaoke.com", true },
  { "btc2secure.com", true },
  { "btcarmory.com", true },
  { "btcbolsa.com", true },
  { "btcgo.nl", true },
  { "btcontract.com", true },
  { "btcpop.co", true },
  { "btcycle.org", true },
  { "btio.pw", true },
  { "btmstore.com.br", true },
  { "btnissanparts.com", true },
  { "btorrent.xyz", true },
  { "btrb.ml", true },
  { "btsapem.com", true },
  { "btserv.de", true },
  { "btsoft.eu", true },
  { "btsow.com", true },
  { "btth.live", true },
  { "btth.pl", true },
  { "btth.tv", true },
  { "btth.xyz", true },
  { "bttorj45.com", true },
  { "bubba.cc", true },
  { "bubblegumblog.com", true },
  { "bubblespetspa.com", true },
  { "bubblinghottubs.co.uk", true },
  { "bubblybouncers.co.uk", true },
  { "bubhub.io", true },
  { "buch-angucken.de", true },
  { "buchwegweiser.com", true },
  { "buck.com", true },
  { "buckypaper.com", true },
  { "budaev-shop.ru", true },
  { "buddhismus.net", true },
  { "buddie5.com", true },
  { "buddlycrafts.com", true },
  { "buddyworks.net", true },
  { "budeanu.com", true },
  { "buderus-family.be", true },
  { "budger.nl", true },
  { "budget.gov", true },
  { "budgetalk.com", true },
  { "budgetcastlehire.co.uk", true },
  { "budgetenergievriendenvoordeel.nl", true },
  { "budgetlob.gov", true },
  { "budgetlovers.nl", true },
  { "budgiesballoons.com", true },
  { "budntod.com", true },
  { "budolfs.de", true },
  { "buehnenbande.ch", false },
  { "bueltge.de", true },
  { "buena.me", true },
  { "buergerdialog.net", true },
  { "buergerhaushalt.com", true },
  { "bueroplus.de", true },
  { "bueroshop24.de", true },
  { "buffaloautomation.com", true },
  { "buffaloturf.com.au", true },
  { "bug.blue", true },
  { "bug.ee", true },
  { "bugcrowd.com", true },
  { "bugs.chromium.org", true },
  { "bugtrack.co.uk", true },
  { "bugzil.la", true },
  { "bugzilla.mozilla.org", true },
  { "build.chromium.org", true },
  { "buildbox.io", true },
  { "buildbytes.com", true },
  { "building-cost-estimators.com", true },
  { "buildingclouds.de", true },
  { "buildingcostestimators.co.uk", true },
  { "builditsolutions.net", true },
  { "buildkite.com", true },
  { "buildplease.com", true },
  { "buildrightbuildingservicesltd.co.uk", true },
  { "buileo.com", true },
  { "builtvisible.com", true },
  { "builtwith.com", true },
  { "bukkenfan.jp", true },
  { "bul3seas.eu", true },
  { "bulario.com", true },
  { "bulario.net", true },
  { "bulbcompare.com", true },
  { "buldogueingles.com.br", true },
  { "bulkcandystore.com", true },
  { "bulkingtime.com", true },
  { "bulktrade.de", true },
  { "bulkwholesalesweets.co.uk", true },
  { "bull.id.au", true },
  { "bulldog-hosting.de", true },
  { "bulldoghire.co.uk", true },
  { "bulledair-savons.ch", true },
  { "bullettags.com", true },
  { "bullshitmail.nl", true },
  { "bullterrier.nu", true },
  { "bulmastife.com.br", true },
  { "bulwarkhost.com", true },
  { "bumarkamoda.com", true },
  { "bunbun.be", false },
  { "bund-von-theramore.de", true },
  { "bundaberg.com", true },
  { "bundespolizei-forum.de", true },
  { "bunkyo-life.com", true },
  { "bunny-rabbits.com", true },
  { "bunnyvishal.com", true },
  { "bunzy.ca", true },
  { "bupropion.com", true },
  { "buradangonder.com", true },
  { "burcevo.info", true },
  { "burgernet.nl", true },
  { "burgers.io", true },
  { "burghardt.pl", true },
  { "buri.be", false },
  { "buricloud.fr", true },
  { "burke.services", true },
  { "burlapsac.ca", true },
  { "burnerfitness.com", true },
  { "burnhamonseabouncycastles.co.uk", true },
  { "burningbird.net", true },
  { "burningflipside.com", false },
  { "burntfish.com", true },
  { "burnworks.com", true },
  { "buronwater.com", true },
  { "burotec-sarl.com", true },
  { "burr.is", true },
  { "burroughsid.com", true },
  { "bursaries-southafrica.co.za", true },
  { "burtplasticsurgery.com", true },
  { "burtrum.family", true },
  { "burtrum.me", true },
  { "burtrum.name", true },
  { "burtrum.org", true },
  { "burzmali.com", true },
  { "buserror.cn", true },
  { "bushbaby.com", true },
  { "bushcraftfriends.com", true },
  { "busindre.com", true },
  { "business-garden.com", true },
  { "business.facebook.com", false },
  { "businessadviceperth.com.au", true },
  { "businesscentermarin.ch", true },
  { "businessesdirectory.eu", true },
  { "businessfactors.de", true },
  { "businessimmigration-eu.com", true },
  { "businessimmigration-eu.ru", true },
  { "businessplanexperts.ca", true },
  { "bustadice.com", true },
  { "bustimes.org", true },
  { "bustup-tips.com", true },
  { "butarque.es", true },
  { "buthowdoyoubuygroceries.com", true },
  { "butikvip.ru", true },
  { "butt.repair", true },
  { "buttercupstraining.co.uk", true },
  { "buttermilk.cf", true },
  { "buttonline.ch", true },
  { "buturyu.net", true },
  { "buturyu.org", true },
  { "buurtpreventiefraneker.nl", true },
  { "buxum-communication.ch", true },
  { "buy-thing.com", true },
  { "buyaccessible.gov", true },
  { "buybike.shop", true },
  { "buycook.shop", true },
  { "buydesired.com", true },
  { "buydissertations.com", true },
  { "buyerdocs.com", true },
  { "buyessayscheap.com", true },
  { "buyhealth.shop", true },
  { "buyinginvestmentproperty.com", true },
  { "buyjewel.shop", true },
  { "buymindhack.com", true },
  { "buypapercheap.net", true },
  { "buyplussize.shop", true },
  { "buyprofessional.shop", true },
  { "buyritefairview.com", true },
  { "buyseo.store", true },
  { "buytermpaper.com", true },
  { "buytheway.co.za", true },
  { "buywine.shop", true },
  { "buzz.tools", true },
  { "buzzprint.it", true },
  { "bvalle.com", true },
  { "bvgg.eu", true },
  { "bvionline.eu", true },
  { "bvl.aero", true },
  { "bvv-europe.eu", true },
  { "bw.codes", true },
  { "bwcscorecard.org", true },
  { "bwe-seminare.de", true },
  { "bwh1.net", true },
  { "bwilkinson.co.uk", true },
  { "bwin8601.com", true },
  { "bwin8602.com", true },
  { "bwin8603.com", true },
  { "bwin8604.com", true },
  { "bwin8605.com", true },
  { "bwin8606.com", true },
  { "bwl-earth.club", true },
  { "bws16.de", true },
  { "bwwb.nu", true },
  { "bx-n.de", true },
  { "bxp40.at", true },
  { "by.cx", true },
  { "by2230.com", true },
  { "by2238.com", true },
  { "by2239.com", true },
  { "by2251.com", true },
  { "by2253.com", true },
  { "by2254.com", true },
  { "byatte.com", true },
  { "bydisk.com", false },
  { "byeskille.no", true },
  { "bygningsregistrering.dk", true },
  { "byiu.info", true },
  { "bymark.co", true },
  { "bymike.co", true },
  { "bynder.com", true },
  { "bynet.cz", true },
  { "bypass.sh", true },
  { "byrko.cz", true },
  { "byrko.sk", true },
  { "byronprivaterehab.com.au", true },
  { "byronr.com", true },
  { "byronwade.com", true },
  { "byrtz.de", true },
  { "bysb.net", true },
  { "byte-time.com", true },
  { "byte128.com", true },
  { "bytearts.net", true },
  { "bytebucket.org", true },
  { "bytecode.no", true },
  { "bytejail.com", true },
  { "bytema.cz", true },
  { "bytema.eu", true },
  { "bytema.sk", true },
  { "byteowls.com", false },
  { "bytepark.de", true },
  { "bytepen.com", true },
  { "bytes.co", true },
  { "bytes.fyi", true },
  { "bytesatwork.de", true },
  { "byteshark.org", true },
  { "bytesign.de", true },
  { "bytesizedalex.com", true },
  { "bytesofcode.de", true },
  { "bytesystems.com", true },
  { "bythen.cn", true },
  { "bythisverse.com", true },
  { "byvshie.com", true },
  { "bywin9.com", true },
  { "bzhub.bid", true },
  { "bziaks.xyz", true },
  { "bzsparks.com", true },
  { "bztech.com.br", true },
  { "bzv-fr.eu", true },
  { "c-aeroconsult.com", true },
  { "c-path.org", true },
  { "c-rom.fr", true },
  { "c-rtx.com", true },
  { "c-shock.org", true },
  { "c-webdesign.net", true },
  { "c-world.co.uk", true },
  { "c.cc", true },
  { "c0rn3j.com", true },
  { "c2design.it", true },
  { "c2o-library.net", true },
  { "c3bbs.com", true },
  { "c3vo.de", true },
  { "c3w.at", true },
  { "c4539.com", true },
  { "c4k3.net", true },
  { "c7dn.com", true },
  { "ca-key.de", true },
  { "ca-terminal-multiservices.fr", true },
  { "ca.gparent.org", true },
  { "ca.search.yahoo.com", false },
  { "ca5.de", true },
  { "caarecord.org", true },
  { "caasd.org", true },
  { "cabaladada.org", true },
  { "cabarave.com", true },
  { "cabforum.org", true },
  { "cabinet-bedin.com", true },
  { "cablemod.com", true },
  { "cablesandkits.com", true },
  { "cabotfinancial.co.uk", true },
  { "cacao-chocolate.com", true },
  { "cacao.supply", true },
  { "cacaolalina.com", true },
  { "cacaumidade.com.br", true },
  { "caceis.bank", true },
  { "cachetagalong.com", true },
  { "cachethome.com", true },
  { "cachethq.io", true },
  { "cachetur.no", true },
  { "cackette.com", true },
  { "cad-noerdlingen.de", true },
  { "cadams.io", true },
  { "cadetsge.ch", true },
  { "cadmail.nl", true },
  { "cadman.pw", true },
  { "cadooz.com", true },
  { "cadorama.fr", true },
  { "cadoth.net", true },
  { "cadra.nl", true },
  { "cadre.com", true },
  { "cadsys.net", true },
  { "cadusilva.com", true },
  { "caerostris.com", true },
  { "caesarkabalan.com", true },
  { "cafedupont.be", true },
  { "cafedupont.co.uk", true },
  { "cafedupont.de", true },
  { "cafedupont.nl", true },
  { "cafefresco.pe", true },
  { "cafeimsueden.de", true },
  { "cafelandia.net", true },
  { "cafeobscura.nl", true },
  { "caffeinatedcode.com", true },
  { "caibi.io", true },
  { "cainhosting.com", false },
  { "cais.de", true },
  { "caitcs.com", true },
  { "caiwenjian.xyz", true },
  { "caizx.com", false },
  { "caja-pdf.es", true },
  { "cajio.ru", true },
  { "cajunuk.co.uk", true },
  { "cake-time.co.uk", true },
  { "cakestart.net", true },
  { "caketoindia.com", true },
  { "cakingandbaking.com", true },
  { "cal9000.com", true },
  { "calaad.net", true },
  { "calabasaselectrical.com", true },
  { "calaborlawnews.com", true },
  { "calafont.cat", false },
  { "calatoruldigital.ro", true },
  { "calc.pw", true },
  { "calcedge.com", true },
  { "calcinacci.com", true },
  { "calculateaspectratio.com", true },
  { "calculator-imt.com", true },
  { "calculator.tf", true },
  { "calcworkshop.com", true },
  { "caldecotevillagehall.co.uk", true },
  { "calebmorris.com", false },
  { "calebthompson.io", true },
  { "calendarr.com", true },
  { "calendarsnow.com", true },
  { "caletka.cz", true },
  { "calgoty.com", true },
  { "calibreapp.com", true },
  { "calibso.net", true },
  { "caliderumba.com", true },
  { "calidoinvierno.com", true },
  { "calixte-concept.fr", true },
  { "call.me", true },
  { "callanbryant.co.uk", true },
  { "callawayracing.se", true },
  { "callear.org", true },
  { "callhub.io", true },
  { "calltoar.ms", true },
  { "calltothepen.com", true },
  { "calluna.nl", true },
  { "calmtech.com", true },
  { "calotte-academy.com", true },
  { "calvin.my", true },
  { "calvinallen.net", false },
  { "calypso-tour.net", true },
  { "calyxengineers.com", true },
  { "calyxinstitute.org", false },
  { "camaradivisas.com", true },
  { "camaras.uno", true },
  { "camarilloelectrical.com", true },
  { "camastowncar.com", true },
  { "cambier.org", true },
  { "cambiowatch.ch", true },
  { "cambodian.dating", true },
  { "cambridgebouncers.co.uk", true },
  { "camconn.cc", true },
  { "camda.online", true },
  { "camelservers.com", true },
  { "cameraviva.com.br", true },
  { "camerweb.es", true },
  { "camilomodzz.net", true },
  { "camp-pleinsoleil.ch", true },
  { "camp.co.uk", true },
  { "campaign-ad.com", true },
  { "campaign.gov.uk", true },
  { "campaignagent.com.au", true },
  { "campaignwiki.org", true },
  { "campamentos.info", true },
  { "campbrainybunch.com", true },
  { "campcambodia.org", true },
  { "campcanada.org", true },
  { "campeonatoalemao.com.br", true },
  { "camperdays.de", true },
  { "camperlist.com", true },
  { "campermanaustralia.com", true },
  { "campertrailerfinance.com.au", true },
  { "camperverzekerd.nl", true },
  { "campfiretails.org", true },
  { "campfourpaws.com", true },
  { "camping-seilershof.de", true },
  { "campingskyhooks.com", true },
  { "campistry.net", true },
  { "campula.cz", true },
  { "campus-finance.com", true },
  { "campusdrugprevention.gov", true },
  { "campuswire.com", true },
  { "campwabashi.org", true },
  { "camshowhub.com", true },
  { "camsky.de", true },
  { "canada-tourisme.ch", true },
  { "canadalife.de", true },
  { "canadasmotorcycle.ca", true },
  { "canadian-nurse.com", true },
  { "canadian.dating", true },
  { "canadianchristianity.com", false },
  { "canadiantouristboard.com", true },
  { "canalsidehouse.be", true },
  { "canalsidehouse.com", true },
  { "canarianlegalalliance.com", true },
  { "canarymod.net", true },
  { "cancerdata.nhs.uk", true },
  { "candaceplayforth.com", true },
  { "candex.com", true },
  { "candicecity.com", true },
  { "candidasa.com", true },
  { "candlcastles.co.uk", true },
  { "cando.eu", true },
  { "candykidsentertainment.co.uk", true },
  { "candylion.rocks", true },
  { "candyout.com", true },
  { "canerkorkmaz.com", true },
  { "cangelloplasticsurgery.com", true },
  { "cangku.in", true },
  { "cangku.moe", true },
  { "canglong.net", true },
  { "canhazip.com", true },
  { "canihavesome.coffee", true },
  { "canker.org", true },
  { "canlidoviz.com", true },
  { "canmipai.com", true },
  { "cannabis-marijuana.com", true },
  { "cannyfoxx.me", true },
  { "canoonic.se", true },
  { "cantatio.ch", true },
  { "canterberry.cc", true },
  { "canterburybouncycastlehire.co.uk", true },
  { "cantrack.com", true },
  { "canva-dev.com", true },
  { "canva.com", true },
  { "canx.org", true },
  { "canyoupwn.me", true },
  { "cao.gov", true },
  { "cao.la", true },
  { "caodecristachines.com.br", true },
  { "caodesantohumberto.com.br", true },
  { "capacent.is", true },
  { "capachitos.cl", true },
  { "capacitacionyautoempleo.com", true },
  { "capacityproject.org", true },
  { "capellidipremoli.com", true },
  { "capimlimaoflores.com.br", true },
  { "capitainebaggy.ch", true },
  { "capital-match.com", true },
  { "capitalcap.com", true },
  { "capitalcollections.org.uk", true },
  { "capitalibre.com", true },
  { "capitalism.party", true },
  { "capitalp.jp", true },
  { "capitalquadatv.org.nz", true },
  { "capitaltg.com", true },
  { "capitolpathways.org", true },
  { "caplinbouncycastles.co.uk", true },
  { "capper.de", true },
  { "capriccio.to", true },
  { "caprichosdevicky.com", true },
  { "caps.is", true },
  { "capsogusto.com", true },
  { "capstansecurity.co.uk", true },
  { "capstansecurity.com", true },
  { "captainark.net", true },
  { "captainsinn.com", true },
  { "captalize.com", true },
  { "capturapp.com", false },
  { "capture-app.com", true },
  { "captured-symphonies.com", true },
  { "capuchinox.com", true },
  { "caputo.com", true },
  { "caputodesign.com", true },
  { "car-rental24.com", true },
  { "car-shop.top", true },
  { "car.info", true },
  { "car24.de", true },
  { "car24portal.de", true },
  { "carassure.de", true },
  { "carauctionnetwork.com", true },
  { "carauctionsalabama.com", true },
  { "carauctionscarolina.com", true },
  { "carauctionsgeorgia.com", true },
  { "carauctionsillinois.com", true },
  { "carbon-designz.com", true },
  { "carbon-project.org", true },
  { "carbon12.org", true },
  { "carbon12.software", true },
  { "carboneselectricosnettosl.info", true },
  { "carbonmade.com", false },
  { "carbono.uy", true },
  { "carbontv.com", true },
  { "carck.co.uk", true },
  { "carck.uk", true },
  { "cardboard.cx", true },
  { "carddreams.be", true },
  { "carddreams.de", true },
  { "carddreams.es", true },
  { "carddreams.nl", true },
  { "cardelmar.com", true },
  { "cardelmar.de", true },
  { "cardelmar.es", true },
  { "cardexchangesolutions.com", true },
  { "cardranking.jp", true },
  { "cardrecovery.fr", true },
  { "cardse.net", true },
  { "cardwars.hu", true },
  { "cardxl.be", true },
  { "cardxl.de", true },
  { "cardxl.fr", true },
  { "cardxl.nl", true },
  { "care4all.com", true },
  { "careeapp.com", true },
  { "careeraid.in", true },
  { "careeroptionscoach.com", true },
  { "careerpower.co.in", true },
  { "carefour.nl", true },
  { "caremad.io", true },
  { "carepassport.com", true },
  { "caretta.co.uk", true },
  { "carey.li", false },
  { "careyshop.cn", true },
  { "carezone.com", false },
  { "caribbean.dating", true },
  { "caribbeanarthritisfoundation.org", true },
  { "caribbeanexams.com", true },
  { "carigami.fr", true },
  { "caringladies.org", true },
  { "carinsurance.es", true },
  { "carinthia.eu", true },
  { "cariocacooking.com", true },
  { "carisenda.com", true },
  { "carlandfaith.com", true },
  { "carlife-at.jp", true },
  { "carlili.fr", true },
  { "carlingfordapartments.com.au", true },
  { "carlmjohnson.net", true },
  { "carlobiagi.de", true },
  { "carloshmm.com", true },
  { "carlosjeurissen.com", true },
  { "carnaticalifornia.com", true },
  { "carnet-du-voyageur.com", true },
  { "carnildo.com", true },
  { "caroes.be", true },
  { "carol-lambert.com", true },
  { "carolcappelletti.com", true },
  { "carolcestas.com", true },
  { "caroli.biz", true },
  { "caroli.com", true },
  { "caroli.name", true },
  { "caroli.net", true },
  { "carolinaclimatecontrolsc.com", true },
  { "carolynjoyce.com.au", true },
  { "carrando.com", true },
  { "carre-lutz.com", true },
  { "carriedin.com", true },
  { "carrierplatform.com", true },
  { "carringtonrealtygroup.com", true },
  { "carrollservicecompany.com", true },
  { "carson-aviation-adventures.com", true },
  { "carspneu.cz", true },
  { "carsten.pw", true },
  { "cartadeviajes.cl", true },
  { "cartadeviajes.co", true },
  { "cartadeviajes.com", true },
  { "cartadeviajes.com.ar", true },
  { "cartadeviajes.com.ve", true },
  { "cartadeviajes.de", true },
  { "cartadeviajes.ec", true },
  { "cartadeviajes.es", true },
  { "cartadeviajes.fr", true },
  { "cartadeviajes.mx", true },
  { "cartadeviajes.pe", true },
  { "cartadeviajes.uk", true },
  { "carteirasedistintivos.com.br", true },
  { "cartelcircuit.com", true },
  { "cartertonscouts.org.nz", true },
  { "cartesentreprises-unicef.fr", true },
  { "carthedral.com", true },
  { "carto.la", true },
  { "cartongesso.roma.it", true },
  { "cartooncastles.ie", true },
  { "cartoonhd.cc", true },
  { "cartouche-deal.fr", true },
  { "cartouche24.eu", true },
  { "cartucce24.it", true },
  { "carun.us", true },
  { "carusorealestate.com", true },
  { "caryefurd.com", true },
  { "casa-due-pur.com", true },
  { "casa-due-pur.de", true },
  { "casa-due.com", true },
  { "casa-mea-inteligenta.ro", true },
  { "casa-su.casa", true },
  { "casacameo.com", false },
  { "casadasportasejanelas.com", true },
  { "casadoarbitro.com.br", true },
  { "casadowifi.com.br", true },
  { "casalindamex.com", true },
  { "casamariposaspi.com", true },
  { "casapalla.com.br", true },
  { "casasuara.com", true },
  { "casbia.info", true },
  { "casbuijs.nl", true },
  { "casburggraaf.com", true },
  { "cascadesjobcorpscca.com", true },
  { "cascavelle.fr", true },
  { "cascavelle.nl", true },
  { "casecurity.org", true },
  { "caseplus-daem.de", true },
  { "cash-4x4.com", true },
  { "cashati.com", true },
  { "cashlink.de", true },
  { "cashlink.io", true },
  { "cashlogic.ch", true },
  { "cashmaxtexas.com", true },
  { "cashplk.com", true },
  { "casino-cash-flow.su", true },
  { "casino-cashflow.ru", true },
  { "casino-trio.com", true },
  { "casinobonuscodes.online", true },
  { "casinocashflow.ru", true },
  { "casinoonlinesicuri.com", true },
  { "casio-caisses-enregistreuses.fr", true },
  { "casjay.com", true },
  { "casjay.info", true },
  { "caspar.ai", true },
  { "casperpanel.com", true },
  { "cassimo.com", true },
  { "castible.de", true },
  { "castlecapers.com.au", true },
  { "castlecms.io", true },
  { "castlejackpot.com", true },
  { "castleking.net", true },
  { "castlekingdomstockport.co.uk", true },
  { "castlekingkent.co.uk", true },
  { "castleparty.co.uk", true },
  { "castles-in-the-sky.co.uk", true },
  { "castles4kidz.com", true },
  { "castles4rascalsiow.co.uk", true },
  { "castlesrus-kent.com", true },
  { "castleswa.com.au", true },
  { "casusgrillcaribbean.com", true },
  { "cat-blum.com", true },
  { "cat-box.de", true },
  { "cat.net", true },
  { "cat73.org", true },
  { "catalog.beer", true },
  { "catalogobiblioteca.com", true },
  { "catalogoreina.com", true },
  { "catalystapp.co", true },
  { "catbold.space", true },
  { "catbull.com", true },
  { "catburton.co.uk", true },
  { "catchersgear.com", true },
  { "catchfotografie.nl", true },
  { "catchief.com", true },
  { "catdecor.ru", true },
  { "catenacondos.com", true },
  { "catgirl.me", true },
  { "catharinesomerville.com", true },
  { "catharisme.eu", true },
  { "catharisme.net", true },
  { "catherineidylle.com", true },
  { "catherinescastles.co.uk", true },
  { "catholics.dating", true },
  { "cathosa.nl", true },
  { "cativa.net", true },
  { "catmoose.ca", true },
  { "catnet.dk", false },
  { "cattivo.nl", false },
  { "catuniverse.org", true },
  { "catveteran.com", true },
  { "caulfieldeastapartments.com.au", true },
  { "caulfieldracecourseapartments.com.au", true },
  { "caulong-ao.net", true },
  { "cav.ac", true },
  { "cavac.at", true },
  { "cavalierkingcharlesspaniel.com.br", true },
  { "cave-reynard.ch", true },
  { "cavevinsdefrance.fr", true },
  { "cavzodiaco.com.br", true },
  { "caylercapital.com", true },
  { "cazaviajes.es", true },
  { "cazes.info", true },
  { "cb-crochet.com", true },
  { "cbamo.org", true },
  { "cbbank.com", true },
  { "cbc-hire.co.uk", true },
  { "cbcf.info", true },
  { "cbd.supply", true },
  { "cbdev.de", true },
  { "cbecrft.net", true },
  { "cbhq.net", false },
  { "cbintermountainrealty.com", true },
  { "cbmusa.com", true },
  { "cbr-xml-daily.ru", true },
  { "cbw.sh", true },
  { "cc-brantomois.fr", true },
  { "ccac.gov", true },
  { "ccgn.co", true },
  { "ccgx.de", true },
  { "ccja.ro", false },
  { "ccprwebsite.org", true },
  { "cctvview.info", true },
  { "ccu.io", true },
  { "ccu.plus", true },
  { "ccv-deutschland.de", true },
  { "ccv.ch", true },
  { "ccv.eu", true },
  { "ccv.nl", true },
  { "cd-sport.com", true },
  { "cd.search.yahoo.com", false },
  { "cd5k.net", true },
  { "cda-aigle.ch", true },
  { "cda-nw.co.uk", true },
  { "cdasenegal.com", true },
  { "cdasiaonline.com", false },
  { "cdbf.ch", true },
  { "cdbtech.com", true },
  { "cdburnerxp.se", true },
  { "cdda.ch", true },
  { "cdeck.net", true },
  { "cdepot.eu", true },
  { "cdkeykopen.com", true },
  { "cdlcenter.com", true },
  { "cdn.ampproject.org", true },
  { "cdn.sx.cn", true },
  { "cdn6.de", true },
  { "cdncompanies.com", true },
  { "cdns.cloud", true },
  { "cdom.de", true },
  { "cdsdigital.de", true },
  { "cdu-wilgersdorf.de", true },
  { "ce-pimkie.fr", true },
  { "cebz.org", true },
  { "ceciliacolombara.com", true },
  { "cecipu.gob.cl", true },
  { "ced-services.nl", true },
  { "cedriccassimo.ch", true },
  { "cedriccassimo.com", true },
  { "cedricmartineau.com", true },
  { "ceebee.com", true },
  { "cefak.org.br", true },
  { "ceilingpac.org", true },
  { "cejhon.cz", false },
  { "cekaja.com", true },
  { "celcomhomefibre.com.my", true },
  { "celebrityhealthcritic.com", true },
  { "celebrityscope.net", true },
  { "celectro-pro.com", true },
  { "celiendev.ch", true },
  { "celine-patisserie.fr", true },
  { "celltek-server.de", false },
  { "celluliteorangeskin.com", true },
  { "celluliteremovaldiet.com", true },
  { "celtadigital.com", true },
  { "celti.ie.eu.org", true },
  { "celti.name", true },
  { "celuliteonline.com", true },
  { "cementscience.com", true },
  { "cemeteriat.com", true },
  { "ceml.ch", true },
  { "cenatorium.pl", true },
  { "censurfridns.dk", true },
  { "censurfridns.nu", true },
  { "censys.io", true },
  { "centaur.de", true },
  { "centennialradon.com", true },
  { "centerpoint.ovh", true },
  { "centillien.com", false },
  { "centio.bg", true },
  { "centos.tips", true },
  { "centralbank.ae", true },
  { "centralebigmat.eu", true },
  { "centralegedimat.eu", true },
  { "centralmissourifoundationrepair.com", true },
  { "centralstatecu.org", true },
  { "centralvoice.org", true },
  { "centrationgame.com", true },
  { "centredaccueil.fr", true },
  { "centreoeil.ch", true },
  { "centricbeats.com", true },
  { "centrobill.com", true },
  { "centrojovencuenca.es", true },
  { "centrosocialferrel.pt", true },
  { "centrumhodinek.cz", true },
  { "centruvechisv.ro", true },
  { "centurialeonina.com", true },
  { "centurioninfosec.com", true },
  { "centurioninfosec.com.sg", true },
  { "centurioninfosec.hk", true },
  { "centurioninfosec.sg", true },
  { "centurionunderground.com", true },
  { "century-group.com", true },
  { "ceoimon.com", true },
  { "ceopedia.org", true },
  { "ceramixcoating.nl", true },
  { "ceramiya.com", true },
  { "cerastar.com", true },
  { "cerber.us", true },
  { "cerberusinformatica.it", true },
  { "cercevelet.com", true },
  { "cerebelo.info", true },
  { "cerena-silver.ru", true },
  { "ceres-corp.org", true },
  { "ceres1.space", true },
  { "cerivo.co.uk", true },
  { "cermak.photos", true },
  { "cernakova.eu", true },
  { "cerpus-course.com", true },
  { "cerstve-korenie.sk", true },
  { "cerstvekorenie.sk", true },
  { "cert.govt.nz", true },
  { "cert.or.id", true },
  { "certcenter.ch", true },
  { "certcenter.co.uk", true },
  { "certcenter.com", true },
  { "certcenter.de", true },
  { "certchannel.com", true },
  { "certevia.com", true },
  { "certfa.com", true },
  { "certible.com", true },
  { "certificatedetails.com", true },
  { "certificatetools.com", true },
  { "certifiednurses.org", true },
  { "certmonitor.com.au", true },
  { "certmonitor.net", true },
  { "certnazionale.it", true },
  { "certspotter.com", true },
  { "certspotter.org", true },
  { "cervejista.com", true },
  { "cesdb.com", true },
  { "cesipagano.com", true },
  { "ceskepivnesety.sk", true },
  { "ceskepivnisety.cz", true },
  { "ceso-saco.com", true },
  { "cesobaly.cz", true },
  { "cestasedelicias.com.br", true },
  { "cestunmetier.ch", true },
  { "cetamol.com", true },
  { "cevo.com.hr", true },
  { "ceyizlikelisleri.com", true },
  { "cf-ide.de", true },
  { "cf11.de", true },
  { "cfa.gov", true },
  { "cfan.space", true },
  { "cfdcre5.org", true },
  { "cfh.com", true },
  { "cfneia.org", true },
  { "cfno.org", true },
  { "cfo.gov", true },
  { "cfpa-formation.fr", true },
  { "cfsh.tk", true },
  { "cftc.gov", true },
  { "cftcarouge.com", true },
  { "cfxdesign.com", true },
  { "cg-systems.hu", true },
  { "cg.search.yahoo.com", false },
  { "cgal.org", true },
  { "cgan.de", true },
  { "cgan.pw", true },
  { "cgbassurances.ch", true },
  { "cgbilling.com", true },
  { "cgcookiemarkets.com", true },
  { "cgnparts.com", true },
  { "cgpe.com", true },
  { "cgsmart.com", true },
  { "ch-laborit.fr", true },
  { "ch-sc.de", true },
  { "ch.search.yahoo.com", false },
  { "chabaojia.com", true },
  { "chabaudparfum.com", true },
  { "chabert-provence.fr", true },
  { "chad.ch", true },
  { "chadstoneapartments.com.au", true },
  { "chaifeng.com", true },
  { "chainedunion.info", true },
  { "chaip.org", true },
  { "chairinstitute.com", true },
  { "chaisystems.net", true },
  { "chaldeen.pro", true },
  { "chaletdemontagne.org", true },
  { "chaletmanager.com", true },
  { "chaletpierrot.ch", true },
  { "chaleur.com", true },
  { "chalker.io", true },
  { "challengeblog.org", true },
  { "challstrom.com", true },
  { "chamathellawala.com", true },
  { "chambion.ch", true },
  { "chameleon-ents.co.uk", true },
  { "champdogs.co.uk", true },
  { "champdogs.com", true },
  { "champicreuse.fr", true },
  { "championcastles.ie", true },
  { "champions.co", true },
  { "championsofpowerfulliving.com", true },
  { "championweb.com.au", true },
  { "champonthis.de", true },
  { "champserver.net", false },
  { "chanddriving.co.uk", true },
  { "chandr1000.ga", true },
  { "changecopyright.ru", true },
  { "changes.jp", true },
  { "changesfor.life", true },
  { "changethislater.com", true },
  { "channeladam.com", true },
  { "channellife.co.nz", true },
  { "channellife.com.au", true },
  { "chanoyu-gakkai.jp", true },
  { "chantalguggenbuhl.ch", true },
  { "chanz.com", true },
  { "chaos-games.org", true },
  { "chaos-inc.de", true },
  { "chaos.run", true },
  { "chaoscastles.co.uk", true },
  { "chaoschemnitz.de", true },
  { "chaosdorf.de", true },
  { "chaosfield.at", true },
  { "chaoslab.org", true },
  { "chaospott.de", true },
  { "chaosriftgames.com", true },
  { "chaotichive.com", true },
  { "chaoticlaw.com", true },
  { "chapelaria.tf", true },
  { "chapelfordbouncers.co.uk", true },
  { "chapiteauxduleman.fr", true },
  { "charakato.com", true },
  { "charbonnel.eu", true },
  { "charcoal-se.org", true },
  { "charcoalvenice.com", true },
  { "chargify.com", true },
  { "charissadescande.com", true },
  { "charitylog.co.uk", true },
  { "charl.eu", true },
  { "charles-darwin.com", true },
  { "charlesbwise.com", true },
  { "charlesjay.com", true },
  { "charlesmilette.net", true },
  { "charlespitonltd.com", true },
  { "charlesrogers.co.uk", true },
  { "charlestonfacialplastic.com", true },
  { "charliedillon.com", true },
  { "charliehr.com", true },
  { "charlierogers.co.uk", true },
  { "charlierogers.com", true },
  { "charlotte-touati.ch", true },
  { "charlottesvillegolfcommunities.com", true },
  { "charlotteswimmingpoolbuilder.com", true },
  { "charmander.me", true },
  { "charmingsaul.com", true },
  { "charmyadesara.com", true },
  { "charr.xyz", true },
  { "chars.ga", true },
  { "charta-digitale-vernetzung.de", true },
  { "charteroak.org", true },
  { "chartkick.com", true },
  { "chartpen.com", true },
  { "chartsy.de", true },
  { "charuru.moe", true },
  { "chasafilli.ch", true },
  { "chaseandzoey.de", true },
  { "chasetrails.co.uk", true },
  { "chasing-coins.com", true },
  { "chasse-et-plaisir.com", true },
  { "chat-libera.org", true },
  { "chat-senza-registrazione.net", true },
  { "chat.cz", true },
  { "chat2.cf", true },
  { "chat40.net", true },
  { "chatbelgie.eu", true },
  { "chatbot.one", true },
  { "chatbotclic.com", true },
  { "chatbotclick.com", true },
  { "chatbots.email", true },
  { "chatbots.systems", true },
  { "chatear.social", true },
  { "chateau-belvoir.com", true },
  { "chateau-de-lisle.fr", true },
  { "chateaudestrainchamps.com", true },
  { "chatfacile.org", true },
  { "chatitaly.org", true },
  { "chatme.im", false },
  { "chatnederland.eu", true },
  { "chatsworthelectrical.com", true },
  { "chatt-gratis.net", true },
  { "chatt-gratis.org", true },
  { "chattergalerie.eu", true },
  { "chattergallery.com", true },
  { "chatu.io", true },
  { "chatu.me", true },
  { "chatucomputers.com", true },
  { "chatxp.com", true },
  { "chatxsingle.net", true },
  { "chatxtutti.com", true },
  { "chatzimanolis.com", true },
  { "chatzimanolis.gr", true },
  { "chaurocks.com", true },
  { "chaussenot.net", true },
  { "chaverde.org", true },
  { "chavetaro.com", true },
  { "chaz6.com", true },
  { "chazalet.fr", true },
  { "chazay.net", false },
  { "chazgie.se", true },
  { "chbs.me", true },
  { "chch.it", true },
  { "chcoc.gov", true },
  { "chcsct.com", true },
  { "chd-expert.fr", true },
  { "chdgaming.xyz", true },
  { "cheah.xyz", true },
  { "cheapalarmparts.com.au", true },
  { "cheapcaribbean.com", true },
  { "cheapessay.net", true },
  { "cheapestgamecards.at", true },
  { "cheapestgamecards.be", true },
  { "cheapestgamecards.co.uk", true },
  { "cheapestgamecards.com", true },
  { "cheapestgamecards.de", true },
  { "cheapestgamecards.fi", true },
  { "cheapestgamecards.fr", true },
  { "cheapestgamecards.nl", true },
  { "cheapestgamecards.no", true },
  { "cheapestgamecards.se", true },
  { "cheapgeekts.com", false },
  { "cheapgoa.com", true },
  { "cheapiesystems.com", true },
  { "cheapssl.com.tr", true },
  { "cheapticket.in", true },
  { "cheapwritinghelp.com", true },
  { "check.torproject.org", false },
  { "checkecert.nl", true },
  { "checkhost.org", true },
  { "checkmateshoes.com", false },
  { "checkmyessay.com", true },
  { "checkmyessays.com", true },
  { "checkmypsoriasis.com", true },
  { "checkout.google.com", true },
  { "checkpoint-tshirt.com", true },
  { "checkrente.nl", true },
  { "checkspf.net", true },
  { "checktype.com", true },
  { "checkui.com", true },
  { "checkyourmath.com", true },
  { "checkyourmeds.com", true },
  { "checkyourprivilege.org", true },
  { "checkyourreps.org", true },
  { "checos.co.uk", true },
  { "cheddarpayments.com", true },
  { "cheekycharliessoftplay.co.uk", true },
  { "cheekymonkeysinflatables.co.uk", true },
  { "cheela.org", true },
  { "cheeseemergency.co.uk", true },
  { "cheesehosting.net", true },
  { "cheesypicsbooths.co.uk", true },
  { "cheetahwerx.com", true },
  { "cheez.systems", true },
  { "cheezflix.uk", true },
  { "chehalemgroup.com", true },
  { "cheladmin.ru", true },
  { "chelema.xyz", true },
  { "cheltenhambounce.co.uk", true },
  { "cheltenhambouncycastles.co.uk", true },
  { "cheltik.ru", true },
  { "chemicalcrux.org", true },
  { "chemicalguys-ruhrpott.de", true },
  { "chemiphys.com", true },
  { "chenapartment.com", true },
  { "chengtongled.com", true },
  { "chenkun.pro", true },
  { "chenky.com", true },
  { "chennien.com", true },
  { "chenqinghua.com", true },
  { "chentianyi.cn", true },
  { "chenzhekl.me", true },
  { "cherevoiture.com", true },
  { "cherie-belle.com", true },
  { "cherrett.digital", true },
  { "cherryonit.com", true },
  { "cherrywoodtech.com", true },
  { "chertseybouncycastles.co.uk", true },
  { "chesspoint.ch", true },
  { "chessreporter.nl", true },
  { "chevy37.com", true },
  { "chevymotor-occasions.be", true },
  { "chewey.de", true },
  { "chewey.org", true },
  { "chez-oim.org", true },
  { "chez.moe", true },
  { "chfr.search.yahoo.com", false },
  { "chhory.com", true },
  { "chhy.at", true },
  { "chiaraiuola.com", false },
  { "chiaramail.com", true },
  { "chiaseeds24.com", true },
  { "chiboard.co", true },
  { "chic-leather.com", true },
  { "chicagolug.org", true },
  { "chicisimo.com", true },
  { "chicolawfirm.com", true },
  { "chiemgauflirt.de", true },
  { "chikan-beacon.net", true },
  { "chikatomo-ryugaku.com", true },
  { "chikazawa.info", true },
  { "childcare.gov", true },
  { "childcounseling.org", true },
  { "childcustodylegalaid.org", true },
  { "childno.de", true },
  { "childrenandmedia.org.au", true },
  { "childrenfirstalways.org", true },
  { "childreninadversity.gov", true },
  { "childrensentertainmentleicester.co.uk", true },
  { "childrenspartiesrus.com", true },
  { "childstats.gov", true },
  { "childvisitationassistance.org", true },
  { "chilihosting.eu", true },
  { "chilio.net", true },
  { "chillebever.nl", true },
  { "chilli943.info", true },
  { "chima.net", true },
  { "chima.us", true },
  { "chimeratool.com", true },
  { "chimerity.com", true },
  { "chimpanzee.net", true },
  { "chinacdn.org", true },
  { "chinahighlights.ru", true },
  { "chinaspaceflight.com", true },
  { "chinatrademarkoffice.com", true },
  { "chinawhale.com", true },
  { "chint.ai", true },
  { "chinwag.im", true },
  { "chinwag.org", true },
  { "chipcore.com", true },
  { "chiralsoftware.com", true },
  { "chireiden.net", true },
  { "chiro-neuchatel.ch", true },
  { "chiropracticwpb.com", true },
  { "chiropraktik-riemann.de", true },
  { "chiropraticien-neuchatel.ch", true },
  { "chiropratique-neuchatel.ch", true },
  { "chirosphere.ch", true },
  { "chirpstory.com", true },
  { "chiru.no", true },
  { "chisago-isantidfl.com", true },
  { "chit.search.yahoo.com", false },
  { "chitoku.jp", true },
  { "chksite.com", true },
  { "chl.la", true },
  { "chloeallison.co.uk", true },
  { "chloehorler.com", true },
  { "chloescastles.co.uk", true },
  { "chlth.com", true },
  { "chmsoft.com.ua", true },
  { "chmsoft.ru", true },
  { "chmurakotori.ml", true },
  { "choc-o-lush.co.uk", true },
  { "chocodecor.com.br", true },
  { "chocolah.com.au", false },
  { "chocolate13tilias.com.br", true },
  { "chocolatesandhealth.com", true },
  { "chocolatier-tristan.ch", true },
  { "chocotough.nl", false },
  { "chodocu.com", true },
  { "choe.fi", true },
  { "choisirmonerp.com", true },
  { "chokladfantasi.net", true },
  { "chollima.pro", true },
  { "chon.io", true },
  { "chook.as", true },
  { "choosemypc.net", true },
  { "chorkley.co.uk", true },
  { "chorkley.com", true },
  { "chorkley.uk", true },
  { "chorleiterverband.de", true },
  { "chorpinkpoemps.de", true },
  { "chourishi-shigoto.com", true },
  { "chowii.com", true },
  { "chris-edwards.net", true },
  { "chrisaitch.com", true },
  { "chrisb.me", true },
  { "chrisb.xyz", true },
  { "chrisbryant.me.uk", true },
  { "chrisburnell.com", true },
  { "chriscarey.com", true },
  { "chriscowley.me.uk", true },
  { "chrisdecairos.ca", true },
  { "chrisirwin.ca", true },
  { "chrisjean.com", true },
  { "chrislane.com", true },
  { "chrismathys.com", true },
  { "chrismcclendon.com", true },
  { "chrismckee.co.uk", true },
  { "chrismurrayfilm.com", true },
  { "chrisnekarda.com", true },
  { "chrisnicholas.io", true },
  { "chrispstreet.com", true },
  { "christadelphiananswers.org", true },
  { "christadelphians.eu", true },
  { "christchurchbouncycastles.co.uk", true },
  { "christensenplace.us", true },
  { "christiaanconover.com", true },
  { "christian-gredig.de", true },
  { "christian-host.com", true },
  { "christian-liebel.com", true },
  { "christianbargon.de", false },
  { "christiancleva.com", true },
  { "christianfaq.org", true },
  { "christianforums.com", true },
  { "christiangehring.org", true },
  { "christianillies.de", true },
  { "christianjens.com", true },
  { "christianliebel.com", true },
  { "christianpeltier.com", true },
  { "christianpilgrimage.com.au", true },
  { "christians.dating", true },
  { "christianscholz.de", true },
  { "christianscholz.eu", true },
  { "christiehawkes.com", true },
  { "christiesantiques.com", true },
  { "christmascard.be", true },
  { "christmaspartyhire.co.uk", true },
  { "christoph-conrads.name", true },
  { "christophbartschat.com", true },
  { "christophebarbezat.ch", true },
  { "christopher-simon.de", true },
  { "christopherandcharlotte.uk", true },
  { "christopherburg.com", true },
  { "christopherkennelly.com", true },
  { "christopherl.com", true },
  { "christopherpritchard.co.uk", true },
  { "christophertruncer.com", true },
  { "christophkreileder.com", true },
  { "christophsackl.de", true },
  { "chriswald.com", true },
  { "chriswarrick.com", true },
  { "chriswbarry.com", true },
  { "chriswells.io", true },
  { "chromaxa.com", true },
  { "chromcraft-revington.com", true },
  { "chrome-devtools-frontend.appspot.com", true },
  { "chrome.com", false },
  { "chrome.google.com", true },
  { "chromebookchart.com", true },
  { "chromebooksforwork.com", true },
  { "chromiumbugs.appspot.com", true },
  { "chromiumcodereview.appspot.com", false },
  { "chronic101.xyz", true },
  { "chroniclesofgeorge.com", true },
  { "chronology.no", true },
  { "chronoshop.cz", true },
  { "chrpaul.de", true },
  { "chrstn.eu", true },
  { "chsh.moe", true },
  { "chsterz.de", true },
  { "chua.family", true },
  { "chuchote-moi.fr", true },
  { "chuck.ovh", true },
  { "chun.pro", true },
  { "chunche.net", true },
  { "chundelac.com", true },
  { "chunk.science", true },
  { "chupadelfrasco.com", true },
  { "churchlinkpro.com", true },
  { "churchthemes.com", true },
  { "churchwebcanada.ca", true },
  { "churchwebsupport.com", true },
  { "chxdf.net", true },
  { "chytraauta.cz", true },
  { "chziyue.com", true },
  { "ci-fo.org", true },
  { "ci-suite.com", true },
  { "ci5.me", true },
  { "ciancode.com", true },
  { "cianmawhinney.me", true },
  { "ciansc.com", true },
  { "ciat.no", false },
  { "cidadedopoker.com.br", true },
  { "cidbot.com", true },
  { "cidersus.com.ec", true },
  { "cie-theatre-montfaucon.ch", true },
  { "cielbleu.org", true },
  { "cifop-numerique.fr", true },
  { "cig-dem.com", true },
  { "cigar-cartel.com", true },
  { "cigarterminal.com", false },
  { "cima-idf.fr", true },
  { "cimballa.com", true },
  { "cimfax.com", true },
  { "cinafilm.com", true },
  { "cinay.pw", true },
  { "cindey.io", true },
  { "cine-music.de", true },
  { "cine.to", true },
  { "cinefilzonen.se", true },
  { "cinelite.club", true },
  { "cinema5.ru", false },
  { "cinemarxism.com", true },
  { "cinemysticism.com", true },
  { "cineplex.my", true },
  { "ciner.is", true },
  { "cinerama.com.br", true },
  { "cinnabon.com", true },
  { "cinq-elements.com", true },
  { "cinq-elements.fr", true },
  { "cinq-elements.net", true },
  { "cinsects.de", true },
  { "cintactimber.com", true },
  { "cinteo.com", true },
  { "cio-ciso-interchange.org", true },
  { "cio-cisointerchange.org", true },
  { "cio.go.jp", true },
  { "cio.gov", true },
  { "cioscloud.com", true },
  { "cip.md", true },
  { "cipartyhire.co.uk", true },
  { "cipher.team", true },
  { "cipherboy.com", true },
  { "ciphersuite.info", true },
  { "ciphrex.com", true },
  { "cipri.com", true },
  { "cipri.net", true },
  { "cipri.nl", true },
  { "cipri.org", true },
  { "cipria.no", true },
  { "cipriano.nl", true },
  { "cipy.com", true },
  { "cir.is", true },
  { "circara.com", true },
  { "circle-people.com", true },
  { "circu.ml", true },
  { "circulatedigital.com", true },
  { "circule.cc", true },
  { "cirfi.com", true },
  { "ciri.com.co", true },
  { "cirope.com", true },
  { "cirrus0.de", true },
  { "cirugiasplasticas.com.mx", true },
  { "cirujanooral.com", true },
  { "cirurgicagervasio.com.br", true },
  { "cirurgicalucena.com.br", true },
  { "ciscodude.net", false },
  { "cisoaid.com", true },
  { "ciss.ltd", true },
  { "cisy.me", true },
  { "citcuit.in", true },
  { "cities.cl", true },
  { "citizen-cam.de", true },
  { "citizensbankal.com", true },
  { "citizenscience.gov", true },
  { "citizensleague.org", true },
  { "citizenspact.eu", true },
  { "citizing.org", true },
  { "citroner.blog", true },
  { "citrusui.me", true },
  { "cittadesign.com", false },
  { "citton.com.br", true },
  { "city-walks.info", true },
  { "citya.com", true },
  { "citybeat.de", true },
  { "citylights.eu", true },
  { "citymoobel.ee", true },
  { "cityoftitans.com", true },
  { "cityoftitansmmo.com", true },
  { "citysportapp.com", true },
  { "cityworksonline.com", true },
  { "ciubotaru.tk", true },
  { "civicunicorn.com", true },
  { "civicunicorn.us", true },
  { "civilg20.org", true },
  { "civillines.nl", true },
  { "cj-espace-vert.fr", true },
  { "cj-jackson.com", true },
  { "cjdpenterprises.com", true },
  { "cjdpenterprises.com.au", true },
  { "cjessett.com", true },
  { "cjey.me", true },
  { "cjhzp.net", true },
  { "cjr.host", true },
  { "ck.cx", true },
  { "ckenelley.com", true },
  { "ckenelly.com", true },
  { "ckenely.com", true },
  { "ckenneley.com", true },
  { "ckennelley.com", true },
  { "ckennelly.com", true },
  { "ckennely.com", true },
  { "ckleemann.de", true },
  { "cklie.de", true },
  { "ckliemann.com", true },
  { "ckliemann.net", true },
  { "ckostecki.de", true },
  { "cktennis.com", true },
  { "cl.search.yahoo.com", false },
  { "claimconnect.com", true },
  { "claimconnect.us", true },
  { "claimjeidee.be", true },
  { "claimnote.com", true },
  { "clairegold.com", true },
  { "clairescastles.co.uk", true },
  { "clanebouncycastles.com", true },
  { "clanrose.org.uk", true },
  { "clanthor.com", true },
  { "clanwarz.com", true },
  { "clarkwinkelmann.com", true },
  { "clase3.tk", true },
  { "clash.lol", true },
  { "class.com.au", true },
  { "classdojo.com", true },
  { "classicalpilates.ca", true },
  { "classics.io", true },
  { "classpoint.cz", true },
  { "classroom.google.com", true },
  { "classroomcountdown.co.nz", true },
  { "classteaching.com.au", true },
  { "claudia-urio.com", true },
  { "claus-bahr.de", true },
  { "clauseriksen.net", true },
  { "clawhammer.dk", true },
  { "clayandcottonkirkwood.com", true },
  { "claytonstowing.com.au", true },
  { "clazzrooms.com", true },
  { "cldfile.com", true },
  { "cldly.com", true },
  { "cleanbeautymarket.com.au", true },
  { "cleanbrowsing.org", true },
  { "cleancode.club", true },
  { "cleanhouse2000.us", true },
  { "cleansewellness.com", true },
  { "clear.ml", true },
  { "clearance365.co.uk", true },
  { "clearblueday.co.uk", true },
  { "clearbreezesecuritydoors.com.au", true },
  { "clearip.com", true },
  { "clearkonjac.com", true },
  { "clearsettle-admin.com", true },
  { "clemenscompanies.com", true },
  { "clementfevrier.fr", true },
  { "cles-asso.fr", true },
  { "cles.jp", true },
  { "clevertarget.ru", true },
  { "clevisto.com", true },
  { "cleysense.com", true },
  { "clic-et-site.com", true },
  { "clicandfioul.com", true },
  { "clicecompre.com.br", true },
  { "clicheshishalounge.co.uk", true },
  { "click-2-order.co.uk", true },
  { "click-licht.de", true },
  { "click2order.co.uk", true },
  { "clickclock.cc", true },
  { "clickenergy.com.au", true },
  { "clickforclever.com", true },
  { "clickomobile.com", true },
  { "clickphish.com", true },
  { "clicksaveandprint.com", true },
  { "clicktenisdemesa.com.br", true },
  { "clien.net", true },
  { "client.coach", true },
  { "clientboss.com", true },
  { "clientsecure.me", true },
  { "clifflu.net", true },
  { "climaencusco.com", true },
  { "climaprecio.es", true },
  { "climateinteractive.org", true },
  { "climatestew.com", true },
  { "clindoeilmontagne.com", true },
  { "clingout.com", true },
  { "clinicadam.com", true },
  { "clinicadelogopedia.net", true },
  { "clinicalrehabilitation.info", true },
  { "clinicaltrials.gov", true },
  { "clinicminds.com", true },
  { "cliniquecomplementaire.com", true },
  { "cliniquevethuy.be", true },
  { "clintonlibrary.gov", true },
  { "clintonplasticsurgery.com", true },
  { "clipclip.com", true },
  { "clive.io", true },
  { "clmde.de", true },
  { "clnc.to", true },
  { "clnet.com.au", true },
  { "clnnet.ch", true },
  { "cloaked.ch", true },
  { "clochix.net", true },
  { "clockcaster.com", true },
  { "clockworksms.com", true },
  { "clod-hacking.com", true },
  { "clojurescript.ru", true },
  { "cloppenburg-autmobil.com", true },
  { "cloppenburg-automobil.com", true },
  { "clorik.com", true },
  { "clorophilla.net", true },
  { "closelinksecurity.co.uk", true },
  { "closelinksecurity.com", true },
  { "closetemail.com", true },
  { "closient.com", true },
  { "cloturea.fr", true },
  { "cloud-surfer.net", true },
  { "cloud.bugatti", true },
  { "cloud.fail", true },
  { "cloud.google.com", true },
  { "cloud.gov", true },
  { "cloud42.ch", false },
  { "cloud9bouncycastlehire.com", true },
  { "cloudapps.digital", true },
  { "cloudbased.info", true },
  { "cloudbolin.es", true },
  { "cloudbreaker.de", true },
  { "cloudbrothers.info", true },
  { "cloudcaprice.net", true },
  { "cloudcloudcloud.cloud", true },
  { "cloudconsulting.net.za", true },
  { "cloudconsulting.org.za", true },
  { "cloudconsulting.web.za", true },
  { "cloudey.net", true },
  { "cloudfiles.at", true },
  { "cloudflare-dns.com", true },
  { "cloudflare.com", true },
  { "cloudflareonazure.com", true },
  { "cloudia.org", true },
  { "cloudily.com", true },
  { "cloudimprovedtest.com", true },
  { "cloudkit.pro", false },
  { "cloudlight.biz", true },
  { "cloudmigrator365.com", true },
  { "cloudnote.cc", true },
  { "cloudoptimizedsmb.com", true },
  { "cloudoptimus.com", true },
  { "cloudpagesforwork.com", true },
  { "cloudpebble.net", true },
  { "cloudpengu.in", true },
  { "cloudpipes.com", true },
  { "cloudsecurityalliance.org", true },
  { "cloudservice.io", true },
  { "cloudsocial.io", true },
  { "cloudspace-analytics.com", true },
  { "cloudspeedy.net", true },
  { "cloudspire.net", true },
  { "cloudtocloud.tk", true },
  { "cloudtropia.de", true },
  { "cloudtskr.com", true },
  { "cloudup.com", true },
  { "cloveros.ga", true },
  { "clownindeklas.nl", true },
  { "cloxy.com", true },
  { "clr3.com", true },
  { "clsimage.com", true },
  { "clsoft.ch", true },
  { "clu-in.org", true },
  { "club-adulti.ro", true },
  { "club-corsicana.de", true },
  { "club-duomo.com", true },
  { "club-is.ru", true },
  { "club-reduc.com", true },
  { "club103.ch", true },
  { "clubdelzapato.com", true },
  { "clubedalutashop.com", true },
  { "clubefiel.com.br", true },
  { "clubempleos.com", true },
  { "clubeohara.com", true },
  { "clubfamily.de", true },
  { "clubiconkenosha.com", true },
  { "clubmate.rocks", true },
  { "clubmini.jp", true },
  { "clubnoetig-ink2g.de", true },
  { "clubon.space", true },
  { "clubscannan.ie", true },
  { "clueful.ca", true },
  { "cluefulca.com", true },
  { "cluefulca.net", true },
  { "cluefulca.org", true },
  { "cluster.biz.tr", true },
  { "clusteranalyse.net", true },
  { "clusterfuck.nz", true },
  { "clustermaze.net", true },
  { "cmacacias.ch", true },
  { "cmadeangelis.it", true },
  { "cmahy.be", true },
  { "cmcressy.ch", true },
  { "cmdline.org", true },
  { "cmdtelecom.net.br", true },
  { "cmf.qc.ca", true },
  { "cmfaccounting.com", true },
  { "cmftech.com", true },
  { "cmillrehab.com", true },
  { "cmitao.com", true },
  { "cmlachapelle.ch", true },
  { "cmlancy.ch", true },
  { "cmlignon.ch", true },
  { "cmn-group.com", true },
  { "cmn-groupe.com", true },
  { "cmngroup.com", true },
  { "cmngroupe.com", true },
  { "cmplainpalais.ch", true },
  { "cms-weble.jp", true },
  { "cmskeyholding.co.uk", true },
  { "cmskeyholding.com", true },
  { "cmusical.es", true },
  { "cmylife.nl", true },
  { "cn.search.yahoo.com", false },
  { "cn8522.com", true },
  { "cna-aiic.ca", true },
  { "cnam-idf.fr", true },
  { "cnam.net", true },
  { "cnatraining.network", true },
  { "cnbs.ch", true },
  { "cnc-lehrgang.de", true },
  { "cncbazar365.com", true },
  { "cncrans.ch", true },
  { "cnet-hosting.com", true },
  { "cni-certing.it", true },
  { "cnre.eu", true },
  { "co-factor.ro", true },
  { "co-founder-stuttgart.de", true },
  { "co.search.yahoo.com", false },
  { "co50.com", true },
  { "coa.one", true },
  { "coachezmoi.ch", true },
  { "coachfederation.ro", true },
  { "coaching-impulse.ch", true },
  { "coalitionministries.org", true },
  { "coalpointcottage.com", true },
  { "coam.co", true },
  { "coastline.net.au", true },
  { "coathangastrangla.com", true },
  { "coathangastrangler.com", true },
  { "coathangerstrangla.com", true },
  { "coathangerstrangler.com", true },
  { "coatl-industries.com", true },
  { "cobalt.io", true },
  { "cobaltgp.com", true },
  { "cobracastles.co.uk", true },
  { "cocaine-import.agency", true },
  { "cocaine.ninja", true },
  { "cocalc.com", true },
  { "cocareonline.com", true },
  { "cocinoyo.com", true },
  { "cock.li", true },
  { "cocktail-shaken.nl", true },
  { "cockybot.com", true },
  { "coco-line.ch", true },
  { "cocoaheads.at", false },
  { "cocoamexico.com", true },
  { "cocodemy.com", true },
  { "coconutoil24.com", true },
  { "cocoscastles.co.uk", true },
  { "cocquyt-usedcars.be", true },
  { "cocubes.com", true },
  { "coda.io", true },
  { "coda.moe", true },
  { "coda.today", true },
  { "coda.world", true },
  { "code-golf.io", true },
  { "code-poets.co.uk", true },
  { "code-well.com", true },
  { "code.facebook.com", false },
  { "code.fm", true },
  { "code.google.com", true },
  { "code.taxi", true },
  { "code67.com", true },
  { "codeandpeace.com", true },
  { "codebrahma.com", false },
  { "codedump.net", true },
  { "codeeclipse.com", true },
  { "codeferm.com", true },
  { "codefordus.de", true },
  { "codefordus.nrw", true },
  { "codeine.co.uk", true },
  { "codeit.guru", true },
  { "codeit.us", true },
  { "codenode.io", true },
  { "codeofthenorth.com", true },
  { "codepoints.net", true },
  { "codepref.com", true },
  { "codepult.com", true },
  { "codera.co.uk", true },
  { "codercross.com", true },
  { "codercy.com", true },
  { "codereview.appspot.com", false },
  { "codereview.chromium.org", false },
  { "coderhangout.com", true },
  { "coderme.com", true },
  { "codersbistro.com", true },
  { "codes.pk", true },
  { "codesplain.in", true },
  { "codesport.io", true },
  { "codespromo.be", true },
  { "codestep.io", true },
  { "codestudies.net", true },
  { "codesyncro.com", true },
  { "codetheworld.com", true },
  { "codetripping.net", true },
  { "codeux.com", false },
  { "codeux.info", false },
  { "codeux.net", false },
  { "codeventure.de", true },
  { "codeversetech.com", true },
  { "codewild.de", true },
  { "codeyellow.nl", true },
  { "codific.com", true },
  { "codific.eu", true },
  { "codigo-bonus-bet.es", true },
  { "codigodelbonusbet365.com", true },
  { "coding-minds.com", true },
  { "coding.lv", true },
  { "coding.net", true },
  { "codingforspeed.com", true },
  { "codingfromhell.net", true },
  { "codingrobots.com", true },
  { "codxg.org", true },
  { "codyevanscomputer.com", true },
  { "codymoniz.com", true },
  { "codyqx4.com", true },
  { "coecrafters.com", true },
  { "coffee-mamenoki.jp", true },
  { "coffeeandteabrothers.com", true },
  { "coffeedino.com", true },
  { "coffeetocode.me", true },
  { "cogala.eu", true },
  { "cogent.cc", true },
  { "cogilog.com", true },
  { "cogitoltd.com", true },
  { "cognitivecomputingconsortium.com", true },
  { "cognitohq.com", true },
  { "coi-verify.com", true },
  { "coiffeurschnittstelle.ch", true },
  { "coigach-assynt.org", true },
  { "coimmvest.com", true },
  { "coin-exchange.cz", true },
  { "coin-quest.net", true },
  { "coin.dance", true },
  { "coinapult.com", true },
  { "coinbase.com", true },
  { "coincealed.com", true },
  { "coinchat.im", true },
  { "coincoele.com.br", true },
  { "coincoin.eu.org", true },
  { "coincolors.co", true },
  { "coindatabase.net", true },
  { "coinessa.com", true },
  { "coinf.it", true },
  { "coinflux.com", true },
  { "coingate.com", true },
  { "coinjar-sandbox.com", true },
  { "coinlist.co", false },
  { "coinloan.io", true },
  { "coinmewallet.com", true },
  { "coinpit.io", true },
  { "coins2001.ru", true },
  { "coinx.pro", true },
  { "coisasdemulher.org", true },
  { "cojo.eu", true },
  { "cokebar.info", true },
  { "col.la", true },
  { "colaborativa.tv", true },
  { "colapsys.net", true },
  { "colasjourdain.fr", true },
  { "coldaddy.com", true },
  { "coldawn.com", false },
  { "coldfff.com", false },
  { "coldhak.ca", true },
  { "coldstreamcreekfarm.com", true },
  { "colegiocierp.com.br", true },
  { "colemak.com", true },
  { "colengo.com", true },
  { "colf.online", true },
  { "colibris.xyz", true },
  { "colincampbell.me", true },
  { "colinchartier.com", true },
  { "colincogle.name", true },
  { "colinstark.ca", true },
  { "collabora-office.com", true },
  { "collabora.ca", true },
  { "collabora.co.kr", true },
  { "collabora.co.uk", true },
  { "collabora.com", true },
  { "collabora.kr", true },
  { "collabora.ninja", true },
  { "collabora.social", true },
  { "collabora.uk", true },
  { "collaboracloudsuite.com", true },
  { "collaboraoffice.co.uk", true },
  { "collaboraoffice.com", true },
  { "collabornation.net", true },
  { "collaction.hk", true },
  { "collada.org", true },
  { "collbox.co", true },
  { "collectdocs.com", true },
  { "collectfood.com", true },
  { "collectiblebeans.com", true },
  { "collectivesupply.com", true },
  { "collectorknives.net", true },
  { "collegeconnexxions.com.au", true },
  { "collegenavigator.gov", true },
  { "collegepaperworld.com", true },
  { "collegeprospectsofcentralindiana.com", true },
  { "collinel-hossari.com", true },
  { "collinelhossari.com", true },
  { "collinklippel.com", true },
  { "colo-tech.com", true },
  { "colombian.dating", true },
  { "coloppe.com", true },
  { "coloraid.net", true },
  { "colorblindprogramming.com", true },
  { "colorbrush.ru", true },
  { "colorcodedlyrics.com", true },
  { "colorectalcompounding.com", true },
  { "colorhexa.com", true },
  { "coloristcafe.com", true },
  { "colorlifesupport.com", true },
  { "colorsbycarin.com", true },
  { "colossal-events.co.uk", true },
  { "colourfulcastles.co.uk", true },
  { "colpacpackaging.com", true },
  { "colson-occasions.be", true },
  { "columbuswines.com", true },
  { "colyakootees.com", true },
  { "comalia.com", true },
  { "comarkinstruments.net", true },
  { "combatircelulitis.com", true },
  { "combattrecellulite.com", true },
  { "combron.be", true },
  { "combron.co.uk", true },
  { "combron.com", true },
  { "combron.nl", true },
  { "comchezmeme.com", true },
  { "comcol.nl", true },
  { "comdotgame.com", true },
  { "comdurav.com", true },
  { "comefollowme2016.com", true },
  { "comercialtpv.com", true },
  { "comercialtrading.eu", true },
  { "comerford.net", true },
  { "comestoarra.com", true },
  { "cometbot.cf", true },
  { "cometcache.com", true },
  { "cometonovascotia.ca", true },
  { "cometrueunlimited.com", true },
  { "comff.net", true },
  { "comfintouch.com", true },
  { "comflores.com.br", true },
  { "comhack.com", true },
  { "comicspornos.com", true },
  { "comicspornoxxx.com", true },
  { "comicwiki.dk", true },
  { "comidasperuanas.net", true },
  { "comiteaintriathlon.fr", true },
  { "comm.cx", true },
  { "commco.nl", true },
  { "commechezvous.ch", true },
  { "commercial-academy.fr", true },
  { "commissionagenda.com", true },
  { "commitsandrebases.com", true },
  { "common.io", true },
  { "commoncode.com.au", true },
  { "commoncode.io", true },
  { "commoncore4kids.com", true },
  { "communityblog.fedoraproject.org", true },
  { "communitycodeofconduct.com", true },
  { "communityflow.info", true },
  { "communote.net", true },
  { "comodesinflamarlashemorroides.org", true },
  { "comodo.nl", true },
  { "comodormirmasrapido.com", true },
  { "comodosslstore.com", true },
  { "comoeliminarlaspapulasperladasenelglande.com", true },
  { "comogene.com", true },
  { "comohacerelamoraunhombrenet.com", true },
  { "comohacerpara.com", true },
  { "comoimportar.net", true },
  { "comopuededejardefumar.net", true },
  { "comoquitarlacaspa24.com", true },
  { "comoquitarlasestriasrapidamente.com", true },
  { "comorecuperaratumujerpdf.com", true },
  { "comosatisfaceraunhombreenlacamaydejarloloco.com", true },
  { "comosecarabarriga.net", true },
  { "comoseduzir.net", true },
  { "comp2go.com.au", true },
  { "compagnia-buffo.de", true },
  { "compagniemartin.com", true },
  { "comparatif-moto.fr", true },
  { "compareandrecycle.com", false },
  { "compareinsurance.com.au", true },
  { "comparesoft.com", true },
  { "comparexcloudcenter.com", true },
  { "compartir.party", true },
  { "compassdirectportal.com", true },
  { "compassintladv.com", true },
  { "compasslos.com", true },
  { "compeat.com", true },
  { "comphare.nl", true },
  { "compibus.fr", true },
  { "compilenix.org", true },
  { "completefloorcoverings.com", true },
  { "completesecurityessex.co.uk", true },
  { "completesecurityessex.com", true },
  { "completionist.me", true },
  { "complexart.ro", true },
  { "complexsystems.fail", true },
  { "compliance-management.ch", true },
  { "compliance-systeme.de", true },
  { "compliancedictionary.com", true },
  { "compliancerisksoftware.co.uk", true },
  { "compostatebien.com.ar", true },
  { "compraneta.com", false },
  { "compreautomacao.com.br", true },
  { "compredietlight.com.br", true },
  { "compromised.com", true },
  { "compsmag.com", true },
  { "comptrollerofthecurrency.gov", true },
  { "compubench.com", true },
  { "compucastell.ch", true },
  { "compucorner.mx", true },
  { "compuplast.cz", true },
  { "compusolve.nl", true },
  { "computehealth.com", true },
  { "computer-acquisti.com", true },
  { "computeracademy.co.za", true },
  { "computerassistance.co.uk", true },
  { "computerbase.de", true },
  { "computerhilfe-feucht.de", true },
  { "computernetwerkwestland.nl", true },
  { "computerslotopschool.nl", true },
  { "computersystems.guru", false },
  { "comssa.org.au", true },
  { "comunidadmontepinar.es", true },
  { "comw.cc", true },
  { "conalcorp.com", true },
  { "conaudisa.com", false },
  { "concept-web.ch", true },
  { "conceptatelier.de", true },
  { "concertengine.com", true },
  { "concerto.amsterdam", true },
  { "concertsenboite.fr", true },
  { "concertsto.com", true },
  { "conciliumnotaire.ca", true },
  { "conclave.global", true },
  { "concreterepairatlanta.com", true },
  { "concursopublico.com.br", true },
  { "concursos.com.br", true },
  { "concursosabertos.com.br", true },
  { "concursuri.biz", true },
  { "condecom.com.br", true },
  { "condepenalba.com", false },
  { "condesaelectronics.com", true },
  { "condolencemessages.net", true },
  { "condominioweb.com", true },
  { "condosforcash.com", true },
  { "condroz-motors.be", true },
  { "conectadev.com", true },
  { "conectar.ru", true },
  { "confiancefoundation.org", true },
  { "confidential.network", true },
  { "confiwall.de", true },
  { "conflux.tw", true },
  { "conformax.com.br", true },
  { "conformist.jp", true },
  { "confuddledpenguin.com", true },
  { "cong5.net", true },
  { "congineer.com", true },
  { "congobunkering.com", true },
  { "conju.cat", true },
  { "conjugacao.com.br", true },
  { "conkret.ch", true },
  { "conkret.de", true },
  { "conkret.eu", true },
  { "conkret.mobi", true },
  { "conmedapps.com", true },
  { "connaitre-les-astres.com", true },
  { "connect-ed.network", true },
  { "connect-me.com", true },
  { "connect.dating", true },
  { "connect.facebook.net", true },
  { "connecta.store", true },
  { "connectavid.com", true },
  { "connectedcare.md", true },
  { "connectmath.com", true },
  { "connectmy.car", true },
  { "connecto-data.com", true },
  { "connectum.eu", true },
  { "connexas.eu", true },
  { "connext.de", true },
  { "connictro.de", true },
  { "connyduck.at", true },
  { "conocimientosdigitales.com", true },
  { "conory.com", true },
  { "conpins.nl", true },
  { "conrad-kostecki.de", true },
  { "conradkostecki.de", true },
  { "conrail.blue", true },
  { "consciousbrand.co", true },
  { "consciouschoices.net", true },
  { "consec-systems.de", true },
  { "conseil-gli.fr", true },
  { "consejosdenutricion.com", true },
  { "conservatoriesincornwall.com", true },
  { "consideredgifts.com", true },
  { "consilium-vitae.ch", true },
  { "consiliumvitae.ch", true },
  { "consill.com", true },
  { "console.ninja", true },
  { "console.rest", true },
  { "consommateuraverti.com", true },
  { "consonare.de", true },
  { "constancechen.me", true },
  { "constant-rough.de", true },
  { "constares.de", true },
  { "construct-trust.com", true },
  { "constructexpres.ro", true },
  { "constructionjobs.com", true },
  { "consul.io", true },
  { "consulenza.pro", true },
  { "consultation.biz.tr", true },
  { "consultcelerity.com", true },
  { "consultimator.com", true },
  { "consultpetkov.com", true },
  { "consumeractionlawgroup.com", true },
  { "consumerfiles.com", true },
  { "consumersentinel.gov", true },
  { "consuwijzer.nl", true },
  { "contactsingapore.sg", true },
  { "contaquanto.com.br", true },
  { "content-api-dev.azurewebsites.net", false },
  { "content-design.de", true },
  { "contentcoms.co.uk", true },
  { "contentdesign.de", true },
  { "contentpass.net", true },
  { "contessa32experience.com", true },
  { "continuum.memorial", true },
  { "contrabass.net", true },
  { "contractormountain.com", true },
  { "contractwriters.com", true },
  { "contraout.com", true },
  { "contraspin.co.nz", true },
  { "contratatupoliza.com", true },
  { "contributor.google.com", false },
  { "controlarlaansiedad.com", true },
  { "controlautocom.com.br", true },
  { "controlbooth.com", true },
  { "controle.net", true },
  { "controltickets.com.br", true },
  { "contxt-agentur.de", true },
  { "conv2pdf.com", true },
  { "convergence.fi", true },
  { "convergencela.com", true },
  { "convergnce.com", true },
  { "conversiones.com", true },
  { "conversionsciences.com", true },
  { "convert.im", true },
  { "convert.zone", true },
  { "converter.ml", true },
  { "converticacommerce.com", false },
  { "convertimg.com", true },
  { "convexset.org", true },
  { "convocatoriafundacionpepsicomexico.org", false },
  { "cookeatup.com", true },
  { "cooker.fr", true },
  { "cookescastles.co.uk", true },
  { "cookicons.co", true },
  { "cookie4.com", true },
  { "cookiecrook.com", true },
  { "cookiesoft.de", true },
  { "cookingbazart.com", true },
  { "cookingcrusade.com", true },
  { "cookinglife.nl", false },
  { "cookingreporter.com", true },
  { "cookmedical.com", false },
  { "cooko.at", true },
  { "cooksbookscorks.com", true },
  { "cookwithmanali.com", true },
  { "cool-parties.co.uk", true },
  { "cool-wallpapers.jp", true },
  { "cool110.tk", true },
  { "cool110.xyz", true },
  { "coolattractions.co.uk", true },
  { "cooldan.com", true },
  { "coole-fete.de", true },
  { "coolerssr.space", true },
  { "coolgifs.de", true },
  { "coolprylar.se", true },
  { "coolrc.me", true },
  { "coolviewthermostat.com", true },
  { "coopens.com", true },
  { "coor.fun", true },
  { "coore.jp", true },
  { "coorpacademy.com", true },
  { "copdfoundation.org", true },
  { "copinstant.com", true },
  { "copperhead.co", true },
  { "copperheados.com", true },
  { "coptic-treasures.com", true },
  { "coptkm.cz", true },
  { "copycaught.co", true },
  { "copycaught.net", true },
  { "copycaught.org", true },
  { "copycaught.xyz", true },
  { "copycrafter.net", true },
  { "copypoison.com", true },
  { "copyright-watch.org", true },
  { "copytrack.com", true },
  { "corbi.net.au", true },
  { "corbinhesse.com", true },
  { "corder.tech", true },
  { "cordeydesign.ch", true },
  { "cordis.io", true },
  { "cordis.tk", true },
  { "cordlessdog.com", true },
  { "core-concepts.de", true },
  { "core-networks.de", true },
  { "core.mx", true },
  { "coreapm.org", true },
  { "corecodec.com", true },
  { "coredump.gr", true },
  { "coreless-stretchfilm.com", true },
  { "corelia.net", true },
  { "corepartners.com.ua", true },
  { "coresolutions.ca", true },
  { "coresos.com", true },
  { "coreum.ca", true },
  { "coreyjmahler.com", true },
  { "corgi.party", true },
  { "coribi.com", true },
  { "corintech.net", true },
  { "corisu.co", true },
  { "coriver.me", true },
  { "corkedwinebar.com", true },
  { "corksoncolumbus.com", true },
  { "corlija.com", true },
  { "corlinde.nl", true },
  { "corlitocaffe.de", true },
  { "cornercircle.co.uk", true },
  { "cornerstonecmc.org", true },
  { "corniche.com", true },
  { "corningcu.org", true },
  { "cornodo.com", true },
  { "corona-academy.com", true },
  { "corona-renderer.cloud", true },
  { "corona-renderer.com", true },
  { "coropiacere.org", true },
  { "corourbano.es", true },
  { "corpfin.net", true },
  { "corpio.nl", true },
  { "corpkitnw.com", true },
  { "corpoflow.nl", true },
  { "corporateclash.net", true },
  { "corporatecomputingsolutions.com", true },
  { "corporateinfluencers.com", true },
  { "corpsepaint.life", true },
  { "corpulant.coffee", true },
  { "corpulantcoffee.com", true },
  { "corpulent.coffee", true },
  { "corpulentcoffee.com", true },
  { "corpusslayer.com", true },
  { "corrbee.com", true },
  { "correctiv.org", true },
  { "correiodovale.com.br", true },
  { "corrupted.io", true },
  { "corsa-b.uk", true },
  { "cortexitrecruitment.com", true },
  { "cortexx.nl", true },
  { "cortis-consulting.ch", true },
  { "cortisolsupplement.com", true },
  { "corvus.eu.org", true },
  { "coryadum.com", true },
  { "corytyburski.com", true },
  { "cosciamoos.com", true },
  { "cosirex.com", true },
  { "coslinker.com", true },
  { "cosmechic.fr", true },
  { "cosmekaitori.jp", true },
  { "cosmeticappraisal.com", true },
  { "cosmeticasimple.com", true },
  { "cosmeticos-naturales.com", true },
  { "cosmeticosdelivery.com.br", true },
  { "cosmic-os.org", true },
  { "cosmodacollection.com", true },
  { "cosmofunnel.com", true },
  { "cosmundi.de", true },
  { "cosni.co", true },
  { "cospol.ch", true },
  { "costa-rica-reisen.ch", true },
  { "costa-rica-reisen.de", true },
  { "costablancavoorjou.com", true },
  { "costcofinance.com", true },
  { "costinstefan.eu", true },
  { "costreportdata.com", false },
  { "costulessdirect.com", true },
  { "coteries.com", true },
  { "cotonea.de", true },
  { "cotonmusic.ch", true },
  { "cotta.dk", true },
  { "cotwe-ge.ch", true },
  { "cougar.dating", true },
  { "counselling.network", true },
  { "counstellor.com", true },
  { "counter-team.ch", true },
  { "counterglobal.com", true },
  { "countermail.com", true },
  { "countingto.one", true },
  { "countryattire.com", true },
  { "countrybrewer.com.au", true },
  { "countryhouseresort.com", true },
  { "countryoutlaws.ca", true },
  { "countybankdel.com", true },
  { "countyjailinmatesearch.com", true },
  { "coupe-bordure.com", true },
  { "couponcodesme.com", true },
  { "cour4g3.me", true },
  { "couragefound.org", true },
  { "coursables.com", true },
  { "coursera.org", true },
  { "courtlistener.com", true },
  { "couscous.recipes", true },
  { "cousincouples.com", true },
  { "coussinsky.net", true },
  { "covbounce.co.uk", true },
  { "covenantoftheriver.org", true },
  { "covermytrip.com.au", true },
  { "covershousing.nl", true },
  { "covery.ai", true },
  { "covoiturage.fr", false },
  { "covve.com", true },
  { "covybrat.cz", true },
  { "cowbird.org", true },
  { "cowboyim.com", true },
  { "coweo.cz", true },
  { "coworkingmanifesto.com", true },
  { "coxxs.me", true },
  { "coxxs.moe", true },
  { "cozitop.com.br", true },
  { "cozmaadrian.ro", true },
  { "cozo.me", true },
  { "cozy.io", true },
  { "cozycloud.cc", true },
  { "cozyeggdesigns.com", true },
  { "cpahunt.com", true },
  { "cpbanq.com", true },
  { "cpbapremiocaduceo.com.ar", true },
  { "cpcheats.co", true },
  { "cplusplus.se", true },
  { "cppan.org", true },
  { "cppressinc.com", true },
  { "cpqcol.gov.co", true },
  { "cprnearme.com", true },
  { "cptoon.com", true },
  { "cpvmatch.eu", true },
  { "cpy.pt", true },
  { "cqchome.com", true },
  { "cqn.ch", true },
  { "cr.search.yahoo.com", false },
  { "cr0nus.net", true },
  { "crackcat.de", true },
  { "cracker.in.th", true },
  { "crackle.io", true },
  { "crackorsquad.in", true },
  { "crackstation.net", true },
  { "cradlepointecm.com", true },
  { "craft-verlag.de", true },
  { "craftandbuild.de", true },
  { "craftcommerce.com", true },
  { "craftinghand.com", true },
  { "craftinginredlipstick.com", true },
  { "craftist.de", true },
  { "craftngo.hu", true },
  { "craftsmandruggets.com", true },
  { "craftwmcp.xyz", true },
  { "craftyguy.net", true },
  { "craftyphotons.net", true },
  { "craigbates.co.uk", true },
  { "craigfrancis.co.uk", true },
  { "craigrouse.com", true },
  { "craigwfox.com", true },
  { "cralarm.de", true },
  { "crandall.io", true },
  { "cranforddental.com", true },
  { "crapouill.es", true },
  { "crawcial.de", true },
  { "crawfordcountytcc.org", true },
  { "crawl.report", true },
  { "crawleybouncycastles.co.uk", true },
  { "crawlspaceandbasementsolutions.com", true },
  { "crazy-coders.com", true },
  { "crazycastles.ie", true },
  { "crazydomains.ae", true },
  { "crazydomains.co.nz", true },
  { "crazydomains.co.uk", true },
  { "crazydomains.com.au", true },
  { "crazydomains.in", true },
  { "crazyfamily11.de", true },
  { "crazymeeshu.com", true },
  { "crazynoisybizarre.town", true },
  { "crazypaul.com", true },
  { "crbug.com", true },
  { "crc-online.nl", true },
  { "crdmendoza.net", true },
  { "crea-etc.net", true },
  { "crea-shops.ch", true },
  { "crea.bg", true },
  { "creadstudy.com", true },
  { "crealogix-online.com", true },
  { "creamcastles.co.uk", true },
  { "creared.edu.co", true },
  { "create-ls.jp", true },
  { "create-together.nl", true },
  { "createursdefilms.com", true },
  { "creatieven.com", true },
  { "creation-contemporaine.com", true },
  { "creations-edita.com", true },
  { "creative-coder.de", false },
  { "creative-wave.fr", true },
  { "creativebites.de", true },
  { "creativecaptiv.es", true },
  { "creativecommons.cl", true },
  { "creativecommons.gr", true },
  { "creativecommons.org", true },
  { "creativeconceptsvernon.com", true },
  { "creativedigital.co.nz", true },
  { "creativefolks.co.uk", true },
  { "creativefreedom.ca", true },
  { "creativekkids.com", true },
  { "creativelaw.eu", true },
  { "creativeliquid.com", true },
  { "creativesprite.com", true },
  { "creativesurvey.com", true },
  { "creativeweb.biz", true },
  { "creativewolf.net", true },
  { "creativlabor.ch", true },
  { "creatixx-network.de", true },
  { "creators-design.com", true },
  { "creators.co", true },
  { "creators.direct", true },
  { "creatujoya.com", true },
  { "crecips.com", true },
  { "credential.eu", true },
  { "credex.bg", true },
  { "credigo.se", true },
  { "crediteo.pl", true },
  { "creditkarma.com", true },
  { "creditos-rapidos.com", true },
  { "creditproautos.com", false },
  { "creditreporttips.net", true },
  { "creeks-coworking.com", true },
  { "creep.im", true },
  { "creepycraft.nl", true },
  { "creepypastas.com", true },
  { "creepypastas.net", true },
  { "creerunsitepro.com", true },
  { "crefelder.com", true },
  { "cremepassion.de", true },
  { "crena.ch", true },
  { "creorin.com", true },
  { "crepa.ch", true },
  { "crepererum.net", true },
  { "crescent.gr.jp", true },
  { "crestasantos.com", true },
  { "cretdupuy.com", true },
  { "creteangle.com", true },
  { "cretica.no", true },
  { "creusalp.ch", true },
  { "crew505.org", true },
  { "crge.eu", true },
  { "criadorespet.com.br", true },
  { "cribcore.com", true },
  { "criena.com", true },
  { "criena.net", true },
  { "crimevictims.gov", true },
  { "criminal-attorney.ru", true },
  { "criminal.enterprises", true },
  { "crimson.no", true },
  { "crip-usk.ba", true },
  { "crisisactual.com", true },
  { "crisisnextdoor.gov", true },
  { "crisp.chat", true },
  { "crisp.email", true },
  { "crisp.help", true },
  { "crisp.im", true },
  { "crispinusphotography.com", true },
  { "cristarta.com", true },
  { "cristau.org", true },
  { "cristiandeluxe.com", false },
  { "critcola.com", true },
  { "critical.today", false },
  { "criticalsurveys.co.uk", true },
  { "crizin.io", true },
  { "crm.onlime.ch", false },
  { "croceverdevb.it", true },
  { "croeder.net", true },
  { "croisedanslemetro.com", true },
  { "croisieres.discount", true },
  { "croixblanche-haguenau.fr", true },
  { "cronberg.ch", true },
  { "croncron.io", true },
  { "cronix.cc", true },
  { "cronologie.de", true },
  { "cronometer.com", true },
  { "cropdiagnosis.com", true },
  { "croquette.net", true },
  { "crosbug.com", true },
  { "crose.co.uk", true },
  { "cross-led-sign.com", true },
  { "cross-link.ch", true },
  { "cross-view.com", true },
  { "cross-x.com", true },
  { "cross.lol", true },
  { "crossborderreturns.com", true },
  { "crosscom.ch", true },
  { "crossedwires.net", true },
  { "crossfitblackwater.com", true },
  { "crossfunctional.com", true },
  { "crosslifenutrition.co.uk", true },
  { "crossorig.in", true },
  { "crossoverit.com", true },
  { "crosssellguide.com", true },
  { "crow.tw", true },
  { "crowdbox.net", true },
  { "crowdcloud.be", true },
  { "crowdliminal.com", true },
  { "crowdsupply.com", true },
  { "crowncastles.co.uk", true },
  { "crownchessclub.com", true },
  { "crownmarqueehire.co.uk", true },
  { "crownpoint.com", true },
  { "crows.io", true },
  { "croydonapartments.com.au", true },
  { "croydonbouncycastles.co.uk", true },
  { "crrev.com", true },
  { "crstat.ru", true },
  { "crt.sh", true },
  { "crumbcontrol.com", true },
  { "crunchrapps.com", true },
  { "crunchy.rocks", true },
  { "crustytoothpaste.net", true },
  { "crute.me", true },
  { "crvv.me", true },
  { "cry.nu", false },
  { "cryoit.com", true },
  { "cryothanasia.com", true },
  { "cryp.no", true },
  { "crypalert.com", true },
  { "crypt.is-by.us", true },
  { "cryptearth.de", true },
  { "crypted.chat", true },
  { "crypteianetworks.com", true },
  { "crypticshell.co.uk", true },
  { "crypto-armory.com", true },
  { "crypto-navi.org", true },
  { "crypto.cat", false },
  { "crypto.graphics", true },
  { "crypto.is", false },
  { "cryptobells.com", false },
  { "cryptobin.co", true },
  { "cryptocon.org", true },
  { "cryptoegg.ca", true },
  { "cryptofan.org", true },
  { "cryptofrog.co", true },
  { "cryptography.ch", true },
  { "cryptography.io", true },
  { "cryptoguidemap.com", true },
  { "cryptojourney.com", true },
  { "cryptolinc.com", true },
  { "cryptology.ch", true },
  { "cryptolosophy.org", true },
  { "cryptonom.org", true },
  { "cryptonym.com", true },
  { "cryptoparty.at", true },
  { "cryptoparty.tv", true },
  { "cryptopartyutah.org", true },
  { "cryptophobia.nl", true },
  { "cryptopro.shop", true },
  { "cryptorival.com", true },
  { "cryptoseb.pw", true },
  { "cryptoshot.pw", true },
  { "cryptoya.io", true },
  { "cryptract.co", true },
  { "crys.cloud", true },
  { "crys.hu", true },
  { "crystalapp.ca", true },
  { "crystalchandelierservices.com", true },
  { "crystalgrid.net", true },
  { "crystone.me", true },
  { "cryz.ru", true },
  { "cs2016.ch", true },
  { "csabg.org", true },
  { "csbs.fr", true },
  { "csbuilder.io", true },
  { "cscdn.net", true },
  { "csd-sevnica.si", true },
  { "csfcloud.com", true },
  { "csfd.cz", true },
  { "csfloors.co.uk", true },
  { "csfm.com", true },
  { "csgo.su", true },
  { "csgogamers.com", false },
  { "csgohandouts.com", true },
  { "csgoswap.com", true },
  { "csgotwister.com", true },
  { "csharpmarc.net", true },
  { "cshopify.com", true },
  { "cskentertainment.co.uk", true },
  { "csmainframe.com", true },
  { "csokolade.hu", true },
  { "cspeti.hu", true },
  { "cspvalidator.org", true },
  { "csrichter.com", true },
  { "csru.net", true },
  { "css.direct", true },
  { "css.net", true },
  { "cssai.eu", true },
  { "cssaunion.com", true },
  { "cstb.ch", true },
  { "cstp-marketing.com", true },
  { "csuw.net", true },
  { "csvalpha.nl", true },
  { "cswarzone.com", true },
  { "ct.search.yahoo.com", false },
  { "ctc-transportation.com", true },
  { "ctcue.com", true },
  { "cthomas.work", true },
  { "cthulhuden.com", true },
  { "ctj.im", true },
  { "ctnguyen.de", true },
  { "ctnguyen.net", true },
  { "ctns.de", true },
  { "ctoforhire.com.au", true },
  { "ctomp.io", true },
  { "ctpe.net", true },
  { "ctrld.me", true },
  { "ctyi.me", true },
  { "cu247secure.ie", true },
  { "cub-bouncingcastles.co.uk", true },
  { "cube-cloud.com", true },
  { "cube.de", true },
  { "cubecart-demo.co.uk", true },
  { "cubecart-hosting.co.uk", true },
  { "cubecraft.net", true },
  { "cubecraftstore.com", true },
  { "cubecraftstore.net", true },
  { "cubia.de", true },
  { "cubia3.com", true },
  { "cubia4.com", true },
  { "cubile.xyz", true },
  { "cublick.com", true },
  { "cubos.io", false },
  { "cubostecnologia.com", false },
  { "cubostecnologia.com.br", false },
  { "cubua.com", true },
  { "cuckoopalace.cn", true },
  { "cuddlecomfort.com", true },
  { "cuddlingyaks.com", true },
  { "cueca.com.br", true },
  { "cuecasonline.com.br", true },
  { "cuentasmutualamr.org.ar", true },
  { "cuetoems.com", true },
  { "cuibonobo.com", true },
  { "cuisinezest.com", true },
  { "cultiv.nl", true },
  { "cultivo.bio", true },
  { "cultofd50.org", true },
  { "cultofperf.org.uk", true },
  { "culture-school.top", true },
  { "culturedcode.com", true },
  { "cultureelbeleggen.nl", true },
  { "culturerain.com", true },
  { "cultureroll.com", true },
  { "cumplegenial.com", true },
  { "cunha.be", true },
  { "cuoc.org.uk", true },
  { "cup.al", true },
  { "cupcakesandcrinoline.com", true },
  { "cupcao.gov", true },
  { "cupi.co", true },
  { "cupofarchitects.net", true },
  { "cupom.net", true },
  { "cuppycakes.fi", true },
  { "cur.by", true },
  { "curacao-firma.com", true },
  { "curamail.co.uk", true },
  { "curatedgeek.com", true },
  { "curbside.com", true },
  { "curieux.digital", true },
  { "curio-shiki.com", true },
  { "curiosity-driven.org", true },
  { "curlybracket.co.uk", true },
  { "currency-strength.com", true },
  { "current.com", true },
  { "currentlystreaming.com", true },
  { "currentobserver.com", true },
  { "currynissanmaparts.com", true },
  { "cursos.com", true },
  { "cursosgratuitos.com.br", true },
  { "cursosingles.com", true },
  { "cursuri-de-actorie.ro", true },
  { "curtacircuitos.com.br", false },
  { "curtis-smith.me.uk", true },
  { "curtis-smith.uk", true },
  { "curtislinville.net", true },
  { "curtissmith.me.uk", true },
  { "curtissmith.uk", true },
  { "curveprotect.com", true },
  { "curveprotect.cz", true },
  { "curveprotect.net", true },
  { "curveprotect.org", true },
  { "curvesandwords.com", true },
  { "curvissa.co.uk", true },
  { "custerweb.com", true },
  { "custodyxchange.com", true },
  { "customdissertation.com", true },
  { "customerbox.ir", true },
  { "customfitmarketing.com", true },
  { "customgear.com.au", true },
  { "customizeyourshower.com", true },
  { "customizeyoursink.com", true },
  { "customromlist.com", true },
  { "customshort.link", true },
  { "customwritingservice.com", true },
  { "customwritten.com", true },
  { "cutephil.com", true },
  { "cutimbo.ovh", true },
  { "cutner.co", true },
  { "cuvva.co", true },
  { "cuvva.co.uk", true },
  { "cuvva.com", true },
  { "cuvva.eu", true },
  { "cuvva.io", true },
  { "cuvva.it", true },
  { "cuvva.me", true },
  { "cuvva.net", true },
  { "cuvva.org", true },
  { "cuvva.uk", true },
  { "cuvva.us", true },
  { "cuxpool.club", true },
  { "cvc.digital", true },
  { "cvcoders.com", true },
  { "cviip.ca", true },
  { "cviip.com", true },
  { "cvjd.me", true },
  { "cvl.ch", true },
  { "cvlibrary.co.uk", true },
  { "cvmu.jp", true },
  { "cvninja.pl", true },
  { "cvps.top", true },
  { "cvr.dk", true },
  { "cvsoftub.com", true },
  { "cvursache.com", true },
  { "cvv.cn", true },
  { "cw.center", true },
  { "cwagner.me", true },
  { "cwbrtrust.ca", true },
  { "cwmart.in", true },
  { "cwningen.cymru", false },
  { "cwrcoding.com", true },
  { "cy.ax", true },
  { "cyber-konzept.de", true },
  { "cyber.cafe", true },
  { "cyberatlantis.com", true },
  { "cybercareers.gov", true },
  { "cybercocoon.com", true },
  { "cybercrew.cc", true },
  { "cybercrime-forschung.de", true },
  { "cyberduck.io", true },
  { "cyberfrancais.ro", true },
  { "cybergrx.com", true },
  { "cyberguerrilla.info", true },
  { "cyberguerrilla.org", true },
  { "cyberianhusky.com", true },
  { "cyberkov.com", true },
  { "cyberlightapp.com", true },
  { "cybermeldpunt.nl", true },
  { "cyberoptic.de", true },
  { "cyberphaze.com", true },
  { "cyberregister.nl", true },
  { "cyberregister.org", true },
  { "cybersecurity.nz", true },
  { "cybersecuritychallenge.be", true },
  { "cybersecurityketen.nl", true },
  { "cyberseguranca.com.br", true },
  { "cyberserver.org", true },
  { "cybersins.com", true },
  { "cybersmart.co.uk", true },
  { "cybersmartdefence.com", true },
  { "cyberspace.community", true },
  { "cyberspace.today", true },
  { "cyberspect.com", true },
  { "cyberspect.io", true },
  { "cyberstatus.de", true },
  { "cybertorsk.org", true },
  { "cybertu.be", true },
  { "cyberwars.dk", true },
  { "cyberwire.nl", true },
  { "cyberxpert.nl", true },
  { "cybit.io", true },
  { "cybozu.cn", true },
  { "cybozu.com", true },
  { "cybozulive-dev.com", true },
  { "cybozulive.com", true },
  { "cyclebeads.com", true },
  { "cycleluxembourg.lu", true },
  { "cyclisjumper.gallery", true },
  { "cyclop-editorial.fr", true },
  { "cydetec.com", true },
  { "cyelint.com", true },
  { "cyfly.org", true },
  { "cygnaltech.com", true },
  { "cygnan.com", true },
  { "cygnatus.com", true },
  { "cygnius.net", true },
  { "cygu.ch", true },
  { "cyhour.com", true },
  { "cykelbanor.se", true },
  { "cylindricity.com", true },
  { "cyon.ch", true },
  { "cype.dedyn.io", true },
  { "cyph.audio", true },
  { "cyph.com", true },
  { "cyph.healthcare", true },
  { "cyph.im", true },
  { "cyph.io", true },
  { "cyph.me", true },
  { "cyph.video", true },
  { "cyph.ws", true },
  { "cypherpunk.at", true },
  { "cypressinheritancesaga.com", true },
  { "cypresslegacy.com", true },
  { "cyprus-company-service.com", true },
  { "cyrating.com", true },
  { "cysec.biz", true },
  { "cyson.tech", true },
  { "cytech.com.tr", true },
  { "cytegic-update-packages.com", true },
  { "cyumus.com", true },
  { "cyyzaid.cn", true },
  { "czakey.net", true },
  { "czaw.org", true },
  { "czbix.com", true },
  { "czc.cz", true },
  { "czechamlp.com", true },
  { "czechvirus.cz", true },
  { "czerno.com", true },
  { "czfa.pl", true },
  { "czk.mk", true },
  { "d-20.fr", true },
  { "d-designerin.de", true },
  { "d-loop.de", true },
  { "d-macindustries.com", true },
  { "d-msg.com", true },
  { "d-parts24.de", true },
  { "d-quantum.com", true },
  { "d-toys.com.ua", true },
  { "d-training.de", true },
  { "d.nf", true },
  { "d.nr", true },
  { "d.rip", true },
  { "d00d.de", true },
  { "d0g.cc", true },
  { "d0m41n.name", true },
  { "d0xq.com", true },
  { "d3njjcbhbojbot.cloudfront.net", true },
  { "d42.no", true },
  { "d4wson.com", true },
  { "d4x.de", true },
  { "d66.nl", true },
  { "d8.io", true },
  { "da-ist-kunst.de", true },
  { "da.hn", true },
  { "da42foripad.com", true },
  { "daallexx.eu", true },
  { "dabuttonfactory.com", true },
  { "dachb0den.net", true },
  { "dachdecker-ranzenberger.de", true },
  { "dachdeckermeister-egon-weiss.de", true },
  { "dachtechnik-windschuettl.de", true },
  { "daciaforum.nl", true },
  { "daciamodellen.nl", true },
  { "dado.fr", true },
  { "dado.me", true },
  { "dado.virtual.museum", true },
  { "dadons-laserdiscs.com", true },
  { "dadosch.de", true },
  { "dadrian.io", true },
  { "daduke.org", true },
  { "daemen.org", true },
  { "daemon.xin", true },
  { "daemonslayer.net", true },
  { "daemwool.ch", true },
  { "daevel.fr", true },
  { "dafnik.me", true },
  { "dafont.com", true },
  { "dafricapress.com", true },
  { "dag-hebergement.fr", true },
  { "dag-konsult.com", true },
  { "dagensannonser.se", true },
  { "dagmar2018.cz", true },
  { "dahlberg.cologne", true },
  { "dai.top", true },
  { "daikoz.com", true },
  { "dailybits.be", true },
  { "dailyblogged.com", true },
  { "dailybunda.com", true },
  { "dailyenglishchallenge.com", true },
  { "dailyhealthguard.com", true },
  { "dailykos.com", true },
  { "dailyxenang.com", true },
  { "daintymeal.com", true },
  { "dairyshrine.org", true },
  { "daisidaniels.co.uk", true },
  { "daisy-peanut.com", true },
  { "daisypeanut.com", true },
  { "daiwai.de", false },
  { "daiweihu.com", true },
  { "daiyuu.jp", true },
  { "dak.org", true },
  { "daknob.net", true },
  { "daktarisys.com", true },
  { "daladubbeln.se", true },
  { "dalaran.city", true },
  { "dalb.in", true },
  { "dale-electric.com", true },
  { "dalek.co.nz", true },
  { "dalepresencia.com", true },
  { "dalfsennet.nl", true },
  { "dalingk.com", true },
  { "dallaslu.com", true },
  { "dallinbryce.com", true },
  { "dallmeier.net", true },
  { "dalmatiersheusden.be", true },
  { "damaged.org", true },
  { "damasexpress.com", true },
  { "damedrogy.cz", true },
  { "damicris.ro", true },
  { "damienoreilly.org", true },
  { "damienpontifex.com", true },
  { "daminiphysio.ca", true },
  { "damip.net", true },
  { "damjanovic.work", true },
  { "dammekens.be", true },
  { "damngoodpepper.com", false },
  { "damongant.de", true },
  { "damonline.dk", true },
  { "dan-informacijske-varnosti.si", true },
  { "dan.me.uk", true },
  { "dan.org.nz", true },
  { "danaketh.com", true },
  { "danamica.dk", true },
  { "danandrum.com", true },
  { "danarozmarin.com", true },
  { "danbaldwinart.com", true },
  { "dancerdates.net", true },
  { "danchen.org", true },
  { "dancingcubs.co.uk", true },
  { "dancingshiva.at", true },
  { "dandenongroadapartments.com.au", true },
  { "daneandthepain.com", true },
  { "dango.in", true },
  { "danhalliday.com", true },
  { "daniel-baumann.ch", true },
  { "daniel-cholewa.de", true },
  { "daniel-du.com", true },
  { "daniel-kulbe.de", true },
  { "daniel-milnes.uk", true },
  { "daniel-ruf.de", true },
  { "danielalvarez.net", true },
  { "danielas.boutique", true },
  { "danielehniss.de", true },
  { "danielepestilli.com", true },
  { "danielhinterlechner.eu", true },
  { "danielhochleitner.de", true },
  { "danieljamesscott.org", true },
  { "danieljireh.com", true },
  { "danielkoster.nl", true },
  { "danielmarquard.com", true },
  { "danielmartin.de", true },
  { "danielmostertman.com", false },
  { "danielmostertman.nl", false },
  { "danielrozenberg.com", true },
  { "danielsblog.org", true },
  { "danielschreurs.com", true },
  { "danielstach.cz", true },
  { "danielsteiner.net", true },
  { "danielstiner.me", true },
  { "danieltollot.de", true },
  { "danielverlaan.nl", true },
  { "danielvoogsgerd.nl", true },
  { "danilapisarev.com", true },
  { "danjesensky.com", true },
  { "dank.ninja", true },
  { "dankim.de", false },
  { "dankredues.com", true },
  { "danla.nl", true },
  { "danmaby.com", true },
  { "danmarksbedstefredagsbar.dk", true },
  { "danminkevitch.com", true },
  { "danna-salary.com", true },
  { "danny.fm", true },
  { "dannycairns.com", true },
  { "dannyrohde.de", true },
  { "dannystevens.co.uk", true },
  { "danonsecurity.com", true },
  { "danotage.tv", true },
  { "danova.de", true },
  { "danoz.net", true },
  { "danpiel.net", true },
  { "dansage.co", true },
  { "danscomp.com", true },
  { "danselibre.net", true },
  { "danselibre.org", true },
  { "danseressen.nl", true },
  { "dansk-skole.de", true },
  { "dansk777.dk", true },
  { "danskoferie.dk", true },
  { "danskringsporta.be", true },
  { "danstillman.com", true },
  { "dantelistan.com", true },
  { "dantransports.fr", true },
  { "danwin1210.me", true },
  { "danwolff.se", true },
  { "danyabanya.com", true },
  { "daoro.net", true },
  { "daphne.informatik.uni-freiburg.de", true },
  { "dapim.co.il", true },
  { "daplie.com", true },
  { "daracokorilo.com", true },
  { "daravk.ch", true },
  { "darbi.org", true },
  { "darbtech.net", true },
  { "darc-mak.de", true },
  { "darchoods.net", false },
  { "darcymarshall.com", true },
  { "daren.com.br", true },
  { "dareyou.be", true },
  { "dariaburger.de", true },
  { "darinkotter.com", true },
  { "darioackermann.ch", true },
  { "dariosirangelo.me", true },
  { "darioturchetti.me", true },
  { "darisni.me", true },
  { "dark-infection.de", true },
  { "dark-vision.cz", true },
  { "darkag.ovh", true },
  { "darkcores.net", true },
  { "darkengine.io", true },
  { "darkengine.net", true },
  { "darkeststar.org", true },
  { "darkfire.ch", true },
  { "darkishgreen.com", true },
  { "darknetlive.com", true },
  { "darknight.blog", true },
  { "darkroomsaredead.com", true },
  { "darkserver.fedoraproject.org", true },
  { "darkserver.stg.fedoraproject.org", true },
  { "darkshop.nl", true },
  { "darkside.re", true },
  { "darkspacelab.com", true },
  { "darktime.ru", true },
  { "darkwater.info", true },
  { "darkwebkittens.xyz", true },
  { "darkx.me", true },
  { "darlo.co.uk", false },
  { "darom.jp", true },
  { "darookee.net", false },
  { "darrenm.net", true },
  { "darshnam.com", true },
  { "dart-tanke.com", true },
  { "dart-tanke.de", true },
  { "dartcode.org", true },
  { "dartetdemetiers.fr", true },
  { "darth-sonic.de", true },
  { "dartsdon.jp", true },
  { "dartshopmn.nl", true },
  { "darwinkel.net", true },
  { "daryl.moe", true },
  { "darylcumbo.net", true },
  { "das-forum24.de", true },
  { "das-mediale-haus.de", true },
  { "das-sommercamp.de", true },
  { "dasgeestig.nl", true },
  { "dashboard.run", true },
  { "dashlane.com", true },
  { "dashnearby.com", true },
  { "dasinternetluegt.at", true },
  { "dasug.de", true },
  { "data-detox.de", true },
  { "data.gov", true },
  { "data.govt.nz", true },
  { "data.world", true },
  { "databeam.de", true },
  { "databionix.com", true },
  { "databutlr.com", true },
  { "databutlr.net", true },
  { "datacalle.com", true },
  { "datacandy.com", true },
  { "datacenternews.asia", true },
  { "datacenternews.co.nz", true },
  { "datacentrenews.eu", true },
  { "datacool.tk", true },
  { "datadit.hu", true },
  { "datadyne.technology", true },
  { "dataformers.at", true },
  { "dataharvest.at", true },
  { "datahoarder.download", true },
  { "datahoarder.xyz", true },
  { "datakick.org", true },
  { "datalife.gr", true },
  { "datalysis.ch", true },
  { "dataprotectionadvisors.com", true },
  { "datapun.ch", true },
  { "datapure.net", true },
  { "dataregister.info", true },
  { "datascience.ch", true },
  { "datascomemorativas.com.br", true },
  { "datasharesystem.com", true },
  { "dataskydd.net", true },
  { "dataspace.pl", true },
  { "dataswamp.org", true },
  { "datatekniikka.fi", false },
  { "datateknologsektionen.se", true },
  { "datatree.nl", true },
  { "datatruckers.com", true },
  { "datatruckers.eu", true },
  { "datatruckers.net", true },
  { "datatruckers.org", true },
  { "datememe.com", true },
  { "datengrab.ws", true },
  { "datengrab.xyz", true },
  { "datenkeks.de", true },
  { "datenlast.de", true },
  { "dateno1.com", true },
  { "datenreiter.org", true },
  { "datenschutz-consult.de", true },
  { "datenschutz-individuell.de", true },
  { "datenschutzgrundverordnung.de", true },
  { "datenschutztag.org", true },
  { "datenwerkstatt.net", true },
  { "datewon.net", false },
  { "datingticino.ch", true },
  { "datovyaudit.cz", true },
  { "datsound.ru", true },
  { "datsumou-q.com", true },
  { "datumou-osusume.com", true },
  { "datumou-recipe.com", true },
  { "datumstudio.jp", true },
  { "daubecity.de", true },
  { "daubehosting.de", true },
  { "dave-pearce.com", true },
  { "daveaglick.com", true },
  { "davecardwell.com", true },
  { "davelynes.com", true },
  { "daveoc64.co.uk", true },
  { "davepage.me.uk", true },
  { "davepearce.com", true },
  { "daverandom.com", true },
  { "davescomputertips.com", true },
  { "davesinclair.com.au", true },
  { "davetempleton.com", true },
  { "davevelopment.net", true },
  { "davewardle.com", true },
  { "davewut.ca", true },
  { "david-corry.com", true },
  { "david-mallett.com", true },
  { "david-pearce.com", true },
  { "david-reess.de", true },
  { "david-schiffmann.de", true },
  { "david.kitchen", true },
  { "davidadrian.org", true },
  { "davidandersson.se", true },
  { "davidbranco.me", true },
  { "davidbrito.tech", true },
  { "davidbuckell.com", true },
  { "davidcrx.net", true },
  { "daviddever.net", true },
  { "davidfrancoeur.com", true },
  { "davidgouveia.net", true },
  { "davidgow.net", true },
  { "davidhanle.com", true },
  { "davidking.xyz", true },
  { "davidlamprea.com", true },
  { "davidlane.io", true },
  { "davidlillo.com", true },
  { "davidlyness.com", true },
  { "davidmcevoy.org.uk", true },
  { "davidmessenger.co.uk", true },
  { "davidnadaski.com", true },
  { "davidpearce.com", true },
  { "davidpearce.org", true },
  { "davidpescarolo.it", true },
  { "davidschadlich.com", true },
  { "davidschlachter.com", true },
  { "davidsopas.com", true },
  { "davie3.com", true },
  { "davimun.org", true },
  { "davisroi.com", true },
  { "davo-usedcars.be", true },
  { "davy-server.com", true },
  { "daw.nz", true },
  { "dawena.de", true },
  { "dawnbringer.eu", true },
  { "dawnbringer.net", true },
  { "dawnofeden.net", true },
  { "dawnsonb.com", true },
  { "dawoud.org", true },
  { "dawson-floridavilla.co.uk", true },
  { "day-peak.com", true },
  { "daycontactlens.com", true },
  { "daylightpirates.org", true },
  { "dayman.net", true },
  { "daymprove.life", true },
  { "dayofdays.be", true },
  { "daysoftheyear.com", true },
  { "db-sanity.com", true },
  { "db-works.nl", true },
  { "dbapress.org", true },
  { "dbaron.org", true },
  { "dbas.cz", true },
  { "dbcom.ru", true },
  { "dbdc.us", true },
  { "dbentertainment.co.uk", true },
  { "dbgamestudio.com", true },
  { "dblcastles.co.uk", true },
  { "dbldub.net", true },
  { "dbmiller.org", true },
  { "dbmteam.com", true },
  { "dborcard.com", true },
  { "dbpkg.com", true },
  { "dbq.com", true },
  { "dbrgn.ch", true },
  { "dbtsai.com", true },
  { "dc-elektro.com", true },
  { "dc-elektro.de", true },
  { "dc-elektro.eu", true },
  { "dc-occasies.be", true },
  { "dc-solution.de", true },
  { "dc1.com.br", true },
  { "dc562.org", true },
  { "dc585.info", true },
  { "dcards.in.th", true },
  { "dcautomacao.com.br", true },
  { "dcbouncycastles.co.uk", true },
  { "dcc.cat", true },
  { "dcc.moe", true },
  { "dcepler.net", true },
  { "dchatelain.ch", true },
  { "dchest.org", true },
  { "dckd.nl", true },
  { "dcl.re", true },
  { "dclaisse.fr", true },
  { "dcmt.co", true },
  { "dcpower.eu", true },
  { "dcrdev.com", true },
  { "dd.art.pl", true },
  { "ddays2008.org", true },
  { "ddel.de", true },
  { "dden.ca", true },
  { "ddepot.us", true },
  { "ddhosted.com", true },
  { "ddns-anbieter.de", true },
  { "ddns-test.de", true },
  { "ddnsweb.com", true },
  { "ddproxy.cf", true },
  { "ddracepro.net", true },
  { "dds.mil", true },
  { "de-gucci.com", true },
  { "de-mail.info", true },
  { "de-medici.nl", true },
  { "de-rwa.de", true },
  { "de-spil.be", true },
  { "de.search.yahoo.com", false },
  { "deadbeef.ninja", true },
  { "deadc0de.re", true },
  { "deaf.dating", true },
  { "deaf.eu.org", true },
  { "deai-life.biz", true },
  { "dealapp.nl", true },
  { "dealbanana.at", true },
  { "dealbanana.be", true },
  { "dealbanana.ch", true },
  { "dealbanana.co.uk", true },
  { "dealbanana.com", true },
  { "dealbanana.de", true },
  { "dealbanana.fi", true },
  { "dealbanana.fr", true },
  { "dealbanana.it", true },
  { "dealbanana.se", true },
  { "dealcruiser.nl", true },
  { "dealinflatables.co.uk", true },
  { "dealpass.no", true },
  { "deamuseum.org", true },
  { "deanbank.com", true },
  { "deanisa.ninja", true },
  { "deanjerkovich.com", true },
  { "deanmorgan.org", true },
  { "deano-s.co.uk", true },
  { "deanosplace.net", true },
  { "deanpearce.net", true },
  { "dearfcc.com", true },
  { "dearfcc.net", true },
  { "dearfcc.org", true },
  { "dearktiel.nl", true },
  { "dearnevalleybouncycastles.co.uk", true },
  { "deathy.ro", true },
  { "debbyefurd.com", true },
  { "debie-usedcars.be", true },
  { "debigare.com", true },
  { "debitoutil.com", true },
  { "debitpaie.com", true },
  { "debron-ot.nl", true },
  { "debrusoft.ch", true },
  { "debt.com", true },
  { "debtrecycling.com.au", true },
  { "debuemon.com", true },
  { "debuis.nl", true },
  { "decaffeinated.io", true },
  { "decalquai.ch", true },
  { "decentralizedweb.net", true },
  { "dechat.nl", true },
  { "decidetreatment.org", true },
  { "decis.fr", true },
  { "decisivetactics.com", true },
  { "deckbuilderamerica.com", true },
  { "decock-usedcars.be", true },
  { "decodeanddestroy.com", true },
  { "decoder.link", true },
  { "decompiled.de", true },
  { "decor-d.com", true },
  { "decoratore.roma.it", true },
  { "decoratrix.com", true },
  { "decorauvent.ca", true },
  { "decorestilo.com.br", true },
  { "decosoftware.com", true },
  { "decrousaz-ceramique.ch", true },
  { "decs.es", true },
  { "decstasy.de", true },
  { "dede.ml", true },
  { "dedelta.net", true },
  { "dedg3.com", true },
  { "dedge.org", true },
  { "dedimax.de", true },
  { "dedmorozrzn.ru", false },
  { "deduijventil.nl", true },
  { "dee.pe", true },
  { "dee.su", true },
  { "deechtebakkers.nl", true },
  { "deegeeinflatables.co.uk", true },
  { "deelmijnreis.nl", true },
  { "deep.club", true },
  { "deep.social", true },
  { "deepaero.com", true },
  { "deeparamaraj.com", true },
  { "deepbluecrafting.co.uk", true },
  { "deeperxh.com", true },
  { "deephill.com", true },
  { "deeployr.io", true },
  { "deepserve.info", true },
  { "deepsouthsounds.com", true },
  { "deepspace.dedyn.io", true },
  { "deepvalley.tech", true },
  { "deepwealth.institute", true },
  { "deepzz.com", true },
  { "deer.team", true },
  { "deezeno.com", true },
  { "def-pos.ru", true },
  { "defeestboek.nl", true },
  { "defendas.com", true },
  { "defender-pro.com", true },
  { "defendinnovation.org", true },
  { "defendtheweb.co.uk", true },
  { "defero.io", true },
  { "deflect.ca", true },
  { "deflumeri.com", true },
  { "defman.me", true },
  { "defme.eu", true },
  { "defont.nl", true },
  { "defrax.com", true },
  { "defrax.de", true },
  { "deftek.com", true },
  { "deftnerd.com", true },
  { "defuse.ca", true },
  { "defxing.net", true },
  { "degata.com", true },
  { "degeberg.com", true },
  { "degeberg.dk", true },
  { "degen-elektrotechnik.de", true },
  { "degoulet.net", true },
  { "degracetechnologie.com", true },
  { "degressif.com", true },
  { "dehopre.com", true },
  { "dehydrated.de", true },
  { "deidee.nl", true },
  { "deinballon.de", true },
  { "deinewebsite.de", true },
  { "deinfoto.ch", true },
  { "deitti.net", true },
  { "dejan.media", true },
  { "dejandayoff.com", true },
  { "dejure.org", true },
  { "dejw.cz", true },
  { "dekasiba.com", true },
  { "dekeurslagers.nl", true },
  { "dekka.cz", true },
  { "dekkercreativedesign.nl", true },
  { "dekoh-shouyu.com", true },
  { "dekonix.ru", true },
  { "dekulk.nl", true },
  { "delahrzolder.nl", true },
  { "delandalucia.com", true },
  { "delbecqvo.be", true },
  { "delbrouck.ch", true },
  { "deleidscheflesch.nl", true },
  { "delf.co.jp", true },
  { "delfic.org", true },
  { "delfino.cr", true },
  { "delhionlinegifts.com", true },
  { "deliacreates.com", true },
  { "deliandiver.org", true },
  { "deliberatedigital.com", true },
  { "deliciisanatoase.ro", true },
  { "deliciousmedia.co.uk", true },
  { "deliciousmedia.net", true },
  { "delicioustable.com", true },
  { "delitto.top", true },
  { "delivery.co.at", true },
  { "dellipaoli.com", true },
  { "delogo.nl", true },
  { "delorenzi.dk", true },
  { "delphine.dance", true },
  { "delta-data.ch", true },
  { "delta-smart.ch", true },
  { "delta.ru", true },
  { "delta23.de", false },
  { "deltaacademy.org", true },
  { "deltadata.ch", true },
  { "deltaonlineguards.com", true },
  { "deltaservers.com.br", true },
  { "deltasmart.ch", true },
  { "deltava.org", true },
  { "demarche-expresse.com", true },
  { "demarle.ch", true },
  { "dementiapraecox.de", true },
  { "demeyere-usedcars.be", true },
  { "demfloro.ru", true },
  { "demijn.nl", true },
  { "demilletech.net", true },
  { "demo.swedbank.se", true },
  { "demo9.ovh", true },
  { "democracychronicles.com", true },
  { "democracyineurope.eu", true },
  { "democraticdifference.com", true },
  { "democraziaineuropa.eu", true },
  { "demoniak.ch", true },
  { "demonwav.com", true },
  { "demonwolfdev.com", true },
  { "demotivatorbi.ru", true },
  { "demuzere.be", true },
  { "demuzere.com", true },
  { "demuzere.eu", true },
  { "demuzere.net", true },
  { "demuzere.org", true },
  { "denabot.pw", true },
  { "denaehula.com", true },
  { "denardbrewing.com", true },
  { "denbkh.ru", true },
  { "dengode.eu", true },
  { "denimio.com", true },
  { "denimtoday.com", true },
  { "denis-martinez.photos", true },
  { "denisewakeman.com", true },
  { "deniszczuk.pl", true },
  { "dennisang.com", true },
  { "dennisdoes.net", false },
  { "denniskoot.nl", true },
  { "dennisvandenbos.nl", true },
  { "dennogumi.org", true },
  { "denous.nl", true },
  { "dent.uy", true },
  { "dental-misaki.com", true },
  { "dentallaborgeraeteservice.de", true },
  { "dentfix.ro", true },
  { "dentistglasgow.com", true },
  { "dentrassi.de", true },
  { "dentystabirmingham.co.uk", true },
  { "deontology.com", true },
  { "deparis.me", true },
  { "depechemode-live.com", true },
  { "depedshs.com", true },
  { "depicus.com", true },
  { "depone.net", true },
  { "depot-leipzig.de", true },
  { "depotsquarekerrville.com", true },
  { "depotter-usedcars.be", true },
  { "deprecate.de", true },
  { "deprobe.pro", true },
  { "depth-co.jp", true },
  { "depthe.gr", true },
  { "der-bank-blog.de", true },
  { "der-gardinenmann.de", true },
  { "der-lan.de", true },
  { "der-rudi.eu", true },
  { "der-stein-fluesterer.de", true },
  { "derattizzazione.name", true },
  { "derattizzazioni.biz", true },
  { "derattizzazioni.milano.it", true },
  { "derattizzazioni.org", true },
  { "derbuntering.de", true },
  { "derbybouncycastles.com", true },
  { "derdewereldrommelmarkt.nl", true },
  { "derechosdigitales.org", true },
  { "dereferenced.net", true },
  { "derehamcastles.co.uk", true },
  { "derekheld.com", true },
  { "derekkent.com", true },
  { "dergeilstestammderwelt.de", true },
  { "derhil.de", true },
  { "derkuki.de", true },
  { "dermapuur.nl", true },
  { "dermatologie-morges.ch", true },
  { "dermediq.nl", true },
  { "dermot.org.uk", true },
  { "dermscc.com", true },
  { "deroo.org", true },
  { "derp.army", true },
  { "derre.fr", true },
  { "derreichesack.com", true },
  { "dersix.com", true },
  { "dersoundhunter.de", true },
  { "derstulle.de", true },
  { "des-hommes-et-des-clous.com", true },
  { "desagaz.com", true },
  { "desarrollowp.com", true },
  { "descartes-finance.com", true },
  { "desec.io", true },
  { "desertsounds.org", true },
  { "desgenst.ch", true },
  { "design-fu.com", false },
  { "design-tooning.de", true },
  { "designdevs.eu", true },
  { "designed-cybersecurity.com", true },
  { "designedcybersecurity.com", true },
  { "designer-drug.com", true },
  { "designhotel-kronjuwel.de", true },
  { "designsbyjanith.com", true },
  { "designville.cz", true },
  { "designville.sk", true },
  { "desila.jp", true },
  { "deskeen.fr", true },
  { "desktopfx.net", false },
  { "deskture.com", true },
  { "desmaakvanplanten.be", true },
  { "desmo.gg", true },
  { "despachomartinyasociados.com", true },
  { "despertadoronline.com.es", true },
  { "desplats.com.ar", true },
  { "dessinemoilademocratie.ch", true },
  { "destech.nl", true },
  { "desterman.ru", true },
  { "destileria.net.br", true },
  { "destinationsofnewyorkstate.com", true },
  { "destinattorneyjohngreene.com", true },
  { "desu.ne.jp", true },
  { "desveja.com.br", true },
  { "det-te.ch", true },
  { "detalyedesigngroup.com", true },
  { "detectify.com", false },
  { "detekenmuze.nl", true },
  { "dethemium.com", true },
  { "detoxetmoi.com", true },
  { "detoxsinutritie.ro", true },
  { "detroit-english.de", true },
  { "detroitrocs.org", true },
  { "detroitstylepizza.com", true },
  { "detroitzoo.org", true },
  { "detskysad.com", true },
  { "detuinmuze.nl", true },
  { "detype.nl", true },
  { "deuchnord.fr", true },
  { "deude.de", true },
  { "deukie.nl", true },
  { "deurenfabriek.nl", true },
  { "deutsch-vietnamesisch-dolmetscher.com", true },
  { "deutsche-seniorenbetreuung.de", true },
  { "deutsche-tageszeitungen.de", true },
  { "deutschebusiness.com", true },
  { "deutscher-bericht.de", true },
  { "deutscher-rollenspielpreis.de", true },
  { "deutscheshoponline.com", true },
  { "deutschland-dsl.de", true },
  { "deux.solutions", true },
  { "deuxmetrescubes.fr", true },
  { "deuxsol.co", true },
  { "deuxsol.com", true },
  { "deuxsolutions.com", true },
  { "dev-brandywineglobal.com", true },
  { "dev-pulse-mtn.pantheonsite.io", true },
  { "dev-tek.de", true },
  { "devagency.fr", true },
  { "devalps.eu", true },
  { "devb.nl", true },
  { "devcast.io", true },
  { "devct.cz", false },
  { "devcu.com", true },
  { "devcu.net", true },
  { "devdom.io", true },
  { "devdoodle.net", true },
  { "devel.cz", true },
  { "develerik.com", true },
  { "develop.cool", true },
  { "developer.android.com", true },
  { "developer.mydigipass.com", false },
  { "developerdan.com", true },
  { "developerfair.com", true },
  { "developermail.io", true },
  { "developers.facebook.com", false },
  { "developfx.com", true },
  { "developmentaid.org", true },
  { "developmentsites.melbourne", true },
  { "develux.com", true },
  { "develux.net", true },
  { "devenney.io", true },
  { "devh.net", true },
  { "deviant.email", true },
  { "devillers-occasions.be", true },
  { "devilshakerz.com", true },
  { "deviltracks.net", true },
  { "devin-balimuhac.de", true },
  { "devinfo.net", false },
  { "devisnow.fr", true },
  { "devjack.de", true },
  { "devkid.net", true },
  { "devkit.cc", false },
  { "devklog.net", true },
  { "devlamvzw.org", true },
  { "devlatron.net", true },
  { "devlogr.com", true },
  { "devolution.ws", true },
  { "devonsawatzky.ca", true },
  { "devopers.com.br", true },
  { "devops-survey.com", true },
  { "devpgsv.com", true },
  { "devpsy.info", true },
  { "devrandom.net", true },
  { "devstaff.gr", true },
  { "devyn.ca", true },
  { "devzero.io", true },
  { "dewaard.de", true },
  { "dewalch.net", true },
  { "dewapress.com", true },
  { "dewinter.com", true },
  { "dexalo.de", true },
  { "deyute.com", true },
  { "dezeregio.nl", true },
  { "dezet-ev.de", true },
  { "dezintranet.com", true },
  { "dezmembrariromania.ro", true },
  { "dezshop24.de", true },
  { "df1paw.de", true },
  { "dfctaiwan.org", true },
  { "dfekt.no", true },
  { "dfektlan.no", true },
  { "dfl.mn", true },
  { "dflcares.com", true },
  { "dfmn.berlin", true },
  { "dfranke.com", true },
  { "dg7.in", true },
  { "dgblaw.com.au", true },
  { "dgbouncycastlehire.com", true },
  { "dgby.org", true },
  { "dgeex.eu", true },
  { "dggm.ru", true },
  { "dggwp.de", true },
  { "dgitup.com", true },
  { "dgportals.co.uk", true },
  { "dgpot.com", true },
  { "dgt-portal.de", true },
  { "dgx.io", true },
  { "dharveydev.com", true },
  { "dhautefeuille.eu", true },
  { "dhauwer.nl", true },
  { "dhaynes.xyz", true },
  { "dhconcept.ch", true },
  { "dheart.net", true },
  { "dhhs.gov", true },
  { "dhinflatables.co.uk", true },
  { "dhlcotizadorexpo-qa.azurewebsites.net", true },
  { "dhlinux.org", true },
  { "dhome.at", true },
  { "dhuy.net", true },
  { "di2pra.com", true },
  { "di2pra.fr", true },
  { "diabolic.chat", true },
  { "diadorafitness.es", true },
  { "diadorafitness.it", true },
  { "diagnocentro.cl", true },
  { "diagnostix.org", true },
  { "dialoegue.com", true },
  { "diamante.ro", true },
  { "diamondpkg.org", true },
  { "diamondyze.nl", true },
  { "diamorphine.com", true },
  { "diamsmedia.ch", true },
  { "dianefriedli.ch", true },
  { "dianurse.com", true },
  { "diare-na-miru.cz", true },
  { "diario-egipto.com", true },
  { "diasdasemana.com", true },
  { "diasp.org", true },
  { "diavo.de", true },
  { "dibiphp.com", true },
  { "diccionarioabierto.com", true },
  { "diccionariodedudas.com", true },
  { "dice.tokyo", true },
  { "dicelab.co.uk", true },
  { "dicgaming.net", true },
  { "dicio.com.br", true },
  { "dicionario.org", true },
  { "dicionariodegirias.com.br", true },
  { "dicionariodelatim.com.br", true },
  { "dicionariodenomesproprios.com.br", true },
  { "dicionariodesimbolos.com.br", true },
  { "dicionarioetimologico.com.br", true },
  { "dickieslife.com", true },
  { "dickpics.ru", true },
  { "dicoding.com", true },
  { "dictionaryofnumbers.com", true },
  { "dictzone.com", true },
  { "didacte.com", true },
  { "didche.net", true },
  { "diddens.de", true },
  { "didierghez.com", true },
  { "didikhari.web.id", true },
  { "die-bergfuehrer.de", true },
  { "die-blahuts.de", true },
  { "die-borts.ch", true },
  { "die-partei-reutlingen.de", true },
  { "die-pizzabaeckerei.de", true },
  { "die-seide.de", true },
  { "die-sinlosen.de", true },
  { "die-speisekammer-reutlingen.de", true },
  { "diedrich.co", true },
  { "diedrich.me", true },
  { "dieecpd.org", true },
  { "diegelernten.de", true },
  { "diegerbers.de", true },
  { "diegobarrosmaia.com.br", true },
  { "diegogelin.com", true },
  { "diegorbaquero.com", true },
  { "diehl.io", true },
  { "diem-project.org", true },
  { "diemattels.at", true },
  { "dienchaninstitute.com", true },
  { "dienstplan.cc", true },
  { "dienstplan.one", true },
  { "dierabenmutti.de", true },
  { "dierenartsdeconinck.be", true },
  { "dierencompleet.nl", true },
  { "dieselanimals.lt", true },
  { "dieselgalleri.com", true },
  { "diesteppenreiter.de", true },
  { "dietaanticelulitica.com", true },
  { "dietaanticelulitis.com", true },
  { "dietacelulitis.com", true },
  { "dietafeliz.com", true },
  { "dietbrand.eu", true },
  { "dieterglas.de", true },
  { "dieterstinglhamber.me", true },
  { "dieti.net", true },
  { "dietlin.com", true },
  { "dietrich.cx", true },
  { "dieumfrage.com", true },
  { "diff2html.xyz", true },
  { "different.cz", false },
  { "differenta.ro", false },
  { "diffnow.com", true },
  { "difoosion.com", true },
  { "digcit.org", true },
  { "digdata.de", true },
  { "dighans.com", true },
  { "digiarc.net", true },
  { "digibild.ch", true },
  { "digibull.email", true },
  { "digibull.link", true },
  { "digicert-support.com", true },
  { "digicert.nl", true },
  { "digidroom.be", true },
  { "digilicious.com", true },
  { "digimagical.com", true },
  { "digimedia.cd", false },
  { "diginota.com", true },
  { "digioccumss.ddns.net", true },
  { "digired.ro", true },
  { "digital-compounds.com", true },
  { "digital-eastside.de", true },
  { "digital-liberal.ch", true },
  { "digital.gov", false },
  { "digital.govt.nz", true },
  { "digital1st.co.uk", true },
  { "digital2web.com", true },
  { "digitalarchitecture.com", true },
  { "digitalbitbox.com", true },
  { "digitalbox.jp", false },
  { "digitalcash.cf", true },
  { "digitalcitizen.life", true },
  { "digitalcitizen.ro", true },
  { "digitalcloud.ovh", true },
  { "digitalcreationclass.com", true },
  { "digitalcuko.com", true },
  { "digitaldashboard.gov", true },
  { "digitaldatacenter.net", true },
  { "digitaldeli.com", true },
  { "digitaldeli.org", true },
  { "digitaldeli.tv", true },
  { "digitaldeli.us", true },
  { "digitaldeliarchive.com", true },
  { "digitaldem.it", true },
  { "digitalehandtekeningen.nl", true },
  { "digitaleoverheid.nl", true },
  { "digitalewelten.de", true },
  { "digitalexhale.com", true },
  { "digitalfishfun.com", true },
  { "digitalfuturenow.com", true },
  { "digitalgov.gov", false },
  { "digitalliteracy.gov", true },
  { "digitalmaniac.co.uk", true },
  { "digitalmarketingindallas.com", true },
  { "digitalrights.center", true },
  { "digitalrights.fund", true },
  { "digitalsurge.io", true },
  { "digitaltechnologies.ltd.uk", true },
  { "digitkon.com", true },
  { "digminecraft.com", true },
  { "digwp.com", true },
  { "dihesan.com", true },
  { "dijkmanmuziek.nl", false },
  { "dijkmanvandoorn.nl", false },
  { "diju.ch", true },
  { "dildoexperten.se", true },
  { "dilichen.fr", true },
  { "diligo.ch", true },
  { "dillewijnzwapak.nl", true },
  { "dillonkorman.com", true },
  { "diluv.com", true },
  { "dimanss47.net", true },
  { "dimdom.com.br", true },
  { "dime-staging.com", true },
  { "dime.io", true },
  { "dimeponline.com.br", true },
  { "dimeshop.nl", true },
  { "dimez.ru", true },
  { "dimonb.com", true },
  { "din-hkd.jp", true },
  { "dineachook.com.au", true },
  { "dinepont.fr", true },
  { "dinge.xyz", true },
  { "dingelbob-schuhcreme.gq", true },
  { "dinheirolucrar.com", true },
  { "dinkommunikasjon.no", true },
  { "dinmtb.dk", true },
  { "dinocarrozzeria.com", true },
  { "dinotopia.org.uk", true },
  { "dintrafic.net", true },
  { "diodeled.com", true },
  { "diodo.me", true },
  { "dionysos-ios.gr", true },
  { "dipling.de", true },
  { "diplona.de", true },
  { "dipulse.it", true },
  { "dir2epub.com", true },
  { "dir2epub.org", true },
  { "dirba.io", true },
  { "direct-sel.com", true },
  { "directebanking.com", true },
  { "directelectricalltd.co.uk", true },
  { "directinsure.in", true },
  { "directlinkfunding.co.uk", true },
  { "directme.ga", true },
  { "directnews.be", true },
  { "directorioz.com", true },
  { "directreal.sk", true },
  { "directspa.fr", true },
  { "directwatertanks.co.uk", true },
  { "dirips.com", true },
  { "dirk-scheele.de", true },
  { "dirko.net", true },
  { "dirkwolf.de", true },
  { "dirtcraft.ca", true },
  { "dirtygeek.ovh", true },
  { "disabled.dating", true },
  { "disanteimpianti.com", true },
  { "disarc.com", true },
  { "disavow.tools", true },
  { "disc.uz", true },
  { "discarica.it", true },
  { "discarica.roma.it", true },
  { "discha.net", true },
  { "dischempharmacie.com", true },
  { "disciples.io", true },
  { "disciplina.io", true },
  { "discipul.nl", true },
  { "discofitta.com", true },
  { "disconformity.net", true },
  { "discordapp.com", true },
  { "discordghost.space", true },
  { "discordia.me", true },
  { "discotek.club", true },
  { "discount24.de", true },
  { "discountplush.com", true },
  { "discover-shaken.com", true },
  { "discoverthreejs.com", true },
  { "discoverwellness.center", true },
  { "discoveryaima.com", true },
  { "discoveryrom.org", true },
  { "discreet-condooms.nl", true },
  { "disinclined.org", true },
  { "disinfesta.it", true },
  { "disinfestando.info", true },
  { "disinfestatori.com", true },
  { "disinfestazione.brescia.it", true },
  { "disinfestazione.torino.it", true },
  { "disinfestazione.venezia.it", true },
  { "disinfestazione24.it", true },
  { "disinfestazioneblatte.it", true },
  { "disinfestazionecimici.roma.it", true },
  { "disinfestazioni-umbria.it", true },
  { "disinfestazioni.bari.it", true },
  { "disinfestazioni.bergamo.it", true },
  { "disinfestazioni.catania.it", true },
  { "disinfestazioni.firenze.it", true },
  { "disinfestazioni.genova.it", true },
  { "disinfestazioni.info", true },
  { "disinfestazioni.milano.it", true },
  { "disinfestazioni.net", true },
  { "disinfestazioni.padova.it", true },
  { "disinfestazioni.rimini.it", true },
  { "disinfestazioni.torino.it", true },
  { "disinfestazioni.treviso.it", true },
  { "disinfestazioni.udine.it", true },
  { "disinfestazioni.venezia.it", true },
  { "disinfestazioni.verona.it", true },
  { "disinfestazionivespe.milano.it", true },
  { "disinisharing.com", true },
  { "diskbit.com", true },
  { "diskbit.nl", true },
  { "dismail.de", true },
  { "dispatchitsolutions.com", true },
  { "dispatchitsolutions.io", true },
  { "disposable.link", true },
  { "disroot.org", true },
  { "disrupters.ch", true },
  { "dissertationhelp.com", true },
  { "dissidence.ovh", true },
  { "dist.torproject.org", false },
  { "disti.com", true },
  { "distiduffer.org", true },
  { "distinguishedprisoner.com", true },
  { "distribuidoracristal.com.br", true },
  { "distribuidorveterinario.es", true },
  { "distro.re", true },
  { "ditelbat.com", true },
  { "diti.me", true },
  { "ditisabc.nl", true },
  { "diva.nl", true },
  { "divari.nl", true },
  { "divcoder.com", true },
  { "divedowntown.com", true },
  { "divegearexpress.com", true },
  { "diveidc.com", true },
  { "divenwa.com", true },
  { "diveplan.org", true },
  { "divergenz.org", true },
  { "diversityflags.com", true },
  { "diversityflags.com.au", true },
  { "diversityflags.nz", true },
  { "divertiagua.com.br", true },
  { "divi-experte.de", true },
  { "divinegames.studio", true },
  { "diving.photo", true },
  { "divingwithnic.com", true },
  { "dixi.fi", true },
  { "diybook.at", true },
  { "diycc.org", true },
  { "diygod.me", true },
  { "diymediahome.org", true },
  { "diyosun.com", true },
  { "diyvideoeditor.com", true },
  { "diz.in.ua", true },
  { "dizzythewizard.co.uk", true },
  { "dj-leszwolle.nl", true },
  { "dj-x.info", true },
  { "dj3dub.com", true },
  { "djangobirthday.com", true },
  { "djangogolf.com", true },
  { "djangoproject.com", true },
  { "djangosnippets.org", true },
  { "djbbouncycastles.co.uk", true },
  { "djc.me", true },
  { "djcursuszwolle.nl", true },
  { "djdavid98.hu", true },
  { "djieno.com", true },
  { "djipanov.com", true },
  { "djlive.pl", true },
  { "djlnetworks.co.uk", true },
  { "djsbouncycastlehire.com", true },
  { "djsk.nl", true },
  { "djt-vom-chausseehaus.de", true },
  { "djursland-psykologen.dk", true },
  { "djwaynepryke.com", true },
  { "dk-kromeriz.cz", true },
  { "dk.com", true },
  { "dk.search.yahoo.com", false },
  { "dkcomputers.com.au", true },
  { "dkds.us", true },
  { "dkn.go.id", false },
  { "dl.google.com", true },
  { "dlabouncycastlehire.co.uk", true },
  { "dlaspania.pl", true },
  { "dlbouncers.co.uk", true },
  { "dlde.ru", true },
  { "dldl.fr", true },
  { "dlfsymposium.nl", true },
  { "dlitz.net", true },
  { "dll4free.com", true },
  { "dlld.com", true },
  { "dlouwrink.nl", true },
  { "dlrsp.org", true },
  { "dlscomputers.com.au", true },
  { "dlunch.net", true },
  { "dlz149.me", true },
  { "dlzz.net", true },
  { "dm.lookout.com", false },
  { "dm4productions.com", true },
  { "dm7ds.de", true },
  { "dmailshop.ro", true },
  { "dmarc.dk", true },
  { "dmatrix.xyz", true },
  { "dmcastles.com", true },
  { "dmd.lv", true },
  { "dmdd.org.uk", true },
  { "dmeevalumate.com", true },
  { "dmfd.net", true },
  { "dmi.es", true },
  { "dmlogic.com", true },
  { "dmmkenya.co.ke", true },
  { "dmmultionderhoud.nl", true },
  { "dmschilderwerken.nl", true },
  { "dmxledlights.com", true },
  { "dn3s.me", true },
  { "dn42.eu", false },
  { "dn42.us", true },
  { "dna.li", true },
  { "dnacloud.pl", true },
  { "dnc.org.nz", true },
  { "dndtools.net", true },
  { "dne.lu", true },
  { "dnfc.rocks", true },
  { "dnmlab.it", true },
  { "dnplegal.com", true },
  { "dns-control.eu", true },
  { "dns-manager.info", true },
  { "dns.google.com", true },
  { "dns8.online", true },
  { "dnscrawler.com", true },
  { "dnscrypt.info", true },
  { "dnscurve.io", true },
  { "dnshallinta.fi", true },
  { "dnsinfo.ml", true },
  { "dnsman.se", true },
  { "dnsql.io", true },
  { "dnstwister.report", true },
  { "do-it.cz", true },
  { "do-prod.com", true },
  { "do.gd", true },
  { "do.search.yahoo.com", false },
  { "do13.net", true },
  { "do67.de", true },
  { "do67.net", true },
  { "dobrev.family", true },
  { "dobrisan.ro", true },
  { "dobsnet.net", true },
  { "doc-justice.com", true },
  { "doc.python.org", true },
  { "doc.to", true },
  { "doc8643.com", true },
  { "docabo.ch", true },
  { "docbox.ch", true },
  { "docemeldoces.com", true },
  { "dochimera.com", true },
  { "dochitaceahlau.ro", true },
  { "dockerbook.com", false },
  { "dockerm.com", true },
  { "dockerup.net", true },
  { "doclassworks.com", true },
  { "docline.gov", true },
  { "docloh.de", true },
  { "docloudu.info", true },
  { "docplexus.org", true },
  { "docs.google.com", false },
  { "docs.python.org", true },
  { "docs.re", true },
  { "docs.tw", true },
  { "docsoc.org.uk", true },
  { "doctafit.com", true },
  { "doctor-locks.co.uk", true },
  { "doctor.dating", true },
  { "doctorfox.co.uk", true },
  { "doctorsonmaps.com", true },
  { "doctorwho.cz", true },
  { "docubox.info", true },
  { "docucopies.com", true },
  { "documaniatv.com", true },
  { "docupet.com", true },
  { "dodopri.com", true },
  { "doenjoylife.com", true },
  { "does.one", true },
  { "doesburg-comp.nl", true },
  { "doesnotscale.com", false },
  { "dofuspvp.com", true },
  { "dog-blum.com", true },
  { "dogadayiz.net", true },
  { "dogan.ch", false },
  { "dogcontrol.ca", true },
  { "dogear.ch", true },
  { "dogfi.sh", true },
  { "dogft.com", true },
  { "doggedbyirs.com", true },
  { "doggroomingcourse.com", true },
  { "dogmap.jp", true },
  { "dogoo.com", true },
  { "dogpawstudio.com", true },
  { "dogprograms.net", true },
  { "dogrescuegreece.nl", true },
  { "dogworld.com.br", true },
  { "dohanews.co", true },
  { "dokan-e.com", false },
  { "dokelio-idf.fr", true },
  { "dokipy.no", true },
  { "dokuboard.com", true },
  { "dokuraum.de", true },
  { "dolci-delizie.de", true },
  { "doli.se", true },
  { "dolice.net", true },
  { "dollemore.com", true },
  { "dolorism.com", true },
  { "dolphin-hosting.com", true },
  { "dolphin-it.de", true },
  { "dolt.xyz", true },
  { "dom-medicina.ru", true },
  { "doma.in", true },
  { "domadillo.com", true },
  { "domain-ermittlung.de", true },
  { "domain001.info", true },
  { "domainedemiolan.ch", true },
  { "domainexpress.de", false },
  { "domainoo.com", true },
  { "domains.autos", true },
  { "domains.boats", true },
  { "domains.google.com", true },
  { "domains.homes", true },
  { "domains.motorcycles", true },
  { "domains.yachts", true },
  { "domainsilk.com", true },
  { "domainstaff.com", true },
  { "domainwatch.me", true },
  { "domaxpoker.com", true },
  { "domenic.me", true },
  { "domesticcleaners.co.uk", true },
  { "domhaase.me", true },
  { "domian.cz", true },
  { "dominationgame.co.uk", true },
  { "dominicself.co.uk", true },
  { "dominik-schlueter.de", true },
  { "dominikaner-vechta.de", true },
  { "dominikkulaga.pl", true },
  { "dominioanimal.com.br", true },
  { "dominionregistries.domains", true },
  { "dominique-haas.fr", true },
  { "dominoknihy.cz", true },
  { "dominomatrix.com", true },
  { "domix.fun", true },
  { "dommascate.com.br", true },
  { "domodeco.fr", true },
  { "domodedovo.travel", true },
  { "domprojects.com", true },
  { "domquixoteepi.com.br", true },
  { "domscripting.com", true },
  { "domster.com", true },
  { "domus-global.com", true },
  { "domus-global.cz", true },
  { "domyassignments.com", true },
  { "domycasestudy.com", true },
  { "domycoursework.com", true },
  { "domycreativewritings.com", true },
  { "domydissertations.com", true },
  { "domyessay.net", true },
  { "domyessays.com", true },
  { "domyhomeworks.net", true },
  { "domynetwork.com", true },
  { "domypapers.com", true },
  { "domyresearchpaper.com", true },
  { "domyreview.net", true },
  { "domyspeech.com", true },
  { "domytermpaper.com", true },
  { "domythesis.net", true },
  { "domyzitrka.cz", true },
  { "donabeneko.jp", true },
  { "donateaday.net", true },
  { "donfelino.tk", false },
  { "dongxuwang.com", true },
  { "donkeytrekkingkefalonia.com", true },
  { "donmaldeamores.com", true },
  { "donnachie.net", true },
  { "donner-reuschel.de", true },
  { "donnons.org", false },
  { "donnoval.ru", true },
  { "donotlink.it", true },
  { "donovand.info", true },
  { "donpaginasweb.com", true },
  { "donpomodoro.com.co", true },
  { "dont.re", true },
  { "dont.watch", true },
  { "dontbubble.me", true },
  { "dontcageus.org", true },
  { "donthedragonwilson.com", true },
  { "donttrust.me", true },
  { "donutcompany.co.jp", true },
  { "donzool.es", true },
  { "dooby.fr", true },
  { "dooleylabs.com", true },
  { "dooleytackaberry.com", true },
  { "doomoo.com", true },
  { "doomsworld.com", true },
  { "doomus.me", true },
  { "doooooops.com", true },
  { "doop.im", true },
  { "doopdidoop.com", true },
  { "door.cards", true },
  { "doordecor.bg", true },
  { "doorflow.com", true },
  { "dopesoft.de", true },
  { "dopfer-fenstertechnik.de", true },
  { "dopply.com", true },
  { "dopravni-modely.cz", true },
  { "dopsi.ch", true },
  { "dora.moe", true },
  { "dorde.eu", true },
  { "dorfbrunnen.eu", true },
  { "dorfzittig.de", true },
  { "doriangirod.ch", true },
  { "dorianharmans.nl", true },
  { "dorianmuthig.com", true },
  { "dormiu.com", true },
  { "dormiu.com.br", true },
  { "dorquelle.com", true },
  { "dorsetentertainments.co.uk", true },
  { "dorth.nl", true },
  { "dosenbierrepublik.com", true },
  { "dosenkiwi.at", true },
  { "dosipe.com", true },
  { "doska.by", true },
  { "doska.ru", true },
  { "dosomeworks.biz", true },
  { "dossplumbing.co.za", true },
  { "dosvientoselectrical.com", true },
  { "doswap.com", true },
  { "dosyauzantisi.com", true },
  { "dot.ro", true },
  { "dotacni-parazit.cz", true },
  { "dotb.dn.ua", false },
  { "dotbigbang.com", true },
  { "dotbox.org", true },
  { "dotconnor.com", true },
  { "dotgov.gov", true },
  { "dothebangthingsalon.com", true },
  { "dothydesign.com", true },
  { "dotjs.party", true },
  { "dotkniseandroida.cz", true },
  { "dotkod.com", true },
  { "dotkod.pl", true },
  { "dotneko.net", true },
  { "dotnetsandbox.ca", true },
  { "dotphoto.com", true },
  { "dotplex.com", true },
  { "dotplex.de", true },
  { "dotrox.net", true },
  { "dotshule.ug", true },
  { "dotsiam.com", true },
  { "douai.me", true },
  { "doubleaste.com", true },
  { "doubleavineyards.com", true },
  { "doublefun.net", true },
  { "doublestat.me", true },
  { "doubleup.com.au", true },
  { "doucheba.gs", false },
  { "dougferris.id.au", true },
  { "dougley.com", true },
  { "doujin-domain.cz", true },
  { "doujinshi.info", true },
  { "dounats.com", true },
  { "douzer.de", true },
  { "dovenzorgmalawi.nl", true },
  { "dovro.de", true },
  { "dowellconsulting.com", true },
  { "dowhatmakegood.de", true },
  { "dowling.nz", true },
  { "downloadaja.com", true },
  { "downloadgamemods.com", true },
  { "downloadgram.com", true },
  { "downloadsoftwaregratisan.com", true },
  { "downrightcute.com", true },
  { "downtownvernon.com", true },
  { "doxcelerate.com", false },
  { "doyoucheck.com", false },
  { "doyouedc.com", true },
  { "doyoutax.com", true },
  { "doypacky.cz", true },
  { "doze-cloud.tech", true },
  { "dozecloud.com", true },
  { "dp.cx", true },
  { "dpd.com.pl", true },
  { "dperson.net", true },
  { "dpfsolutionsfl.com", true },
  { "dpg.no", true },
  { "dpi-design.de", true },
  { "dpisecuretests.com", true },
  { "dprb.biz", true },
  { "dprd-wonogirikab.go.id", false },
  { "dpsg-roden.de", false },
  { "dpwsweeps.co.uk", true },
  { "dr-becarelli-philippe.chirurgiens-dentistes.fr", true },
  { "dr-bodendorf.de", true },
  { "dr-jakob-zahnaerzte.de", true },
  { "dr-klotz.info", true },
  { "dr-knirr.de", true },
  { "dr-krebs.net", true },
  { "dr-marlen-nystroem.de", true },
  { "dr-moldovan.de", true },
  { "dr-nystroem.de", true },
  { "dr-schlamminger.de", true },
  { "dr-schmutzer.de", true },
  { "dr-schuessler.de", true },
  { "dr-stoetter.de", true },
  { "dr-www.de", true },
  { "drabadir.com", true },
  { "drabben.be", true },
  { "drabbin.com", true },
  { "drachenleder.de", true },
  { "dracisvet.cz", true },
  { "dracon.es", true },
  { "dracox.com", true },
  { "draftguru.com.au", true },
  { "drafton.com", true },
  { "drageeparadise.fr", true },
  { "dragfiles.com", true },
  { "draghive.asia", true },
  { "draghive.ca", true },
  { "draghive.co", true },
  { "draghive.co.uk", true },
  { "draghive.com", true },
  { "draghive.org", true },
  { "draghive.tv", true },
  { "dragon-aspect.com", true },
  { "dragon-chem.eu", true },
  { "dragon-hearts.co.uk", true },
  { "dragoncave.me", true },
  { "dragoncityhack.tips", true },
  { "dragonfly.co.uk", true },
  { "dragonheartsrpg.com", true },
  { "dragonkin.net", true },
  { "dragonprogrammer.com", true },
  { "dragonschool.org", true },
  { "dragonsunited.at", true },
  { "dragonsunited.ch", true },
  { "dragonsunited.de", true },
  { "dragonsunited.eu", true },
  { "dragonsunited.info", true },
  { "dragonsunited.net", true },
  { "dragonsunited.org", true },
  { "drakeluce.com", true },
  { "drakensberg-tourism.com", true },
  { "dramaticpeople.com", true },
  { "dramyalderman.com", true },
  { "dranderle.com", true },
  { "dranek.com", true },
  { "draugr.de", true },
  { "draw.uy", true },
  { "drawesome.uy", true },
  { "drawingcode.net", true },
  { "drbethanybarnes.com", true },
  { "drchristinehatfield.ca", true },
  { "drchristophepanthier.com", true },
  { "drdavidgilpin.com", true },
  { "drdim.ru", true },
  { "drdipilla.com", true },
  { "dreamcreator108.com", true },
  { "dreamhack.com", true },
  { "dreamhostremixer.com", true },
  { "dreamlandmagic.com", true },
  { "dreamlinehost.com", false },
  { "dreamlux.cz", true },
  { "dreamlux.sk", true },
  { "dreamonkey.com", true },
  { "dreamrae.net", true },
  { "dreamtechie.com", true },
  { "dreax.win", true },
  { "drei01.com", true },
  { "drei01.de", true },
  { "dreid.org", true },
  { "dreiweiden.de", true },
  { "dress-cons.com", true },
  { "drevo-door.cz", true },
  { "drew.beer", true },
  { "drew.red", true },
  { "dreweryinc.com", true },
  { "drewsilcock.co.uk", true },
  { "dreyfussplasticsurgery.com", true },
  { "drezzy.it", true },
  { "drfrey.ch", true },
  { "drgn.no", true },
  { "drhathazi.hu", true },
  { "drheibel.com", true },
  { "driesjtuver.nl", true },
  { "driftdude.nl", true },
  { "drighes.com", true },
  { "drillingsupply.info", true },
  { "drillingsupplystore.com", true },
  { "drillion.net", true },
  { "drinkplanet.eu", true },
  { "drive.google.com", false },
  { "drive.xyz", true },
  { "driven2shine.eu", true },
  { "drivenes.net", true },
  { "driver.ru", true },
  { "driver61.com", true },
  { "driverless.id", true },
  { "driverprofiler.co.uk", true },
  { "driverscollection.com", true },
  { "drivingtestpro.com", true },
  { "drivya.com", true },
  { "drixn.com", true },
  { "drjacquesmalan.com", true },
  { "drjenafernandez.com", true },
  { "drjoe.ca", true },
  { "drjuanitacollier.com", false },
  { "drkhsh.at", false },
  { "drlangsdon.com", true },
  { "drmayakato.com", true },
  { "drmcdaniel.com", true },
  { "drms.us", true },
  { "drmtransit.com", true },
  { "drogueriaelbarco.com", true },
  { "droidapp.nl", true },
  { "droidgyan.com", true },
  { "droidhere.com", true },
  { "droidim.com", false },
  { "droidwave.com", true },
  { "droidwiki.de", true },
  { "drone-it.net", true },
  { "dronebotworkshop.com", true },
  { "dronepit.dk", true },
  { "dronexpertos.com", true },
  { "droni.cz", true },
  { "dronnet.com", false },
  { "dronografia.es", true },
  { "drop.com", true },
  { "dropbox.com", true },
  { "dropboxer.net", true },
  { "dropistic.com", true },
  { "dropq.nl", true },
  { "dropshare.cloud", true },
  { "droso.dk", true },
  { "drown.photography", true },
  { "drpetervoigt.de", true },
  { "drpico.com.au", true },
  { "drpure.pw", true },
  { "drrr.chat", true },
  { "drrr.wiki", true },
  { "drsajjadian.com", true },
  { "drschruefer.de", true },
  { "drsturgeonfreitas.com", true },
  { "drturner.com.au", false },
  { "drubn.de", false },
  { "drugs.com", true },
  { "drumbe.at", true },
  { "drummondframing.com", true },
  { "drunkscifi.com", true },
  { "drupal-expert.it", true },
  { "drupal.org", true },
  { "drupalspb.org", true },
  { "drusillas.co.uk", true },
  { "druwe.net", true },
  { "druznek.me", true },
  { "druznek.rocks", true },
  { "druznek.xyz", true },
  { "drvr.xyz", true },
  { "drweissbrot.net", true },
  { "drybjed.net", true },
  { "drycleancoalition.org", true },
  { "drycreekphoto.com", true },
  { "ds67.de", true },
  { "dsancomics.com", true },
  { "dsayce.com", true },
  { "dsbrowser.com", true },
  { "dsdalismerkezi.com", true },
  { "dsebastien.net", true },
  { "dsektionen.se", true },
  { "dshield.org", true },
  { "dsm5.com", true },
  { "dsmjs.com", true },
  { "dso-imaging.co.uk", true },
  { "dsol.hu", true },
  { "dsouzamusic.com", true },
  { "dsrw.org", true },
  { "dssale.com", true },
  { "dstamou.de", true },
  { "dsteiner.at", true },
  { "dstvinstallrandburg.co.za", true },
  { "dsuinnovation.com", true },
  { "dsyunmall.com", true },
  { "dt27.org", true },
  { "dtbouncycastles.co.uk", true },
  { "dtdsh.com", true },
  { "dte.co.uk", true },
  { "dtechstore.com.br", true },
  { "dtg-fonds.com", true },
  { "dtg-fonds.de", true },
  { "dtg-fonds.net", true },
  { "dtk-vom-chausseehaus.de", true },
  { "dtnx.eu", true },
  { "dtnx.net", true },
  { "dtnx.org", true },
  { "dtp-mstdn.jp", true },
  { "dtuaarsfest.dk", true },
  { "dtx.sk", true },
  { "dualascent.com", true },
  { "dualias.xyz", false },
  { "duan.li", true },
  { "dub.cz", true },
  { "dubai-company.ae", true },
  { "dubaieveningsafari.com", true },
  { "dubaosheng.com", true },
  { "dubbingkursus.dk", true },
  { "dublin-traceroute.net", true },
  { "dubrovnik-dental.clinic", true },
  { "dubrovskiy.net", true },
  { "dubrovskiy.pro", true },
  { "ducalendars.com", true },
  { "duchyoffeann.com", true },
  { "duckasylum.com", true },
  { "duckbase.com", true },
  { "duckduck.horse", true },
  { "duckduckstart.com", true },
  { "duckinc.net", true },
  { "duckyubuntu.tk", true },
  { "duct.me", true },
  { "duernberg.at", true },
  { "duesee.org", true },
  { "duesterhus.eu", true },
  { "dufrei.com", true },
  { "dugnet.com", false },
  { "dugnet.io", false },
  { "dugnet.net", false },
  { "dugnet.org", false },
  { "dugnet.tech", false },
  { "dugunedavet.com", true },
  { "duh.se", true },
  { "duijf.info", true },
  { "duijfathome.nl", true },
  { "duitang.com", true },
  { "dukan-recepty.ru", true },
  { "dukegat.de", false },
  { "dukesatqueens.com", true },
  { "dukun.de", true },
  { "dulei.si", true },
  { "dullapp.com", true },
  { "dumax.xyz", true },
  { "dumbdemo.com", true },
  { "dumbeartech.com", true },
  { "dumbfunded.co.uk", true },
  { "dumbomove.com.au", true },
  { "dumino.bg", true },
  { "dumont.ovh", true },
  { "dumpsters.com", true },
  { "duncancmt.com", true },
  { "duncanfamilytrust.org", true },
  { "duncanwinfrey.com", true },
  { "dundalkdonnie.com", true },
  { "dungeon-bbs.de", true },
  { "dungi.org", true },
  { "dunklau.fr", true },
  { "dunkle-seite.org", true },
  { "dunloptrade.com", true },
  { "dunmanelectric.com", true },
  { "duobus.nl", true },
  { "duoluodeyu.com", true },
  { "duonganhtuan.com", true },
  { "duoquadragintien.fr", true },
  { "dupisces.com.tw", true },
  { "dupree.co", true },
  { "dupree.pe", true },
  { "durand.tf", true },
  { "durchblick-shop.de", true },
  { "durdle.com", true },
  { "dureuil.info", true },
  { "durexwinkel.nl", true },
  { "durfteparticiperen.nl", true },
  { "duria.de", true },
  { "duriaux-dentiste.ch", true },
  { "durys.be", true },
  { "dusmomente.com", true },
  { "dusnan.com", true },
  { "dustplanet.de", true },
  { "dustri.org", true },
  { "dustycloth.com", true },
  { "dustygroove.com", true },
  { "dustyspokesbnb.ca", true },
  { "dutch.desi", true },
  { "dutchdare.nl", true },
  { "dutchrank.nl", true },
  { "dutchwanderers.nl", true },
  { "dutchweballiance.nl", true },
  { "dvbris.co.uk", true },
  { "dvbris.com", true },
  { "dvdland.com.au", true },
  { "dvhosting.be", true },
  { "dvnatura.ch", true },
  { "dvorupotocnych.sk", true },
  { "dvwc.org", true },
  { "dvx.cloud", true },
  { "dwbtoftshit.com", true },
  { "dwellstudio.com", true },
  { "dwgf.xyz", true },
  { "dworzak.ch", true },
  { "dwscdv3.com", true },
  { "dwtm.ch", true },
  { "dwworld.co.uk", true },
  { "dxgl.info", true },
  { "dxm.no-ip.biz", true },
  { "dybuster.com", true },
  { "dycoa.com", true },
  { "dyktig.as", true },
  { "dyktig.no", true },
  { "dylanboudro.com", true },
  { "dylankatz.com", true },
  { "dylanknoll.ca", true },
  { "dylanspcrepairs.com", true },
  { "dylmye.me", true },
  { "dymersion.com", true },
  { "dymfbbs.com", true },
  { "dymowski.de", true },
  { "dyn-dnhensel.de", true },
  { "dyn-nserve.net", true },
  { "dyn.im", true },
  { "dynaloop.net", true },
  { "dynamicdesignuk.com", true },
  { "dynamicnet.net", false },
  { "dynamics-365.no", true },
  { "dynamics365.no", true },
  { "dynamicsnetwork.net", true },
  { "dynamictostatic.com", true },
  { "dynamicyou.co.uk", true },
  { "dynamo.city", true },
  { "dynastic.co", true },
  { "dynn.be", true },
  { "dynorphin.com", true },
  { "dynorphins.com", true },
  { "dynts.pro", true },
  { "dynx.pl", true },
  { "dyrenesverden.no", true },
  { "dyrkar.com", true },
  { "dyrstad.net", true },
  { "dysthymia.com", true },
  { "dyyn.de", true },
  { "dyz.pw", true },
  { "dzeina.ch", true },
  { "dzet.de", true },
  { "dziekonski.com", true },
  { "dziurdzia.pl", true },
  { "dzndk.com", true },
  { "dzndk.net", true },
  { "dzndk.org", true },
  { "dznn.nl", true },
  { "dzomo.org", true },
  { "dzsibi.com", true },
  { "dzsula.hu", true },
  { "dzyabchenko.com", true },
  { "e-apack.com.br", true },
  { "e-baraxolka.ru", true },
  { "e-bikesdirect.co.uk", true },
  { "e-biografias.net", true },
  { "e-briancon.com", true },
  { "e-cottage.com.br", true },
  { "e-enterprise.gov", false },
  { "e-id.ee", true },
  { "e-kontakti.fi", true },
  { "e-lambre.com", true },
  { "e-learningbs.com", true },
  { "e-lifetechnology.com", true },
  { "e-migration.ch", true },
  { "e-planetelec.fr", true },
  { "e-speak24.pl", true },
  { "e-standardstore.org", true },
  { "e-surveillant.nl", true },
  { "e-teacher.pl", true },
  { "e-tech-solution.com", true },
  { "e-tech-solution.net", true },
  { "e-techsolution.com", true },
  { "e-techsolutions.net", true },
  { "e-tonery.cz", true },
  { "e-traceur-france.fr", true },
  { "e-tresor.at", true },
  { "e-tune-mt.net", true },
  { "e-typ.eu", true },
  { "e-vau.de", true },
  { "e-verify.gov", false },
  { "e-worksmedia.com", true },
  { "e.mail.ru", true },
  { "e024.org", true },
  { "e11even.nl", false },
  { "e1488.com", true },
  { "e15r.co", true },
  { "e2feed.com", true },
  { "e30.ee", true },
  { "e4metech.com", true },
  { "e52888.com", true },
  { "e52888.net", true },
  { "e53888.com", true },
  { "e53888.net", true },
  { "e59888.com", true },
  { "e59888.net", true },
  { "e5tv.hu", true },
  { "e64.com", true },
  { "e6e.io", true },
  { "e7d.io", true },
  { "e9a.at", true },
  { "ea2drocks.com", true },
  { "ead-italia.it", true },
  { "eagle.net", true },
  { "eagleindustriesltd.com", true },
  { "eaglemessaging.com", true },
  { "eaglesecurity.com", true },
  { "eagletechz.com.br", true },
  { "eagleyecs.com", true },
  { "eaimty.com", true },
  { "ealev.de", true },
  { "eames-clayton.us", true },
  { "eapestudioweb.com", true },
  { "earl.org.uk", true },
  { "earlyyearshub.com", true },
  { "earmarks.gov", true },
  { "earn.com", true },
  { "earthsystemprediction.gov", true },
  { "earticleblog.com", true },
  { "earvinkayonga.com", true },
  { "easelforart.com", true },
  { "easez.net", true },
  { "eashwar.com", true },
  { "eason-yang.com", true },
  { "east-line.su", true },
  { "eastarm.net", true },
  { "eastcoastbubbleandbounce.co.uk", true },
  { "eastcoastinflatables.co.uk", true },
  { "eastlothianbouncycastles.co.uk", true },
  { "eastmanbusinessinstitute.com", true },
  { "eastsidecottages.co.uk", true },
  { "easy-factures.fr", true },
  { "easy-rpg.org", false },
  { "easyadsnbanners.tk", false },
  { "easycoding.org", true },
  { "easyconstat.com", true },
  { "easycontentplan.com", true },
  { "easycosmetic.ch", true },
  { "easycup.com", true },
  { "easydumpsterrental.com", true },
  { "easyfiles.ch", true },
  { "easyhaul.com", true },
  { "easykraamzorg.nl", true },
  { "easyocm.hu", true },
  { "easyoutdoor.nl", true },
  { "easypay.bg", true },
  { "easyproperty.com", true },
  { "easypv.ch", true },
  { "easyreal.ru", true },
  { "easyroad.fr", true },
  { "easyschools.org", true },
  { "easyslide.be", true },
  { "easystore.co", true },
  { "easytechsecurity.com", true },
  { "easyweenies.com", true },
  { "eat-mine.ml", true },
  { "eat-sleep-code.com", false },
  { "eat4happiness.com", true },
  { "eatery.co.il", true },
  { "eatlowcarb.de", false },
  { "eatmebudapest.hu", true },
  { "eaton-works.com", true },
  { "eatry.io", true },
  { "eatsleeprepeat.net", true },
  { "eatson.com", true },
  { "eattherich.us", true },
  { "eatz.com", true },
  { "eaucube.com", true },
  { "eauxdespleiades.ch", true },
  { "eb-net.de", true },
  { "eb7.jp", true },
  { "ebanking.indovinabank.com.vn", true },
  { "ebankingabersicher.ch", true },
  { "ebankingbutsecure.ch", true },
  { "ebankingentoutesecurite.ch", true },
  { "ebankingmasicuro.ch", true },
  { "ebas.ch", true },
  { "ebataw.com", true },
  { "ebayinc.com", true },
  { "ebaymotorssucks.com", true },
  { "ebene-bpo.com", true },
  { "ebermannstadt.de", false },
  { "eberwe.in", true },
  { "ebest.co.jp", true },
  { "ebiografia.com", true },
  { "ebisi.be", true },
  { "ebizarts.com", true },
  { "eboek.info", true },
  { "ebonyriddle.com", true },
  { "ebooki.eu.org", true },
  { "ebop.ch", true },
  { "eboyer.com", true },
  { "ebrnd.de", true },
  { "ec-baran.de", true },
  { "ec-current.com", true },
  { "ecchidreams.com", true },
  { "ecclesia-koeln.de", true },
  { "ecco-verde.com", false },
  { "ecdn.cz", true },
  { "ecelembrou.ovh", true },
  { "ecfnorte.com.br", true },
  { "echatta.net", true },
  { "echatta.org", true },
  { "echidna-rocktools.eu", true },
  { "echo-security.co", true },
  { "echo.cc", true },
  { "echoactive.com", true },
  { "echoanalytics.com", true },
  { "echodio.com", true },
  { "echofoxtrot.co", true },
  { "echopaper.com", true },
  { "echosim.io", true },
  { "echosixmonkey.com", true },
  { "echosystem.fr", true },
  { "echoteam.gq", false },
  { "echoworld.ch", true },
  { "ecir.pro", true },
  { "ecir.ru", true },
  { "ecirtam.net", true },
  { "eckel.co", true },
  { "eclipse.ws", true },
  { "ecnetworker.com", true },
  { "eco-derattizzazione.it", true },
  { "eco-wiki.com", true },
  { "eco-work.it", true },
  { "ecobergerie.fr", true },
  { "ecobin.nl", true },
  { "ecobrain.be", true },
  { "ecoccinelles.ch", true },
  { "ecoccinelles.com", true },
  { "ecococon.fr", true },
  { "ecodedi.com", true },
  { "ecodesigns.nl", true },
  { "ecodigital.social", true },
  { "ecofabrica.com.br", true },
  { "ecofac-bs.com", true },
  { "ecogen.com.au", true },
  { "ecogen.net.au", true },
  { "ecoheatcool.co.uk", true },
  { "ecohostingservices.uk", true },
  { "ecolala.my", true },
  { "ecole-attalens.ch", true },
  { "ecoledusabbat.org", true },
  { "ecolemathurincordier.com", true },
  { "ecombustibil.ro", true },
  { "ecompen.co.za", true },
  { "economias.pt", true },
  { "economic-sanctions.com", true },
  { "economicinclusion.gov", true },
  { "economiefidu.ch", true },
  { "economies.ch", true },
  { "economycarrentalscyprus.com", true },
  { "econsumer.gov", true },
  { "econverter.cloud", true },
  { "ecorp.cc", true },
  { "ecos-ev.de", true },
  { "ecos.srl", true },
  { "ecoshare.info", true },
  { "ecoskif.ru", true },
  { "ecosoftconsult.com", true },
  { "ecosound.ch", true },
  { "ecostruxureit.com", true },
  { "ecoterramedia.com", true },
  { "ecotur.org", true },
  { "ecovision.com.br", true },
  { "ecpannualmeeting.com", true },
  { "ecrandouble.ch", true },
  { "ed.gs", true },
  { "ed4becky.net", true },
  { "edakoe.ru", true },
  { "edd-miles.com", true },
  { "eddesign.ch", true },
  { "eddmil.es", true },
  { "eddokloosterman.com", true },
  { "edeca.net", true },
  { "edehsa.com", true },
  { "edenvalerubbleremovals.co.za", true },
  { "edesseglabor.hu", true },
  { "edfinancial.com", true },
  { "edge-cloud.net", true },
  { "edgeservices.co.uk", true },
  { "edgetalk.net", true },
  { "edgevelder.com", true },
  { "edh.email", true },
  { "edhesive.com", true },
  { "edholm.pub", true },
  { "edibarcode.com", true },
  { "edicct.com", true },
  { "edinburghsportsandoutdoorlearning.com", true },
  { "edincmovie.com", true },
  { "edisonchee.com", true },
  { "edisonlee55.com", true },
  { "edisonluiz.com", true },
  { "edisonnissanparts.com", true },
  { "edit.yahoo.com", false },
  { "edition-bambou.com", true },
  { "edition-sonblom.de", true },
  { "editoraacademiacrista.com.br", true },
  { "edlinger.at", true },
  { "edlinger.mobi", true },
  { "edlinus.cn", true },
  { "edmoncu.com", true },
  { "edmundcelis.com", true },
  { "edoss.co.za", true },
  { "edp-collaborative.com", true },
  { "edplan.io", true },
  { "edsby.com", true },
  { "edservicing.com", true },
  { "edsm.net", true },
  { "edstep.com", true },
  { "edtech-hub.com", true },
  { "edtechwebb.com", true },
  { "edu-kingdom.com", true },
  { "edu6.cloud", true },
  { "eduard-dopler.de", true },
  { "eduardnikolenko.com", true },
  { "eduardnikolenko.ru", true },
  { "edubras.com.br", true },
  { "educationevolving.org", true },
  { "educationunlimited.com", true },
  { "educator-one.com", true },
  { "educators.co.nz", true },
  { "eductf.org", true },
  { "eduid.se", false },
  { "edumundo.nl", true },
  { "eduroam.no", true },
  { "edusanjal.com", true },
  { "edusantorini.com", true },
  { "eduvpn.no", true },
  { "edv-bv.de", true },
  { "edv-kohls.de", true },
  { "edv-lehrgang.de", true },
  { "edvgarbe.de", true },
  { "edvmesstec.de", true },
  { "edwar.do", true },
  { "edwards.me.uk", true },
  { "edwardsnowden.com", true },
  { "edwardspeyer.com", true },
  { "edwardwall.me", true },
  { "edwellbrook.com", true },
  { "edwinyrkuniversity.de", true },
  { "edxg.de", false },
  { "edxn.de", true },
  { "edyou.eu", true },
  { "edzilla.info", true },
  { "ee-terminals.com", true },
  { "eellak.gr", true },
  { "eelsden.net", true },
  { "eelzak.nl", true },
  { "eemcevn.com", true },
  { "eengoedenotaris.nl", true },
  { "eeqj.com", true },
  { "eer.io", true },
  { "eerlijktransport.nl", true },
  { "eerstejaarsweekend.nl", true },
  { "eery.de", true },
  { "ef-georgia.org", true },
  { "ef.gy", true },
  { "efaas.nl", true },
  { "efag.com", true },
  { "efeen.nl", true },
  { "eff-bee-eye.de", true },
  { "eff.org", true },
  { "effdocs.com", true },
  { "effe.ch", true },
  { "effective-altruist.com", true },
  { "effectivecoffee.com", true },
  { "effero.net", true },
  { "effex.ru", true },
  { "effizienta.ch", true },
  { "efflam.net", true },
  { "efg-darmstadt.de", true },
  { "efinity.io", true },
  { "efmcredentialing.org", true },
  { "eft.boutique", true },
  { "egablo.black", true },
  { "egamespw.com", true },
  { "egami.ch", true },
  { "eganassociates.com.au", true },
  { "egarden.it", true },
  { "egb.at", false },
  { "egbert.net", true },
  { "egeozcan.com", true },
  { "egfl.org.uk", true },
  { "egg-ortho.ch", true },
  { "eggblast.com", true },
  { "eggert.org", false },
  { "eggplant.today", true },
  { "egiftcards.be", true },
  { "eglek.com", true },
  { "egles.eu", true },
  { "ego4u.com", true },
  { "ego4u.de", true },
  { "egoroof.ru", true },
  { "egov4.ch", true },
  { "egovernment-podcast.com", true },
  { "egrojsoft.info", true },
  { "egrp365.ru", true },
  { "egumenita.ro", true },
  { "egw-ceramica.de", true },
  { "egweb.tv", true },
  { "ehaccp.it", true },
  { "ehandel.com", true },
  { "ehazi.hu", true },
  { "eheliche-disziplin.schule", true },
  { "ehertz.uk", true },
  { "ehipaa.com", true },
  { "ehito.ovh", true },
  { "ehlacademy.org", true },
  { "ehmsen.nu", true },
  { "ehmtheblueline.com", true },
  { "ehne.de", true },
  { "ehomusicgear.com", true },
  { "eichel.eu", true },
  { "eichornenterprises.com", true },
  { "eickemeyer.nl", true },
  { "eickhof.co", true },
  { "eickhof.us", true },
  { "eickhofcolumbaria.com", true },
  { "eidolons.org", true },
  { "eifel.website", true },
  { "eiga-movie.com", true },
  { "eigenbubi.de", true },
  { "eigenpul.se", true },
  { "eigenpulse.com", true },
  { "eighty-aid.com", true },
  { "eightyfour.ca", true },
  { "eigpropertyauctions.co.uk", true },
  { "eilhan.com", true },
  { "eimacs.com", true },
  { "einar.io", true },
  { "einaros.is", true },
  { "einfachbahn.de", true },
  { "einheft.info", true },
  { "einheizpreis.de", true },
  { "einmonolog.de", true },
  { "einrichtwerk.de", true },
  { "einrichtwerk.shop", true },
  { "einsatzstellenverwaltung.de", true },
  { "einser.com", true },
  { "einsteinathome.org", true },
  { "eintageinzug.de", true },
  { "eintragsservice24.de", true },
  { "eipione.com", true },
  { "eirastudios.co.uk", false },
  { "eisaev.ru", true },
  { "eit-web.de", false },
  { "eitler.cx", true },
  { "eiyoushi-shigoto.com", true },
  { "ejdv-anmeldung.de", true },
  { "ejeff.org", true },
  { "ejuicelab.co.uk", true },
  { "ek-networks.de", true },
  { "ek.network", true },
  { "ekaigotenshoku.com", true },
  { "ekati.ru", true },
  { "ekb-avia.ru", true },
  { "ekd.de", true },
  { "ekedc.com", true },
  { "ekedp.com", true },
  { "eklepka.com", true },
  { "eklitzke.org", true },
  { "ekodevices.com", true },
  { "ekokontakt.cz", true },
  { "ekonbenefits.com", true },
  { "ekostecki.de", true },
  { "ekpyroticfrood.net", true },
  { "ekrana.info", true },
  { "eksisozluk.com", true },
  { "ekuatorial.com", true },
  { "ekyu.moe", true },
  { "ekzarta.ru", true },
  { "el-cell.com", true },
  { "el-hossari.com", true },
  { "el-news.de", true },
  { "eladgames.com", true },
  { "elagplus.com", true },
  { "elainerock.com", true },
  { "elaon.de", true },
  { "elars.de", true },
  { "elarvee.xyz", true },
  { "elaxy-online.de", true },
  { "elb500ttl.nl", true },
  { "elbetech.net", true },
  { "elcambiador.es", true },
  { "eldapoint.co.uk", true },
  { "elderoost.com", true },
  { "eldertons.co.uk", true },
  { "eldinhadzic.com", true },
  { "eldisagjapi.com", true },
  { "eldisagjapi.de", true },
  { "eldrid.ge", true },
  { "eldritchfiction.net", true },
  { "electionsdatabase.com", true },
  { "electr0sheep.com", true },
  { "electragirl.com", true },
  { "electric-vault.co.uk", true },
  { "electricalagoura.com", true },
  { "electricalagourahills.com", true },
  { "electricalcalabasas.com", true },
  { "electricalcamarillo.com", true },
  { "electricalconejovalley.com", true },
  { "electricaldosvientos.com", true },
  { "electricalfencingedenvale.co.za", true },
  { "electricalhiddenhills.com", true },
  { "electricallakesherwood.com", true },
  { "electricalmalibu.com", true },
  { "electricfencealberton.co.za", true },
  { "electricfencebenoni.co.za", true },
  { "electricgatemotorgermiston.co.za", true },
  { "electricgatemotorrandburg.co.za", true },
  { "electricgatemotorskemptonpark.co.za", true },
  { "electricgatemotorsroodepoort.co.za", true },
  { "electrician-umhlangaridge.co.za", true },
  { "electricianlalucia.co.za", true },
  { "electronic-ignition-system.com", true },
  { "electronicafacil.net", true },
  { "electronicfasteners.com", true },
  { "electrostatics.com", true },
  { "electrotainment.com", true },
  { "eled.io", true },
  { "elefandt.com", true },
  { "elefantevoador.com", true },
  { "eleicoes2014.com.br", true },
  { "eleicoes2016.com.br", true },
  { "eleicoes2018.com", true },
  { "elektro-adam.de", true },
  { "elektro-collee.de", true },
  { "elektro-diehm.de", true },
  { "elektro-hammes.net", true },
  { "elektro-hofmann-gmbh.de", true },
  { "elektro-hornetz.de", true },
  { "elektro-kahlen.de", true },
  { "elektro-koehl.de", true },
  { "elektro-liebeskind.de", true },
  { "elektro-metz.de", true },
  { "elektro-pfeiffer.de", true },
  { "elektro-praha10.cz", true },
  { "elektro-rossbach.de", true },
  { "elektro-roth.de", true },
  { "elektro-stock.de", true },
  { "elektro-woerdehoff.de", true },
  { "elektrobusch.com", true },
  { "elektrofinke.de", true },
  { "elektrokarges.de", true },
  { "elektrometz.de", true },
  { "elektronickakancelar.cz", true },
  { "elektronische-post.org", true },
  { "elektropost.org", true },
  { "elektrotechnik-heisel.de", true },
  { "elemental.software", true },
  { "elementalsoftware.net", true },
  { "elementalsoftware.org", true },
  { "elementarywave.com", true },
  { "elements.guide", true },
  { "elementshop.co.uk", true },
  { "elenatranslations.nl", true },
  { "elephants.net", true },
  { "elephpant.cz", true },
  { "elepover.com", true },
  { "elerizoentintado.es", true },
  { "elestanteliterario.com", true },
  { "elettricista-roma.org", true },
  { "eleusis-zur-verschwiegenheit.de", true },
  { "elevator.ee", true },
  { "elexprimidor.com", true },
  { "elfe.de", true },
  { "elgalponazo.com.ar", true },
  { "elgosblanc.com", false },
  { "elguadia.faith", true },
  { "elhamadimi.com", true },
  { "elhossari.com", true },
  { "elia.cloud", true },
  { "elian-art.de", true },
  { "elias-nicolas.com", true },
  { "eliasojala.me", true },
  { "elibom.com", true },
  { "elifesciences.org", true },
  { "eligible.com", true },
  { "eligibleapi.com", true },
  { "eligrey.com", true },
  { "elijahgrey.com", true },
  { "eliminercellulite.com", true },
  { "eline168.com", true },
  { "elinevanhaaften.nl", true },
  { "elinvention.ovh", true },
  { "eliolita.com", true },
  { "eliott.be", false },
  { "elisabeth-kostecki.de", true },
  { "elisabeth-strunz.de", true },
  { "elisabethkostecki.de", true },
  { "elisabethrene.com", true },
  { "elisechristie.com", true },
  { "elite-box.com", true },
  { "elite-box.org", true },
  { "elite-porno.ru", true },
  { "elite12.de", true },
  { "elitebouncingfun.com", true },
  { "elitegameservers.net", true },
  { "elitehosting.de", true },
  { "elixi.re", true },
  { "elixir.bzh", true },
  { "eliyah.co.il", true },
  { "elizabethbuitrago.com", true },
  { "elizabethgreenfield.com", true },
  { "eljef.me", true },
  { "elkoy.org", true },
  { "ell-net.tokyo", true },
  { "ellak.gr", true },
  { "ellegaard.dk", true },
  { "ellemental.me", true },
  { "ellencorddry.com", true },
  { "ellevit.ch", true },
  { "elliesbouncers.co.uk", true },
  { "elliff.net", true },
  { "elliot.cat", true },
  { "elliquiy.com", true },
  { "elliriehl.at", true },
  { "ellisamusements.co.uk", true },
  { "ellisleisure.co.uk", true },
  { "ellsinger.me", true },
  { "elmermx.ch", true },
  { "elnan.do", true },
  { "elnoorandelmohanad.com", true },
  { "elo.fyi", true },
  { "elodieclerc.ch", true },
  { "elohellp.com", false },
  { "elonaspitze.de", true },
  { "elosrah.com", true },
  { "elosuite.com", true },
  { "eloxt.com", true },
  { "elpado.de", true },
  { "elpo.net", true },
  { "elpoderdelespiritu.org", true },
  { "elrinconderovica.com", true },
  { "elsagradocoran.org", true },
  { "elshou.com", true },
  { "elsignificadodesonar.com", true },
  { "elsvanderlugt.nl", true },
  { "eltagroup.co.uk", true },
  { "eltair.com", true },
  { "eltern-verein.ch", true },
  { "elternbeiratswahl.online", true },
  { "elternforum-birmensdorf.ch", true },
  { "elternverein-utzenstorf.ch", true },
  { "elucron.com", true },
  { "eluhome.de", true },
  { "elvidence.com.au", true },
  { "elviraszabo.com", true },
  { "elvispresley.net", true },
  { "elvisripley.com", true },
  { "elwave.org", true },
  { "elwix.com", true },
  { "elxsi.de", true },
  { "elyasweb.com", true },
  { "elyisus.info", true },
  { "elysiria.fr", true },
  { "elysiumware.com", true },
  { "em-biotek.cz", true },
  { "emaging-productions.fr", true },
  { "emailalaperformance.fr", true },
  { "emailconfiguration.com", true },
  { "emailfuermich.de", true },
  { "emailhunter.co", true },
  { "emailing.alsace", true },
  { "emailprivacytester.com", true },
  { "emailtools.io", true },
  { "emaily.eu", true },
  { "emanuelduss.ch", true },
  { "emanueleanastasio.com", true },
  { "emanuelemazzotta.com", true },
  { "embassycargo.eu", true },
  { "emberlife.com", true },
  { "embox.net", true },
  { "embraceni.org", true },
  { "embroideryexpress.co.uk", true },
  { "emby.cloud", true },
  { "emcspotlight.com", true },
  { "emedworld.com", true },
  { "emeliefalk.se", true },
  { "emeraldcityswagger.com", true },
  { "emeraldcoastrideshare.com", true },
  { "emeraldonion.org", true },
  { "emergencyessay.com", true },
  { "emergencymedicinefoundations.com", true },
  { "emergenzalavoro.com", true },
  { "emero.de", true },
  { "emex.ro", true },
  { "emi-air-comprime.com", true },
  { "emi.im", true },
  { "emielraaijmakers.nl", true },
  { "emil.click", true },
  { "emilecourriel.com", true },
  { "emiliendevos.be", true },
  { "emilong.com", true },
  { "emilstahl.dk", true },
  { "emilvarga.com", true },
  { "emilyjohnson.ga", true },
  { "emilyshepherd.me", true },
  { "emirabiz.com", false },
  { "emirichardson.com", true },
  { "emivauthey.com", true },
  { "emkanrecords.com", true },
  { "emkei.cz", true },
  { "emkrivoy.com", true },
  { "emma-o.com", true },
  { "emma.ca", true },
  { "emmababy420.com", true },
  { "emmagraystore.com", true },
  { "emmaliddell.com", true },
  { "emmanuelle-et-julien.ch", true },
  { "emobilityforum.org", true },
  { "emoji.bzh", true },
  { "emolafarm.com", true },
  { "emond-usedcars.net", true },
  { "empathogen.com", true },
  { "empathogens.com", true },
  { "empathy.ca", true },
  { "emperor-penguin.com", true },
  { "emperor-penguins.com", true },
  { "empese.com", true },
  { "empherino.net", true },
  { "employeeexpress.gov", true },
  { "employer.gov", true },
  { "employer.guru", true },
  { "employer411.com", true },
  { "emporiodascalcinhas.com.br", true },
  { "emporiodosperfumes.com.br", true },
  { "emporiopatanegra.com.br", true },
  { "emporioviverbem.com.br", false },
  { "empower.net", true },
  { "empowerdb.com", true },
  { "emprego.pt", true },
  { "empyrean-advisors.com", true },
  { "emresaglam.com", true },
  { "emultiagent.pl", true },
  { "emupedia.net", true },
  { "emvoiceapp.com", true },
  { "emw3.com", true },
  { "emyr.net", true },
  { "en-booster.jp", true },
  { "en-crypt.me", true },
  { "en-maktoob.search.yahoo.com", false },
  { "en4rab.co.uk", true },
  { "en4u.org", true },
  { "enaah.de", true },
  { "enaim.de", true },
  { "enamae.net", true },
  { "enbecom.net", true },
  { "encfs.win", true },
  { "encircleapp.com", true },
  { "encnet.de", true },
  { "encode.host", true },
  { "encoderx.uk", true },
  { "encouragemarketing.com", true },
  { "encredible.de", false },
  { "encredible.org", false },
  { "encretplomb.ch", true },
  { "encrypt.org.uk", true },
  { "encryptallthethings.net", true },
  { "encrypted.google.com", true },
  { "encuentraprecios.es", true },
  { "endangeredwatch.com", true },
  { "endeal.nl", true },
  { "ender.co.at", true },
  { "enderbycamping.com", true },
  { "endingthedocumentgame.gov", true },
  { "endlessvideo.com", true },
  { "endoftenancycleaninglondon.co.uk", true },
  { "endoftennancycleaning.co.uk", true },
  { "enduranceday.be", true },
  { "endzeit-architekten.com", false },
  { "enemiesoflight.de", true },
  { "energethik-tulln.at", true },
  { "energie-sante.ch", true },
  { "energiekeurplus.nl", true },
  { "energisammenslutningen.dk", true },
  { "energy-drink-magazin.de", true },
  { "energy-in-balance.eu", true },
  { "energy-infra.nl", true },
  { "energy-initiative.com", true },
  { "energy.eu", true },
  { "energyatlas.com", true },
  { "energyaupair.se", true },
  { "energydrinkblog.de", true },
  { "energyelephant.com", true },
  { "energyled.com.br", true },
  { "energystar.gov", true },
  { "enersaveapp.org", true },
  { "enersec.co.uk", true },
  { "enet-navigator.de", true },
  { "enfantsdelarue.ch", true },
  { "enfield-kitchens.co.uk", true },
  { "enflow.nl", true },
  { "enfoqueseguro.com", true },
  { "enfu.se", true },
  { "engarde.net", true },
  { "engaugetools.com", true },
  { "engelundlicht.ch", true },
  { "engelwerbung.com", true },
  { "engie-laadpalen.nl", true },
  { "engiedev.net", true },
  { "engineowning.com", true },
  { "enginx.net", true },
  { "englishbulgaria.net", true },
  { "englishcast.com.br", true },
  { "englishclub.com", true },
  { "englishdirectory.de", true },
  { "englishforums.com", true },
  { "englishlol.com", true },
  { "englishphonopass.com", true },
  { "englishstudio.com", true },
  { "engvid.com", true },
  { "enigma.swiss", true },
  { "enijew.com", true },
  { "enitso.de", true },
  { "enixgaming.com", true },
  { "enjincoin.io", true },
  { "enjinwallet.io", true },
  { "enjinx.io", true },
  { "enjoyphoneblog.it", true },
  { "enjoystudio.ro", true },
  { "enlatte.com", true },
  { "enlazaresbueno.cl", true },
  { "enlighten10x.ga", true },
  { "enlightened.si", true },
  { "enlightenedhr.com", true },
  { "enlightenment.org", true },
  { "enlnf.link", true },
  { "enloestatebank.com", true },
  { "ennea-mediation.fr", true },
  { "enness.co.uk", true },
  { "ennori.jp", true },
  { "enomada.net", true },
  { "enorekcah.com", true },
  { "enot32.ru", true },
  { "enotecastore.it", true },
  { "enquos.com", true },
  { "enriquepiraces.com", true },
  { "enrollapp.com", true },
  { "ensage.io", true },
  { "enscosupply.com", true },
  { "ensemble-rubato.de", true },
  { "enskat.de", true },
  { "enskatson-sippe.de", true },
  { "ensley.tech", true },
  { "ensons.de", true },
  { "ensured.com", true },
  { "ensured.nl", true },
  { "ensurtec.com", true },
  { "ent-london.com", true },
  { "entabe.jp", true },
  { "entactogen.com", true },
  { "entactogens.com", true },
  { "enteente.com", true },
  { "entercenter.ru", true },
  { "enterprisechannel.asia", true },
  { "enterprisey.enterprises", true },
  { "entheogens.com", true },
  { "entheorie.net", true },
  { "enthusiaformazione.com", true },
  { "entradaweb.cl", true },
  { "entrainr.com", true },
  { "entrecieletpierres.com", true },
  { "entreprise-toiture-clement.fr", true },
  { "entropia.de", false },
  { "entrusted.io", true },
  { "entryboss.cc", true },
  { "entrypoint.sh", true },
  { "enuchi.jp", true },
  { "envant.co.uk", true },
  { "enveloppenopmaat.nl", true },
  { "envescent.com", true },
  { "enviam.de", true },
  { "enviaya.com.mx", true },
  { "environment.ai", true },
  { "environmentkirklees.org", true },
  { "enviroprobasements.com", true },
  { "envirotech.com.au", true },
  { "envoie.moi", true },
  { "envoyez.moi", true },
  { "envoyglobal.com", true },
  { "envygeeks.io", true },
  { "eocservices.co.uk", true },
  { "eoitek.com", true },
  { "eonet.cc", true },
  { "eonhive.com", true },
  { "eoonglobalresources.jp", true },
  { "epa.com.es", true },
  { "epassafe.com", true },
  { "epave.paris", true },
  { "epay.bg", true },
  { "epaygateway.net", true },
  { "ephe.be", true },
  { "ephesusbreeze.com", true },
  { "epi.one", true },
  { "epic-vistas.com", true },
  { "epic-vistas.de", true },
  { "epicbouncycastlehirenorwich.co.uk", true },
  { "epicbouncycastles.co.uk", true },
  { "epicenter.work", true },
  { "epicenter.works", true },
  { "epicentre.works", true },
  { "epicinflatables.co.uk", true },
  { "epickitty.co.uk", true },
  { "epicpages.com", true },
  { "epicsecure.de", true },
  { "epicsoft.de", true },
  { "epicvistas.com", true },
  { "epicvistas.de", true },
  { "epicwalnutcreek.com", true },
  { "epilis.gr", true },
  { "epiphyte.network", true },
  { "epistas.com", true },
  { "epistas.de", true },
  { "epiteugma.com", true },
  { "epizentrum.work", true },
  { "epizentrum.works", true },
  { "epmcentroitalia.it", true },
  { "epo32.ru", true },
  { "epoch.com", true },
  { "epolitiker.com", true },
  { "epos-distributor.co.uk", true },
  { "epos.az", true },
  { "eposbirmingham.co.uk", true },
  { "eposbrighton.co.uk", true },
  { "eposbristol.co.uk", true },
  { "eposcardiff.co.uk", true },
  { "eposcloud.net", true },
  { "eposkent.co.uk", true },
  { "eposleeds.co.uk", true },
  { "eposleicester.co.uk", true },
  { "eposliverpool.co.uk", true },
  { "eposlondon.co.uk", true },
  { "eposmidlands.co.uk", true },
  { "eposnewport.co.uk", true },
  { "eposnottingham.co.uk", true },
  { "eposreading.co.uk", true },
  { "eposreview.co.uk", true },
  { "epossheffield.co.uk", true },
  { "epossurrey.co.uk", true },
  { "epossussex.co.uk", true },
  { "eposswansea.co.uk", true },
  { "epossystems.co.uk", true },
  { "epostplus.li", true },
  { "eposwales.co.uk", true },
  { "eposyork.co.uk", true },
  { "eppelblei.lu", true },
  { "eppelduerferjugend.lu", true },
  { "eppelpress.lu", true },
  { "epreskripce.cz", true },
  { "epsilon.dk", true },
  { "epsorting.cz", true },
  { "epublibre.org", true },
  { "epulsar.ru", true },
  { "epvin.com", true },
  { "epyonsuniverse.net", true },
  { "eq-serve.com", true },
  { "eqorg.com", true },
  { "equalcloud.com", true },
  { "equidam.com", true },
  { "equinecoaching.ca", true },
  { "equinetherapy.ca", true },
  { "equinox.io", true },
  { "equipandoloja.net.br", true },
  { "equipedefrance.tv", true },
  { "equipeferramentas.com.br", true },
  { "equipsupply.com", true },
  { "equk.co.uk", true },
  { "er-mgmt.com", true },
  { "er.tl", true },
  { "er1s.xyz", true },
  { "erasmusplusrooms.com", true },
  { "erate.fi", true },
  { "erath.fr", true },
  { "erdethamburgeronsdag.no", true },
  { "ereader.uno", true },
  { "erectiepillenwinkel.nl", true },
  { "erethon.com", true },
  { "erf-neuilly.com", true },
  { "ergo-open.de", true },
  { "ergobyte.eu", true },
  { "ergobyte.gr", true },
  { "ergovita.com.br", true },
  { "ergovitanet.com.br", true },
  { "eriador.io", true },
  { "ericabrahamsen.net", true },
  { "ericairwin.com", true },
  { "ericdiao.com", true },
  { "erichorstmanshof.nl", true },
  { "ericisaweso.me", true },
  { "ericjohnltd.com", true },
  { "erick.blog", true },
  { "ericleuthardt.com", true },
  { "ericloud.tk", true },
  { "erico.jp", true },
  { "ericoc.com", true },
  { "ericwie.se", true },
  { "eridanus.uk", true },
  { "erigrid.eu", true },
  { "eriix.org", true },
  { "erikheemskerk.nl", true },
  { "erikhubers.nl", true },
  { "erikserver2.tk", true },
  { "erikseth.de", true },
  { "erikwagner.de", true },
  { "erikwalther.eu", true },
  { "erinaceinae.com", true },
  { "eriner.me", true },
  { "erinlin.com", true },
  { "erinn.io", true },
  { "erisrenee.com", true },
  { "erkaelderbarenaaben.dk", true },
  { "ernest.ly", true },
  { "eroimatome.com", true },
  { "eroma.com.au", true },
  { "eron.info", true },
  { "erotpo.cz", false },
  { "erp-band.ru", true },
  { "erp.band", true },
  { "erpax.com", true },
  { "erpband.ru", true },
  { "erpcargo.com", false },
  { "erpiv.com", true },
  { "errietta.me", true },
  { "errlytics.com", true },
  { "error418.nl", true },
  { "ers35.com", true },
  { "ersa-shop.com", true },
  { "ershiwo.com", true },
  { "ersindemirtas.com", true },
  { "ersinerce.com", true },
  { "erstehilfeprodukte.at", true },
  { "eru.im", false },
  { "eru.moe", true },
  { "erudicia.com", true },
  { "erudicia.de", true },
  { "erudicia.es", true },
  { "erudicia.fr", true },
  { "erudicia.it", true },
  { "erudicia.nl", true },
  { "erudicia.se", true },
  { "erudicia.uk", true },
  { "erudikum.cz", true },
  { "ervaarjapan.nl", true },
  { "erverydown.ml", true },
  { "erwanlepape.com", true },
  { "erwin.saarland", true },
  { "erwinpaal.nl", true },
  { "erwinschmaeh.ch", true },
  { "erwinwensveen.nl", true },
  { "erythroxylum-coca.com", true },
  { "es-geenen.de", true },
  { "es.search.yahoo.com", false },
  { "es888.net", true },
  { "es8888.net", true },
  { "es999.net", true },
  { "es9999.net", true },
  { "esaborit.ddns.net", true },
  { "esagente.com", true },
  { "esailinggear.com", true },
  { "esalesdata.com", true },
  { "esamievalori.com", true },
  { "esample.info", true },
  { "esb-in.net", true },
  { "esb-top.com", true },
  { "esb-top.net", true },
  { "esb111.com", true },
  { "esb111.net", true },
  { "esb112.com", true },
  { "esb112.net", true },
  { "esb116.com", true },
  { "esb1314.net", true },
  { "esb1668.com", true },
  { "esb168168.com", true },
  { "esb168168.info", true },
  { "esb168168.net", true },
  { "esb168168.org", true },
  { "esb1688.biz", true },
  { "esb1688.com", true },
  { "esb1688.info", true },
  { "esb1688.net", true },
  { "esb1688.org", true },
  { "esb1711.com", true },
  { "esb1711.net", true },
  { "esb1788.com", true },
  { "esb1788.info", true },
  { "esb1788.net", true },
  { "esb1788.org", true },
  { "esb17888.com", true },
  { "esb2013.com", true },
  { "esb2013.net", true },
  { "esb2099.com", true },
  { "esb2099.net", true },
  { "esb222.net", true },
  { "esb258.net", true },
  { "esb325.com", true },
  { "esb325.net", true },
  { "esb333.net", true },
  { "esb336.com", true },
  { "esb369.com", true },
  { "esb433.com", true },
  { "esb518.com", true },
  { "esb553.com", true },
  { "esb555.biz", true },
  { "esb555.cc", true },
  { "esb555.com", true },
  { "esb556.com", true },
  { "esb5889.com", true },
  { "esb5889.net", true },
  { "esb6.net", true },
  { "esb666.com", true },
  { "esb666.net", true },
  { "esb66666.com", true },
  { "esb677.net", true },
  { "esb688.com", true },
  { "esb68888.com", true },
  { "esb775.net", true },
  { "esb777.biz", true },
  { "esb777.cc", true },
  { "esb777.com", true },
  { "esb777.me", true },
  { "esb777.net", true },
  { "esb777.org", true },
  { "esb886.com", true },
  { "esb888.net", true },
  { "esb8886.com", true },
  { "esb9527.com", true },
  { "esb9588.com", true },
  { "esb9588.info", true },
  { "esb9588.net", true },
  { "esb9588.org", true },
  { "esb999.biz", true },
  { "esb999.com", true },
  { "esb999.info", true },
  { "esb999.org", true },
  { "esba11.cc", true },
  { "esba11.com", true },
  { "esba11.in", true },
  { "esba11.net", true },
  { "esball-in.com", true },
  { "esball-in.net", true },
  { "esball.bz", true },
  { "esball.cc", true },
  { "esball.in", true },
  { "esball.me", true },
  { "esball.mx", true },
  { "esball.online", true },
  { "esball.org", true },
  { "esball.tv", true },
  { "esball.win", true },
  { "esball.ws", true },
  { "esball518.com", true },
  { "esball518.info", true },
  { "esball518.net", true },
  { "esball518.org", true },
  { "esball888.com", true },
  { "esball888.net", true },
  { "esballs.com", true },
  { "esbbon.com", true },
  { "esbbon.net", true },
  { "esbfun.com", true },
  { "esbfun.net", true },
  { "esbgood.com", true },
  { "esbin.net", true },
  { "esbjon.com", true },
  { "esbjon.net", true },
  { "esbm4.net", true },
  { "esbm5.net", true },
  { "esc.chat", true },
  { "escael.org", true },
  { "escapeplaza.de", true },
  { "escapetalk.nl", true },
  { "escargotbistro.com", true },
  { "escavador.com", true },
  { "esclear.de", true },
  { "escontact.ch", true },
  { "escort-byuro.net", true },
  { "escortdisplay.com", true },
  { "escortmantra.com", true },
  { "escritoriodearte.com", true },
  { "escuelabiblica.com", true },
  { "escxtra.com", true },
  { "escyr.top", true },
  { "esdenera.com", true },
  { "esdiscuss.org", true },
  { "eservices-greece.com", true },
  { "esg-abi2001.de", true },
  { "esgr.in", true },
  { "eshepperd.com", true },
  { "eshobe.com", true },
  { "eshop-prices.com", true },
  { "eshtapay.com", true },
  { "esibun.net", true },
  { "esigmbh.de", true },
  { "esipublications.com", true },
  { "esite.ch", true },
  { "eskdale.net", true },
  { "esmoney.cc", true },
  { "esmoney.me", true },
  { "esoa.net", true },
  { "esoko.eu", true },
  { "esolcourses.com", true },
  { "esolitos.com", true },
  { "esono.de", true },
  { "esoterikerforum.de", true },
  { "espace-caen.fr", true },
  { "espace-gestion.fr", true },
  { "espace.network", true },
  { "espacecuisine.ca", true },
  { "espacetemps.ch", true },
  { "espacetheosophie.fr", true },
  { "espacio-cultural.com", true },
  { "espanol.search.yahoo.com", false },
  { "espanova.com", true },
  { "espci.fr", true },
  { "especificosba.com.ar", true },
  { "espenandersen.no", true },
  { "espgg.org", true },
  { "esphigmenou.gr", true },
  { "espigol.org", true },
  { "esports-network.de", true },
  { "esprit-cloture.fr", true },
  { "espritrait.com", true },
  { "esquirou-trieves.fr", true },
  { "esquisse.fr", true },
  { "ess-cert.ru", true },
  { "essayads.com", true },
  { "essaybrand.com", true },
  { "essaychecker.com", true },
  { "essaydirectory.com", true },
  { "essayforsale.net", true },
  { "essayhave.com", true },
  { "essaynews.com", true },
  { "essaypro.net", true },
  { "essayshark.com", true },
  { "essaytalk.com", true },
  { "essaywebsite.com", true },
  { "essaywriting.biz", true },
  { "essenceofvitalitydetox.com", true },
  { "essencesdeprana.org", true },
  { "essentiel-physique.com", true },
  { "essite.net", true },
  { "esslm.sk", true },
  { "essoduke.org", true },
  { "essteebee.ch", true },
  { "estafallando.es", true },
  { "estafallando.mx", true },
  { "estaleiro.org", true },
  { "estan.cn", true },
  { "estateczech-eu.ru", true },
  { "estcequejailaflemme.fr", true },
  { "estcequonmetenprodaujourdhui.info", true },
  { "esteam.se", true },
  { "estedafah.com", true },
  { "esterilizacion-perros.es", true },
  { "esteticanorte.com.br", true },
  { "estetista.net", true },
  { "esthesoleil.jp", true },
  { "estilopack-loja.com.br", true },
  { "estoic.net", true },
  { "estoniantrade.ee", true },
  { "estonoentraenelexamen.com", true },
  { "estoqueinformatica.com.br", true },
  { "estudiserradal.com", true },
  { "eswap.cz", true },
  { "etaes.eu", true },
  { "etajerka-spb.ru", true },
  { "etalent.net", true },
  { "etaoinwu.win", true },
  { "etath.com", true },
  { "etaxi.tn", true },
  { "etccooperative.org", true },
  { "etch.co", true },
  { "etd-glasfaser.de", true },
  { "etech-solution.com", true },
  { "etech-solution.net", true },
  { "etech-solutions.com", true },
  { "etechsolution.net", true },
  { "eteesheet.com", true },
  { "eternal-warriors.de", true },
  { "eternalabyss.int.eu.org", true },
  { "eternit.roma.it", true },
  { "eth-faucet.net", true },
  { "eth0.nl", true },
  { "etha.nz", true },
  { "ethack.org", true },
  { "ethaligan.fr", true },
  { "ethan.pm", true },
  { "ethandelany.me", true },
  { "ethanlew.is", true },
  { "ethantskinner.com", true },
  { "ethercalc.com", true },
  { "ethercalc.org", true },
  { "ethergeist.de", true },
  { "etherpad.fr", true },
  { "etherpad.nl", true },
  { "ethicaldata.co.uk", true },
  { "ethicalpolitics.org", true },
  { "ethicaltek.com", true },
  { "ethicsburg.gov", true },
  { "ethika.com", true },
  { "ethiopian.dating", true },
  { "ethitter.com", true },
  { "ethosinfo.com", true },
  { "etienne.cc", true },
  { "etiquetaunica.com.br", true },
  { "etoile-usedcars.com", true },
  { "etre-soi.ch", true },
  { "etre-vivant.fr", true },
  { "etrecosmeticderm.com", true },
  { "etrker.com", true },
  { "etskinner.com", true },
  { "etudesbibliques.fr", true },
  { "etudesbibliques.net", true },
  { "etudesbibliques.org", true },
  { "etv.cx", true },
  { "etyd.org", true },
  { "etzi.myds.me", true },
  { "eu-darlehen-finanzierung.de", true },
  { "eu-datenbank.de", true },
  { "eu-gamers.com", true },
  { "eu-stellenangebot.de", true },
  { "euaggelion.blog.br", true },
  { "euchre.us", true },
  { "eucollegetours.com", true },
  { "eugenekay.com", true },
  { "eugenetech.org", true },
  { "eugeneyan.com", true },
  { "eujuicers.bg", true },
  { "eujuicers.com", true },
  { "eujuicers.com.hr", true },
  { "eujuicers.com.tr", true },
  { "eujuicers.com.ua", true },
  { "eujuicers.cz", true },
  { "eujuicers.de", true },
  { "eujuicers.es", true },
  { "eujuicers.fr", true },
  { "eujuicers.hu", true },
  { "eujuicers.it", true },
  { "eujuicers.pl", true },
  { "eujuicers.pt", true },
  { "eujuicers.ro", true },
  { "eujuicers.rs", true },
  { "eujuicers.ru", true },
  { "eujuicers.si", true },
  { "eujuicers.sk", true },
  { "eulenschmiede.de", true },
  { "eupay.de", true },
  { "eureka.archi", true },
  { "eurekaarchi.com", true },
  { "eurekaarchitecture.com", true },
  { "euro-servers.de", true },
  { "euroalter.com", true },
  { "eurocomcompany.cz", true },
  { "euroescortguide.com", true },
  { "eurofrank.eu", true },
  { "eurolocarno.es", true },
  { "europapier.at", true },
  { "europapier.ba", true },
  { "europapier.bg", true },
  { "europapier.com", true },
  { "europapier.cz", true },
  { "europapier.hr", true },
  { "europapier.hu", true },
  { "europapier.net", true },
  { "europapier.rs", true },
  { "europapier.si", true },
  { "europapier.sk", true },
  { "europapier.ua", true },
  { "europastudien.de", true },
  { "european-agency.org", true },
  { "europeanpreppers.com", true },
  { "europeantimberconnectors.ca", true },
  { "europeantransportmanagement.com", true },
  { "europeanwineresource.com", true },
  { "europeos.es", true },
  { "europetravelservice.co.uk", true },
  { "europop.com", true },
  { "eurora.de", true },
  { "euroscot.de", true },
  { "euroshop.or.at", true },
  { "euroskano.nl", true },
  { "eurotime.ua", true },
  { "eurotramp.com", true },
  { "eurotravelstar.eu", true },
  { "eurousa.us", true },
  { "eurovision.ie", true },
  { "eutotal.com", true },
  { "eutram.com", true },
  { "euvo.tk", false },
  { "euwid.de", true },
  { "ev-zertifikate.de", true },
  { "eva-select.com", true },
  { "eva.cz", true },
  { "evaartinger.de", true },
  { "evades.io", true },
  { "evailoil.ee", true },
  { "evailoil.eu", true },
  { "evalesc.com", true },
  { "evamachkova.cz", true },
  { "evamathil.de", true },
  { "evamira.com", true },
  { "evanfiddes.com", true },
  { "evangelicalmagazine.com", true },
  { "evangelosm.com", true },
  { "evantage.org", true },
  { "evantageglobal.com", true },
  { "evapp.org", true },
  { "evasovova.cz", true },
  { "eve.ac", true },
  { "eve0s.com", true },
  { "evelienzorgt.nl", true },
  { "evelyndayman.com", true },
  { "evemodx.com", true },
  { "evenementenhoekvanholland.nl", true },
  { "event4fun.no", true },
  { "eventaro.com", true },
  { "eventive.org", true },
  { "eventosenmendoza.com.ar", true },
  { "eventplace.me", false },
  { "events-hire.co.uk", true },
  { "eventtech.com", false },
  { "ever.sale", true },
  { "everain.me", true },
  { "everfine.com.tw", true },
  { "evergladesrestoration.gov", true },
  { "everhome.de", true },
  { "everling.lu", true },
  { "everlong.org", true },
  { "evertonarentwe.com", true },
  { "everybodyhertz.co.uk", true },
  { "everydaygary.com", true },
  { "everydaywot.com", true },
  { "everydaywp.com", true },
  { "everyex.com", true },
  { "everyfad.com", true },
  { "everymove.org", true },
  { "everythingaccess.com", true },
  { "everytruckjob.com", true },
  { "everytrycounts.gov", false },
  { "everywhere.cloud", true },
  { "eveshamglass.co.uk", true },
  { "eveswell.com", true },
  { "evexia.xyz", true },
  { "evidence-based.review", true },
  { "evidencebased.net", true },
  { "evidenceusa.com.br", true },
  { "evidentiasoftware.com", true },
  { "evilarmy.com", true },
  { "evilized.de", true },
  { "evilmartians.com", true },
  { "evilness.nl", true },
  { "evilsite.cf", true },
  { "evilvolcanolairs.com", true },
  { "evio.com", true },
  { "evion.nl", true },
  { "evlear.com", true },
  { "evoco.vc", true },
  { "evodation.com", true },
  { "evodation.org", true },
  { "evodia-spirits.de", true },
  { "evok.com.co", false },
  { "evolutioninflatables.co.uk", true },
  { "evolutionlending.co.uk", true },
  { "evolutionpets.com", true },
  { "evolvetechnologies.co.uk", true },
  { "evonews.com", true },
  { "evony.eu", true },
  { "evosyn.com", true },
  { "evotec.pl", true },
  { "evotec.xyz", true },
  { "evoting.ch", true },
  { "evrial.com", true },
  { "evrica.me", true },
  { "evstatus.com", true },
  { "evtripping.com", true },
  { "ewaipiotr.pl", true },
  { "ewanm89.co.uk", true },
  { "ewanm89.com", true },
  { "ewanm89.uk", true },
  { "ewe2.ninja", true },
  { "ewie.name", true },
  { "ewizmo.com", true },
  { "ewout.io", true },
  { "ewsfeed.com", true },
  { "ewtl.es", true },
  { "ewuchuan.com", true },
  { "ewus.de", true },
  { "ewycena.pl", true },
  { "ex-deli.jp", true },
  { "exactlyinfinite.com", true },
  { "exactphilosophy.net", true },
  { "exagoni.com.au", true },
  { "exagoni.com.my", true },
  { "example.sc", true },
  { "example.wf", true },
  { "examsmate.in", true },
  { "exaplac.com", true },
  { "exatmiseis.net", true },
  { "exceed.global", true },
  { "exceltechdubai.com", true },
  { "exceltechoman.com", true },
  { "excentos.com", true },
  { "excessamerica.com", true },
  { "exchangecoordinator.com", true },
  { "exchangeworks.co", true },
  { "exchaser.com", true },
  { "exclusivebouncycastles.co.uk", true },
  { "exdamo.de", false },
  { "exe-boss.tech", true },
  { "exebouncycastles.co.uk", true },
  { "exehack.net", true },
  { "exeintel.com", true },
  { "exekutori.com", true },
  { "exemples-de-stands.com", true },
  { "exeria.de", true },
  { "exexcarriers.com", true },
  { "exgaywatch.com", true },
  { "exgen.io", true },
  { "exhalespa.com", true },
  { "exhibityour.com", true },
  { "exiahost.com", true },
  { "exit9wineandliquor.com", true },
  { "exmoe.com", true },
  { "exocen.com", true },
  { "exon.io", true },
  { "exoscale.com", true },
  { "exoten-spezialist.de", true },
  { "exoticads.com", true },
  { "exousiakaidunamis.pw", true },
  { "exp.de", true },
  { "expancio.com", true },
  { "expandeco.com", true },
  { "expatmortgage.uk", true },
  { "expatriate.pl", true },
  { "expecting.com.br", true },
  { "experienceoutdoors.org.uk", true },
  { "experienceoz.com.au", true },
  { "expert-korovin.ru", true },
  { "expert.cz", true },
  { "experteasy.com.au", true },
  { "expertohomestaging.com", true },
  { "experts-en-gestion.fr", true },
  { "expertsverts.com", true },
  { "expiscor.solutions", true },
  { "explodingcamera.com", true },
  { "exploflex.com.br", true },
  { "exploit.party", true },
  { "exploited.cz", true },
  { "exploodo.rocks", true },
  { "exploravacations.in", true },
  { "exploringenderby.com", true },
  { "expo-america.ru", true },
  { "expo-asia.ru", true },
  { "expo-europe.ru", true },
  { "expo-larionov.org", true },
  { "expokohler.com", true },
  { "exponentialnews.net", true },
  { "expoort.co.uk", true },
  { "expoort.com", true },
  { "expoort.es", true },
  { "expoort.fr", true },
  { "expoort.it", true },
  { "exporo.de", true },
  { "exporta.cz", true },
  { "expoundite.net", true },
  { "express-shina.ru", true },
  { "express-vpn.com", true },
  { "expressemotion.net", true },
  { "expresshosting.org", true },
  { "expressmarket.ru", true },
  { "expresstinte.de", true },
  { "expressvpn.com", true },
  { "expresswins.co.uk", true },
  { "expxkcd.com", true },
  { "exs.lv", true },
  { "exside.com", true },
  { "extasic.com", true },
  { "extensia.it", true },
  { "extensiblewebmanifesto.org", true },
  { "extensiblewebreportcard.org", true },
  { "extensiblewebsummit.org", true },
  { "extensionschallenge.com", true },
  { "extensiontree.com", true },
  { "extintormadrid.com", true },
  { "extradesktops.com", false },
  { "extranetpuc.com.br", true },
  { "extrapagetab.com", true },
  { "extreme-gaming.de", true },
  { "extreme-gaming.us", true },
  { "extreme-players.com", true },
  { "extreme-players.de", true },
  { "extreme.co.th", true },
  { "extremeservicesandrestoration.com", true },
  { "exyplis.com", true },
  { "eyasc.nl", true },
  { "eydesignguidelines.com", true },
  { "eyecandy.gr", true },
  { "eyeglasses.com", false },
  { "eyelashconcept.com", true },
  { "eyeonid.com", true },
  { "eyep.me", true },
  { "eyes-berg.ch", true },
  { "eyes-berg.com", true },
  { "eyesonly.cc", true },
  { "eynio.com", true },
  { "eyona.com", true },
  { "eyps.net", true },
  { "eyyubyilmaz.com", true },
  { "ez.fi", true },
  { "ez3d.eu", true },
  { "ezakazivanje.rs", true },
  { "ezdog.press", true },
  { "ezequiel-garzon.net", true },
  { "ezgif.com", true },
  { "ezhik-din.ru", true },
  { "eznfe.com", true },
  { "ezorgportaal.nl", true },
  { "eztvtorrent.com", true },
  { "ezwritingservice.com", true },
  { "f-be.com", true },
  { "f-droid.org", true },
  { "f-hd.net", true },
  { "f-thie.de", true },
  { "f00.fr", true },
  { "f13cybertech.cz", true },
  { "f1classement.com", true },
  { "f1fever.co.uk", true },
  { "f1fever.net", true },
  { "f1minute.com", true },
  { "f2h.io", true },
  { "f3nws.com", true },
  { "f42.net", true },
  { "f43.me", true },
  { "f5movies.top", true },
  { "f5nu.com", true },
  { "f5w.de", true },
  { "fa-works.com", true },
  { "faber.org.ru", true },
  { "faberusa.com", true },
  { "fabian-fingerle.de", true },
  { "fabian-koeppen.de", true },
  { "fabianackle.ch", true },
  { "fabianasantiago.com", true },
  { "fabianbeiner.com", true },
  { "fabianbeiner.de", true },
  { "fabianfranke.de", true },
  { "fabiankoeppen.com", true },
  { "fabienne-roux.org", true },
  { "fabiobier.com", true },
  { "fableforge.nl", true },
  { "fabrica360.com", true },
  { "fabriceleroux.com", true },
  { "fabriziocavaliere.it", true },
  { "fabriziorocca.com", true },
  { "fabriziorocca.it", true },
  { "fabrysociety.org", true },
  { "fabse.net", true },
  { "facanabota.com", true },
  { "facanabota.com.br", true },
  { "facciadastile.it", true },
  { "face-mania.com", true },
  { "facealacrise.fr", true },
  { "facebattle.com", true },
  { "facebook-atom.appspot.com", true },
  { "facebook.com", false },
  { "facebydrh.com", true },
  { "facebylouise.co.uk", true },
  { "facekungfu.com", true },
  { "facepalmsecurity.com", true },
  { "facepunch.org", true },
  { "facerepo.com", true },
  { "fach-journalist.de", true },
  { "fachschaftslisten.at", true },
  { "fachschaftslisten.org", true },
  { "facialexercising.com", true },
  { "facil.services", false },
  { "faciledireto.com.br", true },
  { "facilitiessurvey.org", true },
  { "facility-service-muenchen.de", true },
  { "fackovcova.cz", true },
  { "fackovcova.eu", true },
  { "fackovcova.sk", true },
  { "fackovec.cz", true },
  { "fackovec.eu", true },
  { "fackovec.sk", true },
  { "factbytefactbox.com", true },
  { "factcool.com", true },
  { "factor.cc", false },
  { "factuur.pro", true },
  { "factuursturen.be", true },
  { "factuursturen.nl", true },
  { "factys.do", true },
  { "factys.es", true },
  { "facucosta.com.ar", true },
  { "faderweb.de", true },
  { "faehler.de", true },
  { "faerie-art.com", true },
  { "faeriecakes.be", true },
  { "fahrenwal.de", true },
  { "fahrenwalde.de", true },
  { "fahrschule-laux.de", true },
  { "fahrwerk.io", true },
  { "fai.gov", true },
  { "fail.coach", true },
  { "failover.de", true },
  { "failover.eu", true },
  { "failoverplan.it", true },
  { "fairbill.com", true },
  { "fairedeseconomies.info", true },
  { "fairgolfteams.com", true },
  { "fairplay.im", true },
  { "fairssl.dk", true },
  { "fairssl.se", true },
  { "fairviewmotel-simcoe.com", true },
  { "fairydust.space", true },
  { "faisalshuvo.com", true },
  { "faithgrowth.com", true },
  { "faithleaks.org", true },
  { "faithmissionaries.com", true },
  { "faixaazul.com", true },
  { "fakeapple.nl", true },
  { "fakerli.com", true },
  { "fakti.bg", true },
  { "fakturi.com", true },
  { "fakturoid.cz", true },
  { "falaeapp.org", true },
  { "falaowang.com", true },
  { "falbros.com", true },
  { "falconfrag.com", true },
  { "falconvintners.com", true },
  { "falcoz.co", true },
  { "faldoria.de", false },
  { "falegname-roma.it", true },
  { "falkhusemann.de", true },
  { "falldennismarketing.com", true },
  { "fallenangeldrinks.co.uk", true },
  { "fallenangeldrinks.com", true },
  { "fallenangelspirits.co.uk", true },
  { "fallenangelspirits.com", true },
  { "fallenmystic.com", true },
  { "fallenspirits.co.uk", true },
  { "falling.se", true },
  { "fallofthecitadel.com", true },
  { "falsum.net", true },
  { "fam-kreibich.de", true },
  { "fam-stemmer.de", false },
  { "famcloud.de", true },
  { "famdouma.nl", true },
  { "fameng.nl", true },
  { "famfi.co", true },
  { "familiaperez.net", true },
  { "familie-kupschke.de", true },
  { "familie-leu.ch", true },
  { "familie-poeppinghaus.de", true },
  { "familie-remke.de", true },
  { "familiegrottendieck.de", true },
  { "familieholme.de", true },
  { "familjenfrodlund.se", true },
  { "familjenm.se", true },
  { "familletouret.fr", true },
  { "familylawhotline.org", true },
  { "familyparties.co.uk", true },
  { "familyreal.ru", true },
  { "familytreehq.com", true },
  { "familyworld.gr", true },
  { "famososnaweb.com", true },
  { "famousbirthdays.com", true },
  { "famoushostels.com", true },
  { "famvangelder.nl", true },
  { "famvsomeren.nl", true },
  { "fanactu.com", true },
  { "fanboi.ch", true },
  { "fancy-bridge.com", true },
  { "fancy.org.uk", true },
  { "fander.it", true },
  { "fandler.cz", true },
  { "fandomservices.com", true },
  { "fanfareunion.ch", true },
  { "fangs.ink", true },
  { "fanjoe.be", true },
  { "fansided.com", true },
  { "fantasiapainter.com", true },
  { "fantasticcleaners.com.au", true },
  { "fantastichandymanmelbourne.com.au", true },
  { "fantastici.de", true },
  { "fantasycastles.co.uk", true },
  { "fantasyescortsbirmingham.co.uk", true },
  { "fantasypartyhire.com.au", true },
  { "fantasyspectrum.com", true },
  { "fantopia.club", true },
  { "fanvoice.com", true },
  { "fanyue123.tk", true },
  { "fanz.pro", true },
  { "fanzlive.com", true },
  { "fap.no", true },
  { "faq.ie", true },
  { "fara.gov", true },
  { "faradji.nu", true },
  { "faradome.ws", true },
  { "faraslot8.com", true },
  { "farcecrew.de", true },
  { "farfallapets.com.br", true },
  { "farfetchos.com", true },
  { "fargtorget.se", true },
  { "farhadexchange.com", true },
  { "farhood.org", true },
  { "farid.is", true },
  { "farmacialaboratorio.it", true },
  { "farmer.dating", true },
  { "farmers.gov", false },
  { "farmkazuto.com", true },
  { "faroes.net", true },
  { "faroes.org", true },
  { "farrel-f.cf", true },
  { "farrel-f.tk", true },
  { "farrelf.blog", true },
  { "farsil.eu", true },
  { "fart.wtf", true },
  { "farwat.ru", true },
  { "fascia.fit", true },
  { "fashion24.de", true },
  { "fashion4ever.pl", true },
  { "fashionunited.be", true },
  { "fashionunited.cl", true },
  { "fashionunited.com", true },
  { "fashionunited.com.ar", true },
  { "fashionunited.de", true },
  { "fashionunited.fi", true },
  { "fashionunited.hk", true },
  { "fashionunited.hu", true },
  { "fashionunited.ie", true },
  { "fashionunited.lu", true },
  { "fashionunited.mx", true },
  { "fashionunited.nl", true },
  { "fashionunited.no", true },
  { "fashionunited.nz", true },
  { "fashionunited.pl", true },
  { "fashionunited.se", true },
  { "fashionweekweb.com", true },
  { "faspirits.co.uk", true },
  { "faspirits.com", true },
  { "fassaden-selleng.de", true },
  { "fassadenverkleidung24.de", true },
  { "fassi-sport.it", true },
  { "fastcash.com.br", true },
  { "fastcommerce.org", true },
  { "fastconfirm.com", true },
  { "fastforwardsociety.nl", true },
  { "fastforwardthemes.com", true },
  { "fastmail.com", false },
  { "fastonline.ro", true },
  { "fastpresence.com", true },
  { "fastrevision.com", true },
  { "fastvistorias.com.br", true },
  { "fastwebsites.com.br", true },
  { "faszienrollen-info.de", false },
  { "fatedata.com", true },
  { "fathers4equalrights.org", true },
  { "fatidique.com", true },
  { "fatimamoldes.com.br", true },
  { "fator25.com.br", true },
  { "fatowltees.com", true },
  { "faucetbox.com", false },
  { "faui2k17.de", true },
  { "faulty.equipment", true },
  { "fauvettes.be", true },
  { "favirei.com", true },
  { "fawong.com", true },
  { "faxite.com", true },
  { "faxvorlagen-druckvorlagen.de", true },
  { "fb.me", true },
  { "fbcdn.net", true },
  { "fbcopy.com", true },
  { "fbi.pw", true },
  { "fbigame.com", true },
  { "fbiic.gov", true },
  { "fbijobs.gov", true },
  { "fbo.gov", true },
  { "fbsbx.com", true },
  { "fbtholdings.com", true },
  { "fburl.com", true },
  { "fc.media", true },
  { "fca-tools.com", true },
  { "fcburk.de", true },
  { "fcforum.net", true },
  { "fcitasc.com", true },
  { "fckd.net", true },
  { "fcprovadia.com", true },
  { "fcsic.gov", true },
  { "fdevs.ch", true },
  { "fdicig.gov", true },
  { "fdicoig.gov", true },
  { "fdlibre.eu", true },
  { "fdm.ro", true },
  { "fdms.gov", true },
  { "fdn.one", true },
  { "fdos.me", true },
  { "fdsys.gov", false },
  { "feac.us", true },
  { "feaden.me", true },
  { "fearghus.org", true },
  { "fearsomegaming.com", true },
  { "feastr-dev.de", true },
  { "feastr.de", true },
  { "feastr.io", true },
  { "featherweightlabs.com", true },
  { "featuredmen.com", false },
  { "feb.gov", true },
  { "fecik.sk", true },
  { "fed51.com", true },
  { "fedcenter.gov", true },
  { "federaljobs.gov", true },
  { "federalreserve.gov", true },
  { "federatedbank.com", true },
  { "federicomigliavacca.it", true },
  { "fedjobs.gov", true },
  { "fedorahosted.org", true },
  { "fedoramagazine.org", true },
  { "fedorapeople.org", true },
  { "fedramp.gov", false },
  { "fedrtc.org", true },
  { "fedshirevets.gov", true },
  { "fedux.com.ar", true },
  { "feedbin.com", false },
  { "feedfall.com", true },
  { "feedhq.org", true },
  { "feedkovacs.hu", true },
  { "feedough.com", true },
  { "feedthefuture.gov", true },
  { "feegg.com.br", true },
  { "feel.aero", true },
  { "feelgood-workouts.de", true },
  { "feelmom.com", true },
  { "feeltennis.net", true },
  { "feen.us", true },
  { "feepod.com", true },
  { "feeriedesign-event.com", true },
  { "feetpa.ws", true },
  { "feezmodo.com", false },
  { "fefelovalex.ru", true },
  { "fegame.eu", true },
  { "fegame.mobi", true },
  { "fegame.nl", true },
  { "fegli.gov", true },
  { "fehngarten.de", true },
  { "fehnladen.de", true },
  { "feigling.net", true },
  { "feilen.de", true },
  { "feisbed.com", true },
  { "feisim.com", true },
  { "feisim.org", true },
  { "feist.io", true },
  { "feistyduck.com", true },
  { "feizhujianzhi.com", true },
  { "fejes.house", true },
  { "feld.design", true },
  { "feld.saarland", true },
  { "feldhousen.com", true },
  { "felgitscher.xyz", true },
  { "felicifia.org", true },
  { "felinepc.com", true },
  { "felisslovakia.sk", true },
  { "felistirnavia.sk", true },
  { "felixbarta.de", true },
  { "felixcrux.com", true },
  { "felixgenicio.com", true },
  { "felixhefner.de", true },
  { "felixkauer.de", true },
  { "felixqu.com", true },
  { "felixsanz.com", true },
  { "felixseele.de", true },
  { "felsing.net", true },
  { "felsmalerei.net", true },
  { "femanca.com", true },
  { "femastudios.com", true },
  { "femdombbw.com", true },
  { "feminina.pt", true },
  { "femradio.es", true },
  { "femtomind.com", true },
  { "fence-stlouis.com", true },
  { "feng-in.com", true },
  { "feng-in.net", true },
  { "feng.si", true },
  { "fengyi.tel", true },
  { "fenixhost.com.br", true },
  { "fenster-bank.at", true },
  { "fenster-bank.de", true },
  { "ferdies.co.za", true },
  { "fergtm.com", true },
  { "fergusoncastle.com", true },
  { "ferien-netzwerk.de", true },
  { "ferienchalet-wallis.ch", true },
  { "ferienhaeuser-krummin.de", true },
  { "ferienhaus-polchow-ruegen.de", false },
  { "ferienhausprovence.ch", true },
  { "ferm-rotterdam.nl", true },
  { "fermabel.com.br", true },
  { "fernandes.org", true },
  { "fernandob.com", true },
  { "fernandobarata.pt", true },
  { "fernandobarillas.com", true },
  { "fernandomiguel.net", true },
  { "ferrariadvisor.it", true },
  { "ferret.zone", true },
  { "ferreteriaxerez.com", true },
  { "ferrolatino.ch", true },
  { "ferrousmoon.com", true },
  { "ferry.tw", true },
  { "ferticare.pt", true },
  { "fertila.de", true },
  { "festaprylar.se", true },
  { "festivaljapon.com", true },
  { "festivalxdentro.com", true },
  { "fettlaus.de", true },
  { "feudalisten.de", true },
  { "feuerhuhn.de", true },
  { "feuerloescher-arten.de", true },
  { "feuerloescher-test.de", true },
  { "feuerwehr-heiligenberg.de", true },
  { "feuerwehr-illmensee.de", true },
  { "feuerwehr-mehring.de", true },
  { "feuerwehr-oberkotzau.de", true },
  { "feuerwehr-offenbach-bieber.de", true },
  { "feuerwehr-vechta.de", true },
  { "feuerwerksmanufaktur.de", true },
  { "feuetgloire.com", true },
  { "fewo-thueringer-wald.de", true },
  { "fexco.com", true },
  { "feyermedia.de", true },
  { "ff-bad-hoehenstadt.de", true },
  { "ff-bg.xyz", true },
  { "ff-getzersdorf.at", true },
  { "ff-obersunzing-niedersunzing.de", true },
  { "ff14-mstdn.xyz", true },
  { "ffbans.org", true },
  { "ffiec.gov", true },
  { "ffis.me", true },
  { "ffkoenigsberg.de", true },
  { "ffmradio.de", true },
  { "ffprofile.com", true },
  { "ffsociety.nl", true },
  { "ffta.eu", true },
  { "ffw-zeven.de", true },
  { "ffzeven.de", true },
  { "fhba.com.au", true },
  { "fhcdn.xyz", true },
  { "fhconseil.fr", true },
  { "fhdhelp.de", false },
  { "fhdhilft.de", false },
  { "fhfaoig.gov", true },
  { "fhg90.com", true },
  { "fi.google.com", true },
  { "fi.search.yahoo.com", false },
  { "fialat.cz", true },
  { "fiam.me", true },
  { "fiareapp.red", false },
  { "fiasgo.com", true },
  { "fiasgo.i.ng", true },
  { "fibo-forex.org", true },
  { "fibrasynormasdecolombia.com", true },
  { "fibretv.co.nz", true },
  { "fibretv.tv", true },
  { "fickweiler.nl", true },
  { "ficlab.com", true },
  { "ficus.io", true },
  { "fid-elite.ch", true },
  { "fidanza.eu", true },
  { "fidelapp.com", true },
  { "fidelis-it.ch", true },
  { "fidelis-it.net", true },
  { "fidhouriet.ch", true },
  { "fiduciaire-ratio.ch", true },
  { "fieldclockapp.com", true },
  { "fieldwork-paysage.com", true },
  { "fierlafijn.net", true },
  { "fiery.me", true },
  { "fifei.de", true },
  { "fifichachnil.paris", true },
  { "fifieldtech.com", true },
  { "fiftynorth.eu", true },
  { "fiftyonetielt.be", true },
  { "figan.cz", true },
  { "fight215.com", true },
  { "fight215.org", true },
  { "figinstitute.org", true },
  { "figshare.com", true },
  { "figura.cz", true },
  { "figurasdelinguagem.com.br", true },
  { "fiilr.com", true },
  { "fiix.io", true },
  { "fiken.no", true },
  { "fil.fi", true },
  { "filanthropystar.org", true },
  { "file-cloud.eu", true },
  { "file-pdf.it", true },
  { "filecopa.com", true },
  { "fileon.com", true },
  { "files.from-me.org", true },
  { "filestar.io", true },
  { "filetransfer.one", true },
  { "filewall.de", true },
  { "filezilla-project.org", true },
  { "filhin.es", true },
  { "filhodohomem.com", true },
  { "fili.org", true },
  { "filidorwiese.nl", true },
  { "filingsmadeeasy.com", true },
  { "filip-prochazka.com", true },
  { "filippo.io", true },
  { "filipsebesta.com", true },
  { "filleritemsindia.com", true },
  { "fillitupchallenge.eu", true },
  { "fillo.sk", true },
  { "film-tutorial.com", true },
  { "film.photography", true },
  { "film.photos", true },
  { "filmatiporno.xxx", true },
  { "filme-onlines.com", true },
  { "filmesonline.online", true },
  { "filmitis.com", true },
  { "filmreviewonline.com", true },
  { "filmserver.de", true },
  { "filmsite-studio.com", true },
  { "filoo.de", true },
  { "filterflasche-kaufen.de", true },
  { "filterlists.com", true },
  { "filtr.me", true },
  { "fimsquad.com", true },
  { "final-expense-quotes.com", true },
  { "finalrewind.org", true },
  { "finalx.nl", false },
  { "financejobs.ch", true },
  { "financepark.ch", true },
  { "financniexperti.sk", true },
  { "finch.am", true },
  { "finchnest.co.uk", true },
  { "find-job-in.com", true },
  { "find-mba.com", true },
  { "find-your-happy-place.de", true },
  { "findapinball.com", true },
  { "findhoustonseniorcare.com", true },
  { "findingkorea.com", true },
  { "finditez.com", true },
  { "findmynudes.com", true },
  { "findoon.de", true },
  { "findrejsepartner.dk", true },
  { "findstorenearme.ca", true },
  { "findstorenearme.co.uk", true },
  { "findstorenearme.us", true },
  { "findthatnude.com", true },
  { "findthere.net", true },
  { "findyourvoice.ca", true },
  { "fine-services.paris", true },
  { "finelovedolls.com", true },
  { "finenet.com.tw", true },
  { "finfev.de", true },
  { "finflix.net", true },
  { "finform.ch", true },
  { "fini-de-jouer.ch", true },
  { "finkelstein.fr", true },
  { "finkenberger.org", false },
  { "finnclass.cz", true },
  { "finnwea.com", true },
  { "finsprings.org", true },
  { "fintandunleavy.com", true },
  { "fintechnics.com", false },
  { "fintry.ca", true },
  { "finvantage.com", true },
  { "fionamcbride.com", true },
  { "fioulmarket.fr", true },
  { "fir3net.com", true },
  { "firebaseio.com", true },
  { "firebirdrangecookers.com", true },
  { "firebounty.com", true },
  { "fireboxfood.com", true },
  { "firebugmusic.com", true },
  { "firechip.cc", true },
  { "firecore.com", true },
  { "firecry.org", true },
  { "firefart.at", true },
  { "firefighters.dating", true },
  { "firefly-iii.org", true },
  { "firegoby.jp", true },
  { "fireleadership.gov", true },
  { "firemudfm.com", true },
  { "fireportal.cz", true },
  { "fireportal.sk", true },
  { "fireshellsecurity.team", true },
  { "firesofheaven.org", true },
  { "firetotheprisons.org", true },
  { "firevap.org", true },
  { "firewallconsultants.com", true },
  { "fireworksshowvr.com", true },
  { "firma-cerny.cz", true },
  { "firma-offshore.com", true },
  { "firmale.com", true },
  { "firmament.space", true },
  { "firmapi.com", true },
  { "firmenwerbung-vermarktung.de", true },
  { "firmware.science", true },
  { "first.org", true },
  { "first4it.com", true },
  { "firstchoicebouncycastlehire.co.uk", true },
  { "firstchoicecandy.com", true },
  { "firstclasscastles.com", true },
  { "firstclassleisure.co.uk", true },
  { "firstderm.com", true },
  { "firstfinca.de", true },
  { "firstinnovation.co.jp", true },
  { "firstinnovationltd.com", true },
  { "firstmall.de", true },
  { "firstq.xyz", true },
  { "fischer-its.com", false },
  { "fischer-kundendienst.de", true },
  { "fischers.cc", true },
  { "fischers.it", true },
  { "fischers.srv.br", true },
  { "fise.cz", true },
  { "fish-hook.ru", true },
  { "fishbattle.io", true },
  { "fishbattle.net", true },
  { "fishermailbox.net", true },
  { "fishermansbend.apartments", true },
  { "fishermansbendcorporation.com.au", true },
  { "fishermansbendtownhouses.com.au", true },
  { "fishexport.eu", true },
  { "fishgen.no", true },
  { "fishserver.net", true },
  { "fishtacos.blog", true },
  { "fit-4u.ch", true },
  { "fit-mit-system.eu", true },
  { "fit365.jp", true },
  { "fitchannel.com", true },
  { "fitfitup.com", true },
  { "fitkram.cz", true },
  { "fitness-challenge.co.uk", true },
  { "fitness.gov", true },
  { "fitseven.ru", true },
  { "fittelo.cz", true },
  { "fitzsim.org", true },
  { "fiuxy.bz", true },
  { "fiuxy.co", true },
  { "fiuxy.me", true },
  { "fiveboosts.xyz", true },
  { "fixeaide.com", true },
  { "fixeaider.com", true },
  { "fixel.express", true },
  { "fixforce.nl", true },
  { "fixhotsauce.com", true },
  { "fixingscrews.co.uk", true },
  { "fixitfelix.us", true },
  { "fixmyalarmpanel.co.uk", true },
  { "fixmycomputerdude.com", true },
  { "fixvoltage.ru", true },
  { "fizz.buzz", false },
  { "fj.search.yahoo.com", false },
  { "fj.simple.com", false },
  { "fjharcu.com", true },
  { "fjugstad.com", true },
  { "fkcdn.de", true },
  { "fkfev.de", true },
  { "fktpm.ru", true },
  { "flaemig42.de", true },
  { "flagburningworld.com", true },
  { "flagfox.net", true },
  { "flagshop.jp", true },
  { "flagspot.net", false },
  { "flamer-scene.com", false },
  { "flamero.fi", true },
  { "flamet.eu", true },
  { "flamme-von-anor.de", true },
  { "flana.com", true },
  { "flanga.io", true },
  { "flangaapis.com", true },
  { "flapoverspeed.com", true },
  { "flaretechnologies.io", true },
  { "flashback.org", true },
  { "flashbaggie.com", true },
  { "flashcomp.cz", true },
  { "flashgot.net", true },
  { "flat.io", true },
  { "flatmail.pl", true },
  { "flatmatehub.com.au", true },
  { "flatpackmates.co.uk", true },
  { "flauschig.net", true },
  { "flaviu.co.uk", true },
  { "flavr.be", true },
  { "flawlesscowboy.xyz", true },
  { "fleamarketgoods.com", true },
  { "fleep.io", true },
  { "fleetcor.at", true },
  { "fleetcor.ch", true },
  { "fleetcor.cz", true },
  { "fleetcor.de", true },
  { "fleetcor.fr", true },
  { "fleetcor.hu", true },
  { "fleetcor.lu", true },
  { "fleetcor.nl", true },
  { "fleetcor.pl", true },
  { "fleetcor.sk", true },
  { "fleetcorcards.be", true },
  { "fleetsmith.com", true },
  { "fleetssl.com", true },
  { "flehm.de", true },
  { "fleisch.club", true },
  { "fletchto99.com", true },
  { "flets-ms.com", true },
  { "fleurenplume.fr", true },
  { "fleuryfleury.com", true },
  { "flexapplications.se", true },
  { "fleximus.org", false },
  { "flexport.com", true },
  { "flexstart.me", true },
  { "flextrack.dk", true },
  { "flextribly.xyz", true },
  { "fliacuello.com.ar", true },
  { "flight.school", true },
  { "flightdeckfriend.com", true },
  { "flightmedx.com", true },
  { "flightschoolbooking.com", true },
  { "flightschoolcandidates.gov", true },
  { "flightschoolusa.com", true },
  { "flightzero.cf", true },
  { "fliino.com", true },
  { "fliino.eu", true },
  { "fliino.info", true },
  { "fliino.net", true },
  { "fliino.org", true },
  { "fliio.com", true },
  { "flikmsg.co", true },
  { "flinch.io", true },
  { "fling.dating", true },
  { "flipagram.com", false },
  { "flipneus.net", true },
  { "fliptable.org", true },
  { "flirt-norden.de", true },
  { "flirtee.net", true },
  { "flirtfaces.de", true },
  { "flirtos.de", true },
  { "flixports.com", true },
  { "flmortgagebank.com", true },
  { "floaternet.com", true },
  { "flocktofedora.org", true },
  { "floersheimer-openair.de", true },
  { "floffi.media", true },
  { "floj.tech", true },
  { "flokinet.is", true },
  { "flomeyer.de", true },
  { "floobits.com", true },
  { "flood.io", true },
  { "flooringnightmares.com", true },
  { "flooringsourcetx.com", true },
  { "floort.net", false },
  { "florence.uk.net", true },
  { "florenceapp.co.uk", true },
  { "florent-tatard.fr", true },
  { "florentynadawn.co.uk", true },
  { "florian-bachelet.fr", true },
  { "florian-thie.de", true },
  { "floriankarmen.com", true },
  { "floriankeller.de", true },
  { "florianmitrea.uk", true },
  { "florianschmitt.ca", true },
  { "floriantanner.ch", true },
  { "florida-prep.org", true },
  { "floridaderi.ru", true },
  { "floridafieros.org", true },
  { "floridahomesinvest.com", true },
  { "florinlungu.it", true },
  { "florismoo.nl", true },
  { "florismouwen.com", false },
  { "florispoort.nl", true },
  { "florisvdk.net", true },
  { "floriswesterman.nl", true },
  { "flosch.at", false },
  { "floseed.fr", true },
  { "floskelwolke.de", true },
  { "flosserver.de", true },
  { "flow.su", true },
  { "flowair24.ru", true },
  { "flowcom.de", true },
  { "flowcount.xyz", true },
  { "flowersbylegacy.com", true },
  { "flowinvoice.com", true },
  { "flowreader.com", true },
  { "flox.io", true },
  { "flra.gov", true },
  { "flucky.xyz", false },
  { "flucto.com", true },
  { "flue-ducting.co.uk", true },
  { "fluffycloud.de", true },
  { "flugsportvereinigungcelle.de", true },
  { "fluhrers.de", true },
  { "fluidmeterusa.com", true },
  { "fluitbeurt.nl", true },
  { "flumble.nl", true },
  { "flunschi.goip.de", true },
  { "fluoxetine.net", true },
  { "flurp.de", false },
  { "fluteandpianoteaching.co.uk", true },
  { "flux.by", true },
  { "flux.healthcare", true },
  { "fluxent.de", false },
  { "fluxfingers.net", true },
  { "fluxforge.com", true },
  { "fluxi.fi", true },
  { "fluxoid.com", true },
  { "flw365365.com", true },
  { "fly-en-drive.nl", true },
  { "fly.moe", true },
  { "flyawayantennas.com", true },
  { "flyboyfpv.com", true },
  { "flydrivesicilie.nl", true },
  { "flyer.tools", true },
  { "flygon.pink", true },
  { "flyinglocksmiths.com", false },
  { "flyingpackets.net", true },
  { "flyingrub.me", true },
  { "flymns.fr", true },
  { "flynn.io", true },
  { "flyserver.co.il", true },
  { "flyspace.ml", true },
  { "flyssh.net", true },
  { "flyswoop.com", true },
  { "flyt.online", true },
  { "flytoadventures.com", true },
  { "fm-cdn.de", true },
  { "fm.ie", true },
  { "fmapplication.com", true },
  { "fmarchal.fr", true },
  { "fmc.gov", true },
  { "fmdance.cl", true },
  { "fminsight.net", true },
  { "fmodoux.biz", true },
  { "fmovies.fyi", true },
  { "fmussatmd.com", true },
  { "fnb-griffinonline.com", true },
  { "fnbnokomis.com", true },
  { "fnof.ch", true },
  { "fnordserver.eu", true },
  { "fnzc.co.nz", true },
  { "foairbus.fr", true },
  { "foairbussas.fr", true },
  { "focanamoda.com.br", true },
  { "focusmark.jp", false },
  { "focusministries1.org", true },
  { "focuspointtechnologies.com", true },
  { "foej-aktiv.de", true },
  { "foej.net", true },
  { "fogpublishingph.com", true },
  { "foia.gov", true },
  { "foiaonline.gov", true },
  { "fojing.com", true },
  { "fokan.be", true },
  { "fokep.no", true },
  { "fokkusu.fi", true },
  { "fol.tf", true },
  { "foljeton.dk", true },
  { "folk.as", true },
  { "folkfests.org", true },
  { "follandviolins.com", true },
  { "followback.net", true },
  { "followerrocket.com", true },
  { "followersya.com", true },
  { "followings-live.com", true },
  { "followthatpage.com", true },
  { "followthedog.co.uk", true },
  { "folv.es", true },
  { "folwark.krakow.pl", true },
  { "folwarkwiazy.pl", true },
  { "fomopop.com", true },
  { "fondanastasia.ru", true },
  { "fondationwiggli.ch", true },
  { "fondsdiscountbroker.de", true },
  { "fondy.eu", true },
  { "fondy.ua", true },
  { "fonga.ch", true },
  { "fonolo.com", true },
  { "font-converter.net", true },
  { "fonte-trading.com", true },
  { "fontein.de", true },
  { "fontlibrary.org", true },
  { "foo.fo", true },
  { "foo.hamburg", true },
  { "foodacademy.capetown", true },
  { "foodattitude.ch", true },
  { "foodblogger.club", true },
  { "foodev.de", true },
  { "foodsafety.gov", true },
  { "foodsafetyjobs.gov", true },
  { "foodserve.in", true },
  { "foodwise.marketing", true },
  { "foolip.org", true },
  { "foolwealth.com", true },
  { "foorack.com", true },
  { "fooster.io", true },
  { "foot.fr", true },
  { "footballforum.de", true },
  { "for.care", true },
  { "foray-jero.me", true },
  { "forbusiness.ca", true },
  { "force-des-maths.com", true },
  { "forcelink.eu", true },
  { "forcelinkamerica.com", true },
  { "forcelinkamerica.nl", true },
  { "forces.army", true },
  { "forcewave.com", true },
  { "ford-shop.by", true },
  { "fordlibrarymuseum.gov", true },
  { "foreachcode.com", true },
  { "forecastcity.com", true },
  { "foreclosureattorneyhouston.com", true },
  { "foregroundweb.com", true },
  { "forellenpark.com", true },
  { "forento.be", true },
  { "foresthillhomes.ca", true },
  { "forestraven.net", true },
  { "foreversummertime.com", true },
  { "foreveryoung.pt", true },
  { "forex.ee", true },
  { "forexchef.de", true },
  { "forexee.com", true },
  { "forextimes.ru", false },
  { "forfunssake.co.uk", true },
  { "forge-goerger.eu", true },
  { "forglemmigej.net", true },
  { "forgotten-legends.org", true },
  { "forman.store", true },
  { "formapi.io", true },
  { "format-paysage.ch", true },
  { "formation-assureur.com", true },
  { "formation-mac.ch", true },
  { "formationseeker.com", true },
  { "formbetter.com", true },
  { "formini.dz", true },
  { "formkiq.com", true },
  { "formula-ot.ru", true },
  { "fornoreason.net.au", true },
  { "foro.io", false },
  { "forodeespanol.com", true },
  { "forodieta.com", true },
  { "forologikidilosi.com.gr", true },
  { "forourselves.com", true },
  { "forpc.us", true },
  { "forrestheller.com", true },
  { "forro.info", true },
  { "forsakringsarkivet.se", true },
  { "forsec.nl", true },
  { "forstbetrieb-hennecke.de", true },
  { "forstprodukte.de", true },
  { "fort.eu", true },
  { "forteggz.nl", true },
  { "fortesanshop.it", true },
  { "fortnine.ca", true },
  { "fortran.io", true },
  { "fortress.no", true },
  { "fortress.sk", true },
  { "forty8creates.com", true },
  { "fortytwo.cloud", true },
  { "forum-bonn.de", true },
  { "forum-heg.ch", true },
  { "forum-kinozal-tv.appspot.com", true },
  { "forum-kinozal.appspot.com", true },
  { "forum.linode.com", false },
  { "forum3.ru", true },
  { "forumvoordemocratie.nl", true },
  { "forvisualdesign.com", true },
  { "forward-fly-fishing.ch", true },
  { "foryouandyourcustomers.com", true },
  { "foryourhealthybody.com", true },
  { "fosaudit.com", true },
  { "foscamcanada.com", true },
  { "fosdem.org", true },
  { "foshanshequ.com", false },
  { "fossguard.com", true },
  { "fossilfreeyale.org", true },
  { "fotella.com", true },
  { "fotikpro.ru", true },
  { "foto-janvanaefst.nl", true },
  { "foto-leistenschneider.de", true },
  { "foto-leitner.com", true },
  { "foto-leitner.de", true },
  { "foto-pro.by", true },
  { "foto-robitsch.at", true },
  { "foto-roma.ru", true },
  { "foto.by", true },
  { "fotoflits.net", true },
  { "fotografiadellalucerossa.com", true },
  { "fotohome.dk", true },
  { "fotoleitner.com", true },
  { "fotoleitner.de", true },
  { "fotonjan.com", true },
  { "fotostravestisbr.com", true },
  { "fotostudio-leitner.com", true },
  { "fotostudio-leitner.de", true },
  { "fotostudio-schweiz.ch", true },
  { "fotowettbewerb.co", true },
  { "fotowolfy.com", true },
  { "fougner.co", true },
  { "found.website", true },
  { "foundchurch.co.uk", true },
  { "foundsounds.me", true },
  { "fourashesgolfcentre.co.uk", true },
  { "fourashesgolfcentre.com", true },
  { "fourashesgolfcentre.uk", true },
  { "fourdesignstudio.com", true },
  { "foutrelis.com", true },
  { "fowlervwparts.com", true },
  { "foxbnc.co.uk", true },
  { "foxdev.co", true },
  { "foxhound.com.br", true },
  { "foxing.club", true },
  { "foxmay.co.uk", true },
  { "foxontheinter.net", true },
  { "foxphotography.ch", true },
  { "foxquill.com", true },
  { "foxterrier.com.br", true },
  { "fpc.gov", true },
  { "fpersona.com", true },
  { "fptravelling.com", false },
  { "fpy.cz", true },
  { "fr.search.yahoo.com", false },
  { "fr33tux.org", true },
  { "frack.nl", true },
  { "fraesentest.de", true },
  { "fragmentspuren.de", true },
  { "fragstore.net", true },
  { "fraho.eu", true },
  { "framapiaf.org", true },
  { "framboise314.fr", true },
  { "framedpaws.com", true },
  { "framezdakkapellen.nl", true },
  { "fran.cr", true },
  { "francesca-and-lucas.com", true },
  { "francescopalazzo.com", true },
  { "francescoservida.ch", true },
  { "francetraceur.fr", true },
  { "franchini.email", true },
  { "franchini.engineer", true },
  { "franckgirard.net", true },
  { "franckyz.com", true },
  { "francois-gaillard.fr", true },
  { "francois-occasions.be", true },
  { "francoiscarrier.com", true },
  { "francoise-paviot.com", true },
  { "francoislepage.com", true },
  { "francoz.me", true },
  { "frandor.co.uk", true },
  { "frank.fyi", true },
  { "franke-chemie.de", true },
  { "frankedier.com", true },
  { "franken-lehrmittel.de", true },
  { "frankenhost.de", true },
  { "frankenlehrmittel.de", true },
  { "frankierfachmann.de", true },
  { "frankierprofi.de", true },
  { "frankierstar.de", true },
  { "frankinteriordesign.co.uk", true },
  { "frankl.in", true },
  { "frankmorrow.com", true },
  { "franksiler.com", true },
  { "frankslaughterinsurance.com", true },
  { "frankwei.xyz", true },
  { "frankyan.com", true },
  { "fransallen.com", true },
  { "frantic1048.com", true },
  { "frantorregrosa.me", true },
  { "franz.beer", true },
  { "franziska-pascal.de", true },
  { "frappant.cc", false },
  { "fraselab.ru", true },
  { "frasesdodia.com", true },
  { "frasesparaface.com.br", true },
  { "frasesytarjetas.com", true },
  { "frasys.cloud", true },
  { "frasys.net", true },
  { "frattaroli.org", true },
  { "frau-inge.de", true },
  { "frau-sucht-bauer.de", true },
  { "fraudmarc.com", true },
  { "frauenarzt-niendorf.de", true },
  { "frauenarzt-zinke.de", true },
  { "frauenlob.rocks", true },
  { "fraurichter.net", true },
  { "fraye.net", true },
  { "frbracch.it", true },
  { "frdl.ch", true },
  { "freaksites.dk", true },
  { "freaksports.com.au", true },
  { "freakyamazing.com", true },
  { "freakyawesome.band", true },
  { "freakyawesome.blog", true },
  { "freakyawesome.ca", true },
  { "freakyawesome.club", true },
  { "freakyawesome.co", true },
  { "freakyawesome.co.uk", true },
  { "freakyawesome.com", true },
  { "freakyawesome.company", true },
  { "freakyawesome.email", true },
  { "freakyawesome.events", true },
  { "freakyawesome.fashion", true },
  { "freakyawesome.fitness", true },
  { "freakyawesome.fun", true },
  { "freakyawesome.fyi", true },
  { "freakyawesome.games", true },
  { "freakyawesome.guru", true },
  { "freakyawesome.info", true },
  { "freakyawesome.io", true },
  { "freakyawesome.life", true },
  { "freakyawesome.live", true },
  { "freakyawesome.marketing", true },
  { "freakyawesome.me", true },
  { "freakyawesome.media", true },
  { "freakyawesome.network", true },
  { "freakyawesome.news", true },
  { "freakyawesome.online", true },
  { "freakyawesome.org", true },
  { "freakyawesome.photography", true },
  { "freakyawesome.photos", true },
  { "freakyawesome.press", true },
  { "freakyawesome.recipes", true },
  { "freakyawesome.rentals", true },
  { "freakyawesome.reviews", true },
  { "freakyawesome.services", true },
  { "freakyawesome.shop", true },
  { "freakyawesome.site", true },
  { "freakyawesome.social", true },
  { "freakyawesome.software", true },
  { "freakyawesome.solutions", true },
  { "freakyawesome.store", true },
  { "freakyawesome.team", true },
  { "freakyawesome.tips", true },
  { "freakyawesome.today", true },
  { "freakyawesome.tours", true },
  { "freakyawesome.tv", true },
  { "freakyawesome.video", true },
  { "freakyawesome.website", true },
  { "freakyawesome.work", true },
  { "freakyawesome.world", true },
  { "freakyawesome.xyz", true },
  { "freakyawesomeblog.com", true },
  { "freakyawesomeio.com", true },
  { "freakyawesomemedia.com", true },
  { "freakyawesomenews.com", true },
  { "freakyawesomeplugin.com", true },
  { "freakyawesomeplugins.com", true },
  { "freakyawesomesite.com", true },
  { "freakyawesometeam.com", true },
  { "freakyawesometheme.com", true },
  { "freakyawesomethemes.com", true },
  { "frebi.org", true },
  { "freddieonfire.tk", false },
  { "freddyfazbearspizzeria.com", true },
  { "freddysfuncastles.co.uk", true },
  { "fredericcote.com", true },
  { "frederickalcantara.com", true },
  { "frederik-braun.com", false },
  { "frederikvig.com", true },
  { "fredloya.com", true },
  { "fredriksslekt.se", true },
  { "fredtec.ru", true },
  { "fredvoyage.fr", true },
  { "free.com.tw", true },
  { "freeasyshop.com", true },
  { "freebarrettbrown.org", true },
  { "freebcard.com", true },
  { "freebetoffers.co.uk", true },
  { "freeblog.me", true },
  { "freebookmakerbets.com.au", true },
  { "freebookmakersbetsandbonuses.com.au", true },
  { "freeboson.org", true },
  { "freecam2cam.site", true },
  { "freecloud.at", true },
  { "freecookies.nl", true },
  { "freedev.cz", true },
  { "freedom.press", true },
  { "freedomflotilla.org", true },
  { "freedomfrontier.tk", true },
  { "freedomkiaparts.com", true },
  { "freedomonline.bg", true },
  { "freeenglishhelp.com", true },
  { "freeflightstoitaly.ngo", true },
  { "freeform4u.de", true },
  { "freegame-mugen.jp", true },
  { "freegutters.com", true },
  { "freeiconspng.com", true },
  { "freeinoutboard.com", true },
  { "freejasongoudlock.org", true },
  { "freejeremy.net", true },
  { "freela.ch", true },
  { "freelance.boutique", true },
  { "freelance.guide", true },
  { "freelance.nl", true },
  { "freelancecollab.com", true },
  { "freelanceessaywriters.com", true },
  { "freelancehunt.com", true },
  { "freelanceshipping.com", true },
  { "freelauri.com", true },
  { "freelifer.jp", true },
  { "freelysurf.cf", true },
  { "freemans.com", true },
  { "freemyipod.org", true },
  { "freend.me", false },
  { "freenetproject.org", true },
  { "freeonplate.com", true },
  { "freepnglogos.com", true },
  { "freepublicprofile.com", true },
  { "freergform.org", true },
  { "freeshell.de", true },
  { "freeshkre.li", true },
  { "freesitemapgenerator.com", true },
  { "freesms-online.de", true },
  { "freesnowden.is", true },
  { "freesoftlab.com", true },
  { "freesolitaire.win", true },
  { "freesourcestl.org", true },
  { "freethetv.ie", true },
  { "freetsa.org", true },
  { "freevps.us", false },
  { "freeweibo.com", true },
  { "freeyourmusic.com", true },
  { "freezion.com", true },
  { "frei.social", true },
  { "freifahrt.de", true },
  { "freifamily.ch", true },
  { "freifunk-burgaltendorf.de", true },
  { "freifunk-essen.de", true },
  { "freifunk-in-solingen.de", true },
  { "freifunk-lindlar.net", true },
  { "freifunk-luenen.de", true },
  { "freifunk-nrw.de", true },
  { "freifunk-remscheid.de", true },
  { "freimeldungen.de", true },
  { "freims.cc", true },
  { "freitasul.com.br", true },
  { "freitasul.io", true },
  { "freiwurst.net", true },
  { "freizeitplaza.de", true },
  { "frejasdal.dk", true },
  { "frenchcreekcog.org", true },
  { "frenzel.dk", true },
  { "frequencebanane.ch", true },
  { "frequentflyerapp.com", true },
  { "fresh-hotel.org", true },
  { "fresh-networks.net", true },
  { "fresh.co.il", true },
  { "freshdesigns.de", true },
  { "freshdns.nl", true },
  { "freshempire.gov", true },
  { "freshislandfish.com", true },
  { "freshkiss.com.au", true },
  { "freshmaza.com", true },
  { "freshmaza.io", true },
  { "freshmaza.net", true },
  { "fretscha.com", true },
  { "frettboard.com", true },
  { "frettirnar.is", true },
  { "fretworksec.com", true },
  { "friarsonbase.com", true },
  { "fribourgviking.net", true },
  { "frickelmeister.de", true },
  { "fridayfoucoud.ma", true },
  { "friederes.lu", true },
  { "friederloch.de", true },
  { "friedrich-foto-art.de", true },
  { "friedsamphotography.com", true },
  { "friendlysiberia.com", true },
  { "friends-of-naz.com", true },
  { "friends-socialgroup.org", true },
  { "friends24.cz", true },
  { "friendship-quotes.co.uk", true },
  { "friendshipismagicsquad.com", true },
  { "friet.org", true },
  { "frietbesteld.nl", true },
  { "friezy.ru", true },
  { "frigi.ch", true },
  { "frigolit.net", true },
  { "friller.com.au", true },
  { "frillip.com", true },
  { "frinkiac.com", true },
  { "frino.de", true },
  { "frippz.se", true },
  { "friss.com", true },
  { "fritteli.ch", true },
  { "fritzrepair.com", true },
  { "frizo.com", true },
  { "frly.de", true },
  { "frob.nl", true },
  { "froehlich.it", true },
  { "frogatto.com", true },
  { "frogeye.fr", true },
  { "froggitt.com", true },
  { "frogsonamission.de", true },
  { "froh.co.jp", true },
  { "frolova.org", true },
  { "from-the-net.com", true },
  { "fromscratch.rocks", true },
  { "fromthesoutherncross.com", true },
  { "fronteers.nl", false },
  { "fropky.com", true },
  { "frosthall.com", true },
  { "frostprotection.co.uk", true },
  { "frostwarning.com", true },
  { "frothy.coffee", true },
  { "froufe.com", true },
  { "frozen-geek.net", true },
  { "frozen-solid.net", true },
  { "frprn.com", true },
  { "frprn.es", true },
  { "frprn.xxx", true },
  { "frtn.com", true },
  { "frtr.gov", true },
  { "frtrains.com", true },
  { "fruchthof24.de", true },
  { "fruchtikus.net", true },
  { "fruend-hausgeraeteshop.de", true },
  { "frugal-millennial.com", true },
  { "frugalfamilyhome.com", true },
  { "frugalmechanic.com", true },
  { "frugro.be", false },
  { "fruition.co.jp", true },
  { "fruitscale.com", true },
  { "fruttini.de", true },
  { "frydrychit.cz", true },
  { "fs-community.nl", true },
  { "fs-fitness.eu", true },
  { "fs-maistadt.de", true },
  { "fsbnh.bank", true },
  { "fsbpaintrock.com", true },
  { "fsbturton.com", true },
  { "fsck.cz", true },
  { "fsck.jp", true },
  { "fsckd.com", true },
  { "fscott.de", true },
  { "fsj4u.ch", true },
  { "fsk.fo", true },
  { "fsky.info", true },
  { "fsm2016.org", true },
  { "fsps.ch", true },
  { "fsvt.ch", true },
  { "ft.com", false },
  { "ftang.de", true },
  { "ftccomplaintassistant.gov", true },
  { "ftcefile.gov", true },
  { "ftf.agency", true },
  { "fthat.link", true },
  { "ftng.se", true },
  { "ftptest.net", true },
  { "ftrsecure.com", true },
  { "ftv.re", true },
  { "fu-li88.com", true },
  { "fu-li88.net", true },
  { "fuck-your-false-positive.de", true },
  { "fuckav.ru", true },
  { "fuckcie.com", true },
  { "fucklife.ch", true },
  { "fuckobr.com", true },
  { "fuckobr.net", true },
  { "fuckobr.org", true },
  { "fuckobr.ru", true },
  { "fuckobr.su", true },
  { "fuckonthefirst.date", true },
  { "fuckup.dk", true },
  { "fuckyoupaypal.me", true },
  { "fuechschen.org", true },
  { "fuelingyourdreams.com", true },
  { "fugamo.de", true },
  { "fuglede.dk", true },
  { "fuite.ch", true },
  { "fuites.ch", true },
  { "fujianshipbuilding.com", true },
  { "fujiorganics.com", false },
  { "fujiwaraqol.com", true },
  { "fukakukeiba.com", true },
  { "fukikaeru.com", true },
  { "fukushimacoffee.com", true },
  { "fulgenzis.com", true },
  { "fuliwang.info", true },
  { "fuliwang.us", true },
  { "full-race.com", true },
  { "fullautomotivo.com.br", true },
  { "fullbundle.com", true },
  { "fullhost.com", true },
  { "fullhub.ru", true },
  { "fullmatch.net", true },
  { "fullpackage.co.uk", true },
  { "fullstacknotes.com", true },
  { "fulltxt.ml", true },
  { "fumblers.ca", true },
  { "fumerolles.ch", true },
  { "fun-bounce.co.uk", true },
  { "fun-tasia.co.uk", true },
  { "fun4kidzbouncycastles.co.uk", true },
  { "fun4ubouncycastles.co.uk", true },
  { "funadvisor.ca", true },
  { "funadvisorfrance.com", true },
  { "funandbounce.com", true },
  { "funatic.nl", true },
  { "funbouncelincs.co.uk", true },
  { "funchestra.at", false },
  { "functional.cc", true },
  { "functions-online.com", true },
  { "fundacionfranciscofiasco.org", true },
  { "fundayltd.com", true },
  { "fundays.nl", true },
  { "fundchan.com", true },
  { "fundeego.com", true },
  { "funderburg.me", false },
  { "fundingempire.com", true },
  { "fundort.ch", true },
  { "funds.ddns.net", true },
  { "funerariahogardecristo.cl", true },
  { "funfactorleeds.co.uk", true },
  { "funfoodco.co.uk", true },
  { "funfunmstdn.tokyo", true },
  { "funhouse-inflatables.co.uk", true },
  { "funi4u.com", true },
  { "funinbeds.org.uk", true },
  { "funken-networks.de", true },
  { "funkner.ru", true },
  { "funktionel.co", true },
  { "funktionsverket.se", true },
  { "funnelweb.xyz", true },
  { "funniestclip.com", true },
  { "funnybikini.com", true },
  { "funspins.com", true },
  { "funtasticinflatablesdurham.co.uk", true },
  { "funtime-inflatables.co.uk", true },
  { "funtime.com.ua", true },
  { "funtime.kiev.ua", true },
  { "funtimebourne.co.uk", true },
  { "funtimeentertainment.co.uk", true },
  { "funtimesbouncycastles.co.uk", true },
  { "fur.red", true },
  { "furgo.love", true },
  { "furigana.info", true },
  { "furkancaliskan.com", true },
  { "furkot.com", true },
  { "furkot.de", true },
  { "furkot.es", true },
  { "furkot.fr", true },
  { "furkot.it", true },
  { "furkot.pl", true },
  { "furlan.co", true },
  { "furlog.it", true },
  { "furnfurs.com", true },
  { "furnitureconcept.co.uk", true },
  { "furry.agency", true },
  { "furry.dk", true },
  { "furry.zone", false },
  { "furrybot.me", true },
  { "furrytech.network", true },
  { "furryyiff.site", true },
  { "fursuitbutts.com", true },
  { "furtherfood.com", true },
  { "fuseos.net", true },
  { "fushee.com", true },
  { "fuskator.com", true },
  { "fussball-xxl.de", true },
  { "fussell.io", true },
  { "futrou.com", true },
  { "future-moves.com", true },
  { "futurefire.de", true },
  { "futurefund.com", true },
  { "futurefundapp.com", true },
  { "futurehack.io", true },
  { "futurenda.com", true },
  { "futureoceans.org", true },
  { "futurezone.at", true },
  { "futurope.com", true },
  { "fuwafuwa.moe", true },
  { "fuxwerk.de", true },
  { "fuyu.moe", true },
  { "fuzoku.jp", true },
  { "fuzzing-project.org", true },
  { "fveevaete.com", true },
  { "fwdx.net", true },
  { "fwest.ovh", true },
  { "fwest98.nl", true },
  { "fwest98.ovh", true },
  { "fwww7.com", true },
  { "fx-rk.com", true },
  { "fx24.uk", true },
  { "fx5.de", true },
  { "fxislamic.com", true },
  { "fxmarketing.com.au", true },
  { "fxmarketing.net.au", true },
  { "fxopen.co.uk", true },
  { "fxopen.com", true },
  { "fxopen.com.au", true },
  { "fxopen.com.br", true },
  { "fxopen.com.mx", true },
  { "fxopen.my", true },
  { "fxopen.ru", true },
  { "fxp.co.il", true },
  { "fxseo.com.au", true },
  { "fxtalk.cn", true },
  { "fxthai.com", true },
  { "fxtrade-lab.com", true },
  { "fxweb.co", true },
  { "fxwebsites.com.au", true },
  { "fxwebsites.net.au", true },
  { "fxwebstudio.net.au", true },
  { "fyksen.me", true },
  { "fyn.nl", true },
  { "fyol.xyz", true },
  { "fysesbjerg.dk", true },
  { "fysio123.nl", true },
  { "fysiomassageoosterhout.nl", true },
  { "fysiotherapieapeldoornzuid.nl", true },
  { "fysiotherapieholtenbroek.nl", true },
  { "fysiotherapienieuwveen.nl", true },
  { "fysiovdberg.nl", true },
  { "fysuite.com", true },
  { "fzbrweb.cz", true },
  { "fzslm.me", true },
  { "fzx750.ru", true },
  { "g-m-w.eu", true },
  { "g-marketing.ro", true },
  { "g-o.pl", true },
  { "g-rom.net", true },
  { "g1.ie", true },
  { "g10e.ch", true },
  { "g2links.com", true },
  { "g2pla.net", true },
  { "g2soft.net", true },
  { "g3d.ro", true },
  { "g3dev.ch", true },
  { "g3rv4.com", true },
  { "g4w.co", true },
  { "g5.gov", true },
  { "g8energysolutions.co.uk", true },
  { "gaanbaksho.com.au", true },
  { "gaaz.fr", true },
  { "gabemack.com", true },
  { "gabethebabetv.com", true },
  { "gabinetpsychoterapii.krakow.pl", true },
  { "gabriel.to", true },
  { "gabrielsimonet.ch", true },
  { "gachter.name", true },
  { "gadabit.pl", true },
  { "gadgethacks.com", true },
  { "gadse.games", true },
  { "gaest.com", true },
  { "gaestehaus-monika.com", true },
  { "gaff-rig.co.uk", true },
  { "gaflooring.com", true },
  { "gafunds.com", true },
  { "gagne-enterprises.com", true },
  { "gagne.tk", true },
  { "gagniard.org", true },
  { "gagor.pl", true },
  { "gagygnole.ch", true },
  { "gaichon.com", true },
  { "gailfellowsphotography.com", true },
  { "gaines-sodiamex.fr", true },
  { "gaio-automobiles.fr", true },
  { "gaireg.de", true },
  { "gaitandmobility.com", true },
  { "gaitrehabilitation.com", true },
  { "gaitresearch.com", true },
  { "gajas18.com", true },
  { "gakkainavi-epsilon.jp", true },
  { "gakkainavi-epsilon.net", true },
  { "gakkainavi.jp", true },
  { "gakkainavi.net", true },
  { "gakkainavi4.jp", true },
  { "gakkainavi4.net", true },
  { "gaku-architect.com", true },
  { "gala.kiev.ua", false },
  { "galak.ch", true },
  { "galerieautodirect.com", true },
  { "galeries.photo", true },
  { "galgopersa.com.br", true },
  { "galileanhome.org", true },
  { "galileomtz.com", true },
  { "galinas-blog.de", true },
  { "galinos.gr", true },
  { "galle.cz", true },
  { "gallerify.eu", true },
  { "galleyfoods.com", true },
  { "gallicrooster.com", true },
  { "gallifreypermaculture.com.au", true },
  { "gallun-shop.com", true },
  { "galpaoap.com.br", true },
  { "gamajo.com", true },
  { "gamberorosso.menu", true },
  { "gambetti.fr", true },
  { "gambit.pro", true },
  { "gambitboard.com", true },
  { "gambitnash.co.uk", true },
  { "gambitnash.com", true },
  { "gambitprint.com", true },
  { "gamblersgaming.eu", true },
  { "game-files.net", false },
  { "game7.de", true },
  { "gameblabla.nl", true },
  { "gamebrott.com", true },
  { "gamecard-shop.nl", true },
  { "gamecollector.be", true },
  { "gameconservation.org.uk", true },
  { "gamedevelopers.pl", true },
  { "gamegix.com", true },
  { "gameguardian.net", true },
  { "gameisbest.jp", true },
  { "gamekaitori.jp", true },
  { "gamekeepers.cz", true },
  { "gamenerd.net", true },
  { "gameofbay.org", true },
  { "gameofpwnz.com", true },
  { "gamepad.com.br", true },
  { "gamercredo.com", true },
  { "gamerezo.com", true },
  { "gamerz-stream.com", true },
  { "gamerzdot.com", true },
  { "games4theworld.org", true },
  { "gamesaviour.com", true },
  { "gameshowchallenge.ie", true },
  { "gamesided.com", true },
  { "gamesplanet.com", true },
  { "gamesputnik.ru", true },
  { "gamestats.gg", true },
  { "gamilab.com", true },
  { "gamilab.no", true },
  { "gamingexodus.com", true },
  { "gamingrealms.net", true },
  { "gamingwithcromulent.com", true },
  { "gamingzoneservers.com", true },
  { "gamishou.fr", true },
  { "gamoloco.com", true },
  { "ganado.org", true },
  { "ganaenergia.com", true },
  { "ganasoku.net", true },
  { "gancedo.com.es", true },
  { "gandalfservice.com", true },
  { "gandalfthefeline.com", true },
  { "gandc.co", false },
  { "gandgliquors.com", true },
  { "ganggalbichler.at", true },
  { "gangnam-club.com", true },
  { "ganhonet.com.br", true },
  { "gansleit.com", false },
  { "ganztagplus.de", true },
  { "gao.rocks", true },
  { "gaojianli.tk", true },
  { "gaon.network", true },
  { "gapdirect.com", true },
  { "gapfa.org", true },
  { "gaphag.ddns.net", true },
  { "gaptek.id", false },
  { "garage-leone.com", true },
  { "garage-meynard.com", true },
  { "garageenginuity.com", true },
  { "garagegoossens.be", true },
  { "garagemhermetica.org", true },
  { "garagevanhulle-used.be", true },
  { "garanteasy.com", true },
  { "garbage-juice.com", true },
  { "garda-see.mobi", true },
  { "gardedenfantspourtous.fr", true },
  { "garden-life.org", true },
  { "gardengameshireuk.com", true },
  { "garderobche.eu", true },
  { "gardikagigih.com", true },
  { "garedtech.com", false },
  { "garethrhugh.es", true },
  { "garforthgolfclub.co.uk", true },
  { "gargazon.net", true },
  { "garron.net", true },
  { "garrowmediallc.com", true },
  { "gartenplanung-brendes.de", true },
  { "garycarmell.com", true },
  { "garycwaite.com", true },
  { "garyjones.co.uk", true },
  { "garyrh.com", true },
  { "garystallman.com", true },
  { "garyswine.com", true },
  { "garywhittington.com", true },
  { "gashalot.com", true },
  { "gastoudererenda.nl", true },
  { "gastrotiger.at", true },
  { "gastrotiger.de", true },
  { "gate2home.com", true },
  { "gateaucreation.fr", true },
  { "gatewaybridal.com", true },
  { "gatewaybronco.com", true },
  { "gateworld.fr", true },
  { "gatilagata.com.br", true },
  { "gatomix.net", true },
  { "gauche.com", true },
  { "gaudeamus-folklor.cz", true },
  { "gaudere.co.jp", true },
  { "gautham.it", true },
  { "gauthier.dk", true },
  { "gautvedt.no", true },
  { "gavick.com", false },
  { "gavins.stream", true },
  { "gavinsblog.com", true },
  { "gay-jays.com", true },
  { "gay-sissies.com", true },
  { "gayforgenji.com", true },
  { "gayjays.com", true },
  { "gaysexpositions.guide", true },
  { "gaysfisting.com", true },
  { "gaytorrent.ru", true },
  { "gayukai.net", true },
  { "gayxsite.com", true },
  { "gazachallenge.org", true },
  { "gazee.net", true },
  { "gazellegames.net", false },
  { "gazette.govt.nz", true },
  { "gbc-radio.nl", true },
  { "gbcsummercamps.com", true },
  { "gbit.xyz", true },
  { "gbl.selfip.net", true },
  { "gboys.net", true },
  { "gc-mc.de", true },
  { "gc.gy", true },
  { "gcbit.dk", true },
  { "gcfadvisors.com", true },
  { "gcguild.net", true },
  { "gchq.wtf", true },
  { "gcoded.de", true },
  { "gcs-ventures.com", true },
  { "gcsepod.com", true },
  { "gdax.com", true },
  { "gdb-tutorial.net", true },
  { "gdgrzeszow.pl", true },
  { "gdiary.net", true },
  { "gdoce.es", false },
  { "gdprhallofshame.com", true },
  { "gdutnic.com", true },
  { "gdv.me", true },
  { "gdz-spishy.com", true },
  { "gdz.tv", true },
  { "ge3k.net", false },
  { "gearallnews.com", true },
  { "gearev.net", true },
  { "gearfinder.nl", true },
  { "gearseo.com.br", true },
  { "gearset.com", true },
  { "geaskb.nl", true },
  { "geass.xyz", true },
  { "geba-online.de", true },
  { "geblitzt.de", true },
  { "geboortestoeltje.com", true },
  { "geborgen-wachsen.de", true },
  { "gebruikershandleiding.com", true },
  { "gecem.org", true },
  { "gechr.io", true },
  { "geckler-ee.de", true },
  { "gedankenworks.com", true },
  { "geder.at", true },
  { "gedlingcastlehire.co.uk", true },
  { "gee.is", true },
  { "geecrat.com", true },
  { "geek-hub.de", true },
  { "geek1.de", true },
  { "geekabit.nl", true },
  { "geekandi.com", true },
  { "geekariom.com", true },
  { "geekchimp.com", true },
  { "geekclubbooks.com", true },
  { "geeklair.net", true },
  { "geeklan.co.uk", true },
  { "geekles.net", true },
  { "geeknik.com", true },
  { "geekpad.com", true },
  { "geeks.one", true },
  { "geekseries.fr", true },
  { "geekshirts.cz", true },
  { "geektopia.es", true },
  { "geekwhack.org", true },
  { "geekwithabudget.com", true },
  { "geekwu.org", true },
  { "geeky.software", true },
  { "geekystudios.us", true },
  { "geekz.sk", true },
  { "geekzone.co.nz", true },
  { "geekzone.fr", true },
  { "geeq.ch", true },
  { "geerdsen.net", true },
  { "gegeco.ch", true },
  { "geh.li", true },
  { "gehaowu.com", true },
  { "gehopft.de", true },
  { "gehreslaw.com", true },
  { "gehrke.in", true },
  { "gehsicht.de", true },
  { "geigenbauer.in", false },
  { "geiser-family.ch", true },
  { "gelb-computer.de", true },
  { "geld-im-blick.de", true },
  { "geld24.nl", true },
  { "geldimblick.de", true },
  { "geleenbeekdal.nl", true },
  { "geleia-real.com", true },
  { "gelis.ch", true },
  { "gelodosul.com.br", true },
  { "gelog-software.de", false },
  { "geloofindemocratie.nl", false },
  { "geluidsstudio.com", true },
  { "gem-indonesia.net", true },
  { "gem-info.fr", true },
  { "gemeentemolenwaard.nl", true },
  { "gemeinsam-ideen-verwirklichen.de", true },
  { "gemini.com", true },
  { "gemquery.com", true },
  { "genchev.io", true },
  { "gencmedya.com", true },
  { "genderidentiteit.nl", true },
  { "gendrin.com", true },
  { "gendundrupa.ch", true },
  { "gene-drive.com", true },
  { "gene-drives.com", true },
  { "genealorand.com", true },
  { "geneau.net", true },
  { "genehightower.com", true },
  { "genehome.com.au", true },
  { "general-anaesthesia.com", true },
  { "general-anaesthetics.com", true },
  { "general-anesthesia.com", true },
  { "generali-worldwide.com", true },
  { "generalinsuranceservices.com", true },
  { "generationgoat.com", true },
  { "generationsweldom.com", true },
  { "generator.creditcard", true },
  { "generic.cx", true },
  { "genesiseureka.com", true },
  { "genesismachina.ca", true },
  { "genesistrading.com", true },
  { "genesysmi.com", true },
  { "genetargetsolutions.com.au", true },
  { "geneve-naturisme.ch", true },
  { "genevoise-entretien.ch", true },
  { "genfaerd.dk", true },
  { "genie-seiner-generation.de", true },
  { "geniusteacher.in", true },
  { "geniuszone.biz", true },
  { "genocidediary.org", true },
  { "genomequestlive.com", true },
  { "genosse-einhorn.de", true },
  { "genossen.ru", true },
  { "genoveve.de", true },
  { "gensend.com", true },
  { "gensenwedding.jp", true },
  { "genshiken-itb.org", true },
  { "genslerapps.com", true },
  { "genslerwisp.com", true },
  { "gensonline.eu", true },
  { "gentianes.ch", true },
  { "gentoo-blog.de", true },
  { "gentooblog.de", true },
  { "genusshotel-riegersburg.at", true },
  { "genuxtsg.com", true },
  { "genxbeats.com", true },
  { "genxnotes.com", true },
  { "geocommunicator.gov", true },
  { "geocompass.at", true },
  { "geoffanderinmyers.com", true },
  { "geoffmyers.com", false },
  { "geofox.org", true },
  { "geoip.fedoraproject.org", true },
  { "geoip.stg.fedoraproject.org", true },
  { "geometra.roma.it", true },
  { "geomex.be", true },
  { "geoponika.gr", true },
  { "geoport.al", true },
  { "george-orwell.com", true },
  { "georgehalachev.com", true },
  { "georgemaschke.com", true },
  { "georgemaschke.net", true },
  { "georgeperez.me", true },
  { "georgescarryout.com", true },
  { "georgewbushlibrary.gov", true },
  { "georgiaglassrepair.com", true },
  { "georgiastuartyoga.co.uk", true },
  { "georgioskontaxis.com", true },
  { "georgioskontaxis.net", true },
  { "georgioskontaxis.org", true },
  { "georgmayer.eu", true },
  { "geoscan.aero", true },
  { "geoscope.ch", true },
  { "geosphereservices.com", true },
  { "geotab.com", true },
  { "gepe.ch", true },
  { "gepps.de", true },
  { "geraintwhite.co.uk", true },
  { "gerald-zojer.com", true },
  { "geraldsonrealty.com", true },
  { "gerardozamudio.mx", true },
  { "germandarknes.net", true },
  { "germansoldiers.net", true },
  { "germanssky.de", true },
  { "germanticz.de", true },
  { "gernert-server.de", true },
  { "gero.io", true },
  { "gerritcodereview.com", true },
  { "gerum.dynv6.net", true },
  { "gerwinvanderkamp.nl", true },
  { "ges-bo.de", true },
  { "geschichtscheck.de", true },
  { "geschmacksache.online", true },
  { "geschwinder.net", true },
  { "gestormensajeria.com", true },
  { "gesundes-im-napf.de", true },
  { "gesundheitmassage.com", true },
  { "gesundheitswelt24.de", true },
  { "get-erp.ru", true },
  { "get-it-live.com", true },
  { "get-it-live.de", true },
  { "get-link.info", true },
  { "get-on.bid", true },
  { "get-refer.com", true },
  { "get.how", true },
  { "get2getha.org", true },
  { "get4x.com", true },
  { "geta.pub", true },
  { "getbooks.co.il", true },
  { "getbox.me", true },
  { "getbreadcrumbs.com", true },
  { "getbutterfly.com", true },
  { "getcloak.com", false },
  { "getdash.io", true },
  { "getdeveloper.de", true },
  { "geteckeld.nl", true },
  { "geterp.ru", true },
  { "getfedora.org", true },
  { "getfirstalert.com", true },
  { "getfittedstore.com", true },
  { "getflorence.co.uk", true },
  { "getfuturama.com", true },
  { "getgeek.es", true },
  { "gethow.org", true },
  { "gethttpsforfree.com", true },
  { "geti2p.com", true },
  { "getidmcc.com", true },
  { "getimgs.com", true },
  { "getitlive.de", true },
  { "getitpeople.com", true },
  { "getmango.com", true },
  { "getmdl.io", true },
  { "getmerch.eu", true },
  { "getnib.com", true },
  { "getnikola.com", true },
  { "getoutofdebt.org", true },
  { "getpagespeed.com", true },
  { "getpanelapp.com", true },
  { "getpei.com", true },
  { "getprivacy.de", true },
  { "getprivacy.net", true },
  { "getpublii.com", true },
  { "getpuck.com", true },
  { "getrambling.com", true },
  { "getresilience.org", true },
  { "getsecure.nl", true },
  { "getsensibill.com", true },
  { "getsetbounce.co.uk", true },
  { "getsetupfile.com", true },
  { "getsilknow.com", true },
  { "getsmartaboutdrugs.gov", true },
  { "getspire.com", true },
  { "getsport.mobi", true },
  { "getsubs.net", true },
  { "getswadeshi.com", true },
  { "getteamninja.com", true },
  { "getthefriendsyouwant.com", true },
  { "getticker.com", true },
  { "getts.ro", true },
  { "getupandbounce.co.uk", true },
  { "getvdownloader.com", true },
  { "getwisdom.io", true },
  { "getyeflask.com", true },
  { "getyou.onl", true },
  { "getyourlifestraight.com", true },
  { "geyduschek.be", true },
  { "gfast.ru", true },
  { "gfcleisure.co.uk", true },
  { "gfe.li", true },
  { "gfe.link", true },
  { "gfelite.de", true },
  { "gfestival.fo", true },
  { "gfk-kunststoff-luebben.de", true },
  { "gflame.de", true },
  { "gflclan.ru", true },
  { "gfms.ru", true },
  { "gfnetfun.cf", true },
  { "gforce.ninja", true },
  { "gfoss.eu", true },
  { "gfxbench.com", true },
  { "ggdcpt.com", true },
  { "gginin.today", true },
  { "ggl-luzern.ch", true },
  { "ggma.co.uk", true },
  { "ggmmontascale.it", true },
  { "ggobbo.com", true },
  { "ggp2.com", true },
  { "ggs-marschallstrasse.de", true },
  { "ggs.jp", true },
  { "ggservers.com", true },
  { "gha.st", true },
  { "ghaglund.se", true },
  { "ghcif.de", true },
  { "ghini.com", true },
  { "ghislainphu.fr", true },
  { "ghostblog.info", false },
  { "ghostcir.com", true },
  { "ghrelinblocker.info", true },
  { "ghrelinblocker.org", true },
  { "ghuntley.com", false },
  { "giac.org", true },
  { "giacomodrago.com", true },
  { "giacomodrago.it", true },
  { "giacomopelagatti.it", true },
  { "gianproperties.com", true },
  { "giant-panda.com", true },
  { "giant-tortoise.com", true },
  { "gianttree.de", true },
  { "giardinaggio.milano.it", true },
  { "giardinaggio.napoli.it", true },
  { "giardiniere.bologna.it", true },
  { "giardiniere.milano.it", true },
  { "gibraltar.at", true },
  { "gichigamigames.com", true },
  { "gicl.dk", true },
  { "giddyaunt.net", true },
  { "giduv.com", true },
  { "giebel.it", true },
  { "gierds.de", true },
  { "giethoorn.com", true },
  { "giftedconsortium.com", true },
  { "giftking.nl", false },
  { "giftmaniabrilhos.com.br", true },
  { "gifts365.co.uk", true },
  { "giftservices.nl", true },
  { "gig-raiffeisen.de", true },
  { "giga.nl", true },
  { "gigabitz.pw", true },
  { "gigacog.com", true },
  { "gigantism.com", true },
  { "gigawa.lt", true },
  { "gigime.com", true },
  { "gigis-pizzeria.de", true },
  { "gigis.cloud", true },
  { "giglink.club", true },
  { "gigolodavid.be", true },
  { "gigseekr.com", true },
  { "gigtroll.eu", true },
  { "gijsbertus.com", true },
  { "gikovatelojavirtual.com.br", true },
  { "gilangcp.com", true },
  { "gileadpac.com", true },
  { "giliamor.com", true },
  { "gilium.com", true },
  { "gillesdesnoyers.com", true },
  { "gillesmorelle.com", true },
  { "gillmanandsoame.co.uk", true },
  { "gillyscastles.co.uk", true },
  { "gilmoreid.com.au", true },
  { "gilnet.be", true },
  { "gina-architektur.design", true },
  { "ginie.de", true },
  { "ginionusedcars.be", true },
  { "ginja.co.th", true },
  { "ginkel.com", true },
  { "ginnegappen.nl", true },
  { "ginniemae.gov", true },
  { "ginza-luce.net", true },
  { "ginzadelunch.jp", true },
  { "giochi-online.ws", true },
  { "giochiecodici.it", true },
  { "gioielleriamolena.com", true },
  { "giraffeduck.com", true },
  { "giraffeinflatables.co.uk", true },
  { "giraffenland.de", true },
  { "giraffes.org", true },
  { "giri.co", true },
  { "girlan.net", true },
  { "girlsforum.com", true },
  { "girlsgenerationgoods.com", true },
  { "girlsgonesporty.com", true },
  { "girlsnet.work", true },
  { "girlz.jp", true },
  { "girsa.org", true },
  { "girvas.ru", true },
  { "gisgov.be", true },
  { "gisher.org", true },
  { "gistr.io", true },
  { "git.ac.cn", true },
  { "git.market", true },
  { "git.tt", true },
  { "gitar.io", true },
  { "gitep.org.uk", true },
  { "gites-alizea.com", true },
  { "gitesdeshautescourennes.com", true },
  { "github.com", true },
  { "github.party", false },
  { "gitla.in", true },
  { "gitstuff.tk", true },
  { "gittigidiyor.com", true },
  { "gittr.ch", true },
  { "giuem.com", true },
  { "giunchi.net", true },
  { "giuseppemacario.men", true },
  { "givastar.com", true },
  { "give2charity.co", true },
  { "give2charityapp.com", true },
  { "giveattheoffice.org", false },
  { "giveaways.ph", true },
  { "giveme.online", true },
  { "given2.com", true },
  { "givesunlight.com", true },
  { "givingnexus.org", false },
  { "givip.eu", true },
  { "gixtools.co.uk", true },
  { "gixtools.com", true },
  { "gixtools.net", true },
  { "gixtools.uk", true },
  { "gizmo.ovh", true },
  { "gj-bochum.de", true },
  { "gjcampbell.co.uk", true },
  { "gjengset.com", true },
  { "gjspunk.de", false },
  { "gkimanyar.org", true },
  { "gkralik.eu", true },
  { "gkvsc.de", true },
  { "gl.search.yahoo.com", false },
  { "glaciernursery.com", true },
  { "gladwellentertainments.co.uk", true },
  { "glahcks.com", true },
  { "glamguru.co.il", true },
  { "glamguru.world", true },
  { "glamour4you.de", true },
  { "glasdon.com", true },
  { "glasen-hardt.de", true },
  { "glasfaser-im-hanseviertel.de", true },
  { "glasgestaltung.biz", true },
  { "glasner.photo", true },
  { "glass.google.com", true },
  { "glasschmuck-millefiori.de", true },
  { "glavsudexpertiza.ru", true },
  { "glazedmag.fr", true },
  { "glcastlekings.co.uk", true },
  { "gleanview.com", true },
  { "gleich-aluminium-shop.de", true },
  { "glenberviegolfclub.com", true },
  { "glencarbide.com", true },
  { "glendarraghbouncycastles.co.uk", true },
  { "glenhuntlyapartments.com.au", true },
  { "glenshere.com", true },
  { "glevolution.com", true },
  { "glidingshop.cz", true },
  { "glidingshop.de", true },
  { "glidingshop.eu", true },
  { "glloq.org", true },
  { "glob-coin.com", true },
  { "global-adult-webcams.com", true },
  { "global-lights.ma", true },
  { "global-office.com", true },
  { "global-village.koeln", true },
  { "global.hr", true },
  { "globalcanineregistry.com", true },
  { "globalchokepoints.org", true },
  { "globalcomix.com", true },
  { "globalgivingtime.com", true },
  { "globalgovernancewatch.org", true },
  { "globalhealth.gov", true },
  { "globalhorses.de", true },
  { "globalipaction.ch", true },
  { "globalisierung-fakten.de", true },
  { "globalmoneyapp.com", true },
  { "globalonetechnology.com", true },
  { "globalperspectivescanada.com", true },
  { "globalprojetores.com.br", true },
  { "globalresearchcouncil.org", true },
  { "globalresistancecorporation.com", true },
  { "globalventil.com", true },
  { "globcoin.io", true },
  { "globeinform.com", true },
  { "globelink-group.com", true },
  { "glofox.com", true },
  { "gloneta.com", false },
  { "gloomyspark.com", true },
  { "glotech.co.uk", true },
  { "glotechkitchens.co.uk", true },
  { "glotechrepairs.co.uk", true },
  { "glueck-im-norden.de", true },
  { "gluecksgriff-taschen.de", true },
  { "glueckskindter.de", true },
  { "gluedtomusic.com", true },
  { "glutenfreevr.com", true },
  { "glykofridis.nl", true },
  { "glyph.ws", true },
  { "glyxins.com", true },
  { "gm.search.yahoo.com", false },
  { "gmail.com", false },
  { "gmantra.org", true },
  { "gmbh-kiekin.de", true },
  { "gmc.uy", true },
  { "gmccar.it", true },
  { "gmcd.co", true },
  { "gmdu.net", true },
  { "gmind.ovh", true },
  { "gmod.de", true },
  { "gmpark.dk", true },
  { "gmpartsdb.com", true },
  { "gmta.nl", true },
  { "gmw-hannover.de", true },
  { "gmw-ingenieurbuero.de", true },
  { "gmx.at", true },
  { "gmx.ch", true },
  { "gmx.co.uk", true },
  { "gmx.com", true },
  { "gmx.de", true },
  { "gmx.es", true },
  { "gmx.fr", true },
  { "gmx.net", true },
  { "gn00.com", true },
  { "gnax.jp", false },
  { "gnetion.com", true },
  { "gnetwork.eu", true },
  { "gnhub.org", true },
  { "gnilebein.de", true },
  { "gnuand.me", true },
  { "gnucashtoqif.us", true },
  { "gnunet.org", true },
  { "gnuplus.me", true },
  { "gnwp.eu", true },
  { "go-embedded.de", true },
  { "go-zh.org", true },
  { "go.xero.com", false },
  { "goa8.xyz", true },
  { "goalbookapp.com", true },
  { "goalongtravels.com", true },
  { "goanalyse.co.uk", true },
  { "goand.run", true },
  { "goapunks.net", true },
  { "goatbot.xyz", true },
  { "goatcloud.com", true },
  { "gobarrelroll.com", true },
  { "gobouncy.co.uk", true },
  { "gobouncy.com", true },
  { "gobranding.com.vn", true },
  { "gocardless.com", true },
  { "gochu.se", true },
  { "gocleanerslondon.co.uk", true },
  { "god-clan.hu", true },
  { "god-esb.com", true },
  { "godbo9.cc", true },
  { "godbo9.com", true },
  { "godbo9.net", true },
  { "godclan.hu", true },
  { "godesb.com", true },
  { "godesigner.ru", true },
  { "godofnea.com", true },
  { "godrive.ga", true },
  { "godruoyi.com", true },
  { "godsofhell.com", true },
  { "godsofhell.de", true },
  { "goededoelkerstkaarten.nl", true },
  { "goedkopeonesies.nl", true },
  { "goedverzekerd.net", true },
  { "goemail.me", true },
  { "goerres2014.de", true },
  { "goetemp.de", true },
  { "goetic.space", true },
  { "goffrie.com", true },
  { "gofigure.fr", false },
  { "goflo.net", true },
  { "gofoiayourself.org", true },
  { "gogle-analytics.com", true },
  { "gogleapis.com", true },
  { "gogonano.com", true },
  { "gogoodyear.eu", true },
  { "gogrow.com", true },
  { "gogsat.com", true },
  { "gohon.org", true },
  { "gohongi-katakori.com", true },
  { "goingreen.com.au", true },
  { "gokhankesici.com", true },
  { "gokmenguresci.com", true },
  { "gold24.ru", true },
  { "goldcoasthypnotherapyhypnosis.com.au", true },
  { "goldcoaststumpbusters.com", true },
  { "goldegg-training.com", false },
  { "goldenbadger.de", true },
  { "goldendawnapersonalaffair.com", true },
  { "goldenhillsoftware.com", true },
  { "goldenhost.ca", true },
  { "goldenplate.com.sg", true },
  { "goldmark.com.au", true },
  { "goldpreisfinder.at", true },
  { "goldsecurity.com", true },
  { "goldsky.com.au", true },
  { "goldstein.tel", true },
  { "golf18network.com", true },
  { "golf18staging.com", true },
  { "golfburn.com", true },
  { "golfhausmallorca.com", true },
  { "golfpark-bostalsee.de", true },
  { "golfscape.com", true },
  { "golik.net.pl", false },
  { "golser.info", true },
  { "gomasy.jp", true },
  { "gomelchat.com", true },
  { "gommista.roma.it", true },
  { "gondawa.com", true },
  { "gongjianwei.com", true },
  { "gongjuhao.com", true },
  { "gonkar.com", true },
  { "gonx.dk", true },
  { "goo.gl", true },
  { "good-tips.pro", true },
  { "gooday.life", true },
  { "gooddomainna.me", true },
  { "goodenough.nz", false },
  { "goodfeels.net", true },
  { "goodvibesblog.com", true },
  { "google", true },
  { "google-analytics.com", true },
  { "googleandroid.cz", true },
  { "googlemail.com", false },
  { "googleplex.com", true },
  { "googlesource.com", true },
  { "goombi.fr", true },
  { "goonersworld.co.uk", true },
  { "gootlijsten.nl", true },
  { "goozp.com", true },
  { "gopher.tk", true },
  { "goproallaccess.com", true },
  { "goquiq.com", true },
  { "gorakukai.jp", true },
  { "gordonobrecht.com", true },
  { "gordonscouts.com.au", true },
  { "gorf.chat", true },
  { "gorf.club", true },
  { "gorgias.me", true },
  { "gorky.media", true },
  { "gorn.ch", true },
  { "gorschenin.com", true },
  { "gosccs.com", true },
  { "gosciencegirls.com", true },
  { "gosforthdentalsurgery.co.uk", true },
  { "goshawkdb.io", true },
  { "goshin-group.co.jp", true },
  { "goshow.tv", true },
  { "gospelfollower.com", true },
  { "gospelofmark.ch", true },
  { "gospelvestcination.de", true },
  { "gostaffer.com", true },
  { "gostest.org", true },
  { "gosuland.org", true },
  { "got-tty.de", true },
  { "gotech.com.eg", false },
  { "gothamlimo.com", true },
  { "gothic.dating", true },
  { "gotirupati.com", false },
  { "gotmalk.org", true },
  { "goto.google.com", true },
  { "goto.msk.ru", true },
  { "goto.world", true },
  { "gotomi.info", true },
  { "gotowned.org", false },
  { "gotoxy.at", true },
  { "gotrail.fr", true },
  { "goudenharynck.be", true },
  { "gouforit.com", true },
  { "goujianwen.com", true },
  { "goukon.ru", true },
  { "gouldcooksey.com", true },
  { "goup.co", true },
  { "goup.com.tr", true },
  { "gouptime.ml", true },
  { "gourmetfestival.de", true },
  { "gov.tc", true },
  { "governmentjobs.gov", true },
  { "governorhub.com", true },
  { "govisitcostarica.co.cr", true },
  { "govisitcostarica.com", true },
  { "govtjobs.blog", true },
  { "govtrack.us", true },
  { "govype.com", true },
  { "gowe.wang", false },
  { "gowildrodeo.co.uk", true },
  { "gowin9.com", true },
  { "gowin9.net", true },
  { "gowithflo.de", true },
  { "gozenhost.com", true },
  { "gpcsolutions.fr", true },
  { "gpdimaranathasiantar.org", true },
  { "gpfclan.de", true },
  { "gpgscoins.com", true },
  { "gpio.gq", true },
  { "gplans.us", true },
  { "gplintegratedit.com", true },
  { "gpm.ltd", true },
  { "gprs.uk.com", true },
  { "gps.com.br", true },
  { "gpsarena.ro", true },
  { "gpscamera.nl", true },
  { "gpsfix.cz", true },
  { "gpsolarpanels.com", true },
  { "gpsvideocanada.com", true },
  { "gpws.ovh", true },
  { "gr.search.yahoo.com", false },
  { "gra2.com", true },
  { "graasp.net", false },
  { "grabi.ga", true },
  { "grace-wan.com", true },
  { "gracedays.org", true },
  { "gracethrufaith.com", true },
  { "gracetini.com", true },
  { "graciousmay.com", true },
  { "grademymac.com", true },
  { "grademypc.com", true },
  { "gradenotify.com", true },
  { "gradienthosting.co.uk", true },
  { "gradients.com", true },
  { "gradualgram.com", true },
  { "graeber.com", true },
  { "graecum.org", true },
  { "graetnew.com", true },
  { "graf-igor.ch", true },
  { "graf.re", true },
  { "grafcaps.com", true },
  { "graffen.dk", true },
  { "grafmag.pl", true },
  { "grafmurr.de", true },
  { "grafoteka.pl", true },
  { "graft.community", true },
  { "graft.observer", true },
  { "grahamcluley.com", true },
  { "grahamofthewheels.com", true },
  { "grailians.com", true },
  { "graingert.co.uk", true },
  { "graliv.net", false },
  { "gram.tips", true },
  { "gramati.com.br", true },
  { "grammysgrid.com", true },
  { "granary-demo.appspot.com", false },
  { "grancellconsulting.com", true },
  { "grandcafetwist.nl", true },
  { "grandcapital.cn", true },
  { "grandcapital.id", true },
  { "grandcapital.ru", true },
  { "grandcastles.co.uk", true },
  { "grandchene.ch", true },
  { "grandefratellonews.com", true },
  { "grandeto.com", true },
  { "grandjunctionbrewing.com", true },
  { "grandmasfridge.org", true },
  { "grandmusiccentral.com.au", true },
  { "grandpadusercontent.com", true },
  { "grandwailea.com", true },
  { "granfort.es", true },
  { "granian.pro", true },
  { "graniteind.com", true },
  { "grannys-stats.com", true },
  { "grannyshouse.de", true },
  { "grantcooper.com", true },
  { "grantdb.ca", true },
  { "grantmorrison.net", true },
  { "granular.ag", true },
  { "graonatural.com.br", true },
  { "grapee.jp", true },
  { "grapeintentions.com", true },
  { "graphcommons.com", true },
  { "graphene.software", true },
  { "graphire.io", true },
  { "grapholio.net", true },
  { "grasmark.com", true },
  { "grassenberg.de", true },
  { "grasshoppervape.com", true },
  { "grassreinforcement.com.au", true },
  { "gratis-lovecheck.de", true },
  { "gratisrollenspieltag.de", true },
  { "gratiswifivoorjegasten.nl", true },
  { "grattan.co.uk", true },
  { "graumeier.de", true },
  { "gravilink.com", true },
  { "gravitascreative.net", true },
  { "gravitechthai.com", true },
  { "gravity-dev.de", false },
  { "gravity-inc.net", true },
  { "gravityformspdfextended.com", true },
  { "gravitypdf.com", true },
  { "grawe-blog.at", true },
  { "grayclub.co.il", true },
  { "grayhatter.com", true },
  { "graymalk.in", true },
  { "grayowlworks.com", true },
  { "grayscale.co", true },
  { "grayson.sh", true },
  { "grazieitalian.com", true },
  { "grc.com", false },
  { "greatagain.gov", true },
  { "greatergoodoffers.com", true },
  { "greatfire.kr", true },
  { "greatfire.org", true },
  { "greatislandarts.ca", true },
  { "greatlakeside.de", true },
  { "greatlengthshairextensionssalon.com", true },
  { "greatlifeinsurancegroup.com", true },
  { "greboid.co.uk", true },
  { "greboid.com", true },
  { "greditsoft.com", true },
  { "greedbutt.com", true },
  { "greek.dating", true },
  { "green-attitude.be", true },
  { "green-care.nl", true },
  { "green-light.co.nz", true },
  { "greenaddress.it", true },
  { "greencircleplantnursery.com.au", true },
  { "greencircleplantnursery.net.au", true },
  { "greenenergysolution.uk", true },
  { "greener.pl", true },
  { "greenglam.biz", true },
  { "greengoblindev.com", true },
  { "greenhats.de", true },
  { "greenliquidsystem.com", true },
  { "greenlungs.net", true },
  { "greenoutdoor.dk", false },
  { "greenpanda.de", true },
  { "greenpeace-magazin.de", true },
  { "greenpeace.berlin", true },
  { "greenroach.ru", true },
  { "greensdictofslang.com", true },
  { "greensquare.tk", true },
  { "greenteamtwente.nl", true },
  { "greenville.ag", true },
  { "greenwithdecor.com", true },
  { "greer.ru", true },
  { "greg.red", true },
  { "greger.me", true },
  { "gregoirow.be", true },
  { "gregorians.org", true },
  { "gregorkofler.com", true },
  { "gregorykelleher.com", true },
  { "gregoryrealestategroup.com", true },
  { "gregorywiest.com", true },
  { "grenadiercorps-kaarst.de", true },
  { "grenadiere-kaarst.de", true },
  { "grenadierkorps-kaarst.de", true },
  { "grenadierkorps.de", true },
  { "grendel.no", true },
  { "grengine.ch", true },
  { "grepmaste.rs", true },
  { "grepular.com", true },
  { "gresak.io", true },
  { "grexx.co.uk", true },
  { "grexx.de", true },
  { "grexx.nl", true },
  { "grey.house", true },
  { "greybit.net", true },
  { "greyhash.se", true },
  { "greymattertechs.com", true },
  { "greyskymedia.com", true },
  { "greysolutions.it", true },
  { "greywizard.com", true },
  { "grh.am", true },
  { "griassdi-reseller.de", true },
  { "griechische-pfoetchen.de", true },
  { "griecopelino.com", true },
  { "grieg-gaarden.no", true },
  { "grieg.com", true },
  { "grieg.net", true },
  { "grieg.no", true },
  { "grieg.org", true },
  { "griegfoundation.no", true },
  { "grieglogistics.no", true },
  { "griegshipbrokers.com", true },
  { "griegshipbrokers.no", true },
  { "griesser2.de", true },
  { "grifomarchetti.com", true },
  { "grillteller42.de", true },
  { "grimcalc.com", true },
  { "grimm-gastrobedarf.de", true },
  { "grimneko.de", true },
  { "grimstveit.no", true },
  { "grinnellplans.com", true },
  { "gripnijmegen.rip", true },
  { "gritte.ch", true },
  { "grizzlys.com", true },
  { "grmp.fr", true },
  { "grocock.me.uk", true },
  { "groenaquasolutions.nl", true },
  { "groentebesteld.nl", true },
  { "groenteclub.nl", true },
  { "groepjam-usedcars.be", true },
  { "grog.pw", true },
  { "grokker.com", true },
  { "groklearning.com", true },
  { "grolimur.ch", true },
  { "gronau-it-cloud-computing.de", true },
  { "grondius.com", true },
  { "groomershop.ru", true },
  { "grootinadvies.nl", true },
  { "groovydisk.com", true },
  { "groovygoldfish.org", true },
  { "gropp.org", true },
  { "grossberger-ge.org", true },
  { "grossell.ru", true },
  { "groszek.pl", true },
  { "groth.im", true },
  { "groth.xyz", true },
  { "grothoff.org", true },
  { "grouchysysadmin.com", true },
  { "group4layers.net", true },
  { "groupe-neurologique-nord.lu", true },
  { "groupebaillargeon.com", true },
  { "groupghistelinck-cars.be", true },
  { "grouphomes.com.au", false },
  { "groupme.com", true },
  { "groups.google.com", true },
  { "growy.ch", true },
  { "grsecurity.net", true },
  { "gruble.de", true },
  { "gruebebraeu.ch", true },
  { "gruelang.org", true },
  { "gruenderlehrstuhl.de", true },
  { "gruene-im-rvr.de", true },
  { "gruene-wattenscheid.de", true },
  { "gruenes-wp.de", true },
  { "gruenprint.de", true },
  { "gruenstreifen-ev.de", true },
  { "grumpy.fr", true },
  { "grumpygamers.com", true },
  { "grunwaldzki.center", true },
  { "grunwasser.fr", true },
  { "grupomakben.com", true },
  { "grupoparco.com", true },
  { "grusenmeyer.be", true },
  { "gruwa.net", true },
  { "grytics.com", true },
  { "gs-net.at", true },
  { "gs93.de", true },
  { "gscloud.xyz", true },
  { "gsi-network.com", true },
  { "gsimagebank.co.uk", true },
  { "gslink.me", true },
  { "gsmsecurity.net", true },
  { "gsoc.se", true },
  { "gsrc.io", true },
  { "gst.name", true },
  { "gst.priv.at", true },
  { "gt-network.de", true },
  { "gta-arabs.com", true },
  { "gtaforum.nl", true },
  { "gtalife.net", true },
  { "gtchipsi.org", true },
  { "gtcprojects.com", true },
  { "gtdgo.com", true },
  { "gtlaun.ch", true },
  { "gtlfsonlinepay.com", true },
  { "gtmasterclub.it", false },
  { "gtmetrix.com", true },
  { "gtopala.com", true },
  { "gtravers-basketmaker.co.uk", true },
  { "gts-dp.de", true },
  { "gtts.space", true },
  { "guanyembadalona.org", true },
  { "guanzhong.ca", true },
  { "guardian360.nl", true },
  { "guardianproject.info", true },
  { "guardiansoftheearth.org", true },
  { "gubagoo.com", true },
  { "gubagoo.io", true },
  { "gudangpangan.id", true },
  { "gudini.net", true },
  { "gudrun.ml", true },
  { "guegan.de", true },
  { "guelo.ch", true },
  { "guendra.dedyn.io", true },
  { "guenthereder.at", true },
  { "guerrilla.technology", true },
  { "guesthouse-namaste.com", true },
  { "guevener.de", true },
  { "gueze-ardeche.fr", true },
  { "gueze-sas.fr", true },
  { "gufen.ga", true },
  { "guffr.it", true },
  { "guge.ch", true },
  { "gugert.net", true },
  { "guhei.net", true },
  { "guhenry3.tk", true },
  { "guichet-entreprises.fr", true },
  { "guichet-qualifications.fr", true },
  { "guid2steamid.com", true },
  { "guid2steamid.pw", true },
  { "guide-peche-cantal.com", true },
  { "guidechecking.com", true },
  { "guidedselling.net", true },
  { "guideline.gov", true },
  { "guidelines.gov", true },
  { "guideo.ch", true },
  { "guidepointsecurity.com", true },
  { "guides-peche64.com", true },
  { "guidesetc.com", true },
  { "guidetoiceland.is", false },
  { "guildbase.de", true },
  { "guildofmusicsupervisors.co.uk", true },
  { "guillaume-briand.fr", true },
  { "guillaumecote.me", true },
  { "guillaumeperrin.io", true },
  { "guillemaud.me", true },
  { "guim.co.uk", true },
  { "guineapigmustach.es", true },
  { "guishem.com", true },
  { "guitarvolume.com", true },
  { "gulchuk.com", true },
  { "gulenbase.no", true },
  { "gulfstream.ru", true },
  { "gulitsky.me", true },
  { "gumballs.com", true },
  { "gume4you.com", true },
  { "gumi.ca", true },
  { "gunceloyunhileleri.com", true },
  { "guniram.com", true },
  { "gunwatch.co.uk", true },
  { "gunworld.com.au", true },
  { "guochang.xyz", true },
  { "guoke.com", true },
  { "guoliang.me", true },
  { "guozeyu.com", true },
  { "gupfen.ch", true },
  { "guphi.net", false },
  { "gurkan.in", true },
  { "gurmel.ru", true },
  { "gurochan.ch", true },
  { "gurpusmaximus.com", true },
  { "guru-naradi.cz", true },
  { "gurucomi.com", true },
  { "gurueffect.com", true },
  { "gurugardener.co.nz", true },
  { "gus.host", true },
  { "gustaff.de", true },
  { "gustiaux.com", true },
  { "gut8er.com.de", true },
  { "guts.me", true },
  { "guts.moe", true },
  { "gutschein-spezialist.de", true },
  { "gutscheingeiz.de", true },
  { "gutuia.blue", true },
  { "guus-thijssen.nl", true },
  { "guusvandewal.nl", true },
  { "guvernalternativa.ro", true },
  { "guyot-tech.com", true },
  { "gv-neumann.de", true },
  { "gvatas.in", true },
  { "gveh.de", true },
  { "gvi-timing.ch", true },
  { "gviedu.com", true },
  { "gvitiming.ch", true },
  { "gvm.io", true },
  { "gvobgyn.ca", true },
  { "gvt2.com", true },
  { "gvt3.com", true },
  { "gvwgroup.com", true },
  { "gw2efficiency.com", true },
  { "gw2treasures.com", true },
  { "gw2zone.net", true },
  { "gwa-verwaltung.de", true },
  { "gwerder.net", true },
  { "gwhois.org", true },
  { "gwrtech.com", true },
  { "gwsec.co.uk", true },
  { "gyas.nl", true },
  { "gycis.me", false },
  { "gymagine.ch", true },
  { "gymhero.me", true },
  { "gymkirchenfeld.ch", true },
  { "gymnaserenens.ch", true },
  { "gymnasium-farmsen.de", true },
  { "gymnasium-hittfeld.de", true },
  { "gympap.de", true },
  { "gynaecology.co", true },
  { "gypsycatdreams.com", true },
  { "gypsyreel.com", true },
  { "gyre.ch", true },
  { "gyrenens.ch", true },
  { "gyu-raku.jp", true },
  { "gyulakerezsi.ro", true },
  { "gz-architekten.de", true },
  { "gz-benz.com", true },
  { "gz-bmw.com", true },
  { "gza.jp", true },
  { "gzitech.com", true },
  { "gzom.ru", true },
  { "h-jo.net", true },
  { "h-suppo.com", true },
  { "h001.ru", true },
  { "h09.eu", true },
  { "h0r.st", true },
  { "h11.io", true },
  { "h1ctf.com", true },
  { "h1z1swap.com", true },
  { "h24.org", true },
  { "h2s-design.de", true },
  { "h2u.tv", true },
  { "h3artbl33d.nl", true },
  { "h404bi.com", true },
  { "ha-kunamatata.de", true },
  { "ha3.eu", true },
  { "ha6.ru", true },
  { "haarlemsesaxofoonschool.nl", true },
  { "haavard.me", true },
  { "haazen.xyz", true },
  { "habarisoft.com", true },
  { "habbig.cc", true },
  { "habbixed.tk", true },
  { "habbos.es", true },
  { "habitat-domotique.fr", true },
  { "habr.com", true },
  { "habtium.com", true },
  { "habtium.es", true },
  { "habview.net", true },
  { "hacc.top", true },
  { "haccp.bergamo.it", true },
  { "haccp.milano.it", true },
  { "haccp.roma.it", true },
  { "hacettepeteknokent.com.tr", true },
  { "hachre.de", true },
  { "hack.club", true },
  { "hackademix.net", true },
  { "hackanders.com", true },
  { "hackattack.com", true },
  { "hackbarth.guru", true },
  { "hackbeil.name", true },
  { "hackcraft.net", true },
  { "hackdown.me", true },
  { "hackenkunjeleren.nl", true },
  { "hackenturet.dk", true },
  { "hacker.club", true },
  { "hacker.im", true },
  { "hacker.one", true },
  { "hacker.parts", true },
  { "hacker1.com", true },
  { "hacker101.com", true },
  { "hackerchai.com", true },
  { "hackerco.com", true },
  { "hackereyes.com", true },
  { "hackergateway.com", true },
  { "hackerlite.xyz", true },
  { "hackernet.se", true },
  { "hackerone-ext-content.com", true },
  { "hackerone-user-content.com", true },
  { "hackerone.at", true },
  { "hackerone.com", true },
  { "hackerone.net", true },
  { "hackerpoints.com", true },
  { "hackerschat.net", true },
  { "hackerstxt.org", true },
  { "hackgins.com", true },
  { "hackingand.coffee", false },
  { "hackingdh.com", true },
  { "hackmd.io", true },
  { "hackmeimfamo.us", true },
  { "hackreone.com", true },
  { "hacksecu.re", true },
  { "hacksoc.co.uk", true },
  { "hackthissite.org", true },
  { "hacktic.info", true },
  { "hacktivis.me", true },
  { "hackyourfaceoff.com", true },
  { "hadaly.fr", true },
  { "hadleighswimmingclub.co.uk", true },
  { "hadouk.in", true },
  { "hadrons.org", true },
  { "haefligermedia.ch", true },
  { "haehnlein.at", true },
  { "haens.li", true },
  { "haerwu.biz", true },
  { "haferman.net", true },
  { "haferman.org", true },
  { "hafniatimes.com", true },
  { "haggeluring.su", true },
  { "hagueaustralia.com.au", true },
  { "haha-raku.com", true },
  { "hahay.es", true },
  { "haiboxu.com", true },
  { "hail2u.net", true },
  { "hailer.com", true },
  { "haircrazy.com", true },
  { "hairplaybychenellekay.com", true },
  { "hairraisingphotobooths.co.uk", true },
  { "hairtonic-lab.com", true },
  { "haixihui.cn", true },
  { "haizum.pro", true },
  { "hajekj.net", true },
  { "hajnzic.at", true },
  { "hak5.org", true },
  { "hakaru.org", true },
  { "hakase.io", true },
  { "hakase.pw", true },
  { "hakatabijin-mind.com", true },
  { "hake.me", true },
  { "hakurei.moe", true },
  { "hal-9th.space", true },
  { "halacs.hu", true },
  { "haleo.net", true },
  { "half.host", true },
  { "halfco.de", true },
  { "halfhosting.de", true },
  { "halitopuroprodutos.com.br", true },
  { "halkirkbouncycastles.co.uk", true },
  { "halkyon.net", true },
  { "hallelujahsoftware.com", true },
  { "halletienne.fr", true },
  { "hallettxn.com", true },
  { "hallhuber.com", true },
  { "halliday.work", true },
  { "halligladen.de", true },
  { "hallmarkestates.ca", true },
  { "hallucinogen.com", true },
  { "hallucinogens.org", true },
  { "halo.fr", true },
  { "halongbaybackpackertour.com", true },
  { "haloobaloo.com", true },
  { "hamacho-kyudo.com", true },
  { "hamali.bg", true },
  { "hamburgerbesteld.nl", true },
  { "hamcram.io", true },
  { "hamiltonlinen.com", true },
  { "hamiltonmedical.nl", true },
  { "hamish.ca", true },
  { "hammer-corp.com", true },
  { "hammer-schnaps.com", true },
  { "hammer-sms.com", true },
  { "hampl.tv", true },
  { "hampshiretechservices.co.uk", true },
  { "hamsters-uk.org", true },
  { "hana.ondemand.com", true },
  { "hanakaraku.com", true },
  { "hanashi.eu", true },
  { "hancatemc.com", true },
  { "handbrake.fr", true },
  { "handcraft.eu.org", true },
  { "handgelenkbandage-test.de", true },
  { "handinhandfoundation.org.uk", true },
  { "handlecoin.com", true },
  { "handleidingkwijt.com", true },
  { "handmade-workshop.de", true },
  { "handmadegobelin.com", true },
  { "handmadeshoes.pe", true },
  { "handmadetutorials.ro", true },
  { "handyglas.com", true },
  { "handymanlondonplease.co.uk", true },
  { "handynummer.online", true },
  { "handysex.live", true },
  { "handyticket.de", true },
  { "hanfox.co.uk", false },
  { "hanfverband-erfurt.de", true },
  { "hang333.moe", true },
  { "hangar.hosting", true },
  { "hangcapnach.com", true },
  { "hangouts.google.com", true },
  { "hangtenseo.com", true },
  { "hannah.link", true },
  { "hannes-speelgoedencadeautjes.nl", true },
  { "hannoluteijn.nl", true },
  { "hanoibuffet.com", true },
  { "hanover.edu", false },
  { "hansbijster.nl", true },
  { "hansen.hn", true },
  { "hansmund.com", true },
  { "hansolrella.com", true },
  { "hansonian.com", true },
  { "hansvaneijsden.com", true },
  { "hansvaneijsden.nl", true },
  { "hantse.com", true },
  { "hanu.la", true },
  { "hanxv.pw", true },
  { "hanyibo.com", true },
  { "hanys.xyz", true },
  { "hanzubon.jp", true },
  { "hao-zhang.com", true },
  { "haogoodair.ca", true },
  { "haoqi.men", true },
  { "haotown.cn", true },
  { "haozhang.org", true },
  { "haozi.me", true },
  { "hapheemraadssingel.nl", true },
  { "hapijs.cn", true },
  { "hapissl.com", true },
  { "hapivm.com", true },
  { "happy-baby.info", true },
  { "happy-end-shukatsu.com", true },
  { "happyagain.de", true },
  { "happyagain.se", true },
  { "happyandrelaxeddogs.eu", false },
  { "happybounce.co.uk", true },
  { "happycarb.de", true },
  { "happydietplan.com", true },
  { "happydoq.ch", true },
  { "happygadget.me", true },
  { "happyheartsabode.com", true },
  { "happykidscastles.co.uk", true },
  { "happylifestyle.com", true },
  { "happyschnapper.com", true },
  { "happyteamlabs.com", true },
  { "happyukgo.com", true },
  { "hapsana.nl", true },
  { "haptemic.com", true },
  { "haraj.com.sa", true },
  { "harald-d.dyndns.org", true },
  { "harald-pfeiffer.de", true },
  { "harapecorita.com", true },
  { "harbor-light.net", true },
  { "hardeman.nu", true },
  { "hardenize.com", true },
  { "hardertimes.com", true },
  { "hardesec.com", true },
  { "hardez.de", true },
  { "hardfalcon.net", true },
  { "hardforum.com", true },
  { "hardh.at", true },
  { "hardloopfysio.nl", true },
  { "hardrain980.com", true },
  { "hardtfrieden.de", true },
  { "hardtime.ru", true },
  { "haribilalic.com", true },
  { "harilova.fr", true },
  { "harisht.me", false },
  { "haritsa.co.id", true },
  { "harjitbhogal.com", true },
  { "harlor.de", true },
  { "harmfarm.nl", true },
  { "harmoney.co.nz", true },
  { "harmoney.com", true },
  { "harmoney.com.au", true },
  { "harmonyplace.com", true },
  { "haroldsharpe.com", true },
  { "harp.gov", true },
  { "harringtonca.com", true },
  { "harrisonsdirect.co.uk", true },
  { "harrisonswebsites.com", true },
  { "harrisonvillenaz.org", true },
  { "harrymclaren.co.uk", true },
  { "harryphoto.fr", true },
  { "harrypottereditor.com", true },
  { "harrysgardengamehire.co.uk", true },
  { "harrysmallbones.co.uk", true },
  { "harrysqnc.co.uk", true },
  { "hartie95.de", true },
  { "hartlep.email", true },
  { "hartlieb.me", true },
  { "hartzer.com", true },
  { "harukakikuchi.com", true },
  { "haruue.moe", true },
  { "harvestapp.com", true },
  { "harvester.fr", true },
  { "harveyauzorst.com", true },
  { "harveymilton.com", true },
  { "hasdf.de", true },
  { "hasecuritysolutions.com", true },
  { "haselsteiner.me", true },
  { "hash-archive.org", true },
  { "hash.works", true },
  { "hashcat.net", true },
  { "hashes.org", true },
  { "hashi.dk", true },
  { "hashiconf.eu", true },
  { "hashicorp.com", true },
  { "hashimoto-jimusho.com", true },
  { "hashinteractive.com", true },
  { "hashish.net", true },
  { "hashiura.jp", true },
  { "hashnode.com", true },
  { "hashru.nl", true },
  { "hashworks.net", true },
  { "hasilocke.de", true },
  { "haskovec.com", true },
  { "hasselbach-dellwig.de", true },
  { "hatarisecurity.co.ke", true },
  { "hatcherlawgroupnm.com", true },
  { "hatul.info", true },
  { "haucke.xyz", true },
  { "hauntedfishtank.com", false },
  { "hauntedhouserecords.co.uk", true },
  { "haus-garten-test.de", true },
  { "haus-henne.de", true },
  { "haus-zeitlos.de", true },
  { "hausarztpraxis-linn.de", true },
  { "haushenne.de", true },
  { "haustechnik-breu.de", true },
  { "hausundhof.com", true },
  { "hausverbrauch.de", true },
  { "hauswarteam.com", true },
  { "hautaka.com", true },
  { "hautarztzentrum.ch", true },
  { "hauteslatitudes.com", true },
  { "havasuhomepage.com", true },
  { "havasuinsurance.com", true },
  { "havasutacohacienda.com", true },
  { "haveabounce.co.uk", true },
  { "haveforeningen-enghaven.dk", true },
  { "havefunbiking.com", true },
  { "haveibeenpwned.com", true },
  { "havellab.de", true },
  { "havelland-obstler.de", true },
  { "haven-moon.com", true },
  { "haverstack.com", true },
  { "hawaar.com", true },
  { "hawaya.com", true },
  { "hawk-la.com", true },
  { "hawkeyeinsight.com", true },
  { "hawkinsonkiaparts.com", true },
  { "hawkofgeorgia.com", true },
  { "hawksguild.com", true },
  { "haxdroid.com", true },
  { "haxo.nl", false },
  { "hayai.space", true },
  { "hayashi-rin.net", true },
  { "hayden.one", false },
  { "haydenjames.io", true },
  { "hayfordoleary.com", true },
  { "haynes-davis.com", true },
  { "hayvid.com", true },
  { "haz.cat", true },
  { "haze.productions", true },
  { "hazeover.com", true },
  { "hazloconlapix.com", true },
  { "hazukilab.com", true },
  { "hb8522.com", true },
  { "hbkonsult.com", true },
  { "hboeck.de", true },
  { "hbpowell.com", true },
  { "hcaz.io", true },
  { "hcbj.io", true },
  { "hcoe.fi", true },
  { "hd-gaming.com", true },
  { "hd-offensive.at", false },
  { "hd-only.org", true },
  { "hd-outillage.com", true },
  { "hda.me", true },
  { "hdc.cz", true },
  { "hdcenter.cc", true },
  { "hdeaves.uk", true },
  { "hdf.world", true },
  { "hdfgroup.org", true },
  { "hdguru.com", true },
  { "hdhoang.space", true },
  { "hdnastudio.com", true },
  { "hdrsource.com", true },
  { "hdrtranscon.com", true },
  { "hds-lan.de", true },
  { "hdwallpapers.net", true },
  { "hdy.nz", true },
  { "heaaart.com", true },
  { "head.org", true },
  { "head.ru", true },
  { "headjapan.com", true },
  { "headlinepublishing.be", true },
  { "headshopinternational.com", true },
  { "headshotharp.de", true },
  { "healey.io", true },
  { "health-match.com.au", true },
  { "health-plan-news.com", true },
  { "health.gov", true },
  { "health.graphics", true },
  { "healthcare.gov", false },
  { "healtheals.com", true },
  { "healtheffectsofasbestos.com", true },
  { "healthery.com", true },
  { "healthfinder.gov", true },
  { "healthfoam.com", true },
  { "healthgames.co.uk", true },
  { "healthiercompany.com", true },
  { "healthit.gov", true },
  { "healthlabs.com", true },
  { "healthmatchapp.com", true },
  { "healthplansamerica.org", true },
  { "healthstar-dev.io", true },
  { "healthstar.io", true },
  { "healththoroughfare.com", true },
  { "healthy-map.com", true },
  { "healthyfitfood.com", true },
  { "healthypeople.gov", true },
  { "heap.zone", true },
  { "hearmeraw.uk", true },
  { "heart.taxi", true },
  { "heartbeat24.de", true },
  { "heartgames.pl", true },
  { "heartlandbiomed.com", true },
  { "heartmdinstitute.com", true },
  { "heartsintrueharmony.com", true },
  { "heartsucker.com", true },
  { "hearttruth.gov", true },
  { "heartview.com.br", true },
  { "heartwoodart.com", true },
  { "hearty.blog", true },
  { "hearty.cf", true },
  { "hearty.ga", true },
  { "hearty.gq", true },
  { "hearty.me", true },
  { "hearty.ml", true },
  { "hearty.org.tw", true },
  { "hearty.taipei", true },
  { "hearty.tw", true },
  { "hearty.us", true },
  { "heartyapp.com", true },
  { "heartycraft.com", true },
  { "heatershop.co.uk", true },
  { "heatingandairconditioningdallastx.com", true },
  { "heavensattic.co.uk", true },
  { "heavensinferno.net", true },
  { "heavyequipments.org", true },
  { "heayao.com", true },
  { "hebergeurssd.com", true },
  { "hebikhiv.nl", true },
  { "hebingying.cn", true },
  { "hebocon.nl", true },
  { "hebriff.com", true },
  { "hec-espace-entreprise.ch", true },
  { "hec.global", true },
  { "hechamano.es", true },
  { "heckelektro.de", true },
  { "heckerundknopp.de", true },
  { "heckticmedia.com", true },
  { "hectorj.net", true },
  { "hedgeschool.ie", true },
  { "hedonism.org", true },
  { "hedonistic-imperative.com", true },
  { "hedonistic.org", true },
  { "hedonium.com", true },
  { "hedweb.co.uk", true },
  { "hedweb.net", true },
  { "hedweb.org", true },
  { "heeler.blue", true },
  { "heeler.red", true },
  { "heello.es", true },
  { "hefengautoparts.com", true },
  { "heftkaufen.de", true },
  { "hegen.com.pl", false },
  { "hegen.cz", false },
  { "hegen.sk", false },
  { "hegenshop.de", true },
  { "heh.ee", true },
  { "heha.co", false },
  { "heiaheia.com", true },
  { "heid.ws", true },
  { "heidisheroes.org", true },
  { "heijblok.com", true },
  { "heijdel.nl", true },
  { "heikorichter.name", true },
  { "heiland.io", true },
  { "heiliger-gral.info", true },
  { "heilpraxis-bgl.de", true },
  { "heimatverein-eitensheim.de", true },
  { "heimdallr.nl", true },
  { "heimonen.eu", true },
  { "heimprofis.de", true },
  { "heinemann.io", true },
  { "heinemeier.dk", true },
  { "heinpost.nl", false },
  { "heinzelmann.co", true },
  { "heiraten-gardasee.de", true },
  { "heiraten-venedig.de", true },
  { "heissluft-fritteuse.com", true },
  { "heistheguy.com", true },
  { "heitland-it.de", true },
  { "heiwa-valve.co.jp", true },
  { "hejahanif.se", true },
  { "hejianpeng.cn", true },
  { "heka.ai", true },
  { "helber-it-services.de", true },
  { "helden-spielen.de", true },
  { "heldenhalde.de", true },
  { "heldundsexgott.de", true },
  { "heleendebruyne.be", true },
  { "helenaknowledge.com", true },
  { "helenelefauconnier.com", true },
  { "helenkellersimulator.org", true },
  { "helichat.de", true },
  { "helikon.ro", true },
  { "helios4.com", true },
  { "heliosnet.com", true },
  { "heliosvoting.org", true },
  { "helix.am", true },
  { "hellersgas.com", true },
  { "helles-koepfchen.de", true },
  { "helloacm.com", true },
  { "helloanselm.com", true },
  { "hellomouse.net", true },
  { "hellotandem.com", true },
  { "hellsh.com", true },
  { "helmut-a-binser.de", true },
  { "helpconnect.com.au", true },
  { "helpdebit.com", true },
  { "helpfacile.com", true },
  { "helpfixe.com", true },
  { "helpflux.com", true },
  { "helpfute.com", true },
  { "helpgerer.com", true },
  { "helpgoabroad.com", true },
  { "helpmij.cf", true },
  { "helppresta.com", true },
  { "helpscoutdocs.com", true },
  { "helpstarloja.com.br", true },
  { "helpverif.com", true },
  { "helsinki.dating", true },
  { "helup.com", true },
  { "helvella.de", true },
  { "hematoonkologia.pl", true },
  { "hemdal.se", true },
  { "hemnet.se", true },
  { "hen.ne.ke", true },
  { "hendrik.li", true },
  { "hendrinortier.nl", true },
  { "hendyisaac.com", true },
  { "hengelsportdeal.com", true },
  { "hengstumone.com", true },
  { "henhenlu.com", true },
  { "henkboelman.com", true },
  { "henkbrink.com", true },
  { "henker.net", true },
  { "henkverlinde.com", false },
  { "henleybouncycastles.co.uk", true },
  { "hennadesigns.org", true },
  { "hennecke-forstbetrieb.de", true },
  { "henneke.me", true },
  { "henningkerstan.de", true },
  { "hennymerkel.com", true },
  { "henok.eu", true },
  { "henriksen.is", true },
  { "henrikwelk.de", true },
  { "henrilammers.nl", true },
  { "henrock.net", true },
  { "henry.gg", true },
  { "hentaiz.net", true },
  { "hentschke-bau.de", true },
  { "hentschke-betonfertigteilwerk.de", true },
  { "hentschke-invest.de", true },
  { "heppler.net", true },
  { "heptafrogs.de", true },
  { "heptner24.de", true },
  { "her25.com", false },
  { "herbal-id.com", true },
  { "herbandpat.org", true },
  { "herberichfamily.com", true },
  { "herbert.io", true },
  { "herbweb.net", true },
  { "herbweb.org", true },
  { "herculex.fi", true },
  { "herds.eu", true },
  { "herdserv.de", true },
  { "herebedragons.io", true },
  { "herecsrymy.cz", true },
  { "heritagebaptistchurch.com.ph", true },
  { "herkam.pl", true },
  { "hermanbrouwer.nl", true },
  { "hermann.in", true },
  { "hermes-net.de", true },
  { "hermes.cat", true },
  { "herminghaus24.de", true },
  { "herndl.org", true },
  { "herni-kupony.cz", true },
  { "herocentral.de", true },
  { "herohirehq.co.uk", true },
  { "heroiclove.com", true },
  { "heroicpixel.com", true },
  { "heroku.com", true },
  { "herpes-no.com", true },
  { "herr-webdesign.de", true },
  { "herranzramia.com", false },
  { "herrderzeit.de", true },
  { "herrenmuehle-wein.de", true },
  { "herringsresidence.be", true },
  { "herrkaschke.com", true },
  { "herrsmith.com", true },
  { "herrtxbias.net", false },
  { "herrtxbias.org", true },
  { "hertsbouncycastles.com", true },
  { "hertz.bj", true },
  { "herzbotschaft.de", true },
  { "herzfuersoziales.at", true },
  { "herzig.cc", true },
  { "hesaplama.net", true },
  { "hessen-liebe.de", true },
  { "hestervanderheijden.nl", true },
  { "hestia-systeme.be", true },
  { "hestia-systeme.com", true },
  { "hestia-systeme.eu", true },
  { "hestia-systeme.fr", true },
  { "hetene.nl", true },
  { "hethely.ch", true },
  { "hetmer.com", true },
  { "hetmer.cz", true },
  { "hetmer.net", true },
  { "heute-kaufen.de", true },
  { "heute.training", true },
  { "heverhagen.rocks", true },
  { "hevertonfreitas.com.br", true },
  { "hex.bz", true },
  { "hexacon.io", true },
  { "hexadecimal.tech", true },
  { "hexagon-e.com", true },
  { "hexapt.com", true },
  { "hexclock.io", true },
  { "hexcode.in", true },
  { "hexe.net", true },
  { "hexed.it", true },
  { "hexicurity.com", true },
  { "hexid.me", true },
  { "hexieshe.com", true },
  { "hexo.io", true },
  { "hexony.com", true },
  { "hexr.org", true },
  { "hexxagon.com", true },
  { "heyfringe.com", true },
  { "heywood.cloud", true },
  { "hf-tekst.nl", true },
  { "hf51.nl", true },
  { "hflsdev.org", false },
  { "hfox.org", true },
  { "hg.gg", true },
  { "hg.python.org", true },
  { "hg525.com", true },
  { "hgbet.com", true },
  { "hgfa.fi", true },
  { "hgw168.com", true },
  { "hh-medic.com", true },
  { "hhgdo.de", true },
  { "hhhdb.com", true },
  { "hhidr.org", true },
  { "hhmmmm.de", true },
  { "hhs.gov", true },
  { "hibari.moe", true },
  { "hiccupsandjuice.co.uk", true },
  { "hickorywinecellar.com", true },
  { "hicl.org", true },
  { "hicoria.com", true },
  { "hidbo.de", true },
  { "hiddenhillselectrical.com", true },
  { "hiddenmalta.net", true },
  { "hideallip.com", true },
  { "hidedd.com", true },
  { "hideouswebsite.com", true },
  { "hidroshop.com.br", true },
  { "hieu.com.au", true },
  { "higgsboson.tk", true },
  { "higgstools.org", true },
  { "highland-webcams.com", true },
  { "highlandparkcog.org", true },
  { "highlatitudestravel.com", true },
  { "highlegshop.com", true },
  { "highlevelwoodlands.com", true },
  { "highlightsfootball.com", true },
  { "highlnk.com", true },
  { "highperformancehvac.com", true },
  { "highspeed-arnsberg.de", true },
  { "highspeedinternet.my", true },
  { "hightechbasementsystems.com", true },
  { "hightechgadgets.net", true },
  { "highwaytohoell.de", true },
  { "higilopocht.li", true },
  { "higp.de", true },
  { "hijoan.com", true },
  { "hike.pics", true },
  { "hikingguy.com", true },
  { "hilahdih.cz", true },
  { "hilaolu.studio", true },
  { "hilaryhutler.com", true },
  { "hilchenba.ch", true },
  { "hilfe-bei-krebs-vechta.de", true },
  { "hilfreiche-server.tips", true },
  { "hilhorst-uitvaartverzorging.nl", true },
  { "hillcountryoralsurgery.com", true },
  { "hillebrand.io", true },
  { "hillsboroccpa.org", true },
  { "hillstrak.com.au", true },
  { "hilltopcellar.com", true },
  { "hilnu.com", true },
  { "hiltonarubabeachservices.com", true },
  { "himcy.ga", true },
  { "himecorazon.com", true },
  { "himekomi.com", true },
  { "himens.com", true },
  { "hin10.com", true },
  { "hinterhofbu.de", true },
  { "hinterposemuckel.de", true },
  { "hintss.pw", false },
  { "hipi.jp", true },
  { "hippies.com.br", true },
  { "hippo.ge", true },
  { "hippomovers.com", true },
  { "hippopotamuses.org", true },
  { "hips.com", true },
  { "hipstercat.fr", true },
  { "hiqfleet.co.uk", true },
  { "hiqfranchise.co.uk", true },
  { "hiqonline.co.uk", true },
  { "hirake55.com", true },
  { "hiratake.xyz", true },
  { "hire-a-coder.de", true },
  { "hireabouncycastle.net", true },
  { "hireprofs.com", true },
  { "hiresteve.ca", true },
  { "hiresuccessstaffing.com", true },
  { "hiretech.com", true },
  { "hirevets.gov", true },
  { "hirezzportal.com", true },
  { "hiring-process.com", true },
  { "hiromuogawa.com", true },
  { "hirotaka.org", true },
  { "hirzaconsult.ro", true },
  { "hisbrucker.net", true },
  { "hispanic.dating", true },
  { "histocamp.de", true },
  { "histoire-cite.ch", true },
  { "histoire-theatre.com", true },
  { "historia-arte.com", true },
  { "history.google.com", true },
  { "hitandhealth.nl", true },
  { "hiteco.com", true },
  { "hititgunesi-tr.com", true },
  { "hitmanstat.us", true },
  { "hitoapi.cc", true },
  { "hitocom.net.br", true },
  { "hitokoto-mania.com", true },
  { "hitokoto.cn", true },
  { "hitomecha.com", true },
  { "hitrek.ml", true },
  { "hitter-lauzon.com", true },
  { "hitter.family", true },
  { "hitterfamily.com", true },
  { "hiv-symptome.de", true },
  { "hiv.com.tw", true },
  { "hiv.gov", true },
  { "hivatal-info.hu", true },
  { "hivatalinfo.hu", true },
  { "hiverlune.net", true },
  { "hiwiki.tk", true },
  { "hiyacar.co.uk", true },
  { "hiyobi.me", true },
  { "hiyuki2578.net", true },
  { "hizzacked.xxx", true },
  { "hj.rs", true },
  { "hjartasmarta.se", true },
  { "hjf-immobilien.de", true },
  { "hjort.land", true },
  { "hjortland.org", true },
  { "hjw-kunstwerk.de", true },
  { "hk.search.yahoo.com", false },
  { "hkdobrev.com", true },
  { "hkustmbajp.com", true },
  { "hl7999.com", true },
  { "hl8999.com", true },
  { "hlavacek.us", true },
  { "hlavi.hu", true },
  { "hledejlevne.cz", true },
  { "hledejpravnika.cz", true },
  { "hlfh.space", true },
  { "hlidacnajemneho.cz", true },
  { "hlinformatics.nl", true },
  { "hloe0xff.ru", true },
  { "hlsmandarincentre.com", true },
  { "hlucas.de", true },
  { "hm773.net", true },
  { "hmhotelec.com", false },
  { "hmoegirl.com", true },
  { "hms-waldmann.de", true },
  { "hmsseahawk.com", true },
  { "hn.search.yahoo.com", false },
  { "hnfertilizermachine.com", true },
  { "hnyp.hu", true },
  { "hoaas.no", true },
  { "hoahau.org", true },
  { "hoarding.me", true },
  { "hobby-drechselei.de", true },
  { "hobbyspeed.com", true },
  { "hochhaus.us", true },
  { "hochoukikikiraku.com", true },
  { "hochzeit-dana-laurens.de", true },
  { "hochzeitsfotograf-deinfoto.ch", true },
  { "hochzeitsgezwitscher.de", true },
  { "hochzeitsplanerin-hamburg.de", true },
  { "hockeyapp.ch", true },
  { "hockeymotion.ch", true },
  { "hodgephotography.com", true },
  { "hodnos.com", true },
  { "hoe.re", true },
  { "hoeft-autolackierung.de", true },
  { "hoekvanholland.eu", true },
  { "hoelty.network", true },
  { "hoesnelwasik.nl", true },
  { "hoeveiligismijn.nl", true },
  { "hoevenstein.nl", true },
  { "hoewler.ch", true },
  { "hoezzi.nl", true },
  { "hofapp.de", true },
  { "hofauer.de", true },
  { "hoflerlawfirm.com", true },
  { "hogl.dk", true },
  { "hogrebe.de", true },
  { "hogwarts.io", true },
  { "hohm.in", true },
  { "hoiquanadida.com", true },
  { "hoken-wakaru.jp", true },
  { "hokepon.com", true },
  { "hokieprivacy.org", true },
  { "hokify.at", true },
  { "hokify.ch", true },
  { "hokify.de", true },
  { "holad.de", true },
  { "holboxwhalesharktours.com", true },
  { "holebedeljek.hu", true },
  { "holidaysportugal.eu", true },
  { "holisticacupuncture.com.au", true },
  { "holisticdrbright.com", true },
  { "holistichealer.in", true },
  { "holisticon.de", true },
  { "hollerau.de", true },
  { "hollermann.eu", true },
  { "hollo.me", true },
  { "hollowpoint.xyz", true },
  { "hollowrap.com", true },
  { "hollyforrest.ca", true },
  { "hollyforrestphotography.ca", true },
  { "holmesian.org", true },
  { "holmq.dk", true },
  { "holo.ovh", true },
  { "holodeck.us", true },
  { "holofono.com", true },
  { "holoxplor.space", true },
  { "holstphoto.com", true },
  { "holvonix.com", true },
  { "holy-hi.com", true },
  { "holydragoon.jp", true },
  { "holygrail.games", true },
  { "holyhiphopdatabase.com", true },
  { "holymolycasinos.com", true },
  { "holywhite.com", true },
  { "holz.nu", true },
  { "holzheizer-forum.de", true },
  { "holzheizerforum.de", true },
  { "holzschutz-holzbearbeitung.de", true },
  { "holzspielzeug-shop.ch", true },
  { "holzstueckwerk.de", true },
  { "holzundgarten.de", true },
  { "holzvergaser-forum.de", true },
  { "homatism.com", true },
  { "home-craft.de", true },
  { "home-v.ind.in", true },
  { "home-work-jobs.com", true },
  { "homeautomated.com", true },
  { "homebasedsalons.com.au", true },
  { "homebodyalberta.com", true },
  { "homecareassociatespa.com", true },
  { "homecarpetcleaning.co.uk", true },
  { "homecheck.gr", true },
  { "homecoming.city", true },
  { "homefacialpro.com", true },
  { "homegardeningforum.com", true },
  { "homegardenresort.nl", true },
  { "homehuntertoronto.com", true },
  { "homehunting.pt", true },
  { "homeodynamics.com", true },
  { "homeoesp.org", true },
  { "homeofjones.net", true },
  { "homeogenium.com", true },
  { "homeownersinsurancenevada.com", true },
  { "homeownersinsurancenv.com", true },
  { "homepage.shiga.jp", true },
  { "homeprivate.de", true },
  { "homeseller.com", true },
  { "homeserver-kp.de", true },
  { "homesteadfarm.org", true },
  { "homeyou.com", true },
  { "hommeatoutfaire.be", true },
  { "homophoni.com", true },
  { "homyremedies.com", true },
  { "hon-matsuba.co.jp", true },
  { "honda-centrum.cz", true },
  { "hondart.cz", true },
  { "honey.is", true },
  { "honeybadger.io", false },
  { "honeybeard.co.uk", true },
  { "honeycome.net", true },
  { "honeycreeper.com", true },
  { "honeyhaw.com", true },
  { "honeypot.net", true },
  { "hong.io", true },
  { "honkion.net", true },
  { "honovere.de", true },
  { "hontoir.eu", true },
  { "hoodtrader.com", true },
  { "hoofddorp-centraal.nl", true },
  { "hookany.com", true },
  { "hooowl.com", true },
  { "hoopertechnicalsolutions.com", true },
  { "hooplessinseattle.com", true },
  { "hooray.beer", true },
  { "hoorr.com", true },
  { "hootworld.net", false },
  { "hoowhen.cn", true },
  { "hopconseils.ch", true },
  { "hopconseils.com", true },
  { "hope-line-earth.jp", true },
  { "hopesb.org", true },
  { "hopla.sg", true },
  { "hoplongtech.com", true },
  { "hoponmedia.de", true },
  { "hopps.me", true },
  { "hoppyx.com", true },
  { "hopzone.net", true },
  { "hor.website", true },
  { "horaceli.com", true },
  { "horackova.info", true },
  { "hord.ca", true },
  { "horecaapparatuurkobezuijen.nl", true },
  { "horecatiger.eu", true },
  { "horeizai.net", true },
  { "horizonhomes-samui.com", true },
  { "horizonlawncare.tk", true },
  { "horizonshypnosis.ca", true },
  { "horkel.cf", true },
  { "horn.co", true },
  { "hornertranslations.com", true },
  { "horning.co", true },
  { "hornyforhanzo.com", true },
  { "horodance.dk", true },
  { "horrell.ca", true },
  { "horrendous-servers.com", true },
  { "horrorserv.com", true },
  { "horsehunter.co.uk", true },
  { "horstmanshof.eu", true },
  { "horza.org", true },
  { "hoshimaq.com.br", true },
  { "hoshimaquinas.com.br", true },
  { "hoshinplan.com", true },
  { "hoshisato.com", true },
  { "hosiet.me", true },
  { "hosmussynergie.nl", false },
  { "hospitalhomelottery.org", true },
  { "hostadvice.com", true },
  { "hostarea51.com", true },
  { "hostcoz.com", true },
  { "hosteasy.nl", false },
  { "hostedbgp.net", true },
  { "hostedcomments.com", true },
  { "hostedtalkgadget.google.com", true },
  { "hostfission.com", true },
  { "hostgigz.com", true },
  { "hostingactive.it", true },
  { "hostinghelp.guru", true },
  { "hostinginnederland.nl", true },
  { "hostinglogin.net", true },
  { "hostingphp.ch", true },
  { "hostingpunt.be", true },
  { "hostingsolutions.cz", true },
  { "hostix.de", true },
  { "hostma.ma", true },
  { "hostme.co.il", false },
  { "hostmijnpagina.nl", true },
  { "hostmodern.com.au", true },
  { "hosts.cf", true },
  { "hostserv.org", true },
  { "hostworkz.com", true },
  { "hosyaku.gr.jp", true },
  { "hotcandlestick.com", true },
  { "hotchillibox.com", true },
  { "hotel-kronjuwel.de", true },
  { "hotel-le-vaisseau.ch", true },
  { "hotel-pension-sonnalp.eu", true },
  { "hotelamgarnmarkt.at", false },
  { "hotelcoliber.pl", true },
  { "hotelflow.com.br", true },
  { "hotelident.de", true },
  { "hotelmap.com", true },
  { "hotels-insolites.com", true },
  { "hotelsinbuxton.com", true },
  { "hotelsinformer.com", true },
  { "hotelsinncoventry.com", true },
  { "hotelvalena.com", true },
  { "hotelvillaluisa.de", true },
  { "hotesb.com", true },
  { "hotesb.net", true },
  { "hothbricks.com", true },
  { "hotnewhiphop.com", true },
  { "hoto.us", true },
  { "hoton.in", true },
  { "hotplate.co.nz", true },
  { "hotplug.gr", true },
  { "hottaro.com", true },
  { "hottestwebcamgirls.org", true },
  { "hottheme.net", true },
  { "hotting.nl", true },
  { "hottubhirenewcastle.co.uk", true },
  { "hottubspasnewcastle.co.uk", true },
  { "houdremont-la-courneuve.info", true },
  { "houraiteahouse.net", true },
  { "house-of-japan.co.jp", true },
  { "house-sparrow.com", true },
  { "houseboydesigns.com", true },
  { "housekeeperlondon.co.uk", true },
  { "houseofherbs.gr", true },
  { "houseofhouston.com", true },
  { "houser.lu", true },
  { "housese.at", true },
  { "housetalk.ru", true },
  { "houstonapartmentinsiders.com", true },
  { "houstonauthorizedrepair.com", true },
  { "houstoncreditlaw.com", true },
  { "houtinee.com", true },
  { "how2play.pl", true },
  { "howa-n.net", true },
  { "howardtyson.com", true },
  { "howbehealthy.com", true },
  { "howbigismybuilding.com", true },
  { "howgoodwasmysex.com", true },
  { "howlongtobeatsteam.com", true },
  { "howmanymilesfrom.com", true },
  { "howsecureismypassword.net", true },
  { "howsmyssl.com", true },
  { "howsmytls.com", true },
  { "howsyourhealth.org", true },
  { "howtofreelance.com", true },
  { "howtogeek.com", true },
  { "howtogeekpro.com", true },
  { "howtogosolar.org", true },
  { "howtoinstall.co", true },
  { "howtolaser.com", true },
  { "hozana.si", false },
  { "hp-work.net", true },
  { "hp42.de", true },
  { "hpac-portal.com", true },
  { "hpbn.co", true },
  { "hpeditor.tk", true },
  { "hpepub.com", false },
  { "hpisavageforum.com", true },
  { "hpkp-faq.de", true },
  { "hpnow.com.br", true },
  { "hqq.tv", true },
  { "hquest.pro.br", true },
  { "hqwebhosting.tk", false },
  { "hr98.xyz", true },
  { "hrabogados.com", true },
  { "hraesvelg.net", true },
  { "hranicka.cz", true },
  { "hrbatypes.cz", true },
  { "hrdns.de", false },
  { "href.one", true },
  { "hreflang.info", true },
  { "hrjfeedstock.com", true },
  { "hrjfeedstock.org", true },
  { "hrobert.hu", true },
  { "hroling.nl", true },
  { "hroschyk.cz", true },
  { "hru.gov", true },
  { "hryniewski.net", true },
  { "hryx.net", true },
  { "hs-arbeitsschutz.de", true },
  { "hs-group.net", true },
  { "hs-umformtechnik.de", true },
  { "hscorp.de", true },
  { "hsivonen.com", true },
  { "hsivonen.fi", true },
  { "hsivonen.iki.fi", true },
  { "hsmr.cc", true },
  { "hsn.com", true },
  { "hsr.gov", true },
  { "hstsfail.appspot.com", true },
  { "hstspreload.appspot.com", true },
  { "hstspreload.com", true },
  { "hstspreload.de", true },
  { "hstspreload.me", true },
  { "hstspreload.org", true },
  { "hsulei.com", true },
  { "hszemi.de", true },
  { "htaccessbook.com", true },
  { "htaps.com", true },
  { "hte.ovh", true },
  { "htlball.at", true },
  { "html5.org", true },
  { "html5media.info", true },
  { "htmlacademy.ru", true },
  { "htmlvalidator.com", true },
  { "htmlyse.com", true },
  { "htmue.net", true },
  { "htmue.org", true },
  { "http2.eu", true },
  { "http2.pro", true },
  { "https.dk", true },
  { "https.jetzt", true },
  { "https.ren", true },
  { "https4all.org", true },
  { "httpsecured.net", true },
  { "httpsecurityreport.com", true },
  { "httpsnow.com", true },
  { "httpsnow.org", true },
  { "httpswatch.ca", true },
  { "httpswatch.com", true },
  { "hu.search.yahoo.com", false },
  { "hu8518.com", true },
  { "hu8555.com", true },
  { "hu8588.com", true },
  { "hu8777.com", true },
  { "hu8bet.com", true },
  { "hua-in.com", true },
  { "hua-in.net", true },
  { "hua-li88.com", true },
  { "hua-li88.net", true },
  { "huagati.com", true },
  { "huahinpropertylisting.com", true },
  { "huangh.com", true },
  { "huangjingjing.com", true },
  { "huangting.me", true },
  { "huashan.co.uk", true },
  { "huaxueba.com", true },
  { "hub.org.ua", true },
  { "hub385.com", true },
  { "hubok.net", true },
  { "hubrecht.at", true },
  { "hubrick.com", true },
  { "huchet.me", true },
  { "hudebnibazarmixer.cz", true },
  { "hudingyuan.cn", true },
  { "hudrydum.cz", true },
  { "hudsonfaceandeye.com", true },
  { "huduser.gov", true },
  { "huendeleskopfhuette.de", true },
  { "huersch.com", true },
  { "huffduffer.com", true },
  { "hughtodd.ink", true },
  { "hugi.is", true },
  { "huglen.info", true },
  { "hugofs.com", true },
  { "hugolynx.fr", true },
  { "huguesblanchard.paris", true },
  { "huguesditciles.com", true },
  { "hui-in.com", true },
  { "hui-in.net", true },
  { "huihui.moe", true },
  { "huirongis.me", true },
  { "huisartsenpraktijkheemraadssingel.nl", true },
  { "huisartsenpraktijksonmezer.nl", true },
  { "huisjeboompje-baby.nl", true },
  { "huislaw.com", true },
  { "huislijn.nl", true },
  { "huissier-vosges.com", true },
  { "huitaodang.com", true },
  { "hukutuu.com", true },
  { "hulet.tech", true },
  { "hulldevs.net", true },
  { "hulpbijmarketing.nl", true },
  { "hulsoft.co.uk", true },
  { "human-clone.com", true },
  { "humanenrich.com", true },
  { "humanesources.com", true },
  { "humanity.com", true },
  { "humankode.com", true },
  { "humans.io", true },
  { "humanzee.com", true },
  { "humblebee.at", true },
  { "humblebee.be", true },
  { "humblebee.bg", true },
  { "humblebee.ch", true },
  { "humblebee.co.in", true },
  { "humblebee.co.uk", true },
  { "humblebee.com.mx", true },
  { "humblebee.com.ph", true },
  { "humblebee.cz", true },
  { "humblebee.dk", true },
  { "humblebee.es", true },
  { "humblebee.eu", true },
  { "humblebee.foundation", true },
  { "humblebee.fr", true },
  { "humblebee.gr", true },
  { "humblebee.hu", true },
  { "humblebee.ie", true },
  { "humblebee.it", true },
  { "humblebee.me.uk", true },
  { "humblebee.nz", true },
  { "humblebee.pl", true },
  { "humblebee.uk", true },
  { "humblebee.us", true },
  { "humblebeeshop.ca", true },
  { "humblebeeshop.com.au", true },
  { "humboldtmfg.com", true },
  { "hummy.tv", true },
  { "humorce.com", true },
  { "humpchies.com", true },
  { "humpen.se", true },
  { "humppakone.com", true },
  { "hund.io", true },
  { "hundeformel.de", true },
  { "hundesport-psvhalle.de", true },
  { "hundeverwaltung.de", true },
  { "hundter.com", true },
  { "hunqz.com", true },
  { "hunstoncanoeclub.co.uk", true },
  { "hunter.io", true },
  { "hunterkehoe.com", true },
  { "huntexpired.com", true },
  { "huntingdonbouncers.co.uk", true },
  { "huntingdonlifesciences.com", true },
  { "huoduan.com", true },
  { "hup.hu", true },
  { "hupp.se", true },
  { "hurd.is", true },
  { "huren.nl", true },
  { "huroji.com", true },
  { "hurricanelabs.com", false },
  { "husakbau.at", true },
  { "hushfile.it", true },
  { "husic.net", false },
  { "huskyinc.us", true },
  { "hussam.eu.org", true },
  { "hustle.com", true },
  { "hustle.life", true },
  { "hustlehope.com", true },
  { "hustunique.com", true },
  { "huto.ml", true },
  { "huurwoordenaar.nl", true },
  { "huutonauru.net", true },
  { "huwcbjones.co.uk", true },
  { "huwcbjones.uk", true },
  { "hvdbox.de", true },
  { "hverdagogkink.no", true },
  { "hvh.no", true },
  { "hvmk.nl", true },
  { "hvrint.de", true },
  { "hvtuananh.com", true },
  { "hwaddress.com", true },
  { "hwag-pb.de", true },
  { "hwinfo.com", true },
  { "hx53.de", true },
  { "hxsf.me", true },
  { "hxying.com", true },
  { "hybridiyhdistys.fi", true },
  { "hybridklubben.fi", true },
  { "hybridworx.com", true },
  { "hybridworx.de", true },
  { "hybridworx.eu", true },
  { "hybridworx.net", true },
  { "hybridworx.org", true },
  { "hybula.com", true },
  { "hycken.com", true },
  { "hyckenberg.com", true },
  { "hydai.co", true },
  { "hyderabadonlinegifts.com", true },
  { "hydrasolutions.de", true },
  { "hydrazin.pw", true },
  { "hydro17.com", true },
  { "hydroagro.pl", true },
  { "hydrocloud.net", true },
  { "hydrographicsocietybenelux.eu", true },
  { "hydroturbine.info", true },
  { "hydrozone.fr", true },
  { "hyec.jp", true },
  { "hyeok.org", true },
  { "hygo.com", true },
  { "hyk.me", true },
  { "hylemorphica.org", true },
  { "hylians.com", true },
  { "hymerscollege.co.uk", true },
  { "hynek.me", true },
  { "hype.ru", true },
  { "hypemgmt.com", true },
  { "hyper-text.org", true },
  { "hyperalgesia.com", true },
  { "hyperautomotive.com.au", true },
  { "hyperbolic-mayonnaise-interceptor.ovh", true },
  { "hyperion.io", true },
  { "hyperporn.net", true },
  { "hyperreal.biz", true },
  { "hypersomnia.com", true },
  { "hyperthymia.com", true },
  { "hyphen.co.za", true },
  { "hyphenpda.co.za", true },
  { "hypotecnicentrum.cz", true },
  { "hypothecairelening.net", true },
  { "hypotheekbond.nl", true },
  { "hypothes.is", true },
  { "hypothyroidmom.com", true },
  { "hyundai.no", true },
  { "hyvinvointineuvoja.fi", true },
  { "hztgzz.com", false },
  { "i--b.com", true },
  { "i-aloks.ru", true },
  { "i-geld.de", true },
  { "i-hakul.net", true },
  { "i-logic.co.jp", true },
  { "i-meto.com", true },
  { "i-office.com.vn", true },
  { "i-proswiss.com", true },
  { "i-red.info", true },
  { "i-scream.space", true },
  { "i-sports.cz", true },
  { "i-stuff.site", true },
  { "i-telligence.de", true },
  { "i-verbi.it", true },
  { "i00.eu", true },
  { "i1314.gdn", true },
  { "i1place.com", true },
  { "i28s.com", true },
  { "i2b.ro", true },
  { "i5y.co.uk", true },
  { "i5y.org", true },
  { "i879.com", true },
  { "i9multiequipamentos.com.br", true },
  { "ia.net", true },
  { "iaco.li", true },
  { "iactu.info", true },
  { "iaeste.no", true },
  { "iaeste.or.jp", true },
  { "iahemobile.net", true },
  { "iain.tech", true },
  { "iainsimms.co.uk", true },
  { "iainsimms.com", true },
  { "iainsimms.me", true },
  { "ialis.me", true },
  { "iam.soy", true },
  { "iambozboz.co.uk", true },
  { "iamcarrico.com", true },
  { "iamhansen.xyz", true },
  { "iamjoshellis.com", true },
  { "iamle.com", true },
  { "iamtheib.me", true },
  { "iamusingtheinter.net", true },
  { "iamwoodbeard.com", true },
  { "ian.sh", true },
  { "iandouglasscott.com", true },
  { "iane-ccs.com", true },
  { "ianix.com", true },
  { "ianjmoriarty.com", true },
  { "iankmusic.com", true },
  { "ianmooreis.me", true },
  { "ianmoriarty.com.au", true },
  { "ianwalsh.org", true },
  { "iap.network", true },
  { "ias-gruppe.net", true },
  { "iavian.com", true },
  { "iba.community", true },
  { "ibacktraced.it", true },
  { "ibaq.nl", true },
  { "ibcmed.org", true },
  { "iberiaversicherungen.com", true },
  { "ibexcore.com", true },
  { "ibin.co", true },
  { "ibiz.mk", true },
  { "ibnw.de", true },
  { "ibox.ovh", true },
  { "ibpegasus.tk", true },
  { "ibpsrecruitment.co.in", true },
  { "ibrainmedicine.org", true },
  { "ibrom.eu", true },
  { "ibwc.gov", true },
  { "ibwin.com", true },
  { "ic-lighting.com.au", true },
  { "ic3.gov", true },
  { "icafecash.com", true },
  { "icanhasht.ml", true },
  { "icarlos.net", true },
  { "icbemp.gov", true },
  { "iccpublisher.com", true },
  { "ice.xyz", true },
  { "iceberg.academy", true },
  { "icebook.co.uk", true },
  { "icecars.net", true },
  { "icedream.tech", true },
  { "ich-hab-die-schnauze-voll-von-der-suche-nach-ner-kurzen-domain.de", true },
  { "ich-tanke.de", true },
  { "ichasco.com", true },
  { "ichbinkeinreh.de", true },
  { "ichmachdas.net", true },
  { "ichronos.net", true },
  { "iclinic.ua", true },
  { "icloudlogin.com", true },
  { "icmhd.ch", true },
  { "icmp2018.org", true },
  { "icnsoft.me", true },
  { "icnsoft.org", true },
  { "icodeconnect.com", true },
  { "icoh.it", true },
  { "icondoom.nl", true },
  { "iconomi.net", true },
  { "icowhitepapers.co", true },
  { "icq-project.net", true },
  { "icsadviseurs.nl", true },
  { "icsfinomornasco.gov.it", true },
  { "icsfinomornasco.it", true },
  { "ict-concept.nl", false },
  { "ict-crew.nl", true },
  { "ict-radar.com", true },
  { "ict-radar.nl", true },
  { "ictcareer.ch", true },
  { "ictinforensics.org", true },
  { "ictl.eu", true },
  { "ictradar.com", true },
  { "icyapril.com", true },
  { "icymint.me", true },
  { "iczc.cz", true },
  { "id-blog.ch", true },
  { "id.atlassian.com", true },
  { "id.mayfirst.org", false },
  { "id.search.yahoo.com", false },
  { "id0-rsa.pub", true },
  { "id7.fr", true },
  { "idaeus.eu", true },
  { "idafauziyah.com", true },
  { "idahoansforliberty.net", true },
  { "idaspis.com", true },
  { "idatha.de", true },
  { "idc-business.be", true },
  { "idconsult.nl", true },
  { "iddconnect.com", true },
  { "iddconnect.org", true },
  { "idealinflatablehire.co.uk", true },
  { "idealninajemce.cz", false },
  { "idealtruss.com", true },
  { "idealtruss.com.tw", true },
  { "idealvenir.com", true },
  { "idealwhite.space", true },
  { "ideashop.com", true },
  { "ideaweb.de", true },
  { "idenamaislami.com", true },
  { "idensys.nl", true },
  { "ident-clinic.be", true },
  { "identifyme.net", true },
  { "identitytheft.gov", true },
  { "idered.net", true },
  { "idesignstudio.de", true },
  { "idexxpublicationportal.com", true },
  { "idgard.de", false },
  { "idgateway.co.uk", true },
  { "idhosts.co.id", true },
  { "idlethoughtsandramblings.com", true },
  { "idmanagement.gov", true },
  { "idmobile.co.uk", true },
  { "idndx.com", true },
  { "idoc24.com", true },
  { "idolf.dk", true },
  { "idolish7.fun", true },
  { "idolshop.dk", true },
  { "idolshop.me", true },
  { "idontplaydarts.com", true },
  { "idranktoomuch.coffee", true },
  { "idraulico-roma.it", true },
  { "idraulico-roma.org", true },
  { "idraulico.roma.it", true },
  { "idrinktoomuch.coffee", true },
  { "idrissi.eu", true },
  { "idrycleaningi.com", true },
  { "idsoccer.com", true },
  { "idtheft.gov", true },
  { "idubaj.cz", true },
  { "idunno.org", true },
  { "idvl.de", true },
  { "ie.search.yahoo.com", false },
  { "iea-annex61.org", true },
  { "iec.pe", true },
  { "ieeesb.nl", true },
  { "ieeesbe.nl", true },
  { "ieeespmb.org", true },
  { "ieji.de", false },
  { "iemas.azurewebsites.net", true },
  { "iemb.tk", true },
  { "ienakanote.com", false },
  { "ietsdoenofferte.nl", true },
  { "ieval.ro", true },
  { "iewar.com", true },
  { "iexpert9.com", true },
  { "ifamily.top", false },
  { "ifconfig.co", true },
  { "ifelse.io", true },
  { "ifengge.cn", true },
  { "ifengge.me", true },
  { "ifibe.com", true },
  { "ifightsurveillance.com", true },
  { "ifightsurveillance.net", true },
  { "ifightsurveillance.org", true },
  { "ifixe.ch", true },
  { "iflare.de", true },
  { "ifort.fr", true },
  { "ifosep.fr", true },
  { "ifoss.me", true },
  { "ifreetion.cn", true },
  { "ifsac.org", true },
  { "ifsclist.com", true },
  { "ifsr.de", true },
  { "iftarsaati.org", true },
  { "iftrue.de", true },
  { "ifyou.live", true },
  { "ig.com", true },
  { "iga-semi.jp", true },
  { "igaryhe.io", true },
  { "igcc.jp", true },
  { "igglabs.com", true },
  { "iggprivate.com", true },
  { "iggsoft.com", true },
  { "iggsoftware.com", true },
  { "igiftcards.de", true },
  { "igimusic.com", true },
  { "igk.nz", true },
  { "igm-be.ch", true },
  { "igmus.org", true },
  { "ignace72.eu", true },
  { "ignacjanskiednimlodziezy.pl", true },
  { "ignat.by", true },
  { "ignatovich.me", true },
  { "ignet.gov", true },
  { "ignitedmindz.in", true },
  { "igorw.org", true },
  { "igotoffer.com", false },
  { "igrivi.com", true },
  { "igsmgmt.com", true },
  { "iguana.com.ec", false },
  { "ih8sn0w.com", true },
  { "iha6.com", true },
  { "ihc.im", false },
  { "ihkk.net", true },
  { "ihoey.com", true },
  { "ihollaback.org", true },
  { "ihopeit.works", true },
  { "ihostup.net", true },
  { "ihrhost.com", true },
  { "iiit.pl", true },
  { "iilin.com", false },
  { "iirii.com", true },
  { "iix.se", true },
  { "ijm.io", true },
  { "ijohan.nl", true },
  { "ijsblokjesvormen.nl", true },
  { "ijsclubtilburg.nl", true },
  { "ijunohana.jp", true },
  { "ikachalife.com", true },
  { "ikarate.ru", true },
  { "ike.io", true },
  { "ikeacareers.co.uk", true },
  { "ikeyless.com", true },
  { "ikigaiweb.com", true },
  { "ikiler.com", true },
  { "ikinokori-marketing.com", true },
  { "ikk.me", true },
  { "ikkatsu-satei.jp", true },
  { "ikkbb.de", true },
  { "ikkev.de", true },
  { "ikkoku.de", true },
  { "iklive.org", false },
  { "ikulist.me", true },
  { "ikvts.de", true },
  { "ikwilthepiratebay.org", true },
  { "ila.fi", true },
  { "ilamparas.at", true },
  { "ilamparas.co.uk", true },
  { "ilamparas.com", true },
  { "ilamparas.com.co", true },
  { "ilamparas.com.ve", true },
  { "ilamparas.mx", true },
  { "ilard.fr", true },
  { "ilazycat.com", true },
  { "ile-kalorii.pl", true },
  { "ile-sapporo.jp", true },
  { "ilektronika-farmakeia-online.gr", true },
  { "ilemonrain.com", false },
  { "ilhan.name", true },
  { "iligang.cn", true },
  { "illambias.ch", true },
  { "illegalpornography.com", true },
  { "illegalpornography.me", true },
  { "illerzell.de", true },
  { "illich.cz", true },
  { "illicitart.ca", true },
  { "illicitdigital.com", true },
  { "illjinx.info", true },
  { "illorenese.fr", true },
  { "illsley.org", true },
  { "illumed.net", true },
  { "illuminationis.com", true },
  { "illusionephemere.com", true },
  { "illustrate.biz", true },
  { "illuxat.com", true },
  { "ilmataat.ee", true },
  { "ilmiobusinessonline.it", true },
  { "ilmiogiardiniere.it", true },
  { "ilmuk.org", false },
  { "iloilofit.org", true },
  { "ilove.fish", true },
  { "ilrg.com", true },
  { "iltec-prom.ru", true },
  { "iltec.ru", true },
  { "iltisim.ch", true },
  { "ilweb.es", true },
  { "ilya.pp.ua", true },
  { "im-c-shop.com", true },
  { "im2net.com", true },
  { "im66.net", false },
  { "ima-tourcoing.fr", true },
  { "imacs.org", true },
  { "imadalin.ro", true },
  { "image-drive.de", true },
  { "image.tf", true },
  { "imagebin.ca", true },
  { "imagefu.com", true },
  { "imageination.co", true },
  { "imagerive.ch", true },
  { "imagescostumes.com", true },
  { "imaginair.es", true },
  { "imaginary.ca", true },
  { "imaginary.stream", true },
  { "imagine-programming.com", true },
  { "imaginetricks.com", true },
  { "imagr.io", true },
  { "imanesdeviaje.com", true },
  { "imarkethost.co.uk", true },
  { "imask.ml", true },
  { "imawhale.com", true },
  { "imbianchino.roma.it", true },
  { "imbrian.org", true },
  { "imbushuo.net", true },
  { "imcsx.co", true },
  { "imedi.it", true },
  { "imediafly.com", true },
  { "imedikament.de", true },
  { "imeds.pl", true },
  { "imefuniversitario.org", true },
  { "imeid.de", true },
  { "imex-dtp.com", true },
  { "imforza.com", true },
  { "img.mg", true },
  { "imga.ch", true },
  { "imgaa.com", true },
  { "imgbb.com", true },
  { "imgg.es", true },
  { "imguoguo.com", true },
  { "imguploaden.nl", true },
  { "imi-rhapsody.eu", true },
  { "imirhil.fr", true },
  { "imitza.com", true },
  { "imjad.cn", true },
  { "imjo.in", true },
  { "imjustcreative.com", true },
  { "imkerei-freilinger.de", false },
  { "imkerverein-moenchswald.de", true },
  { "imlinan.com", true },
  { "imlonghao.com", true },
  { "immaterium.de", true },
  { "immaternity.com", true },
  { "immersion-pictures.com", true },
  { "immersivewebportal.com", true },
  { "immigrationdirect.com.au", true },
  { "immo-agentur.com", true },
  { "immo-passion.net", true },
  { "immo-vk.de", true },
  { "immobiliarecapitani.com", true },
  { "immobilien-badlippspringe.de", true },
  { "immobilien-in-istanbul.de", true },
  { "immobilier-nice.fr", true },
  { "immobilier92.net", true },
  { "immobiza.com", false },
  { "immortal.run", true },
  { "imobile3.com", true },
  { "imokuri123.com", true },
  { "imoner.com", true },
  { "imouto.my", false },
  { "imouyang.com", true },
  { "impact.health.nz", true },
  { "impacter.eu", true },
  { "impactfestival.be", true },
  { "impactpub.ch", true },
  { "impakho.com", true },
  { "impas.se", true },
  { "impelup.com", true },
  { "imperdin.com", true },
  { "imperial-legrand.com", true },
  { "imperialmiami.com", true },
  { "imperiumglass.com.au", true },
  { "imperiumnova.info", true },
  { "impex.com.bd", true },
  { "impiantistica.org", true },
  { "implantologie-dr-loeck.de", true },
  { "implicitdenial.com", true },
  { "import-shopping.de", true },
  { "impotsimple.ca", true },
  { "imppac-schmuck.de", true },
  { "imppac.de", true },
  { "imprendo.co", true },
  { "imprendo.pro", true },
  { "impresa-di-pulizie.org", true },
  { "impresa-pulizie.it", true },
  { "impresaedile.roma.it", true },
  { "imprimante-3d-store.fr", true },
  { "improklinikken.dk", true },
  { "improved-madness.de", true },
  { "improvingwp.com", true },
  { "impulsionsa.com", true },
  { "impyus.com", true },
  { "imreh.net", true },
  { "imrunner.com", true },
  { "imrunner.ru", true },
  { "ims-sargans.ch", true },
  { "imscompany.com", true },
  { "imwnk.cn", true },
  { "imydl.com", true },
  { "imyunya.com", true },
  { "imyvm.com", true },
  { "imyz.tw", true },
  { "in-depthoutdoors.com", true },
  { "in-flames.com", true },
  { "in.search.yahoo.com", false },
  { "in.xero.com", false },
  { "in10tion.com", false },
  { "inabox.ro", true },
  { "inait.ai", true },
  { "inandeyes.com", true },
  { "inanyevent.london", true },
  { "inares.org", true },
  { "inbitcoin.it", true },
  { "inbounder.io", true },
  { "inbox-group.com", true },
  { "inbox.google.com", true },
  { "inbulgaria.info", true },
  { "incarna.co", true },
  { "inchcape-fleet-autobid.co.uk", true },
  { "inchenaim.com", true },
  { "incoherent.ch", true },
  { "incommon.io", true },
  { "inconcerts.de", true },
  { "incontrixsingle.net", true },
  { "incowrimo.org", true },
  { "incparadise.net", true },
  { "incubos.org", true },
  { "ind.ie", true },
  { "indarceky.sk", false },
  { "indecipherable.info", true },
  { "independencerecovery.com", true },
  { "independent-operators.com", true },
  { "indexyz.me", true },
  { "indiaflowermall.com", true },
  { "indian-elephant.com", true },
  { "indianaantlersupply.com", true },
  { "indianaberry.com", true },
  { "indiawise.co.uk", true },
  { "indiayogastudio.net", true },
  { "indicateurs-flash.fr", true },
  { "indiegame.space", true },
  { "indievelopment.nl", true },
  { "indigoinflatables.com", true },
  { "indigosakura.com", true },
  { "indiraactive.com", true },
  { "indiroyunu.com", true },
  { "inditip.com", true },
  { "indochina.io", true },
  { "indogerman.de", true },
  { "indogermanstartup.com", true },
  { "indogermantrade.de", true },
  { "indoorplantsexpert.com", true },
  { "indostar303.com", true },
  { "indovinabank.com.vn", true },
  { "indusap.com", true },
  { "indusfastremit-us.com", true },
  { "indusfastremit.com", true },
  { "indust.me", true },
  { "industrialstarter.com", true },
  { "industriasrenova.com", true },
  { "indybay.org", true },
  { "ineardisplay.com", true },
  { "inebula.it", true },
  { "inesfinc.es", true },
  { "inesta.nl", true },
  { "inet.se", true },
  { "inetserver.eu", true },
  { "inetsoftware.de", true },
  { "inf-fusion.ca", true },
  { "inference.biz.tr", true },
  { "infermiere.roma.it", true },
  { "inficom.org", true },
  { "infinite.hosting", true },
  { "infinitegroup.info", true },
  { "infinitiofallentownparts.com", true },
  { "infinitiofaugustaparts.com", true },
  { "infinitioflynnwoodparts.com", true },
  { "infinitiofmarinparts.com", true },
  { "infinitybas.com", true },
  { "infinityepos.co.uk", true },
  { "infirmiere-canadienne.com", true },
  { "infirmieredevie.ch", true },
  { "inflatablehire-scotland.co.uk", true },
  { "inflatablesny.com", true },
  { "inflatadays.co.uk", true },
  { "inflatamania.com", true },
  { "inflexsys.com", true },
  { "influencerchampions.com", true },
  { "infmed.com", true },
  { "info-beamer.com", true },
  { "info-d-74.com", true },
  { "info-screen.me", true },
  { "info-screw.com", true },
  { "infoamin.com", true },
  { "infobae.com", true },
  { "infocity-tech.fr", true },
  { "infocommsociety.com", true },
  { "infocon.org", true },
  { "infogrfx.com", true },
  { "infomegastore.com", true },
  { "infomisto.com", true },
  { "infopier.sg", true },
  { "infopulsa.com", true },
  { "infor-allaitement.be", true },
  { "inforisposte.com", true },
  { "informaciondeciclismo.com", true },
  { "informatiebeveiliging.nl", true },
  { "informatik-handwerk.de", true },
  { "informationrx.org", true },
  { "informnapalm.org", true },
  { "infos-generation.com", true },
  { "infosec.exchange", true },
  { "infosenior.ch", true },
  { "infotainworld.com", true },
  { "infotolium.com", true },
  { "infotune.nl", true },
  { "infovision-france.com", true },
  { "infoweb.ee", true },
  { "infra.land", true },
  { "infra.press", true },
  { "infranium.com", true },
  { "infranium.eu", true },
  { "infranium.info", true },
  { "infranium.net", true },
  { "infranium.org", true },
  { "infrapirtis.lt", true },
  { "infrarank.com", true },
  { "ing89.cc", true },
  { "ing89.com", true },
  { "ingalls.run", true },
  { "ingatlanneked.hu", true },
  { "ingber.com", true },
  { "inge-r.nl", true },
  { "ingeeibach.de", true },
  { "ingenium.si", true },
  { "ingenius.ws", true },
  { "ingerhy.com", true },
  { "ingi.ga", true },
  { "ingjobs.ch", true },
  { "inglesnarede.com.br", true },
  { "ingo-schlueter.de", true },
  { "ingoschlueter.de", true },
  { "ingredientdaddy.ro", true },
  { "ingresscode.cn", true },
  { "inhaltsangabe.de", true },
  { "inheritestate.com", true },
  { "inhouseents.co.uk", true },
  { "iniiter.com", true },
  { "inima.org", true },
  { "inios.fr", false },
  { "inishbofin.ie", true },
  { "initq.net", true },
  { "initramfs.io", true },
  { "initrd.net", true },
  { "inixal.com", true },
  { "injapan.nl", true },
  { "ink.horse", true },
  { "inkable.com.au", true },
  { "inkbunny.net", false },
  { "inkhor.se", true },
  { "inkontriamoci.com", true },
  { "inksay.com", true },
  { "inkspire.co.uk", true },
  { "inku.ovh", true },
  { "inkurz.de", true },
  { "inlabo.de", true },
  { "inline-sport.cz", true },
  { "inlink.ee", true },
  { "inmaps.xyz", true },
  { "inmatefinancial.com", true },
  { "inmateintake.com", true },
  { "inme.ga", true },
  { "inmobillium.fr", true },
  { "inmoodforsex.com", true },
  { "inmusrv.de", true },
  { "innerfence.com", true },
  { "innerform.com", true },
  { "innermostparts.org", true },
  { "innersafe.com", true },
  { "innohb.com", true },
  { "innolabfribourg.ch", true },
  { "innoloop.com", true },
  { "innophate-security.com", true },
  { "innoteil.com", true },
  { "innovaptor.at", true },
  { "innovaptor.com", true },
  { "innovate-indonesia.com", true },
  { "innovation-workshop.ro", true },
  { "innovation.gov", false },
  { "innoventure.de", true },
  { "innovum.cz", true },
  { "innsalzachsingles.de", true },
  { "innwan.com", true },
  { "inoa8.com", true },
  { "inobun.jp", true },
  { "inorder.website", true },
  { "inovat.ma", true },
  { "inovatec.com", true },
  { "inox.io", true },
  { "inoxio.com", true },
  { "inoxio.de", true },
  { "inpas.co.uk", true },
  { "inquant.de", true },
  { "ins-kreativ.de", true },
  { "ins.to", true },
  { "ins1gn1a.com", true },
  { "insblauehinein.nl", true },
  { "inscomers.net", true },
  { "insecure.org.je", true },
  { "insertcoins.net", true },
  { "inshapenutrition.com.br", true },
  { "inside19.com", true },
  { "insideaudit.com", true },
  { "insideofgaming.de", true },
  { "insidethefirewall.tk", true },
  { "insightera.co.th", true },
  { "insighti.com", true },
  { "insighti.eu", true },
  { "insighti.org", true },
  { "insighti.sk", true },
  { "insinuator.net", true },
  { "insistel.com", true },
  { "insolent.ch", true },
  { "insolved.com", true },
  { "insping.com", true },
  { "inspirationalquotesuk.co.uk", true },
  { "inspired-lua.org", true },
  { "insrt.uk", true },
  { "insside.net", true },
  { "instafind.nl", true },
  { "instagram-atom.appspot.com", true },
  { "instagrammernews.com", true },
  { "instagramtweet.com", true },
  { "installatietechniekgresnigt.nl", true },
  { "installgentoo.net", true },
  { "instamojo.com", true },
  { "instant-hack.io", true },
  { "instant-thinking.de", true },
  { "instant.io", true },
  { "instantkhabar.com", true },
  { "instantsubs.de", true },
  { "instaquiz.ru", true },
  { "instava.cz", true },
  { "instawi.com", true },
  { "instela.com", true },
  { "instelikes.com.br", true },
  { "instics.com", true },
  { "instinctive.io", true },
  { "instinctiveads.com", true },
  { "institut-confucius-montpellier.org", true },
  { "institutmaupertuis.hopto.org", true },
  { "institutolancaster.com", false },
  { "instrumart.ru", false },
  { "insult.es", true },
  { "insurance321.com", true },
  { "insureon.com", true },
  { "insurethebox.tk", true },
  { "insurgentsmustdie.com", true },
  { "int-ma.in", true },
  { "intae.it", true },
  { "intafe.co.jp", true },
  { "intal.info", true },
  { "intarweb.ca", true },
  { "intasky.cz", true },
  { "intasky.sk", true },
  { "integraelchen.de", true },
  { "integralblue.com", true },
  { "integralkk.com", true },
  { "integratedmedicalonline.com", true },
  { "integrationinc.com", false },
  { "integraxor.com.tw", true },
  { "integrity.gov", true },
  { "integrityoklahoma.com", true },
  { "integrogroup.com", true },
  { "integromat.com", true },
  { "intelhost.com.ar", true },
  { "intelhost.com.br", true },
  { "intelhost.com.pe", true },
  { "intelhost.net", true },
  { "intellar.com", true },
  { "intellectdynamics.com", true },
  { "intelligence-explosion.com", true },
  { "intellinetixvibration.com", true },
  { "intelly.nl", true },
  { "intencje.pl", true },
  { "intensifyrsvp.com.au", true },
  { "inter-corporate.com", true },
  { "inter-culinarium.com", true },
  { "interaffairs.com", true },
  { "interaktiva.fi", true },
  { "interasistmen.se", true },
  { "interchangedesign.com", true },
  { "interchanges.io", true },
  { "intercom.com", true },
  { "intercom.io", true },
  { "interessiert-uns.net", true },
  { "interfesse.net", true },
  { "interfloraservices.co.uk", true },
  { "interflores.com.br", true },
  { "interfug.de", true },
  { "intergenx.co.uk", true },
  { "intergenx.com", true },
  { "intergenx.org", true },
  { "intergenx.org.uk", true },
  { "intergozd.si", true },
  { "interiery-waters.cz", true },
  { "interimages.fr", true },
  { "interiorcheapo.com", true },
  { "interiordesignsconcept.com", true },
  { "interiortradingco.com.au", true },
  { "interisaudit.com", true },
  { "interlingvo.biz", true },
  { "intermax.nl", true },
  { "intermedinet.nl", true },
  { "internalkmc.com", true },
  { "internaluse.net", true },
  { "international-nash-day.com", true },
  { "internationalfashionjobs.com", true },
  { "internationaltalento.it", true },
  { "internaut.co.za", true },
  { "internect.co.za", true },
  { "internet-aukcion.info", true },
  { "internetaanbieders.eu", true },
  { "internetbank.swedbank.se", true },
  { "internetbugbounty.com", true },
  { "internetcom.jp", true },
  { "internethealthreport.org", true },
  { "internethering.de", true },
  { "internetinhetbuitengebied.nl", true },
  { "internetmarkets.net", true },
  { "internetofdon.gs", true },
  { "internetoffensive.fail", true },
  { "internetovehazardnihry.cz", true },
  { "internetpro.me", true },
  { "internetzentrale.net", true },
  { "interracial.dating", true },
  { "interseller.io", true },
  { "interserved.com", false },
  { "interstellarhyperdrive.com", true },
  { "intertime.services", true },
  { "interview-suite.com", true },
  { "interways.de", true },
  { "intheater.de", true },
  { "inthepicture.com", true },
  { "inthouse.cloud", true },
  { "intimastoreatacado.com.br", true },
  { "intita.com", true },
  { "intl-webs.com", true },
  { "intmissioncenter.org", true },
  { "into.technology", true },
  { "inton.biz", true },
  { "intoparking.com", false },
  { "intpforum.com", true },
  { "intracom.com", true },
  { "intradayseasonals.com", true },
  { "intranetsec-regionra.fr", true },
  { "intraobes.com", true },
  { "intrasoft.com.au", true },
  { "intraxia.com", true },
  { "intune.life", true },
  { "intvonline.com", true },
  { "inup.jp", true },
  { "inusasha.de", true },
  { "inuyasha-petition.tk", true },
  { "invadelabs.com", true },
  { "invasion.com", true },
  { "invasmani.com", true },
  { "inventaire.ch", true },
  { "inventionsteps.com.au", true },
  { "inventix.nl", true },
  { "inventoryexpress.xyz", true },
  { "inventoryimages.co.uk", true },
  { "inventoryimages.com", true },
  { "inventtatte.com", true },
  { "inventtheworld.com.au", true },
  { "inverselink-user-content.com", true },
  { "investarholding.nl", true },
  { "investigatore.it", true },
  { "investigazionimoretti.it", true },
  { "investir.ch", true },
  { "investor.gov", true },
  { "investoren-beteiligung.de", true },
  { "investorforms.com", true },
  { "investpay.ru", true },
  { "invidio.us", true },
  { "invinsec.com", true },
  { "invioinc.com", true },
  { "inviosolutions.com", true },
  { "invis.net", true },
  { "invisible-college.com", true },
  { "invisibles.ch", true },
  { "invisionita.com", true },
  { "invisiverse.com", true },
  { "invitacionesytarjetas.gratis", true },
  { "invitescene.com", true },
  { "invitethemhome.com", true },
  { "invkao.com", true },
  { "invoiced.com", true },
  { "invoicefinance.com", true },
  { "invoicefinance.nl", true },
  { "invuelto.com", true },
  { "invuite.com", true },
  { "inwestcorp.se", true },
  { "inzdr.com", true },
  { "inzelabs.com", true },
  { "iobint.com", true },
  { "iocheck.com", false },
  { "iodine.com", true },
  { "ioerror.us", true },
  { "iojo.net", true },
  { "ioliver.co.uk", true },
  { "iompost.com", true },
  { "iomstamps.com", true },
  { "ionlabs.kr", true },
  { "ionovia.de", true },
  { "ionx.co.uk", true },
  { "ioover.net", true },
  { "iosartstudios.gr", true },
  { "iosjailbreakiphone.com", true },
  { "ioslo.net", true },
  { "iosnoops.com", true },
  { "iossifovlab.com", true },
  { "iostream.by", true },
  { "iotfen.com", true },
  { "ip-blacklist.net", true },
  { "ip-hahn.de", true },
  { "ip-tanz.com", true },
  { "ip.sb", true },
  { "ip2country.info", true },
  { "ip3office.com", true },
  { "ip6.li", true },
  { "ipadkaitori.jp", true },
  { "ipadportfolioapp.com", true },
  { "ipal.im", true },
  { "ipal.name", true },
  { "ipal.pl", true },
  { "ipal.tel", true },
  { "ipawind.com", true },
  { "ipcareers.net", true },
  { "ipconsulting.se", true },
  { "ipemcomodoro.com.ar", true },
  { "ipfirebox.de", true },
  { "ipfs.ink", true },
  { "ipfs.io", true },
  { "iphonekaitori.tokyo", true },
  { "iphoneportfolioapp.com", true },
  { "iphoneunlock.nu", true },
  { "iphonote.com", true },
  { "ipintel.io", true },
  { "iplabs.de", true },
  { "iplantom.com", true },
  { "iplayradio.net", true },
  { "ipleak.net", true },
  { "ipledgeonline.org", false },
  { "ipmonitoring.hu", true },
  { "ipo-times.jp", true },
  { "ipokabu.net", true },
  { "ipomue.com", false },
  { "ipresent.com", true },
  { "iprim.ru", true },
  { "iproducemusic.com", true },
  { "ipsec.pl", true },
  { "ipssl.li", true },
  { "ipstream.it", true },
  { "ipswitch.com.tw", true },
  { "iptvzoom.xyz", true },
  { "ipty.de", true },
  { "ipura.ch", true },
  { "ipv4.cf", true },
  { "ipv4.gr", true },
  { "ipv6-handbuch.de", true },
  { "ipv6.gr", true },
  { "ipv6.jetzt", true },
  { "ipv6vpn.net", true },
  { "ipv8.net", true },
  { "iqboxy.com", true },
  { "iqsmn.org", true },
  { "ir1s.com", true },
  { "iranianholiday.com", true },
  { "irasandi.com", true },
  { "irayo.net", true },
  { "irc-results.com", true },
  { "iready.ro", true },
  { "iren.ch", true },
  { "irenekauer.com", true },
  { "irf2.pl", true },
  { "irfan.id", true },
  { "irgendeine.cloud", true },
  { "irgit.pl", true },
  { "iridiumbrowser.de", true },
  { "iridiumflare.de", true },
  { "iriomote.com", true },
  { "iris-design.info", true },
  { "iris-insa.com", true },
  { "irish.dating", true },
  { "irishmusic.nu", true },
  { "irisjieun.com", true },
  { "irland-firma.com", true },
  { "irmag.ru", true },
  { "irmgard-woelfle.de", true },
  { "irmgardkoch.com", true },
  { "iro-iro.xyz", true },
  { "iroise.ch", true },
  { "ironbelly.pro", true },
  { "ironcarnival.com", true },
  { "irondaleirregulars.com", true },
  { "ironfistdesign.com", true },
  { "ironhide.de", true },
  { "ironpeak.be", true },
  { "irritant.net", true },
  { "iruarts.ch", true },
  { "iruca.co", true },
  { "is-going-to-rickroll.me", true },
  { "is-sw.net", true },
  { "isaacdgoodman.com", true },
  { "isaackhor.com", true },
  { "isaacman.tech", true },
  { "isaacmorneau.com", true },
  { "isaacpartnership.co.uk", true },
  { "isaacpartnership.com", true },
  { "isaacphysics.org", true },
  { "isaaczais.com", true },
  { "isabelaflores.com", true },
  { "isabellavandijk.nl", true },
  { "isabelle-delpech.com", true },
  { "isabellehogarth.co.uk", true },
  { "isakssons.com", true },
  { "isara.com", true },
  { "isarklinikum.de", true },
  { "isastylish.com", true },
  { "isayoga.de", true },
  { "isbc-telecom.ru", true },
  { "isbengrumpy.com", true },
  { "iscert.org", true },
  { "isdn.jp", true },
  { "isecrets.se", true },
  { "iservicio.mx", true },
  { "isfff.com", true },
  { "isfriday.com", true },
  { "isgp-studies.com", true },
  { "ishamf.com", true },
  { "ishangirdhar.com", true },
  { "ishet.al", true },
  { "ishiharaken.com", true },
  { "ishome.org", true },
  { "isidom.fr", true },
  { "isil.fi", true },
  { "isimonbrown.co.uk", true },
  { "isincheck.com", true },
  { "isinolsun.com", true },
  { "isistomie.com", true },
  { "isitchristmas.com", true },
  { "isitcoffeetime.com", true },
  { "isitdoneyet.gov", true },
  { "isitup.org", true },
  { "iskaron.de", true },
  { "iskaz.rs", true },
  { "iskkk.com", true },
  { "iskkk.net", true },
  { "iskogen.nu", true },
  { "islam.si", true },
  { "islandhosting.com", true },
  { "islandoilsupply.com", true },
  { "islazia.fr", true },
  { "isletech.net", true },
  { "isliada.org", true },
  { "ismat.com", true },
  { "ismena.bg", true },
  { "ismetroonfiretoday.com", true },
  { "ismywebsitepenalized.com", true },
  { "isn.cz", true },
  { "isntall.us", true },
  { "isognattori.com", true },
  { "isolta.com", true },
  { "isolta.de", true },
  { "isolta.ee", true },
  { "isolta.lv", true },
  { "isolta.se", true },
  { "isondo.com", true },
  { "isonet.fr", true },
  { "isopres.de", true },
  { "isotope.gov", true },
  { "isotopes.gov", true },
  { "isowosi.com", true },
  { "ispfontela.es", true },
  { "ispitrade.com", true },
  { "ispo.com.tw", true },
  { "ispsoft.pro", true },
  { "ispweb.es", true },
  { "isqrl.de", true },
  { "israelbiblicalstudies.com", true },
  { "israelbizreg.com", true },
  { "israkurort.com", true },
  { "isreedyinthe.uk", true },
  { "isreedyinthe.us", true },
  { "isreedyintheuk.com", true },
  { "issa.org.pl", true },
  { "issasfrissa.se", true },
  { "issforum.org", true },
  { "issio.net", true },
  { "issuesofconcern.in", true },
  { "ist-intim.de", true },
  { "istdieweltschonuntergegangen.de", true },
  { "isteinbaby.de", true },
  { "istheapplestoredown.com", true },
  { "istheapplestoredown.de", true },
  { "isthedoorlocked.com", true },
  { "istheinternetdown.com", true },
  { "istheinternetonfire.com", true },
  { "istheservicedown.co.uk", true },
  { "istheservicedown.com", true },
  { "istheservicedowncanada.com", true },
  { "isthnew.com", true },
  { "istore.lt", true },
  { "istorrent.is", true },
  { "istrazivac-istine.com", true },
  { "istschonsolangeinrente.de", true },
  { "istsi.org", true },
  { "isuzupartscenter.com", true },
  { "isv.online", true },
  { "isvbscriptdead.com", true },
  { "isvsecwatch.org", true },
  { "isyu.xyz", true },
  { "isz-berlin.de", true },
  { "isz.no", true },
  { "it-academy.sk", true },
  { "it-enthusiasts.tech", true },
  { "it-faul.de", true },
  { "it-fernau.com", true },
  { "it-jobbank.dk", true },
  { "it-maker.eu", true },
  { "it-rotter.de", true },
  { "it-schamans.de", true },
  { "it-service24.at", true },
  { "it-service24.ch", true },
  { "it-shamans.de", true },
  { "it-shamans.eu", true },
  { "it-sysoft.com", true },
  { "it-ti.me", true },
  { "it-world.eu", true },
  { "it.search.yahoo.com", false },
  { "it1b.com", true },
  { "itactiq.com", true },
  { "itactiq.info", true },
  { "itaiferber.net", true },
  { "ital-gamma.be", true },
  { "italia-store.com", true },
  { "italiachegioca.com", true },
  { "italian.dating", true },
  { "italianshoemanufacturers.com", true },
  { "italieflydrive.nl", true },
  { "italserrande.it", true },
  { "italyinspires.com", true },
  { "itamservices.nl", true },
  { "itb-online.co.uk", true },
  { "itblog.pp.ua", true },
  { "itbrief.co.nz", true },
  { "itbrief.com.au", true },
  { "itchy.nl", true },
  { "itchybrainscentral.com", true },
  { "itcko.sk", true },
  { "itdashboard.gov", true },
  { "itds-consulting.com", true },
  { "itds-consulting.cz", true },
  { "itds-consulting.eu", true },
  { "itecor.net", true },
  { "iteecafe.hu", true },
  { "iteha.de", true },
  { "iteke.ml", true },
  { "iteke.tk", true },
  { "iteli.eu", true },
  { "iterader.com", true },
  { "iterror.co", true },
  { "itesign.de", true },
  { "itfh.eu", true },
  { "itfix.cz", true },
  { "itforcc.com", true },
  { "itforge.nl", true },
  { "ithenrik.com", true },
  { "ithinc.net", true },
  { "itilo.de", true },
  { "itiomassagem.com.br", true },
  { "itis.gov", true },
  { "itis4u.ch", true },
  { "itisjustnot.cricket", true },
  { "itludens.com", true },
  { "itmanie.cz", true },
  { "itn.co.uk", true },
  { "itneeds.tech", true },
  { "itnews-bg.com", true },
  { "itnota.com", true },
  { "itochan.jp", true },
  { "itooky.com", true },
  { "itpro.ua", true },
  { "itrack.in.th", true },
  { "itraveille.fr", true },
  { "itring.pl", false },
  { "itruss.com.tw", true },
  { "its-future.com", true },
  { "its-gutachten.de", true },
  { "its4living.com", true },
  { "itsabouncything.com", true },
  { "itsanicedoor.co.uk", true },
  { "itsasaja.com", true },
  { "itsaw.de", true },
  { "itsblue.de", true },
  { "itsdcdn.com", true },
  { "itsecblog.de", true },
  { "itsecguy.com", true },
  { "itsense.fr", true },
  { "itsevident.com", true },
  { "itsgoingdown.org", true },
  { "itshka.rv.ua", true },
  { "itskayla.com", true },
  { "itsmyparty.ie", true },
  { "itsnotquitethehilton.com", true },
  { "itsok.de", true },
  { "itspartytimeonline.co.uk", true },
  { "itspartytimesweetinflations.com", true },
  { "itspersonaltraining.nl", true },
  { "itsstefan.eu", true },
  { "itstatic.tech", true },
  { "itswincer.com", true },
  { "ittop-gabon.com", true },
  { "itzap.com.au", true },
  { "ivanbenito.com", true },
  { "ivancacic.com", false },
  { "ivanmeade.com", true },
  { "ivaoru.org", true },
  { "ivfausland.de", true },
  { "ivfmeds.com", true },
  { "ivi-fertilite.fr", true },
  { "ivi-fruchtbarkeit.de", true },
  { "ivi.com.ar", true },
  { "ivi.com.pa", true },
  { "ivi.mx", true },
  { "ivi.net.br", true },
  { "ivi.pt", true },
  { "ivinet.cl", true },
  { "ivitalia.it", true },
  { "ivo.co.za", true },
  { "ivor.io", true },
  { "ivor.is", true },
  { "ivorvanhese.com", true },
  { "ivorvanhese.nl", true },
  { "ivpn.net", true },
  { "ivre.rocks", true },
  { "ivusn.cz", true },
  { "ivvl.ru", true },
  { "ivxv.ee", true },
  { "iwader.co.uk", true },
  { "iwalton.com", true },
  { "iwanttoliveinabunker.com", true },
  { "iwch.tk", true },
  { "iwell.de", true },
  { "iwizerunek.pl", true },
  { "iworos.com", true },
  { "iww.me", true },
  { "ixds.org", true },
  { "ixnext.de", true },
  { "ixquick-proxy.com", true },
  { "ixquick.co.uk", true },
  { "ixquick.com", true },
  { "ixquick.de", true },
  { "ixquick.eu", true },
  { "ixquick.fr", true },
  { "ixquick.info", true },
  { "ixquick.nl", true },
  { "iyassu.com", true },
  { "iz8mbw.net", true },
  { "izevg.ru", true },
  { "izhaojie.com", true },
  { "izodiacsigns.com", true },
  { "izonemart.com", true },
  { "izuba.info", true },
  { "izumi.tv", true },
  { "izxxs.com", true },
  { "izxxs.net", true },
  { "izxzw.net", true },
  { "izzys.casa", true },
  { "j-elliott.co.uk", true },
  { "j-navi.com", true },
  { "j0bs.org", true },
  { "j0m.de", true },
  { "j0s.at", true },
  { "j0s.eu", true },
  { "j15h.nu", true },
  { "j2ee.cz", true },
  { "j2h.de", true },
  { "j3e.de", true },
  { "j8y.de", true },
  { "ja-dyck.de", true },
  { "ja-gps.com.au", true },
  { "ja-publications.agency", false },
  { "ja.md", true },
  { "jaakkohannikainen.fi", true },
  { "jaalits.com", true },
  { "jaarvistech.com", true },
  { "jaba.hosting", true },
  { "jababu.cz", true },
  { "jabbari.io", true },
  { "jabbas.eu", true },
  { "jabber.at", true },
  { "jabberfr.org", true },
  { "jabbers.one", true },
  { "jabberzac.org", true },
  { "jaberg-rutschi.ch", true },
  { "jabergrutschi.ch", true },
  { "jability.ovh", true },
  { "jabjab.de", true },
  { "jaccblog.com", true },
  { "jacekowski.org", true },
  { "jackdawphoto.co.uk", true },
  { "jackdelik.de", true },
  { "jackf.me", true },
  { "jackingramnissanparts.com", true },
  { "jackpothappy.com", true },
  { "jackrusselterrier.com.br", true },
  { "jackson-quon.com", true },
  { "jackson.jp", true },
  { "jacksonvillestation.com", true },
  { "jackyliao123.tk", true },
  { "jaco.by", true },
  { "jacobamunch.com", true },
  { "jacobdevans.com", true },
  { "jacobhaug.com", false },
  { "jacobi-server.de", true },
  { "jacobian.org", true },
  { "jacobphono.com", true },
  { "jacuzziprozone.com", true },
  { "jadopado.com", true },
  { "jaegerlacke.de", true },
  { "jaepinformatica.com", true },
  { "jagbouncycastles.co.uk", true },
  { "jagerman.com", true },
  { "jaguarlandrover-asse.be", true },
  { "jaguarlandrover-occasions.be", true },
  { "jaguarwong.xyz", true },
  { "jahanaisamu.com", true },
  { "jahmusic.net", true },
  { "jahner.xyz", true },
  { "jahofmann.de", false },
  { "jailbreakingisnotacrime.org", true },
  { "jaion.tech", true },
  { "jaispirit.com", false },
  { "jaitnetworking.com", false },
  { "jak-na-les.cz", true },
  { "jakarta.dating", true },
  { "jakdelatseo.cz", true },
  { "jake.eu.org", true },
  { "jake.ml", true },
  { "jake.nom.za", true },
  { "jakebeardsley.com", true },
  { "jakecurtis.de", true },
  { "jakenbake.com", true },
  { "jakereynolds.co", true },
  { "jakerullman.com", true },
  { "jakeslab.tech", true },
  { "jaketremper.com", true },
  { "jakewalker.xyz", true },
  { "jakob-server.tk", true },
  { "jakobejitblokaci.cz", true },
  { "jakobkrigovsky.com", true },
  { "jakobssystems.net", true },
  { "jakpremyslet.cz", true },
  { "jaksch.biz", true },
  { "jakub-boucek.cz", true },
  { "jakubarbet.eu", true },
  { "jakubboucek.cz", true },
  { "jakubtopic.cz", true },
  { "jakubvrba.cz", true },
  { "jala.co.jp", true },
  { "jaleo.cn", true },
  { "jalogisch.de", true },
  { "jamaat.hk", true },
  { "jamacha.org", true },
  { "jamalfi.bio", true },
  { "jamberry.com.mx", true },
  { "jamberrynails.co.uk", true },
  { "james-bell.co.uk", true },
  { "james-digital.com", true },
  { "james-loewen.com", true },
  { "james.je", true },
  { "jamesachambers.com", true },
  { "jamesaimonetti.com", true },
  { "jamesbillingham.com", true },
  { "jamesbradach.com", false },
  { "jameschorlton.co.uk", true },
  { "jamesdorf.com", true },
  { "jamesgreenfield.com", true },
  { "jameshemmings.co.uk", true },
  { "jameshost.net", true },
  { "jameshunt.us", false },
  { "jamesj.me", false },
  { "jamesl.ml", true },
  { "jamesmarsh.net", true },
  { "jamesmilazzo.com", true },
  { "jamesmorrison.me", true },
  { "jamesrains.com", true },
  { "jamesrobertson.io", true },
  { "jamesrobertson.net", true },
  { "jamesrussellward.co.uk", true },
  { "jamessmith.me.uk", true },
  { "jamhost.org", true },
  { "jamie.ie", true },
  { "jamielinux.com", true },
  { "jamiemagee.co.uk", true },
  { "jamiemagee.dk", true },
  { "jamiepeters.nl", true },
  { "jamieweb.net", true },
  { "jamieweb.org", true },
  { "jamjestsimon.pl", true },
  { "jammucake.com", true },
  { "jammysplodgers.co.uk", true },
  { "jamon.ca", true },
  { "jamonsilva.com", true },
  { "jan-and-maaret.de", true },
  { "jan-hill.com", true },
  { "jan-rieger.de", true },
  { "jan-roenspies.de", true },
  { "jan-von.de", true },
  { "janada.cz", true },
  { "janaundgeorgsagenja.eu", true },
  { "janbrodda.de", true },
  { "jandev.de", true },
  { "janduchene.ch", true },
  { "janehamelgardendesign.co.uk", true },
  { "janhuelsmann.com", true },
  { "jani.media", true },
  { "janiat.com", true },
  { "janik.xyz", false },
  { "janjoris.nl", true },
  { "jankoepsel.com", true },
  { "jann.is", true },
  { "jannisfink.de", true },
  { "jannyrijneveld.nl", true },
  { "janoberst.com", true },
  { "janokacer.sk", true },
  { "janschaumann.de", true },
  { "janssenwigman.nl", true },
  { "janvari.com", true },
  { "janvaribalint.com", true },
  { "janverlaan.nl", true },
  { "jaot.info", true },
  { "japan4you.org", true },
  { "japanbaths.com", true },
  { "japangids.nl", true },
  { "japaniac.de", false },
  { "japanphilosophy.com", true },
  { "japansm.com", true },
  { "japanwatches.xyz", true },
  { "japanwide.net", true },
  { "jape.today", true },
  { "jardin-exotique-rennes.fr", true },
  { "jardinderline.ch", true },
  { "jardiniersduminotaure.fr", true },
  { "jaredeberle.org", false },
  { "jaredfernandez.com", true },
  { "jarivisual.com", true },
  { "jarl.ninja", true },
  { "jarniashop.se", true },
  { "jaroku.com", true },
  { "jarondl.net", true },
  { "jarrettgraham.com", true },
  { "jarroba.com", true },
  { "jas-team.net", true },
  { "jasl.works", true },
  { "jasmijnwagenaar.nl", true },
  { "jasminefields.net", true },
  { "jasonamorrow.com", true },
  { "jasongerber.ch", true },
  { "jasonian-photo.com", true },
  { "jasonmili.online", true },
  { "jasonradin.com", true },
  { "jasonsansone.com", true },
  { "jasper.link", true },
  { "jasperhammink.com", true },
  { "jasperhuttenmedia.com", true },
  { "jasperpatterson.me", true },
  { "jastrow.me", true },
  { "jaszbereny-vechta.eu", true },
  { "javalestari.com", true },
  { "javamilk.com", true },
  { "javfree.me", true },
  { "javierburgos.net", true },
  { "jaxageto.de", true },
  { "jaycouture.com", true },
  { "jayf.de", true },
  { "jayfreestone.com", true },
  { "jayharris.ca", true },
  { "jaymecd.rocks", true },
  { "jaysaw.me", true },
  { "jaytx.com", true },
  { "jayxon.com", true },
  { "jayxu.com", true },
  { "jazz-alliance.com", true },
  { "jazz-alliance.org", true },
  { "jazzanet.com", true },
  { "jazzfeet.co.uk", true },
  { "jazzncheese.com", true },
  { "jazzy.id.au", true },
  { "jazzy.pro", true },
  { "jazzysumi.com", true },
  { "jbbd.fr", true },
  { "jbradaric.me", true },
  { "jbrowndesign.me", true },
  { "jbs-jardins.ch", true },
  { "jbsinternational.com", true },
  { "jbt-stl.com", true },
  { "jcai.dk", true },
  { "jcaicedo.tk", true },
  { "jci.cc", true },
  { "jcwodan.nl", true },
  { "jd-group.co.uk", true },
  { "jd1.de", true },
  { "jdassets.com", true },
  { "jdcdirectsales.com", true },
  { "jdcdirectsales.com.ph", true },
  { "jdcgroup.com.ph", true },
  { "jdheysupplies.co.uk", true },
  { "jdjohnsonmedia.com", true },
  { "jdm.elk.pl", true },
  { "jdncr.com", true },
  { "jdoi.pw", true },
  { "jdoiron.me", true },
  { "jdpleisure.co.uk", true },
  { "jdscastlehire.co.uk", true },
  { "jdsf.tk", true },
  { "jdtic.com", true },
  { "jdubya.info", true },
  { "je-vends.fr", true },
  { "je2050.de", true },
  { "jeancardeno.com", true },
  { "jeandanielfaessler.ch", true },
  { "jeankygourmet.com", true },
  { "jeanmarieayer.ch", true },
  { "jeannecalment.com", true },
  { "jeannelucienne.fr", true },
  { "jeanneret-combustibles.ch", true },
  { "jebengotai.com", true },
  { "jec-dekrone.be", true },
  { "jeda.ch", true },
  { "jedayoshi.me", true },
  { "jedayoshi.tk", true },
  { "jedepannetonordi.fr", true },
  { "jedidiah.eu", false },
  { "jedipedia.net", true },
  { "jediweb.com.au", true },
  { "jedwarddurrett.com", true },
  { "jeec.ist", true },
  { "jeepeg.com", true },
  { "jeepmafia.com", true },
  { "jeff.forsale", true },
  { "jeff.is", true },
  { "jeffanderson.me", true },
  { "jeffcasavant.com", false },
  { "jeffcloninger.net", true },
  { "jeffersonregan.co.uk", true },
  { "jeffersonregan.com", true },
  { "jeffersonregan.net", true },
  { "jeffhaferman.com", true },
  { "jeffmcneill.com", true },
  { "jeffreyhaferman.com", true },
  { "jeffri.me", true },
  { "jeffsanders.com", true },
  { "jefftickle.com", true },
  { "jeffwebb.com", true },
  { "jefrydco.id", true },
  { "jekhar.com", true },
  { "jekkt.com", true },
  { "jelena-adeli.com", true },
  { "jelewa.de", true },
  { "jell.ie", true },
  { "jelle.pro", true },
  { "jelleglebbeek.com", true },
  { "jelleluteijn.com", true },
  { "jelleluteijn.eu", true },
  { "jelleluteijn.net", true },
  { "jelleluteijn.nl", true },
  { "jelleluteijn.pro", true },
  { "jelleraaijmakers.nl", true },
  { "jelly.cz", true },
  { "jellybeanbooks.com.au", true },
  { "jelmer.co.uk", true },
  { "jelmer.uk", true },
  { "jem.gov", true },
  { "jemangeducheval.com", true },
  { "jena.space", true },
  { "jennedebleser.com", false },
  { "jenniferchan.id.au", true },
  { "jenniferengerwingaantrouwen.nl", true },
  { "jennifermason.eu", true },
  { "jennifersauer.nl", true },
  { "jennybeaned.com", true },
  { "jenolson.net", true },
  { "jenprace.cz", true },
  { "jensrex.dk", true },
  { "jepertinger-itconsulting.de", true },
  { "jeproteste.info", true },
  { "jeremiahbenes.com", true },
  { "jeremy-chen.org", true },
  { "jeremy.hu", true },
  { "jeremybentham.com", true },
  { "jeremyc.ca", true },
  { "jeremycantu.com", true },
  { "jeremycrews.com", true },
  { "jeremynally.com", true },
  { "jeremyness.com", true },
  { "jeremypaul.me", true },
  { "jeremytcd.com", true },
  { "jeroendeneef.com", true },
  { "jeroenensanne.wedding", true },
  { "jeroenvanderwal.nl", true },
  { "jerret.de", true },
  { "jerryyu.ca", true },
  { "jerseybikehire.co.uk", true },
  { "jerseyjumpingbeans.co.uk", true },
  { "jerseylvi2013.org", true },
  { "jesse3.com", true },
  { "jesseerbach.com", true },
  { "jessekaufman.com", true },
  { "jessesjumpingcastles.co.uk", true },
  { "jessevictors.com", true },
  { "jessgranger.com", true },
  { "jessicabenedictus.nl", false },
  { "jesters-court.net", true },
  { "jesuisadmin.fr", true },
  { "jet-stream.fr", true },
  { "jetapi.org", true },
  { "jetbbs.com", true },
  { "jetbrains.pw", true },
  { "jetflex.de", true },
  { "jetkittens.co.uk", true },
  { "jetsetboyz.net", true },
  { "jetsieswerda.nl", true },
  { "jettlarue.com", true },
  { "jettravel.com.mt", true },
  { "jetwhiz.com", true },
  { "jeugdkans.nl", true },
  { "jeuxetcodes.fr", true },
  { "jeweet.net", true },
  { "jewishboyscouts.com", true },
  { "jexler.net", true },
  { "jez.nl", true },
  { "jfmhero.me", true },
  { "jfr.im", true },
  { "jfreitag.de", true },
  { "jfsa.jp", true },
  { "jgid.de", true },
  { "jgke.fi", true },
  { "jgwb.de", true },
  { "jgwb.eu", true },
  { "jhalderm.com", true },
  { "jhaveri.net", true },
  { "jhcommunitysports.co.uk", true },
  { "jhe.li", true },
  { "jhf.io", true },
  { "jhill.de", true },
  { "jhollandtranslations.com", true },
  { "jhuang.me", true },
  { "jhwestover.com", true },
  { "jiacl.com", true },
  { "jianshu.com", true },
  { "jianyuan.pro", true },
  { "jiazhao.ga", true },
  { "jichi.io", true },
  { "jimbiproducts.com", true },
  { "jimbraaten.com", true },
  { "jimbutlerkiaparts.com", true },
  { "jimdorf.com", true },
  { "jimfranke.com", true },
  { "jimfranke.nl", true },
  { "jimmycai.com", true },
  { "jimmycai.org", true },
  { "jimmycn.com", false },
  { "jimmynelson.com", true },
  { "jimmyroura.ch", true },
  { "jimshaver.net", true },
  { "jimslop.nl", true },
  { "jinancy.fr", true },
  { "jinanshen.com", true },
  { "jinbo123.com", false },
  { "jinbowiki.org", true },
  { "jing-in.com", true },
  { "jing-in.net", true },
  { "jing.su", true },
  { "jingjo.com.au", true },
  { "jinja.ai", true },
  { "jinkuru.net", true },
  { "jinliming.ml", true },
  { "jino-jossy.appspot.com", true },
  { "jinshuju.net", true },
  { "jintaiyang123.org", true },
  { "jiogo.com", true },
  { "jirav.com", true },
  { "jiripudil.cz", true },
  { "jisai.net.cn", true },
  { "jiveiaktivno.bg", true },
  { "jixun.moe", true },
  { "jiyusu.com", true },
  { "jjj.blog", true },
  { "jjspartyhire.co.uk", true },
  { "jjspartytime.co.uk", true },
  { "jjvanoorschot.nl", true },
  { "jk-entertainment.biz", true },
  { "jkchocolate.com", true },
  { "jkest.cc", true },
  { "jkinteriorspa.com", true },
  { "jkirsche.com", true },
  { "jkrippen.com", true },
  { "jkuvw.xyz", true },
  { "jkyuan.tk", true },
  { "jl-dns.eu", true },
  { "jl-dns.nl", true },
  { "jl-exchange.nl", true },
  { "jl-mail.nl", true },
  { "jlkhosting.com", true },
  { "jlot.org", true },
  { "jlponsetto.com", true },
  { "jlr-luxembourg.com", true },
  { "jltctech.com", true },
  { "jm-bea.net", true },
  { "jmalarcon.es", true },
  { "jmarciniak.it", true },
  { "jmatt.org", true },
  { "jmbelloteau.com", true },
  { "jmcashngold.com.au", true },
  { "jmcataffo.com", true },
  { "jmcleaning.services", true },
  { "jmdekker.it", true },
  { "jmedved.com", true },
  { "jmentertainment.co.uk", true },
  { "jmk.hu", true },
  { "jmoreau.ddns.net", true },
  { "jmotion.co.uk", true },
  { "jmpb.hu", true },
  { "jmpmotorsport.co.uk", true },
  { "jmsolodesigns.com", true },
  { "jmssg.jp", true },
  { "jmvdigital.com", true },
  { "jncde.de", true },
  { "jncie.de", true },
  { "jncie.eu", true },
  { "jncip.de", true },
  { "jnjdj.com", true },
  { "jnm-art.com", true },
  { "joa-ebert.com", true },
  { "joaosampaio.com.br", true },
  { "job-offer.de", true },
  { "jobbkk.com", true },
  { "jobbsafari.no", true },
  { "jobbsafari.se", true },
  { "jobcorpsy2y.com", true },
  { "jobify.in", true },
  { "jobindex.dk", true },
  { "joblab.com.ua", true },
  { "joblife.co.za", true },
  { "jobmob.co.il", true },
  { "jobs-in-tech.com", true },
  { "jobs.at", true },
  { "jobs.ch", true },
  { "jobs4sales.ch", true },
  { "jobseekeritalia.it", true },
  { "jobsisbrown.com", true },
  { "jobss.co.uk", true },
  { "jobsuchmaschine.ch", true },
  { "jobtestprep.dk", true },
  { "jobtestprep.fr", true },
  { "jobtestprep.it", true },
  { "jobtestprep.nl", true },
  { "jobtestprep.se", true },
  { "jobwinner.ch", true },
  { "jobzninja.com", true },
  { "jodlajodla.si", true },
  { "joduska.me", true },
  { "jodyboucher.com", false },
  { "joe262.com", true },
  { "joedavison.me", true },
  { "joedinardo.com", true },
  { "joedoyle.us", true },
  { "joefixit.co", true },
  { "joehenry.co.uk", true },
  { "joel.coffee", true },
  { "joelcoustrain.com", true },
  { "joeldrapper.com", true },
  { "joelfries.com", true },
  { "joelj.org", true },
  { "joelle.me", true },
  { "joelleandpeter.co.uk", true },
  { "joellimberg.com", true },
  { "joelmarkhamphotography.com.au", true },
  { "joelmunch.com", true },
  { "joepitt.co.uk", false },
  { "joerss.at", true },
  { "joeskup.com", true },
  { "joespaintingpgh.com", true },
  { "joestead.codes", true },
  { "joetsutj.com", true },
  { "joetyson.me", true },
  { "joeyfelix.com", true },
  { "joeygitalian.com", true },
  { "joeyhoer.com", true },
  { "joeysmith.com", true },
  { "joeyvilaro.com", true },
  { "jogi-server.de", true },
  { "jogwitz.de", true },
  { "johand.io", true },
  { "johanli.com", true },
  { "johannes-bauer.com", true },
  { "johannes-zinke.de", true },
  { "johannes.io", true },
  { "johannes.wtf", true },
  { "johanneskonrad.de", true },
  { "johannespichler.com", false },
  { "johansf.tech", true },
  { "johego.org", true },
  { "johnbeil.com", true },
  { "johnblackbourn.com", true },
  { "johnbpodcast.com", true },
  { "johndball.com", true },
  { "johnfulgenzi.com", true },
  { "johngallias.com", true },
  { "johngo.tk", true },
  { "johnguant.com", true },
  { "johnkastler.net", true },
  { "johnmcintosh.pro", true },
  { "johnmh.me", true },
  { "johnmichel.org", true },
  { "johnmorganpartnership.co.uk", true },
  { "johnno.be", true },
  { "johnnybet.com", true },
  { "johnnybsecure.com", true },
  { "johnroach.io", true },
  { "johnroberts.me", true },
  { "johnrockefeller.net", true },
  { "johnsegovia.com", true },
  { "johnsiu.com", true },
  { "johnsonho.net", true },
  { "johnvanhese.nl", true },
  { "johnyytb.be", true },
  { "joi-dhl.ch", true },
  { "jojosplaycentreandcafeteria.co.uk", true },
  { "jokedalderup.nl", true },
  { "joker.menu", true },
  { "jokerice.co.uk", true },
  { "jokewignand.nl", true },
  { "joliettech.com", true },
  { "jollausers.de", true },
  { "jollygoodspudz.ca", true },
  { "jollykidswobbleworld.co.uk", true },
  { "jolokia.ch", true },
  { "jomo.tv", true },
  { "jomp16.tk", true },
  { "jonandnoraswedding.com", true },
  { "jonas-thelemann.de", true },
  { "jonas-wenk.de", false },
  { "jonaskjodt.com", true },
  { "jonaswitmer.ch", true },
  { "jonathan-apps.com", true },
  { "jonathancarter.org", true },
  { "jonathandupree.com", true },
  { "jonathanha.as", true },
  { "jonathanj.nl", true },
  { "jonathanschle.de", true },
  { "jonathanselea.se", false },
  { "jondevin.com", true },
  { "jondowdle.com", true },
  { "jonesopolis.xyz", true },
  { "jonespayne.com", false },
  { "jonferwerda.net", true },
  { "jong030.nl", true },
  { "jongbloed.nl", true },
  { "jongcs.com", true },
  { "jonilar.com", true },
  { "jonincharacter.com", true },
  { "jonkermedia.nl", true },
  { "jonlabelle.com", true },
  { "jonlu.ca", true },
  { "jonnybarnes.uk", true },
  { "jonnystoten.com", true },
  { "jonoalderson.com", true },
  { "jonpads.com", true },
  { "jonpavelich.com", true },
  { "jons.org", true },
  { "jonscaife.com", true },
  { "jooksms.com", true },
  { "jooksuratas.ee", true },
  { "joomlant.org", true },
  { "joonatoona.me", true },
  { "joostrijneveld.nl", true },
  { "joostvanderlaan.nl", true },
  { "jooto.com", true },
  { "jopl.org", true },
  { "jopsens.de", true },
  { "joran.org", true },
  { "jordanhamilton.me", false },
  { "jordankmportal.com", true },
  { "jordanp.engineer", true },
  { "jordans.co.uk", true },
  { "jordanscorporatelaw.com", true },
  { "jordanstrustcompany.com", true },
  { "jorisdalderup.nl", true },
  { "jornalalerta.com.br", true },
  { "josc.com.au", true },
  { "joscares.com", true },
  { "jose-alexand.re", true },
  { "jose-lesson.com", true },
  { "jose.eti.br", true },
  { "joseetesser.nl", true },
  { "josef-lotz.de", true },
  { "josefjanosec.com", true },
  { "josegerber.ch", true },
  { "josepbel.com", true },
  { "josephsniderman.com", true },
  { "josephsniderman.net", true },
  { "josephsniderman.org", true },
  { "josephv.website", true },
  { "josericaurte.com", true },
  { "joshgrancell.com", true },
  { "joshharkema.com", true },
  { "joshharmon.me", true },
  { "joshlovephotography.co.uk", true },
  { "joshpanter.com", true },
  { "joshrickert.com", true },
  { "joshschmelzle.com", true },
  { "joshtriplett.org", true },
  { "joshua-kuepper.de", true },
  { "joshuadmiller.info", true },
  { "joshuajohnson.ca", true },
  { "joshuarogers.net", true },
  { "josoansi.de", true },
  { "joto.de", true },
  { "jouetspetitechanson.com", true },
  { "journeyfriday.rocks", true },
  { "journeytomastery.net", true },
  { "jovani.com", false },
  { "jovic.hamburg", true },
  { "joworld.net", true },
  { "joyful.house", true },
  { "joyfulexpressions.gallery", true },
  { "joyofcookingandbaking.com", true },
  { "jpdeharenne.be", true },
  { "jpeg.io", true },
  { "jpgangbang.com", true },
  { "jphandjob.com", true },
  { "jplesbian.com", true },
  { "jpmelos.com", true },
  { "jpmelos.com.br", true },
  { "jps-selection.co.uk", true },
  { "jps-selection.com", true },
  { "jps-selection.eu", true },
  { "jpshop.ru", true },
  { "jpsinflatables.co.uk", true },
  { "jpslconsulting.ca", true },
  { "jr5devdoug.xyz", true },
  { "jr5devdouglas.xyz", true },
  { "jr5proxdoug.xyz", true },
  { "jrabasco.me", true },
  { "jrc9.ca", true },
  { "jreb.nl", true },
  { "jreinert.com", true },
  { "jross.me", true },
  { "jrtapsell.co.uk", true },
  { "jrxpress.com", true },
  { "jsbentertainment.nl", true },
  { "jsbevents.nl", true },
  { "jsblights.nl", true },
  { "jschoi.org", true },
  { "jschumacher.info", true },
  { "jsd-cog.org", true },
  { "jselby.net", true },
  { "jsent.co.uk", true },
  { "jsevilleja.org", true },
  { "jskier.com", false },
  { "jskoelliken.ch", true },
  { "jslidong.top", true },
  { "jsmetallerie.fr", true },
  { "jstelecom.com.br", true },
  { "jsteward.moe", true },
  { "jstore.ch", true },
  { "jsuse.xyz", true },
  { "jtcat.com", true },
  { "jthackery.com", false },
  { "jtl-software.com", true },
  { "jtmar.me", true },
  { "jtp.id", true },
  { "jts3servermod.com", true },
  { "jtslay.com", true },
  { "juan23.edu.uy", true },
  { "juanfrancisco.tech", true },
  { "juanhub.com", true },
  { "juanmaguitar.com", true },
  { "juanxt.ddns.net", true },
  { "jubileum.online", true },
  { "jucca-nautica.si", true },
  { "juch.cc", true },
  { "juchheim-methode.de", true },
  { "juchit.at", true },
  { "judc-ge.ch", true },
  { "judge2020.com", true },
  { "judge2020.me", true },
  { "judoprodeti.cz", true },
  { "judosaintdenis.fr", false },
  { "juef.space", true },
  { "juegosycodigos.es", true },
  { "juegosycodigos.mx", true },
  { "juergen-elbert.de", true },
  { "juergenhecht.de", true },
  { "juergenklieber.de", true },
  { "juergenspecht.com", true },
  { "juergenspecht.de", true },
  { "jugendfeuerwehr-vechta.de", true },
  { "jugendhackt.org", true },
  { "jugendsuenden.info", true },
  { "jugh.de", true },
  { "juhakoho.com", true },
  { "juice.codes", true },
  { "juk.life", true },
  { "juku-wing.jp", true },
  { "jule-spil.dk", true },
  { "julenlanda.com", true },
  { "julian-uphoff.de", true },
  { "julian-weigle.de", true },
  { "juliangonggrijp.com", true },
  { "julianickel.de", true },
  { "julianmeyer.de", true },
  { "juliansimioni.com", true },
  { "julianskitchen.ch", true },
  { "julianvmodesto.com", true },
  { "julianweigle.de", true },
  { "julianxhokaxhiu.com", true },
  { "juliazeengardendesign.co.uk", true },
  { "julibear.com", true },
  { "julibon.com", true },
  { "julico.nl", true },
  { "julie-and-stevens-wedding.com", true },
  { "juliedecubber.com", true },
  { "juliekoubova.net", true },
  { "juliekproperties.com", true },
  { "juliemaurel.fr", true },
  { "julienc.io", true },
  { "julienpaterne.com", true },
  { "julientartarin.com", true },
  { "julio.jamil.nom.br", true },
  { "julius-zoellner.de", true },
  { "jullensgroningen.com", true },
  { "juls.cloud", true },
  { "jultube.de", true },
  { "jumbopan.net", true },
  { "jumboquid.co.uk", true },
  { "jump-zone.co.uk", true },
  { "jump.bg", false },
  { "jump.wtf", true },
  { "jump4funinflatables.co.uk", true },
  { "jumpandbounce.co.uk", true },
  { "jumpandjivechildrensparties.co.uk", true },
  { "jumparoundbouncycastles.co.uk", true },
  { "jumparty.co.uk", true },
  { "jumpeasy.com.au", true },
  { "jumperoos.co.uk", true },
  { "jumpin-jax.co.uk", true },
  { "jumpinchat.com", true },
  { "jumpingbee.co.uk", true },
  { "jumpingcastlesonline.com.au", true },
  { "jumpingjacksbouncycastles.co.uk", true },
  { "jumpinjaes.co.uk", true },
  { "jumpinmonkeys.co.uk", true },
  { "jumpman-iphone-design.de", true },
  { "jumpnplay.co.uk", true },
  { "junespina.com", true },
  { "junethack.net", true },
  { "jungaa.fr", true },
  { "jungesforumkonstanz.de", true },
  { "jungleculture.co.za", true },
  { "jungleducks.ca", true },
  { "junglejackscastles.co.uk", true },
  { "junglememories.co.uk", true },
  { "junglist.org", true },
  { "jungundwild-design.de", true },
  { "juni.io", true },
  { "junias-fenske.de", true },
  { "juniperroots.ca", true },
  { "junjhome.com", true },
  { "junjun-web.net", true },
  { "junkdrome.org", true },
  { "junodownload.com", true },
  { "jura-reiseschutz.de", true },
  { "jurassicbarkharrogate.co.uk", true },
  { "jurassicgolf.nl", true },
  { "juridiqueo.com", true },
  { "juridoc.com.br", true },
  { "jurijbuga.de", true },
  { "jurisprudent.by", true },
  { "juristeo.com", true },
  { "just-vet-and-drive.fr", true },
  { "justanothercompany.name", true },
  { "justbelieverecovery.com", true },
  { "justbelieverecoverypa.com", true },
  { "justbookexcursions.com", true },
  { "justbookhotels.com", true },
  { "justbooktransfers.com", true },
  { "justboom.co", true },
  { "justbouncecastles.co.uk", true },
  { "justchunks.net", true },
  { "justgalak.com", true },
  { "justgalak.org", true },
  { "justice4assange.com", true },
  { "justiceo.org", true },
  { "justin-tech.com", true },
  { "justinellingwood.com", true },
  { "justinharrison.ca", true },
  { "justinho.com", true },
  { "justinstandring.com", true },
  { "justonce.net", true },
  { "justpaste.it", true },
  { "justsome.info", true },
  { "justthinktwice.gov", true },
  { "justupdate.me", true },
  { "justyy.com", true },
  { "juszkiewicz.com.pl", true },
  { "jutlander-netbank.dk", true },
  { "jutlander.dk", true },
  { "juul.xyz", true },
  { "juusujanar.eu", true },
  { "juvenex.co", true },
  { "juventusclublugano.ch", true },
  { "juwelierstoopman.nl", true },
  { "juzgalo.com", true },
  { "jva-wuerzburg.de", true },
  { "jvanerp.nl", true },
  { "jvbouncycastlehire.co.uk", true },
  { "jvega.me", true },
  { "jvn.com", false },
  { "jvphotoboothhire.co.uk", true },
  { "jwallet.cc", true },
  { "jwatt.org", true },
  { "jwe.nl", true },
  { "jwilsson.com", true },
  { "jwjwjw.com", true },
  { "jwnotifier.org", true },
  { "jwschuepfheim.ch", true },
  { "jxir.de", true },
  { "jydemarked.dk", true },
  { "jyggen.com", true },
  { "jym.fit", true },
  { "jyoti-fairworks.org", true },
  { "jzbk.org", true },
  { "k-homes.net", true },
  { "k-netz.de", true },
  { "k-pan.com", true },
  { "k-pture.com", true },
  { "k-scr.me", true },
  { "k-tube.com", true },
  { "k258059.net", true },
  { "k2mts.org", true },
  { "k33k00.com", true },
  { "k3nny.fr", false },
  { "k4r.ru", true },
  { "k82.org", true },
  { "k8r.eu", true },
  { "k9swx.com", true },
  { "kaamoscreations.com", true },
  { "kaangenc.me", true },
  { "kaasbesteld.nl", true },
  { "kaashosting.nl", true },
  { "kaatha-kamrater.se", true },
  { "kab-s.de", true },
  { "kabarlinux.id", true },
  { "kabashop.com.br", true },
  { "kabat-fans.cz", false },
  { "kabeltv.co.nz", true },
  { "kabeuchi.com", true },
  { "kaboom.pw", true },
  { "kabu-abc.com", true },
  { "kabus.org", true },
  { "kachlikova2.cz", true },
  { "kack.website", true },
  { "kadhambam.in", true },
  { "kado-ya.jp", true },
  { "kaeru-seitai.com", true },
  { "kaffeekrone.de", true },
  { "kafoom.de", true },
  { "kagitreklam.com", true },
  { "kaheim.de", true },
  { "kai-ratzeburg.de", true },
  { "kaibol.com", true },
  { "kaigojj.com", true },
  { "kaikei7.com", true },
  { "kaileymslusser.com", true },
  { "kainetsoft.com", true },
  { "kairion.de", false },
  { "kaisakura.net", true },
  { "kaisev.net", true },
  { "kaitol.click", true },
  { "kaiusaltd.com", true },
  { "kaizenreporting.com", true },
  { "kaizeronion.com", true },
  { "kajak.land", true },
  { "kaka.farm", true },
  { "kakao-karten.de", true },
  { "kakaomilchkuh.de", true },
  { "kakaravaara.fi", true },
  { "kakie-gobocha.jp", true },
  { "kakie-kolesa.ru", true },
  { "kakolightingmuseum.or.jp", true },
  { "kakoo-media.nl", true },
  { "kakoo.nl", true },
  { "kakoomedia.nl", true },
  { "kakuto.me", true },
  { "kalamos-psychiatrie.be", true },
  { "kalastus.com", true },
  { "kaleidoscope.co.uk", true },
  { "kalender.com", true },
  { "kalevlamps.co.uk", true },
  { "kaliaa.fi", true },
  { "kalian.cz", true },
  { "kalifornien-tourismus.de", true },
  { "kall.is", true },
  { "kallies-net.de", true },
  { "kalmar.com", true },
  { "kalsbouncies.com", true },
  { "kaltenbrunner.it", true },
  { "kalterersee.ch", true },
  { "kalwestelectric.com", true },
  { "kamatajisyaku.tokyo.jp", true },
  { "kamikaichimaru.com", true },
  { "kamixa.se", true },
  { "kamppailusali.fi", true },
  { "kamui.co.uk", true },
  { "kana-mono.biz", true },
  { "kana.me", true },
  { "kanaete-uranai.com", true },
  { "kanag.pl", true },
  { "kanal-schaefer.de", true },
  { "kanal-tv-haensch.de", true },
  { "kandalife.com", true },
  { "kandianshang.com", true },
  { "kanecastles.com", true },
  { "kanehusky.com", true },
  { "kanetix.ca", true },
  { "kangaroo-bouncycastle.co.uk", true },
  { "kangarooislandholidayaccommodation.com.au", true },
  { "kangaroojacks.co.uk", true },
  { "kangaroos.org", true },
  { "kangaroovalleykayaks.com.au", true },
  { "kangaroovalleymuseum.com", true },
  { "kangaroovalleyolives.com.au", true },
  { "kangaroovalleyshow.org.au", true },
  { "kangaroovalleywoodcrafts.com.au", true },
  { "kangkai.me", true },
  { "kangooroule.fr", true },
  { "kanis.ag", true },
  { "kankimaru.com", true },
  { "kanmitao.com", true },
  { "kanna.cf", true },
  { "kannchen.de", true },
  { "kanobu.ru", true },
  { "kanotijd.nl", true },
  { "kansaiyamamoto.jp", true },
  { "kantankye.nl", true },
  { "kantanmt.com", true },
  { "kantorkita.net", true },
  { "kantorosobisty.pl", true },
  { "kanzakiranko.jp", false },
  { "kanzashi.com", true },
  { "kanzlei-myca.de", true },
  { "kanzlei-oehler.com", true },
  { "kanzlei-sixt.de", true },
  { "kanzshop.com", true },
  { "kaotik4266.com", true },
  { "kap-genial.de", true },
  { "kapiorr.duckdns.org", true },
  { "kappit.dk", true },
  { "kapseli.net", true },
  { "kaptadata.com", true },
  { "kaptamedia.com", true },
  { "kara-fabian.com", true },
  { "karabas.com", true },
  { "karabijnhaken.nl", false },
  { "karachi.dating", true },
  { "karaface.com", true },
  { "karalane.com", true },
  { "karamna.com", true },
  { "karamomo.net", true },
  { "karanjthakkar.com", true },
  { "karanlyons.com", true },
  { "karasik.by", true },
  { "karateka.org", true },
  { "karateka.ru", true },
  { "karatekit.co.uk", true },
  { "kardize24.pl", true },
  { "karenledger.ca", true },
  { "kargl.net", true },
  { "karguine.in", true },
  { "karhm.com", true },
  { "karina.gd", true },
  { "karit.nz", true },
  { "karjala-ski.ru", true },
  { "karlbowden.com", true },
  { "karlic.net", true },
  { "karlis-kavacis.id.lv", true },
  { "karlloch.de", true },
  { "karlsmithmn.org", true },
  { "karlstabo.se", true },
  { "karlzotter.com", true },
  { "karmaassurance.ca", true },
  { "karmabaker.com", true },
  { "karmainsurance.ca", true },
  { "karmaplatform.com", true },
  { "karmaspa.se", true },
  { "karmic.com", true },
  { "karn.nu", true },
  { "karneid.info", true },
  { "karpanhellas.com", false },
  { "karsofsystems.com", true },
  { "karsten-voigt.de", true },
  { "karta-paliwowa.pl", true },
  { "kartacha.com", true },
  { "kartar.net", false },
  { "kartatopia.com", true },
  { "kartec.com", true },
  { "karten-verlag.de", true },
  { "kartonmodellbau.org", true },
  { "karula.org", true },
  { "karupp-did.net", true },
  { "kasadara.com", true },
  { "kasei.im", true },
  { "kashis.com.au", true },
  { "kashmirobserver.net", true },
  { "kasko.io", true },
  { "kasnoffskinclinic.com", true },
  { "kassa.at", true },
  { "kastankaoffice.cz", true },
  { "kastelruth.biz", true },
  { "kastemperaturen.ga", true },
  { "kastorsky.ru", true },
  { "katalogbutikker.dk", true },
  { "katata-kango.ac.jp", true },
  { "katedra.de", true },
  { "katekligys.com", true },
  { "katemihalikova.cz", true },
  { "katericke.com", true },
  { "kathardt.de", true },
  { "kathegiraldo.com", true },
  { "kathrinbaumannphotography.com", true },
  { "kati-raumplaner.de", true },
  { "katiechai.xyz", true },
  { "katieskandy.co.uk", true },
  { "katieskastles.co.uk", true },
  { "katka.info", true },
  { "katnunn.co.uk", true },
  { "kato-yane.com", true },
  { "katscastles.co.uk", true },
  { "kattelans.eu", true },
  { "katthewaffle.fr", true },
  { "katyl.info", false },
  { "katyusha.net", false },
  { "katzenbrunnen-test.de", true },
  { "katzspeech.com", true },
  { "kau-boys.com", true },
  { "kau-boys.de", true },
  { "kaufberatung.community", true },
  { "kausta.me", true },
  { "kavik.no", true },
  { "kavovary-kava.cz", true },
  { "kawaii.io", true },
  { "kaweus.de", true },
  { "kayakabovegroundswimmingpools.com", true },
  { "kayleen.net", true },
  { "kayscs.com", true },
  { "kaysis.gov.tr", true },
  { "kazamasion.com", true },
  { "kazanasolutions.de", true },
  { "kazand.lt", true },
  { "kazandaemon.ru", true },
  { "kazu.click", true },
  { "kazuhirohigashi.com", true },
  { "kazumi.ro", true },
  { "kazy111.info", true },
  { "kb3.net", true },
  { "kba-online.de", true },
  { "kbb-ev.de", true },
  { "kbbouncycastlehire.co.uk", true },
  { "kbcequitas.hu", true },
  { "kbfl.org", true },
  { "kbit.dk", true },
  { "kbjorklu.com", true },
  { "kbleventhire.co.uk", true },
  { "kc-holzfaeller.de", true },
  { "kc1hbk.com", true },
  { "kc3.moe", true },
  { "kc5mpk.com", true },
  { "kcliner.com", true },
  { "kcmicapital.com", true },
  { "kcolford.com", true },
  { "kcore.org", true },
  { "kcptun.com", true },
  { "kcshipping.co.uk", true },
  { "kcsordparticipation.org", true },
  { "kd.net.nz", true },
  { "kdex.de", true },
  { "kdw.cloud", true },
  { "kdyby.org", true },
  { "ke7tlf.us", true },
  { "keakon.net", true },
  { "keaneokelley.com", true },
  { "keaysmillwork.com", true },
  { "keb.com.au", true },
  { "keb.net.au", true },
  { "kebabbesteld.nl", true },
  { "kedarastudios.com", true },
  { "kedibizworx.com", true },
  { "kedv.es", true },
  { "keeleysam.com", true },
  { "keematdekho.com", true },
  { "keengamer.com", true },
  { "keepa.com", true },
  { "keeperapp.com", true },
  { "keeperklan.com", false },
  { "keepersecurity.com", true },
  { "keepingtheplot.co.uk", true },
  { "keepiteasy.eu", true },
  { "keeprubyweird.com", true },
  { "keeweb.info", true },
  { "keezin.ga", true },
  { "keganthorrez.com", true },
  { "keifel.de", true },
  { "kein-design.de", true },
  { "kein-fidget-spinner-werden.de", true },
  { "keinanung.nl", true },
  { "keinefilterblase.de", true },
  { "keisaku.org", true },
  { "keishiando.com", true },
  { "keithlomax.com", true },
  { "keithws.net", true },
  { "kejar.id", true },
  { "kejibot.com", true },
  { "keke-shop.ch", true },
  { "kekehouse.net", true },
  { "kekgame.com", true },
  { "kekku.li", true },
  { "keksi.io", true },
  { "keldan.fo", true },
  { "kelderwijnen.nl", true },
  { "kelgtermans-usedcars.be", true },
  { "kelheor.space", true },
  { "kellerlan.org", true },
  { "kellygrenard.com", true },
  { "kellyskastles.co.uk", true },
  { "kellyssportsbarandgrill.com", true },
  { "kelmarsafety.com", true },
  { "kelvinfichter.com", true },
  { "kemmerer-net.de", true },
  { "kempo-sissach.ch", true },
  { "kemptown.co.uk", true },
  { "kemptown.com", true },
  { "kemptown.net", true },
  { "ken.fm", true },
  { "kenalsworld.com", true },
  { "kenbillionsyuan.tk", true },
  { "kenbonny.net", true },
  { "kenderbeton-magyarorszag.hu", true },
  { "kenderbetonmagyarorszag.hu", true },
  { "kenderhaz-magyarorszag.hu", true },
  { "kenderhazmagyarorszag.hu", true },
  { "kengilmour.com", true },
  { "kenguntokku.jp", true },
  { "kenia-vakantie.nl", true },
  { "kennedy.ie", true },
  { "kenners.org", true },
  { "kennethaasan.no", true },
  { "kennethferguson.com", true },
  { "kennethlim.me", true },
  { "kenneths.org", true },
  { "kenny-peck.com", true },
  { "keno.im", true },
  { "kenokallinger.at", true },
  { "kenoschwalb.com", true },
  { "kenrogers.co", false },
  { "kens.pics", true },
  { "kensbouncycastles.co.uk", true },
  { "kentec.net", true },
  { "kenterlis.gr", true },
  { "kenvix.com", false },
  { "kenx5.eu.org", true },
  { "kenyons.info", true },
  { "keops-spine.fr", true },
  { "keops-spine.us", true },
  { "kepkonyvtar.hu", true },
  { "keralit.nl", true },
  { "kerebro.com", true },
  { "kerem.xyz", true },
  { "kerforhome.com", true },
  { "kerijacoby.com", true },
  { "kernel-error.de", true },
  { "kernelpanics.nl", true },
  { "kerrfrequencycombs.org", true },
  { "kersbergen.nl", true },
  { "kerstkaart.nl", true },
  { "kersvers.agency", true },
  { "kerus.net", true },
  { "kerzyte.net", true },
  { "kescher.site", true },
  { "kessawear.com", true },
  { "kessel-runners.com", true },
  { "kesslerwine.com", true },
  { "kesteren.com", true },
  { "kesteren.org", true },
  { "ketamine.co.uk", true },
  { "ketosecology.co.uk", true },
  { "kettner.com", true },
  { "ketty-voyance.com", true },
  { "kevinapease.com", true },
  { "kevinbowers.me", true },
  { "kevinbusse.de", true },
  { "kevincox.ca", false },
  { "kevinfoley.cc", true },
  { "kevinfoley.org", true },
  { "kevinhill.nl", true },
  { "kevinhq.com", true },
  { "kevinkla.es", true },
  { "kevinlocke.name", true },
  { "kevinmeijer.nl", true },
  { "kevinmorssink.nl", true },
  { "kevinpirnie.com", true },
  { "kevinratcliff.com", true },
  { "kevyn.lu", true },
  { "kewego.co.uk", true },
  { "keybase.io", true },
  { "keybored.me", true },
  { "keycdn.com", true },
  { "keycenter.com.br", true },
  { "keycontainers.co.za", true },
  { "keyerror.com", true },
  { "keyholdingservices.co.uk", true },
  { "keyihao.cn", true },
  { "keyinfo.io", true },
  { "keylaserinstitute.com", true },
  { "keymach.com", true },
  { "keypersonins.com", true },
  { "keys.fedoraproject.org", true },
  { "keywebdesign.nl", true },
  { "kf7joz.com", true },
  { "kffs.ru", true },
  { "kfirba.me", true },
  { "kforesund.se", true },
  { "kfv-kiel.de", false },
  { "kfz-hantschel.de", true },
  { "kgm-irm.be", false },
  { "kgnk.ru", true },
  { "khaledgarbaya.net", true },
  { "khanovaskola.cz", true },
  { "khas.co.uk", true },
  { "khasiatmanfaat.com", true },
  { "kheshtar.pl", true },
  { "khetzal.info", true },
  { "khipu.com", true },
  { "khlee.net", true },
  { "khmath.com", true },
  { "khmb.ru", true },
  { "khoury-dulla.ch", true },
  { "khudothiswanpark.vn", true },
  { "kiadoapartman.hu", true },
  { "kiahoriane.com", true },
  { "kiaka.co", true },
  { "kiano.net", true },
  { "kiapartscenter.net", true },
  { "kiapartsdepartment.com", true },
  { "kiapps.ovh", true },
  { "kibibit.net", true },
  { "kibriscicek.net", true },
  { "kick-in.nl", true },
  { "kickasscanadians.ca", true },
  { "kickedmycat.com", true },
  { "kickstart.com.pk", false },
  { "kicou.info", true },
  { "kiddies.academy", true },
  { "kiddieschristian.academy", true },
  { "kiddieschristianacademy.co.za", true },
  { "kiddyboom.ua", true },
  { "kids-at-home.ch", true },
  { "kids-castles.com", true },
  { "kids-ok.com", true },
  { "kids2day.in", true },
  { "kidsareatrip.com", true },
  { "kidsforsavingearth.org", true },
  { "kidsinwoods-interfacesouth.org", true },
  { "kidsmark.net", true },
  { "kidsneversleep.com", true },
  { "kidsplay-plymouth.co.uk", true },
  { "kidsplaybouncycastles.co.uk", true },
  { "kidswallstickers.com.au", true },
  { "kidtoyshop.ru", true },
  { "kidzpartiesllp.co.uk", true },
  { "kidzsmile.co.uk", true },
  { "kiebel.de", true },
  { "kiekin.org", true },
  { "kiekko.pro", true },
  { "kiel-kind.de", true },
  { "kieran.ie", true },
  { "kieranjones.uk", true },
  { "kiesuwcursus.nl", true },
  { "kiesuwkerstkaart.nl", true },
  { "kiffmarks.com", true },
  { "kikbb.com", true },
  { "kiki-voice.jp", true },
  { "kikimilyatacado.com.br", true },
  { "kiku.pw", true },
  { "kilerd.me", true },
  { "kilianvalkhof.com", true },
  { "killaraapartments.com.au", true },
  { "killerit.in", true },
  { "killerrobots.com", true },
  { "killymoonbouncycastles.com", true },
  { "kilogram.nl", true },
  { "kilometertje.nl", true },
  { "kimamass.com", true },
  { "kimdumaine.com", true },
  { "kimiris.com", true },
  { "kimis.gr", true },
  { "kimisia.net", true },
  { "kimmel.com", true },
  { "kimmel.in", true },
  { "kimo.se", true },
  { "kimotodental.com", true },
  { "kimsufi-jordi.tk", true },
  { "kimtran.kim", true },
  { "kin.life", true },
  { "kin.pet", true },
  { "kinautas.com", true },
  { "kinderbasar-luhe.de", true },
  { "kinderchor-bayreuth.de", true },
  { "kinderopvangzevenbergen.nl", true },
  { "kindertagespflege-rasselbande-halle.de", true },
  { "kinderzahn-bogenhausen.de", true },
  { "kindleworth.com", true },
  { "kindlezs.com", true },
  { "kine-duthil.fr", true },
  { "kinepolis-studio.be", true },
  { "kinetiq.com", true },
  { "king-henris-castles.co.uk", true },
  { "king-of-the-castles.com", true },
  { "kingant.net", true },
  { "kinganywhere.eu", true },
  { "kingbird.me", true },
  { "kingdomcrc.org", true },
  { "kingiescastles.co.uk", true },
  { "kingofshooting.com", true },
  { "kingofthecastlecoventry.co.uk", true },
  { "kingofthecastlesentertainments.co.uk", true },
  { "kingofthecastlesouthwales.co.uk", true },
  { "kingofthecastlesrhyl.co.uk", true },
  { "kingstclinic.com", true },
  { "kingtecservices.com", true },
  { "kini24.ru", true },
  { "kinkenonline.com", true },
  { "kinmunity.com", true },
  { "kinnikinnick.com", true },
  { "kinniyaonlus.com", true },
  { "kinocheck.de", true },
  { "kinohled.cz", true },
  { "kinomoto.me", true },
  { "kinomoto.ovh", false },
  { "kinos.nl", true },
  { "kinozal-tv.appspot.com", true },
  { "kinsights.com", false },
  { "kintawifi.com", false },
  { "kintone.com", true },
  { "kintore.tv", true },
  { "kiocloud.com", true },
  { "kionetworks.es", true },
  { "kipa.at", true },
  { "kippenbart.gq", true },
  { "kipriakipita.gr", true },
  { "kiraboshi.xyz", true },
  { "kiragameforum.net", true },
  { "kiraku.co", true },
  { "kirbear.com", true },
  { "kirche-dortmund-ost.de", true },
  { "kirchen-im-web.de", true },
  { "kirchengemeinde-markt-erlbach.de", true },
  { "kircp.com", true },
  { "kirei.se", true },
  { "kirikira.moe", true },
  { "kirillaristov.com", true },
  { "kirillpokrovsky.de", true },
  { "kirinas.com", true },
  { "kirkforcongress.com", true },
  { "kirkforillinois.com", true },
  { "kirkify.com", true },
  { "kirkovsky.com", true },
  { "kirsch-gestaltung.de", true },
  { "kirschbaum.me", true },
  { "kirslis.com", true },
  { "kirstenbos.ca", true },
  { "kirstin-peters.de", true },
  { "kirwandigital.com", true },
  { "kis-toitoidixi.de", true },
  { "kisallatorvos.hu", true },
  { "kisiselveri.com", true },
  { "kisma.de", true },
  { "kissesb.com", true },
  { "kissesb.net", true },
  { "kissflow.com", true },
  { "kissgyms.com", true },
  { "kisskiss.ch", true },
  { "kisstube.tv", true },
  { "kitabnamabayi.com", true },
  { "kitbag.com.au", true },
  { "kitchen-profi.by", true },
  { "kitchen-profi.com.ua", true },
  { "kitchen-profi.kz", true },
  { "kitchenalley.ca", true },
  { "kitchenalley.com", true },
  { "kitchenpunx.com", false },
  { "kiteadventure.nl", true },
  { "kitegarage.eu", true },
  { "kiteschooledam.nl", true },
  { "kiteschoolijmuiden.nl", true },
  { "kiteschoolkatwijk.nl", true },
  { "kiteschoolnoordwijk.nl", true },
  { "kiteschoolschellinkhout.nl", true },
  { "kiteschoolwijkaanzee.nl", true },
  { "kiteschoolzandvoort.nl", true },
  { "kittmedia.com", true },
  { "kittpress.com", true },
  { "kittyhacker101.tk", true },
  { "kivitelezesbiztositas.hu", true },
  { "kiwi.digital", true },
  { "kiwi.global", true },
  { "kiwi.wiki", true },
  { "kiwico.com", true },
  { "kiwipayment.com", true },
  { "kiwipayments.com", true },
  { "kiwiplace.com", true },
  { "kj-prince.com", true },
  { "kj1391.com", true },
  { "kj1397.com", true },
  { "kjaer.io", true },
  { "kjarrval.is", true },
  { "kjchernov.info", true },
  { "kjellner.com", true },
  { "kjellvn.net", true },
  { "kjg-ummeln.de", true },
  { "kk-neudorf-duissern.de", false },
  { "kkaefer.com", true },
  { "kki.org", true },
  { "kkovacs.eu", true },
  { "kks-karlstadt.de", true },
  { "kksg.com", true },
  { "kkull.tv", true },
  { "kkyy.me", true },
  { "kkzxak47.com", true },
  { "kl-diaetist.dk", true },
  { "klaim.us", true },
  { "klamathrestoration.gov", true },
  { "klanggut.at", true },
  { "klantenadvies.nl", true },
  { "klares-licht.de", true },
  { "klarika.com", true },
  { "klarmobil-empfehlen.de", true },
  { "klasfauseweh.de", true },
  { "klausbrinch.dk", true },
  { "klaver.it", true },
  { "klaw.xyz", true },
  { "klaxon.me", true },
  { "klcreations.co.uk", true },
  { "kle.cz", true },
  { "klean-ritekc.com", true },
  { "kleaning.by", true },
  { "klebetape.de", true },
  { "kledingrekken.nl", false },
  { "kleim.fr", true },
  { "kleinblogje.nl", false },
  { "kleine-dingen.nl", true },
  { "kleine-strolche-lich.de", true },
  { "kleineanfragen.de", true },
  { "kleinfein.co", true },
  { "kleinholding.com", true },
  { "kleinreich.de", true },
  { "kleinserienproduktion.com", true },
  { "kleinsys.com", true },
  { "kleteckova.cz", true },
  { "klicke-gemeinsames.de", true },
  { "klickstdu.com", true },
  { "kliemann.me", true },
  { "klif1.nl", true },
  { "klimaloven.no", true },
  { "klimapartner.de", true },
  { "klimapartner.net", true },
  { "klimchuk.by", true },
  { "klimchuk.com", true },
  { "klinikac.co.id", false },
  { "klinkenberg.ws", true },
  { "klinkerstreet.com.ua", false },
  { "klm-huisjes.nl", true },
  { "klmhouses.com", true },
  { "klocker-ausserlechner.com", true },
  { "klocksnack.se", true },
  { "kloia.com", true },
  { "klosko.net", true },
  { "klotz-labs.com", true },
  { "kls-agency.com.ua", false },
  { "klseet.com", true },
  { "klssn.com", true },
  { "kluck.me", true },
  { "klugemedia.de", true },
  { "klustekeningen.nl", true },
  { "klustermedia.com", true },
  { "km-net.pl", true },
  { "kmashworth.co.uk", true },
  { "kmdev.me", true },
  { "kmkz.jp", true },
  { "kmsci.com.ph", true },
  { "kn007.net", true },
  { "knaake.net", true },
  { "knab-networks.com", true },
  { "knapp.noip.me", true },
  { "knarcraft.net", true },
  { "kncg.pw", true },
  { "kneblinghausen.de", true },
  { "knegten-agilis.com", true },
  { "knetterbak.nl", true },
  { "kngk-azs.ru", true },
  { "kngk-group.ru", true },
  { "kngk-transavto.ru", true },
  { "kngk.org", true },
  { "kniga.market", false },
  { "knight-industries.org", true },
  { "knightsblog.de", true },
  { "knightsbridge.net", true },
  { "knightsbridgegroup.org", true },
  { "knightsbridgewine.com", true },
  { "knip.ch", true },
  { "knitfarious.com", true },
  { "kniwweler.com", true },
  { "knmv.nl", true },
  { "knockendarroch.co.uk", true },
  { "knop.info", true },
  { "knot-store.com", true },
  { "knowarth.com", true },
  { "knowledgeforce.com", true },
  { "knowledgehook.com", true },
  { "knowlevillagecc.co.uk", true },
  { "knthost.com", true },
  { "knuckles.tk", true },
  { "knurps.de", true },
  { "knutur.is", true },
  { "knygos.lt", true },
  { "ko-sys.com", true },
  { "ko.si", true },
  { "koalapress.fr", true },
  { "koalas.org", true },
  { "kobejet.com", true },
  { "kobezda.net", true },
  { "kobofarm.com", true },
  { "koboldcraft.ch", true },
  { "kobolya.hu", true },
  { "kocherev.org", true },
  { "kochereva.com", true },
  { "kochhar.net", true },
  { "kodak-ism.com", true },
  { "kodden.com.br", true },
  { "kode-it.de", true },
  { "kode.ch", true },
  { "koebbes.de", true },
  { "koecollege.com", true },
  { "koehn.com", true },
  { "koelbli.ch", true },
  { "koelnmafia.de", true },
  { "koenen-bau.de", true },
  { "koenigsbrunner-tafel.de", true },
  { "koerper-wie-seele.de", false },
  { "koerperkult.ch", true },
  { "koertner-muth.com", true },
  { "koertner-muth.de", true },
  { "koethen-markt.de", true },
  { "koetjesenkanker.nl", true },
  { "kofler.info", true },
  { "kogak.ninja", true },
  { "kogcoder.com", true },
  { "kogi.fr", true },
  { "kogro.de", true },
  { "kogudesi.com", true },
  { "koha.be", true },
  { "kohlchan.net", true },
  { "kohlistkool.tk", true },
  { "koho.fi", true },
  { "kohsandra.com", true },
  { "koi-lexikon.de", true },
  { "koi-sama.net", true },
  { "koicenter-thuine.de", true },
  { "koifish.org", true },
  { "koirala.email", true },
  { "koka-shop.de", true },
  { "kokensupport.com", true },
  { "koketteriet.se", true },
  { "kokoiroworks.com", true },
  { "kokumoto.com", true },
  { "kolbeinsson.se", true },
  { "koldanews.com", true },
  { "kolin.org", true },
  { "kolizaskrap.bg", true },
  { "kolja-engelmann.de", true },
  { "kolkataflowermall.com", true },
  { "kollect.ie", true },
  { "kollega.it", true },
  { "kolmann.at", true },
  { "kolmann.eu", true },
  { "kolonie-am-stadtpark.de", true },
  { "koluke.co", true },
  { "koluke.com", true },
  { "komandakovalchuk.com", false },
  { "komelin.com", true },
  { "komicloud.com", true },
  { "komidoc.com", true },
  { "komiksbaza.pl", true },
  { "kominfo.go.id", true },
  { "kominfo.net", true },
  { "kominki-sauny.pl", true },
  { "komintek.ru", true },
  { "komischkeszeug.de", true },
  { "kommaer.dk", true },
  { "kommune42.org", true },
  { "komoju.com", true },
  { "komok.co.uk", true },
  { "kompetenzkurs.de", true },
  { "kon-sil.de", true },
  { "kondi.net", true },
  { "kondou-butsudan.com", true },
  { "kongar.org", true },
  { "koniecfica.sk", true },
  { "konijntjes.nl", true },
  { "konings.it", true },
  { "koningskwartiertje.nl", true },
  { "koninkrijk.net", true },
  { "konklone.com", true },
  { "konoe.studio", true },
  { "konosuke.jp", true },
  { "konplott.shop", true },
  { "konpyuta.nl", true },
  { "konsertoversikt.no", true },
  { "konst.se", true },
  { "kontaxis.org", true },
  { "kontorhaus-schlachte.de", true },
  { "konventa.net", true },
  { "konyalian.com", true },
  { "konzertheld.de", true },
  { "koodaklife.com", true },
  { "koodimasin.ee", true },
  { "koodimasin.eu", true },
  { "kooli.ee", true },
  { "koolikatsed.ee", true },
  { "koolitee.ee", true },
  { "kooliveeb.ee", true },
  { "kooponline.eu", true },
  { "koot.nl", true },
  { "koozal.de", true },
  { "kopfkrieg.org", true },
  { "kopfundseele.de", true },
  { "kopio.jp", true },
  { "kopjethee.nl", true },
  { "koptev.ru", true },
  { "kopteva.ru", true },
  { "korben.info", true },
  { "korea.dating", true },
  { "koreaboo.com", true },
  { "koretech.nl", true },
  { "korinar.com", true },
  { "korobi.io", true },
  { "korobkovsky.ru", true },
  { "korono.de", true },
  { "korosiprogram.hu", true },
  { "korp.fr", true },
  { "korrelzout.nl", true },
  { "kortgebyr.dk", true },
  { "kortic.com", true },
  { "koryfi.com", true },
  { "kosaki.moe", true },
  { "koscielniak-nieruchomosci.pl", true },
  { "kosho.org", true },
  { "kosonaudioteca.com", true },
  { "kost-magazin.de", true },
  { "kostal.com", true },
  { "kostecki.com", true },
  { "kostecki.org", true },
  { "kostecki.tel", true },
  { "kostya.ws", true },
  { "kotausaha.com", true },
  { "kotelezobiztositas.eu", true },
  { "kotilinkki.fi", true },
  { "kotitesti.fi", true },
  { "kotly-marten.com.ua", true },
  { "kotois.com", true },
  { "kotomei.moe", true },
  { "kotonoha.cafe", true },
  { "kotori.love", true },
  { "kottur.is", true },
  { "kouki-food.com", true },
  { "koumuwin.com", true },
  { "koushinjo.org", true },
  { "kouten-jp.com", true },
  { "kov.space", true },
  { "koval.io", true },
  { "kovaldo.ru", true },
  { "kovals.sk", true },
  { "kovehitus.ee", true },
  { "kovnsk.net", true },
  { "kovspace.com", true },
  { "kovuthehusky.com", true },
  { "kowalmik.tk", true },
  { "kowalstwo.com.pl", true },
  { "kowarschick.de", true },
  { "kowshiksundararajan.com", true },
  { "koyaanis.com", true },
  { "kozuch.biz", true },
  { "kpfanworld.com", true },
  { "kpforme.org", true },
  { "kpinvest.eu", true },
  { "kplasticsurgery.com", true },
  { "kplnet.net", true },
  { "kpmgpublications.ie", true },
  { "kpop.re", true },
  { "kpumuk.info", true },
  { "kpx1.de", true },
  { "kr.search.yahoo.com", false },
  { "kr0n.dk", true },
  { "krachtinverbinding.nl", true },
  { "kradalby.no", true },
  { "kraft.blog", true },
  { "kraft.im", true },
  { "kraftfleisch.de", true },
  { "kraftzeiten.de", true },
  { "krag.be", true },
  { "kraga.sk", true },
  { "kraiwan.com", true },
  { "kraiwon.com", true },
  { "kraken.io", true },
  { "kraken.site", true },
  { "kralik.io", true },
  { "kralovskapradelna.cz", true },
  { "kralovstvimap.cz", true },
  { "kram.nz", true },
  { "krambeutel.de", true },
  { "kramsj.uk", true },
  { "krang.org.uk", true },
  { "krankenpflege-haushaltshilfe.de", true },
  { "krasavchik.by", true },
  { "krasnodar-avia.ru", true },
  { "krasota.ru", false },
  { "krasovsky.me", true },
  { "krausoft.hu", true },
  { "krautomat.com", true },
  { "krazykastles.co.uk", true },
  { "krazykoolkastles.com", true },
  { "krazyphotobooths.co.uk", true },
  { "krc.link", true },
  { "kreationnext.com", true },
  { "kreativelabs.ch", true },
  { "kreativstrecke.de", true },
  { "kredigram.com", true },
  { "kredit-abzocke.com", true },
  { "kreditkacs.cz", true },
  { "kreen.org", true },
  { "krehl.io", true },
  { "kremalicious.com", true },
  { "kretschmann.consulting", true },
  { "kreuzpfadfinder.de", true },
  { "krfuli.com", true },
  { "kriechel.de", true },
  { "krinetzki.de", true },
  { "kriptosec.com", true },
  { "kris.click", true },
  { "krise-chance.ch", true },
  { "krislamoureux.com", true },
  { "krismurray.co.uk", true },
  { "krisstarkey.co.uk", true },
  { "kristikala.nl", true },
  { "kristinbailey.com", true },
  { "kristofdv.be", true },
  { "krizevci.info", true },
  { "krmeni.cz", true },
  { "krokedil.se", true },
  { "krokodent.de", true },
  { "kromamoveis.com.br", true },
  { "kromonos.net", true },
  { "kronaw.it", true },
  { "krony.de", true },
  { "kroon.email", true },
  { "kropkait.pl", true },
  { "krsn.de", true },
  { "krsvrs.nl", true },
  { "krugermillions.org", true },
  { "krugoval.hr", false },
  { "kruin.net", true },
  { "kruisselbrink.com", true },
  { "kruk.co", true },
  { "krumberconsulting.com", true },
  { "krutka.cz", true },
  { "kruu.de", true },
  { "kruzhki-s-kartinkami.ru", true },
  { "kry.no", true },
  { "kry.se", true },
  { "kryglik.com", true },
  { "kryha.io", true },
  { "krypsys.com", true },
  { "krypt.com", true },
  { "kryptera.se", true },
  { "kryptomodkingz.com", true },
  { "kryx.de", true },
  { "ks-watch.de", true },
  { "kschv-rdeck.de", true },
  { "kselenia.ee", true },
  { "ksero.center", true },
  { "ksero.wroclaw.pl", true },
  { "ksham.net", true },
  { "kshlm.in", true },
  { "ksk-agentur.de", true },
  { "kspg.tv", true },
  { "kswcosmetics.com", true },
  { "kt-zoe.com", true },
  { "ktbnetbank.com", true },
  { "kthnxbai.xyz", true },
  { "kts-thueringen.de", true },
  { "ktsee.eu.org", true },
  { "ktw.lv", true },
  { "ku-7.club", true },
  { "kualiti.net", true },
  { "kualo.co.uk", true },
  { "kualo.com", true },
  { "kualo.in", true },
  { "kuaza.com", true },
  { "kub.hr", true },
  { "kubica.ch", true },
  { "kubik-rubik.de", false },
  { "kubiwa.net", true },
  { "kubkprf.ru", true },
  { "kuchenfeelisa.de", true },
  { "kuchentraum.eu", true },
  { "kucnibudzet.com", true },
  { "kudo.co.id", true },
  { "kueche-co.de", true },
  { "kuechenprofi-group.de", false },
  { "kuehndel.org", true },
  { "kuehnel-bs.de", true },
  { "kuehnel.org", true },
  { "kuemmerlin.eu", true },
  { "kuemmling.eu", true },
  { "kuhn-elektrotechnik.de", true },
  { "kuhne-electronic.de", true },
  { "kuhnelautorepair.com", true },
  { "kujadin.de", true },
  { "kukal.cz", true },
  { "kuketz-blog.de", true },
  { "kuketz-security.de", true },
  { "kulde.net", true },
  { "kulickovy-pojezd.cz", true },
  { "kulivps.com", true },
  { "kum.com", true },
  { "kuma.es", true },
  { "kumachan.biz", true },
  { "kumalog.com", true },
  { "kumasanda.jp", true },
  { "kundo.se", true },
  { "kungerkueken.de", true },
  { "kunstdrucke-textildruck.de", true },
  { "kunstfehler.at", true },
  { "kunstundunrat.de", true },
  { "kuops.com", true },
  { "kuoruan.com", true },
  { "kupdokuchyne.cz", true },
  { "kupferstichshop.com", true },
  { "kupid.com", true },
  { "kupiec.eu.org", true },
  { "kupimlot.ru", true },
  { "kupinska.pl", true },
  { "kuponrazzi.com", true },
  { "kuponydoher.cz", true },
  { "kupschke.net", true },
  { "kurashino-mall.com", true },
  { "kurofuku.me", true },
  { "kuroinu.jp", true },
  { "kuroisalva.xyz", false },
  { "kurona.ga", true },
  { "kuronekogaro.com", true },
  { "kurschies.de", true },
  { "kurserne.dk", true },
  { "kurswahl-online.de", true },
  { "kurtschlatzer.com", true },
  { "kuruppa.xyz", true },
  { "kuschku.de", true },
  { "kusdaryanto.web.id", true },
  { "kushtikidsparties.co.uk", true },
  { "kusochi.eu", true },
  { "kutinsoft.com", true },
  { "kutny.cz", true },
  { "kutsankaplan.com", true },
  { "kuttler.eu", true },
  { "kutukupret.com", true },
  { "kutus.ee", true },
  { "kuzbass-pwl.ru", true },
  { "kvadratnimeter.si", true },
  { "kvalita-1a.cz", true },
  { "kvalitnitesneni.cz", true },
  { "kvcc.com.au", true },
  { "kvetinymilt.cz", true },
  { "kvhile.com", true },
  { "kvilt.dk", true },
  { "kvn.tf", true },
  { "kvnsport.ru", true },
  { "kvpc.com.au", true },
  { "kwat.chat", true },
  { "kwbresidential.com", true },
  { "kwcolville.com", true },
  { "kwedo.com", true },
  { "kwench.com", true },
  { "kwidz.fr", true },
  { "kwmr.me", true },
  { "kwok.cc", true },
  { "kwyxz.org", true },
  { "kx197.com", true },
  { "kxah35.com", true },
  { "kxnrl.com", false },
  { "kybi.sk", true },
  { "kydara.com", true },
  { "kyledrake.net", true },
  { "kylejohnson.io", true },
  { "kylelaker.com", true },
  { "kylescastles.co.uk", true },
  { "kyliehunt.com", true },
  { "kylinj.com", false },
  { "kynaston.org.uk", true },
  { "kynastonwedding.co.uk", true },
  { "kyobostory-events.com", true },
  { "kyoko.org", true },
  { "kyonagashima.com", true },
  { "kyosaku.org", true },
  { "kyoto-k9.com", true },
  { "kyoto-mic.com", true },
  { "kyoto-tomikawa.jp", true },
  { "kyoto-tomoshibi.jp", true },
  { "kyouko.nl", true },
  { "kyprexxo.com", true },
  { "kyras-castles.co.uk", true },
  { "kyunyuki.com", true },
  { "kyusyu.org", true },
  { "kyy.me", true },
  { "kz.search.yahoo.com", false },
  { "kzsdabas.hu", true },
  { "l-lab.org", true },
  { "l0re.com", true },
  { "l2guru.ru", true },
  { "l4n-clan.de", true },
  { "l7plumbing.com.au", true },
  { "l7world.com", true },
  { "l9.fr", true },
  { "la-baldosa.fr", true },
  { "la-cave-a-nodo.fr", true },
  { "la-compagnie-des-elfes.fr", true },
  { "la-ganiere.com", true },
  { "la-maison.ch", true },
  { "la-petite-entreprise.com", true },
  { "la-tourmaline.ch", true },
  { "laassari.me", true },
  { "laatikko.io", true },
  { "laatjeniethackmaken.nl", true },
  { "labande-annonce.fr", true },
  { "labcoat.jp", true },
  { "labfox.de", true },
  { "labiblioafronebrulepas.com", true },
  { "labms.com.au", true },
  { "labobooks.com", true },
  { "laboitebio-logique.ca", true },
  { "labortogether.com", true },
  { "labouncycastlehire.co.uk", true },
  { "labourreedevergheas.fr", true },
  { "laboutiquedejuliette.com", true },
  { "laboxfaitsoncinema.com", true },
  { "labradorpuppiesforsalebyregisteredlabradorbreeders.com", false },
  { "labrat.mobi", true },
  { "lacantine.xyz", true },
  { "lacasa.fr", true },
  { "lacaveducinquantenaire.com", true },
  { "lacetsfun.com", true },
  { "lacetsroses.ch", true },
  { "lachainedesentrepreneurs.fr", true },
  { "lachawoj.de", true },
  { "lachlan.com", true },
  { "lachlankidson.net", true },
  { "lachosetypo.com", true },
  { "lacicloud.net", true },
  { "lacigf.org", true },
  { "laclaque.ch", true },
  { "lacledelareussite.com", true },
  { "lacledeslan.com", false },
  { "lacledor.ch", true },
  { "laclefdor.ch", true },
  { "lacliniquefinanciere.com", true },
  { "lacoast.gov", true },
  { "lacuevadechauvet.com", true },
  { "lacyc3.eu", true },
  { "ladbroke.net", true },
  { "ladenzeile.at", true },
  { "ladenzeile.de", true },
  { "ladraiglaan.com", true },
  { "lady-2.jp", true },
  { "ladyanna.de", true },
  { "ladybugjam.com", true },
  { "laextra.mx", true },
  { "lafayette-rushford.com", true },
  { "lafcheta.info", true },
  { "lafeemam.fr", true },
  { "lafema.de", true },
  { "lafillepolyvalente.com", true },
  { "lafka.org", true },
  { "lafkor.de", true },
  { "laflash.com", true },
  { "lafosseobservatoire.be", true },
  { "lafr4nc3.net", true },
  { "lag-gbr.gq", true },
  { "lagarderob.ru", false },
  { "lagazzettadigitale.it", true },
  { "lagerauftrag.info", true },
  { "lagit.in", true },
  { "laglab.org", false },
  { "lagout.org", true },
  { "lagriffeduservice.fr", true },
  { "laguiadelvaron.com", true },
  { "laguinguette.fr", true },
  { "laharilais.fr", true },
  { "lahipotesisgaia.com", true },
  { "lahnau-akustik.de", true },
  { "lahora.com.ec", true },
  { "lain.at", true },
  { "laindonleisure.co.uk", true },
  { "lak-berlin.de", true },
  { "lakatrop.com", true },
  { "lakedavid.com.au", true },
  { "lakehavasucityhomebuyerscredit.com", true },
  { "lakehavasucitynews.com", true },
  { "lakehavasuhomebuyercredit.com", true },
  { "lakehavasuhomes.info", true },
  { "lakehavasuhouses.com", true },
  { "lakehavasuwebsites.com", true },
  { "lakelandbank.com", true },
  { "lakeoswegotowncar.com", true },
  { "lakesherwoodelectrical.com", true },
  { "lakeshowlife.com", true },
  { "lakewoodcomputerservices.com", true },
  { "lakhesis.net", true },
  { "lakonia.com.br", true },
  { "lalalab.com", true },
  { "lalaya.fr", true },
  { "laled.ch", true },
  { "lalunecreative.com", true },
  { "lalyre-corcelles.ch", true },
  { "lamaisondelatransformationculturelle.com", true },
  { "lamakat.de", true },
  { "lamapoll.de", true },
  { "lamarieealhonneur.com", false },
  { "lambauer.com", true },
  { "lambertshealthcare.co.uk", true },
  { "lamboo.be", true },
  { "lamclam.site", true },
  { "lame1337.xyz", true },
  { "lamiaposta.email", false },
  { "laminine.info", true },
  { "lamp.re", false },
  { "lampegiganten.dk", true },
  { "lampegiganten.no", true },
  { "lampen24.be", true },
  { "lampenwelt.at", true },
  { "lampenwelt.ch", true },
  { "lamtv.com.mx", true },
  { "lan2k.org", true },
  { "lana.swedbank.se", true },
  { "lanbroa.eu", true },
  { "lanbyte.se", true },
  { "lancejames.com", true },
  { "lancelafontaine.com", true },
  { "lanceyip.com", true },
  { "lancork.net", true },
  { "lancyvbc.ch", true },
  { "land.nrw", false },
  { "landflair-magazin.de", true },
  { "landhaus-christmann.de", true },
  { "landofelves.net", true },
  { "landrovermerriamparts.com", true },
  { "landyparts.nl", true },
  { "lanetix.com", true },
  { "lang-php.com", true },
  { "langatang.com", true },
  { "langbein.org", true },
  { "langguth.io", true },
  { "langkawitrip.com", true },
  { "langstreckensaufen.de", true },
  { "languageterminal.com", true },
  { "langworth.com", true },
  { "langzijn.nl", true },
  { "lanna.io", true },
  { "lannainnovation.com", true },
  { "lanodan.eu", true },
  { "lanostrasalute.it", true },
  { "lanre.org", true },
  { "lanroamer.de", true },
  { "lansechensilu.com", true },
  { "lanseyujie.com", false },
  { "lanternalauth.com", true },
  { "lanternhealth.org", true },
  { "lanturtle.com", true },
  { "lanuovariviera.it", true },
  { "lanyang.tk", true },
  { "lanzamientovirtual.es", true },
  { "lanzarote-online.info", true },
  { "laos.dating", true },
  { "laozhu.me", true },
  { "laparoscopia.com.mx", true },
  { "lapassiondutrading.com", true },
  { "laperfumista.es", true },
  { "lapetition.be", true },
  { "lapidge.net", true },
  { "lapix.com.co", true },
  { "laplacesicherheit.de", true },
  { "laplanetebleue.com", true },
  { "lapolla.com", true },
  { "lapotagere.ch", true },
  { "lapparente-aise.ch", true },
  { "laracode.eu", true },
  { "laraeph.com", true },
  { "laraigneedusoir.com", true },
  { "laranara.se", true },
  { "laranjada.org", true },
  { "laraveldirectory.com", true },
  { "larbertbaptist.org", true },
  { "lareclame.fr", true },
  { "larepublicacultural.es", true },
  { "largescaleforums.com", true },
  { "largeviewer.com", true },
  { "lariposte.org", true },
  { "lariscus.eu", true },
  { "larky.top", true },
  { "larondinedisinfestazione.com", true },
  { "larptreff.de", true },
  { "larraz.es", true },
  { "larrysalibra.com", true },
  { "lars-ewald.com", true },
  { "lars-mense.de", true },
  { "lars.cloud", true },
  { "lars.moi", true },
  { "larsbauer.xyz", true },
  { "larsklene.nl", true },
  { "larsklint.com", true },
  { "larsmerke.de", true },
  { "laruga.co.uk", true },
  { "lasalle.wa.edu.au", true },
  { "lasarmas.com", true },
  { "lascana.co.uk", true },
  { "lasereyess.net", true },
  { "laserfuchs.de", true },
  { "laserpc.net", true },
  { "laserplaza.de", true },
  { "laserplaza.net", true },
  { "lasertechsolutions.com", true },
  { "lask.in", true },
  { "laskas.pl", true },
  { "laspequenassemillas.com", true },
  { "lasrecetasdeguada.com", true },
  { "lasse-it.dk", true },
  { "lasseleegaard.com", true },
  { "lasseleegaard.dk", true },
  { "lasseleegaard.net", true },
  { "lasseleegaard.org", true },
  { "lassesworld.com", true },
  { "lassesworld.se", true },
  { "lastchancetraveler.com", true },
  { "lastharo.com", true },
  { "lastpass.com", false },
  { "lastrada-minden.de", true },
  { "lastweekinaws.com", true },
  { "lasuzefc.fr", true },
  { "lat.sk", true },
  { "latabledebry.be", true },
  { "latabledemontebello.com", true },
  { "late.am", true },
  { "latecnosfera.com", true },
  { "latemodern.com", true },
  { "latenitefilms.com", false },
  { "lateral.dog", true },
  { "lateralsecurity.com", true },
  { "latestdeals.co.uk", true },
  { "lathen-wahn.de", true },
  { "latiendadelbebefeliz.com", true },
  { "latino.dating", true },
  { "latinphone.com", true },
  { "latintoy.com", true },
  { "latitudesign.com", true },
  { "latour-managedcare.ch", true },
  { "latremebunda.com", true },
  { "latrine.cz", true },
  { "latterdaybride.com", true },
  { "lattyware.co.uk", true },
  { "lattyware.com", true },
  { "laubacher.io", true },
  { "lauchundei.at", true },
  { "lauensteiner.de", true },
  { "laufpix.de", true },
  { "lauftreff-himmelgeist.de", true },
  { "laughinggrapepublishing.com", true },
  { "laukstein.com", true },
  { "launayflorian.net", true },
  { "launchkey.com", false },
  { "launchpad-app2.com", true },
  { "launchpadder2.com", true },
  { "lauraandwill.wedding", false },
  { "laurakashiwase.com", true },
  { "lauraofrank.com", true },
  { "laurasplacefamilysupport.org.au", true },
  { "laurelblack.com", true },
  { "laurelspaandlash.com", true },
  { "laurenlobue.com", true },
  { "lauriemilne.com", true },
  { "lauriuc.sk", true },
  { "lausannedentiste.ch", true },
  { "lausannelovers.ch", true },
  { "laussat.de", true },
  { "laut.digital", true },
  { "lauxzahnheilkunde.de", true },
  { "lauzon-hitter.com", true },
  { "lavabit.no", true },
  { "lavalite.de", true },
  { "lavamob.com", true },
  { "lavanderia.roma.it", true },
  { "lavasing.eu.org", true },
  { "lavaux.lv", true },
  { "lavenderx.org", true },
  { "laviedalex.ovh", true },
  { "lavinya.net", true },
  { "lavita.de", true },
  { "lavitrine-une-collection.be", true },
  { "lavoiepharmd.com", true },
  { "lavolte.net", true },
  { "lavval.com", false },
  { "law-peters.de", true },
  { "law.co.il", true },
  { "lawformt.com", true },
  { "lawn-seeds.com", true },
  { "lawnuk.com", true },
  { "lawrence-institute.com", true },
  { "lawrenceberg.nl", true },
  { "lawrencemurgatroyd.com", true },
  { "layfully.me", true },
  { "laylo.nl", true },
  { "laymans911.info", true },
  { "layoutsatzunddruck.de", true },
  { "lazapateriahandmade.pe", true },
  { "lazowik.pl", true },
  { "lazurit.com", true },
  { "lazyboston.com", true },
  { "lazyclock.com", true },
  { "lazyframe.com", true },
  { "lazytux.org", true },
  { "lb-toner.de", true },
  { "lbayer.com", true },
  { "lbc.gr", true },
  { "lbgconsultores.com", true },
  { "lbihrhelpdesk.com", true },
  { "lbls.me", true },
  { "lbphacker.pw", true },
  { "lbs-logics.com", true },
  { "lbux.org", true },
  { "lc-cs.com", true },
  { "lca-pv.de", true },
  { "lca.gov", true },
  { "lcars-sv.info", true },
  { "lcbizsolutions.com", true },
  { "lce-events.com", true },
  { "lcht.ch", false },
  { "lcrmscp.gov", true },
  { "lcy.cat", true },
  { "lcy.im", true },
  { "lcybox.com", true },
  { "ld-begunjscica.si", true },
  { "ldc.com.br", false },
  { "ldcraft.pw", true },
  { "le-bar.org", true },
  { "le-blog.ch", true },
  { "le-controle-parental.fr", true },
  { "le-creux-du-van.ch", true },
  { "le-dev.de", false },
  { "le-drive-de-just-vet.fr", true },
  { "le-h.de", true },
  { "le-hosting.de", true },
  { "le-page.info", true },
  { "le-palantir.com", true },
  { "le-traiteur-parisien.fr", true },
  { "le0.me", true },
  { "le130rb.com", true },
  { "le23.fr", true },
  { "le42mars.fr", true },
  { "leadbox.cz", true },
  { "leaderoftheresistance.com", false },
  { "leaderoftheresistance.net", false },
  { "leadgenie.me", true },
  { "leadinfo.com", true },
  { "leadingsalons.com", true },
  { "leadquest.nl", true },
  { "leafandseed.co.uk", true },
  { "leafans.tk", true },
  { "leafinote.com", true },
  { "leakedminecraft.net", true },
  { "leakforums.net", true },
  { "leandre.cn", true },
  { "leanplando.com", true },
  { "leaodarodesia.com.br", true },
  { "leap-it.be", true },
  { "leapandjump.co.uk", true },
  { "learnedhacker.com", true },
  { "learnflakes.net", true },
  { "learnforestry.com", true },
  { "learning-id.com", true },
  { "learningis1.st", true },
  { "learninglaw.com", true },
  { "learnpianogreece.com", true },
  { "learnplayground.com", true },
  { "learntube.cz", true },
  { "leaseit24.com", true },
  { "leaseit24.de", true },
  { "leasit.at", true },
  { "leasit.de", true },
  { "leastsignificantbit.de", true },
  { "leatherfurnitureexpo.com", true },
  { "leatherwood.nl", true },
  { "leavesofchangeweekly.org", true },
  { "lebanesearmy.gov.lb", true },
  { "lebarbatruc.com", true },
  { "lebarmy.gov.lb", true },
  { "lebens-fluss.at", true },
  { "lebensraum-fitness-toenisvorst.de", true },
  { "lebensraum-im-garten.de", true },
  { "lebihan.pl", true },
  { "leblanc.io", true },
  { "lebosse.me", true },
  { "lebourgeo.is", true },
  { "lechaudrondupertuis.ch", true },
  { "leclaire.com.br", true },
  { "lecoinchocolat.com", true },
  { "lectricecorrectrice.com", true },
  { "led-tl-wereld.nl", true },
  { "led.xyz", true },
  { "ledecologie.com.br", true },
  { "ledeguisement.com", true },
  { "lederer-it.com", true },
  { "ledlampor365.se", true },
  { "ledscontato.com.br", true },
  { "ledzom.ru", false },
  { "lee-fuller.co.uk", true },
  { "leebiblestudycenter.co.uk", true },
  { "leebiblestudycenter.com", true },
  { "leebiblestudycentre.co.uk", true },
  { "leebiblestudycentre.com", true },
  { "leech360.com", true },
  { "leeclemens.net", true },
  { "leedev.org", true },
  { "leelaylay.com", true },
  { "leere.me", true },
  { "leerliga.de", true },
  { "leertipp.de", true },
  { "leesilvey.com", true },
  { "leet2.com", true },
  { "leetcode.com", true },
  { "leetcode.net", true },
  { "leetgamers.asia", true },
  { "leevealdc.com", true },
  { "lefebvristes.com", true },
  { "lefebvristes.fr", true },
  { "leflibustier.ru", true },
  { "lefonddeloeil.com", true },
  { "leftclick.cloud", true },
  { "leftclick.eu", true },
  { "lega-dental.com", true },
  { "legacy.bank", true },
  { "legadental.com", true },
  { "legaillart.fr", true },
  { "legalcontrol.info", true },
  { "legaleus.co.uk", true },
  { "legalisepeacebloom.com", true },
  { "legalrobot-uat.com", true },
  { "legalrobot.com", true },
  { "legatofmrc.fr", true },
  { "legendarycamera.com", true },
  { "legendesdechine.ch", true },
  { "legendofkrystal.com", true },
  { "legends-game.ru", false },
  { "legible.es", true },
  { "legioniv.org", true },
  { "legiscontabilidade.com.br", true },
  { "legit.nz", true },
  { "legjobblogo.hu", true },
  { "legland.fr", true },
  { "legoutdesplantes.be", true },
  { "legumefederation.org", true },
  { "legumeinfo.org", true },
  { "lehighmathcircle.org", true },
  { "lehti-tarjous.net", true },
  { "leibniz-remscheid.de", false },
  { "leideninternationalreview.com", true },
  { "leigh.life", true },
  { "leilautourdumon.de", true },
  { "leilonorte.com", true },
  { "leinfelder.in", true },
  { "leipzig.photo", true },
  { "leipziger-triathlon.de", true },
  { "leisure-blog.com", true },
  { "leisure-supplies-show.co.uk", true },
  { "leition.com", true },
  { "leitionusercontent.com", true },
  { "lejardindesmesanges.fr", true },
  { "lel.ovh", true },
  { "lelambiental.com.br", true },
  { "lelehei.com", true },
  { "lelubre.info", true },
  { "lemarcheelagrandeguerra.it", true },
  { "lemni.top", true },
  { "lemoine.at", true },
  { "lemondenumerique.com", true },
  { "lemondrops.xyz", true },
  { "lemonop.com", true },
  { "lemonparty.co", true },
  { "lemonrockbiketours.com", true },
  { "lemonthy.ca", true },
  { "lemonthy.com", true },
  { "lemouillour.fr", true },
  { "lemuslimpost.com", true },
  { "lenagroben.de", true },
  { "lenaneva.ru", true },
  { "lence.net", true },
  { "lenguajedeprogramacion.com", true },
  { "lengzzz.com", true },
  { "lenidh.de", true },
  { "leninalbertop.com.ve", true },
  { "lenkunz.me", true },
  { "lennyobez.be", true },
  { "lenr-forum.com", true },
  { "lensdoctor.com", true },
  { "lenspirations.com", true },
  { "lensual.space", true },
  { "lenuagebauche.org", true },
  { "lenyip.com", true },
  { "lenyip.me", true },
  { "lenyip.works", true },
  { "lenzw.de", true },
  { "leoandpeto.com", true },
  { "leochedibracchio.com", true },
  { "leodaniels.com", true },
  { "leodraxler.at", true },
  { "leola.cz", true },
  { "leola.sk", true },
  { "leolana.com", true },
  { "leominstercu.com", false },
  { "leon-tech.com", true },
  { "leon.net", true },
  { "leonauto.de", true },
  { "leonax.net", true },
  { "leondenard.com", true },
  { "leonklingele.de", true },
  { "leowkahman.com", true },
  { "lep.gov", true },
  { "lepenetapeti.com", true },
  { "leppis-it.de", true },
  { "lepsos.com", true },
  { "lequerceagriturismo.com", true },
  { "lereporter.ma", true },
  { "leretour.ch", true },
  { "lerku.com", true },
  { "lernenamsee.ch", true },
  { "lernerspersonalinjury.ca", true },
  { "lernorteuropa.com", true },
  { "lernorteuropa.de", true },
  { "lernorteuropa.eu", true },
  { "lernplattform-akademie.de", true },
  { "lerp.me", true },
  { "les-ateliers-de-melineo.be", true },
  { "les-pingouins.com", true },
  { "lesaffre.es", true },
  { "lesancheslibres.fr", true },
  { "lesarts.com", true },
  { "lesberger.ch", true },
  { "lesbiansslaves.com", true },
  { "lesbofight.com", true },
  { "leseditionsbraquage.com", true },
  { "lesgoodnews.fr", true },
  { "lesharris.com", true },
  { "leshervelines.com", true },
  { "lesjardinsdemathieu.net", true },
  { "lesjardinsdubanchet.fr", true },
  { "lesmamy.ch", true },
  { "lesmontagne.net", true },
  { "lesnet.co.uk", true },
  { "lespagesweb.ch", true },
  { "lespecialiste-pradelexcellence.com", true },
  { "lesplatanes.ch", true },
  { "lespret.nl", true },
  { "lesscloud.com", true },
  { "lessets-graphiques.com", true },
  { "lessing.consulting", true },
  { "lessis.moe", true },
  { "lesterchan.net", true },
  { "lesterrassesdusoleil.ch", true },
  { "lesyndicat.info", true },
  { "let-go.cc", true },
  { "letemps.ch", true },
  { "letempsdunefleur.be", true },
  { "lethbridgecoffee.com", true },
  { "lets-bounce.com", true },
  { "lets-go-acoustic.de", true },
  { "lets-ktai.jp", true },
  { "lets.ninja", true },
  { "lets.nu", true },
  { "letsbounceuk.com", true },
  { "letsdebug.net", true },
  { "letsencrypt-for-cpanel.com", true },
  { "letsgame.nl", true },
  { "letsgetchecked.com", true },
  { "letsgowhilewereyoung.com", true },
  { "letsorganise.uk", true },
  { "letspartyrugby.co.uk", true },
  { "letstalkcounseling.com", true },
  { "letterbox-online.de", true },
  { "letterdance.de", true },
  { "letteringinstitute.com", true },
  { "lettersblogatory.com", true },
  { "lettori.club", true },
  { "leuenhagen.com", true },
  { "leulu.com", true },
  { "leumi-how-to.co.il", true },
  { "leuthardtfamily.com", true },
  { "levans.fr", true },
  { "levanscatering.com", true },
  { "levelaccordingly.com", true },
  { "levelcheat.com", true },
  { "leveluprails.com", true },
  { "levendwater.org", true },
  { "levensbron.nl", true },
  { "leverj.io", true },
  { "levermann.eu", true },
  { "leviaan.nl", true },
  { "levinus.de", true },
  { "leviscop.com", true },
  { "leviscop.de", true },
  { "lew.im", true },
  { "lewdawson.com", true },
  { "lewis.li", true },
  { "lewisdatasecurity.com", true },
  { "lewislaw.com", true },
  { "lewisllewellyn.me", true },
  { "lexico.pt", true },
  { "lexicography.online", true },
  { "lexpartsofac.com", true },
  { "lexway.pk", true },
  { "lexxyn.nl", true },
  { "lezard-com.fr", true },
  { "lfashion.eu", true },
  { "lfgss.com", true },
  { "lfrconseil.com", true },
  { "lghfinancialstrategy.ch", true },
  { "lgpecasoriginais.com.br", true },
  { "lhajn.cz", true },
  { "lhakustik.se", true },
  { "lhalbert.xyz", true },
  { "lhasaapso.com.br", true },
  { "lhconsult.tk", false },
  { "lheinrich.de", true },
  { "lhost.su", true },
  { "li-ke.co.jp", true },
  { "li.search.yahoo.com", false },
  { "liam-w.io", true },
  { "lian-in.com", true },
  { "lian-in.net", true },
  { "liang-li88.com", true },
  { "liang-li88.net", true },
  { "liangbp.com", true },
  { "lianwen.kim", true },
  { "lianye1.cc", true },
  { "lianye2.cc", true },
  { "lianye3.cc", true },
  { "lianye4.cc", true },
  { "lianye5.cc", true },
  { "lianye6.cc", true },
  { "lib64.net", true },
  { "libbitcoin.org", true },
  { "libble.eu", true },
  { "liberapay.com", true },
  { "libgame.com", true },
  { "libmpq.org", true },
  { "libnull.com", true },
  { "library-quest.com", true },
  { "libraryextension.com", true },
  { "libraryfreedomproject.org", false },
  { "librarytools.com", true },
  { "librazy.org", true },
  { "libre-service.de", true },
  { "libre.university", true },
  { "libreboot.org", true },
  { "librebox.de", true },
  { "libreduca.com", true },
  { "librelamp.com", true },
  { "libremail.nl", true },
  { "librends.org", true },
  { "libreoffice-from-collabora.com", true },
  { "libreofficefromcollabora.com", true },
  { "librervac.org", true },
  { "libricks.fr", true },
  { "libscode.com", false },
  { "libskia.so", true },
  { "libsodium.org", true },
  { "libstock.si", true },
  { "liceo.cn", true },
  { "lichess.org", true },
  { "lichtspot.de", true },
  { "lichttechnik-tumler.com", true },
  { "lichttraeumer.de", true },
  { "lickmypussy.us", true },
  { "lickthesalt.com", true },
  { "lidavidm.me", true },
  { "lidel.org", true },
  { "liderwalut.pl", false },
  { "lidl-gewinnspiel.de", true },
  { "lidl-holidays.com", true },
  { "lidl-menubox.ch", true },
  { "lidl-shop.be", true },
  { "lidl-shop.cz", true },
  { "lidl-shop.nl", true },
  { "lidl-tour.ro", true },
  { "lidlovajogurteka.si", true },
  { "lidogr.com", true },
  { "lidong.me", true },
  { "lidow.eu", true },
  { "liduan.com", true },
  { "liduan.net", true },
  { "liebel.org", true },
  { "lieberwirth.biz", true },
  { "lieblingsholz.de", true },
  { "lieuu.com", true },
  { "lifanov.com", true },
  { "life-emotions.pt", true },
  { "lifebetweenlives.com.au", true },
  { "lifecism.com", true },
  { "lifecoach.tw", false },
  { "lifeinhex.com", true },
  { "lifeinsurancepro.org", true },
  { "lifeinsurances.pro", true },
  { "lifeinsurances24.com", true },
  { "lifekiss.ru", true },
  { "lifematenutrition.com", true },
  { "lifemstyle.com", true },
  { "lifenexto.com", true },
  { "lifeqa.net", true },
  { "lifequotes-uk.co.uk", true },
  { "lifesafety.com.br", true },
  { "lifestyle7788.com", true },
  { "lifestylefinancial.ca", true },
  { "lifi.digital", true },
  { "lifi.is", true },
  { "liftie.info", true },
  { "light-up.xyz", true },
  { "light.mail.ru", true },
  { "lightbox.co", true },
  { "lightcloud.com", true },
  { "lighthouseinstruments.com", true },
  { "lighting-centres.co.uk", true },
  { "lightme.us", true },
  { "lightning.community", true },
  { "lightning.engineering", true },
  { "lights.co.uk", true },
  { "lightspeedta.co", true },
  { "lightupcollective.co.uk", true },
  { "lignemalin.com", true },
  { "lignemax.com", true },
  { "lignenet.com", true },
  { "lignoma.com", true },
  { "ligonier.com", true },
  { "lihaul.dnsalias.net", true },
  { "lijero.co", true },
  { "lijncoaching.nl", true },
  { "likc.me", true },
  { "likeablehub.com", true },
  { "likeabox.de", true },
  { "likegeeks.com", true },
  { "likehifi.de", true },
  { "likemovies.de", true },
  { "likenewhearing.com.au", true },
  { "likere.com", true },
  { "lilaccakeboutique.com", true },
  { "liliang13.com", true },
  { "lillepuu.com", true },
  { "lily-bearing.com", true },
  { "lily-inn.com", true },
  { "lilyfarmfreshskincare.com", true },
  { "lilysbouncycastles.com", true },
  { "lim-light.com", true },
  { "limap.ch", true },
  { "limawi.io", true },
  { "limberg.me", true },
  { "limbo.services", true },
  { "limeburst.net", true },
  { "limeres.com", true },
  { "limereslaw.com", true },
  { "limitededitioncomputers.com", true },
  { "limitededitionsolutions.com", true },
  { "limitget.com", true },
  { "limitxyz.com", true },
  { "limn.me", true },
  { "limoairporttoronto.net", true },
  { "limousineservicezurich.com", true },
  { "limpid.nl", true },
  { "limules.ch", true },
  { "limunana.com", true },
  { "lin.fi", true },
  { "linan.blog", true },
  { "lincdavis.com", true },
  { "lincnaarzorg.nl", true },
  { "lincolnfinewines.com", true },
  { "lincolnsfh.com", true },
  { "lincolnwayflorist.com", true },
  { "lincsbouncycastlehire.co.uk", true },
  { "linden.me", true },
  { "lindeskar.se", true },
  { "lindholmen.club", true },
  { "lindo.ru", true },
  { "lindon.pw", true },
  { "lindsayanderson.com", true },
  { "lindskogen.se", true },
  { "lindy.co", false },
  { "line.co.nz", true },
  { "lineageos.org", true },
  { "linearaudio.net", true },
  { "linearaudio.nl", true },
  { "linearmap.com", true },
  { "linernotekids.com", true },
  { "linfamilygc.com", true },
  { "lingerie.com.br", true },
  { "lingeriesilhouette.com", true },
  { "lingotaxi.com", true },
  { "lingting.vip", true },
  { "linguamilla.com", true },
  { "linguatrip.com", false },
  { "lingvo-svoboda.ru", true },
  { "link-sanitizer.com", true },
  { "link2serve.com", true },
  { "linkat4.cz", true },
  { "linkdr.uk", true },
  { "linkedinbackground.com", true },
  { "linkenheil.org", true },
  { "linklocker.co", true },
  { "linkmaker.co.uk", true },
  { "linkmauve.fr", true },
  { "linkonaut.net", true },
  { "linkthis.me", true },
  { "linkthis.ml", true },
  { "linkthisstatus.ml", true },
  { "linktio.com", true },
  { "linky.tk", true },
  { "linkycat.com", true },
  { "linode.com", false },
  { "linost.com", true },
  { "linostassi.net", true },
  { "linqhost.nl", true },
  { "linss.com", true },
  { "lintmx.com", true },
  { "linusdrop.tips", true },
  { "linux-florida.com", true },
  { "linux-mint-czech.cz", true },
  { "linux-vme.org", true },
  { "linux.army", true },
  { "linux.cn", true },
  { "linux.conf.au", true },
  { "linux.fi", true },
  { "linux.im", true },
  { "linux3.org", true },
  { "linuxbabe.com", true },
  { "linuxbierwanderung.com", true },
  { "linuxchick.se", true },
  { "linuxcommand.ru", true },
  { "linuxdays.cz", true },
  { "linuxforum.ch", true },
  { "linuxhostsupport.com", true },
  { "linuxincluded.com", true },
  { "linuxiuvat.de", true },
  { "linuxlounge.net", true },
  { "linuxos.org", true },
  { "linuxproperties.com", true },
  { "linvx.org", true },
  { "linx.li", true },
  { "linx.net", true },
  { "linzgau.de", true },
  { "lionhosting.nl", true },
  { "lionlyrics.com", true },
  { "lionsdeal.com", true },
  { "lipartydepot.com", true },
  { "lipex.com", true },
  { "lipo.lol", true },
  { "lipoabaltimore.org", true },
  { "liqd.net", true },
  { "liquidhost.co", true },
  { "liquidinternet.co", true },
  { "liquidradio.pro", true },
  { "liquimoly.market", true },
  { "lirion.de", true },
  { "liris-beautywelt.de", true },
  { "lirlandais.ch", true },
  { "lirnberger.com", true },
  { "lisamccorrie.com", true },
  { "lisamortimore.com", true },
  { "lisburnhottubnbounce.co.uk", true },
  { "lisieuxarquitetura.com.br", true },
  { "liskgdt.net", true },
  { "lislan.org.uk", true },
  { "lisowski-development.com", true },
  { "listahu.org", true },
  { "listekdo.fr", true },
  { "listen.dk", true },
  { "lister-kirchweg.de", true },
  { "listminut.be", true },
  { "lists.fedoraproject.org", true },
  { "lists.stg.fedoraproject.org", true },
  { "litchidova.nl", true },
  { "litebits.com", true },
  { "litemind.com", true },
  { "literarymachin.es", true },
  { "litfin.name", true },
  { "lithan.com", true },
  { "lithesalar.se", true },
  { "lithianissaneugeneparts.com", true },
  { "litsovet.com", true },
  { "little-cake.com", true },
  { "littlebestfriend.de", true },
  { "littlefairy.no", true },
  { "littlefamilyadventure.com", true },
  { "littlegreece.ae", true },
  { "littlejumpers.co.uk", true },
  { "littlenina.nz", false },
  { "littlepigcreek.com.au", true },
  { "littlepincha.fr", true },
  { "littleprincessandmascotparties.co.uk", true },
  { "littleqiu.net", true },
  { "littleredsbakeshop.com", true },
  { "littlericket.me", true },
  { "littlescallywagsplay.co.uk", true },
  { "littleswitch.co.jp", true },
  { "littlewatcher.com", true },
  { "litvideoserver.de", true },
  { "liuboznaiko.eu", true },
  { "liudon.org", true },
  { "liufengyu.cn", true },
  { "liul.in", true },
  { "liushuyu.tk", true },
  { "liv3d.stream", true },
  { "live4k.media", true },
  { "livebetterwith.com", true },
  { "livebythesun.de", true },
  { "livecards.co.uk", true },
  { "livecards.es", true },
  { "livecards.eu", true },
  { "livecards.it", true },
  { "livechatlady.info", true },
  { "livedesign.at", true },
  { "livedesign24.de", true },
  { "liveflightapp.com", true },
  { "liveforspeed.se", true },
  { "livejasmin.dk", true },
  { "livekaarten.be", true },
  { "livekaarten.nl", true },
  { "livekarten.at", true },
  { "livekarten.de", true },
  { "livekort.com", true },
  { "livekort.dk", true },
  { "livekort.no", true },
  { "livekort.se", true },
  { "livekortti.com", true },
  { "livekortti.fi", true },
  { "livela.jp", true },
  { "livelexi.com", true },
  { "livelifewithintent.com", true },
  { "livepaperhelp.com", true },
  { "livepath.ch", true },
  { "liveperformersmeeting.net", true },
  { "liveregistratie.nl", true },
  { "livesearch-fukuoka.com", true },
  { "livesure.com", true },
  { "livetube.tv", true },
  { "livi.co", true },
  { "living-space.co.nz", true },
  { "living24.de", true },
  { "livingforreal.com", true },
  { "livinglocalnashville.com", true },
  { "livingworduk.org", true },
  { "livnev.me", true },
  { "livnev.xyz", true },
  { "livolett.de", true },
  { "livrariacoad.com.br", true },
  { "livroseuniformes.com.br", true },
  { "lixiaojiang.ga", true },
  { "lixtick.com", true },
  { "liyin.date", true },
  { "liyinjia.com", true },
  { "liz.ee", true },
  { "lizardsystems.com", true },
  { "lizhi.io", true },
  { "lizhi123.net", true },
  { "lizzaran.io", true },
  { "lizzythepooch.com", true },
  { "ljason.cn", true },
  { "ljs.io", true },
  { "lk-hardware.cz", true },
  { "lknw.de", true },
  { "lkp111138.me", true },
  { "llamacuba.com", true },
  { "lll.st", true },
  { "llm-guide.com", true },
  { "lloyd-day.me", true },
  { "lm-pumpen.de", false },
  { "lmcm.io", true },
  { "lmddgtfy.net", true },
  { "lmerza.com", true },
  { "lmintlcx.com", true },
  { "lmmtfy.io", true },
  { "lmsptfy.com", true },
  { "lmtm.eu", true },
  { "ln.io", true },
  { "lntu.org", true },
  { "lnx.li", true },
  { "load-ev.de", true },
  { "loadingdeck.com", false },
  { "loadlow.me", true },
  { "loadwallet.com", true },
  { "loafhead.me", true },
  { "loanaway.ca", true },
  { "loancompare.co.za", true },
  { "loandolphin.com.au", true },
  { "loanmatch.sg", true },
  { "loanstreet.nl", true },
  { "lobivia.de", true },
  { "lobsangstudio.com", true },
  { "lobstr.co", true },
  { "local360.net", true },
  { "localbandz.com", true },
  { "localbitcoins.com", true },
  { "localblitz.com", true },
  { "localblock.co.za", true },
  { "localbouncycastle.com", true },
  { "localdata.us", true },
  { "localdecor.com.br", true },
  { "localethereum.com", true },
  { "localhorst.xyz", false },
  { "localhost.ee", true },
  { "localspot.pl", true },
  { "locapos.com", true },
  { "location-fichier-email.com", true },
  { "locationvoitureallemagne.com", true },
  { "locationvoitureangleterre.com", true },
  { "locationvoitureaustralie.com", true },
  { "locationvoiturebelgique.com", true },
  { "locationvoiturecorse.net", true },
  { "locationvoitureespagne.com", true },
  { "locationvoitureitalie.com", true },
  { "locationvoitureportugal.com", true },
  { "locatorplus.gov", true },
  { "locauxrama.fr", true },
  { "locker.email", true },
  { "lockify.com", true },
  { "lockpick.nl", true },
  { "lockpicks.se", true },
  { "lockr.io", true },
  { "locksport.org.nz", true },
  { "locomore.com", true },
  { "locomotionds.com", true },
  { "locomotive.net.br", true },
  { "loddeke.eu", true },
  { "loenshotel.de", true },
  { "loew.de", true },
  { "loforo.com", true },
  { "lofttravel.com", true },
  { "logaldeveloper.com", true },
  { "loganmarchione.com", true },
  { "loganparkneighborhood.org", true },
  { "logbook.ch", true },
  { "logbot.info", true },
  { "logement-saisonnier.com", true },
  { "logement.com", true },
  { "logentries.com", false },
  { "logexplorer.net", true },
  { "logicchen.com", true },
  { "logiciel-entreprise-seurann.fr", true },
  { "logicio.ch", false },
  { "logicio.de", false },
  { "logicio.net", false },
  { "logicne-hise.si", true },
  { "logicoma.com", true },
  { "login.corp.google.com", true },
  { "login.gov", false },
  { "login.launchpad.net", true },
  { "login.sapo.pt", true },
  { "login.ubuntu.com", true },
  { "login.xero.com", false },
  { "login.yahoo.com", false },
  { "logingate.hu", true },
  { "loginsentinel.eu", true },
  { "logitank.net", true },
  { "logitel.de", true },
  { "logoglo.com", true },
  { "logojoes.net", true },
  { "logopaediereinhard.de", true },
  { "logopedistalanni.it", true },
  { "logophiliapress.com", true },
  { "logopoeia.com", true },
  { "logostock.jp", true },
  { "logtalk.org", true },
  { "logtalk.pt", true },
  { "logue.be", true },
  { "logze.nl", true },
  { "lohanaflores.com.br", true },
  { "loichot.ch", true },
  { "lojadamimo.com.br", true },
  { "lojadanidrea.com.br", true },
  { "lojadarenda.com.br", true },
  { "lojadewhisky.com.br", true },
  { "lojadoarcomprimido.com.br", true },
  { "lojadoprazer.com.br", true },
  { "lojafazendoarte.com.br", true },
  { "lojafilipaper.com.br", true },
  { "lojahunamarcenaria.com.br", true },
  { "lojamagicalx.com", true },
  { "lojamascate.com.br", true },
  { "lojamoleco.com.br", true },
  { "lojamulticapmais.com.br", true },
  { "lojaprimemed.com.br", true },
  { "lojaprojetoagua.com.br", true },
  { "lojasceletro.com.br", true },
  { "lojatema.com.br", true },
  { "lojaterrazul.com.br", true },
  { "lojavirtualfc.com.br", true },
  { "lojavirtualfct.com.br", true },
  { "lojavisamed.com.br", true },
  { "lojix.com", true },
  { "lojj.pt", true },
  { "lok.space", true },
  { "lokaal.org", true },
  { "loket.nl", true },
  { "lolcorp.pl", true },
  { "lolcow.farm", true },
  { "lolhax.org", true },
  { "loli.net", true },
  { "loli.pet", true },
  { "loli.ski", true },
  { "loli.vip", true },
  { "loli.world", true },
  { "lolibrary.org", true },
  { "lolicon.eu", true },
  { "lolis.stream", true },
  { "lolkot.ru", true },
  { "lolnames.gg", true },
  { "lolpatrol.de", true },
  { "lolpatrol.wtf", true },
  { "loma.ml", true },
  { "lommeregneren.dk", true },
  { "lommyfleet.com", true },
  { "lon-so.com", true },
  { "lona.io", true },
  { "lonal.com", true },
  { "lonasdigital.com", true },
  { "london.dating", true },
  { "londongallery.net", true },
  { "londongynaecologist.co", true },
  { "londonkan.jp", true },
  { "londonkeyholdingcompany.co.uk", true },
  { "lonelytweets.com", true },
  { "lonesomecosmonaut.com", true },
  { "longhaircareforum.com", true },
  { "longhorn-imports.com", true },
  { "longhorn.id.au", true },
  { "longma.pw", true },
  { "longstride.net", true },
  { "lonniec.com", true },
  { "lonniemason.net", true },
  { "look.co.il", true },
  { "looka.ch", true },
  { "looka.photo", true },
  { "lookagain.co.uk", true },
  { "lookart.ch", true },
  { "lookasik.eu", true },
  { "lookastic.co.uk", true },
  { "lookastic.com", true },
  { "lookastic.de", true },
  { "lookastic.es", true },
  { "lookastic.fr", true },
  { "lookastic.mx", true },
  { "lookastic.ru", true },
  { "lookatmysco.re", true },
  { "lookbetweenthelines.com", true },
  { "lookup-dns.net", true },
  { "lookyman.net", true },
  { "lookzook.com", true },
  { "loom.no", true },
  { "loony.info", true },
  { "loopower.com", true },
  { "loopstart.org", true },
  { "loothole.com", true },
  { "loovto.net", true },
  { "loposchokk.com", true },
  { "loqu8.com", true },
  { "lordgun.com", true },
  { "lordofthebrick.com", true },
  { "lore.azurewebsites.net", true },
  { "lorenadumitrascu.ro", true },
  { "loreofthenorth.com", true },
  { "loreofthenorth.nl", true },
  { "loritaboegl.de", true },
  { "losangelestown.com", true },
  { "losless.fr", true },
  { "losreyesdeldescanso.com.ar", true },
  { "lost.host", true },
  { "lost.report", true },
  { "lostkeys.co.uk", true },
  { "lostserver.com", true },
  { "lostwithdan.com", true },
  { "loteks.de", true },
  { "lothlorien.ca", true },
  { "lotl.ru", true },
  { "lotn.mobi", true },
  { "lotn.nl", true },
  { "lotnonline.com", true },
  { "lotnonline.nl", true },
  { "lotro-wiki.com", true },
  { "lottospielen24.org", false },
  { "lotw.de", true },
  { "lotz.li", true },
  { "lou.lt", true },
  { "louange-reconvilier.ch", true },
  { "loucanfixit.com", true },
  { "louisvillecarguys.com", true },
  { "louisvillevmug.info", true },
  { "loune.net", true },
  { "loveandadoreboutique.com", true },
  { "lovebo9.com", true },
  { "lovebo9.net", true },
  { "loveislandgames.com", true },
  { "loveisourweapon.com", true },
  { "lovelens.ch", false },
  { "lovelens.li", false },
  { "lovelive-anime.tokyo", false },
  { "lovelive.us", true },
  { "lovelivewiki.com", true },
  { "lovelovenavi.jp", true },
  { "lovelytimes.net", true },
  { "lovemen.cc", true },
  { "lovemomiji.com", true },
  { "lovenwishes.com", true },
  { "loveph.one", true },
  { "lover-bg.com", true },
  { "loveread-ec.appspot.com", true },
  { "loverepublic.ru", true },
  { "lovesmagical.com", true },
  { "lovesupremefestival.com", true },
  { "lovetravel360.com", true },
  { "loveyounastya.com", true },
  { "loveysa.ch", true },
  { "lovg.ren", true },
  { "lovingearth.co", true },
  { "lovizaim.ru", true },
  { "low-diets.com", true },
  { "lowcostwire.com.au", true },
  { "lowerpricefinder.com", true },
  { "lowmagnitude.com", true },
  { "lowsec.space", true },
  { "lowsidetna.com", true },
  { "lowson.ca", true },
  { "loxal.net", true },
  { "loxal.org", true },
  { "loyaleco.it", true },
  { "lp-support.nl", true },
  { "lpacademy.com.br", true },
  { "lpm-uk.com", true },
  { "lpt-nebreziny.eu", true },
  { "lra-cloud.de", true },
  { "lrhstsa.com", true },
  { "lrssystems.com", true },
  { "ls-alarm.de", true },
  { "ls-rp.es", true },
  { "lsal.me", true },
  { "lsc-dillingen.de", true },
  { "lsc.gov", true },
  { "lshiy.com", true },
  { "lsquo.com", true },
  { "lsws.de", true },
  { "lsys.ac", true },
  { "lt.search.yahoo.com", false },
  { "ltaake.com", true },
  { "ltecode.com", true },
  { "ltib.com.au", true },
  { "ltls.org", true },
  { "ltn-tom-morel.fr", true },
  { "lu.search.yahoo.com", false },
  { "luav.org", true },
  { "lubar.me", true },
  { "lubbockyounglawyers.org", true },
  { "lublin.toys", true },
  { "lubomirkazakov.com", true },
  { "luc-oberson.ch", true },
  { "luca.swiss", true },
  { "lucacastelnuovo.nl", false },
  { "lucakrebs.de", true },
  { "lucasantarella.com", true },
  { "lucascantor.com", true },
  { "lucasem.com", true },
  { "lucasgymnastics.com", true },
  { "lucaslarson.net", true },
  { "lucassoler.com.ar", true },
  { "luce.life", true },
  { "luchscheider.de", false },
  { "lucid-light.de", true },
  { "lucidframeworks.com", true },
  { "lucidlight.de", true },
  { "lucidoccult.com", true },
  { "lucielavickova.com", true },
  { "luckycastles.co.uk", true },
  { "luckydog.pw", true },
  { "luckyfrog.hk", true },
  { "luckystarfishing.com", true },
  { "luckyxf.com", true },
  { "lucy.science", true },
  { "lucyparsonslabs.com", true },
  { "lucysan.net", true },
  { "ludek.biz", true },
  { "ludikovsky.name", true },
  { "ludogue.net", true },
  { "ludovic-muller.fr", true },
  { "ludum.pl", true },
  { "ludwig.im", true },
  { "ludwiggrill.de", true },
  { "ludwigjohnson.se", true },
  { "ludwigpro.net", true },
  { "luedeke-bremen.eu", true },
  { "luehne.de", true },
  { "luelistan.net", true },
  { "luenwarneke.com", true },
  { "luera1959.de", true },
  { "luffyhair.com", true },
  { "luftbild-siegerland.de", true },
  { "luftreiniger.biz", true },
  { "lufu.io", true },
  { "luganskservers.net", true },
  { "lugbb.org", true },
  { "luginbuehl.be", true },
  { "luginbuehl.eu", true },
  { "lugui.in", true },
  { "lui.pink", true },
  { "luisgf.es", true },
  { "luismaier.de", true },
  { "luisyr.com", true },
  { "luizkowalski.net", true },
  { "luk.earth", true },
  { "lukas-gorr.de", true },
  { "lukas-oppermann.de", true },
  { "lukas-schauer.de", true },
  { "lukas.im", true },
  { "lukas2511.de", true },
  { "lukasberan.com", true },
  { "lukasberan.cz", true },
  { "lukasfunk.com", true },
  { "lukasoppermann.com", true },
  { "lukasoppermann.de", true },
  { "lukasschauer.de", true },
  { "lukasschick.de", false },
  { "lukaszorn.de", true },
  { "lukatz.de", true },
  { "luke.ch", true },
  { "lukeistschuld.de", true },
  { "lukeng.net", true },
  { "lukesbouncycastlehire.com", true },
  { "lukestebbing.com", true },
  { "lukmanulhakim.id", true },
  { "lukull-pizza.de", true },
  { "luma.family", true },
  { "luma.pink", true },
  { "lumi.pw", true },
  { "lumiere.com", true },
  { "luminaires-online.fr", true },
  { "lumitop.com", true },
  { "lunafag.ru", true },
  { "lunakit.org", true },
  { "lunanova.moe", true },
  { "lunapatch.com", true },
  { "lunapps.com", true },
  { "lunar6.ch", true },
  { "lunarlog.com", true },
  { "lunarshark.com", true },
  { "lunarsoft.net", true },
  { "lunartail.nl", true },
  { "lunasqu.ee", true },
  { "lunchbunch.me", true },
  { "lune-indigo.ch", true },
  { "lungta.pro", true },
  { "lunidea.ch", true },
  { "lunidea.com", true },
  { "lunight.ml", true },
  { "lunis.net", true },
  { "lunix.io", true },
  { "lunorian.is", false },
  { "luoe.me", true },
  { "luoh.cc", true },
  { "luoh.me", true },
  { "luohua.im", true },
  { "luongvu.com", true },
  { "luoxingyu.ml", true },
  { "lupinencyclopedia.com", true },
  { "luso-livros.net", true },
  { "lusteniny.cz", false },
  { "lustige-zitate.com", true },
  { "lustin.fr", true },
  { "lustrum.ch", true },
  { "lusynth.com", true },
  { "luteijn.biz", true },
  { "luteijn.pro", true },
  { "lutizi.com", false },
  { "lutoma.org", true },
  { "luukdebruincv.nl", true },
  { "luukklene.nl", true },
  { "luuppi.fi", true },
  { "luvare.com", true },
  { "luvbridal.com.au", true },
  { "luxcraft.eng.br", true },
  { "luxescreenprotector.nl", true },
  { "luxsci.com", true },
  { "luxurynsight.net", true },
  { "luxuryweddingsindonesia.com", true },
  { "luxusnivoucher.cz", true },
  { "luxusnyvoucher.sk", true },
  { "luxvacuos.net", true },
  { "luxwatch.com", true },
  { "luyckx.net", true },
  { "luzat.com", true },
  { "luzfaltex.com", true },
  { "lv.search.yahoo.com", false },
  { "lv0.it", true },
  { "lv5.top", true },
  { "lvmoo.com", true },
  { "lvrsystems.com", true },
  { "lw-addons.net", true },
  { "lwl.moe", true },
  { "lwl12.com", true },
  { "lxd.cc", true },
  { "lxd.pm", true },
  { "lycee-saintjoseph-mesnieres.fr", true },
  { "lychankiet.name.vn", false },
  { "lydudlejning.net", true },
  { "lyfbits.com", true },
  { "lyftrideestimate.com", true },
  { "lymia.moe", true },
  { "lynero.dk", true },
  { "lyness.io", true },
  { "lyngvaer.no", true },
  { "lynkos.com", true },
  { "lynnlaytonnissanparts.com", true },
  { "lynnmosher.com", true },
  { "lynthium.com", true },
  { "lynx.nl", true },
  { "lynxbroker.de", true },
  { "lynxpro.nl", true },
  { "lyon-interactive.com", true },
  { "lyon-synergie.com", true },
  { "lyoness.digital", true },
  { "lyrical-nonsense.com", true },
  { "lyricfm.ie", true },
  { "lys.ch", true },
  { "lyscnd.com", true },
  { "lyst.co.uk", true },
  { "lyukaacom.ru", true },
  { "lyuly.com", true },
  { "lyx.dk", true },
  { "lz.sb", true },
  { "lzh.one", true },
  { "m-22.com", true },
  { "m-edmondson.co.uk", true },
  { "m-idea.jp", true },
  { "m-kleinert.de", true },
  { "m-mail.fr", true },
  { "m-orthodontic.com", true },
  { "m-ses.fr", true },
  { "m.facebook.com", true },
  { "m.mail.ru", true },
  { "m.me", true },
  { "m0t0k1ch1.com", true },
  { "m132.eu", true },
  { "m2epro.com", true },
  { "m2os.com", true },
  { "m4rcus.de", true },
  { "ma-eir.nl", true },
  { "ma-plancha.ch", true },
  { "ma2t.com", true },
  { "maartenderaedemaeker.be", true },
  { "maartenvandekamp.nl", true },
  { "maaya.jp", true },
  { "maayogashram.com", true },
  { "mabankonline.com", true },
  { "mabulledu.net", true },
  { "mac-i-tea.ch", true },
  { "mac-world.pl", true },
  { "mac1.net", true },
  { "macaw.nl", true },
  { "macaws.org", true },
  { "maceinturecuir.com", true },
  { "maces-net.de", true },
  { "mach-politik.ch", true },
  { "macha.cloud", true },
  { "machetewp.com", true },
  { "machikka.com", false },
  { "macht-elektro.de", true },
  { "machtweb.de", true },
  { "machu-picchu.nl", true },
  { "maciespartyhire.co.uk", true },
  { "macinyasha.net", true },
  { "macker.io", true },
  { "mackey7.net", true },
  { "mackeysack.com", true },
  { "mackiehouse.ca", true },
  { "maclemon.at", true },
  { "macleod.io", true },
  { "macnemo.de", true },
  { "macnetwork.eu", true },
  { "macnetwork.fr", true },
  { "macnetwork.net", true },
  { "maco.org.uk", true },
  { "maconnerie-dcs.ch", true },
  { "macosxfilerecovery.com", true },
  { "macoun.de", true },
  { "macros.co.jp", true },
  { "macstore.pe", true },
  { "mactools.com.co", true },
  { "madae.nl", true },
  { "madandpissedoff.com", true },
  { "madars.org", false },
  { "madbin.com", true },
  { "madbouncycastles.co.uk", true },
  { "maddi.biz", true },
  { "maddistonevangelical.co.uk", true },
  { "maddistonparentcouncil.co.uk", true },
  { "maddistonpsa.co.uk", true },
  { "maddreefer.com", true },
  { "made-in-earth.co.jp", true },
  { "madebyshore.com", true },
  { "madeglobal.com", true },
  { "madeinchezmoi.net", true },
  { "madeinstudio3.com", true },
  { "madeitwor.se", true },
  { "madeloc.com", true },
  { "mademoiselledemargaux.com", true },
  { "mader.jp", true },
  { "madin.ru", true },
  { "madirc.net", false },
  { "madmar.ee", true },
  { "madoka.nu", true },
  { "madokami.net", true },
  { "madpeople.net", true },
  { "madreacqua.org", true },
  { "madridartcollection.com", true },
  { "madtec.de", true },
  { "madusecurity.com", true },
  { "madweb.design", true },
  { "mae-berlinistanbul.com", true },
  { "maedchenflohmarkt.at", true },
  { "maedchenflohmarkt.de", true },
  { "maelstrom-fury.eu", true },
  { "maelstrom.ninja", true },
  { "maeplasticsurgery.com", true },
  { "maestrano.com", true },
  { "maff.co.uk", true },
  { "maff.scot", false },
  { "mafia.network", true },
  { "mafiaforum.de", true },
  { "mafiapenguin.club", true },
  { "mafiasi.de", true },
  { "magasindejouets.com", true },
  { "magasinsalledebain.be", true },
  { "magasinsalledebain.fr", true },
  { "magasinsalledebains.be", true },
  { "magasinsalledebains.fr", true },
  { "magasinsenfrance.com", true },
  { "magazin3513.com", true },
  { "magazinedotreino.com.br", true },
  { "magdic.eu", true },
  { "magenda.sk", true },
  { "magentaize.net", true },
  { "magentapinkinteriors.co.uk", true },
  { "magentoeesti.eu", true },
  { "magewell.nl", true },
  { "magi-cake.com", true },
  { "magi.systems", true },
  { "magical-secrets.com", true },
  { "magicalcircuslv.com", true },
  { "magicball.co", true },
  { "magicbroccoli.de", true },
  { "magicdaysomagh.co.uk", true },
  { "magickmoments.co.uk", true },
  { "magiclen.org", true },
  { "magicspaceninjapirates.de", true },
  { "magictable.com", true },
  { "magicvodi.at", true },
  { "magilio.com", true },
  { "magnatronic.com.br", true },
  { "magneticattraction.com.au", true },
  { "magnetpass.uk", true },
  { "magnets.jp", true },
  { "magnettracker.com", true },
  { "magnificentdata.com", true },
  { "magnoliadoulas.com", true },
  { "magnoliastrong.com", true },
  { "magonote-nk.com", true },
  { "maguire.email", true },
  { "magwin.co.uk", true },
  { "mahai.me", true },
  { "mahansexcavating.com", true },
  { "mahatmayoga.org", true },
  { "mahefa.co.uk", true },
  { "mahjong.org", true },
  { "mahrer.net", true },
  { "maiaimobiliare.ro", true },
  { "maiebanatulfruncea.com", true },
  { "maijia800.com", true },
  { "maikolfish.it", true },
  { "mail-rotter.de", true },
  { "mail-settings.google.com", true },
  { "mail.com", true },
  { "mail.de", true },
  { "mail.google.com", true },
  { "mail.yahoo.com", false },
  { "mail4you.in", true },
  { "mailbox.mg", true },
  { "mailbox.org", true },
  { "mailer-dot.de", true },
  { "mailfence.com", true },
  { "mailflank.com", true },
  { "mailinabox.email", true },
  { "mailjet.tech", true },
  { "maillady-susume.com", true },
  { "mailmag.net", false },
  { "mailpenny.com", true },
  { "mailto.space", true },
  { "mailum.org", true },
  { "mainechiro.com", true },
  { "mainframeserver.space", true },
  { "mainlined.org", true },
  { "mainston.com", true },
  { "maintenance-traceur-hp.fr", true },
  { "mainzelmaennchen.net", true },
  { "maioresemelhores.com", true },
  { "maisgasolina.com", true },
  { "maisondoree.be", true },
  { "maisonpaulmier.fr", true },
  { "maispa.com", true },
  { "maisretorno.com", true },
  { "maisvitaminas.com.br", true },
  { "maitrise-orthopedique.com", true },
  { "maitriser-son-stress.com", true },
  { "majahoidja.ee", true },
  { "majaweb.cz", true },
  { "majemedia.com", true },
  { "majesnix.org", true },
  { "majid.info", true },
  { "majkassab.com", true },
  { "majkassab.net", true },
  { "majkassab.org", true },
  { "majkl.xyz", true },
  { "majkl578.cz", true },
  { "majkyto.cz", true },
  { "makaleci.com", true },
  { "make-your-own-song.com", true },
  { "makeaboldmove.com", true },
  { "makedin.net", true },
  { "makem-bounce.co.uk", true },
  { "makemejob.com", true },
  { "makemyvape.co.uk", true },
  { "makenaiyo-fx.com", true },
  { "makera.ga", true },
  { "makersatwork.com", true },
  { "maketheneighborsjealous.com", true },
  { "makeurbiz.com", true },
  { "makeyourlaws.org", true },
  { "makinen.ru", true },
  { "makino.games", true },
  { "makkusu.photo", true },
  { "makowitz.cz", true },
  { "maktoob.search.yahoo.com", false },
  { "maku.edu.tr", true },
  { "malachiteauth.com", true },
  { "malash.me", true },
  { "malasuk.com", true },
  { "malaysia.search.yahoo.com", false },
  { "malaysian.dating", true },
  { "maldives.cx", true },
  { "malenyflorist.com.au", true },
  { "malermeister-haussmann.de", true },
  { "maliar.fr", true },
  { "malibuelectrical.com", true },
  { "malik.id", true },
  { "malikussa.id", true },
  { "malikussaid.com", true },
  { "malinator.net", false },
  { "malinheadview.ie", true },
  { "maljaars-fotografie.nl", true },
  { "malkaso.com.ua", true },
  { "mall.cz", true },
  { "mall.hr", true },
  { "mall.hu", true },
  { "mall.pl", true },
  { "mall.sk", true },
  { "mallach.net", true },
  { "mallhonda.com", true },
  { "mallner.me", true },
  { "mallonline.com.br", true },
  { "malmoesport.se", true },
  { "malnex.de", true },
  { "malscan.com", true },
  { "malscan.org", true },
  { "malta-firma.com", true },
  { "malte-kiefer.de", true },
  { "malvy.kiev.ua", true },
  { "malware.watch", true },
  { "malwareinvestigator.gov", true },
  { "malwarekillers.com", true },
  { "malwareverse.us", true },
  { "maly.cz", true },
  { "maly.io", false },
  { "malyshata.com", true },
  { "malysvet.net", true },
  { "mamaasia.info", true },
  { "mamacobaby.com", true },
  { "mamadea.be", true },
  { "mamadoma.com.ua", true },
  { "mamafit.club", true },
  { "mamanecesitaungintonic.com", true },
  { "mamiecouscous.com", true },
  { "mammals.net", true },
  { "mammaw.com", true },
  { "mammeitalianeavienna.com", true },
  { "mammooc.org", true },
  { "mamospienas.lt", true },
  { "mamot.fr", false },
  { "mamout.xyz", true },
  { "mamuko.nl", true },
  { "man3s.jp", true },
  { "manach.net", true },
  { "manage.cm", true },
  { "manage4all.de", true },
  { "manageathome.co.uk", true },
  { "managed-varnish.de", true },
  { "management-companie.ro", true },
  { "management-ethics.com", true },
  { "managementboek.nl", true },
  { "managementfeedback.com", true },
  { "manageprojects.com", false },
  { "manager-efficacement.com", true },
  { "manager.linode.com", false },
  { "managewp.org", true },
  { "manatees.net", true },
  { "manavgabhawala.com", true },
  { "manawill.jp", true },
  { "mandanudes.ae", true },
  { "mandcbouncycastlehire.co.uk", true },
  { "maneggio.milano.it", true },
  { "manesht.ir", true },
  { "manfredgruber.net", true },
  { "manfredi.io", true },
  { "manfredimatteo.com", true },
  { "mangaristica.com", true },
  { "manhattanchoralensemble.org", true },
  { "manhole.club", true },
  { "manhuagui.com", true },
  { "manicbouncycastles.co.uk", true },
  { "manicode.com", true },
  { "maniorpedi.com", true },
  { "maniosglass.gr", true },
  { "manipil.ch", true },
  { "manja-und-martin.de", true },
  { "manjaro.ru", true },
  { "mankans.com", true },
  { "manneguiden.no", true },
  { "mannheimbloggt.tk", true },
  { "manns-solutions.co.uk", true },
  { "mannschafft.ch", true },
  { "manoirdecontres.com", true },
  { "manoro.de", true },
  { "manowarus.com", true },
  { "mansdell.net", true },
  { "mantabiofuel.com", true },
  { "mantor.org", false },
  { "manuall.de", true },
  { "manuall.info.tr", true },
  { "manuall.ro", true },
  { "manualscollection.com", true },
  { "manuel-herrmann.de", true },
  { "manuel-schefczyk.de", true },
  { "manueldopheide.com", true },
  { "manueli.de", true },
  { "manuelpinto.in", false },
  { "manuelrueger.de", true },
  { "manufacturing.gov", true },
  { "manufacturingusa.com", true },
  { "manuscript.com", true },
  { "manuscriptlink.com", true },
  { "manutd.org.np", true },
  { "manuth.life", true },
  { "manutrol.com.br", true },
  { "manwithavan.co.uk", true },
  { "manyetikboya.com", true },
  { "manyiu.com", true },
  { "manylots.ru", true },
  { "manyue.org", true },
  { "maoi.re", true },
  { "maomihz.com", true },
  { "maone.net", true },
  { "maorseo.com", true },
  { "maosensanguentadasdejesus.net", true },
  { "maowtm.org", true },
  { "maozedong.red", true },
  { "map4erfurt.de", true },
  { "map4jena.de", true },
  { "mapasmundi.com.br", true },
  { "mapblender.com", true },
  { "mapeo.io", true },
  { "maplanetebeaute.fr", true },
  { "mapletime.com", true },
  { "mapservices.nl", true },
  { "maquettage.com", true },
  { "maquillage-permanent-tatoo.com", true },
  { "maquinariaspesadas.org", true },
  { "mar-eco.no", true },
  { "marakovits.net", true },
  { "marble.com", true },
  { "marbogardenlidkoping.se", true },
  { "marc-hammer.de", true },
  { "marc-schlagenhauf.de", true },
  { "marcaixala.me", true },
  { "marcbuehlmann.com", true },
  { "marceau.ovh", true },
  { "marcel-preuss.de", true },
  { "marcelinofranchini.com", true },
  { "marcelinofranchini.eu", true },
  { "marcelinofranchini.info", true },
  { "marcelinofranchini.net", true },
  { "marcelinofranchini.org", true },
  { "marcelpreuss.de", true },
  { "marcelsiegert.com", true },
  { "marcelwiedemeier.com", true },
  { "marcgoertz.de", false },
  { "marche-contre-monsanto.ch", true },
  { "marciaimportados.com.br", true },
  { "marcianoandtopazio.com", true },
  { "marclay.co.uk", true },
  { "marco-goltz.de", true },
  { "marco-hegenberg.net", true },
  { "marco-kretz.de", true },
  { "marco-polo-reisen.com", true },
  { "marcocasoni.com", true },
  { "marcohager.de", true },
  { "marcoherten.com", true },
  { "marcuskoh.com", true },
  { "marcusstafford.com", true },
  { "marechal-company.com", true },
  { "marek.su", true },
  { "mareklecian.cz", true },
  { "marelijah.org", true },
  { "margagriesser.de", true },
  { "margan.ch", true },
  { "margecommunication.com", true },
  { "margo-co.ch", true },
  { "margotlondon.co.uk", true },
  { "mariacristinadoces.com.br", true },
  { "mariage-photo.ch", true },
  { "marianatherapy.com", true },
  { "marianelaisashi.com", true },
  { "marianhoenscheid.de", true },
  { "mariannenan.nl", true },
  { "mariaolesen.dk", true },
  { "mariapietropola.com", true },
  { "marie.club", true },
  { "mariehane.com", true },
  { "mariemiramont.fr", true },
  { "mariereichl.cz", true },
  { "marikafranke.de", true },
  { "marilsnijders.nl", true },
  { "marilynmartin.com.au", true },
  { "marilynstreats.com", true },
  { "marin-business-center.ch", true },
  { "marin-tullet.com", true },
  { "marinazarza.es", true },
  { "marinbusinesscenter.ch", true },
  { "marine.gov", true },
  { "marinekaplama.com", true },
  { "marines-shop.com", true },
  { "mario.party", false },
  { "marioabela.com", true },
  { "mariogeckler.de", true },
  { "marisamorby.com", false },
  { "maritim.go.id", false },
  { "mariushubatschek.de", true },
  { "mariviolin.com", true },
  { "marix.ro", true },
  { "marjoriecarvalho.com.br", true },
  { "mark-semmler.de", true },
  { "markaconnor.com", true },
  { "markantoffice.com", true },
  { "markbiesheuvel.nl", true },
  { "markdain.net", true },
  { "markdescande.com", true },
  { "markepps.com", true },
  { "market.android.com", true },
  { "marketespace.fr", false },
  { "marketindex.com.au", true },
  { "marketing-2.de", true },
  { "marketing.limited", true },
  { "marketing91.com", true },
  { "marketingco.nl", true },
  { "marketingconverts.com", true },
  { "marketinggenerators.nl", true },
  { "marketingvirtuales.com", true },
  { "marketio.co", true },
  { "marketizare.ro", true },
  { "marketlinks.org", true },
  { "marketnsight.com", true },
  { "markhaehnel.de", true },
  { "markhenrick.site", true },
  { "markido.com", true },
  { "markitzeroday.com", true },
  { "markkirkforillinois.com", true },
  { "markkirkforsenate.com", true },
  { "marklauman.ca", true },
  { "markoh.co.uk", true },
  { "markom.rs", true },
  { "markprof.ru", true },
  { "markri.nl", false },
  { "markridgwell.com", true },
  { "markridgwellcom.appspot.com", true },
  { "markscastles.co.uk", true },
  { "marksm.it", true },
  { "marksmit.co", true },
  { "marksouthall.com", true },
  { "markspres.org", true },
  { "markt-heiligenstadt.de", false },
  { "marktcontact.com", true },
  { "marktissink.nl", true },
  { "markup-ua.com", true },
  { "markus-dev.com", true },
  { "markus-musiker.de", true },
  { "markus-ullmann.de", true },
  { "markus.design", true },
  { "markusehrlicher.de", true },
  { "markusgran.de", true },
  { "markuskeppeler.no-ip.biz", true },
  { "markusueberallassetmanagement.de", true },
  { "markusueberallconsulting.de", true },
  { "marl.fr", true },
  { "marloncommunications.com", true },
  { "marlonlosurdopictures.com", true },
  { "marlonschultz.de", true },
  { "marlosoft.net", true },
  { "marmolesromero.com", true },
  { "marmolrain.cl", true },
  { "marmotte.love", true },
  { "marocemploi.co", true },
  { "marocmail.ma", true },
  { "marotero.com", true },
  { "marpa-wohnen.de", true },
  { "marqperso.ch", true },
  { "marquepersonnelle.ch", true },
  { "marqueswines.co.uk", true },
  { "marrai.de", true },
  { "marriage-shrine.jp", true },
  { "marrickvilleapartments.com.au", true },
  { "marsanvet.com", true },
  { "marsatapp.com", true },
  { "marsble.com", true },
  { "marseillekiteclub.com", true },
  { "marshallscastles.com", true },
  { "marshallwilson.com", true },
  { "marshmallow.co", true },
  { "marshmallow.com", true },
  { "marshyplay.live", true },
  { "martasibaja.com", true },
  { "martelange.ovh", true },
  { "marten-buer.de", true },
  { "martensmxservice.nl", true },
  { "martensson.io", true },
  { "marti201.ga", true },
  { "martide.com", true },
  { "martiestrimsalon.nl", true },
  { "martijn.site", true },
  { "martijnhielema.nl", true },
  { "martin-smith.info", true },
  { "martin.vet", true },
  { "martindimitrov.cz", true },
  { "martine.nu", true },
  { "martineweitweg.de", true },
  { "martingansler.de", true },
  { "martinkus.eu", true },
  { "martinmuc.de", true },
  { "martonmihaly.hu", true },
  { "maru-life.com", true },
  { "maruhoi.com", true },
  { "marustat.ru", true },
  { "marvelmoviemarathon.com", true },
  { "marxmyths.org", true },
  { "maryeclark.com", true },
  { "maryeileen90.party", true },
  { "maryjruggles.com", true },
  { "marykatrinaphotography.com", true },
  { "masa-hou.com", true },
  { "masarik.sh", true },
  { "masaze-hanka.cz", true },
  { "mascosolutions.com", true },
  { "masdillah.com", true },
  { "maservant.net", true },
  { "mashandco.it", true },
  { "mashandco.tv", true },
  { "masiniunelte.store.ro", true },
  { "masiul.is", true },
  { "maskice.hr", true },
  { "maskim.fr", true },
  { "maslife365.com", true },
  { "maslin.io", true },
  { "masrur.org", true },
  { "massage4u.net", true },
  { "massagecupping.com", true },
  { "massagetainha-hanoi.com", true },
  { "massdrop.com", true },
  { "masse.org", true },
  { "massflix.com", true },
  { "masshiro.blog", true },
  { "massive.tk", true },
  { "massoni.pl", true },
  { "massotherapeutique.com", true },
  { "masta.ch", true },
  { "mastah.fr", true },
  { "mastd.me", false },
  { "mastellone.us", true },
  { "master-net.org", true },
  { "masteragenasia.com", true },
  { "masteragenasia.net", true },
  { "mastercardpac.com", true },
  { "masterdemolitioninc.com", true },
  { "masterdigitale.com", true },
  { "masterhelenaroma.com", true },
  { "masterofallscience.com", true },
  { "masterofbytes.ch", true },
  { "masterpc.co.uk", true },
  { "masterplc.com", true },
  { "masters.black", true },
  { "mastersquirrel.xyz", true },
  { "masterstuff.de", true },
  { "mastiffingles.com.br", true },
  { "mastodon.at", true },
  { "mastodon.blue", false },
  { "mastodon.host", true },
  { "mastodon.rocks", true },
  { "mastodon.top", true },
  { "matanz.de", true },
  { "matatabimix.com", true },
  { "match.audio", true },
  { "matcha-iga.jp", true },
  { "matchatea24.com", true },
  { "matchboxdesigngroup.com", true },
  { "matchneedle.com", true },
  { "matel.org", true },
  { "materiaischiquinho.com.br", true },
  { "material-ui.com", true },
  { "material-world-fuyouhin.com", true },
  { "materialism.com", true },
  { "materialyinzynierskie.pl", true },
  { "maternum.com", true },
  { "math.hamburg", true },
  { "mathematik.rocks", true },
  { "mathembedded.com", true },
  { "matheo-schefczyk.de", true },
  { "mathhire.org", true },
  { "mathias.re", true },
  { "mathiasbynens.be", true },
  { "mathiasgarbe.de", true },
  { "mathieuguimond.com", true },
  { "mathieui.net", true },
  { "mathis.com.tr", true },
  { "maths.network", true },
  { "mathsource.ga", true },
  { "mathspace.co", true },
  { "mathsweek.nz", true },
  { "mathsweek.org.nz", true },
  { "mathsweek.school.nz", true },
  { "mathys.io", true },
  { "matildajaneclothing.com", true },
  { "matjaz.it", true },
  { "matlss.com", true },
  { "matmessages.com", true },
  { "matomeathena.com", true },
  { "matoutepetiteboutique.com", true },
  { "matratzentester.com", true },
  { "matridiana.com", true },
  { "matrixim.cc", true },
  { "matrixmedia.ro", true },
  { "matrixreq.com", true },
  { "matsu-semi.com", true },
  { "matt-brooks.com", true },
  { "matt-royal.gr", true },
  { "mattandyana.com", true },
  { "mattari-app.com", true },
  { "mattatoio.eu", true },
  { "mattbagley.me", true },
  { "mattbsg.xyz", true },
  { "mattcarr.net", false },
  { "mattcoles.io", true },
  { "mattcorp.com", true },
  { "matteomarescotti.it", true },
  { "mattfin.ch", true },
  { "mattforster.ca", true },
  { "matthecat.com", true },
  { "matthewfells.com", true },
  { "matthewgallagher.co.uk", true },
  { "matthewkenny.co.uk", true },
  { "matthewohare.com", true },
  { "matthewsetter.com", true },
  { "matthey.nl", true },
  { "matthi.coffee", true },
  { "matthias-muenzner.de", true },
  { "matthiasadler.info", true },
  { "matthiasbeck.com", true },
  { "matthiasheil.de", true },
  { "matthiasott.com", true },
  { "matthiasschwab.de", true },
  { "matthieuschlosser.fr", true },
  { "matthijssen.info", true },
  { "mattiascibien.net", true },
  { "mattli.us", true },
  { "mattmccutchen.net", true },
  { "mattmcshane.com", true },
  { "mattonline.me", true },
  { "mattwservices.co.uk", true },
  { "matviet.vn", true },
  { "matway.com", true },
  { "matway.net", true },
  { "matze.co", true },
  { "mauerwerkstag.info", true },
  { "mauldincookfence.com", true },
  { "mauran.me", true },
  { "maurice-walker.com", true },
  { "mauricedb.nl", true },
  { "maury-moteurs.com", true },
  { "mavenclinic.com", true },
  { "mavensecurity.com", true },
  { "maveris.com", true },
  { "mawidabp.com", true },
  { "mawidaca.com", true },
  { "mawo.olkusz.pl", true },
  { "max-mad.com", true },
  { "max-moeglich.de", true },
  { "max-went.pl", true },
  { "max.gov", true },
  { "maxbeenen.de", true },
  { "maxbruckner.de", true },
  { "maxbruckner.org", true },
  { "maxchan.info", true },
  { "maxdev72.freeboxos.fr", true },
  { "maxfox.me", true },
  { "maxhamon.ovh", true },
  { "maxhoechtl.at", true },
  { "maxhorvath.com", true },
  { "maxicore.co.za", true },
  { "maximdeboiserie.be", true },
  { "maximeferon.fr", true },
  { "maximelouet.me", true },
  { "maximilian-graf.de", true },
  { "maximilian-greger.com", true },
  { "maximiliankaul.de", true },
  { "maximiliankrieg.de", true },
  { "maxims-travel.com", true },
  { "maxipcalls.com", true },
  { "maxisito.it", true },
  { "maxkaul.de", true },
  { "maxmilton.com", true },
  { "maxp.info", true },
  { "maxpl0it.com", true },
  { "maxr1998.de", true },
  { "maxrandolph.com", true },
  { "maxtruxa.com", true },
  { "maxundlara.at", true },
  { "maxwaellenergie.de", true },
  { "maxwell-english.co.jp", false },
  { "maxwellflynn.com", true },
  { "maxwellmoore.co.uk", true },
  { "may24.tw", true },
  { "maya-ro.com", true },
  { "mayavi.co.in", true },
  { "maydex.info", true },
  { "mayerbrownllz.com", true },
  { "mayomarquees.com", true },
  { "mayopartyhire.com", true },
  { "mayoristassexshop.com", true },
  { "maypolevilla.co.uk", true },
  { "mayrhofer.eu.org", true },
  { "mazda-mps.de", true },
  { "mazda-thermote.com", true },
  { "mazda626.net", true },
  { "maze.design", true },
  { "maze.fr", true },
  { "mazternet.ru", true },
  { "mazurlabs.tk", true },
  { "mazzotta.me", true },
  { "mb-is.info", true },
  { "mbaasy.com", true },
  { "mbaestlein.de", true },
  { "mbainflatables.co.uk", true },
  { "mbardot.com", true },
  { "mbasic.facebook.com", false },
  { "mbcars.be", true },
  { "mbeo.ch", true },
  { "mbilker.us", true },
  { "mbinf.de", false },
  { "mbits.solutions", true },
  { "mblankhorst.nl", true },
  { "mble.mg", true },
  { "mbp.banking.co.at", false },
  { "mbr-net.de", true },
  { "mbrooks.info", true },
  { "mburns.duckdns.org", true },
  { "mbweir.com", true },
  { "mc-jobs.net", true },
  { "mc-venture.net", false },
  { "mc4free.cc", true },
  { "mcatnnlo.org", true },
  { "mccrackon.com", true },
  { "mcdermottautomotive.com", true },
  { "mcdona1d.me", true },
  { "mcdonalds.be", true },
  { "mcdonalds.design", true },
  { "mce.eu", true },
  { "mce.nyc", true },
  { "mce55.eu", true },
  { "mcea-hld.jp", true },
  { "mceconferencecentre.eu", true },
  { "mcfedries.com", true },
  { "mcfx.us", true },
  { "mcgarderen.nl", true },
  { "mcgovernance.com", true },
  { "mchan.us", true },
  { "mchopkins.net", true },
  { "mchristopher.com", true },
  { "mcinterface.de", true },
  { "mcivor.me", true },
  { "mckenry.net", true },
  { "mckernan.in", true },
  { "mckinley.school", true },
  { "mcl.de", true },
  { "mcl.gg", true },
  { "mclinflatables.co.uk", true },
  { "mclmotors.co.uk", true },
  { "mclyr.com", true },
  { "mcmillanskiclub.com.au", true },
  { "mcneill.io", true },
  { "mcnext.net", true },
  { "mcpaoffice.com", true },
  { "mcpart.land", true },
  { "mcpro.games", true },
  { "mcprocdn.com", true },
  { "mcqyy.com", true },
  { "mcrn.jp", true },
  { "mcsinflatables.co.uk", true },
  { "mcsrvstat.us", true },
  { "mctherealm.net", true },
  { "mctools.org", true },
  { "mcynews.com", true },
  { "mcyukon.com", true },
  { "md-clinica.com.ua", true },
  { "md5file.com", true },
  { "md5hashing.net", true },
  { "mdbouncycastlehirelondon.co.uk", true },
  { "mdcloudpracticesolutions.com", true },
  { "mdcloudps.com", true },
  { "mdek.at", true },
  { "mdewendt.de", true },
  { "mdf-bis.com", true },
  { "mdg-online.de", true },
  { "mdiv.pl", true },
  { "mdkr.nl", true },
  { "mdlayher.com", true },
  { "mdma.net", true },
  { "mdmed.clinic", true },
  { "mdoering.de", true },
  { "mdosch.de", true },
  { "mdpraha.cz", true },
  { "mdsave.com", true },
  { "mdx.no", true },
  { "mdxdave.de", true },
  { "mdxn.org", true },
  { "mdzservers.com", true },
  { "me-center.com", true },
  { "me-groups.com", true },
  { "me.net.nz", true },
  { "meadowfen.farm", true },
  { "meadowviewfarms.org", true },
  { "mealgoo.com", true },
  { "mealz.com", false },
  { "meamod.com", false },
  { "meanevo.com", true },
  { "meany.xyz", true },
  { "meap.xyz", true },
  { "measureyourpenis.today", true },
  { "meat.org.uk", true },
  { "mecanicoautomotriz.org", true },
  { "mechanus.io", true },
  { "mechok.ru", true },
  { "med-otzyv.ru", true },
  { "medba.se", true },
  { "medcir.com.br", true },
  { "medcrowd.com", true },
  { "meddelare.com", true },
  { "meddigital.com", true },
  { "mede-handover.azurewebsites.net", true },
  { "medeinos.lt", true },
  { "medexpress.co.uk", true },
  { "medhy.fr", true },
  { "medi-link.co.il", true },
  { "medi.com.br", true },
  { "media-credit.eu", true },
  { "media-instance.ru", true },
  { "media-library.co.uk", true },
  { "media-pi.com", true },
  { "mediaarea.net", true },
  { "mediablaster.com", true },
  { "mediaburst.co.uk", true },
  { "mediadex.be", true },
  { "mediaexpert.fr", true },
  { "mediafly.com", true },
  { "mediafocus.biz", true },
  { "mediagenic.ch", true },
  { "mediagrand.net", true },
  { "mediajurnal.com", true },
  { "medialab.nrw", true },
  { "mediamarkt.pl", true },
  { "mediapart.fr", true },
  { "mediarocks.de", true },
  { "mediaselection.eu", true },
  { "mediationculturelleclp.ch", true },
  { "mediatorzy.waw.pl", true },
  { "mediawiki.org", true },
  { "mediawin.pl", true },
  { "medic-world.com", true },
  { "medicalcountermeasures.gov", true },
  { "medicare-providers.net", true },
  { "medicarecoveragefinder.com", true },
  { "medicareinfo.org", true },
  { "medicinesfast.com", false },
  { "medicinia.com.br", true },
  { "medicocompetente.it", true },
  { "medicoresponde.com.br", true },
  { "medienweite.de", true },
  { "medifi.com", true },
  { "medigap-quote.net", true },
  { "medinside.ch", true },
  { "medinside.li", true },
  { "medinsider.ch", true },
  { "medinsider.li", true },
  { "medireport.fr", true },
  { "mediter-simplement.com", true },
  { "medium.com", true },
  { "mediumraw.org", true },
  { "medlineplus.gov", true },
  { "medmarkt24.com", true },
  { "medo64.com", true },
  { "medovea.ru", true },
  { "medpeer.jp", true },
  { "medpics.com", true },
  { "medpot.net", true },
  { "medschat.com", true },
  { "medtalents.ch", true },
  { "medtankers.management", true },
  { "medtehnika.ua", true },
  { "medusa.wtf", true },
  { "meduza.io", true },
  { "medvet.com.es", true },
  { "medwaybouncycastlehire.co.uk", true },
  { "medyotan.ga", true },
  { "meedoenhartvanwestbrabant.nl", true },
  { "meedoennoordkop.nl", false },
  { "meehle.com", true },
  { "meeko.cc", true },
  { "meereskunst.de", true },
  { "meerutcake.com", true },
  { "meet.google.com", true },
  { "meetawesomepeople.net", true },
  { "meetbot.fedoraproject.org", true },
  { "meetingapplication.com", true },
  { "meetingfriends.ch", true },
  { "meetingmanage.nl", true },
  { "meetingmanager.ovh", true },
  { "meetings2.com", true },
  { "meetmibaby.co.uk", true },
  { "meetmygoods.com", true },
  { "meeusen-usedcars.be", true },
  { "meeztertom.nl", true },
  { "meg-a-bounce.co.uk", true },
  { "mega-aukcion.ru", true },
  { "mega-byte.nl", true },
  { "mega-feeling.de", true },
  { "mega.co.nz", true },
  { "mega.nz", true },
  { "megablogging.org", true },
  { "megabounce.co.uk", true },
  { "megabounceni.co.uk", true },
  { "megabouncingcastles.com", true },
  { "megaflix.nl", true },
  { "megaflowers.ru", true },
  { "megagifs.de", true },
  { "megainflatables.co.uk", true },
  { "megamarkey.de", true },
  { "megamisja.pl", true },
  { "meganandmarc.us", true },
  { "meganreel.com", true },
  { "megapixel.cz", true },
  { "megaplan.cz", true },
  { "megaplan.ru", true },
  { "megaplonk.com", true },
  { "megarex.jp", true },
  { "megasslstore.com", true },
  { "megauction.tk", true },
  { "megaxchange.com", true },
  { "mego.cloud", true },
  { "megumico.net", true },
  { "megustariasaber.com", true },
  { "megztosidejos.lt", true },
  { "mehalick.com", true },
  { "mehmetakif.edu.tr", true },
  { "mehmetince.net", true },
  { "mehostdd.com", false },
  { "mehr-schulferien.de", true },
  { "mehrleben.at", true },
  { "mehrwert.de", true },
  { "meierhofer.net", true },
  { "meikan.moe", true },
  { "meillard-auto-ecole.ch", true },
  { "meilleur.info", true },
  { "mein-kuechenhelfer.de", true },
  { "mein-muehlhausen.bayern", true },
  { "mein-webportal.de", true },
  { "meinbetriebsrat24.de", true },
  { "meincenter-meinemeinung.de", true },
  { "meine-email-im.net", true },
  { "meine-finanzanalyse.de", true },
  { "meine-immofinanzierung.de", true },
  { "meine-plancha.ch", true },
  { "meinezwangsversteigerung.de", true },
  { "meinstartinsleben.com", true },
  { "meinstartinsleben.de", true },
  { "meintragebaby.de", true },
  { "meinv.asia", true },
  { "meiqia.cn", true },
  { "meiqia.com", true },
  { "meisterritter.de", true },
  { "mekatrotekno.com", true },
  { "mekesh.com", true },
  { "mekesh.net", true },
  { "mekesh.ru", true },
  { "meklon.net", true },
  { "mekongeye.com", true },
  { "melaniebernhardt.com", true },
  { "melaniegruber.de", true },
  { "melbourne.dating", true },
  { "melbourneapartments.website", true },
  { "melchizedek-forum.de", true },
  { "meldcode-assistent.nl", true },
  { "melearning.university", false },
  { "meledia.com", false },
  { "melerpaine.com", true },
  { "melhoresdominios.com", true },
  { "melhoresmarcasdenotebook.com.br", true },
  { "melikoff.es", true },
  { "melillaorienta.es", true },
  { "melina-schefczyk.de", true },
  { "melissaadkins.com", true },
  { "melissaauclaire.com", true },
  { "melissameuwszen.nl", true },
  { "melitopol.co.ua", true },
  { "melnessgroup.com", true },
  { "melnikov.ch", true },
  { "melodiouscode.co.uk", true },
  { "melodiouscode.com", true },
  { "melodiouscode.net", true },
  { "melodiouscode.uk", true },
  { "melodrom.de", true },
  { "melopie.com", true },
  { "melted.me", true },
  { "meltzow.net", true },
  { "members-only-shopping.com", true },
  { "members.nearlyfreespeech.net", false },
  { "membershipservices.org.uk", true },
  { "meme-photostudio.com.tw", true },
  { "meme.fi", true },
  { "meme.institute", true },
  { "memememememememe.me", true },
  { "memepasmal.net", true },
  { "memes.nz", true },
  { "memetrash.co.uk", true },
  { "memfrob.org", true },
  { "memind.net", true },
  { "memiux.com", true },
  { "memo-linux.com", true },
  { "memo.ee", true },
  { "memoire-resistance-ariege.fr", true },
  { "memorycards.ie", true },
  { "memoryex.net", true },
  { "memrise.com", true },
  { "menanwc.org", true },
  { "menden.com", true },
  { "mendipbouncycastles.co.uk", true },
  { "mendozagenevieve.com", true },
  { "mendy.jp", true },
  { "menielias.com", true },
  { "menkyo-blog.com", true },
  { "mennace.com", true },
  { "menntagatt.is", true },
  { "menole.com", true },
  { "menole.de", true },
  { "menole.net", true },
  { "menotag.com", true },
  { "mensagemaniversario.com.br", true },
  { "mensagemdaluz.com", true },
  { "mensagensaniversario.com.br", true },
  { "mensagensdeconforto.com.br", true },
  { "mensagensperfeitas.com.br", true },
  { "mensch-peter.me", true },
  { "mentalhealth.gov", true },
  { "mentalhealthmn.org", true },
  { "mentaltraining-fuer-musiker.ch", true },
  { "mentiq.az", true },
  { "mentorithm.com", true },
  { "mentz.info", true },
  { "menu.fyi", true },
  { "menudieta.com", true },
  { "menuonlineordering.com", true },
  { "menzel-motors.com", true },
  { "menzietti.it", true },
  { "mephedrone.org", true },
  { "mer.gd", true },
  { "meransuedtirol.com", true },
  { "meraseo.com", true },
  { "mercadobitcoin.com.br", true },
  { "mercadobitcoin.net", true },
  { "mercadoleal.com.br", true },
  { "mercadopago.com", true },
  { "mercedes-benz.io", true },
  { "mercedes-ig.de", true },
  { "mercedespartscenter.com", true },
  { "mercier-auto.com", true },
  { "mercier-cars.co.uk", true },
  { "mercury.photo", true },
  { "mercuryamericas.com", false },
  { "meremeti-online.gr", true },
  { "meremobil.dk", true },
  { "merenita.com", true },
  { "merenita.eu", true },
  { "merenita.net", true },
  { "merenita.nl", true },
  { "meridianstore.com.br", true },
  { "merkel.me", true },
  { "merlet.eu", true },
  { "merojob.com", true },
  { "meronberry.jp", true },
  { "mertak.cz", true },
  { "mertarauh.com", true },
  { "meruri.com", true },
  { "mes-bouquins.fr", true },
  { "mes-finances.be", true },
  { "mes10doigts.ovh", true },
  { "mescaline.com", true },
  { "mescaline.org", true },
  { "mesh.gov", true },
  { "meshok.info", true },
  { "mesicka.com", true },
  { "messagescelestes-archives.ca", true },
  { "messagevortex.com", true },
  { "messagevortex.net", true },
  { "messenger.com", false },
  { "messengerwebbrands.com", true },
  { "messer24.ch", true },
  { "messymom.com", true },
  { "mestazitrka.cz", true },
  { "mestr.es", true },
  { "mesvt.com", true },
  { "meta-db.com", true },
  { "meta-word.com", true },
  { "meta.sc", true },
  { "metachris.com", true },
  { "metacoda.com", true },
  { "metacode.biz", true },
  { "metadatawiki.com", true },
  { "metafurquest.net", true },
  { "metalu.ch", true },
  { "metanic.org", true },
  { "metanic.services", true },
  { "metanodo.com", true },
  { "metapeen.nl", true },
  { "metasquare.com.au", true },
  { "metasquare.nyc", true },
  { "metaword.com", true },
  { "metaword.net", true },
  { "metaword.org", true },
  { "meteenonline.nl", true },
  { "meteo-parc.com", true },
  { "meteobox.co", true },
  { "meteobox.cz", true },
  { "meteobox.de", true },
  { "meteobox.es", true },
  { "meteobox.fr", true },
  { "meteobox.mx", true },
  { "meteobox.pl", true },
  { "meteobox.sk", true },
  { "meteorapp.space", true },
  { "meteosmit.it", true },
  { "meterhost.com", true },
  { "methamphetamine.co.uk", true },
  { "methylone.com", true },
  { "metikam.pl", true },
  { "metin2sepeti.com", true },
  { "metro-lawn-care.com", true },
  { "metro-web.net", true },
  { "metroairvirtual.com", true },
  { "metrobriefs.com", true },
  { "metrolush.com", true },
  { "metronaut.de", true },
  { "metropop.ch", true },
  { "metsasta.com", true },
  { "mettekopp.dk", true },
  { "meu-smartphone.com", true },
  { "meu-solutions.com", true },
  { "meujeitodigital.com.br", true },
  { "meupedido.online", true },
  { "meusigno.com", true },
  { "mevo.xyz", true },
  { "mevs.cz", true },
  { "mexican.dating", true },
  { "mexicanjokes.net", true },
  { "mexicom.org", true },
  { "meyash.co", true },
  { "mf-fischer.de", true },
  { "mfacko.cz", true },
  { "mfen.de", true },
  { "mfgod.com", true },
  { "mfgusa.com", true },
  { "mfits.co.uk", true },
  { "mflodin.se", true },
  { "mfrsgb45.org", true },
  { "mfxbe.de", true },
  { "mgi.gov", true },
  { "mgknet.com", true },
  { "mgoessel.de", true },
  { "mgrossklaus.de", true },
  { "mgrt.net", true },
  { "mgsisk.com", true },
  { "mgtbaas.eu", true },
  { "mhalfter.de", true },
  { "mhatlaw.com", true },
  { "mheistermann.de", true },
  { "mhermans.nl", true },
  { "mhi.web.id", true },
  { "mhjuma.com", true },
  { "mhmfoundationrepair.com", true },
  { "mi-beratung.de", true },
  { "mi80.com", true },
  { "miagexport.com", true },
  { "miamicityballet.org", true },
  { "miaonagemi.com", true },
  { "miaoubox.com", true },
  { "miaowo.org", true },
  { "miasarafina.de", true },
  { "miboulot.com", true },
  { "micado-software.com", true },
  { "micaiahparker.com", true },
  { "micalodeal.ch", true },
  { "micasamgmt.com", false },
  { "micbase.com", true },
  { "michael-schefczyk.de", true },
  { "michael-schilling.de", true },
  { "michael-steinhauer.eu", true },
  { "michaelasawyer.com", true },
  { "michaeleichorn.com", true },
  { "michaeliscorp.com", true },
  { "michaelizquierdo.com", true },
  { "michaeljdennis.com", true },
  { "michaelklos.nl", true },
  { "michaelkuchta.me", true },
  { "michaelleibundgut.com", true },
  { "michaelpelletterie.it", true },
  { "michaelpfrommer.de", true },
  { "michaelpfrommer.pub", true },
  { "michaels-homepage-service.de", true },
  { "michaelschmidt.ch", true },
  { "michaelschubert.com", true },
  { "michaelsweater.com", true },
  { "michaeltaboada.me", true },
  { "michaeltroger.com", true },
  { "michaeltruskowski.com", true },
  { "michaelwermeester.com", true },
  { "michal-s.net", true },
  { "michal-spacek.com", true },
  { "michal-spacek.cz", true },
  { "michalspacek.com", true },
  { "michalspacek.cz", true },
  { "michalwiglasz.cz", true },
  { "michaonline.de", true },
  { "michel-wein.de", true },
  { "michiganstateuniversityonline.com", true },
  { "michiganunionoptout.com", true },
  { "michmexguides.com.mx", true },
  { "michu.pl", true },
  { "mico.world", true },
  { "micomi.co", true },
  { "miconcinemas.com", true },
  { "micr.io", true },
  { "micr0lab.org", true },
  { "microbiote-insectes-vecteurs.group", true },
  { "microco.sm", true },
  { "microcomploja.com.br", true },
  { "microdots.de", true },
  { "microlinks.org", true },
  { "microlog.org", true },
  { "micromata.de", true },
  { "microsoftaffiliates.azurewebsites.net", true },
  { "microvb.com", true },
  { "midair.io", true },
  { "midasjewellery.com.au", true },
  { "midgawash.com", true },
  { "midkam.ca", true },
  { "midlandgate.de", true },
  { "midlandleisuresales.co.uk", true },
  { "midlandsfundays.co.uk", true },
  { "midlandsphotobooths.co.uk", true },
  { "midlgx.com", true },
  { "midnight-visions.de", true },
  { "midnightmechanism.com", true },
  { "midstatebasement.com", true },
  { "midtowndentistry.com", true },
  { "midwestbloggers.org", true },
  { "midweststructuralrepair.com", true },
  { "miegl.com", true },
  { "miegl.cz", true },
  { "mietwohnungen-vermietung.com", true },
  { "mieuxgrandir.ch", true },
  { "mieuxvivreadarvoy.fr", true },
  { "miffy.me", true },
  { "mig5.net", true },
  { "miggy.org", true },
  { "miguel.pw", true },
  { "migueldemoura.com", true },
  { "migueldominguez.ch", true },
  { "miguelgfierro.com", true },
  { "miguelmartinez.ch", true },
  { "miguelmenendez.pro", true },
  { "miguelmoura.com", true },
  { "miguia.tv", true },
  { "mihnea.net", true },
  { "mijcorijneveld.nl", true },
  { "mijn-financien.be", true },
  { "mijnavg.eu", true },
  { "mijndiad.nl", true },
  { "mijnetickets.nl", false },
  { "mijnetz.nl", true },
  { "mijnkerstkaarten.be", true },
  { "mijnreisoverzicht.nl", true },
  { "mijnsite.ovh", true },
  { "mijnstembureau.nl", true },
  { "mijntransacties.nl", true },
  { "mika.cat", true },
  { "mika.moe", true },
  { "mikadoe.nl", true },
  { "mikakalevi.com", true },
  { "mikalikes.men", true },
  { "mike-bland.com", true },
  { "mike2k.de", true },
  { "mikebelanger.ca", true },
  { "mikeblog.site", true },
  { "mikebutcher.ca", true },
  { "mikecb.org", true },
  { "mikegarnett.co.uk", true },
  { "mikegerwitz.com", true },
  { "mikeguy.co.uk", true },
  { "mikehamburg.com", true },
  { "mikerichards.photography", true },
  { "miketabor.com", true },
  { "miketheuer.com", true },
  { "mikevesch.com", true },
  { "mikewest.org", true },
  { "mikewillia.ms", true },
  { "mikewritesstuff.com", true },
  { "mikeybailey.org", true },
  { "mikhirev.ru", true },
  { "mikhlevich.ru", true },
  { "miki-boras.de", true },
  { "miki.it", true },
  { "mikkelvej.dk", true },
  { "miklcct.com", true },
  { "miknight.com", true },
  { "mikonmaa.fi", true },
  { "mikori.sk", true },
  { "mikropixel.de", true },
  { "mikroskeem.eu", true },
  { "miku.party", true },
  { "mikumaycry.com", true },
  { "mikywow.eu", true },
  { "mil-spec.ch", true },
  { "mil0.com", true },
  { "milania.de", true },
  { "milanpala.cz", false },
  { "milanstephan.de", true },
  { "milcahsmusings.com", true },
  { "mileme.com", true },
  { "milenaria.es", true },
  { "milesapart.dating", true },
  { "milhoazul.com.br", true },
  { "milionshop.sk", true },
  { "milkingit.co.uk", true },
  { "milktea.info", true },
  { "millanova.wedding", false },
  { "milldyke.com", true },
  { "milldyke.nl", true },
  { "millefleurs.eu", true },
  { "millennium-thisiswhoweare.net", true },
  { "millhousenchurch.com", true },
  { "millibitcoin.jp", true },
  { "millionairegames.com", true },
  { "millistream.com", true },
  { "mim.properties", true },
  { "mimemo.io", true },
  { "mimeo.digital", true },
  { "mimithedog.com", true },
  { "mimocad.io", true },
  { "mimovrste.com", true },
  { "min-sky.no", true },
  { "minacssas.com", true },
  { "minakov.pro", true },
  { "minakova.pro", true },
  { "minami.xyz", true },
  { "minamo.io", true },
  { "minaprine.com", true },
  { "mind-box.ch", true },
  { "mind-hochschul-netzwerk.de", true },
  { "mind-moves.es", true },
  { "mindbodytherapymn.com", true },
  { "mindcell.no", true },
  { "mindcoding.ro", true },
  { "mindercasso.nl", true },
  { "mindfactory.de", true },
  { "mindleaking.org", true },
  { "mindorbs.com", true },
  { "mindstretchers.co.uk", true },
  { "mindturbo.com", true },
  { "mindwork.space", true },
  { "mine-craftlife.com", true },
  { "minebier.dk", true },
  { "minecraft-forum.eu", true },
  { "minecraft-server.eu", true },
  { "minecraftforum.de", true },
  { "minecraftforum.ovh", true },
  { "minecraftjson.com", true },
  { "minecrell.net", true },
  { "minehattan.de", true },
  { "minei.me", true },
  { "minenash.com", true },
  { "minepay.net", true },
  { "minepic.org", true },
  { "minerstat.com", true },
  { "minerva2015.it", true },
  { "minesouls.fr", true },
  { "minez-nightswatch.com", false },
  { "minf3-games.de", true },
  { "mingkyaa.com", true },
  { "mingming.info", true },
  { "mingram.net", true },
  { "mingwah.ch", true },
  { "mini2.fi", true },
  { "minigames.com", true },
  { "miniglueck.net", true },
  { "minigolf-reisinger.com", true },
  { "minigolfandgames.co.uk", true },
  { "minikidz.es", true },
  { "minikneet.com", true },
  { "minilions.fr", true },
  { "minimal-apps.de", true },
  { "minimaltimer.com", true },
  { "minimayhemsoftplay.co.uk", true },
  { "minimbah.com.au", true },
  { "minimvc.com", true },
  { "miniskipper.at", false },
  { "ministeriumfuerinternet.de", true },
  { "minitruckin.net", true },
  { "minitrucktalk.com", true },
  { "minkymoon.jp", true },
  { "minnesotakinkyyouth.org", true },
  { "minnesotamathcorps.org", true },
  { "minnesotareadingcorps.org", true },
  { "minnit.chat", true },
  { "minobar.com", true },
  { "minorshadows.net", true },
  { "minpingvin.dk", true },
  { "minschuns.ch", true },
  { "mintclass.com", true },
  { "mintea-noua.ro", true },
  { "mintosherbs.com", true },
  { "mintrak2.com", true },
  { "minu.link", true },
  { "minube.co.cr", true },
  { "minux.info", true },
  { "mipapo.de", true },
  { "mipla.ch", true },
  { "miproximopaso.org", true },
  { "mipymesenlinea.com", true },
  { "mir.pe", true },
  { "mirabalphoto.es", true },
  { "miraheze.org", true },
  { "miraidenshi.com", true },
  { "mirch.com", true },
  { "mirco-grams.de", true },
  { "mireiaseuba.com", true },
  { "mirepublic.co.nz", true },
  { "mireservaonline.es", true },
  { "mirfire.com", true },
  { "mirjamderijk.nl", true },
  { "mirkofranz.de", true },
  { "mirodasilva.be", true },
  { "mironet.cz", true },
  { "mirrorsedgearchive.de", true },
  { "mirshak.com", true },
  { "mirtes.cz", true },
  { "mirtouf.fr", true },
  { "mirucon.com", true },
  { "misakiya.co.jp", true },
  { "misanci.cz", true },
  { "misclick.nl", true },
  { "mishkovskyi.net", true },
  { "miskatonic.org", true },
  { "misoji-resist.com", true },
  { "misol.kr", true },
  { "misrv.com", true },
  { "miss-inventory.co.uk", true },
  { "miss-platinum.net", true },
  { "miss.com.tw", true },
  { "missdream.org", true },
  { "misseguf.dk", true },
  { "missguidedus.com", true },
  { "mission-orange.de", true },
  { "missionsgemeinde.de", true },
  { "missip.nl", true },
  { "missjoias.com.br", true },
  { "misskey.xyz", false },
  { "missoy.me", true },
  { "missualready.com", true },
  { "missyou.link", true },
  { "mistacms.com", true },
  { "mister-cooks.fr", true },
  { "mistreaded.com", true },
  { "mistybox.com", true },
  { "misupport.dk", true },
  { "misura.re", true },
  { "misuzu.moe", true },
  { "mit-uns.org", true },
  { "mita.me", true },
  { "mitaines.ch", true },
  { "mitarbeitermotivation-anleitungen.de", true },
  { "mitchellhandymanservices.co.uk", true },
  { "mitchelmore.ca", true },
  { "miticobikes.com", true },
  { "mitigationcommission.gov", true },
  { "mitior.net", true },
  { "mitnetz-gas.de", true },
  { "mitnetz-strom.de", true },
  { "mitrax.com.br", true },
  { "mitrecaasd.org", true },
  { "mitremai.org", true },
  { "mitrostudios.com", true },
  { "mitsign.com", true },
  { "mitsu-szene.de", true },
  { "mitsukabose.com", true },
  { "mittagonggardencentre.com.au", true },
  { "mittagonghomestead.com.au", true },
  { "mittelunsachlich.de", true },
  { "mittenofficesystems.com", true },
  { "mitzpettel.com", true },
  { "miui-germany.de", true },
  { "mivestuariolaboral.com", true },
  { "mivzakim.net", true },
  { "miweb.cr", false },
  { "mixnshake.com", true },
  { "mixposure.com", true },
  { "mixtafrica.com", true },
  { "mixtape.moe", true },
  { "miyatore.com", true },
  { "miyoshi-kikaku.com", true },
  { "miyugirls.com", true },
  { "mizipack.com", true },
  { "mizque.ch", true },
  { "mizuho-trade.net", true },
  { "mizumax.me", true },
  { "mj420.com", true },
  { "mjacobson.net", true },
  { "mjanja.ch", true },
  { "mjasm.org", true },
  { "mjec.net", true },
  { "mjlaurindo.pt", true },
  { "mjmnagy.info", true },
  { "mjscustomcreations.com.au", true },
  { "mjt.me.uk", true },
  { "mk89.de", true },
  { "mkaciuba.com", true },
  { "mkakh.com", true },
  { "mkbouncycastles.co.uk", true },
  { "mkbouncyhire.co.uk", true },
  { "mkcert.org", true },
  { "mkchandler.com", true },
  { "mkd.mk", true },
  { "mkes.com", true },
  { "mkg-chirurgie-bruchsal.de", true },
  { "mkg-palais-hanau.de", true },
  { "mkg-scherer.de", true },
  { "mkg-wiebelskirchen.de", true },
  { "mkhsoft.eu", true },
  { "mkimage.com", true },
  { "mkk.de", true },
  { "mkkkrc.ru", true },
  { "mklpedia.de", true },
  { "mkoppmann.at", true },
  { "mkpef.org", true },
  { "mksac.co.uk", true },
  { "mksdarchitects.com", true },
  { "mkse.com", true },
  { "mkset.ru", true },
  { "mktdigital.info", true },
  { "mktemp.org", true },
  { "mkuznets.com", true },
  { "mkw.st", true },
  { "mlcambiental.com.br", true },
  { "mlcnfriends.com", true },
  { "mlemay.com", true },
  { "mlm-worldwide.de", true },
  { "mlmjam.com", true },
  { "mlp.ee", true },
  { "mlpvector.club", true },
  { "mlsrv.de", true },
  { "mlundberg.se", true },
  { "mlvbphotography.com", true },
  { "mm13.at", true },
  { "mm404.com", true },
  { "mma-acareporting.com", true },
  { "mmalisz.com", true },
  { "mmarnitz.de", true },
  { "mmbb.org", true },
  { "mmcc.pe", true },
  { "mmin.us", false },
  { "mmmarco.com", true },
  { "mmogah.com", true },
  { "mmonit.com", true },
  { "mms.is", true },
  { "mmt.my", true },
  { "mmucha.de", true },
  { "mncloud.de", true },
  { "mncr.nl", true },
  { "mnd.sc", true },
  { "mne.moe", true },
  { "mnedc.org", true },
  { "mnguyen.io", true },
  { "mnitro.com", true },
  { "mnium.de", true },
  { "mnnknz.de", true },
  { "mnsure.org", true },
  { "mnt-tech.fr", true },
  { "mnt9.de", true },
  { "mo-journal.com", true },
  { "mo.nl", true },
  { "moa.moe", true },
  { "mobal.com", true },
  { "mobidea.com", true },
  { "mobifinans.ru", true },
  { "mobil-bei-uns.de", true },
  { "mobila-chisinau.md", true },
  { "mobilcom-debitel-empfehlen.de", true },
  { "mobilcom-debitel.de", true },
  { "mobile-holzofenpizza.de", true },
  { "mobile.united.com", false },
  { "mobile.usaa.com", false },
  { "mobile360.ph", true },
  { "mobilebingoclub.co.uk", true },
  { "mobilecasinoclub.co.uk", true },
  { "mobilelooper.com", true },
  { "mobilemedics.com", true },
  { "mobileread.com", true },
  { "mobilesector.de", true },
  { "mobiletraff.co", true },
  { "mobiletry.com", true },
  { "mobilewikiserver.com", true },
  { "mobilinnov.it", true },
  { "mobilisation-generale.org", true },
  { "mobility-events.ch", true },
  { "mobilux.lv", true },
  { "mobimalin.com", true },
  { "mobio.net", true },
  { "mobisaar-cloud.de", true },
  { "mobius.network", true },
  { "mobobe.com", true },
  { "mobsender.com", true },
  { "mobycoders.com", true },
  { "moc.ac", true },
  { "mocarps.hk", true },
  { "mockerel.com", true },
  { "mocloud.win", true },
  { "mococo.co.uk", true },
  { "modaexecutiva.com.br", true },
  { "modafinil.com", true },
  { "modafinil.wiki", true },
  { "modafo.com", true },
  { "modalogi.com", true },
  { "modalrakyat.com", true },
  { "modalrakyat.id", true },
  { "modcasts.video", true },
  { "modcentral.pw", true },
  { "modding-forum.com", true },
  { "modding-welt.com", true },
  { "mode-individuell.de", true },
  { "modecaso.com", true },
  { "modehaus-marionk.de", true },
  { "modelcase.co.jp", false },
  { "modelcube.com", true },
  { "modelisme-rc.net", true },
  { "modelisme-voiture-rc.fr", true },
  { "modelservis.cz", true },
  { "modemaille.com", true },
  { "modeportaal.nl", true },
  { "moderatoren.org", true },
  { "moderatorenpool.org", true },
  { "modernapprenticeships.org", true },
  { "modifiedmind.com", true },
  { "modistry.com", true },
  { "modistryusercontent.com", true },
  { "modmountain.com", true },
  { "mododo.de", true },
  { "module.market", true },
  { "moe.pe", true },
  { "moechel.com", true },
  { "moefactory.com", true },
  { "moehrke.cc", true },
  { "moeking.me", true },
  { "moellers.systems", true },
  { "moetrack.com", true },
  { "mofohome.dyndns.org", true },
  { "moha-swiss.com", true },
  { "mohanmekap.com", true },
  { "mohela.com", true },
  { "moin.jp", true },
  { "moipourtoit.ch", true },
  { "moipourtoit.com", true },
  { "moipourtoit.org", true },
  { "moisesbarrio.es", true },
  { "mojaknjiznica.com", false },
  { "mojavenissanofbarstowparts.com", true },
  { "mojeco2.cz", true },
  { "mojefedora.cz", true },
  { "mojefilmy.xyz", true },
  { "mojilitygroup.com", true },
  { "mojnet.eu", true },
  { "mojnet.net", true },
  { "mojoco.co.za", true },
  { "mojzis.com", true },
  { "mojzis.cz", true },
  { "mojzisova.com", true },
  { "mokeedev.review", true },
  { "mokhtarmial.com", false },
  { "mokote.com", true },
  { "mokum-organics.com", false },
  { "molb.org", true },
  { "molecularbiosystems.org", true },
  { "molinero.xyz", true },
  { "molti.hu", true },
  { "molun.net", false },
  { "molunerfinn.com", true },
  { "molwick.com", true },
  { "momento.co.id", true },
  { "momentumdash.com", true },
  { "momirfarooq.com", true },
  { "momozeit.de", true },
  { "momstableonline.com", true },
  { "momut.org", true },
  { "momy-genealogie.info", true },
  { "mon-mobile.com", true },
  { "mon-partage.fr", true },
  { "mon-trafic.com", true },
  { "mon22.ch", true },
  { "mona-antenna.com", true },
  { "mona-dress.com", true },
  { "monachatdeco.com", true },
  { "monakasatmasr.com", true },
  { "monalisa.wtf", true },
  { "monalyse.com", true },
  { "monbudget.org", true },
  { "moncoach.ch", true },
  { "mondedesnovels.com", true },
  { "mondedie.fr", true },
  { "mondial-movers.nl", true },
  { "mondo-it.ch", true },
  { "moneni.com", true },
  { "moneychangersoftware.com", true },
  { "moneycredit.eu", true },
  { "moneygo.se", true },
  { "moneyhouse.de", true },
  { "moneypark.ch", true },
  { "moneytoday.se", true },
  { "mongolieenfrance.fr", true },
  { "monicabeckstrom.no", true },
  { "monique.io", true },
  { "moniquedekermadec.com", true },
  { "moniquemunhoz.com.br", true },
  { "monitman.com", true },
  { "monitorchain.com", true },
  { "monitoring.kalisz.pl", true },
  { "monitzer.com", true },
  { "monix.io", true },
  { "monkay.de", true },
  { "monkeybusiness.agency", true },
  { "monkeydust.net", true },
  { "monkeyhill.us", true },
  { "monkeytek.ca", true },
  { "monkieteel.com", true },
  { "monkieteel.nl", true },
  { "monloyer.quebec", true },
  { "monnyonle.hu", true },
  { "mono0x.net", true },
  { "monobank.no", true },
  { "monodukuri.cafe", true },
  { "monodukuri.com", true },
  { "monodzukuri.cafe", true },
  { "monokoo.com", true },
  { "monolithapps.com", true },
  { "monolithindustries.com", true },
  { "monolithinteractive.com", true },
  { "monoseis-monotica.gr", true },
  { "monothesis.com", true },
  { "monozukuri.cafe", true },
  { "monpc-pro.fr", true },
  { "monpermismoto.com", true },
  { "monpermisvoiture.com", true },
  { "monpetitforfait.com", true },
  { "monpetitmobile.com", true },
  { "monsieurbureau.com", true },
  { "monsieursavon.ch", true },
  { "monstermashentertainments.co.uk", true },
  { "montage-kaika.de", true },
  { "montagne-tendance.ch", true },
  { "montanasky.tv", true },
  { "montand.com", true },
  { "montanwerk.de", true },
  { "montarfotoaki.com", true },
  { "montas.io", true },
  { "montazer.net", true },
  { "montemanik.com", true },
  { "montenero.pl", true },
  { "montessori.edu.vn", true },
  { "montopolis.com", true },
  { "montpreveyres.ch", true },
  { "montsaintaignan.fr", true },
  { "montychristie.com", true },
  { "moo.la", true },
  { "moobo.co.jp", true },
  { "moodfoods.com", true },
  { "moodforsex.com", true },
  { "moodzshop.com", true },
  { "moojp.co.jp", true },
  { "moolah.rocks", true },
  { "moon.fish", true },
  { "moonbot.io", true },
  { "moondrop.org", true },
  { "moonkin.eu", true },
  { "moonmelo.com", true },
  { "moonraptor.co.uk", true },
  { "moonraptor.com", true },
  { "moonrhythm.info", true },
  { "moonrhythm.io", true },
  { "moonshyne.org", true },
  { "moonvpn.org", true },
  { "moorewelliver.com", true },
  { "moorfunevents.co.uk", true },
  { "moorparkelectrical.com", true },
  { "moot-info.co.za", true },
  { "moovablestorage.com", true },
  { "moparcraft.net", true },
  { "moparisthebest.com", true },
  { "moparisthebest.net", true },
  { "moparisthebest.org", true },
  { "moparscape.net", true },
  { "mopedreifen.de", true },
  { "mople71.cz", true },
  { "moppeleinhorn.de", true },
  { "moppy.org", true },
  { "morbatex.com", true },
  { "morbiceramicindustry.com", true },
  { "morbitzer.de", true },
  { "morbotron.com", true },
  { "morchino.ch", true },
  { "morchstore.com", true },
  { "more-hikkoshi.com", true },
  { "more-terrain.de", true },
  { "moreal.co", true },
  { "moreapp.co.uk", true },
  { "morenci.ch", true },
  { "morepablo.com", true },
  { "morepay.cn", true },
  { "morepopcorn.co.nz", true },
  { "morespacestorage.com.au", true },
  { "moresw.com", true },
  { "morethanautodealers.com", true },
  { "morethancode.be", true },
  { "morethandigital.info", true },
  { "morganino.it", true },
  { "morgansleisure.co.uk", true },
  { "moritz-baestlein.de", true },
  { "moritztremmel.de", true },
  { "moriz.de", true },
  { "moriz.net", true },
  { "mormonleaks.io", true },
  { "morningcurve.com", true },
  { "morningstar.moe", true },
  { "morrisby.com", true },
  { "morteruelo.net", true },
  { "mortgagecalculator.biz", true },
  { "mortgagecentersmo.com", true },
  { "mortis.eu", true },
  { "mosaic-design.ru", true },
  { "mosaicadvisors.com", true },
  { "moscow.dating", true },
  { "mosfet.cz", true },
  { "moshwire.com", true },
  { "mosin.org", true },
  { "moskeedieren.nl", true },
  { "mosos.de", true },
  { "mosscade.com", true },
  { "mosshi.be", true },
  { "mosstier.com", true },
  { "mostlyinfinite.com", true },
  { "mostlyoverhead.com", true },
  { "motd.ch", true },
  { "motd.today", true },
  { "motekforce.link", true },
  { "motekforcelink.com", true },
  { "motekforcelink.eu", true },
  { "motekforcelink.nl", true },
  { "motekmedical.com", true },
  { "motekmedical.eu", true },
  { "motekmedical.nl", true },
  { "moteksystems.com", true },
  { "motezazer.fr", true },
  { "mothereff.in", false },
  { "motionless.nl", true },
  { "motiweb.fr", true },
  { "motohell.com", true },
  { "motojato.com.br", true },
  { "motonauticaibiza.com", true },
  { "motoreflex.com", true },
  { "motorpointarenacardiff.co.uk", true },
  { "motorring.ru", true },
  { "motorsplus.com", false },
  { "motoryachtclub-radolfzell.de", true },
  { "motosikletevi.com", true },
  { "motostorie.blog", false },
  { "motovated.co.nz", true },
  { "motovio.de", true },
  { "motowilliams.com", true },
  { "mottomortgage.com", true },
  { "moube.fr", true },
  { "moucloud.cn", true },
  { "moulinaparoles.ca", true },
  { "mountain-rock.ru", true },
  { "mountainactivitysection.org.uk", true },
  { "mountainroseherbs.com", true },
  { "mountfarmer.de", true },
  { "mousemessages.com", true },
  { "moutiezhaller.com", true },
  { "moveek.com", true },
  { "moveisfit.com.br", true },
  { "moveltix.net", true },
  { "movember.com", false },
  { "movie-cross.net", true },
  { "movie-infos.net", true },
  { "movie1000.com", true },
  { "movie4kto.site", true },
  { "movie4kto.stream", true },
  { "movieboost.nl", true },
  { "moviedeposit.com", true },
  { "moviefreeze.com", true },
  { "movieguys.org", true },
  { "movienang.com", true },
  { "movienized.de", true },
  { "moviepilot.com", true },
  { "moviesetc.net", true },
  { "movil.uno", true },
  { "movimento-terra.it", true },
  { "movinglogistics.nl", false },
  { "movingtohttps.com", true },
  { "movlib.org", true },
  { "moy.cat", true },
  { "moyer.pub", true },
  { "moyoo.net", true },
  { "mozartgroup.hu", true },
  { "mozektevidi.net", true },
  { "mozgb.ru", true },
  { "mozilla.cz", true },
  { "mozzez.de", true },
  { "mp3gratuiti.com", true },
  { "mpa-pro.fr", true },
  { "mpc-hc.org", true },
  { "mpcompliance.com", true },
  { "mpe.org", true },
  { "mpetroff.net", true },
  { "mpg-universal.com", true },
  { "mpg.ovh", true },
  { "mpintaamalabanna.it", true },
  { "mplanetphl.fr", true },
  { "mplant.io", true },
  { "mplicka.cz", true },
  { "mplusm.eu", true },
  { "mpn.poker", true },
  { "mpnpokertour.com", true },
  { "mpodraza.pl", true },
  { "mpreserver.com", false },
  { "mprsco.eu", true },
  { "mpsgarage.com.au", true },
  { "mpsoundcraft.com", true },
  { "mpy.ovh", true },
  { "mr-anderson.org", true },
  { "mr-coffee.net", true },
  { "mr-labo.jp", true },
  { "mr-nachhilfe.de", true },
  { "mr-wolf.nl", true },
  { "mrazek.biz", true },
  { "mrbmafrica.com", true },
  { "mrbounce.com", true },
  { "mrbouncescrazycastles.co.uk", true },
  { "mrbouncycastle.com", true },
  { "mrbuckykat.com", true },
  { "mrburtbox.com", true },
  { "mrca-sharp.com", true },
  { "mrcoolevents.com", true },
  { "mrd.ninja", true },
  { "mrevolution.eu", true },
  { "mrinalpurohit.in", true },
  { "mrkapowski.com", true },
  { "mrketolocksmith.com", true },
  { "mrknee.gr", true },
  { "mrksk.com", true },
  { "mrmoregame.de", true },
  { "mrnh.de", true },
  { "mrpropop.com", true },
  { "mrs-labo.jp", true },
  { "mrserge.lv", true },
  { "mrsk.me", true },
  { "mrstat.co.uk", true },
  { "mrx.one", true },
  { "mrxn.net", true },
  { "ms-alternativ.de", true },
  { "ms-host.fr", true },
  { "msa-aesch.ch", true },
  { "mscc.mu", true },
  { "mscc.org", true },
  { "mscenter.cf", true },
  { "msch.pw", true },
  { "mschuessler.org", true },
  { "msebera.cz", true },
  { "mshemailmarketer.com.au", true },
  { "msi-zlin.cz", true },
  { "msiegmund.com", true },
  { "msmails.de", true },
  { "msnr.net", true },
  { "msopopop.cn", true },
  { "msp66.de", false },
  { "mspsocial.net", true },
  { "msquadrat.de", true },
  { "mssys.de", true },
  { "mstdn.blue", true },
  { "mstdn.club", true },
  { "mstdn.fr", true },
  { "mstdn.onl", false },
  { "mstiles92.com", true },
  { "msuna.net", true },
  { "msv-limpezas.pt", true },
  { "msx.org", true },
  { "mszavodumiru.cz", true },
  { "mt.search.yahoo.com", false },
  { "mt2414.com", true },
  { "mtane0412.com", true },
  { "mtasa.com", true },
  { "mtasa.hu", true },
  { "mtb.wtf", true },
  { "mtcq.jp", true },
  { "mtg-tutor.de", true },
  { "mtgsuomi.fi", true },
  { "mthode.org", true },
  { "mthrbrd.com", true },
  { "mthrbrd.net", true },
  { "mths.be", false },
  { "mticareportal.com", true },
  { "mtlconcerts.com", true },
  { "mtltransport.com", true },
  { "mtnz.co.za", true },
  { "mtouch.facebook.com", false },
  { "mtr.md", true },
  { "mtrip.com", true },
  { "mtrock.ru", true },
  { "mts-energia.eu", true },
  { "mts-server.com", true },
  { "mtsolar.es", true },
  { "mu.search.yahoo.com", false },
  { "muabannhanh.com", false },
  { "muahahahaha.co.uk", true },
  { "mubiflex.nl", true },
  { "muchohentai.com", true },
  { "muckingabout.eu", true },
  { "muckrack.com", true },
  { "mucmail.de", true },
  { "muctool.de", true },
  { "mudcrab.us", false },
  { "muel.io", true },
  { "muellapp.com", true },
  { "muenchberger.com", true },
  { "muenzubi.de", true },
  { "muffet.pw", true },
  { "mufibot.net", true },
  { "muguayuan.com", true },
  { "muh.io", true },
  { "muk-kobetsu.com", true },
  { "mulaccosmetics.com", true },
  { "mulaisehat.com", true },
  { "mulej.net", true },
  { "mulenvo.com", true },
  { "mulheres18.com", true },
  { "muling.lu", true },
  { "mullens-usedcars.be", true },
  { "multi-vpn.biz", true },
  { "multibit.org", true },
  { "multibomasm.com.br", true },
  { "multicomhost.com", true },
  { "multigamecard.com", true },
  { "multigeist.de", true },
  { "multikalender.de", false },
  { "multimail.work", true },
  { "multimed.krakow.pl", true },
  { "multimedia-pool.com", true },
  { "multiplayernow.com", true },
  { "multipleservers.com", true },
  { "multiplexcy.com", true },
  { "multirep.ch", true },
  { "multiroom-streaming.de", true },
  { "multisite.ovh", true },
  { "multitec.nl", true },
  { "multitek.no", true },
  { "multitheftauto.com", true },
  { "multiworldsoftware.com", true },
  { "multizone.games", true },
  { "multrier.fr", true },
  { "mumakil.fi", true },
  { "mumbaionlinegifts.com", true },
  { "muminkoykiran.com", true },
  { "mumolabs.com", true },
  { "munch.me", true },
  { "munchcorp.com", true },
  { "mundoadulto.com.br", true },
  { "mundoarabe.com.br", true },
  { "mundodasmensagens.com", true },
  { "mundokinderland.com.br", true },
  { "mundolarraz.es", true },
  { "mundschenk.at", true },
  { "mundtec.com.br", true },
  { "munirajiwa.com", true },
  { "munki.org", true },
  { "munkibuilds.org", true },
  { "muqu.co", true },
  { "mur-vegetal-interieur.fr", true },
  { "murakami-sah.com", true },
  { "murashun.jp", true },
  { "muratore-roma.it", true },
  { "murdercube.com", true },
  { "murfy.kiwi", true },
  { "murfy.nz", true },
  { "murgi.de", true },
  { "murmel.it", false },
  { "murof.com.br", true },
  { "mursu.directory", true },
  { "murzik.space", true },
  { "muscle-tg.com", true },
  { "muscleangels.com", true },
  { "musclecarresearch.com", true },
  { "muscolinomusic.com", true },
  { "musearchengine.com", true },
  { "musehelix.com", true },
  { "muses-success.info", true },
  { "musettishop.com", true },
  { "mush-room.co.jp", true },
  { "mushikabu.net", true },
  { "music-is-my-life.de", true },
  { "music-project.eu", true },
  { "music.amazon.com", true },
  { "musicalive.nl", true },
  { "musicall.com", true },
  { "musicalschwarzenburg.ch", true },
  { "musicchris.de", true },
  { "musicgamegalaxy.de", true },
  { "musician.dating", true },
  { "musickhouseleveling.com", true },
  { "musicompare.com", true },
  { "musicschoolonline.com", true },
  { "musicwear.cz", true },
  { "musicworkout.de", true },
  { "musik-mentaltraining.ch", true },
  { "musikverein-elten.de", true },
  { "musikzentrale.net", true },
  { "musketonhaken.nl", false },
  { "muslim.singles", true },
  { "musmann.io", true },
  { "muspla.com", true },
  { "muspla.com.br", true },
  { "musselsblog.com", true },
  { "mustafa.space", true },
  { "mustafaturhan.com", true },
  { "mustard.co.uk", true },
  { "mustasj.no", true },
  { "mustat.com", true },
  { "muster-folien.de", true },
  { "muster-schablonen.de", true },
  { "mustertexte-musterbewerbung.de", true },
  { "musthavesforreal.com", true },
  { "mutantmonkey.in", true },
  { "mutantmonkey.info", true },
  { "mutantmonkey.sexy", true },
  { "muthai.in.th", true },
  { "mutuals.cool", true },
  { "mutuelle.fr", true },
  { "muusikoiden.net", true },
  { "muwatenraqamy.org", true },
  { "muzeumkomiksu.eu", true },
  { "muzhijy.com", true },
  { "muzi.cz", true },
  { "muzikantine.nl", true },
  { "mv-wohnen.de", true },
  { "mvandek.nl", true },
  { "mvbits.com", true },
  { "mvno.io", true },
  { "mvp-stars.com", true },
  { "mw.search.yahoo.com", false },
  { "mwainc.org", true },
  { "mware-staging.azurewebsites.net", true },
  { "mwavuli.co.ke", true },
  { "mwba.org", true },
  { "mwe.st", true },
  { "mwohlfarth.de", true },
  { "mwtdev.se", true },
  { "mww.moe", true },
  { "mx.org.ua", true },
  { "mx.search.yahoo.com", false },
  { "mx5international.com", true },
  { "mxihan.xyz", true },
  { "mxn8.com", true },
  { "mxp.tw", true },
  { "my-cdn.de", true },
  { "my-contract.ch", true },
  { "my-contract.info", true },
  { "my-contract.net", true },
  { "my-dns.co.il", true },
  { "my-ebook.es", true },
  { "my-floor.com", true },
  { "my-host.ovh", true },
  { "my-hps.de", true },
  { "my-ip.work", true },
  { "my-new-bikini.de", true },
  { "my-nextcloud.at", true },
  { "my-plancha.ch", true },
  { "my-static-demo-808795.c.cdn77.org", true },
  { "my-static-live-808795.c.cdn77.org", true },
  { "my-stuff-online.com", true },
  { "my.onlime.ch", false },
  { "my.usa.gov", false },
  { "my.xero.com", false },
  { "my4g.net", true },
  { "my4thtelco.com.sg", true },
  { "my4thtelco.sg", true },
  { "myabcm.com", true },
  { "myaccount.google.com", false },
  { "myactivity.google.com", true },
  { "myadpost.com", true },
  { "myadself.com", true },
  { "myaggic.com", true },
  { "myalliancechurch.com", true },
  { "myamend.com", true },
  { "myamity.info", true },
  { "myammo.ru", true },
  { "myanimelist.net", true },
  { "myapexcard.com", true },
  { "myappliancerepairhouston.com", true },
  { "myartsway.com", true },
  { "mybagofcoffee.com", true },
  { "mybb.com", true },
  { "mybb.de", true },
  { "mybboard.pl", true },
  { "mybeautyjobs.de", true },
  { "mybicc.org", true },
  { "myblockchain.cloud", true },
  { "mybloggedlife.com", true },
  { "mybon.at", false },
  { "mycamda.com", true },
  { "mycard.moe", true },
  { "mycareersfuture.sg", true },
  { "mycieokien.info", false },
  { "mycinema.pro", true },
  { "mycircleworks.com", true },
  { "myclinicalstudybuddy.com", true },
  { "mycloud-system.com", true },
  { "mycofairtrade.com", true },
  { "mycompanion.cz", true },
  { "myconan.net", true },
  { "myconsulting.ch", true },
  { "mycr.eu", true },
  { "mycreativeartsconsulting.com", true },
  { "mycreditcardcenter.com", true },
  { "mycrypnet.io", true },
  { "mycrypto.com", true },
  { "mycrystalgrove.com", true },
  { "mycuco.it", true },
  { "mycustomwriting.com", true },
  { "mydarkstar.net", true },
  { "mydaywebapp.com", true },
  { "mydebian.in.ua", true },
  { "mydentalplan.gr", true },
  { "mydevolo.com", true },
  { "mydevolo.de", true },
  { "mydigitalweek.com", true },
  { "mydjsongbook.com", true },
  { "mydna.bio", true },
  { "mydocserve.com", true },
  { "mydreamlifelab.com", true },
  { "mydreamshaadi.in", true },
  { "mydrone.services", true },
  { "mydroneservices.ca", true },
  { "mydroneservices.com", true },
  { "myeberspaecher.com", true },
  { "myeffect.today", true },
  { "myepass.de", true },
  { "myessaygeek.com", true },
  { "myetherwallet.com", true },
  { "myf.cloud", true },
  { "myfantasysportstalk.com", true },
  { "myfedloan.org", true },
  { "myfirenet.com", true },
  { "myfishpalace.at", true },
  { "myfloridadeferredcomp.com", true },
  { "myforfaitmobile.com", true },
  { "myfreemp3.click", true },
  { "myfrenchtattoo.fr", true },
  { "myg21.com", true },
  { "mygadgetguardian.lookout.com", false },
  { "mygalgame.com", true },
  { "mygallery.homelinux.net", true },
  { "mygaysitges.com", true },
  { "mygeneral.org", true },
  { "mygeotrip.com", true },
  { "mygigabitnation.com", true },
  { "mygignation.com", true },
  { "mygoldennetwork.com", true },
  { "mygreatjobs.de", true },
  { "mygreatlakes.org", true },
  { "mygretchen.de", true },
  { "mygymer.ch", true },
  { "myhatsuden.jp", true },
  { "myhealthreviews.com", true },
  { "myhollywoodnews.com", true },
  { "myhostname.net", true },
  { "myimds.com", true },
  { "myimmitracker.com", true },
  { "myipaddr.de", true },
  { "myjudo.net", true },
  { "myjumparoo.co.uk", true },
  { "myjumpsuit.de", true },
  { "myki.co", true },
  { "mykontool.de", true },
  { "mylatestnews.org", true },
  { "mylawyer.be", true },
  { "myleanfactory.de", true },
  { "mylene-chandelier.me", true },
  { "mylifeabundant.com", true },
  { "myliveupdates.com", true },
  { "mylookout.com", false },
  { "mylstrom.com", true },
  { "mymadina.com", true },
  { "mymarketingcourses.com", true },
  { "mymb.pm", true },
  { "mymed.de", true },
  { "mymed.eu", true },
  { "mymedz.nl", true },
  { "mymixtapez.com", true },
  { "mymommyworld.com", true },
  { "mymotor.nl", true },
  { "mymp3singer.net", true },
  { "myms.eu", true },
  { "mymun.net", true },
  { "mymusiclist.alwaysdata.net", true },
  { "mymx.lu", true },
  { "myna.go.jp", true },
  { "mynameistavis.com", true },
  { "mynetworkingbuddy.com", true },
  { "mynext.events", true },
  { "mynextmove.org", true },
  { "mynn.io", true },
  { "mynook.info", true },
  { "mynortherngarden.com", true },
  { "myonline.hu", true },
  { "myoptumhealthcomplexmedical.com", true },
  { "myoptumhealthparentsteps.com", true },
  { "myotopie.de", true },
  { "myoueb.fr", true },
  { "myoukochou.com", true },
  { "myownconference.com", true },
  { "myownconference.com.ua", true },
  { "myownconference.es", true },
  { "myownconference.pl", true },
  { "myownconference.pt", true },
  { "myownconference.ru", true },
  { "myowndisk.com", true },
  { "myowndisk.net", true },
  { "mypaperdone.com", true },
  { "mypaperwriter.com", true },
  { "mypayoffloan.com", true },
  { "mypcqq.cc", true },
  { "myperfecthome.ca", true },
  { "myperfumecollection.com", true },
  { "myphotoshopbrushes.com", true },
  { "mypillcard.com", true },
  { "myplaceonline.com", true },
  { "mypress.mx", true },
  { "myprintcard.de", true },
  { "myproblog.com", true },
  { "myproxy.eu.org", true },
  { "myptsite.com", true },
  { "mypup.nl", true },
  { "myqdu.com", true },
  { "myrandomtips.com", true },
  { "myranicol.com", true },
  { "myraytech.net", false },
  { "myrealestatemate.com.au", true },
  { "myrealestateschool.com", true },
  { "myref.net", true },
  { "myrekber.co.id", true },
  { "myrent.quebec", true },
  { "myrepubic.net", true },
  { "myrepubiic.net", true },
  { "myrepublc.net", true },
  { "myrepublic.asia", true },
  { "myrepublic.cf", true },
  { "myrepublic.cloud", true },
  { "myrepublic.co.id", true },
  { "myrepublic.com.cn", true },
  { "myrepublic.com.hk", true },
  { "myrepublic.com.kh", true },
  { "myrepublic.com.lk", true },
  { "myrepublic.com.my", true },
  { "myrepublic.com.ph", true },
  { "myrepublic.com.tw", true },
  { "myrepublic.eu.com", true },
  { "myrepublic.gq", true },
  { "myrepublic.id", true },
  { "myrepublic.in", true },
  { "myrepublic.nz", true },
  { "myrepublicau.com", true },
  { "myrepublicaus.com", true },
  { "myrepublicbroadband.com.au", true },
  { "myrepublicfibre.com.au", true },
  { "myrepublicinternet.com.au", true },
  { "myrepublicnz.com", true },
  { "myresearchapp.com", true },
  { "myrewardspoints.com", true },
  { "myriadof.com", true },
  { "myrig.com", true },
  { "myrig.com.ua", true },
  { "myrig.ru", true },
  { "myrotvorets.center", true },
  { "myrp.co", true },
  { "myruststats.com", true },
  { "mysber.ru", true },
  { "myschoolphoto.org", true },
  { "myseatime.com", true },
  { "mysecretcase.com", false },
  { "mysectools.org", true },
  { "myself5.de", true },
  { "myseu.cn", true },
  { "mysexydate24.com", true },
  { "myshirtsize.com", true },
  { "mysignal.com", true },
  { "mysize-condooms.nl", true },
  { "mysmelly.com", true },
  { "mysocialporn.com", true },
  { "mysockfactory.ch", true },
  { "mysockfactory.com", true },
  { "mysocrat.com", true },
  { "mysongbird.xyz", true },
  { "mysoundtalks.com", false },
  { "myspicer.com", true },
  { "mysqldump-secure.org", true },
  { "myssl.com", true },
  { "mystatus24.com", false },
  { "mysteriouscode.io", true },
  { "mysterymind.ch", true },
  { "mystic-welten.de", true },
  { "mystickphysick.com", true },
  { "mysticplumes.com", true },
  { "mystorymonster.com", true },
  { "mystown.org", true },
  { "mystudy.me", true },
  { "mystudycart.com", true },
  { "mysupboard.de", true },
  { "myswissmailaddress.com", true },
  { "mytfg.de", true },
  { "mythemeshop.com", true },
  { "mythengay.ch", true },
  { "mythicdelirium.com", true },
  { "myting.net", true },
  { "mytraiteurs.com", true },
  { "mytripcar.co.uk", true },
  { "mytripcar.com", true },
  { "mytripcar.de", true },
  { "mytripcar.es", true },
  { "mytripcar.fr", true },
  { "mytruecare.org", true },
  { "mytty.net", true },
  { "mytuleap.com", true },
  { "mytun.com", true },
  { "mytweeps.com", true },
  { "myulog.net", true },
  { "myunox.com", true },
  { "myupdatestar.com", true },
  { "myupdatestudio.com", true },
  { "myupdatesystems.com", true },
  { "myusagepayments.com", true },
  { "myvacompany.com", true },
  { "myvalleymarketing.com", true },
  { "myvirtualserver.com", true },
  { "myvitalhealthsolutions.com.au", true },
  { "myvoipnews.com", true },
  { "myvpl.com", true },
  { "mywari.com", true },
  { "mywebinar.io", true },
  { "mywebpanel.eu", true },
  { "mywebpanel.nl", true },
  { "myworkinfo.com", false },
  { "myworth.com.au", true },
  { "myyubikey.net", true },
  { "myyubikey.org", true },
  { "myzina.cz", false },
  { "mz-mz.net", true },
  { "mzh.io", true },
  { "mziulu.me", false },
  { "mzorn.photography", true },
  { "n-design.de", true },
  { "n-kanazawa.jp", true },
  { "n-m.lu", true },
  { "n-man.info", true },
  { "n-pix.com", false },
  { "n-soft.info", true },
  { "n-un.de", true },
  { "n-x.info", true },
  { "n0paste.tk", false },
  { "n0psled.nl", true },
  { "n26.com", true },
  { "n2servers.com", true },
  { "n4v.eu", true },
  { "n6a.net", true },
  { "n7.education", true },
  { "na-school.nl", true },
  { "na.hn", true },
  { "naam.me", true },
  { "nabaleka.com", true },
  { "nabankco.com", true },
  { "nabidkamajetku.cz", true },
  { "nabytek-valmo.cz", true },
  { "nachsendeauftrag.net", true },
  { "nachsenden.info", true },
  { "nachtmuziek.info", true },
  { "nacin.com", true },
  { "nacktwanderfreunde.de", true },
  { "nacyklo.cz", true },
  { "nadejeproninu.cz", true },
  { "nadelholzkulturen.de", true },
  { "nadine-chaudier.net", true },
  { "nadyaolcer.fr", true },
  { "nafod.net", true },
  { "naga-semi.com", true },
  { "nagaragem.com.br", true },
  { "nagashi.ma", false },
  { "nagaya.biz", true },
  { "nagb.gov", true },
  { "nagb.org", true },
  { "nagel-dentaltechnik.de", true },
  { "nagelfam.com", true },
  { "naggie.net", true },
  { "nah.nz", true },
  { "nah.re", true },
  { "nahura.com", true },
  { "nailattitude.ch", true },
  { "nailchiodo.com", true },
  { "nailedithomebuilders.com", true },
  { "nailsalon-aztplus.com", true },
  { "nairobibusinessreview.com", true },
  { "nais.me", true },
  { "najany.de", true },
  { "najany.dk", true },
  { "najany.fr", true },
  { "najany.nl", true },
  { "najany.se", true },
  { "nakada4610.com", true },
  { "nakama.tv", true },
  { "nakandya.com", true },
  { "nakanishi-paint.com", true },
  { "nakedalarmclock.me", true },
  { "nakedtruthbeauty.com", true },
  { "nakliyatsirketi.biz.tr", true },
  { "nako.no", true },
  { "nalepky-na-zed.cz", true },
  { "nalepte.cz", true },
  { "nalexandru.xyz", true },
  { "namaanakperempuan.net", true },
  { "namaleaks.com", false },
  { "namazon.org", true },
  { "namazvakitleri.com.tr", true },
  { "namegrep.com", true },
  { "nameid.org", true },
  { "namepros.com", true },
  { "namereel.com", true },
  { "namethatporn.com", true },
  { "nametiles.co", true },
  { "nami.bo", true },
  { "nami.exchange", true },
  { "nami.trade", true },
  { "naminam.de", true },
  { "namrs.net", true },
  { "namskra.is", true },
  { "namu.live", true },
  { "namu.moe", true },
  { "namu.wiki", true },
  { "nanami.moe", true },
  { "nanarose.ch", true },
  { "nanch.com", true },
  { "nandex.org", true },
  { "nanfangstone.com", true },
  { "nani.io", true },
  { "nankiseamansclub.com", true },
  { "nanofy.org", true },
  { "nanogi.ga", true },
  { "nanosingularity.com", true },
  { "nanotechnologist.com", true },
  { "nanovolt.nl", true },
  { "nanowallet.io", true },
  { "nanpuyue.com", true },
  { "nanubo.com", true },
  { "nanubo.de", true },
  { "naomi.es", false },
  { "naomiheji.com", true },
  { "naotone.com", true },
  { "napcae.de", true },
  { "naphogar.com", true },
  { "napisynapomniky.cz", true },
  { "napolinissanctparts.com", true },
  { "narada.com.ua", true },
  { "narakenkoland.net", true },
  { "naralogics.com", true },
  { "narazaka.net", true },
  { "narenderchopra.com", true },
  { "narfation.org", true },
  { "nargileh.nl", true },
  { "narindal.ch", true },
  { "narmos.ch", true },
  { "naro.se", true },
  { "narodsovety.ru", true },
  { "naroska.name", true },
  { "narrativasdigitais.pt", true },
  { "narrenverein-wolkenschieber.de", true },
  { "narthollis.net", false },
  { "nasbi.pl", true },
  { "nasbnation.com", false },
  { "nascio.org", true },
  { "naseco.se", true },
  { "nashvillelidsurgery.com", true },
  { "nashzhou.me", true },
  { "nasrsolar.com", true },
  { "nassi.me", true },
  { "nastoletni.pl", true },
  { "nataldigital.com", true },
  { "nataliedawnhanson.com", true },
  { "natanaelys.com", false },
  { "natation-nsh.com", false },
  { "natatorium.org", true },
  { "natchmatch.com", true },
  { "nate.sh", true },
  { "natecraun.net", true },
  { "nathaliebaron.ch", true },
  { "nathaliebaroncoaching.ch", true },
  { "nathansmetana.com", true },
  { "nathumarket.com.br", true },
  { "nationalbank.gov", true },
  { "nationalbanknet.gov", true },
  { "nationalcentereg.org", true },
  { "nationalcprfoundation.com", true },
  { "nationalcrimecheck.com.au", true },
  { "nationalhomequotes.com", true },
  { "nationalmap.gov", true },
  { "nationalpriorities.org", true },
  { "nationaltaxprep.com", true },
  { "nationwiderealtyinvestors.com", true },
  { "natives-team.ch", true },
  { "nativs.ch", true },
  { "natlec.com", true },
  { "natropie.pl", true },
  { "natsumihoshino.com", true },
  { "naturalcommission.com", true },
  { "naturalkitchen.co.uk", true },
  { "naturalspacesdomes.com", true },
  { "naturaum.de", true },
  { "nature-et-bio.fr", true },
  { "natureflo.net", true },
  { "naturesbest.co.uk", true },
  { "naturesorganichaven.com", true },
  { "naturheilpraxis-oida.de", true },
  { "naturheilpraxis-orlowsky.de", true },
  { "naturheilpraxis-p-grote.de", true },
  { "naturline.com", true },
  { "naturtint.co.uk", true },
  { "natusvita.com.br", true },
  { "naude.co", true },
  { "naughty.audio", true },
  { "nausicaahotel.it", true },
  { "nautiljon.com", true },
  { "nautsch.de", true },
  { "navenlle.com", false },
  { "navienna.com", true },
  { "navient.com", true },
  { "navigate-it-services.de", false },
  { "navitime.me", true },
  { "navstevnik.sk", true },
  { "navycs.com", true },
  { "nawir.de", true },
  { "nayahe.ru", true },
  { "nayanaas.com", true },
  { "nazevfirmy.cz", true },
  { "nazuna.blue", true },
  { "nb.zone", true },
  { "nb6.de", true },
  { "nba-2k.com", true },
  { "nba.christmas", true },
  { "nba.com.de", true },
  { "nba.de.com", true },
  { "nba.download", true },
  { "nba.gd", true },
  { "nba.gs", true },
  { "nba.gy", true },
  { "nba.hosting", true },
  { "nba.im", true },
  { "nba.live", true },
  { "nba.lu", true },
  { "nba.moe", true },
  { "nba.trade", true },
  { "nba.vc", true },
  { "nba.vg", true },
  { "nba2.com", true },
  { "nba2k.blog", true },
  { "nba2k.cc", true },
  { "nba2k.cn", true },
  { "nba2k.co", true },
  { "nba2k.com.cn", true },
  { "nba2k.download", true },
  { "nba2k.live", true },
  { "nba2k.net", true },
  { "nba2k.online", true },
  { "nba2k.tw", true },
  { "nba2kcn.com", true },
  { "nba2kmods.com", true },
  { "nba2kmt.com", true },
  { "nba2kmy.team", true },
  { "nba2kol.com", true },
  { "nba2konline.com", true },
  { "nba2konlinex.com", true },
  { "nba2kx.com", true },
  { "nba669.com", true },
  { "nba686.com", true },
  { "nbad.al", true },
  { "nbadancers.com", true },
  { "nbade.com", true },
  { "nbafile.com", true },
  { "nbagirls.com", true },
  { "nbaim.com", true },
  { "nbaimg.com", true },
  { "nbalive.cn", true },
  { "nbalivecn.com", true },
  { "nbalivex.com", true },
  { "nbari.com", true },
  { "nbask.com", true },
  { "nbasky.com", true },
  { "nbaspot.com", true },
  { "nbavc.com", true },
  { "nbavg.com", true },
  { "nbayouxi.com", true },
  { "nbgrooves.de", true },
  { "nbhorsetraining.com", true },
  { "nbib.gov", true },
  { "nbl.org.tw", true },
  { "nbp.com.pk", true },
  { "nbrain.de", true },
  { "nbrii.com", true },
  { "nbriresearch.com", true },
  { "nbtparse.org", true },
  { "nbur.co.uk", true },
  { "nc-beautypro.fr", true },
  { "nc-formation.fr", true },
  { "nc-network.io", true },
  { "nc2c.com", true },
  { "ncamarquee.co.uk", true },
  { "ncands.net", true },
  { "ncaq.net", true },
  { "ncc-efm.com", true },
  { "ncc-efm.org", true },
  { "ncc-qualityandsafety.org", true },
  { "nccemail.net", true },
  { "ncea.net.au", true },
  { "nchangfong.com", true },
  { "nchponline.org", true },
  { "ncic.gg", true },
  { "nclvle.co.uk", true },
  { "ncm-malerbetrieb.de", true },
  { "ncsc.gov.uk", true },
  { "ncsccs.com", true },
  { "ncstep.org", true },
  { "ndarville.com", true },
  { "ndbt.com", true },
  { "ndcpolipak.com", true },
  { "ndeoffshore.com", true },
  { "nder.be", true },
  { "ndhlink.com", true },
  { "ndmath.club", true },
  { "ndpbrn-research.org", true },
  { "nds-helicopter.de", true },
  { "ndy.sex", true },
  { "ne-on.org", true },
  { "nea.gov", true },
  { "nearbi.com.mx", true },
  { "nearby.in.th", true },
  { "nearon.nl", true },
  { "neartothesky.com", true },
  { "neatous.cz", true },
  { "neatous.net", true },
  { "neave.tv", true },
  { "neba.io", true },
  { "nebelhauch.de", true },
  { "nebelheim.de", true },
  { "nebra.io", true },
  { "nebul.at", true },
  { "nebulae.co", true },
  { "nebuluxcapital.com", true },
  { "necessaryandproportionate.net", true },
  { "necessaryandproportionate.org", true },
  { "necormansir.com", true },
  { "nectarleaf.com", true },
  { "nedcdata.org", true },
  { "nedim-accueil.fr", true },
  { "nediyor.com", true },
  { "nedlinin.com", true },
  { "nedraconsult.ru", true },
  { "nedys.top", true },
  { "neecist.org", true },
  { "needle.net.nz", true },
  { "needle.nz", true },
  { "needstyle.ru", true },
  { "neeerd.org", true },
  { "neel.ch", true },
  { "neemzy.org", true },
  { "neet-investor.biz", true },
  { "nefertitis.cz", true },
  { "neflabs.com", true },
  { "neftebitum-kngk.ru", true },
  { "neftis.es", false },
  { "neg9.org", false },
  { "negai.moe", true },
  { "neglecteddiseases.gov", true },
  { "nehoupat.cz", true },
  { "nehrp.gov", true },
  { "neil-barrett.com", true },
  { "neil-barrett.uk", true },
  { "neildaniels.com", true },
  { "neilfarrington.com", true },
  { "neillans.co.uk", true },
  { "neillans.com", true },
  { "neilshealthymeals.com", true },
  { "neilwynne.com", true },
  { "neio.uk", true },
  { "nejenpneu.cz", true },
  { "nejlevnejsi-parapety.cz", true },
  { "neko-nyan-nuko.com", true },
  { "neko-nyan.org", true },
  { "neko.li", true },
  { "neko.ml", true },
  { "nekodex.net", true },
  { "nekomimi.pl", true },
  { "nekomimirouter.com", true },
  { "nekosc.com", true },
  { "nekusoul.de", true },
  { "nelhage.com", true },
  { "nella-project.org", true },
  { "nella.io", true },
  { "nellacms.com", true },
  { "nellacms.org", true },
  { "nellafw.org", true },
  { "nemanja.top", true },
  { "nemcd.com", true },
  { "nemecl.eu", true },
  { "nemez.net", true },
  { "nemo.run", true },
  { "nemopan.com", true },
  { "nems.no", true },
  { "nemumu.com", true },
  { "nemunai.re", true },
  { "neo2shyalien.eu", false },
  { "neobits.nl", true },
  { "neocities.org", true },
  { "neoclick.io", true },
  { "neodrive.ch", true },
  { "neoedresources.org", true },
  { "neoeliteconsulting.com", true },
  { "neojo.org", true },
  { "neokobe.city", true },
  { "neolaudia.es", true },
  { "neolink.dk", true },
  { "neonataleducationalresources.org", true },
  { "neonatalgoldenhours.org", true },
  { "neonknight.ch", true },
  { "neons.org", true },
  { "neophilus.net", true },
  { "neosdesignstudio.co.uk", true },
  { "neostralis.com", true },
  { "neowlan.net", true },
  { "neoxcrf.com", true },
  { "neoz.com.br", true },
  { "nepageeks.com", true },
  { "nepal-evolution.org", true },
  { "nephelion.org", true },
  { "nephos.xyz", true },
  { "nephy.jp", true },
  { "nepovolenainternetovahazardnihra.cz", true },
  { "nepremicninar.com", true },
  { "nepremicnine.click", true },
  { "nepremicnine.net", true },
  { "nepustil.net", false },
  { "nercp.org.uk", true },
  { "nerdmind.de", true },
  { "nerdoutstudios.tv", true },
  { "nerdpol.ch", true },
  { "nerds-gegen-stephan.de", true },
  { "nerdtime.de", true },
  { "nerdwallet.com", true },
  { "nerdydev.net", true },
  { "neriumhcp.com", true },
  { "nerot.eu", true },
  { "nerull7.info", true },
  { "nerven.se", false },
  { "nesbase.com", true },
  { "nesolabs.com", true },
  { "nesolabs.de", true },
  { "nestedquotes.ca", true },
  { "nesterov.pw", true },
  { "nestor.nu", true },
  { "neswec.org.uk", true },
  { "net-masters.pl", true },
  { "net-safe.info", true },
  { "net4visions.at", true },
  { "net4visions.de", true },
  { "netamia.com", true },
  { "netapps.de", true },
  { "netba.net", true },
  { "netbank.com.au", true },
  { "netbears.com", true },
  { "netbears.ro", true },
  { "netbows.com", true },
  { "netbows.es", true },
  { "netbox.org", true },
  { "netbrewventures.com", true },
  { "netbulls.io", true },
  { "netconnect.at", true },
  { "netcoolusers.org", true },
  { "netdego.jp", true },
  { "netdex.co", true },
  { "netducks.com", true },
  { "netducks.space", true },
  { "netera.se", true },
  { "netfabb.com", true },
  { "netflixlife.com", true },
  { "netfog.de", true },
  { "netfxharmonics.com", true },
  { "netguide.co.nz", true },
  { "nethackwiki.com", true },
  { "nethask.ru", true },
  { "nethruster.com", true },
  { "nethunter.top", true },
  { "netki.com", true },
  { "netlentes.com.br", true },
  { "netlocal.ru", true },
  { "netmagicas.com.br", true },
  { "netmeister.org", true },
  { "netnik.de", true },
  { "netnodes.net", true },
  { "netraising.com", false },
  { "netrelay.email", true },
  { "netrewrite.com", true },
  { "netrider.net.au", false },
  { "netronix.be", true },
  { "netsite.dk", true },
  { "netsoins.org", true },
  { "netsparker.com", true },
  { "netsparker.com.tr", true },
  { "netspeedia.net", true },
  { "nettamente.com", true },
  { "nette.org", true },
  { "nettegeschenke.de", true },
  { "nettia.fi", true },
  { "netto-service.ch", true },
  { "nettools.link", true },
  { "nettopower.dk", true },
  { "nettoyage.email", true },
  { "nettplusultra-rhone.fr", true },
  { "nettx.co.uk", true },
  { "netulo.com", true },
  { "netvizura.co.uk", true },
  { "netwarc.eu", true },
  { "netwarc.nl", true },
  { "netweaver.uk", true },
  { "network-notes.com", true },
  { "network23.nl", true },
  { "networkersdiary.com", true },
  { "networking4all.com", true },
  { "networking4all.net", true },
  { "networkingnexus.net", true },
  { "networkingphoenix.com", true },
  { "networkposting.com", true },
  { "networth.at", true },
  { "networx-online.de", true },
  { "netzfrauen.org", true },
  { "neuflizeobc.net", true },
  { "neuhaus-city.de", true },
  { "neurabyte.com", true },
  { "neurexcellence.com", true },
  { "neurobiology.com", true },
  { "neurochip.com", true },
  { "neurocny.cloud", true },
  { "neuroethics.com", true },
  { "neurogroove.info", true },
  { "neurolab.no", true },
  { "neuropharmacology.com", true },
  { "neurotransmitter.net", true },
  { "neurozentrum-zentralschweiz.ch", true },
  { "neutralox.com", false },
  { "neuwal.com", true },
  { "neva.li", true },
  { "never.pet", false },
  { "nevermore.fi", true },
  { "neverwetturkey.com", true },
  { "nevntech.com", true },
  { "nevolution.me", true },
  { "nevoxo.com", true },
  { "new-black-order.com", true },
  { "new-boiler-prices.co.uk", true },
  { "new-ms.com", true },
  { "new-process.ch", true },
  { "new-process.com", true },
  { "new-process.de", true },
  { "new-process.eu", true },
  { "new.travel.pl", true },
  { "newaccess.ch", true },
  { "newbieboss.com", false },
  { "newborncryptocoin.com", false },
  { "newburybouncycastles.co.uk", true },
  { "newburyparkelectrical.com", true },
  { "newchance.store", true },
  { "newcitygas.ca", true },
  { "newcityinfo.ch", true },
  { "newcitystudio.ch", true },
  { "newcreamforface.com", true },
  { "newday.host", true },
  { "newdeveloper.download", true },
  { "newearth.press", true },
  { "newfiepedia.ca", true },
  { "newgrowbook.com", true },
  { "newguidance.ch", true },
  { "newind.info", true },
  { "newizv.ru", true },
  { "newjianzhi.com", true },
  { "newkaliningrad.ru", true },
  { "newknd.com", true },
  { "newmarketbouncycastlehire.co.uk", true },
  { "newmed.com.br", true },
  { "newmediaone.net", true },
  { "newmovements.net", true },
  { "newodesign.com", true },
  { "newpathintegratedtherapy.com", true },
  { "newpoke.net", true },
  { "news47ell.com", true },
  { "newsa2.com", true },
  { "newserumforskin.com", true },
  { "newsmotor.info", true },
  { "newspsychology.com", true },
  { "newstone-tech.com", true },
  { "newsyslog.org", true },
  { "newtonproject.org", true },
  { "newtrackon.com", true },
  { "nex.sx", true },
  { "nexgeneration-solutions.com", true },
  { "nexicafiles.com", true },
  { "next-web.ad.jp", true },
  { "next24.io", true },
  { "nextads.ch", true },
  { "nextbranders.com", true },
  { "nextcairn.com", true },
  { "nextcasino.com", true },
  { "nextcloud.co.za", true },
  { "nextcloud.com", true },
  { "nextend.net", true },
  { "nextend.org", true },
  { "nextevolution.co.uk", true },
  { "nextgen.sk", true },
  { "nextgencel.com", true },
  { "nexthop.co.jp", true },
  { "nexthop.co.th", true },
  { "nexthop.jp", true },
  { "nextmbta.com", true },
  { "nextme.se", true },
  { "nextnely.com", true },
  { "nextrobotics.de", true },
  { "nextshutter.com", true },
  { "nexttv.co.il", true },
  { "nexus-exit.de", true },
  { "nexus-vienna.at", true },
  { "nexusconnectinternational.eu", true },
  { "nexwebsites.com", true },
  { "nexxus-sistemas.net.br", true },
  { "neyer-lorenz.de", true },
  { "nezrouge-est-vaudois.ch", true },
  { "nezrouge-geneve.ch", true },
  { "nf4.net", true },
  { "nf9q.com", true },
  { "nfe-elektro.de", true },
  { "nfhome.be", true },
  { "nfir.nl", true },
  { "nfl.dedyn.io", true },
  { "nfl.duckdns.org", true },
  { "nflmocks.com", true },
  { "nfls.io", true },
  { "nframe.io", true },
  { "nfrost.me", true },
  { "nfsec.pl", true },
  { "nfz.moe", true },
  { "ng-musique.com", true },
  { "ngasembaru.com", true },
  { "ngc.gov", true },
  { "nghe.net", true },
  { "nginxconfig.io", true },
  { "ngndn.jp", true },
  { "ngt-service.ru", true },
  { "ngvf.de", true },
  { "ngx.hk", true },
  { "ngxpkg.com", true },
  { "nhccnews.org", true },
  { "nhchalton.com", true },
  { "nhimf.org", true },
  { "nhliberty.org", true },
  { "nhome.ba", true },
  { "nhsolutions.be", true },
  { "nhsuites.com", true },
  { "nhw.ovh", true },
  { "ni-mate.com", true },
  { "ni.search.yahoo.com", false },
  { "niadd.com", true },
  { "niagara.ru", false },
  { "niagarafalls.ca", true },
  { "niagarafallsmuseums.ca", true },
  { "niagaraschoice.org", true },
  { "niallator.com", true },
  { "nibb13.tech", true },
  { "nibo.blog", true },
  { "nic.goog", true },
  { "nic.gov", true },
  { "nic.how", true },
  { "nic.soy", true },
  { "nic.xn--q9jyb4c", true },
  { "niceguyit.biz", true },
  { "nicesco.re", true },
  { "nicestudio.co.il", false },
  { "nichijou.com", true },
  { "nicholasperkins.io", true },
  { "nicholaspruss.com", true },
  { "nicholasquigley.com", true },
  { "nicholaswilliams.net", true },
  { "nichteinschalten.de", false },
  { "nichthelfer.de", true },
  { "nicic.gov", true },
  { "nickcleans.co.uk", true },
  { "nickcraver.com", true },
  { "nickdekruijk.nl", true },
  { "nickguyver.com", true },
  { "nickloose.de", true },
  { "nickmorri.com", true },
  { "nickrickard.co.uk", true },
  { "nickscomputers.nl", true },
  { "nickserve.com", true },
  { "nickstories.de", true },
  { "niclasreich.de", true },
  { "nicn.me", true },
  { "nico.st", true },
  { "nicocourts.com", true },
  { "nicoknibbe.nl", true },
  { "nicolaeiotcu.ro", true },
  { "nicolajanedesigns.co.uk", true },
  { "nicolas-dumermuth.com", true },
  { "nicolas-hoffmann.net", true },
  { "nicolas-hoizey.com", true },
  { "nicolas-simond.com", true },
  { "nicolashess.de", true },
  { "nicolasiung.me", true },
  { "nicolaszambetti.ch", true },
  { "nicolaw.uk", true },
  { "nicoleoquendo.com", true },
  { "nicoobook.com", true },
  { "nicsezcheckfbi.gov", true },
  { "nicul.in", true },
  { "nidro.de", true },
  { "nidsuber.ch", true },
  { "niederohmig.de", true },
  { "niedersetz.de", true },
  { "niehage.name", true },
  { "nielshoogenhout.be", true },
  { "nielshoogenhout.eu", true },
  { "nielshoogenhout.nl", true },
  { "niemaler.de", true },
  { "nien.cf", true },
  { "nien.co", true },
  { "nien.com", true },
  { "nien.com.tw", true },
  { "nien.eu.org", true },
  { "nien.gq", true },
  { "nien.org", true },
  { "nien.taipei", true },
  { "nien.tk", true },
  { "nienkeslop.nl", true },
  { "nierenpraxis-dr-merkel.de", true },
  { "nierenpraxis-merkel.de", true },
  { "nieselregen.com", true },
  { "niess.space", true },
  { "niesstar.com", true },
  { "nietzsche.com", true },
  { "nieuwslagmaat.nl", true },
  { "nieuwsoverijssel.nl", true },
  { "niffler.software", true },
  { "niftiestsoftware.com", true },
  { "nifume.com", true },
  { "nigelwakefield.com", true },
  { "nigensha.co.jp", true },
  { "niggemeier.cc", true },
  { "nigger.racing", true },
  { "niggo.eu", true },
  { "night2stay.cn", true },
  { "night2stay.com", true },
  { "night2stay.de", true },
  { "night2stay.fr", true },
  { "night2stay.ru", true },
  { "nightbutterflies.com", true },
  { "nightfirec.at", true },
  { "nightfirecat.com", true },
  { "nightmoose.org", true },
  { "nightsi.de", true },
  { "nightstand.io", true },
  { "nightwinds.tk", true },
  { "nihon-no-sake.net", true },
  { "nijiero-ch.com", false },
  { "nijikata.com", true },
  { "nijm.nl", true },
  { "nikandcara.com", true },
  { "nikao-tech.com", true },
  { "nikavandenbos.nl", true },
  { "niki.ai", true },
  { "nikimix.com", true },
  { "nikkasystems.com", true },
  { "nikkila.me", true },
  { "nikklassen.ca", true },
  { "niklas.host", true },
  { "niklas.pw", true },
  { "niklasanderson.com", true },
  { "niklasbabel.com", true },
  { "nikolasgrottendieck.com", true },
  { "nikomo.fi", false },
  { "nikoninframe.co.uk", true },
  { "nikonnps.co.uk", true },
  { "nikz.in", true },
  { "nil.gs", true },
  { "nil.mx", true },
  { "niles.xyz", true },
  { "nilrem.org", true },
  { "nimeshjm.com", true },
  { "nimidam.com", true },
  { "ninaforever.com", true },
  { "ninarinaldi.com.br", true },
  { "ninaundandre.de", true },
  { "ninchat.com", true },
  { "ninebennink.com", true },
  { "ninepints.co", true },
  { "ninesix.cc", true },
  { "ninespec.com", true },
  { "ninetaillabs.com", true },
  { "ninetaillabs.xyz", true },
  { "ninfora.com", true },
  { "ninja-galerie.de", true },
  { "ninjio.com", true },
  { "ninov.de", true },
  { "nintendoforum.no", true },
  { "ninthfloor.org", true },
  { "nipax.cz", true },
  { "nipe-systems.de", true },
  { "nippon-oku.com", true },
  { "nippon.fr", true },
  { "niqex.com", true },
  { "nirjharstudio.com", true },
  { "nirjonmela.com", true },
  { "nirjonmela.net", true },
  { "nirudo.me", true },
  { "nissanofbismarckparts.com", true },
  { "nitaonline.org", true },
  { "nitifilter.com", true },
  { "nitrix.me", true },
  { "nitrohorse.com", true },
  { "nitrokey.com", true },
  { "nitropanel.com", true },
  { "nitropur.com", true },
  { "nitropur.de", true },
  { "nitrous-networks.com", true },
  { "niu.moe", true },
  { "nivi.ca", true },
  { "nix.black", true },
  { "nixne.st", true },
  { "nixonlibrary.gov", true },
  { "niyawe.de", true },
  { "nja.id.au", true },
  { "njguardtraining.com", true },
  { "njpjanssen.nl", true },
  { "nkapliev.org", true },
  { "nkinka.de", true },
  { "nkp-media.de", true },
  { "nl-ix.net", true },
  { "nl.search.yahoo.com", false },
  { "nlap.ca", false },
  { "nlbewustgezond.nl", true },
  { "nlfant.eu", true },
  { "nllboard.co.uk", true },
  { "nlleisure.co.uk", true },
  { "nlm.gov", true },
  { "nlrb.gov", true },
  { "nlt.by", false },
  { "nmd.so", true },
  { "nmgb.ga", true },
  { "nmgb.ml", true },
  { "nmnd.de", true },
  { "nn.cz", true },
  { "nna774.net", true },
  { "nnqc.nl", true },
  { "no-xice.com", true },
  { "no.search.yahoo.com", false },
  { "noagendahr.org", true },
  { "noahmodas.com.br", true },
  { "noahsaso.com", true },
  { "nobitakun.com", true },
  { "nobledust.com", true },
  { "nobleparkapartments.com.au", true },
  { "nobly.de", true },
  { "noc.org", true },
  { "noc.wang", true },
  { "nocit.dk", true },
  { "nocks.com", true },
  { "nocmd.com", true },
  { "nocs.cn", true },
  { "nodalr.com", true },
  { "nodari.com.ar", true },
  { "nodariweb.com.ar", true },
  { "nodecompat.com", true },
  { "nodecraft.com", true },
  { "nodefoo.com", true },
  { "nodejs.de", true },
  { "nodelab-it.de", true },
  { "nodelia.com", true },
  { "nodepositcasinouk.com", true },
  { "nodesec.cc", true },
  { "nodesturut.cl", true },
  { "nodum.io", true },
  { "noeatnosleep.me", true },
  { "noedidacticos.com", true },
  { "noelclaremont.com", true },
  { "noellabo.jp", true },
  { "noematic.space", true },
  { "noemax.com", true },
  { "noexec.org", true },
  { "noez.de", true },
  { "nofrillsdns.com", true },
  { "nogerondier.eu", true },
  { "noglobalwarrants.org", true },
  { "nohats.ca", true },
  { "nohkan.fr", true },
  { "nohm.eu", true },
  { "nohttps.org", true },
  { "nohup.se", true },
  { "nohup.xyz", true },
  { "noisetor.net", true },
  { "noisetrap.cz", true },
  { "noisky.cn", true },
  { "noisyfox.cn", true },
  { "nojestorget.se", true },
  { "nojok.es", true },
  { "nokia.la", true },
  { "nokono.com", true },
  { "nolaviz.org", true },
  { "noleggio-bagni-chimici.it", true },
  { "noma-film.com", true },
  { "nomadproject.io", true },
  { "nomenclator.org", true },
  { "nomesbiblicos.com", true },
  { "nomial.co.uk", true },
  { "nomifensine.com", true },
  { "nomsy.net", true },
  { "noname-ev.de", true },
  { "nonametheme.com", true },
  { "noncombatant.org", true },
  { "noob-box.net", true },
  { "noobswhatelse.net", true },
  { "noobunbox.net", true },
  { "noodles.net.nz", true },
  { "noodleyum.com", true },
  { "noodplan.co.za", true },
  { "noodweer.be", true },
  { "noon-entertainments.com", true },
  { "noop.ch", true },
  { "noordsee.de", true },
  { "noorsolidarity.com", true },
  { "nootropic.com", true },
  { "nootropicpedia.com", true },
  { "noovell.com", true },
  { "nopaste.xyz", true },
  { "nopaynocure.com", true },
  { "nord-sud.be", true },
  { "nordakademie.de", true },
  { "norden.eu.org", true },
  { "nordicirc.com", true },
  { "nordinfo.fi", true },
  { "nordlichter-brv.de", true },
  { "nordmoregatebilklubb.com", true },
  { "nordnetz-hamburg.de", true },
  { "nordseeblicke.de", true },
  { "nordwaldzendo.de", true },
  { "noref.tk", true },
  { "noreply.mx", true },
  { "norichanmama.com", true },
  { "noriel.ro", true },
  { "normaculta.com.br", true },
  { "normalady.com", true },
  { "norman-preusser-gmbh.de", true },
  { "normanbauer.com", true },
  { "normandgascon.com", true },
  { "normankranich.de", true },
  { "norrkemi.se", true },
  { "norrliden.de", true },
  { "norskpensjon.no", true },
  { "north.supply", true },
  { "northatlantalaw.net", true },
  { "northbrisbaneapartments.com.au", true },
  { "northconsulting.fr", true },
  { "northcountykiaparts.com", true },
  { "northdevonbouncycastles.co.uk", true },
  { "northeastcdc.org", true },
  { "northeastrodeo.co.uk", true },
  { "northern-lakes.com", true },
  { "northerngate.net", true },
  { "northernhamsterclub.com", true },
  { "northernmuscle.ca", true },
  { "northernpage.com", true },
  { "northernselfstorage.co.za", true },
  { "northfieldyarn.com", true },
  { "northokanaganbookkeeping.com", true },
  { "northpole.dance", true },
  { "northridgeelectrical.com", true },
  { "northumbriagames.co.uk", true },
  { "northwest-events.co.uk", true },
  { "northwoodsfish.com", true },
  { "norys-escape.de", true },
  { "nos-medias.fr", true },
  { "nos-oignons.net", true },
  { "noscript.net", true },
  { "nosecrets.ch", true },
  { "nosfermiers.com", true },
  { "noslite.nl", true },
  { "nospoint.cz", true },
  { "nossasenhoradaconceicao.com.br", true },
  { "nossasenhoradodesterro.com.br", true },
  { "nostosh.eu.org", true },
  { "nostraforma.com", false },
  { "noswap.com", true },
  { "nosx.tk", true },
  { "nosyu.pe.kr", true },
  { "nota.moe", true },
  { "notabug.org", true },
  { "notadd.com", true },
  { "notadd.store", true },
  { "notallmine.net", true },
  { "notalone.gov", true },
  { "notar-glagowski.com", true },
  { "notar-glagowski.de", true },
  { "notar-peikert.com", true },
  { "notare-marktplatz24.info", true },
  { "notarvysocina.cz", true },
  { "notboring.co.uk", true },
  { "notcompletelycorrect.com", true },
  { "notdienstreform-nordrhein.de", true },
  { "notepad.nz", true },
  { "noteskeeper.ru", true },
  { "noticiasdehumor.com", true },
  { "notificami.com", true },
  { "notinglife.com", true },
  { "notjustvacs.com", true },
  { "notnize.net", true },
  { "notnl.com", true },
  { "notofilia.com", true },
  { "notonprem.com", true },
  { "notora.tech", true },
  { "notoriousdev.com", true },
  { "notrecourrier.net", true },
  { "nottori.com", true },
  { "nottres.com", true },
  { "notypiesni.sk", false },
  { "noudjalink.nl", true },
  { "nouma.fr", true },
  { "noustique.com", true },
  { "nova-dess.ch", true },
  { "nova-wd.org.uk", true },
  { "nova.live", true },
  { "novabench.com", true },
  { "novacoast.com", false },
  { "novadermis.es", true },
  { "novafreixo.pt", true },
  { "novawave.ca", true },
  { "nove.city", true },
  { "noveciti.com", true },
  { "novecity.cloud", true },
  { "novecity.com", true },
  { "novecity.info", true },
  { "novecity.it", true },
  { "novecity.org", true },
  { "novecitymail.com", true },
  { "novelfeed.com", true },
  { "novelinglife.net", true },
  { "novelvyretraite.fr", true },
  { "novgorod-avia.ru", true },
  { "novilaw.com", true },
  { "novilidery.com", true },
  { "novinivo.com", true },
  { "novodiegomaia.com.br", true },
  { "novojet.cl", true },
  { "novoresume.com", false },
  { "novosibavia.ru", true },
  { "novurania.com", true },
  { "nowcost.com", true },
  { "nowhere.dk", true },
  { "nowitzki.me", true },
  { "nowlas.org", true },
  { "nowloading.co", true },
  { "noxi.ga", true },
  { "noxlogic.nl", true },
  { "noyocenter.org", true },
  { "np-edv.at", true },
  { "np.search.yahoo.com", false },
  { "npath.de", true },
  { "npcrcss.org", true },
  { "npmcdn.com", true },
  { "npool.org", true },
  { "npw.net", true },
  { "nqesh.com", true },
  { "nqeshreviewer.com", true },
  { "nrc-gateway.gov", true },
  { "nrd.li", true },
  { "nrev.ch", true },
  { "nrkn.fr", true },
  { "nrsweb.org", true },
  { "nrvn.cc", true },
  { "nrvnastudios.com", true },
  { "ns-frontier.com", true },
  { "ns2servers.pw", true },
  { "nsa.ovh", true },
  { "nsa.wtf", true },
  { "nsapwn.com", true },
  { "nsboston.org", true },
  { "nsboutique.com", true },
  { "nscnet.jp", true },
  { "nsm.ee", true },
  { "nsm.stat.no", true },
  { "nso.ie", true },
  { "nsp.ua", true },
  { "nst-maroc.com", true },
  { "nstd.net", true },
  { "nstremsdoerfer.ovh", true },
  { "nsure.us", true },
  { "nsworks.com", true },
  { "ntags.org", true },
  { "nte.email", true },
  { "nth.sh", true },
  { "nti.de", true },
  { "ntotten.com", true },
  { "ntppool.org", true },
  { "ntx360grad-fallakte.de", true },
  { "nu-pogodi.net", true },
  { "nu3tion.com", true },
  { "nu3tion.cz", true },
  { "nuacht.ie", true },
  { "nuamooreaindonesia.com", true },
  { "nubella.com.au", true },
  { "nuclear-crimes.com", true },
  { "nuclearcat.com", true },
  { "nuclearcrimes.com", true },
  { "nuclearcrimes1.com", true },
  { "nucleuscore.org", true },
  { "nudestpics.com", true },
  { "nuel.cl", true },
  { "nuevaimagenpublicidad.es", true },
  { "nuffield.nl", true },
  { "nugdev.co", true },
  { "null-life.com", true },
  { "nullonerror.org", true },
  { "nullpointer.io", true },
  { "nulltime.net", false },
  { "numarasorgulama.tel", true },
  { "numatic.co.uk", true },
  { "number.me", true },
  { "numbercult.net", true },
  { "numbermunchers.net", true },
  { "numberoneshoes.co.nz", false },
  { "numberzero.org", true },
  { "numerik-games.ch", true },
  { "numero-aleatorio.com", true },
  { "numero1.ch", true },
  { "numerossanos.com.ar", true },
  { "numis.tech", true },
  { "numismed-seniorcare.de", true },
  { "numm.fr", true },
  { "numwave.nl", true },
  { "nunnenmacher.net", true },
  { "nunnun.jp", true },
  { "nunomoura.com", true },
  { "nuos.org", true },
  { "nuovaelle.it", true },
  { "nuquery.com", true },
  { "nur.berlin", true },
  { "nuriacamaras.com", true },
  { "nursejj.com", true },
  { "nurseone.ca", true },
  { "nurses.dating", true },
  { "nursingschool.network", true },
  { "nuryahan.com.br", true },
  { "nusku.biz", true },
  { "nussadoclub.org", true },
  { "nutikell.com", true },
  { "nutleyeducationalfoundation.org", true },
  { "nutleyef.org", true },
  { "nutonic-sports.com", true },
  { "nutri-spec.me", true },
  { "nutricaovegana.com", true },
  { "nutriciametabolics-shop.de", true },
  { "nutrieduca.com", true },
  { "nutrifyyourself.com", true },
  { "nutripedia.gr", true },
  { "nutrishop.com", true },
  { "nutrivisa.com.br", true },
  { "nuvechtdal.nl", true },
  { "nuvini.com", true },
  { "nuxer.fr", true },
  { "nv.gw", true },
  { "nve-qatar.com", true },
  { "nvl-game.tokyo", true },
  { "nvq.nl", true },
  { "nvr.bz", true },
  { "nwbc.gov", true },
  { "nwerc.party", true },
  { "nwgh.org", false },
  { "nwr-waffenbuch.de", true },
  { "nwra.com", true },
  { "nwwc.dk", true },
  { "nwwnetwork.net", true },
  { "nxinfo.ch", true },
  { "nxt.sh", true },
  { "nya.as", true },
  { "nyan.it", true },
  { "nyan.stream", true },
  { "nyanco.space", true },
  { "nyantec.com", true },
  { "nybiz.nyc", true },
  { "nycoyote.org", true },
  { "nyffo.com", true },
  { "nyiad.edu", true },
  { "nyip.co.uk", true },
  { "nyip.edu", true },
  { "nyloc.de", true },
  { "nylonfeetporn.com", true },
  { "nymphetomania.net", true },
  { "nynex.net", true },
  { "nyoronfansubs.org", true },
  { "nyphox.ovh", true },
  { "nys-hk.com", true },
  { "nystudio107.com", true },
  { "nytrafficticket.com", true },
  { "nyxi.eu", true },
  { "nyyu.tk", true },
  { "nzb.cat", false },
  { "nzdmo.govt.nz", true },
  { "nzstudy.ac.nz", true },
  { "o-loska.cz", true },
  { "o-sp.com", true },
  { "o2careers.co.uk", true },
  { "o3.wf", true },
  { "o3wallet.com", true },
  { "o6asan.com", true },
  { "o8b.club", true },
  { "oaic.gov.au", true },
  { "oakesfam.net", true },
  { "oakington.info", true },
  { "oaklands.co.za", true },
  { "oakparkelectrical.com", true },
  { "oakslighting.co.uk", true },
  { "oasisdabeleza.com.br", true },
  { "oatmealdome.me", true },
  { "oauth-dropins.appspot.com", false },
  { "obamalibrary.gov", true },
  { "oberhofdrinks.com", true },
  { "oberhofjuice.com", true },
  { "obermeiers.eu", true },
  { "oberoi.de", true },
  { "obfuscate.xyz", true },
  { "obg-global.com", true },
  { "obitech.de", true },
  { "object.earth", true },
  { "objectif-leger.com", true },
  { "objectif-terre.ch", true },
  { "objekt-textil.ch", true },
  { "oblast45.ru", false },
  { "oboeta.com", true },
  { "obono.at", true },
  { "obscur.us", true },
  { "obsidianirc.net", true },
  { "obsproject.com", true },
  { "obtima.org", true },
  { "obud.cz", true },
  { "obyvateleceska.cz", true },
  { "oc-sa.ch", true },
  { "occenterprises.org", true },
  { "occentus.net", true },
  { "occmon.net", true },
  { "occonnections.org", true },
  { "ocd2016.com", true },
  { "oceandns.eu", true },
  { "oceandns.net", true },
  { "oceandns.nl", true },
  { "oceanvisuals.com", true },
  { "ocelot.help", true },
  { "ocenovani-inspekce.cz", true },
  { "ocf.io", true },
  { "ocg-card.com", true },
  { "ochrepoint.com.au", true },
  { "ochsenfeld.co", true },
  { "ochsundjunior.ch", true },
  { "ochsundjunior.swiss", true },
  { "ocim.ch", true },
  { "ockendenhemming.co.uk", true },
  { "oclausen.com", true },
  { "ocloudhost.com", true },
  { "ocolere.ch", true },
  { "ocotg.com", true },
  { "ocrn.nl", true },
  { "ocsigroup.fr", true },
  { "octal.es", true },
  { "octanio.com", true },
  { "octav.name", false },
  { "octohedralpvp.tk", true },
  { "octohost.net", true },
  { "octolopagon.games", true },
  { "octopus-agents.com", true },
  { "octosniff.net", true },
  { "octosys.net", true },
  { "octosys.org", true },
  { "octosys.ru", true },
  { "octothorpe.club", true },
  { "octothorpe.ninja", true },
  { "oddmuse.org", true },
  { "oddnumber.ca", true },
  { "oddsandevens.ca", true },
  { "oddsandevensbookkeeping.ca", true },
  { "oddtime.net", true },
  { "odensc.me", true },
  { "odifi.com", true },
  { "odoo.co.th", true },
  { "odosblog.de", true },
  { "odpikedoslike.com", true },
  { "odtu.lu", true },
  { "oducs.org", true },
  { "odysseyofthemind.eu", true },
  { "odzyskaniedomeny.pl", true },
  { "oec-music.com", true },
  { "oeh.ac.at", true },
  { "oeko-bundesfreiwilligendienst-sh.de", true },
  { "oeko-bundesfreiwilligendienst.de", true },
  { "oeko-jahr-jubilaeum.de", true },
  { "oeko-jahr.de", true },
  { "oelbilder-oelmalerei.de", true },
  { "oelsner.net", true },
  { "oemspace.net", true },
  { "oemspace.nl", true },
  { "oemwolf.com", true },
  { "ofcampuslausanne.ch", true },
  { "ofcss.com", true },
  { "ofda.gov", true },
  { "offandonagain.org", true },
  { "offenekommune.de", true },
  { "offenes-deutschland.de", true },
  { "offfbynight.be", true },
  { "offgames.io", true },
  { "office-discount.at", true },
  { "office-discount.de", true },
  { "office-furniture-direct.co.uk", true },
  { "office-morimoto.com", true },
  { "officefundays.co.uk", true },
  { "officeinteriors.co.nz", true },
  { "officemovepro.com", true },
  { "officeprint.co.th", true },
  { "officiants.wedding", false },
  { "officium.tech", true },
  { "offroadeq.com", true },
  { "offshoot.rentals", true },
  { "ofggolf.com", true },
  { "oftamedic.com", true },
  { "oftn.org", true },
  { "oge.ch", true },
  { "oggw.us", true },
  { "ogis.gov", true },
  { "ogkw.de", true },
  { "oglen.ca", true },
  { "ogocare.com", true },
  { "oguya.ch", true },
  { "ogyaa.jp", true },
  { "oh14.de", true },
  { "ohadsoft.com", true },
  { "ohai.su", true },
  { "ohayosoro.me", true },
  { "ohchouette.com", true },
  { "ohd.dk", true },
  { "oheila.com", true },
  { "ohhdeertrade.com", true },
  { "ohhere.xyz", true },
  { "ohiohealthfortune100.com", true },
  { "ohling.org", true },
  { "ohne-name.de", true },
  { "ohreally.de", true },
  { "ohsohairy.co.uk", true },
  { "ohyooo.com", true },
  { "oiaio.cn", true },
  { "oilpaintingsonly.com", true },
  { "oisd.nl", true },
  { "oita-homes.com", true },
  { "ojaioliveoil.com", true },
  { "ojanaho.com", true },
  { "ojdip.net", true },
  { "ojomovies.com", true },
  { "ojp.gov", true },
  { "okakuro.org", true },
  { "okanaganrailtrail.ca", true },
  { "okay.cf", true },
  { "okay.coffee", true },
  { "okburrito.com", true },
  { "okchicas.com", true },
  { "okeeferanch.ca", true },
  { "okhrana.agency", true },
  { "okib.ca", true },
  { "okin-jp.net", true },
  { "okinawa-mag.net", true },
  { "okmx.de", true },
  { "okna-tm.kz", true },
  { "okonetwork.org.uk", true },
  { "okotoksbeach.ca", true },
  { "oksafe-t.org", true },
  { "oktime.cz", true },
  { "oktoberfeststore.nl", true },
  { "oktomus.com", true },
  { "okukan.com.au", true },
  { "okusiassociates.com", true },
  { "olanderflorist.com", true },
  { "olasouris.com", true },
  { "olback.net", true },
  { "olcayanar.com", true },
  { "oldbrookinflatables.co.uk", true },
  { "oldbrookmarqueehire.co.uk", true },
  { "oldchaphome.nl", true },
  { "oldenglishsheepdog.com.br", true },
  { "oldking.net", true },
  { "oldnews.news", true },
  { "oldoakflorist.com", true },
  { "oldtimerreifen-moeller.de", true },
  { "olegon.ru", true },
  { "olegs.be", true },
  { "oleksii.name", true },
  { "oleodecopayba.com.br", true },
  { "olgiati.org", true },
  { "olgui.net", true },
  { "olgun.eu", true },
  { "olightstore.com", true },
  { "olightstore.ro", true },
  { "oliode.tk", true },
  { "oliveoil.bot", true },
  { "oliveoiltest.com", true },
  { "oliveoiltimes.com", true },
  { "oliveraiedelabastideblanche.fr", true },
  { "oliverclausen.com", true },
  { "oliverfaircliff.com", true },
  { "olivernaraki.com", true },
  { "oliverniebuhr.de", true },
  { "olivierberardphotographe.com", true },
  { "olivierlemoal.fr", true },
  { "olivierpieters.be", true },
  { "oliviervaillancourt.com", true },
  { "olivlabs.com", true },
  { "olizeite.ch", true },
  { "ollie.io", true },
  { "ollieowlsblog.com", true },
  { "ollies.cloud", true },
  { "ollies.cz", true },
  { "olliespage.com", true },
  { "olliespage.net", true },
  { "olliespage.uk", true },
  { "ollning.com", true },
  { "olltechjob.com", true },
  { "olmari.fi", true },
  { "olmsted.io", true },
  { "ols.io", true },
  { "olygazoo.com", true },
  { "olymp-arts.world", true },
  { "olympiads.ca", true },
  { "olympic-research.com", true },
  { "om1.com", true },
  { "omanko.porn", true },
  { "omarh.net", true },
  { "omdesign.cz", true },
  { "omegahosting.net", true },
  { "omegathermoproducts.nl", true },
  { "omertabeyond.com", true },
  { "omertabeyond.net", true },
  { "ometepeislandinfo.com", true },
  { "omeuanimal.com", true },
  { "omf.link", true },
  { "omfg.exposed", true },
  { "omgbouncycastlehire.co.uk", true },
  { "omi-news.fr", true },
  { "omifind.com", true },
  { "omise.co", true },
  { "omitech.co.uk", true },
  { "omniasig.ro", true },
  { "omniasl.com", true },
  { "omniatv.com", true },
  { "omnibot.tv", true },
  { "omnilab.tech", true },
  { "omnisafira.com", true },
  { "omniscimus.net", false },
  { "omnisiens.se", true },
  { "omnisky.dk", true },
  { "omnitrack.org", true },
  { "omniverse.ru", true },
  { "omorashi.org", true },
  { "omoteura.com", true },
  { "omranic.com", true },
  { "omronwellness.com", true },
  { "omsdieppe.fr", true },
  { "on-tech.co.uk", true },
  { "ona.io", true },
  { "onaboat.se", true },
  { "onahonavi.com", true },
  { "onarto.com", true },
  { "onazikgu.com", true },
  { "onceuponarainbow.co.uk", true },
  { "oncf.asso.fr", true },
  { "oncodedesign.com", true },
  { "ond-inc.com", true },
  { "ondcp.gov", true },
  { "ondrej.org", true },
  { "ondrejhoralek.cz", true },
  { "one---line.com", true },
  { "one-resource.com", true },
  { "one-s.co.jp", true },
  { "one-tab.com", true },
  { "one2edit.com", true },
  { "oneazcu.com", false },
  { "onebigcow.com", true },
  { "oneclic.ch", true },
  { "oneclickonejob.com", true },
  { "onedot.nl", true },
  { "onedottwelve.co.jp", true },
  { "onedottwelve.com", true },
  { "onedrive.com", true },
  { "onedrive.live.com", false },
  { "onee3.org", true },
  { "onefour.ga", false },
  { "oneidentity.me", true },
  { "onelawsuit.com", true },
  { "onemid.net", true },
  { "oneminute.io", false },
  { "onemoonmedia.de", true },
  { "onemusou.com", true },
  { "oneononeonone.de", true },
  { "oneononeonone.tv", true },
  { "onepointzero.com", true },
  { "onesports.cz", true },
  { "onestepfootcare.com", true },
  { "onestopcastles.co.uk", true },
  { "onetcenter.org", true },
  { "onetcodeconnector.org", true },
  { "onetech.it", true },
  { "onetime.info", true },
  { "onetonline.org", true },
  { "oneway.ga", true },
  { "onewaymail.com", true },
  { "oneweb.hu", true },
  { "onfarma.it", true },
  { "ongea.io", true },
  { "onhistory.co.uk", true },
  { "onhub1.com", true },
  { "oni.nl", true },
  { "onionplay.live", true },
  { "onionplay.org", true },
  { "onionscan.org", true },
  { "oniria.ch", true },
  { "onix.eu.com", true },
  { "onixcco.com.br", true },
  { "onlfait.ch", true },
  { "online-bouwmaterialen.nl", true },
  { "online-calculator.com", true },
  { "online-consulting-corp.com", true },
  { "online-consulting-corp.fr", true },
  { "online-eikaiwa-guide.com", true },
  { "online-health-insurance.com", true },
  { "online-lernprogramme.de", true },
  { "online-results.dk", true },
  { "online-stopwatch.com", true },
  { "online.marketing", true },
  { "online.net.gr", true },
  { "online.swedbank.se", true },
  { "online24.pt", true },
  { "onlinebizdirect.com", false },
  { "onlinecasino.vlaanderen", true },
  { "onlinecensorship.org", true },
  { "onlinecollegeessay.com", true },
  { "onlinefashion.it", true },
  { "onlineinfographic.com", true },
  { "onlinekmc.com", true },
  { "onlinelegalmarketing.com", true },
  { "onlinelegalmedia.com", true },
  { "onlinelighting.com.au", true },
  { "onlinemarketingtraining.co.uk", true },
  { "onlinepokerspelen.be", true },
  { "onlineporno.tv", true },
  { "onlinerollout.de", true },
  { "onlinestoreninjas.com", true },
  { "onlineth.com", false },
  { "onlineweblearning.com", true },
  { "onlinexl.nl", true },
  { "onlyesb.com", true },
  { "onlyesb.net", true },
  { "onlylebanon.net", true },
  { "onmaps.de", true },
  { "onmarketbookbuilds.com", true },
  { "onnee.ch", true },
  { "onoranze-funebri.biz", true },
  { "onpay.io", true },
  { "onpermit.net", true },
  { "onqproductions.com", true },
  { "onrr.gov", true },
  { "ons.ca", true },
  { "onsgenoegen-waz.nl", true },
  { "onshuistrust.co.za", true },
  { "onspring.com", true },
  { "ontdekhetzelf.nu", true },
  { "onthe.network", true },
  { "onthebriteside.com", true },
  { "onurer.net", true },
  { "onvey.io", true },
  { "onviga.de", true },
  { "onvirt.de", true },
  { "onvori.com", true },
  { "onvori.de", true },
  { "onvousment.fr", true },
  { "onysix.net", true },
  { "onyxfireinc.com", true },
  { "onyxgen.duckdns.org", true },
  { "onyxmoon.me", true },
  { "oodlessoftplay.co.uk", true },
  { "oogami.name", true },
  { "oogartsennet.nl", true },
  { "ooharttemplates.com", true },
  { "ooonja.de", true },
  { "oopsis.com", true },
  { "oosoo.org", true },
  { "ooyo.be", true },
  { "op11.co.uk", false },
  { "opalesurfcasting.net", true },
  { "oparl.org", true },
  { "opcenter.de", true },
  { "ope.ee", true },
  { "open-banking-access.uk", true },
  { "open-bs.com", true },
  { "open-bs.ru", true },
  { "open-desk.org", true },
  { "open-domotics.info", true },
  { "open-freax.fr", true },
  { "open-infrastructure.net", true },
  { "open-letters.de", true },
  { "open-mesh.org", true },
  { "open-sauce-recipes.co.uk", true },
  { "open-source.gr", true },
  { "open.gl", true },
  { "openacademies.com", true },
  { "openacte.ch", true },
  { "openas.org", true },
  { "openbeecloud.com", true },
  { "openblox.org", true },
  { "openbsd.id", true },
  { "opencad.io", true },
  { "opencircuit.nl", true },
  { "openclima.com", true },
  { "opencluster.at", true },
  { "opencrm.co.uk", true },
  { "opendataincubator.eu", true },
  { "opendecide.com", true },
  { "openfir.st", true },
  { "openfitapi-falke.azurewebsites.net", true },
  { "opengg.me", true },
  { "opengovpartnership.de", true },
  { "openings.ninja", true },
  { "openintelligence.uk", true },
  { "openiocdb.com", true },
  { "openitforum.pl", true },
  { "openkim.org", true },
  { "openkvk.nl", true },
  { "openmetals.com", true },
  { "openmirrors.cf", true },
  { "openmtbmap.org", true },
  { "opennippon.com", true },
  { "opennippon.ru", true },
  { "openpictures.ch", true },
  { "openquery.com.au", true },
  { "openrainbow.com", true },
  { "openrainbow.net", true },
  { "openrainbow.org", true },
  { "openrealestate.co", true },
  { "openresty.com", true },
  { "openreview.net", true },
  { "openruhr.de", true },
  { "openscreen.lu", true },
  { "opensource-cms.nl", true },
  { "opensource-training.de", true },
  { "openspa.webhop.info", true },
  { "openssl.org", true },
  { "openstem.com.au", true },
  { "openstreetmap.is", true },
  { "openstreetmap.lu", true },
  { "opentexon.com", true },
  { "opentrack.info", true },
  { "opentrash.org", true },
  { "opentuition.com", true },
  { "openverse.com", true },
  { "openwaveguide.de", true },
  { "openwifi.gr", true },
  { "openwireless.org", true },
  { "operad.fr", true },
  { "operationforever.com", true },
  { "opfin.com", true },
  { "opiates.ca", true },
  { "opic.gov", true },
  { "opioids.co.uk", true },
  { "opioids.gov", true },
  { "opium.io", true },
  { "oplop.appspot.com", true },
  { "opoleo.com", false },
  { "oportho.com.br", true },
  { "opp.ag", true },
  { "oppag.com.br", true },
  { "oppaiti.me", true },
  { "oppejoud.ee", true },
  { "opportunis.me", true },
  { "opposer.me", true },
  { "opq.pw", true },
  { "oprbox.com", true },
  { "oprechtgezegd.nl", true },
  { "oprueba.com", true },
  { "opryshok.com", true },
  { "opsmate.com", false },
  { "opsnotepad.com", true },
  { "opti-net.at", true },
  { "opticaltest.com", true },
  { "optiekzien.nl", true },
  { "optik-trosdorff.de", true },
  { "optimalsetup.com", true },
  { "optimisedlabs.com", true },
  { "optimist.bg", true },
  { "optimize-jpg.com", true },
  { "optimumwebdesigns.com", true },
  { "optimus.io", true },
  { "optimuscrime.net", true },
  { "optisure.de", true },
  { "optm.us", true },
  { "optmos.at", true },
  { "optometryscotland.org.uk", true },
  { "optoutday.de", true },
  { "opus-codium.fr", true },
  { "orang-utans.com", true },
  { "orangecomputers.com", true },
  { "orangefab.asia", true },
  { "orangefinanse.com.pl", true },
  { "orangejetpack.com", true },
  { "orangenbaum.at", true },
  { "oranges.tokyo", true },
  { "orangetravel.eu", true },
  { "orangutan-appeal.org.uk", true },
  { "orbu.net", true },
  { "orcahq.com", true },
  { "orcamoney.com", true },
  { "orchideenettoyage.com", true },
  { "orchidlive.com", true },
  { "orchidsforum.com", true },
  { "orchidspaper.com", true },
  { "orcsnet.com", true },
  { "orderessay.net", true },
  { "ordernow.at", true },
  { "orderswift.com", true },
  { "ordr.mobi", true },
  { "oreka.online", true },
  { "oreshinya.xyz", true },
  { "oreskylaw.com", true },
  { "oreto.de", true },
  { "orf-digitalsatkarte.at", false },
  { "orf-kartentausch.at", false },
  { "organica.co.za", true },
  { "organicae.com", true },
  { "organisatieteam.nl", true },
  { "organix.ma", true },
  { "orgasmium.com", true },
  { "orgatech-gmbh.de", true },
  { "orgsyn.in", true },
  { "orhideous.name", true },
  { "orians.eu", true },
  { "oribia.net", true },
  { "orientalart.nl", true },
  { "origami.to", true },
  { "origamika.com", true },
  { "originalniknihy.cz", true },
  { "originalsport.com.br", true },
  { "originpc.com", false },
  { "orimex-mebel.ru", true },
  { "orion-universe.com", true },
  { "orioncokolada.cz", true },
  { "oriongames.eu", true },
  { "orkestar-krizevci.hr", true },
  { "orkiv.com", true },
  { "orlandoprojects.com", true },
  { "orleika.io", true },
  { "orlives.de", false },
  { "ormer.nl", true },
  { "orovillelaw.com", true },
  { "orro.ro", true },
  { "orrs.de", true },
  { "ortho-graz.at", true },
  { "orthodontiste-geneve-docteur-rioux.com", true },
  { "orthotictransfers.com", true },
  { "ortlepp.eu", true },
  { "ortodonciaian.com", true },
  { "orui.com.br", true },
  { "orwell1984.today", true },
  { "oryva.com", true },
  { "orz.uno", true },
  { "os-chrome.ru", true },
  { "os-s.net", true },
  { "os-t.de", true },
  { "os24.cz", true },
  { "osacrypt.studio", true },
  { "osaka-fukushi.jp", true },
  { "osaka-jusan.jp", true },
  { "osaka-onakura.com", true },
  { "osakeannit.fi", true },
  { "osao.org", true },
  { "osbi.pl", true },
  { "osborneinn.com", true },
  { "osburn.com", true },
  { "oscamp.eu", true },
  { "oscarvk.ch", true },
  { "osepideasthatwork.org", true },
  { "osereso.tn", true },
  { "oses.mobi", true },
  { "oshayr.com", true },
  { "oshell.me", true },
  { "oshrc.gov", true },
  { "osielnava.com", true },
  { "oskrba.net", true },
  { "oskuro.net", true },
  { "osla.org", true },
  { "oslinux.net", true },
  { "osm.is", true },
  { "osmanlitorunu.com", true },
  { "osmosis.org", true },
  { "osmre.gov", true },
  { "ospree.me", true },
  { "osquery.io", true },
  { "ostan-collections.net", true },
  { "osterkraenzchen.de", true },
  { "ostimwebyazilim.com", true },
  { "ostr.io", true },
  { "ostrov8.com", true },
  { "osusume-houhou.com", true },
  { "oswalds.co.uk", true },
  { "oswaldsmillaudio.com", true },
  { "oswbouncycastles.co.uk", true },
  { "osworx.net", true },
  { "osx86spain.com", true },
  { "osxentwicklerforum.de", true },
  { "oszri.hu", true },
  { "otako.pl", true },
  { "otakubox.de", true },
  { "otakurepublic.com", true },
  { "otakurumi.de", true },
  { "otchecker.com", true },
  { "otellio.com", true },
  { "otellio.de", true },
  { "otellio.it", true },
  { "other98.com", true },
  { "otherkinforum.com", true },
  { "oticasaopaulo.com.br", true },
  { "oticasvisao.net.br", true },
  { "otmns.net", true },
  { "otorrino.pt", true },
  { "otoy.com", true },
  { "otoya.space", true },
  { "otpsmart.com.ua", true },
  { "otr.ie", true },
  { "otrm.de", true },
  { "otsfreestyle.jp", true },
  { "ottoproject.io", true },
  { "otus-magnum.com", true },
  { "otvaracie-hodiny.sk", true },
  { "otya.me", true },
  { "ouaibe.qc.ca", true },
  { "ouestsolutions.com", true },
  { "ouglor.com", true },
  { "ouimoove.com", true },
  { "oulunjujutsu.com", true },
  { "ouowo.gq", true },
  { "ourai.ws", true },
  { "ourcloud.at", true },
  { "ourevents.net", true },
  { "ourls.win", true },
  { "ourwedding.xyz", true },
  { "ourworldindata.org", true },
  { "outdoorfurniture.ie", true },
  { "outdoorimagingportal.com", true },
  { "outerlimitsdigital.com", true },
  { "outetc.com", true },
  { "outgress.com", true },
  { "outka.xyz", true },
  { "outlines.xyz", true },
  { "outlookonthedesktop.com", true },
  { "outpostinfo.com", true },
  { "outsideconnections.com", true },
  { "overalglas.nl", true },
  { "overclockers.ge", true },
  { "overdrive-usedcars.be", true },
  { "overkillshop.com", true },
  { "overseamusic.de", true },
  { "oversight.garden", true },
  { "oversight.gov", true },
  { "overstap.deals", true },
  { "overstappen.nl", true },
  { "overstemmen.nl", true },
  { "overstockpromote.com", true },
  { "overthecloud.it", true },
  { "overthinkingit.com", true },
  { "overtrolls.de", true },
  { "overture.london", true },
  { "overwall.org", true },
  { "ovirt.org", true },
  { "ovix.co", true },
  { "ovnrain.com", true },
  { "ovpn.to", true },
  { "ovvy.net", false },
  { "owapi.net", true },
  { "owennelson.co.uk", true },
  { "owennelson.me", true },
  { "owid.cloud", true },
  { "owl-hakkei.com", true },
  { "owl-square.com", true },
  { "owl-stat.ch", true },
  { "owl.net", true },
  { "owlishmedia.com", true },
  { "own3d.ch", true },
  { "ownc.at", true },
  { "ownmay.com", true },
  { "ownspec.com", true },
  { "oxanababy.com", true },
  { "oxborrow.ca", true },
  { "oxelie.com", true },
  { "oxygaming.com", true },
  { "oxytocin.org", true },
  { "oyosoft.fr", true },
  { "oyosoft.net", true },
  { "ozark.be", true },
  { "oznamovacipovinnost.cz", true },
  { "ozonitron.com", true },
  { "ozonitron.de", true },
  { "ozonitron.eu", true },
  { "ozonytron.com", true },
  { "ozonytron.de", true },
  { "ozonytron.eu", true },
  { "ozvolvo.org", true },
  { "p-fent.ch", true },
  { "p-s-b.com", true },
  { "p-t.io", true },
  { "p.ki", true },
  { "p1984.nl", false },
  { "p1ratrulezzz.me", true },
  { "p4chivtac.com", true },
  { "p5r.uk", true },
  { "pa-w.de", true },
  { "pa.search.yahoo.com", false },
  { "paarberatung-hn.de", true },
  { "paardenhulp.nl", true },
  { "paass.net", true },
  { "paazmaya.fi", true },
  { "pablo.im", true },
  { "pablo.scot", true },
  { "pablo.sh", true },
  { "pabloarteaga.co.uk", true },
  { "pabloarteaga.com", true },
  { "pabloarteaga.com.es", true },
  { "pabloarteaga.es", true },
  { "pabloarteaga.eu", true },
  { "pabloarteaga.info", true },
  { "pabloarteaga.me", true },
  { "pabloarteaga.name", true },
  { "pabloarteaga.net", true },
  { "pabloarteaga.nom.es", true },
  { "pabloarteaga.org", true },
  { "pabloarteaga.science", true },
  { "pabloarteaga.tech", true },
  { "pabloarteaga.uk", true },
  { "pabloarteaga.xyz", true },
  { "pabuzo.vn", true },
  { "pacatlantic.com", true },
  { "pacco.com.br", true },
  { "pace.car", true },
  { "paceda.nl", true },
  { "pacelink.de", true },
  { "pachaiyappas.org", true },
  { "pacificpalisadeselectrical.com", true },
  { "pacifictilkin-occasions.be", true },
  { "pacifique-web.nc", true },
  { "pack-haus.de", true },
  { "packagefactory.dk", true },
  { "packagingproject.management", true },
  { "packagist.org", false },
  { "packair.com", true },
  { "packaware.com", true },
  { "packer.io", true },
  { "packetdigital.com", true },
  { "packetlinux.com", true },
  { "pactf.com", true },
  { "padam-group.com", true },
  { "padberx-marketing-consultants.de", true },
  { "paddy.rocks", true },
  { "padeoe.com", true },
  { "padianda.com", true },
  { "padovani.de", true },
  { "padpilot.co", true },
  { "padrepio.in", true },
  { "padron.com.es", true },
  { "paducaheic.com", true },
  { "padzilla.com", true },
  { "paedlink.ca", true },
  { "paf-events.ch", true },
  { "pagalworld.co", true },
  { "pagalworld.com", true },
  { "pagalworld.info", true },
  { "pagalworld.la", true },
  { "pagalworld.me", true },
  { "page-builders.com", true },
  { "pageantsnews.com", false },
  { "pagedesignhub.com", true },
  { "pagedesignpro.com", true },
  { "pagedesignshop.com", true },
  { "pagedesignweb.com", true },
  { "pagefulloflies.io", true },
  { "pagewizz.com", true },
  { "pagiamtzis.com", true },
  { "pagina.com.mx", true },
  { "paginapolitica.ro", true },
  { "pagure.io", true },
  { "pagure.org", true },
  { "pahae.de", true },
  { "pahealthbilling.com", true },
  { "pahlawanpulsa.com", false },
  { "pahnid.com", true },
  { "paichai.space", false },
  { "paincareehr.com", true },
  { "paindata.dk", true },
  { "painefamily.co.uk", true },
  { "painlessproperty.co.uk", true },
  { "paint-it.pink", true },
  { "paintball-shop.sk", true },
  { "paintcolorsbysue.com", true },
  { "paintingindurban.co.za", true },
  { "paipuman.jp", true },
  { "paizinhovirgula.com", true },
  { "pajadam.me", true },
  { "pajuvuo.fi", true },
  { "paketkreditsuzuki.com", true },
  { "paketo.cz", true },
  { "paketwatch.de", true },
  { "pakho.xyz", true },
  { "pakistani.dating", true },
  { "pakitow.fr", true },
  { "pakke.de", true },
  { "paktolos.net", true },
  { "palabr.as", true },
  { "palariviera.com", true },
  { "palatin.at", true },
  { "palava.tv", true },
  { "palavatv.com", true },
  { "palawan.jp", false },
  { "paleosquawk.com", true },
  { "paleotraining.com", true },
  { "palladium46.com", true },
  { "pallas.in", true },
  { "palletflow.com", true },
  { "palli.ch", true },
  { "palmavile.us", true },
  { "palmaville.com", true },
  { "palmen-apotheke.de", true },
  { "pamaniqu.nl", true },
  { "pamatv.hk", true },
  { "pamplona.tv", true },
  { "pamsorel.co.za", true },
  { "pan.digital", true },
  { "panascais.net", true },
  { "panaxis.biz", true },
  { "panaxis.ch", true },
  { "panaxis.li", true },
  { "panda-community.com", true },
  { "panda.tf", true },
  { "pandemicflu.gov", true },
  { "pandoraflora.com", true },
  { "pandymic.com", true },
  { "paneldewelopera.pl", true },
  { "paneu.de", true },
  { "panier-legumes.bio", true },
  { "panlex.org", true },
  { "panmetro.com", true },
  { "panoma.de", true },
  { "panomizer.de", true },
  { "panopy.co", true },
  { "panopy.me", true },
  { "panoti.com", false },
  { "panoxadrez.com.br", true },
  { "panpa.ca", true },
  { "panpsychism.com", true },
  { "panpsychist.com", true },
  { "pantallasled.com.mx", true },
  { "pantallasled.mx", true },
  { "pantallasyescenarios.com", true },
  { "pantheoncrafters.com", true },
  { "panthur.com.au", false },
  { "pantographe.info", true },
  { "pantou.org", false },
  { "panzer72.ru", true },
  { "paolo565.org", true },
  { "pap.la", false },
  { "papa-webzeit.de", true },
  { "papadopoulos.me", true },
  { "papakatsu-life.com", true },
  { "papapa-members.club", true },
  { "papayame.com", true },
  { "papayapythons.com", true },
  { "paper-driver.biz", true },
  { "paper-republic.org", true },
  { "paperhaven.com.au", true },
  { "paperhoney.by", true },
  { "papertracker.net", true },
  { "paperturn.com", true },
  { "paperwallets.io", true },
  { "paperwork.co.za", true },
  { "paperwritinghelp.net", true },
  { "papierniczy.eu", true },
  { "papillon-events.be", true },
  { "papotage.net", true },
  { "paprikas.fr", true },
  { "paraborsa.net", true },
  { "parachute70.com", true },
  { "paradais-sphynx.com", true },
  { "paradependentesquimicos.com.br", true },
  { "paradigi.com.br", true },
  { "paradise-engineer.com", true },
  { "paradise-engineering.com", true },
  { "paradiselost.com", true },
  { "paradoxdesigns.org", true },
  { "paragonie.com", false },
  { "paragreen.net", true },
  { "parakranov.ru", true },
  { "paranoidmode.com", true },
  { "paranoidpenguin.net", true },
  { "paranoxer.hu", true },
  { "parasitologyclub.org", true },
  { "paratlan.hu", true },
  { "paratxt.org", true },
  { "parcelbroker.co.uk", true },
  { "parchcraftaustralia.com", true },
  { "parckwart.de", true },
  { "parcon.it", true },
  { "parentheseardenne.be", true },
  { "parentinterview.com", true },
  { "parentsintouch.co.uk", true },
  { "pariga.co.uk", true },
  { "paris-store.com", true },
  { "parisbloom.com", true },
  { "parisderriere.fr", true },
  { "parisescortgirls.com", true },
  { "parisfranceparking.com", true },
  { "parisfranceparking.de", true },
  { "parisfranceparking.fr", true },
  { "parisfranceparking.nl", true },
  { "parisprovincedemenagements.fr", true },
  { "parkeren.in", true },
  { "parkinginparis.fr", true },
  { "parkingpoint.co.uk", true },
  { "parkrunstats.servehttp.com", true },
  { "parksland.net", true },
  { "parkviewmotorcompany.com", true },
  { "parkwayminyan.org", true },
  { "parlamento.gub.uy", true },
  { "parleamonluc.fr", true },
  { "parleu2016.nl", true },
  { "parmels.com.br", true },
  { "parnassys.net", true },
  { "parodesigns.com", true },
  { "parolu.io", true },
  { "parquettista.milano.it", true },
  { "parquettista.roma.it", true },
  { "parry.org", true },
  { "parsemail.org", true },
  { "parser.nu", true },
  { "parsonsfamilyhomes.com", true },
  { "partage.ovh", true },
  { "parteaga.com", true },
  { "parteaga.net", true },
  { "partecipa.tn.it", true },
  { "parthkolekar.me", true },
  { "participatorybudgeting.de", true },
  { "participatorybudgeting.info", true },
  { "partijtjevoordevrijheid.nl", false },
  { "partiwatch.com", true },
  { "partner.sh", true },
  { "partnerbeam.com", true },
  { "partnersfcu.org", true },
  { "partou.de", true },
  { "partridge.tech", true },
  { "parts4phone.com", true },
  { "partsestore.com", true },
  { "partusedtyres.net", true },
  { "party-and-play.co.uk", true },
  { "party-calendar.net", true },
  { "party-kneipe-bar.com", true },
  { "party-time-inflatables-durham.co.uk", true },
  { "partybounceplay.co.uk", true },
  { "partycentrumdebinnenhof.nl", true },
  { "partycentrumopenhuis.nl", true },
  { "partyhireisleofwight.co.uk", true },
  { "partyhireliverpool.co.uk", true },
  { "partypearl.de", true },
  { "partyrocksbounce.co.uk", true },
  { "partyspaces.co.uk", true },
  { "partytime-uk.co.uk", true },
  { "partytimeltd.ie", true },
  { "partytownireland.co.uk", true },
  { "partytownmarquees.co.uk", true },
  { "partyvan.io", true },
  { "partyzone.ie", true },
  { "pasadenapooch.org", true },
  { "pasadenasandwich.co", true },
  { "pasadenasandwichcompany.com", true },
  { "pascal-bourhis.com", true },
  { "pascal-bourhis.net", true },
  { "pascal-kannchen.de", true },
  { "pascal-wittmann.de", true },
  { "pascalleguern.com", true },
  { "pascalmathis.com", true },
  { "pascalmathis.me", true },
  { "pascalmathis.net", true },
  { "pascalspoerri.ch", false },
  { "pascualinmuebles.com", true },
  { "pasearch.nl", true },
  { "pashminacachemire.com", true },
  { "pasportaservo.org", true },
  { "pass.org.my", true },
  { "passcod.name", true },
  { "passendonderwijs.nl", true },
  { "passfilesafe.com", true },
  { "passfoto-deinfoto.ch", true },
  { "passieposse.nl", true },
  { "passionatefoodie.co.uk", true },
  { "passionatehorsemanship.com", true },
  { "passionpictures.eu", true },
  { "passions-art.com", true },
  { "passphrase.today", true },
  { "passport.yandex.by", true },
  { "passport.yandex.com", true },
  { "passport.yandex.com.tr", true },
  { "passport.yandex.kz", true },
  { "passport.yandex.ru", true },
  { "passport.yandex.ua", true },
  { "passports.govt.nz", true },
  { "passrhce.com", true },
  { "passrhcsa.com", true },
  { "passthepopcorn.me", true },
  { "passvanille-reservation.fr", true },
  { "passwd.one", true },
  { "passwd.org", true },
  { "password-checker.de", true },
  { "password.codes", true },
  { "password.consulting", true },
  { "password.work", true },
  { "passwordhashing.com", true },
  { "passwordkeeperbooks.com", true },
  { "passwords.google.com", false },
  { "passwordscon.com", true },
  { "passwordscon.org", true },
  { "passwordsecurity.info", true },
  { "passworks.io", true },
  { "pasta-factory.co.il", true },
  { "pastaenprosecco.nl", true },
  { "paste.fedoraproject.org", true },
  { "paste.gg", true },
  { "paste.to", true },
  { "pastebin.co.za", true },
  { "pasteblin.com", true },
  { "pasternok.org", true },
  { "pasticcerialorenzetti.com", true },
  { "pastoral-verbund.de", true },
  { "pastorbelgagroenendael.com.br", true },
  { "pastorcanadense.com.br", true },
  { "pastordocaucaso.com.br", true },
  { "pastormaremanoabruzes.com.br", true },
  { "pastorsuico.com.br", true },
  { "pasztor.at", true },
  { "patadanabouca.pw", true },
  { "patatbesteld.nl", true },
  { "pataterosviajeros.com", true },
  { "patbatesremodeling.com", false },
  { "patdorf.com", true },
  { "patechmasters.com", true },
  { "patentados.com", true },
  { "patentfamily.de", true },
  { "paterno-gaming.com", true },
  { "pathagoras.com", true },
  { "pathwaystoresilience.org", true },
  { "pathwaytofaith.com", true },
  { "patika-biztositas.hu", true },
  { "patikabiztositas.hu", true },
  { "patouille-et-gribouille.fr", true },
  { "patric-lenhart.de", true },
  { "patrick-othmer.de", true },
  { "patrick-robrecht.de", true },
  { "patrickaudley.ca", true },
  { "patrickaudley.com", true },
  { "patrickbrosi.de", true },
  { "patricklynch.xyz", true },
  { "patrickmcnamara.xyz", true },
  { "patrickschneider.me", true },
  { "patrikgarten.de", true },
  { "patriksima.cz", true },
  { "patriksimek.cz", true },
  { "patriotstationatchalfont.com", true },
  { "patrz.eu", true },
  { "patsyforyou.ch", true },
  { "patsytoforyou.ch", true },
  { "pattonfanatic.com", true },
  { "pattuka.com", true },
  { "pattyliao.com", true },
  { "paudley.ca", true },
  { "paudley.com", true },
  { "paudley.org", true },
  { "paul-bronski.de", true },
  { "paul.reviews", true },
  { "pauladamsmith.com", true },
  { "paulbakaus.com", true },
  { "paulbdelaat.nl", true },
  { "paulbramhall.uk", true },
  { "paulewen.ca", true },
  { "paulinewesterman.nl", true },
  { "paulmeier.com", false },
  { "paulomonteiro.pt", true },
  { "paulov.com", true },
  { "paulov.info", true },
  { "paulov.ru", true },
  { "paulpetersen.dk", true },
  { "paulrobertlloyd.com", true },
  { "paulrotter.de", true },
  { "paulschreiber.com", true },
  { "paulscustomauto.com", true },
  { "paulswartz.net", true },
  { "paultibbetts.uk", false },
  { "paulus-foto.pl", true },
  { "paulward.net", true },
  { "paulwatabe.com", true },
  { "paulwendelboe.com", true },
  { "pauspam.net", true },
  { "pautadiaria.com", true },
  { "pavando.com", true },
  { "pavelrebrov.com", true },
  { "paw.cloud", true },
  { "paw.pt", true },
  { "pawel-international.com", true },
  { "pawelnazaruk.com", true },
  { "pawsomebox.co.uk", true },
  { "pawsr.us", true },
  { "pawsru.org", true },
  { "paxerahealth.com", true },
  { "pay.gov", true },
  { "pay8522.com", true },
  { "payboy.biz", true },
  { "payboy.rocks", true },
  { "paybro.eu", true },
  { "payfazz.com", true },
  { "paykings.com", true },
  { "paylike.io", true },
  { "payloc.io", true },
  { "payme.uz", true },
  { "payment-network.com", true },
  { "paymentaccuracy.gov", true },
  { "payments.google.com", true },
  { "paymerang.com", true },
  { "paymill.com", true },
  { "paymill.de", true },
  { "payoff.com", true },
  { "paypal.com", false },
  { "paypaq.com", true },
  { "paypro.nl", false },
  { "payroll.xero.com", false },
  { "payrollhive.com", true },
  { "paysera.com", true },
  { "payslipview.com", true },
  { "payssaintgilles.fr", true },
  { "paystack.com", true },
  { "paytm.in", true },
  { "payupay.ru", true },
  { "payzang.com", true },
  { "payzwin.com", true },
  { "pb-design.ch", true },
  { "pb.ax", true },
  { "pback.se", true },
  { "pbosquet.com", true },
  { "pbourhis.me", true },
  { "pbr.so", true },
  { "pbraunschdash.com", true },
  { "pbreen.co.uk", true },
  { "pbrumby.com", true },
  { "pbz.im", true },
  { "pc-rescue.me", true },
  { "pc-tablet.com", true },
  { "pcbricole.fr", true },
  { "pccentral.nl", true },
  { "pcdocjim.com", true },
  { "pcel.com", true },
  { "pcf92.fr", true },
  { "pcfeuerwehr.de", true },
  { "pcforum.sk", true },
  { "pcgamingfreaks.at", true },
  { "pchelpforum.net", true },
  { "pci-dss.hu", true },
  { "pciconcursos.com.br", true },
  { "pcidss.hu", true },
  { "pcipac.com", true },
  { "pclaeuft.de", true },
  { "pclob.gov", true },
  { "pcloud.com", true },
  { "pcmkrembangan.or.id", true },
  { "pcmr.info", true },
  { "pcnotdienst-oldenburg-rastede.de", true },
  { "pcrypt.org", true },
  { "pcsetting.com", true },
  { "pctonic.net", true },
  { "pctrouble.net", true },
  { "pdfconvert.me", true },
  { "pdfmint.com", true },
  { "pdfresizer.com", true },
  { "pdomo.me", true },
  { "pdox.net", true },
  { "pdragt.com", true },
  { "pdthings.net", true },
  { "pdxtowncar.net", true },
  { "pe.search.yahoo.com", false },
  { "peaceispossible.cc", true },
  { "peaceloveandlabor.com", true },
  { "peak-careers.com", true },
  { "peaksloth.com", true },
  { "peanutbase.org", true },
  { "peanutproductionsnyc.com", true },
  { "pear2pear.de", true },
  { "pearbloom.com", true },
  { "pearlcohen.com", true },
  { "pearlsonly.com", true },
  { "peaudorange.net", true },
  { "pebbles.net.in", true },
  { "pecker-johnson.com", true },
  { "peddy.dyndns.org", true },
  { "pedicurean.nl", true },
  { "pedicureduiven.nl", true },
  { "pedidamanosevilla.com", true },
  { "pedikura-vitu.cz", true },
  { "pedimoda.com.br", true },
  { "pedro.com.es", true },
  { "pedrosaurus.com", true },
  { "pedrosluiter.nl", true },
  { "pedroventura.com", false },
  { "peeekaaabooo.com", true },
  { "peekier.com", true },
  { "peen.ch", true },
  { "peep.gq", true },
  { "peercraft.at", true },
  { "peercraft.be", true },
  { "peercraft.biz", true },
  { "peercraft.ch", true },
  { "peercraft.cn", true },
  { "peercraft.co.uk", true },
  { "peercraft.com", true },
  { "peercraft.de", true },
  { "peercraft.dk", true },
  { "peercraft.es", true },
  { "peercraft.eu", true },
  { "peercraft.fr", true },
  { "peercraft.info", true },
  { "peercraft.it", true },
  { "peercraft.net", true },
  { "peercraft.nl", true },
  { "peercraft.org", true },
  { "peercraft.pl", true },
  { "peercraft.pt", true },
  { "peercraft.se", true },
  { "peercraft.us", true },
  { "peerigon.com", true },
  { "peername.com", true },
  { "peernode.net", true },
  { "peervpn.net", true },
  { "peerweb.com", true },
  { "peetah.com", true },
  { "peeters.io", true },
  { "peg.nu", true },
  { "pegas-studio.net", true },
  { "pehapkari.cz", true },
  { "peifi.de", false },
  { "peinard.net", true },
  { "peippo.at", true },
  { "pekkapleppanen.fi", true },
  { "pekoe.se", true },
  { "pelanucto.cz", true },
  { "pelican.ie", true },
  { "pelletizermill.com", true },
  { "pelletsprice.com", true },
  { "pelopogrund.com", true },
  { "pelopoplot.com", true },
  { "pelotonimports.com", true },
  { "penaugustin.com", true },
  { "pencepay.com", true },
  { "pencillab.cn", true },
  { "pendriveapps.com", true },
  { "penetrationstest.se", true },
  { "penfold.fr", true },
  { "pengi.me", true },
  { "pengui.uk", true },
  { "penguindrum.moe", true },
  { "penguinprotocols.com", true },
  { "penispumpen.se", true },
  { "pennergold.net", true },
  { "pennyparkerpaper.com", true },
  { "penrithapartments.com.au", true },
  { "pens.com", true },
  { "pensacolawinterfest.org", true },
  { "pensador.com", true },
  { "pensador.info", true },
  { "penser-electronique.com", true },
  { "pensioenfonds-ey.nl", true },
  { "pension-veldzigt.nl", true },
  { "pensionpilot.ca", true },
  { "pensiunealido.ro", true },
  { "penslabyrinth.com", true },
  { "pentest.blog", true },
  { "pentest.nl", true },
  { "pentesterlab.com", true },
  { "penticton.photography", true },
  { "pentofun.ch", true },
  { "penz.media", true },
  { "peoplelikemeapp.com", true },
  { "peoplesbankal.com", true },
  { "peoplesguardian.org", true },
  { "pepemodelismo.com.br", true },
  { "peplog.nl", true },
  { "pepwaterproofing.com", true },
  { "pera.gs", true },
  { "peraparker.cz", true },
  { "percolate.com", true },
  { "percraft.com", true },
  { "percy.io", true },
  { "perd.re", true },
  { "perecraft.com", true },
  { "perezdecastro.org", true },
  { "perfect.in.th", true },
  { "perfectbalance.tech", true },
  { "perfectcloud.org", true },
  { "perfectoparty.co.uk", true },
  { "perfectsnap.co.uk", true },
  { "perfektesgewicht.com", true },
  { "perfektesgewicht.de", true },
  { "performancehealth.com", true },
  { "performancesantafe.org", true },
  { "performaride.com.au", true },
  { "perfumeaz.com", true },
  { "perfumes.com.br", true },
  { "periodismoactual.com", true },
  { "periscope.tv", true },
  { "perishablepress.com", true },
  { "perm-avia.ru", true },
  { "perm-jur.ch", true },
  { "perm-juridique.ch", true },
  { "perm4.com", true },
  { "permajackofstlouis.com", true },
  { "permanence-juridique.com", true },
  { "permanencejuridique-ge.ch", true },
  { "permanencejuridique.com", true },
  { "permeance108.com", true },
  { "permiscoderoute.fr", true },
  { "permistheorique.be", true },
  { "permistheoriqueenligne.be", true },
  { "perniciousgames.com", true },
  { "perot.me", true },
  { "perpetualemotion.com", true },
  { "perrau.lt", true },
  { "perroquet-passion.ch", true },
  { "persephone.gr", true },
  { "personal-genome.com", true },
  { "personcar.com.br", true },
  { "personnedisparue.fr", true },
  { "perspectivum.com", true },
  { "perspektivwechsel-coaching.de", true },
  { "persson.me", true },
  { "perthtrains.net", true },
  { "perucasestoril.com.br", true },
  { "pervacio.hu", true },
  { "perzeidi.hr", true },
  { "pescadorcomunicacao.com", true },
  { "pescadorcomunicacao.com.br", true },
  { "pescco.com.br", true },
  { "pestici.de", true },
  { "pestkill.info", true },
  { "pet-hotel-mura.net", true },
  { "pet-life.top", true },
  { "petabits.de", true },
  { "petangen.se", true },
  { "petcarvers.com", true },
  { "petdesign.pet", true },
  { "petelew.is", true },
  { "peter.org.ua", true },
  { "peterandjoelle.co.uk", true },
  { "peterboers.info", true },
  { "peterborgapps.com", true },
  { "peterbruceharvey.com", true },
  { "peterdavehello.org", true },
  { "peterfiorella.com", true },
  { "peterfolta.net", true },
  { "peterhuetz.at", true },
  { "peterhuetz.com", true },
  { "peterjohnson.io", true },
  { "peterlew.is", true },
  { "petermazur.com", true },
  { "peters.consulting", true },
  { "petersontoscano.com", true },
  { "petfa.ga", true },
  { "petit-archer.com", true },
  { "petite-maison.ch", true },
  { "petitsfrenchies.com", true },
  { "petja.me", false },
  { "petko.me", true },
  { "petlife.vet", true },
  { "petmall.bg", true },
  { "petofiprogram.hu", true },
  { "petplus.com", true },
  { "petpost.co.nz", false },
  { "petpower.eu", true },
  { "petrachuk.ru", true },
  { "petrasestakova.cz", true },
  { "petravdbos.nl", true },
  { "petroscand.eu", true },
  { "petrpikora.com", true },
  { "petrucciresidential.com", true },
  { "petruzz.net", true },
  { "petschnighof.at", true },
  { "pettitcoat.com", true },
  { "petwall.info", true },
  { "pew.ninja", true },
  { "pex.digital", true },
  { "peyote.com", true },
  { "pf.dk", true },
  { "pfa.or.jp", true },
  { "pfadfinder-aurich.de", true },
  { "pfadfinder-grossauheim.de", true },
  { "pfarchimedes-pensioen123.nl", true },
  { "pfcafeen.dk", true },
  { "pfd-nz.com", false },
  { "pfeuffer-elektro.de", true },
  { "pfft.net", true },
  { "pfk.org.pl", true },
  { "pflan.dk", true },
  { "pflanzenshop-emsland.de", true },
  { "pflegesalon-siebke.de", true },
  { "pfmeasure.com", true },
  { "pfo.io", true },
  { "pfotentour-berlin.de", true },
  { "pfudor.tk", true },
  { "pg-forum.de", true },
  { "pg-mana.net", true },
  { "pgmann.cf", true },
  { "pgnetwork.net", true },
  { "pgp.guru", true },
  { "pgp.network", true },
  { "pgpmail.cc", true },
  { "ph-blog.de", true },
  { "ph.search.yahoo.com", false },
  { "ph3r3tz.net", true },
  { "phantasie.cc", true },
  { "phantastikon.de", true },
  { "pharma-display.com", true },
  { "pharmaabsoluta.com.br", true },
  { "pharmaboard.de", true },
  { "pharmacieplusfm.ch", true },
  { "pharmafoto.ch", true },
  { "pharmaphoto.ch", true },
  { "pharmapolitics.com", true },
  { "pharmica.co.uk", true },
  { "pharmica.uk", true },
  { "pharynks.com", true },
  { "pharynx.nl", true },
  { "phasersec.com", false },
  { "phasme-2016.com", true },
  { "phaux.uno", true },
  { "phcimages.com", true },
  { "phcorner.net", true },
  { "phdhub.it", true },
  { "phelx.de", true },
  { "phenixairsoft.com", true },
  { "phenomeno-porto.com", true },
  { "phenomeno.nl", true },
  { "phenomenoporto.com", true },
  { "phenomenoporto.nl", true },
  { "phget.com", true },
  { "phi-works.com", true },
  { "phialo.de", true },
  { "phil-phillies.com", true },
  { "philadelphia.com.mx", true },
  { "philadelphiadancefoundation.org", true },
  { "phileas-psychiatrie.be", true },
  { "philia-sa.com", true },
  { "philipdb.com", true },
  { "philipkohn.com", true },
  { "philipp-trulson.de", true },
  { "philipp-winkler.de", true },
  { "philipp1994.de", true },
  { "philippbirkholz.com", true },
  { "philippbirkholz.de", true },
  { "philippe-mignotte.fr", true },
  { "philippebonnard.fr", true },
  { "philipperoose.be", true },
  { "philippheenen.de", true },
  { "philippinedroneassociation.org", true },
  { "phillipgoldfarb.com", true },
  { "philna.sh", true },
  { "philosoftware.com.br", true },
  { "philosopherswool.com", true },
  { "philosophyguides.org", true },
  { "philphonic.de", true },
  { "philslab.ninja", true },
  { "philsown.de", true },
  { "philsturgeon.uk", true },
  { "philux.ch", true },
  { "phippsreporting.com", true },
  { "phishing-studie.org", true },
  { "phishing.rs", true },
  { "phishingusertraining.com", true },
  { "phligence.com", true },
  { "phoenixlogan.com", true },
  { "phone-service-center.de", true },
  { "phormance.com", true },
  { "phosagro.ru", false },
  { "phosphene.io", true },
  { "photek.fm", true },
  { "photistic.org", true },
  { "photo-livesearch.com", true },
  { "photo-paysage.com", true },
  { "photo.org.il", true },
  { "photoancestry.com", true },
  { "photoartelle.com", true },
  { "photodeal.fr", true },
  { "photographe-reims.com", true },
  { "photographersdaydream.com", true },
  { "photolium.net", true },
  { "photomodelcasting.com", true },
  { "photon.sh", true },
  { "phototravel.uk", true },
  { "phototrio.com", true },
  { "phoxmeh.com", true },
  { "php-developer.org", true },
  { "php-tuning.de", true },
  { "phparcade.com", true },
  { "phpartners.org", true },
  { "phpbbchinese.com", true },
  { "phpdistribution.com", true },
  { "phpdorset.co.uk", true },
  { "phpinfo.in.th", true },
  { "phpkari.cz", true },
  { "phpliteadmin.org", true },
  { "phpmyadmin.net", true },
  { "phpprime.com", true },
  { "phpsecure.info", true },
  { "phpunit.de", true },
  { "phra.gs", true },
  { "phrive.space", true },
  { "phryanjr.com", false },
  { "phryneas.de", true },
  { "phuket-idc.com", true },
  { "phuket-idc.de", true },
  { "phunehehe.net", true },
  { "phurl.de", true },
  { "phurl.io", true },
  { "phus.lu", true },
  { "physicalism.com", true },
  { "physicalist.com", true },
  { "physiotherapie-seiwald.de", true },
  { "physiovesenaz.ch", true },
  { "pi-control.de", true },
  { "pi-dash.com", true },
  { "pi-net.dedyn.io", true },
  { "pi-supply.com", true },
  { "pianetaottica.com", true },
  { "pianetaottica.it", true },
  { "pianetatatuaggi.it", true },
  { "pianyigou.com", true },
  { "piasto.com.cy", true },
  { "piatabrasil.com.br", true },
  { "piatanoua.md", true },
  { "pic.gov", true },
  { "pic.sr", true },
  { "pic2map.com", true },
  { "piccirello.com", true },
  { "piccolo-parties.co.uk", true },
  { "pickabrain.fr", true },
  { "pickelhaubes.com", true },
  { "pickersurvey.org", true },
  { "pickme.nl", false },
  { "pickormix.co.uk", true },
  { "picksin.club", true },
  { "piclect.com", true },
  { "picoauto.com", true },
  { "picone.com.au", true },
  { "piconepress.com", true },
  { "picotech.com", true },
  { "picotronic.de", true },
  { "picshare.nz", true },
  { "picster.at", true },
  { "picsto.re", true },
  { "pictorial.com.sg", true },
  { "pictr.nl", true },
  { "picture.team", true },
  { "picturingjordan.com", true },
  { "pidginhost.com", true },
  { "pidjipi.com", true },
  { "pieces-or.com", true },
  { "piedfeed.com", true },
  { "pieinsurance.com", true },
  { "piekacz.eu.org", true },
  { "piekacz.net", true },
  { "piekacz.tel", true },
  { "pieland.eu", true },
  { "pieldenaranja.com", true },
  { "piem.org", true },
  { "pieperhome.de", true },
  { "pieq.eu", true },
  { "pieq.eu.org", true },
  { "pier28.com", true },
  { "piercing-store.com", true },
  { "piercraft.com", true },
  { "pierre-denoblens.net", true },
  { "pierre-schmitz.com", true },
  { "pierrefv.com", true },
  { "pierreprinetti.com", true },
  { "pietechsf.com", true },
  { "pieterbos.nl", true },
  { "pieterhordijk.com", true },
  { "pietermaene.be", false },
  { "pietz.uk", true },
  { "pigritia.de", true },
  { "piils.fr", true },
  { "pijuice.com", true },
  { "pik.bzh", true },
  { "pikeitservices.com.au", true },
  { "pikimusic.moe", true },
  { "pilani.ch", true },
  { "pileofgarbage.net", true },
  { "piliszek.net", true },
  { "pill.id", true },
  { "pilot.co", true },
  { "pilotandy.com", true },
  { "pilotgrowth.com", true },
  { "pilsoncontracting.com", true },
  { "pimhaarsma.nl", true },
  { "pimhaarsmamedia.nl", true },
  { "pimpmypaper.com", true },
  { "pimpmyperf.fr", true },
  { "pinceaux.org", true },
  { "pincha.com.tw", false },
  { "pincodeit.com", true },
  { "pindanutjes.be", false },
  { "pineapplesapp.com", true },
  { "pinemountainnursery.com.au", true },
  { "pinemountbaptistchurch.org", true },
  { "pinesandneedles.com", true },
  { "pingworks.com", true },
  { "pingworks.de", true },
  { "pingworks.eu", true },
  { "pingworks.net", true },
  { "pinhadigital.com", true },
  { "pinimg.com", true },
  { "pinkapple.com", true },
  { "pinkbike.com", true },
  { "pinkbikecycle.com", true },
  { "pinkcasino.co.uk", true },
  { "pinkladyapples.co.uk", true },
  { "pinklecfest.org", true },
  { "pinklittlenotebook.com", true },
  { "pinkyf.com", true },
  { "pinnaclelife.co.nz", true },
  { "pinnaclelife.nz", true },
  { "pinnacles.com", true },
  { "pinner.io", true },
  { "pinpayments.com", true },
  { "pinpointengineer.co.uk", true },
  { "pinscher.com.br", true },
  { "pinskupakki.fi", true },
  { "pinterest.at", true },
  { "pinterest.co.uk", true },
  { "pinterest.com", true },
  { "pinterest.de", true },
  { "pinterest.engineering", true },
  { "pinterest.ie", true },
  { "pinterest.info", true },
  { "pinterest.jp", true },
  { "pintoselectrician.co.za", true },
  { "pioneer-car.eu", true },
  { "pioneer-rus.ru", true },
  { "piranil.com", true },
  { "pirate.trade", true },
  { "piratebayproxy.tf", true },
  { "piraten-basel.ch", true },
  { "piraten-bv-nord.de", true },
  { "pirateproxy.cam", true },
  { "pirateproxy.cat", true },
  { "pirateproxy.cc", true },
  { "pirateproxy.ist", true },
  { "pirateproxy.la", true },
  { "pirateproxy.one", true },
  { "pirateproxy.pl", true },
  { "pirateproxy.pw", true },
  { "pirateproxy.red", true },
  { "pirateproxy.sh", true },
  { "pirateproxy.tf", true },
  { "pirateproxy.tv", true },
  { "piratesforums.co", true },
  { "pircher.co.uk", true },
  { "pires.ovh", true },
  { "pirganj24.com", true },
  { "pirman.es", true },
  { "piruchita.com", true },
  { "pirxpilot.me", true },
  { "piseach.be", true },
  { "piskenfuerwehr.de", true },
  { "pissblau.com", true },
  { "pissflaps.co.uk", true },
  { "pisupp.ly", true },
  { "pitchpinecapital.com", true },
  { "pitfire.io", true },
  { "pitot-rs.org", true },
  { "pitsstop.nu", true },
  { "pittmantraffic.co.uk", true },
  { "pivotaltracker.com", true },
  { "pivotanimation.org", true },
  { "pix-geeks.com", true },
  { "pix5.de", true },
  { "pixabay.com", true },
  { "pixel.facebook.com", false },
  { "pixel.google.com", true },
  { "pixelbash.de", true },
  { "pixelcubed.com", true },
  { "pixelesque.uk", true },
  { "pixelfou.com", true },
  { "pixelminers.net", true },
  { "pixelpirat.ch", true },
  { "pixelpoint.io", true },
  { "pixelrain.info", true },
  { "pixelsquared.us", true },
  { "pixelurbia.com", true },
  { "pixelution.at", true },
  { "pixiv.cat", true },
  { "pixiv.moe", true },
  { "pixivimg.me", true },
  { "pixloc.fr", true },
  { "pizala.de", true },
  { "pizzabesteld.nl", true },
  { "pizzabottle.com", false },
  { "pizzacook.ch", true },
  { "pizzafest.ddns.net", true },
  { "pizzagigant.hu", true },
  { "pizzahut.ru", true },
  { "pizzalongaway.it", true },
  { "pizzeria-mehrhoog.de", true },
  { "pizzeriaamadeus.hr", true },
  { "pizzeriacolore.com", true },
  { "pj00100.com", true },
  { "pj00200.com", true },
  { "pj00300.com", true },
  { "pj00400.com", true },
  { "pj00600.com", true },
  { "pj00700.com", true },
  { "pj00800.com", true },
  { "pj00900.com", true },
  { "pj539999.com", true },
  { "pjentertainments.co.uk", true },
  { "pjili.com", true },
  { "pjleisure.co.uk", true },
  { "pjo.no", true },
  { "pjuu.com", false },
  { "pk.search.yahoo.com", false },
  { "pkbjateng.com", true },
  { "pkbjateng.or.id", true },
  { "pkgt.de", false },
  { "pko.ch", true },
  { "pkov.cz", true },
  { "pkphotobooths.co.uk", true },
  { "pksps.com", true },
  { "pl-cours.ch", true },
  { "pl.search.yahoo.com", false },
  { "placasonline.com.br", true },
  { "placassinal.com.br", true },
  { "placebet.pro", true },
  { "placedaffiliate.com", true },
  { "placehold.co", true },
  { "placeitsf.com", true },
  { "placeralplato.com", true },
  { "placker.com", true },
  { "plae.com.au", true },
  { "plainbulktshirts.co.za", true },
  { "plainjs.com", true },
  { "plainmark.com", true },
  { "plaintech.net.au", true },
  { "plaintray.com", true },
  { "plakbak.nl", true },
  { "plan-immobilier.fr", true },
  { "planboardapp.com", true },
  { "planecon.nz", true },
  { "planeexplanation.com", true },
  { "planer.me", true },
  { "planet-laas.de", true },
  { "planet-work.com", true },
  { "planetanim.fr", true },
  { "planetasuboficial.com.br", true },
  { "planetau2.com", true },
  { "planetbeauty.com", true },
  { "planetbreath.ch", true },
  { "planete-cocoon.com", false },
  { "planete-lira.fr", true },
  { "planeteroliste.com", true },
  { "planeteroliste.fr", true },
  { "planetknauer.net", true },
  { "planetofthegames.tv", true },
  { "planetromeofoundation.org", true },
  { "planformation.com", true },
  { "planify.io", true },
  { "planitz.com", true },
  { "planitz.net", true },
  { "planktonforhealth.co.uk", true },
  { "planktonholland.nl", true },
  { "planlos.net", true },
  { "planmemberpartners.com", true },
  { "plannedlink.com", true },
  { "planningexcellence.com.au", true },
  { "plant-gift.jp", true },
  { "plantarum.com.br", true },
  { "plantastique.ch", true },
  { "plantastique.com", true },
  { "planteforum.no", true },
  { "plantrustler.com", true },
  { "planujemywesele.pl", true },
  { "plaque-funeraire.fr", true },
  { "plassmann.ws", true },
  { "plasti-pac.ch", true },
  { "plasticsurgeryartist.com", true },
  { "plasticsurgerynola.com", true },
  { "plasticsurgeryservices.com", true },
  { "plastovelehatko.cz", true },
  { "platformadmin.com", true },
  { "platinumexpress.com.ar", true },
  { "platinumpeek.com", true },
  { "platomania.nl", true },
  { "platschi.net", true },
  { "platten-nach-mass.de", true },
  { "platterlauncher.com", true },
  { "plattner.club", true },
  { "play-casino-japan.com", true },
  { "play-charades.com", true },
  { "play.cash", true },
  { "play.google.com", true },
  { "playanka.com", true },
  { "playawaycastles.co.uk", true },
  { "playdaysparties.co.uk", true },
  { "playform.cloud", true },
  { "playkh.com", true },
  { "playkinder.com", true },
  { "playocean.net", true },
  { "playpirates.com", true },
  { "playreal.city", true },
  { "playsnake.org", true },
  { "playsoundevents.be", true },
  { "playtictactoe.org", true },
  { "playtimebouncycastles.co.uk", true },
  { "playyou.be", true },
  { "playzonecastles.co.uk", true },
  { "pld-entertainment.co.uk", true },
  { "pldx.org", true },
  { "plegro.com", true },
  { "pleiades.com.tr", true },
  { "pleier-it.de", false },
  { "pleier.it", false },
  { "pleine-conscience.ch", true },
  { "plen.io", true },
  { "plenigo.com", true },
  { "plesse.pl", true },
  { "plexa.de", true },
  { "plexhome13.ddns.net", true },
  { "plexi.dyndns.tv", true },
  { "plexusmd.com", true },
  { "pliosoft.com", true },
  { "plissee-experte.de", true },
  { "plitu.de", true },
  { "plixer.com", true },
  { "plob.org", true },
  { "plochka.bg", true },
  { "plomberierenga.com", true },
  { "plongee-phuket.fr", true },
  { "ploofer.com", true },
  { "plot.ly", true },
  { "plotbubble.com", true },
  { "ploxel.com", true },
  { "plr4wp.com", true },
  { "plsboop.me", true },
  { "pluga.co", true },
  { "pluggedhead.com", true },
  { "plugin-planet.com", true },
  { "pluginfactory.io", true },
  { "pluginsloaded.com", true },
  { "pluimveeplanner.nl", true },
  { "plumber-in-sandton.co.za", true },
  { "plumbermountedgecombe.co.za", true },
  { "plumberumhlangarocks.co.za", true },
  { "plumbingbenoni.co.za", true },
  { "plumbingcentral.com.au", true },
  { "plumbingglenvista.co.za", true },
  { "plumlocosoft.com", true },
  { "plumnet.ch", true },
  { "plumpie.net", false },
  { "plumplat.com", true },
  { "plur.com.au", true },
  { "plural.cafe", true },
  { "plus-5.com", true },
  { "plus.google.com", false },
  { "plus.sandbox.google.com", true },
  { "pluscbdoil.com", false },
  { "plushev.com", true },
  { "pluslink.co.jp", true },
  { "plusstreamfeed.appspot.com", true },
  { "plustech.id", true },
  { "pluta.net", true },
  { "pluto.life", true },
  { "plutokorea.com", true },
  { "plutopia.ch", true },
  { "plymouthbouncycastles.co.uk", true },
  { "plymouthglassgallery.com", true },
  { "plzdontpwn.me", true },
  { "plzenskybarcamp.cz", true },
  { "plzh4x.me", true },
  { "pm-onboarding-external-dev.azurewebsites.net", true },
  { "pm-partners-management-dev.azurewebsites.net", true },
  { "pm.me", true },
  { "pm13.cz", true },
  { "pm13.org", true },
  { "pm25.im", true },
  { "pma-iss.com", true },
  { "pmaene.be", false },
  { "pmalaty.com", true },
  { "pmarques.info", true },
  { "pmartin.tech", true },
  { "pmbc.org", true },
  { "pmconference.ch", true },
  { "pmctire.com", true },
  { "pmf.gov", true },
  { "pmg-offshore-company.com", true },
  { "pmg-purchase.com", true },
  { "pmg-purchase.net", true },
  { "pmgnet.de", true },
  { "pmklaassen.com", true },
  { "pmoreau.org", true },
  { "pmp-art.com", true },
  { "pmponline.de", true },
  { "pmsacorp.com", true },
  { "pmsf.eu", true },
  { "pmsfdev.com", true },
  { "pmt-documenten.nl", true },
  { "pn.id.lv", true },
  { "pnakosoft.com", true },
  { "pnakosoft.com.au", true },
  { "pneu01.fr", true },
  { "pneu74.fr", true },
  { "pneuhaus-lemp.ch", true },
  { "pneumonline.be", true },
  { "pnimmobilier.ch", true },
  { "pnmhomecheckup.com", true },
  { "pnona.cz", true },
  { "pnut.io", false },
  { "po.net", true },
  { "poba.fr", true },
  { "pocakking.tk", true },
  { "pocatellonissanparts.com", true },
  { "pochaneko.com", true },
  { "pocitacezababku.cz", true },
  { "pocketfruity.com", true },
  { "pocketfullofapps.com", true },
  { "podemos.info", true },
  { "podia.com.gr", false },
  { "podroof.com", true },
  { "podroof.com.au", true },
  { "podshrink.de", true },
  { "poe.digital", true },
  { "poed.com.au", true },
  { "poed.net.au", true },
  { "poedgirl.com", true },
  { "poeg.cz", true },
  { "poffenhouse.ddns.net", true },
  { "pogrebisky.net", true },
  { "pohlmann.io", true },
  { "poinsot.info", true },
  { "pointaction.com", true },
  { "pointhost.de", true },
  { "points4unitedway.com", true },
  { "pointsgame.net", true },
  { "pointsixtyfive.com", true },
  { "pointum.com", true },
  { "poiru.net", true },
  { "poitiers-ttacc-86.eu.org", true },
  { "pojer.me", true },
  { "pokalsocial.de", true },
  { "pokefarm.com", true },
  { "pokeinthe.io", true },
  { "pokemondb.net", true },
  { "pokemontabletopadventures.com", true },
  { "pokemori.jp", true },
  { "pokepon.center", true },
  { "pokl.cz", true },
  { "polaire.org", true },
  { "polanda.com", true },
  { "polandb2b.directory", true },
  { "polar.uk.com", true },
  { "pole-emotion.ch", true },
  { "poleacademie.com", true },
  { "poles4pilots.com", true },
  { "policedriver.com", true },
  { "policereferencecheck.com", true },
  { "policesromandesrecrutement.ch", true },
  { "policyreporter.com", true },
  { "policyreporter.us", true },
  { "polis.or.at", true },
  { "polis.to", false },
  { "polish-dictionary.com", true },
  { "polish-flag.com", true },
  { "polish-translations.com", true },
  { "polish-translator.com", true },
  { "polish-translator.net", true },
  { "polish-translators.net", true },
  { "polish.directory", true },
  { "polishforums.com", true },
  { "polishmarriage.org", true },
  { "polishtranslation.com", true },
  { "polishwomen.com", true },
  { "polit.im", true },
  { "politic.org.ua", true },
  { "politiezoneriho.be", true },
  { "politik-bei-uns.de", true },
  { "polizeiwallis.ch", true },
  { "polkam.go.id", false },
  { "polki.com", true },
  { "pollet-ghijs.be", true },
  { "pollet-ghys.be", true },
  { "polletmera.com", true },
  { "polleverywhere.com", true },
  { "pollingplace.uk", true },
  { "polly.spdns.org", true },
  { "poloniainfo.com", true },
  { "poloniex.co.za", true },
  { "polskiemalzenstwo.org", true },
  { "poly-fast.com", true },
  { "polyfill.io", true },
  { "polygamer.net", true },
  { "polymake.org", true },
  { "polymathematician.com", true },
  { "polymorph.rs", true },
  { "polynomapp.com", true },
  { "polypane.rocks", true },
  { "polypet.com.sg", true },
  { "polytarian.com", true },
  { "polytechecosystem.vc", true },
  { "polytekniskforening.dk", true },
  { "pomar.club", false },
  { "pomardaserra.com", true },
  { "pomelo-paradigm.com", true },
  { "pomfeed.fr", true },
  { "pommedepain.fr", true },
  { "pomockypredeti.sk", true },
  { "pomocniczy.eu.org", true },
  { "pomozmruczkom.pl", true },
  { "pompiers-martigny.ch", true },
  { "pomsinoz.com", true },
  { "ponere.dz", true },
  { "poneypourtous.com", true },
  { "ponga.se", true },
  { "ponteus.com", true },
  { "pontodogame.com.br", true },
  { "pony-cl.co.jp", true },
  { "pony.tf", true },
  { "ponychan.net", true },
  { "ponycyclepals.co.uk", true },
  { "ponydesignclub.nl", true },
  { "ponyfoo.com", true },
  { "ponzi.life", true },
  { "pookl.com", true },
  { "poolspondsandwaterscapes.com", true },
  { "poolvilla-margarita.net", false },
  { "poon.io", true },
  { "poopjournal.rocks", true },
  { "poopr.ru", true },
  { "pop3.jp", true },
  { "popcornpalacefundraising.com", true },
  { "popcultureshack.com", true },
  { "popeyes.com", true },
  { "popinga.it", true },
  { "popmagz.com", true },
  { "popoway.cloud", true },
  { "popoway.me", true },
  { "poppetsphere.de", true },
  { "population-ethics.com", true },
  { "popvitrin.com", true },
  { "poquvi.net", true },
  { "porg.es", true },
  { "pork.org.uk", true },
  { "porkel.de", true },
  { "porn77.info", true },
  { "pornbay.org", true },
  { "porncandi.com", true },
  { "pornfacefinder.com", true },
  { "pornhubhd.biz", true },
  { "porniwi.com", true },
  { "pornloupe.com", true },
  { "porno-gif.ru", true },
  { "pornohub.su", true },
  { "pornolab-net.appspot.com", false },
  { "pornomens.be", true },
  { "pornoserver.eu", true },
  { "porpcr.com", true },
  { "pors-sw.cz", true },
  { "port.im", true },
  { "port443.hamburg", true },
  { "port443.se", true },
  { "port67.org", true },
  { "port80.hamburg", true },
  { "portablespeakersfinder.com", true },
  { "portailevangelique.ca", true },
  { "portal.tirol.gv.at", true },
  { "portalcarriers.com", true },
  { "portalcentric.net", true },
  { "portalhubnuti.cz", false },
  { "portalkla.com.br", true },
  { "portalzine.de", true },
  { "portamiinpista.it", true },
  { "porte.roma.it", true },
  { "portercup.com", true },
  { "porterranchelectrical.com", true },
  { "portofacil.com", true },
  { "portofala.pt", true },
  { "portosonline.pl", true },
  { "portraitsystem.biz", true },
  { "portsdebalears.gob.es", true },
  { "portsmouthbouncycastles.co.uk", true },
  { "portsmoutheic.com", true },
  { "portugalsko.net", true },
  { "porybox.com", true },
  { "posalji.me", true },
  { "posaunenchor-senden.de", true },
  { "posbank.co.uk", true },
  { "poseidonwaterproofing.com", true },
  { "poshcastles.co.uk", true },
  { "poshlashes.se", true },
  { "poshsecurity.com", true },
  { "posijson.stream", true },
  { "positionus.io", true },
  { "positive.com.cy", true },
  { "positivenames.net", true },
  { "positivesobrietyinstitute.com", true },
  { "posobota.cz", true },
  { "posoiu.net", true },
  { "post-darwinian.com", true },
  { "post-darwinism.com", true },
  { "post.com.ar", true },
  { "post.io", true },
  { "post4me.at", true },
  { "postal.dk", true },
  { "postal3.es", true },
  { "postblue.info", true },
  { "postbox.life", true },
  { "postcode.nl", true },
  { "postcodewise.co.uk", true },
  { "postdarwinian.com", true },
  { "postdarwinism.com", true },
  { "postdeck.de", true },
  { "posteo.de", false },
  { "posterspy.com", true },
  { "postfalls-naturopathic.com", true },
  { "postfinance.ch", true },
  { "postmatescode.com", true },
  { "postn.eu", true },
  { "postpot.co.kr", true },
  { "posttigo.com", true },
  { "posyperfume.com", true },
  { "potatiz.com", true },
  { "potatofrom.space", true },
  { "potatopro.com", true },
  { "potatron.tech", true },
  { "potature.rimini.it", true },
  { "potature.roma.it", true },
  { "potentialproject.com", false },
  { "pothe.com", true },
  { "pothe.de", true },
  { "potolok.am", true },
  { "potrillionaires.com", true },
  { "potterscraftcider.com", true },
  { "pottersheartministry.org", true },
  { "pottshome.co.uk", true },
  { "potworowski.de", true },
  { "poudlard.fr", true },
  { "povareschka.ru", true },
  { "powelljones.co.uk", true },
  { "power-coonies.de", true },
  { "power-fit.org", true },
  { "power-flowengineer.com", true },
  { "power-meter.cc", true },
  { "power-tools24.com", true },
  { "powerball.shop", true },
  { "powercloud.technology", true },
  { "powerdent.net.br", true },
  { "poweredbyiris.nl", true },
  { "poweredbypurdy.com", true },
  { "powermatic7.com", true },
  { "powermeter.at", true },
  { "powermint.de", true },
  { "powerpointschool.com", true },
  { "powerserg.org", true },
  { "powersergholdings.com", true },
  { "powersergthisisthewebsitefuckyouscott.com", true },
  { "powersergunited.com", true },
  { "powersergunited.org", true },
  { "powersergusercontent.com", true },
  { "powertothebuilder.com", true },
  { "powerwellness-korecki.de", true },
  { "pozemedicale.org", true },
  { "pozlife.net", true },
  { "pozytywnyplan.pl", true },
  { "pozzitiv.ro", true },
  { "pp3345.net", true },
  { "ppcrestaurants.com", true },
  { "ppembed.com", true },
  { "ppipe.net", true },
  { "pplsvc.com", true },
  { "ppmathis.ch", true },
  { "ppmathis.com", true },
  { "ppmoon.com", true },
  { "ppoozl.com", true },
  { "ppro.com", true },
  { "pptavmdata.org", true },
  { "ppy.la", true },
  { "ppy.sh", true },
  { "pr.search.yahoo.com", false },
  { "pr1sm.com", true },
  { "prac.to", true },
  { "pracowniatkanin.com", true },
  { "practicalprogrammer.tech", true },
  { "practiceflow.nl", true },
  { "practicepanther.com", true },
  { "practo.com", true },
  { "prado.it", true },
  { "praeparation-keppner.de", true },
  { "praerien-racing.com", true },
  { "prague-swim.cz", true },
  { "praguepsychology.com", true },
  { "praguepsychology.cz", true },
  { "pragueswim.cz", true },
  { "prajwalkoirala.com", true },
  { "prakhar.uk", true },
  { "prakharprasad.com", true },
  { "praktijkdevecht.nl", true },
  { "praxino.de", true },
  { "praxis-dingeldey.de", true },
  { "praxis-familienglueck.de", true },
  { "praxis-research.info", true },
  { "prayerrequest.com", true },
  { "prazeresdavida.com.br", true },
  { "prazynka.pl", true },
  { "prc-newmedia.com", true },
  { "prc.gov", true },
  { "preciouslife.fr", true },
  { "preciscx.com", true },
  { "preciseassemblies.com", true },
  { "precision.st", true },
  { "precode.eu", true },
  { "predoiu.ro", true },
  { "preexport.com", true },
  { "prefix.eu", true },
  { "pregunteleakaren.gov", true },
  { "preigu.de", true },
  { "preis-alarm.info", true },
  { "preis-alarm.org", true },
  { "preloaded-hsts.badssl.com", true },
  { "prelogica.com.br", true },
  { "preludes.org", true },
  { "prelved.com", true },
  { "prelved.es", true },
  { "prelved.fi", true },
  { "prelved.fr", true },
  { "prelved.it", true },
  { "prelved.nl", true },
  { "prelved.pl", true },
  { "prelved.se", true },
  { "premaritalsex.info", true },
  { "prematureacceleration.club", true },
  { "premierbouncycastles.co.uk", true },
  { "premierevents.ie", true },
  { "premierheart.com", true },
  { "premierjewelersjax.com", true },
  { "premiership-predictors.co.uk", true },
  { "premiumweb.co.id", true },
  { "premiumwebdesign.it", true },
  { "prenatalgeboortekaartjes.nl", true },
  { "prepaid-cards.xyz", true },
  { "prepaid-voip.nl", true },
  { "prepaidgirl.com", true },
  { "prepaidkredietkaart.be", true },
  { "prepare-job-hunting.com", true },
  { "presbee.com", true },
  { "prescotonline.co.uk", true },
  { "prescriptionrex.com", true },
  { "present-m.com", true },
  { "presentesdegrife.com.br", true },
  { "president.bg", true },
  { "prespanok.sk", true },
  { "presscenter.jp", true },
  { "pressertech.com", true },
  { "presses.ch", true },
  { "pressography.org", true },
  { "pressrush.com", true },
  { "pressup.it", true },
  { "pressureradio.com", true },
  { "prestburyscouts.org.uk", true },
  { "prestige-car-location.ch", true },
  { "prestige-portal.com", true },
  { "prestigebouncycastles.co.uk", true },
  { "prestigerepairs.com.au", true },
  { "prestigesigns.net", true },
  { "prestonandsons.com.au", true },
  { "prestonapp.com", true },
  { "prestonbrant.com", true },
  { "pretachique.com.br", true },
  { "pretix.eu", true },
  { "pretty.hu", true },
  { "pretwolk.nl", true },
  { "pretzelx.com", true },
  { "prevenir.ch", true },
  { "priceremoval.net", true },
  { "pricesniffer.co", true },
  { "prideindomination.com", true },
  { "pridetechdesign.com", true },
  { "prielwurmjaeger.de", true },
  { "primaconsulting.net", true },
  { "primalbase.com", true },
  { "primalinea.pro", true },
  { "primates.com", true },
  { "primewho.org", true },
  { "primordialsnooze.com", true },
  { "primorus.lt", true },
  { "princeagency.com", true },
  { "princeofwhales.com", true },
  { "princesparktouch.com", true },
  { "princessefoulard.com", true },
  { "principalsexam.com", true },
  { "principalship.net", true },
  { "principalstest.com", true },
  { "principalstest.ph", true },
  { "principalstest.review", true },
  { "principaltoolbox.com", true },
  { "principia-journal.de", true },
  { "principia-magazin.de", true },
  { "principia-online.de", true },
  { "princovi.cz", true },
  { "prinesdoma.at", true },
  { "prinice.org", true },
  { "printeknologies.com", true },
  { "printerleasing.be", true },
  { "printexpress.cloud", true },
  { "printf.de", true },
  { "printler.com", true },
  { "printmet.com", true },
  { "printus.de", true },
  { "prior-it.be", true },
  { "priorite-education.com", true },
  { "priorityelectric.net", true },
  { "priorityessays.com", true },
  { "prioritynissannewportnewsparts.com", true },
  { "prismacloud.com", true },
  { "prismacloud.green", true },
  { "prismacloud.xyz", true },
  { "pristal.eu", true },
  { "pristinegreenlandscaping.com", true },
  { "priv.im", true },
  { "privacy-week-vienna.at", true },
  { "privacy-week.at", true },
  { "privacy.com", true },
  { "privacybadger.org", true },
  { "privacyforjournalists.org.au", true },
  { "privacyinternational.org", true },
  { "privacyscore.org", true },
  { "privacyweek.at", true },
  { "privacyweek.de", true },
  { "privacyweek.eu", true },
  { "privacyweekvienna.at", true },
  { "privaday.de", true },
  { "privasphere.com", true },
  { "privatebanks.uk", true },
  { "privatebin.info", true },
  { "privatecapsecurity.org", true },
  { "privategiant.com", true },
  { "privateideas.de", true },
  { "privateimarketing.com", true },
  { "privatepokertour.com", true },
  { "privatepropertymallorca.com", true },
  { "privatestatic.com", false },
  { "privatewolke.com", true },
  { "privatfrei.de", true },
  { "privatpatient-krankenhaus.de", true },
  { "privea.fr", true },
  { "priverify.com", true },
  { "privu.me", true },
  { "privy-staging.com", true },
  { "prjktruby.com", false },
  { "prknje.co", true },
  { "prknje.com", true },
  { "prlved.co.uk", true },
  { "prnav.com", true },
  { "pro-bike.ro", true },
  { "pro-esb.com", true },
  { "pro-esb.net", true },
  { "pro-image.de", true },
  { "pro-link.eu", true },
  { "pro-mile.pl", true },
  { "pro-netz.de", false },
  { "pro-wiert.pl", true },
  { "proautorepairs.com.au", true },
  { "probase.ph", true },
  { "probely.com", true },
  { "probiv.biz", true },
  { "probiv.cc", true },
  { "procens.us", true },
  { "procensus.com", true },
  { "procert.ch", true },
  { "processesinmotion.com", true },
  { "procharter.com", true },
  { "proclib.org", true },
  { "procrastinationland.com", true },
  { "proctorio.com", true },
  { "prodct.info", true },
  { "prodegree.com", true },
  { "prodietix.cz", true },
  { "prodigia.com", false },
  { "prodinger.com", true },
  { "prodsim.ninja", true },
  { "producepromotions.com", true },
  { "producertools.io", true },
  { "productbarcodes.com", true },
  { "productboard.com", true },
  { "productdesignsoftware.com.au", true },
  { "production.vn", true },
  { "productived.net", false },
  { "productlondon.com", true },
  { "productoinnovador.com", true },
  { "products4more.at", true },
  { "produkttest-online.com", true },
  { "prodware.nl", true },
  { "proefteksten.nl", false },
  { "proeftuinveenweiden.nl", true },
  { "proemployeeprotection.com", true },
  { "proemployeeprotection.net", true },
  { "proesb.com", true },
  { "proesb.net", true },
  { "prof.ch", true },
  { "profection.biz", true },
  { "professional.cleaning", true },
  { "professionalboundaries.com", true },
  { "professors.ee", true },
  { "profhome-shop.com", true },
  { "profidea.cz", true },
  { "profile.tf", true },
  { "profiles.google.com", true },
  { "profitablewebprojects.com", true },
  { "profitopia.de", true },
  { "proft.eu", true },
  { "progarm.org", true },
  { "progenda.be", true },
  { "progenitor.space", true },
  { "progeon.nl", true },
  { "progg.no", true },
  { "proggersession.com", true },
  { "proggersession.de", true },
  { "progiscad.com", true },
  { "programlama.tk", true },
  { "programmaticmagic.com", true },
  { "programmingstudent.com", true },
  { "programsupport300procent.com", true },
  { "progreso.pl", true },
  { "progress-linux.org", true },
  { "progress.photos", true },
  { "progressive.work", true },
  { "progressiveplanning.com", true },
  { "prohrcloud.com", true },
  { "project-rune.tech", true },
  { "project-splash.com", true },
  { "projectarmy.net", false },
  { "projectblackbook.us", true },
  { "projectcastle.tech", true },
  { "projectforge.org", true },
  { "projectherogames.xyz", true },
  { "projectl1b1t1na.tk", true },
  { "projectnom.com", true },
  { "projectsecretidentity.com", true },
  { "projectsecretidentity.org", true },
  { "projectunity.io", true },
  { "projektarbeit-projektplanung.de", true },
  { "projektzentrisch.de", true },
  { "projest.ch", true },
  { "projet-fly.ch", true },
  { "prok.pw", true },
  { "prometheanfire.net", true },
  { "prometheanfire.org", true },
  { "promisesaplus.com", true },
  { "promo-computers.nl", true },
  { "promods.net", true },
  { "promohulp.nl", true },
  { "promolover.com", true },
  { "promopony.com", true },
  { "promoscuola.net", true },
  { "promoterms.com.au", true },
  { "promotioncentre.co.uk", true },
  { "promozione.info", true },
  { "pronostic-king.fr", true },
  { "pronto-intervento.net", true },
  { "proobec.cz", true },
  { "proofwiki.org", true },
  { "proos.nl", true },
  { "proovn.com", true },
  { "propagandablog.de", true },
  { "propagandism.org", true },
  { "propagationtools.com", true },
  { "propepper.net", true },
  { "propershave.com", true },
  { "properticons.com", true },
  { "property-catalogue.eu", true },
  { "propertygroup.pl", true },
  { "propertyone.mk", true },
  { "propipesystem.com", true },
  { "proposalonline.com", true },
  { "propr.no", true },
  { "proprietairesmaisons.fr", true },
  { "propseller.com", true },
  { "proseandleprechauns.com", true },
  { "prospanek.cz", true },
  { "prosperontheweb.com", true },
  { "prospo.co", true },
  { "prostohobby.ru", true },
  { "prostoporno.net", true },
  { "prostoporno.sexy", true },
  { "prostye-recepty.com", true },
  { "prot.ch", true },
  { "protectem.de", true },
  { "protege.moi", true },
  { "protegetudescanso.com", true },
  { "protein-riegel-test.de", true },
  { "protempore.fr", true },
  { "proteogenix-products.com", true },
  { "proteogenix.science", true },
  { "proteus-eretes.nl", true },
  { "proteus-tech.com", true },
  { "proto-online.ru", true },
  { "protocol.ai", true },
  { "protonmail.com", true },
  { "protonvpn.com", true },
  { "prototypefund.de", true },
  { "protoxin.net", false },
  { "proust.ch", false },
  { "proust.media", false },
  { "proustmedia.de", false },
  { "provectus.de", true },
  { "proveits.me", false },
  { "provence-appartements.com", true },
  { "providerlijst.com", true },
  { "providerlijst.nl", true },
  { "provision-isr.nl", true },
  { "provitec.com", true },
  { "provitec.de", true },
  { "provokator.co.il", true },
  { "proweser.de", true },
  { "prowise.com", true },
  { "proximityradio.fr", true },
  { "proxybay.bz", true },
  { "proxybay.co", true },
  { "proxybay.eu.org", true },
  { "proxybay.la", true },
  { "proxybay.one", true },
  { "proxybay.tv", true },
  { "proxyportal.net", true },
  { "proxyportal.org", true },
  { "proymaganadera.com", true },
  { "prpferrara.it", true },
  { "prplz.io", true },
  { "prpr.cloud", true },
  { "prt.in.th", true },
  { "prtimes.com", true },
  { "prtpe.com", true },
  { "pruma.com.br", true },
  { "prvikvadrat.hr", true },
  { "prylarprylar.se", true },
  { "pryspry.com", true },
  { "prytkov.com", true },
  { "przemas.pl", true },
  { "ps-provider.co.jp", true },
  { "ps-sale.ru", true },
  { "ps-w.ru", true },
  { "ps4all.nl", true },
  { "psb.cloud", true },
  { "psb1.org", true },
  { "psb1911.com", true },
  { "psb4ukr.org", true },
  { "psbarrett.com", true },
  { "psc.gov", true },
  { "pschierl.com", true },
  { "pscr.gov", true },
  { "psdreams.com", true },
  { "psdsfn.com", true },
  { "psdsuc.com", true },
  { "pself.net", true },
  { "pseta.ru", true },
  { "pseudo.coffee", true },
  { "psg.bg", true },
  { "psicoexpansao.com.br", true },
  { "psicologasandrabernal.es", true },
  { "psicologoforensemadrid.com", true },
  { "psm.org.ph", true },
  { "psochecker.com", true },
  { "pson.ninja", true },
  { "psono.pw", true },
  { "psoriasischecker.com", true },
  { "pssgcsim.org", true },
  { "pst.moe", true },
  { "pste.pw", true },
  { "pstrozniak.com", true },
  { "psu.je", true },
  { "psw-consulting.de", true },
  { "psw-group.de", true },
  { "psw.net", true },
  { "psxtr.com", true },
  { "psyao.ch", true },
  { "psychedelia.com", true },
  { "psychedelics.org", true },
  { "psychic-healer-mariya-i-petrova-boyankinska-b-borovan-bg.com", true },
  { "psychicsource.com", true },
  { "psychintervention.com", true },
  { "psychiq.com", true },
  { "psycho-lobby.com", true },
  { "psycho.space", true },
  { "psychoactive.com", true },
  { "psychologie-hofner.at", true },
  { "psychotherapie-kp.de", true },
  { "psydix.org", true },
  { "psylab.re", true },
  { "psylab.vip", true },
  { "psytrance-pro.com", true },
  { "pt-server.de", true },
  { "ptal.eu", true },
  { "ptbi.org.pl", true },
  { "ptbx.co", true },
  { "pterodactylus.cz", true },
  { "ptgoldensun.com", true },
  { "pthsec.com", true },
  { "ptm.ro", false },
  { "ptmarquees.ie", true },
  { "ptrbrs.nl", true },
  { "ptrl.ws", true },
  { "ptron.org", true },
  { "puac.de", true },
  { "pub-online.ro", true },
  { "pubi.me", true },
  { "publanda.nl", true },
  { "public-g.de", true },
  { "public-projects.com", true },
  { "public-projects.de", true },
  { "public-vocals.de", true },
  { "publicinquiry.eu", true },
  { "publicintegrity.org", true },
  { "publicintelligence.net", true },
  { "publick.net", true },
  { "publicrea.com", true },
  { "publicspeakingcamps.com", true },
  { "publicsuffix.org", true },
  { "publiq.space", true },
  { "publishingshack.com", true },
  { "pubreview.com.au", true },
  { "pubreviews.com", true },
  { "pucchi.net", true },
  { "puchunguis.com", true },
  { "pucssa.org", true },
  { "puddis.de", true },
  { "pugovka72.ru", true },
  { "puhka.me", true },
  { "puissancemac.ch", true },
  { "puli.com.br", true },
  { "pulizieuffici.milano.it", true },
  { "pulledporkheaven.com", true },
  { "pulpproject.org", true },
  { "pulser.stream", true },
  { "pumperszene.com", true },
  { "puneflowermall.com", true },
  { "punikonta.de", true },
  { "punitsheth.com", true },
  { "punkapoule.fr", true },
  { "punknews.org", true },
  { "puntacanalink.com", true },
  { "punte-juwelier.nl", true },
  { "pupboss.com", true },
  { "puppet.pl", true },
  { "puravida-estate.com", true },
  { "pure-gmbh.com", true },
  { "purecabo.com", true },
  { "pureitsolutionsllp.com", true },
  { "purelunch.co.uk", true },
  { "purevapeofficial.com", true },
  { "purikore.com", true },
  { "purplebooth.co.uk", true },
  { "purplebricks.co.uk", true },
  { "purplebricks.com", true },
  { "purplebricks.com.au", true },
  { "purplebricksplc.com", true },
  { "purplemet.com", true },
  { "purplemoon.ch", true },
  { "purplemoon.mobi", true },
  { "purpleplains.net", true },
  { "purplepr.bg", true },
  { "purplestar.ch", true },
  { "purplestar.com", true },
  { "purplestar.mobi", true },
  { "purplewindows.net", true },
  { "purrfect-box.co.uk", true },
  { "purrfectboudoir.com", true },
  { "purrfectmembersclub.com", true },
  { "puryearlaw.com", true },
  { "pusatinkubatorbayi.com", true },
  { "pushers.com.mx", true },
  { "pushrax.com", true },
  { "put.moe", true },
  { "put.re", true },
  { "putatara.net", true },
  { "putman-it.nl", true },
  { "putney.io", true },
  { "puurwonengeldrop.nl", false },
  { "puxlit.net", true },
  { "puyallupnissanparts.com", true },
  { "puyblanc.info", true },
  { "puzz.me", true },
  { "puzzlage.com", true },
  { "puzzle-welt.ch", true },
  { "puzzlepoint.ch", true },
  { "pv-paderborn-now.de", true },
  { "pvcvoordeel.nl", false },
  { "pvda.nl", true },
  { "pvmotorco.com", true },
  { "pvpcraft.ca", true },
  { "pvpctutorials.de", true },
  { "pvtschlag.com", true },
  { "pwdsafe.com", true },
  { "pwe.vision", true },
  { "pwnies.dk", true },
  { "pwolk.com", true },
  { "pxx.io", true },
  { "py-amf.org", true },
  { "py.search.yahoo.com", false },
  { "pycrc.org", true },
  { "pycrypto.org", true },
  { "pycycle.info", true },
  { "pygarage.com", true },
  { "pyopenssl.org", true },
  { "pypa.io", true },
  { "pypi.io", true },
  { "pypi.org", true },
  { "pypi.python.org", true },
  { "pyrotechnologie.de", true },
  { "pysays.net", true },
  { "pyspace.org", true },
  { "python-hyper.org", true },
  { "python.org", false },
  { "pyzlnar.com", true },
  { "pzsearch.nl", true },
  { "q-inn.com", true },
  { "q-inn.nl", true },
  { "qa-brandywineglobal.com", true },
  { "qa.fedoraproject.org", true },
  { "qa.stg.fedoraproject.org", true },
  { "qabalah.jp", true },
  { "qaconstrucciones.com", true },
  { "qadmium.com", true },
  { "qadmium.tk", true },
  { "qamrulhaque.com", true },
  { "qapital.com", true },
  { "qaz.cloud", true },
  { "qazcloud.com", true },
  { "qbeing.info", true },
  { "qbiju.com.br", true },
  { "qbus.pl", true },
  { "qc.immo", true },
  { "qc.search.yahoo.com", false },
  { "qccareerschool.com", true },
  { "qcdesignschool.com", true },
  { "qceventplanning.com", true },
  { "qcloud.cz", true },
  { "qclt.com", true },
  { "qcmakeupacademy.com", true },
  { "qcstudentcenter.com", true },
  { "qcstyleacademy.com", true },
  { "qctravelschool.com", true },
  { "qedcon.org", false },
  { "qelectrotech.org", true },
  { "qetesh.de", true },
  { "qetic.co.jp", true },
  { "qewc.com", true },
  { "qgustavor.tk", true },
  { "qhse-professionals.nl", true },
  { "qianalysis.com", true },
  { "qianqiao.me", true },
  { "qifu.me", true },
  { "qifu.org.cn", true },
  { "qiliang.wang", true },
  { "qingpat.com", true },
  { "qingpei.me", true },
  { "qionouu.cn", true },
  { "qis.fr", true },
  { "qitarabutrans.com", true },
  { "qiuri.org", true },
  { "qivonline.pt", true },
  { "qiwi.be", true },
  { "qixi.biz", false },
  { "qkka.org", true },
  { "qkmortgage.com", true },
  { "qldconservation.org.au", true },
  { "qldformulaford.org", true },
  { "qledtech.com", true },
  { "qlrace.com", false },
  { "qm-marzahnnordwest.de", true },
  { "qochealth.com", true },
  { "qoml.net", true },
  { "qonto.eu", true },
  { "qoor.io", true },
  { "qotw.net", true },
  { "qponverzum.hu", true },
  { "qq-navi.com", true },
  { "qq52o.me", true },
  { "qqvips.com", true },
  { "qrcontagion.com", true },
  { "qrpth.eu", true },
  { "qruiser.com", true },
  { "qscloud.de", true },
  { "qtacairsoft.com", true },
  { "qtl.me", true },
  { "qtn.net", true },
  { "qto.com", true },
  { "qto.net", true },
  { "qto.org", true },
  { "qtpass.org", true },
  { "qtpower.co.uk", true },
  { "qtpower.net", true },
  { "qtpower.org", true },
  { "qtvr.com", true },
  { "qtxh.net", true },
  { "quackerswaterproofing.com", true },
  { "quaedam.org", true },
  { "quaggan.co", true },
  { "quai10.org", false },
  { "qualite-ecole-et-formation.ch", true },
  { "quality-life.gr", true },
  { "qualityedgarsolutions.com", true },
  { "qualityhomesystems.com", true },
  { "qualityofcourse.com", true },
  { "qualitypropertycare.co.uk", true },
  { "qualtrics.com", true },
  { "quangngaimedia.com", true },
  { "quanjinlong.cn", true },
  { "quant-labs.de", true },
  { "quantaloupe.tech", true },
  { "quanterra.ch", true },
  { "quantolytic.de", true },
  { "quantor.dk", true },
  { "quantoras.com", true },
  { "quantum-lviv.pp.ua", true },
  { "quantum-mechanics.com", true },
  { "quantum2.xyz", true },
  { "quantumfurball.net", true },
  { "quantumpair.net", true },
  { "quantumwebs.co", true },
  { "quanwuji.com", true },
  { "quanyin.eu.org", true },
  { "quareal.ru", true },
  { "quarkdose.de", true },
  { "quarterfull.com", true },
  { "quartix.com", true },
  { "quartzclinical.com", true },
  { "quasarelectronics.co.uk", true },
  { "quasseldroid.info", true },
  { "quatrefoiscent.fr", true },
  { "quay.net", true },
  { "qubes-os.org", true },
  { "qubyte.codes", true },
  { "quchao.com", true },
  { "queensrdapartments.com.au", true },
  { "queer.party", true },
  { "queercinema.ch", true },
  { "queercoders.com", false },
  { "quehacerencusco.com", true },
  { "quelleformation.net", true },
  { "quemeloquitan.com", true },
  { "queminventou.com.br", true },
  { "quemmeliga.com", true },
  { "quenotejodan.cl", true },
  { "quentinchevre.ch", true },
  { "quera.ir", true },
  { "querkommentar.de", true },
  { "query-massage.com", true },
  { "question.com", true },
  { "questionable.host", true },
  { "questions-admin.com", true },
  { "questionyu.com", true },
  { "questsocial.it", true },
  { "quevisiongrafica.com", true },
  { "quickboysvrouwen2.nl", true },
  { "quickinfosystem.com", true },
  { "quiet-waters.org", true },
  { "quietapple.org", true },
  { "quikchange.net", true },
  { "quikpay.com.au", true },
  { "quikrmovies.to", true },
  { "quikstorhawaii.com", true },
  { "quilmo.com", true },
  { "quimatic.com.br", true },
  { "quinnlabs.com", true },
  { "quinoa24.com", true },
  { "quintessa.org", true },
  { "quintype.com", true },
  { "quire.io", true },
  { "quizogames.com", true },
  { "qul.link", true },
  { "quli.nl", false },
  { "qunzi.la", true },
  { "quocdesign.ch", true },
  { "quotev.com", true },
  { "quppa.net", true },
  { "quuz.org", true },
  { "qvggroup.com", true },
  { "qvi.st", true },
  { "qvitoo.com", true },
  { "qwallet.ca", true },
  { "qwans.nl", true },
  { "qwant.com", true },
  { "qwant.fr", true },
  { "qwaser.fr", true },
  { "qwdqwd.de", true },
  { "qwe7002.com", true },
  { "qweepi.de", false },
  { "qwertee.com", true },
  { "qwerty.work", true },
  { "qwertyatom100.me", true },
  { "qwikdash.com", true },
  { "qwq.moe", true },
  { "qx.fi", true },
  { "qx.se", true },
  { "qxy.ch", true },
  { "r-core.org", true },
  { "r-rwebdesign.com", true },
  { "r0t.co", true },
  { "r0uzic.net", true },
  { "r18.moe", true },
  { "r1ch.net", true },
  { "r2d2pc.com", true },
  { "r33.space", true },
  { "r3nt3r.com", true },
  { "r3s1stanc3.me", true },
  { "r6-team.ru", true },
  { "r7h.at", true },
  { "r811.de", true },
  { "ra-micro-koeln.de", true },
  { "ra.co.ke", true },
  { "ra.vc", true },
  { "ra4wvpn.com", true },
  { "raah.co", true },
  { "rabbit.wales", false },
  { "rabbitfinance.com", true },
  { "rabica.de", true },
  { "rabotaescort.com", true },
  { "rabynska.eu", true },
  { "raccoltarifiuti.com", true },
  { "racermaster.xyz", true },
  { "racesport.nl", false },
  { "raceviewcycles.com", true },
  { "raceviewequestrian.com", true },
  { "rachaelrussell.com", true },
  { "rachelchen.me", true },
  { "racheldiensthuette.de", true },
  { "rachelmoorelaw.com", true },
  { "rachelreagan.com", true },
  { "rachelsbouncycastles.co.uk", true },
  { "rachida-dati.eu", true },
  { "racius.com", true },
  { "rackerlab.com", false },
  { "raclet.co.uk", true },
  { "raconconsulting.co.uk", true },
  { "racoo.net", true },
  { "racunovodstvo-prina.si", true },
  { "radar.sx", true },
  { "radaravia.ru", true },
  { "radartatska.se", true },
  { "radartek.com", true },
  { "radcube.hu", true },
  { "raddavarden.nu", true },
  { "radfieldhomecare.co.uk", true },
  { "radfieldhomecarefranchising.co.uk", true },
  { "radical.org", true },
  { "radicaloptimism.org", true },
  { "radicalsub.com.br", true },
  { "radins.com", true },
  { "radio-utopie.de", true },
  { "radio1.ie", true },
  { "radioafibra.com.br", true },
  { "radiocomsaocarlos.com.br", true },
  { "radioilusion.es", true },
  { "radiom.fr", true },
  { "radiomodem.dk", true },
  { "radiomontebianco.it", true },
  { "radionicabg.com", true },
  { "radiopolarniki.spb.ru", true },
  { "radiormi.com", true },
  { "radiorsvp.com", true },
  { "radis-adopt.com", true },
  { "radondetectionandcontrol.com", true },
  { "radreisetraumtreibstoff.de", true },
  { "radtke.bayern", true },
  { "radyn.com", true },
  { "raeu.me", true },
  { "raeven.nl", true },
  { "rafaelmagalhaesweb.com", true },
  { "rafey.xyz", true },
  { "raffaellaosti.com", true },
  { "rafting-japan.com", true },
  { "ragasto.nl", true },
  { "rage-overload.ch", true },
  { "rage.rip", true },
  { "rage4.com", true },
  { "raghavdua.in", true },
  { "rahadiana.com", true },
  { "rahulpnath.com", true },
  { "rai-co.net", true },
  { "raidensnakesden.co.uk", true },
  { "raidensnakesden.com", true },
  { "raidensnakesden.net", true },
  { "raiffeisen-kosovo.com", true },
  { "railgun.ac", true },
  { "railgun.com.cn", true },
  { "railjob.cn", true },
  { "railwaytech.net", true },
  { "railyardurgentcare.com", true },
  { "raimixmotoparts.com.br", true },
  { "rainbowbay.org", true },
  { "rainbowinflatables.co.uk", true },
  { "rainbowstore.com.au", true },
  { "rainbowstore.com.ua", true },
  { "rainforest.engineering", true },
  { "rainpaper.com", true },
  { "rainstormsinjuly.co", true },
  { "rainville.me", true },
  { "rainway.io", true },
  { "raipet.no-ip.biz", true },
  { "raisecorp.com", true },
  { "raiseyourflag.com", true },
  { "raissarobles.com", true },
  { "raito.win", true },
  { "raitza.de", true },
  { "rajkapoordas.com", true },
  { "rajyogarishikesh.com", true },
  { "rak-business-service.com", true },
  { "rakugaki.cn", true },
  { "rakugokai.net", true },
  { "ralf-huebscher.de", true },
  { "ralfs-zusizone.de", true },
  { "rally-base.com", true },
  { "rally-base.cz", true },
  { "rally-base.eu", true },
  { "rally-results.eu", true },
  { "rally-vysledky.cz", true },
  { "rallybase.cz", true },
  { "rallybase.eu", true },
  { "rallycycling.com", true },
  { "ralph.bike", true },
  { "ralphwoessner.com", true },
  { "raltha.com", true },
  { "ram-it.nl", true },
  { "ram.nl", true },
  { "ramatola.uk", true },
  { "rambii.de", true },
  { "ramblingrf.tech", true },
  { "rametrix.com", true },
  { "ramezanloo.com", false },
  { "ramitmittal.com", true },
  { "rammstein-portugal.com", true },
  { "ramrecha.com", true },
  { "ramsor-gaming.de", true },
  { "randc.org", true },
  { "random-samplings.org", true },
  { "randomadversary.com", true },
  { "randombit.eu", false },
  { "randomcode.org", true },
  { "randomdysfunctions.com", true },
  { "randomkoalafacts.com", true },
  { "randomprecision.co.uk", true },
  { "randomquotesapp.com", true },
  { "rangde.org", true },
  { "rangercollege.edu", true },
  { "rangsmo.se", true },
  { "rank-net.de", true },
  { "ranking-deli.jp", true },
  { "ranson.com.au", true },
  { "rantanda.com", true },
  { "rante.com", true },
  { "ranyeh.co", true },
  { "ranyeh.com", true },
  { "ranzbak.nl", true },
  { "raoul-kieffer.net", true },
  { "rapdogg.com", true },
  { "rapenroer.com", true },
  { "rapenroer.nl", true },
  { "raphael.li", true },
  { "raphaeladdile.com", true },
  { "raphaelcasazza.ch", true },
  { "raphrfg.com", true },
  { "rapidapp.io", true },
  { "rapidhubs.com", true },
  { "rapidshit.net", true },
  { "rapidstone.com", true },
  { "rappet.de", true },
  { "raptorsrapture.com", true },
  { "raraflora.com.au", true },
  { "rareative.com", true },
  { "raryosu.info", true },
  { "rasagiline.com", true },
  { "rascals-castles.co.uk", true },
  { "rascalscastles.co.uk", true },
  { "rascalscastlesdoncaster.co.uk", true },
  { "rasebo.ro", true },
  { "raspass.me", true },
  { "rastreie.net", true },
  { "rasty.cz", true },
  { "ratd.net", true },
  { "ratebridge.com", true },
  { "rathbonesonline.com", true },
  { "rathgeb.org", true },
  { "rationalcreation.com", true },
  { "rationalism.com", true },
  { "rationalops.com", true },
  { "rattenkot.io", true },
  { "raucris.ro", true },
  { "raulrivero.es", true },
  { "raum4224.de", true },
  { "rauros.net", true },
  { "rautelow.de", true },
  { "rautermods.net", true },
  { "ravchat.com", true },
  { "raven.dog", true },
  { "ravenger.net", true },
  { "ravensbuch.de", true },
  { "ravhaaglanden.org", true },
  { "ravindran.me", true },
  { "raviparekh.co.uk", true },
  { "ravis.org", true },
  { "rawdutch.nl", true },
  { "rawsec.net", true },
  { "raxion.cf", true },
  { "raxion.tk", true },
  { "ray-home.de", true },
  { "ray-works.de", true },
  { "rayiris.com", true },
  { "raymcbride.com", true },
  { "raymd.de", true },
  { "raymii.org", true },
  { "raymondelooff.nl", true },
  { "raystark.com", true },
  { "raywin168.com", true },
  { "raywin168.net", true },
  { "raywin88.net", true },
  { "rayworks.de", true },
  { "razberry.kr", true },
  { "razeen.me", true },
  { "razeencheng.com", true },
  { "raziskovalec-resnice.com", true },
  { "rbensch.com", true },
  { "rbflote.lv", true },
  { "rbltracker.com", true },
  { "rbmafrica.co.za", true },
  { "rbnet.xyz", true },
  { "rbran.com", true },
  { "rbtvshitstorm.is", true },
  { "rburchell.com", true },
  { "rc-offi.net", true },
  { "rc-shop.ch", true },
  { "rc7.ch", true },
  { "rca.fr", true },
  { "rcd.cz", true },
  { "rcdocuments.com", true },
  { "rchrdsn.uk", true },
  { "rclsm.net", true },
  { "rcmlinx.com", true },
  { "rcmurphy.com", true },
  { "rcnitrotalk.com", true },
  { "rcraigmurphy.com", true },
  { "rcraigmurphy.net", true },
  { "rcsolutions.nl", true },
  { "rct.sk", true },
  { "rdfproject.it", true },
  { "rdl.at", false },
  { "rdmrotterdam.nl", true },
  { "rdmtaxservice.com", true },
  { "rdns.cc", true },
  { "rdwh.tech", true },
  { "re-curi.com", true },
  { "re-engines.com", true },
  { "reachhead.com", true },
  { "reachrss.com", true },
  { "reaconverter.com", true },
  { "react-db.com", true },
  { "reactivarte.es", true },
  { "reactive-press.com", true },
  { "read.sc", true },
  { "reades.co.uk", true },
  { "readheadcopywriting.com", true },
  { "readify.com.au", true },
  { "readingandmath.org", true },
  { "readingrats.de", true },
  { "readism.io", true },
  { "readonly.de", true },
  { "readouble.com", false },
  { "readtldr.com", true },
  { "readysell.net", true },
  { "readytongue.com", true },
  { "readytowear.es", true },
  { "reaganlibrary.gov", true },
  { "reakyaweso.me", true },
  { "real-digital.co.uk", true },
  { "real-it.nl", true },
  { "realcapoeira.ru", true },
  { "realestateonehowell.com", true },
  { "realestateradioshow.com", true },
  { "realfamilyincest.com", true },
  { "realfreedom.city", true },
  { "realgarant-shop.de", false },
  { "realhorsegirls.net", true },
  { "realhost.name", true },
  { "realhypnosistraining.com.au", true },
  { "realitea.co.uk", true },
  { "reality.news", true },
  { "reality0ne.com", false },
  { "realitycrazy.com", true },
  { "reallifeforums.com", true },
  { "realloc.me", true },
  { "really-simple-plugins.com", true },
  { "really-simple-ssl.com", true },
  { "really.ai", true },
  { "really.io", true },
  { "reallyreally.io", true },
  { "realme.govt.nz", true },
  { "realmofespionage.xyz", true },
  { "realoteam.ddns.net", true },
  { "realraghavgupta.com", true },
  { "realum.com", true },
  { "realum.de", true },
  { "realum.eu", true },
  { "realum.net", true },
  { "realvnc.help", true },
  { "realwaycome.com", true },
  { "realwildart.com", true },
  { "realworldholidays.co.uk", true },
  { "reancos.report", true },
  { "reanimated.eu", true },
  { "reath.me", true },
  { "reaven.nl", true },
  { "rebane2001.com", true },
  { "rebelessex.com", true },
  { "rebelrebel.com.au", true },
  { "rebelz.se", true },
  { "rebirthia.me", true },
  { "reboxetine.com", true },
  { "reboxonline.com", true },
  { "recantoshop.com", true },
  { "recantoshop.com.br", true },
  { "recapp.ch", true },
  { "receptionsbook.com", true },
  { "recepty.eu", false },
  { "rechenknaecht.de", true },
  { "recht-freundlich.de", true },
  { "rechtenliteratuurleiden.nl", false },
  { "rechtsanwaeltin-vollmer.de", true },
  { "rechtsanwalt-koeppen-feucht.de", true },
  { "rechtschreibpruefung24.de", true },
  { "recipea.com", true },
  { "recipex.ru", true },
  { "recipeyak.com", true },
  { "reckontalk.com", true },
  { "reclamebureau-ultrax.nl", true },
  { "reclametoolz.nl", true },
  { "reclusiam.net", true },
  { "recmon.hu", true },
  { "reco-studio.de", true },
  { "recolic.net", true },
  { "recommended.reviews", true },
  { "recompiled.org", true },
  { "recon-networks.com", true },
  { "recordeuropa.com", false },
  { "recoveringspirit.com", true },
  { "recoveryonline.org", true },
  { "recreation.gov", true },
  { "recreoviral.com", true },
  { "recruitmade.jp", true },
  { "recuerdafilms.com", true },
  { "recuperodatiraidfastec.it", true },
  { "recurly.com", true },
  { "recyclingpromotions.us", true },
  { "red-t-shirt.ru", true },
  { "red-trigger.net", true },
  { "red2fred2.com", true },
  { "redable.hosting", true },
  { "redable.nl", true },
  { "redactieco.nl", true },
  { "redb.cz", true },
  { "redballoonsecurity.com", true },
  { "redchat.cz", true },
  { "redcone.net", true },
  { "redcorus.com", true },
  { "redd.it", true },
  { "reddingo.at", true },
  { "reddingo.be", true },
  { "reddingo.ch", true },
  { "reddingo.com", true },
  { "reddingo.com.au", true },
  { "reddingo.de", true },
  { "reddingo.es", true },
  { "reddingo.eu", true },
  { "reddingo.fr", true },
  { "reddingo.it", true },
  { "reddingo.jp", true },
  { "reddingo.nl", true },
  { "reddingo.nz", true },
  { "reddingsbrigade-zwolle.nl", true },
  { "reddit2kindle.com", true },
  { "reddraggone9.com", true },
  { "rede-reim.de", true },
  { "rede-t.com", true },
  { "redelectrical.co.uk", true },
  { "redessantaluzia.com.br", true },
  { "redfox-infosec.de", true },
  { "redgatesoftware.co.uk", true },
  { "redgoose.ca", true },
  { "redhandedsecurity.com.au", true },
  { "redheeler.com.br", true },
  { "redicals.com", true },
  { "redigest.it", true },
  { "redir.me", true },
  { "redirect.fedoraproject.org", true },
  { "redirect.stg.fedoraproject.org", true },
  { "rediske.me", true },
  { "redit.com", true },
  { "redivis.com", true },
  { "redizoo.com", true },
  { "redletter.link", true },
  { "redlinelap.com", true },
  { "redlink.de", true },
  { "redneck-gaming.de", true },
  { "redneragenturen.org", true },
  { "rednsx.org", true },
  { "redporno.cz", true },
  { "redprice.by", true },
  { "redshield.co", true },
  { "redshiftlabs.com.au", true },
  { "redshoeswalking.net", true },
  { "redsicom.com", true },
  { "redstoner.com", true },
  { "redteam-pentesting.de", true },
  { "redwaterhost.com", true },
  { "redweek.com", true },
  { "redwoodpaddle.es", true },
  { "redwoodpaddle.pt", true },
  { "reed-sensor.com", true },
  { "reedloden.com", true },
  { "reegle.com", true },
  { "reepay.com", true },
  { "rees-carter.net", true },
  { "reevaappliances.co.uk", true },
  { "reevoo.com", true },
  { "reevu.net", true },
  { "reezer.org", true },
  { "ref1oct.nl", true },
  { "referdell.com", true },
  { "refficience.com", true },
  { "refill-roboter.de", true },
  { "reflectores.net", true },
  { "reflexions.co", true },
  { "refood-cascaiscpr.eu", true },
  { "reforesttheplanet.com", true },
  { "reformatreality.com", true },
  { "refresh-media.nl", true },
  { "refreshliving.us", true },
  { "refundo.cz", true },
  { "refundo.sk", true },
  { "regain.us", true },
  { "regalcapitalwi.com", true },
  { "regalosymuestrasgratis.com", true },
  { "reganclassics.co.uk", true },
  { "reganclassics.com", true },
  { "reganparty.com", true },
  { "regar42.fr", false },
  { "regenerapoint.it", true },
  { "regenerescence.com", true },
  { "regily.com", true },
  { "regime-anticellulite.com", true },
  { "regime-maigrir-vite.com", true },
  { "regimebonheur.com", true },
  { "regimecellulite.com", true },
  { "regiobeveland.nl", true },
  { "regionalbasementandcrawlspacerepair.com", true },
  { "regionalcoalition.org", true },
  { "regiosalland.nl", true },
  { "regiovertrieb.de", false },
  { "regisearch.co.uk", true },
  { "register.gov.uk", true },
  { "registerex.me", true },
  { "registerforevent.co.uk", true },
  { "registerra.nl", true },
  { "registrar.io", true },
  { "registrarplus.net", true },
  { "registrarplus.nl", true },
  { "registryplus.net", true },
  { "registryplus.nl", true },
  { "regmyr.se", true },
  { "regnix.net", true },
  { "regnr.info", true },
  { "regolithmedia.com", true },
  { "regoul.com", true },
  { "regraph.de", true },
  { "regulations.gov", true },
  { "reha-honpo.jp", true },
  { "rehabili-shigoto.com", true },
  { "rehabilitation.network", true },
  { "rehabmail.com", true },
  { "rehabphilippines.com", true },
  { "rehabthailand.com", true },
  { "rehabthailand.org", true },
  { "rei.codes", true },
  { "rei.ki", true },
  { "reichardt-home.goip.de", true },
  { "reichel-steinmetz.de", true },
  { "reichelt-cloud.de", true },
  { "reichl-online.net", true },
  { "reidasbombas.com", true },
  { "reiki-france.fr", true },
  { "reilly.io", true },
  { "reimaginebelonging.de", true },
  { "reimaginebelonging.org", true },
  { "reimann.me", true },
  { "reimers.de", true },
  { "reimu.ink", false },
  { "rein.kr", true },
  { "reinaldudras.ee", true },
  { "reinaldudrasfamily.ee", true },
  { "reineberthe.ch", true },
  { "reinencaressa.be", true },
  { "reinfer.io", true },
  { "reinhard.codes", true },
  { "reinhardtsgrimma.de", true },
  { "reinierjonker.nl", true },
  { "reinoldus.ddns.net", true },
  { "reinout.nu", true },
  { "reinouthoornweg.nl", true },
  { "reinventetoi.com", false },
  { "reisekosten-gorilla.com", true },
  { "reisenbauer.ee", true },
  { "reiseversicherung-werner-hahn.de", true },
  { "reishunger.de", true },
  { "rejahrehim.com", true },
  { "rejects.email", true },
  { "rejsehuskelisten.dk", true },
  { "rekisuta.com", true },
  { "reklamjog.hu", true },
  { "rekorsanat.com.tr", true },
  { "relates.link", true },
  { "relaxdom.net", true },
  { "relaxhavefun.com", true },
  { "relaxpointhyncice.cz", true },
  { "relaybox.io", true },
  { "release-monitoring.org", true },
  { "releasetimes.io", true },
  { "reliancebank.bank", true },
  { "reliant3sixty.com", true },
  { "religiousforums.com", true },
  { "relocatefeds.gov", false },
  { "rem0te.net", true },
  { "remambo.jp", true },
  { "remedi.tokyo", true },
  { "remedioparaherpes.com", true },
  { "remedios-caserospara.com", true },
  { "remedioscaserosparalacistitis.com", true },
  { "remejeanne.com", true },
  { "rememberthemilk.com", false },
  { "remi-saurel.com", true },
  { "remissan.com", true },
  { "remonti.info", true },
  { "remote.so", true },
  { "remoteham.com", true },
  { "remoteutilities.com", true },
  { "removalcellulite.com", true },
  { "removedrepo.com", true },
  { "remrol.ru", true },
  { "remszeitung.de", true },
  { "renaissanceplasticsurgery.net", true },
  { "renascentia.asia", true },
  { "renaultclubticino.ch", true },
  { "renderloop.com", true },
  { "rene-schwarz.com", true },
  { "rene-stolp.de", true },
  { "renearends.nl", true },
  { "reneleu.ch", true },
  { "renemayrhofer.com", true },
  { "reneschmidt.de", true },
  { "renewablefreedom.org", true },
  { "renewed.technology", true },
  { "renewgsa.com", true },
  { "renewmedispa.com", true },
  { "renewpfc.com", true },
  { "renezuo.com", true },
  { "renkenlaw.com", true },
  { "renlen.nl", true },
  { "rennfire.org", true },
  { "renov8sa.co.za", true },
  { "renovum.es", true },
  { "renrenche.com", false },
  { "rens.nu", true },
  { "rent-a-c.io", true },
  { "rent-a-coder.de", true },
  { "rentacaramerica.com", true },
  { "rentasweb.gob.ar", true },
  { "renthelper.us", true },
  { "rentinsingapore.com.sg", true },
  { "rentourhomeinprovence.com", true },
  { "renuo.ch", true },
  { "renxinge.cn", true },
  { "reorz.com", true },
  { "reox.at", false },
  { "repaik.com", true },
  { "repair.by", true },
  { "repaper.org", true },
  { "repaxan.com", true },
  { "replicaswiss.nl", true },
  { "repo.ml", true },
  { "report-uri.com", true },
  { "reporting.gov", true },
  { "reproduciblescience.org", true },
  { "reproductive-revolution.com", true },
  { "reproductiverevolution.com", true },
  { "reprogramming-predators.com", true },
  { "reprogrammingpredators.com", true },
  { "reprozip.org", true },
  { "repsomelt.com", true },
  { "reptilauksjonen.no", true },
  { "reptrax.com", true },
  { "republic.gr", true },
  { "republictelecom.net", true },
  { "republique.org", true },
  { "repugnant-conclusion.com", true },
  { "repugnantconclusion.com", true },
  { "repustate.com", true },
  { "reqrut.net", true },
  { "request-trent.com", true },
  { "requestr.co.uk", true },
  { "res-kc.com", true },
  { "resama.eu", true },
  { "rescms-secure.com", true },
  { "research-panel.jp", true },
  { "research.facebook.com", false },
  { "researchgate.net", true },
  { "reseausyndic.ca", true },
  { "reservar-un-hotel.com", true },
  { "reservetonshift.com", true },
  { "reservoirtp.fr", true },
  { "resfriatech.com.br", true },
  { "residence-simoncelli.com", true },
  { "resist.ca", true },
  { "resolvefa.co.uk", true },
  { "resolvefa.com", true },
  { "resolving.com", true },
  { "resoplus.ch", true },
  { "resortohshima.com", true },
  { "resourceconnect.com", true },
  { "resourceguruapp.com", true },
  { "resources.flowfinity.com", true },
  { "respectmyprivacy.eu", true },
  { "respectmyprivacy.net", true },
  { "respectmyprivacy.nl", true },
  { "respon.jp", true },
  { "responer.com", true },
  { "responsibledisclosure.nl", false },
  { "respostas.com.br", true },
  { "ressl.ch", true },
  { "restaurant-oregano.de", true },
  { "restaurant-rosengarten.at", true },
  { "restaurantemiperu.com", true },
  { "restaurantguru.com", true },
  { "restauranttester.at", true },
  { "rester-a-domicile.ch", true },
  { "rester-autonome-chez-soi.ch", true },
  { "restoran-radovce.me", true },
  { "restorethegulf.gov", true },
  { "restoruns.com", true },
  { "restoruns.xyz", true },
  { "restrealitaet.de", true },
  { "restrito.org", true },
  { "resultsdate.news", true },
  { "resursedigitale.ro", true },
  { "retefarmaciecostadamalfi.it", true },
  { "retetenoi.net", true },
  { "retetop95.it", true },
  { "reticon.de", true },
  { "retireyourpassword.org", true },
  { "retmig.dk", true },
  { "reto.ch", true },
  { "reto.com", true },
  { "retogroup.com", true },
  { "retokromer.ch", true },
  { "retro.rocks", true },
  { "retro.sx", true },
  { "retroarms.com", true },
  { "retroarms.cz", true },
  { "retrocdn.net", true },
  { "retrofitlab.com", true },
  { "retroity.net", true },
  { "retropage.co", true },
  { "retroroundup.com", true },
  { "retrotracks.net", true },
  { "retrovideospiele.com", true },
  { "reucon.com", true },
  { "reulitz.de", true },
  { "reuna.me", true },
  { "reussirsavie.info", true },
  { "reuter-profishop.de", true },
  { "reuter-shop.com", true },
  { "reuter.de", true },
  { "revamed.com", false },
  { "revapost.fr", true },
  { "revayd.net", true },
  { "revensoftware.com", true },
  { "reverencestudios.com", true },
  { "reverseaustralia.com", true },
  { "reversecanada.com", true },
  { "reverseloansolutions.com", true },
  { "reversesouthafrica.com", true },
  { "review.jp", true },
  { "reviewninja.net", true },
  { "revision.co.zw", true },
  { "revisionnotes.xyz", true },
  { "revisit.date", true },
  { "revivalinhisword.com", true },
  { "revivingtheredeemed.org", true },
  { "revlect.com", true },
  { "revolt.tv", true },
  { "revthefox.co.uk", true },
  { "rewardingexcellence.com", true },
  { "rewrite3.com", true },
  { "rex.st", true },
  { "rex.tc", true },
  { "rexdf.net", true },
  { "rezept-planer.de", true },
  { "rezexpert.com", true },
  { "rezosup.net", true },
  { "rezosup.org", true },
  { "rezultant.ru", true },
  { "rezun.cloud", true },
  { "rfeif.org", true },
  { "rftoon.com", true },
  { "rfxanalyst.com", true },
  { "rga.sh", true },
  { "rgavmf.ru", true },
  { "rgbinnovation.com", true },
  { "rgcomportement.fr", true },
  { "rgservers.com", true },
  { "rhd-instruments.com", true },
  { "rhd-instruments.de", true },
  { "rhees.nl", true },
  { "rhein-liebe.de", true },
  { "rheinneckarmetal.com", true },
  { "rheinturm.nrw", true },
  { "rheocube.com", true },
  { "rhese.net", true },
  { "rhetthenckel.com", true },
  { "rheuma-online.de", true },
  { "rhevelo.com", true },
  { "rhinelander.ca", true },
  { "rhinoceroses.org", true },
  { "rhiskiapril.com", true },
  { "rhnet.at", true },
  { "rhodenmanorcattery.co.uk", true },
  { "rhodes.ml", true },
  { "rhodesianridgeback.com.br", true },
  { "rhodri.io", true },
  { "rhowell.io", true },
  { "rhymeswithmogul.com", true },
  { "rhymix.org", true },
  { "rhynl.io", true },
  { "riajenaka.com", true },
  { "rial.space", true },
  { "ribs.com", true },
  { "ricardo.nu", true },
  { "ricardobalk.nl", true },
  { "ricaud.me", true },
  { "riccardopiccioni.it", true },
  { "riccy.org", true },
  { "riceadvice.info", true },
  { "richardbloomfield.blog", true },
  { "richardhering.de", true },
  { "richardjgreen.net", true },
  { "richardlangworth.com", true },
  { "richardlugten.nl", true },
  { "richardrblocker.net", true },
  { "richardson.engineering", true },
  { "richardson.pictures", true },
  { "richardson.software", true },
  { "richardson.systems", true },
  { "richardwarrender.com", true },
  { "richie.fi", true },
  { "richie.link", true },
  { "richmtdriver.com", true },
  { "richonrails.com", true },
  { "ricketyspace.net", true },
  { "ricki-z.com", true },
  { "ricknox.com", true },
  { "rickrongen.nl", true },
  { "rickscastles.co.uk", true },
  { "rickvanderzwet.nl", true },
  { "rickweijers.nl", true },
  { "ricky.capital", false },
  { "rickyromero.com", true },
  { "rico.ovh", true },
  { "ricobaldegger.ch", true },
  { "ricochet.im", true },
  { "ricozienke.de", true },
  { "riddims.co", true },
  { "ride-up.com", true },
  { "rideyourdamn.bike", true },
  { "ridingboutique.de", true },
  { "riederle.com", true },
  { "rienasemettre.fr", true },
  { "riesenweber.id.au", true },
  { "riesheating.com", true },
  { "riffreporter.de", true },
  { "rift.pictures", true },
  { "rigabeerbike.com", true },
  { "rigabeerbike.lv", true },
  { "righettod.eu", true },
  { "righini.ch", true },
  { "rightbrain.training", true },
  { "rightcapital.com", true },
  { "rightnetworks.com", true },
  { "rightstuff.link", true },
  { "righttobuy.gov.uk", true },
  { "rigolitch.fr", true },
  { "rigsalesaustralia.com", true },
  { "rijk-catering.nl", false },
  { "rijsinkunst.nl", true },
  { "rile5.com", true },
  { "rileyevans.co.uk", true },
  { "rimax.vn", true },
  { "rimcountrymuseum.org", true },
  { "rimeto.io", true },
  { "rimo.site", true },
  { "ring.com", true },
  { "ringingliberty.com", true },
  { "ringjewellery.co.uk", true },
  { "rinj.se", true },
  { "rinvex.com", true },
  { "rio-weimar.de", true },
  { "rioshop.com.br", true },
  { "rip-sport.cz", true },
  { "ripaton.fr", true },
  { "ripmixmake.org", true },
  { "ripple.com", true },
  { "riqy86.nl", true },
  { "risada.nl", true },
  { "risaphuketproperty.com", true },
  { "riscascape.net", true },
  { "rischard.org", true },
  { "rise-technologies.com", true },
  { "riseup.net", true },
  { "rishikeshyoga.in", true },
  { "risi-china.com", true },
  { "risiinfo.com", true },
  { "riskmitigation.ch", true },
  { "risparmiare.info", true },
  { "rissato.com.br", true },
  { "ristioja.ee", true },
  { "ristoarea.it", true },
  { "ristorantefattoamano.eu", true },
  { "ristorantefattoamano.it", true },
  { "ristoviitanen.fi", true },
  { "ristrutturazioneappartamento.roma.it", true },
  { "rittau.biz", true },
  { "rittau.org", true },
  { "ritzlux.com.tw", true },
  { "rivaforum.de", true },
  { "rivalsa.cn", true },
  { "rivastation.de", true },
  { "riverbanktearooms.co.uk", true },
  { "riverford.co.uk", true },
  { "rivermist.com.au", true },
  { "riversideradio.nl", true },
  { "riverviewcourtapts.com", true },
  { "riverweb.gr", true },
  { "rivierasaints.ch", true },
  { "rivus.net", true },
  { "rivy.org", true },
  { "rix.ninja", true },
  { "rixter.com", true },
  { "rizalpalawan.gov.ph", true },
  { "rizospastis.gr", true },
  { "rj-onderneemt.nl", true },
  { "rkc-hygrotherm.de", true },
  { "rkfp.cz", true },
  { "rkmedia.no", true },
  { "rlalique.com", true },
  { "rld.org", true },
  { "rlds.ch", true },
  { "rleeden.servehttp.com", true },
  { "rleh.de", true },
  { "rlnunez.com", true },
  { "rm-it.de", true },
  { "rmb.li", true },
  { "rmcbs.de", true },
  { "rmf.io", true },
  { "rmit.me", true },
  { "rmk.si", true },
  { "rmmanfredi.com", true },
  { "rmpsolution.de", true },
  { "rmrig.org", true },
  { "rms.sexy", true },
  { "rmsides.com", true },
  { "rmstudio.tw", true },
  { "rmsupply.nl", true },
  { "rnag.ie", true },
  { "rnb-storenbau.ch", true },
  { "rngmeme.com", true },
  { "rnt.cl", true },
  { "ro.search.yahoo.com", false },
  { "roaddoc.de", true },
  { "roadguard.nl", true },
  { "roadtopgm.com", true },
  { "roams.es", true },
  { "roave.com", true },
  { "rob.uk.com", true },
  { "rob006.net", true },
  { "robandjanine.com", true },
  { "robbertt.com", false },
  { "robdavidson.network", true },
  { "robert-flynn.de", true },
  { "robertattfield.com", true },
  { "robertbln.com", true },
  { "robertg.me", true },
  { "robertglastra.com", true },
  { "roberthurlbut.com", true },
  { "robertkrueger.de", true },
  { "robertlysik.com", true },
  { "robertnemec.com", true },
  { "robertocasares.no-ip.biz", true },
  { "robertoentringer.com", true },
  { "robertof.ovh", true },
  { "robertopazeller.ch", true },
  { "robertreiser.photography", true },
  { "robertrijnders.nl", true },
  { "robhorstmanshof.nl", true },
  { "robicue.com", true },
  { "robin-novotny.com", true },
  { "robin.co.kr", true },
  { "robin.info", true },
  { "robinadr.com", true },
  { "robinevandenbos.nl", true },
  { "robinflikkema.nl", true },
  { "robinhoodbingo.com", true },
  { "robinlinden.eu", true },
  { "robinsonstrategy.com", true },
  { "robinsonyu.com", true },
  { "robinwinslow.uk", true },
  { "robjager-fotografie.nl", true },
  { "robocop.no", true },
  { "robodeidentidad.gov", true },
  { "robohash.org", true },
  { "robokits.co.in", true },
  { "robot.car", true },
  { "robotattack.org", true },
  { "roboth.am", true },
  { "robotham.org", true },
  { "robototes.com", true },
  { "robots-ju.ch", true },
  { "robottip.com", true },
  { "robpol86.com", true },
  { "robspc.repair", true },
  { "robspeed.rocks", true },
  { "robu.in", true },
  { "robud.info", true },
  { "robustac.com", true },
  { "rocka.me", true },
  { "rockagogo.com", true },
  { "rockbankland.com.au", true },
  { "rockcanyonbank.com", true },
  { "rockcellar.ch", true },
  { "rockenfuerlachenhelfen.de", true },
  { "rocket-wars.de", true },
  { "rocketevents.com.au", true },
  { "rocketgnomes.com", true },
  { "rocketr.net", true },
  { "rockfax.com", true },
  { "rockhounds.co.za", true },
  { "rockinronniescastles.co.uk", true },
  { "rockitinflatables.co.uk", true },
  { "rockpesado.com.br", true },
  { "rockthebabybump.com", true },
  { "rockuse.com.br", true },
  { "rockymountainspice.com", true },
  { "rocssti.net", true },
  { "rodab.party", true },
  { "rodafe.sk", true },
  { "rodarion.pl", true },
  { "roddis.net", true },
  { "rodeobull.biz", true },
  { "rodeohire.com", true },
  { "rodeosales.co.uk", true },
  { "rodevlaggen.nl", true },
  { "rodichi.net", true },
  { "rodinnebyvanie.eu", true },
  { "rodinneodpoledne2018.cz", true },
  { "rodolfo.gs", true },
  { "rodomonte.org", true },
  { "rodrigocarvalho.blog.br", true },
  { "rody-design.com", true },
  { "rodzina-kupiec.eu.org", true },
  { "roeckx.be", true },
  { "roeitijd.nl", true },
  { "roelbazuin.com", true },
  { "roeldevries.me", true },
  { "roeleveld.nl", true },
  { "roelhollander.eu", true },
  { "roelof.io", true },
  { "roelsworld.eu", true },
  { "roemhild.de", true },
  { "roerstaafjes.nl", true },
  { "roffe.nu", true },
  { "rofl.com.ua", true },
  { "roflcopter.fr", true },
  { "rofrank.space", true },
  { "rogagym.com", true },
  { "roger101.com", true },
  { "rogerhub.com", true },
  { "rogerriendeau.ca", true },
  { "rogersaam.ch", true },
  { "rogersremovals.co.uk", true },
  { "rogersvilleumc.org", true },
  { "rognhaugen.no", true },
  { "rogoff.xyz", true },
  { "rogue-e.xyz", true },
  { "roguefinancial.com", true },
  { "roguefortgame.com", true },
  { "roguesignal.net", true },
  { "roguetechhub.org", true },
  { "rohankrishnadev.in", true },
  { "rohedaten.de", true },
  { "rohitagr.com", true },
  { "rointe.online", true },
  { "roiscroll.com", true },
  { "roka9.de", true },
  { "rokki.ch", true },
  { "rokort.dk", true },
  { "roksolana.be", true },
  { "rokudenashi.de", true },
  { "roland.io", true },
  { "rolandreed.cn", true },
  { "roligprylar.se", true },
  { "rollatorweb.nl", true },
  { "rollercoasteritalia.it", true },
  { "rolleyes.org", true },
  { "rollingbarge.com", true },
  { "rolliwelt.de", true },
  { "rolodato.com", true },
  { "roma-servizi.it", true },
  { "romab.com", true },
  { "roman-pavlik.cz", true },
  { "romande-entretien.ch", true },
  { "romanmichel.de", true },
  { "romano.guru", true },
  { "romanpavlodar.kz", true },
  { "romantelychko.com", true },
  { "romantic-quotes.co.uk", true },
  { "romantica-hotel.de", true },
  { "romanticschemer.com", true },
  { "romanticsexshopguatemala.com", true },
  { "romapa.com", true },
  { "romar-bos.nl", true },
  { "romarin.es", true },
  { "romaservicegroup.it", true },
  { "rome.dating", true },
  { "rommelwood.de", true },
  { "roms.fun", true },
  { "ronanrbr.com", true },
  { "rondommen.nl", true },
  { "rondouin.fr", true },
  { "rondreis-amerika.be", true },
  { "rondreis-schotland.nl", true },
  { "roninf.ch", true },
  { "ronnylindner.de", true },
  { "ronomon.com", true },
  { "roodfruit.studio", true },
  { "roof.ai", false },
  { "roofingomaha.com", true },
  { "roofsandbasements.com", true },
  { "rook-playz.net", true },
  { "room-composite.com", true },
  { "room208.org", true },
  { "room2d.com", true },
  { "room3b.eu", true },
  { "roombase.nl", true },
  { "roomhub.jp", true },
  { "roomongo.com", true },
  { "rooneytours.nl", true },
  { "roopakv.com", true },
  { "roosabels.nl", false },
  { "roosteroriginals.com", false },
  { "roosterpgplus.nl", true },
  { "root-space.eu", true },
  { "root.bg", true },
  { "root.eu.org", true },
  { "rootcamp.net", true },
  { "rootcommand.com", true },
  { "rootear.com", true },
  { "rootedlifemontessori.com", true },
  { "rootkea.me", true },
  { "rootlair.com", true },
  { "roots-example-project.com", true },
  { "roots.io", true },
  { "rootsandrain.com", true },
  { "rootsbar.fr", true },
  { "rootscope.co.uk", true },
  { "rootspersona.com", true },
  { "rootswitch.com", true },
  { "rootusers.com", true },
  { "ropd.info", true },
  { "roryneville.com", true },
  { "rosabellas.co.uk", true },
  { "rosbass.ru", true },
  { "rose-prism.org", true },
  { "rosehosting.reviews", true },
  { "roseitsolutions.co.uk", true },
  { "roseitsolutions.uk", true },
  { "roseliere.ch", true },
  { "roseliere.com", true },
  { "roseluna.com", true },
  { "rosemariefloydballet.com", true },
  { "rosenheimsingles.de", true },
  { "rosenkeller.org", true },
  { "roseofyork.com", true },
  { "roseofyorkbooking.com", true },
  { "roseparkhouse.com", true },
  { "rosesciences.com", true },
  { "rosetiger.life", true },
  { "rosevillefacialplasticsurgery.com", true },
  { "rosewoodranch.com", true },
  { "roslynpad.net", true },
  { "rosset.me", true },
  { "rosset.net", true },
  { "rossfrancis.co.uk", true },
  { "rosslug.org.uk", true },
  { "rostov-avia.ru", true },
  { "rot47.net", true },
  { "rotek.at", true },
  { "rothe.io", true },
  { "rothkranz.net", true },
  { "rothnater.ch", true },
  { "rotkreuzshop.de", true },
  { "rotol.me", true },
  { "rottweil-hilft.de", true },
  { "rotunneling.net", true },
  { "rotzonline.com", true },
  { "rougechocolat.fr", true },
  { "roughcopy.com.au", true },
  { "roughgrain.com", true },
  { "roulinfo.ch", true },
  { "roulons-autrement.com", true },
  { "rounda.it", true },
  { "roundaboutweb.info", true },
  { "roundcube.mayfirst.org", false },
  { "roussos.cc", true },
  { "rout0r.org", true },
  { "route-wird-berechnet.de", true },
  { "routeragency.com", true },
  { "routerclub.ru", true },
  { "routercncperu.com", true },
  { "routetracker.co", true },
  { "rove3d.com", true },
  { "rowancasting.ie", true },
  { "rowankaag.nl", true },
  { "rowlog.com", true },
  { "rows.io", true },
  { "roxiesbouncycastlehire.co.uk", true },
  { "roxtri.cz", true },
  { "royal-rangers.de", true },
  { "royalacademy.org.uk", true },
  { "royalbluewa3.cc", true },
  { "royalcitytaxi.ca", true },
  { "royalcitytaxi.com", true },
  { "royalmarinesassociation.org.uk", true },
  { "royalnissanparts.com", true },
  { "royalpalacenogent.fr", true },
  { "royalrangers.fi", true },
  { "royalty-market.com", true },
  { "royceandsteph.com", true },
  { "roycewilliams.net", true },
  { "rozalynne-dawn.ga", true },
  { "rozhodce.cz", true },
  { "rpadovani.com", true },
  { "rpgmaker.es", true },
  { "rpherbig.com", true },
  { "rphl.net", true },
  { "rpine.net", true },
  { "rpmdrivingschool.com.au", true },
  { "rpus.co", true },
  { "rpy.xyz", true },
  { "rq-labo.jp", true },
  { "rr105.de", true },
  { "rraesthetics.com", true },
  { "rrdesignsuisse.com", true },
  { "rrg-partner.ch", true },
  { "rring.me", true },
  { "rritv.com", true },
  { "rro.rs", true },
  { "rrom.me", true },
  { "rrudnik.com", true },
  { "rrwolfe.com", true },
  { "rsap.ca", true },
  { "rsauget.fr", true },
  { "rsgcard.com", true },
  { "rsingermd.com", true },
  { "rskuipers.com", true },
  { "rsl.gd", true },
  { "rsm-liga.de", true },
  { "rsmmail.com", true },
  { "rsp-blogs.de", true },
  { "rss.sh", false },
  { "rsships.com", true },
  { "rssr.se", true },
  { "rsttraining.co.uk", true },
  { "rsvaachen.de", true },
  { "rsync.eu", false },
  { "rtate.ca", true },
  { "rtate.se", true },
  { "rtcx.net", true },
  { "rtd.uk.com", true },
  { "rte2fm.ie", true },
  { "rteaertel.ie", true },
  { "rtechservices.io", true },
  { "rteinternational.ie", true },
  { "rtejr.ie", true },
  { "rtek.se", false },
  { "rtenews.eu", true },
  { "rteone.ie", true },
  { "rteplayer.com", true },
  { "rtesport.eu", true },
  { "rtfpessoa.xyz", true },
  { "rtrappman.com", true },
  { "rtrinflatables.co.uk", true },
  { "rtsr.ch", true },
  { "rtwcourse.com", true },
  { "rtzoeller.com", true },
  { "ru-sprachstudio.ch", true },
  { "ru.search.yahoo.com", false },
  { "ruaneattorneys.com", true },
  { "ruanmi.de", true },
  { "rubberfurs.org", true },
  { "rubberlegscastles.co.uk", true },
  { "rubbermaidoutlet.com", true },
  { "rubbleremovalsbenoni.co.za", true },
  { "rubenbarbero.com", true },
  { "rubenkruisselbrink.nl", true },
  { "rubens.cloud", true },
  { "rublacklist.net", true },
  { "ruby-auf-schienen.de", true },
  { "rubyist.today", true },
  { "rubymartin.com.au", true },
  { "rubyquincunx.com", true },
  { "rubyquincunx.org", true },
  { "rubytune.com", true },
  { "rucksack-rauf-und-weg.de", true },
  { "ruckzuck-privatpatient.de", true },
  { "rucnerobene.eu", true },
  { "ruconsole.com", true },
  { "rud.is", true },
  { "rudd-o.com", true },
  { "rudelune.fr", true },
  { "ruderverein-gelsenkirchen.de", true },
  { "rudewiki.com", true },
  { "rudloff.pro", true },
  { "rudolph.life", true },
  { "rudolphmarketing.com", true },
  { "rudrastyh.com", true },
  { "ruediger-voigt.eu", true },
  { "ruedigervoigt.de", true },
  { "ruedirrenggli.ch", true },
  { "rueduparticulier.tk", true },
  { "rueg.eu", true },
  { "ruerte.net", true },
  { "rufabula-com.appspot.com", true },
  { "ruffbeatz.com", true },
  { "rugby.video", true },
  { "rugk.dedyn.io", true },
  { "ruh-veit.de", true },
  { "ruhrmobil-e.de", true },
  { "ruhrnalist.de", true },
  { "ruht.ro", true },
  { "ruigomes.me", true },
  { "ruiming.me", true },
  { "ruin.one", true },
  { "ruiruigeblog.com", true },
  { "ruk.ca", true },
  { "rullzer.com", true },
  { "rulu.co", true },
  { "rulu.tv", true },
  { "rulutv.com", true },
  { "rummage4property.co.uk", true },
  { "rummel-platz.de", true },
  { "rumplesinflatables.co.uk", true },
  { "rumtaste.com", true },
  { "rumtaste.de", true },
  { "run-it-direct.co.uk", true },
  { "runagain.ch", true },
  { "runebet.com", true },
  { "runklesecurity.com", true },
  { "runreport.fr", true },
  { "runschrauger.com", true },
  { "runvs.io", true },
  { "ruobiyi.com", true },
  { "ruobr.ru", true },
  { "ruquay.com", true },
  { "ruri.io", false },
  { "rusempire.ru", true },
  { "rushball.net", true },
  { "rushiiworks.com", true },
  { "rushpoppershop.co.uk", true },
  { "rushyo.com", true },
  { "rusi-ns.ca", true },
  { "ruskod.net", true },
  { "rusl.net", true },
  { "rusmolotok.ru", true },
  { "russellupevents.co.uk", true },
  { "russia.dating", true },
  { "russianorthodoxchurch.co.uk", true },
  { "russpuss.ru", true },
  { "russt.me", true },
  { "rust.mn", true },
  { "rustable.com", true },
  { "rustyrambles.com", true },
  { "rusxakep.com", true },
  { "rutgerschimmel.nl", true },
  { "rutiger.com", true },
  { "ruudkoot.nl", true },
  { "ruwhof.net", true },
  { "ruyatabirleri.com", true },
  { "rva-asbestgroep.nl", true },
  { "rvender.cz", true },
  { "rvnoel.net", true },
  { "rvoigt.eu", true },
  { "rvsa2bevestigingen.nl", true },
  { "rvsa4bevestigingen.nl", true },
  { "rvsbevestigingen.nl", true },
  { "rw.search.yahoo.com", false },
  { "rwky.net", true },
  { "rws-vertriebsportal.de", true },
  { "rwx.ovh", true },
  { "rx-contact.com", false },
  { "rxbn.de", true },
  { "rxbusiness.com", true },
  { "rxcheck.com", true },
  { "rxgroup.io", true },
  { "rxight.com", true },
  { "ryan-goldstein.com", true },
  { "ryanbritton.com", true },
  { "ryancarter.co.uk", true },
  { "ryanhowell.io", false },
  { "ryankearney.com", false },
  { "ryanmcdonough.co.uk", false },
  { "ryanroberts.co.uk", true },
  { "ryansmithphotography.com", true },
  { "ryazan-region.ru", true },
  { "rybox.info", true },
  { "rychlikoderi.cz", true },
  { "ryejuice.sytes.net", true },
  { "rylore.com", true },
  { "rynekpierwotny.pl", true },
  { "ryois.me", true },
  { "ryu22e.org", true },
  { "ryuu.es", true },
  { "ryzhov.me", true },
  { "rzentarzewski.net", true },
  { "s-a.xyz", true },
  { "s-c.se", true },
  { "s-cubed.net", true },
  { "s-huset.dk", true },
  { "s-ip-media.de", true },
  { "s-mainte.com", true },
  { "s-mdb.com", true },
  { "s-n-unso.com", true },
  { "s-pegasus.com", true },
  { "s-s-paint.com", true },
  { "s007.co", true },
  { "s0laris.co.uk", true },
  { "s10y.eu", true },
  { "s13d.fr", true },
  { "s16e.no", true },
  { "s1mplescripts.de", true },
  { "s2member.com", true },
  { "s3cases.com", true },
  { "s3cur3.it", true },
  { "s3gfault.com", true },
  { "s3robertomarini.it", true },
  { "s404.de", true },
  { "s44.eu", true },
  { "s4tips.com", true },
  { "s4ur0n.com", true },
  { "s8a.us", true },
  { "s95.de", true },
  { "sa-blog.net", true },
  { "sa-mp.ro", true },
  { "sa.net", true },
  { "saabpartsdistribution.com", true },
  { "saamhorigheidsfonds.nl", false },
  { "saba-piserver.info", true },
  { "sabahattin-gucukoglu.com", true },
  { "sabe.cz", true },
  { "sabrinajoias.com.br", true },
  { "sabrinajoiasprontaentrega.com.br", true },
  { "sacaentradas.com", true },
  { "saccani.net", true },
  { "sackers.com", true },
  { "sackmesser.ch", true },
  { "saclier.at", true },
  { "sacprincesse.com", true },
  { "sacred-knights.net", true },
  { "sadbox.es", true },
  { "sadbox.org", true },
  { "sadbox.xyz", true },
  { "sadhawkict.org", true },
  { "sadmansh.com", true },
  { "saenforcement.agency", true },
  { "saengsook.com", true },
  { "saengsuk.com", true },
  { "safar.sk", true },
  { "safari-afrique.com", true },
  { "safaritenten.nl", true },
  { "safcstore.com", true },
  { "safe.space", true },
  { "safebaseflorida.com", true },
  { "safebasements.com", true },
  { "safebasementsnorthdakota.com", true },
  { "safebuyerscheme.co.uk", true },
  { "safecar.gov", false },
  { "safeex.com", true },
  { "safegold.ca", true },
  { "safegroup.pl", true },
  { "safeinfra.nl", true },
  { "safejourney.education", true },
  { "safematix.com", true },
  { "safeme.ga", true },
  { "safeocs.gov", true },
  { "safer-networking.org", true },
  { "saferpost.com", true },
  { "safescan.com", true },
  { "safestore.io", true },
  { "safetext.me", true },
  { "safetycloud.me", true },
  { "safeui.com", true },
  { "safezone.cc", false },
  { "safire.ac.za", true },
  { "sagargandecha.com.au", true },
  { "sagedocumentmanager.com", true },
  { "sagemontchurch.org", true },
  { "sagerus.com", true },
  { "sagracefarms.com", true },
  { "sagsmarseille.com", true },
  { "sahajbooks.com", true },
  { "sahar.io", true },
  { "saharmassachi.com", true },
  { "sahb.dk", true },
  { "sahkotyot.eu", true },
  { "said.id", true },
  { "said.my.id", true },
  { "saier.me", true },
  { "saifoundation.in", true },
  { "saigonflowers.com", true },
  { "saigonstar.de", true },
  { "saikarra.com", true },
  { "saikou.moe", true },
  { "saikouji.tokushima.jp", true },
  { "sailingonward.com", true },
  { "sailormoonevents.org", true },
  { "saimoe.moe", true },
  { "saimoe.org", true },
  { "sainetworks.net", true },
  { "saintaardvarkthecarpeted.com", true },
  { "saintanthonyscorner.com", true },
  { "sainth.de", true },
  { "saintsrobotics.com", true },
  { "saintw.com", true },
  { "saipariwar.com", true },
  { "saiputra.com", true },
  { "saitrance.com", true },
  { "saiyasu-search.com", true },
  { "sajamstudija.info", true },
  { "sajdowski.de", true },
  { "sakaki.anime.my", false },
  { "sakostacloud.de", true },
  { "sakuraflores.com.br", true },
  { "salamon-it.de", false },
  { "salde.net", true },
  { "sale.sh", true },
  { "sale4ru.ru", true },
  { "saleaks.org", true },
  { "salensmotors-usedcars.be", true },
  { "salesflare.com", true },
  { "salesmachine.io", true },
  { "salexy.kz", true },
  { "salishseawhalewatching.ca", true },
  { "salixcode.com", true },
  { "salland1.nl", true },
  { "salle-quali.fr", true },
  { "sallydowns.name", true },
  { "salmo23.com.br", true },
  { "salmododia.net", true },
  { "salmonella.co.uk", true },
  { "salmonrecovery.gov", true },
  { "salmonvision.com.tw", true },
  { "salmos91.com", true },
  { "salmotierra-salvatierra.com", true },
  { "salon-claudia.ch", true },
  { "salon-minipli.de", true },
  { "salon.io", false },
  { "salon1.ee", true },
  { "salonestella.it", true },
  { "salonsantebienetre.ch", true },
  { "salrosadohimalaia.com", true },
  { "salsa-straubing.de", true },
  { "saltbythesea.com", true },
  { "saltercane.com", false },
  { "saltireconservation.com", true },
  { "saltro.nl", true },
  { "saltstack.cz", true },
  { "salud.top", false },
  { "saludsexualmasculina.org", true },
  { "saludsis.mil.co", true },
  { "salutethepig.com", true },
  { "salvaalocombia.com", true },
  { "salvagedfurnitureparlour.com", true },
  { "sam-football.fr", true },
  { "samanthasgeckos.com", true },
  { "samanthasicecream.com", true },
  { "samappleton.com", true },
  { "samara-avia.ru", true },
  { "samaritainsmeyrin.ch", true },
  { "samatva-yogalaya.com", true },
  { "samba.org", true },
  { "sambaa.com.br", true },
  { "sambaash.com", true },
  { "sambeso.net", true },
  { "samdev.io", true },
  { "samegoal.com", true },
  { "samegoal.org", true },
  { "samel.de", true },
  { "samenwerkingsportaal.nl", true },
  { "samenwerkingsportaal.tk", true },
  { "sameworks.com", true },
  { "samgrayson.me", true },
  { "samhuri.net", true },
  { "samifar.in", true },
  { "samizdat.cz", true },
  { "samkelleher.com", true },
  { "saml-gateway.org", true },
  { "sammyservers.com", true },
  { "samnya.cn", true },
  { "samsungmobile.it", true },
  { "samsungphonegenerator.xyz", true },
  { "samuel-dumont.be", true },
  { "samuelkeeley.com", true },
  { "samuellaulhau.fr", true },
  { "samui-samui.de", false },
  { "samuirehabcenter.com", true },
  { "samwilberforce.com", true },
  { "samwu.tw", false },
  { "samyerkes.com", true },
  { "san.ac.th", true },
  { "sana-store.com", true },
  { "sana-store.cz", true },
  { "sana-store.sk", true },
  { "sanasport.cz", true },
  { "sanasport.sk", true },
  { "sanatorii-sverdlovskoy-oblasti.ru", true },
  { "sanatorionosti.com.ar", true },
  { "sanchez.adv.br", true },
  { "sancy.de", true },
  { "sand-islets.de", true },
  { "sandalj.com", true },
  { "sandbagexpress.com", true },
  { "sandbox.mydigipass.com", false },
  { "sandburner.net", true },
  { "sanderdorigo.nl", true },
  { "sanderknape.com", true },
  { "sanderkoenders.eu", true },
  { "sanderkoenders.nl", true },
  { "sandervankasteel.nl", false },
  { "sandhaufen.tk", true },
  { "sandiegotown.com", true },
  { "sandmanintel.com", true },
  { "sandmarc.cz", true },
  { "sandobygg.se", true },
  { "sandogruppen.se", true },
  { "sandor.wtf", true },
  { "sandrainden.nl", true },
  { "sandraindenfotografie.nl", true },
  { "sandrocorapi.com", true },
  { "sandrolittke.de", true },
  { "sandtears.com", true },
  { "sandyrobsonhypnotherapy.co.uk", true },
  { "sanepsychologen.nl", true },
  { "sanex.ca", false },
  { "sanglierhurlant.fr", true },
  { "sangwon.io", true },
  { "sanilodge.com", true },
  { "sanipousse.com", true },
  { "sanitairwinkel.be", true },
  { "sanitairwinkel.com", true },
  { "sanitairwinkel.nl", true },
  { "sanmuding.com", true },
  { "sanpham-balea.org", true },
  { "sanradon.by", true },
  { "sanskritiyoga.com", true },
  { "sansonehowell.com", true },
  { "santafemacas.com.br", true },
  { "santenatureetcie.com", true },
  { "santevie.ch", true },
  { "santing.net", true },
  { "santojuken.co.jp", true },
  { "santoshpandit.com", true },
  { "sanvitolocapobus.com", true },
  { "saoneth.pl", true },
  { "saorsat.com", true },
  { "saorsat.ie", true },
  { "saorview.com", true },
  { "saorviewconnect.ie", true },
  { "saorviewconnected.ie", true },
  { "sapac.es", true },
  { "sapien-ci.com", true },
  { "sapience.com", true },
  { "sapindus.pl", true },
  { "sapk.fr", true },
  { "saposute-s.jp", true },
  { "sapphireblue.me", true },
  { "sapphirepearl.com.sg", true },
  { "sapprendre.ch", true },
  { "saprima.de", true },
  { "sarahbeckettharpist.com", true },
  { "sarahlicity.co.uk", false },
  { "sarahplusdrei.de", true },
  { "sarahvictor.co.uk", true },
  { "sarahwikeley.co.uk", true },
  { "sarariman.com", true },
  { "sarasturdivant.com", true },
  { "sardegnatirocini.it", true },
  { "sarink.eu", true },
  { "sarkarikhoj.com", true },
  { "saro.me", true },
  { "saronno5stelle.it", true },
  { "sarpsb.org", true },
  { "sarumtechnologies.com", true },
  { "sas-snowboarding.sk", true },
  { "sasanika.org", true },
  { "sash.pw", true },
  { "sashaokun.com", true },
  { "sashascollections.com", true },
  { "saskpension.com", true },
  { "sasrobotics.xyz", true },
  { "sastd.com", true },
  { "sasyabapi.com", true },
  { "sat4all.com", true },
  { "sat7a-riyadh.com", true },
  { "satai.dk", true },
  { "satal.in", true },
  { "satellites.hopto.me", true },
  { "saterdalen.net", true },
  { "satimagingcorp.com", true },
  { "satinn.pl", true },
  { "satmd.de", true },
  { "satoshinumbers.com", true },
  { "saturn.pl", true },
  { "satyanarayana.xyz", true },
  { "saudavel.com.vc", true },
  { "saudeealimentos.com", true },
  { "saudenoclique.com.br", true },
  { "sauer-systems.net", true },
  { "sauerbrey.eu", true },
  { "sauerland-schnittgruen.de", true },
  { "saulchristie.com", true },
  { "saumon-de-france.com", true },
  { "saumon-france.com", true },
  { "saumon.io", true },
  { "saumondefrance.fr", true },
  { "saumonfrance.fr", true },
  { "saunahats.eu", true },
  { "saunas.fr", true },
  { "saunatime.jp", true },
  { "saurel.me", true },
  { "sauvagebridge.nl", true },
  { "savageorgiev.com", true },
  { "savannahtasteexperience.com", true },
  { "save-me-aachen.de", true },
  { "save-me-koeln.de", true },
  { "savecrypto.org", true },
  { "savenet.org", true },
  { "saveora.com", true },
  { "saveora.shop", true },
  { "savetheinternet.eu", true },
  { "saveya.com", true },
  { "savic.com", true },
  { "saviezvousque.net", true },
  { "savingrecipe.com", true },
  { "savingsomegreen.com", true },
  { "savingsstoreonline.ca", true },
  { "savisasolutions.co.za", true },
  { "savvytime.com", true },
  { "sawyerroofing.com", true },
  { "saxeandthecity.com", true },
  { "saxojoe.co.uk", true },
  { "saxojoe.de", true },
  { "saxoncreative.com", true },
  { "saxwereld.nl", true },
  { "sayori.pw", true },
  { "sayprepay.com", true },
  { "sayura.net", true },
  { "saz.sh", true },
  { "sazuz.cz", true },
  { "sb-group.dk", true },
  { "sb-mnn.com", true },
  { "sb-tuning.ru", true },
  { "sb.im", true },
  { "sb.sb", true },
  { "sb0.io", true },
  { "sbanken.no", true },
  { "sber.us", true },
  { "sberbank.ch", true },
  { "sbf888.com", true },
  { "sbiewald.de", true },
  { "sbir.gov", true },
  { "sbirecruitment.co.in", true },
  { "sbit.com.br", true },
  { "sblum.de", true },
  { "sbo-dresden.de", true },
  { "sbr.red", true },
  { "sbrouwer.org", true },
  { "sbsavings.bank", true },
  { "sbsbaits.com", true },
  { "sbsnursery.co.uk", true },
  { "sbssoft.ru", true },
  { "sbytes.info", true },
  { "sc5.jp", true },
  { "scaffalature.roma.it", true },
  { "scalacollege.nl", true },
  { "scalaire.com", true },
  { "scalaire.fr", true },
  { "scalesbiolab.com", true },
  { "scaling.solutions", true },
  { "scallywagsbouncycastles.co.uk", true },
  { "scallywagskids.co.uk", true },
  { "scamblockplus.org", true },
  { "scandicom.fi", true },
  { "scandinavia.dating", true },
  { "scangeo.net", true },
  { "scanleasing.net", true },
  { "scanpay.dk", true },
  { "scarafaggio.it", true },
  { "scatsbouncingcastles.ie", true },
  { "scelec.com.au", true },
  { "scenastu.pl", true },
  { "scenester.tv", true },
  { "scenicbyways.info", true },
  { "scepticism.com", true },
  { "sceptique.eu", true },
  { "schadevergoedingen.eu", true },
  { "schaefer-reifen.de", true },
  { "schalkoortbv.nl", true },
  { "schallert.com", false },
  { "schamlosharmlos.de", true },
  { "schaper-sport.com", true },
  { "schatmeester.be", true },
  { "schatzibaers.de", true },
  { "schawe.me", true },
  { "scheemadigital.com", true },
  { "schefczyk.com", true },
  { "schefczyk.de", true },
  { "schefczyk.eu", true },
  { "schefczyk.net", true },
  { "scheidtweiler.de", true },
  { "scheinlichter.de", true },
  { "schelberts.de", true },
  { "schellevis.net", true },
  { "schenkes.de", true },
  { "scherfke.de", true },
  { "scheuchenstuel.at", true },
  { "schier.info", true },
  { "schil.li", true },
  { "schildbach.de", true },
  { "schillers-friedberg.de", true },
  { "schimmel-test.info", true },
  { "schippendale.de", true },
  { "schippers-it.nl", true },
  { "schizoids.net", true },
  { "schlabbi.com", false },
  { "schlachter.ca", true },
  { "schlaf.guru", true },
  { "schlafguru.com", true },
  { "schlagenhauf.info", true },
  { "schlagma.de", false },
  { "schlarp.com", true },
  { "schlechtewitze.com", true },
  { "schlossereieder.at", true },
  { "schlueter-software.de", true },
  { "schmaeh-coaching.ch", true },
  { "schmelle.me", true },
  { "schmelzle.io", true },
  { "schmetterlingsapp.at", true },
  { "schmid.tv", true },
  { "schmidthomes.com", true },
  { "schmidtplasticsurgery.com", true },
  { "schmitt-max.com", true },
  { "schmitz.link", true },
  { "schnapke.name", true },
  { "schnegg.name", true },
  { "schneider-electric.tg", true },
  { "schneids.me", true },
  { "schnellno.de", true },
  { "schnellsuche.de", true },
  { "schnouki.net", true },
  { "schnyder-werbung.ch", true },
  { "schoeck-elektro.de", true },
  { "schoepski.de", true },
  { "schoknecht.net", true },
  { "schoknecht.one", true },
  { "schokokeks.org", true },
  { "scholarly.com.ph", true },
  { "scholarly.ph", true },
  { "scholarnet.cn", true },
  { "scholierenvervoerzeeland.nl", true },
  { "schollbox.de", false },
  { "scholz-kallies.de", true },
  { "schont.org", true },
  { "school-register.co.za", true },
  { "school.in.th", true },
  { "schoolotzyv.ru", true },
  { "schoolsonice.nl", true },
  { "schoolze.com", false },
  { "schopenhauer-institut.de", true },
  { "schorel.ovh", true },
  { "schorelweb.nl", true },
  { "schorers.org", true },
  { "schoring.com", true },
  { "schraebanowicz.net", true },
  { "schrauger.com", true },
  { "schrauger.info", true },
  { "schrauger.net", true },
  { "schrauger.org", true },
  { "schrauger.run", true },
  { "schraugerrun.com", true },
  { "schreck-thomas.de", true },
  { "schreibers.ca", true },
  { "schreinerei-jahreis.de", true },
  { "schrenkinzl.at", true },
  { "schritt4fit.de", true },
  { "schrodingersscat.com", true },
  { "schrodingersscat.org", true },
  { "schroeder-immobilien-sundern.de", true },
  { "schroepfi.de", true },
  { "schrolm.de", true },
  { "schsrch.org", true },
  { "schsrch.xyz", true },
  { "schtiehve.duckdns.org", true },
  { "schubergphilis.com", true },
  { "schubertgmbh-ingelheim.de", true },
  { "schuhbedarf.de", true },
  { "schuhwerkstatt.at", true },
  { "schul-bar.de", true },
  { "schulderinsky.de", true },
  { "schuler.st", true },
  { "schulfotograf-deinfoto.ch", true },
  { "schull.ch", true },
  { "schultzflorists.com", true },
  { "schum.world", true },
  { "schumanandmonnet.eu", true },
  { "schummar.de", true },
  { "schunako.ch", true },
  { "schuppentier.org", true },
  { "schur-it.de", true },
  { "schurkenstaat.net", true },
  { "schutz-vor-schmutz.de", true },
  { "schutznetze24.de", false },
  { "schutzwerk.com", true },
  { "schwabenhaus-ka.de", true },
  { "schwanke.in", true },
  { "schwarzegar.de", true },
  { "schwarzer.it", true },
  { "schwarzes-muenchen.de", true },
  { "schwarzhenri.ch", true },
  { "schwarztrade.cz", true },
  { "schwarzwald-flirt.de", true },
  { "schwarzwaldcon.de", true },
  { "schwedenhaus.ag", true },
  { "schwerkraftlabor.de", true },
  { "schwinabart.com", true },
  { "schwinger.me", true },
  { "schwinnbike.ru", true },
  { "schwuppengrillen.de", true },
  { "sci-internet.tk", true },
  { "scicomm.xyz", true },
  { "science-anatomie.com", true },
  { "science-network.ch", true },
  { "science-questions.org", true },
  { "science-texts.de", true },
  { "science360.gov", true },
  { "scienceexploits.com", true },
  { "scienceminnesota.com", true },
  { "sciencesolutions.eu", true },
  { "sciencex.com", true },
  { "scientific.boston", true },
  { "scifi.fyi", true },
  { "scijinks.gov", true },
  { "scimage.com", true },
  { "scintilla.nl", true },
  { "scis.com.ua", true },
  { "scistarter.com", true },
  { "scitopia.me", true },
  { "scitopia.net", true },
  { "sckc.stream", false },
  { "sclns.co", true },
  { "scoolcode.com", true },
  { "scoop6.co.uk", true },
  { "scootaloo.co.uk", true },
  { "scooterservis.com", true },
  { "scootfleet.com", true },
  { "scorobudem.ru", true },
  { "scorocode.ru", true },
  { "scorp13.com", true },
  { "scottgruber.me", true },
  { "scottgthomas.com", true },
  { "scotthelme.co.uk", true },
  { "scottishcu.org", true },
  { "scottishseniorsgolf.com", true },
  { "scottseditaacting.com", true },
  { "scottstorey.co.uk", true },
  { "scottynordstrom.org", false },
  { "scoutdb.ch", true },
  { "scoutingridderkerk.nl", true },
  { "scoutingtungelroy.nl", true },
  { "scoutnet.de", true },
  { "scp-trens.notaires.fr", true },
  { "scp500.com", true },
  { "scpartyentertainment.co.uk", true },
  { "scpslgame.com", true },
  { "scrabble-solver.com", true },
  { "scramget.com", true },
  { "scramsoft.com", true },
  { "scrap.tf", true },
  { "scratchandscuffs.co.uk", true },
  { "scratchandscuffs.com", true },
  { "scratchandscuffs.uk", true },
  { "scrayos.net", true },
  { "scredible.com", true },
  { "screen64.tk", true },
  { "screenlight.tv", true },
  { "screenmachine.com", true },
  { "screenparadigm.com", true },
  { "scripo-bay.com", true },
  { "script.google.com", true },
  { "scripter.co", true },
  { "scriptgates.ru", true },
  { "scriptum.gr", true },
  { "scrisulfacebine.ro", true },
  { "scrod.me", true },
  { "scrumbleship.com", true },
  { "scrumplex.net", true },
  { "scrumstack.co.uk", true },
  { "scryfall.com", true },
  { "scs-simulatoren.de", true },
  { "scsd.si", true },
  { "scswam.com", true },
  { "sctrainingllc.com", true },
  { "scubadiving-phuket.com", true },
  { "scul.net", true },
  { "sculpture.support", true },
  { "scuolaguidalame.ch", true },
  { "scuters.club", true },
  { "scw.com", true },
  { "scw.nz", true },
  { "scwilliams.co.uk", true },
  { "scwilliams.uk", true },
  { "sd.af", true },
  { "sdcardrecovery.de", true },
  { "sdg-tracker.org", true },
  { "sdho.org", true },
  { "sdl-corporatesite-staging.azurewebsites.net", true },
  { "sdns.fr", true },
  { "sdocast.com", true },
  { "sdsi.us", true },
  { "sdsmanagement.me", true },
  { "sdsmt.engineering", true },
  { "sdvigpress.org", true },
  { "sdvx.net", true },
  { "sdxcentral.com", true },
  { "se-theories.org", true },
  { "se.search.yahoo.com", false },
  { "sea-godzilla.com", true },
  { "seacam-store.com", true },
  { "seafood.co.nz", true },
  { "seaholmwines.com", true },
  { "sealoffantasy.de", true },
  { "sealtitebasement.com", true },
  { "seamless.no", true },
  { "sean-wright.com", true },
  { "seanholcroft.co.uk", true },
  { "seaplayhomes.com", true },
  { "search-job-in.com", true },
  { "search-one.de", true },
  { "search.gov", true },
  { "search.yahoo.com", false },
  { "searchbrothers.at", true },
  { "searchbrothers.ch", true },
  { "searchbrothers.co.il", true },
  { "searchbrothers.com", true },
  { "searchbrothers.de", true },
  { "searchbrothers.dk", true },
  { "searchbrothers.es", true },
  { "searchbrothers.fr", true },
  { "searchbrothers.it", true },
  { "searchbrothers.nl", true },
  { "searchbrothers.ru", true },
  { "searchbrothers.uk", true },
  { "searchdatalogy.com", true },
  { "seareytraining.com", true },
  { "searx.ru", true },
  { "searx.xyz", true },
  { "seasidestudios.co.uk", true },
  { "season.moe", true },
  { "seasons.nu", false },
  { "seatbeltpledge.com", true },
  { "seattle-life.net", true },
  { "seattlefabrication.com", true },
  { "seattlemesh.net", true },
  { "seattleprivacy.org", true },
  { "seattlewalkinbathtubs.com", true },
  { "seavancouver.com", true },
  { "seb-mgl.de", true },
  { "sebascelis.com", true },
  { "sebastiaandouma.co.uk", true },
  { "sebastiaandouma.com", true },
  { "sebastiaanwijnimport.nl", true },
  { "sebastian-janich.de", true },
  { "sebastian-kraus.me", true },
  { "sebastian-lutsch.de", true },
  { "sebastian.expert", true },
  { "sebastianblade.com", true },
  { "sebastianboegl.de", true },
  { "sebastiaperis.com", true },
  { "sebasveeke.nl", true },
  { "sebi.org", true },
  { "sec-mails.de", true },
  { "sec-research.com", true },
  { "sec-wiki.com", true },
  { "sec.ec", true },
  { "sec.gd", true },
  { "sec.gov", true },
  { "sec.red", true },
  { "sec3ure.co.uk", true },
  { "sec455.com", true },
  { "sec530.com", true },
  { "sec555.com", true },
  { "secanje.nl", true },
  { "secbone.com", true },
  { "secboom.com", true },
  { "seccom.ch", true },
  { "secctexasgiving.org", false },
  { "secgui.de", true },
  { "sech.me", true },
  { "sechat.one", true },
  { "secnews.gr", true },
  { "secomo.org", true },
  { "seconfig.sytes.net", true },
  { "secpatrol.de", true },
  { "secretar.is", true },
  { "secretpanties.com", true },
  { "secretsanta.fr", true },
  { "secretserveronline.com", true },
  { "secretum.tech", true },
  { "secteer.com", true },
  { "sectelligence.nl", true },
  { "sectio-aurea.org", true },
  { "section-31.org", true },
  { "section.io", true },
  { "section508.gov", true },
  { "sectionw2s.org", true },
  { "sector5.xyz", true },
  { "sectun.com", true },
  { "secumail.nl", true },
  { "secundity.nl", true },
  { "securai.de", true },
  { "secure-graphic.de", true },
  { "secure-gw.de", true },
  { "secure-server-hosting.com", true },
  { "secure.advancepayroll.com.au", true },
  { "secure.co.hu", true },
  { "secure.facebook.com", false },
  { "securecomms.cz", true },
  { "securedrop.org", true },
  { "secureesolutions.com", true },
  { "secureheaders.com", true },
  { "secureim.de", true },
  { "securejabber.me", true },
  { "securelect-inspection.com", true },
  { "secureobscure.com", true },
  { "secureonline.co", false },
  { "securethe.news", true },
  { "securetheorem.com", true },
  { "securi-tay.co.uk", true },
  { "securify.nl", true },
  { "securipy.com", true },
  { "securiscan.io", true },
  { "security-24-7.com", true },
  { "security-brokers.com", true },
  { "security.gives", true },
  { "security.google.com", true },
  { "security.love", true },
  { "security201.co.uk", true },
  { "security201.com", true },
  { "securitybrief.asia", true },
  { "securitybrief.co.nz", true },
  { "securitybrief.com.au", true },
  { "securitybrief.eu", true },
  { "securityfest.com", true },
  { "securityheaders.com", true },
  { "securityinet.com", false },
  { "securitykey.co", true },
  { "securitypluspro.com", true },
  { "securityprimes.in", true },
  { "securitypuppy.com", true },
  { "securitysense.co.uk", true },
  { "securitysnobs.com", false },
  { "securitystrata.com", true },
  { "securitystreak.com", true },
  { "securitytrails.com", true },
  { "securitywatch.co.nz", true },
  { "securitywithnick.com", true },
  { "securitywithoutborders.org", true },
  { "securocloud.com", true },
  { "secutrans.com", true },
  { "secuvera.de", false },
  { "secwall.me", true },
  { "secwise.nl", true },
  { "secyourity.se", true },
  { "sedeusquiser.net", true },
  { "sedlakovalegal.com", true },
  { "sedmicka.sk", true },
  { "sedussa.ro", true },
  { "see.wtf", true },
  { "seeclop.ch", true },
  { "seedalpha.com", true },
  { "seednode.co", true },
  { "seedsofangelica.net", true },
  { "seekers.ch", true },
  { "seeks.ru", true },
  { "seekthe.net", true },
  { "seemeagain.com", true },
  { "seemeasaperson.com", true },
  { "seesuite.com", true },
  { "seewhatididhere.com", true },
  { "seeworkdone.com", true },
  { "seezeitlodge-bostalsee.de", true },
  { "sefru.de", true },
  { "seg-leipzig.org", true },
  { "segaretro.org", true },
  { "segitz.de", true },
  { "segmetic.com", true },
  { "segulink.com", true },
  { "segurosbalboa.com.ec", false },
  { "segurosocial.gov", true },
  { "seguroviagem.srv.br", true },
  { "sehnenweh.org", true },
  { "seibert.ninja", true },
  { "seifried.org", true },
  { "seikatu-navi.com", true },
  { "seinfeldquote.com", true },
  { "seirei.ne.jp", true },
  { "seiryokuzai-ch.com", true },
  { "seitai-nabejun.jp", true },
  { "seitai-taiyou.com", true },
  { "seitenwaelzer.de", true },
  { "sekisonn.com", true },
  { "selbys.net.au", true },
  { "selcusters.nl", true },
  { "selea.se", true },
  { "selected-properties.com", true },
  { "selectel.ru", true },
  { "selectorders.com", true },
  { "selegiline.com", true },
  { "selent.me", true },
  { "self-evident.org", true },
  { "self-signed.com", true },
  { "self-xss.info", true },
  { "self.nu", true },
  { "selfassess.govt.nz", true },
  { "selfici.com", true },
  { "selfici.cz", true },
  { "selfishness.com", true },
  { "selfloath.in", true },
  { "selfoutlet.com", true },
  { "selitysvideot.fi", true },
  { "selkiemckatrick.com", true },
  { "sellajoch.com", true },
  { "sellguard.pl", true },
  { "sellme.biz", true },
  { "sellmoretires.com", true },
  { "sello.com", true },
  { "seltendoof.de", true },
  { "semacode.com", true },
  { "semaf.at", true },
  { "semaflex.it", true },
  { "semaphore-studios.com", true },
  { "semianalog.com", true },
  { "seminariruum.ee", true },
  { "semiocast.com", true },
  { "semjonov.de", true },
  { "semmlers.com", true },
  { "semox.de", true },
  { "semps-2fa.de", true },
  { "semps-threema.de", true },
  { "semps.de", true },
  { "semrush.com", true },
  { "semyonov.su", true },
  { "semyonov.us", true },
  { "senarius.de", true },
  { "sendai-sisters.com", true },
  { "sendc.at", true },
  { "sendcat.com", true },
  { "sendinvoice.nl", true },
  { "sendonce.io", true },
  { "sendthisfile.com", true },
  { "sendway.com", true },
  { "sendya.me", true },
  { "senekalstorageman.co.za", true },
  { "sengokulife.com", true },
  { "seniorem.eu", true },
  { "seniors.singles", true },
  { "senmendai-reform.com", true },
  { "senmonsyoku.top", true },
  { "senorcontento.com", true },
  { "sensebridge.com", true },
  { "sensebridge.net", true },
  { "senseye.io", true },
  { "senshudo.tv", true },
  { "sensoft-int.net", true },
  { "sensualism.com", true },
  { "sentidosdelatierra.org", true },
  { "sentinel.gov", true },
  { "sentinelproject.io", true },
  { "sentry.io", true },
  { "sentry.nu", true },
  { "senzaparole.de", true },
  { "seo-analyse.com", true },
  { "seo-linz.at", true },
  { "seo-nerd.de", true },
  { "seo-portal.de", true },
  { "seo.consulting", true },
  { "seo.london", true },
  { "seo.tl", true },
  { "seoagentur2go.de", true },
  { "seoarchive.org", true },
  { "seobutler.com", true },
  { "seocomposer.com", true },
  { "seoexperte.berlin", true },
  { "seogeek.nl", true },
  { "seohackers.fr", true },
  { "seohochschule.de", true },
  { "seoinc.com", true },
  { "seoium.com", true },
  { "seokay.com", true },
  { "seolaba.io", true },
  { "seolib.org", true },
  { "seomarketingdeals.com", true },
  { "seon.me", true },
  { "seoprovider.nl", true },
  { "seoquake.com", true },
  { "seotronix.net", false },
  { "seoul.dating", true },
  { "seouniversity.org", true },
  { "sepalandseed.com", true },
  { "seppelec.com", true },
  { "seproco.com", true },
  { "septakkordeon.de", true },
  { "septfinance.ch", true },
  { "septicrepairspecialists.com", true },
  { "septillion.cn", true },
  { "sequencing.com", true },
  { "sequiturs.com", true },
  { "ser-it.pl", true },
  { "sera.jp", true },
  { "seraph.tokyo", true },
  { "serbanpaun.ro", true },
  { "sereema.com", true },
  { "serenaden.at", true },
  { "serf.io", true },
  { "sergeemond.ca", true },
  { "sergefonville.nl", true },
  { "sergeyreznikov.com", true },
  { "sergije-stanic.me", true },
  { "sergiosantoro.it", true },
  { "sergiozygmunt.com", true },
  { "sergos.de", true },
  { "serienstream.to", true },
  { "serigraphs.co.uk", true },
  { "seriousclimbing.com", true },
  { "seriouss.am", true },
  { "sernate.com", true },
  { "serotiuk.com", true },
  { "serpenteq.com", true },
  { "serrano-chris.ch", true },
  { "servdiscount.com", true },
  { "serve-a.com.au", true },
  { "servea.com.au", true },
  { "serveatechnologies.com", true },
  { "servemnaction.org", true },
  { "servepublic.com", true },
  { "servepublic.org", true },
  { "server-bg.net", true },
  { "server-daten.de", true },
  { "server-datenrettung.de", true },
  { "server-essentials.com", false },
  { "server-eye.com", true },
  { "server-eye.de", true },
  { "serveradminz.com", true },
  { "serverco.com", true },
  { "serverd.de", true },
  { "serverexpose.com", true },
  { "serverfrog.de", true },
  { "serverlog.net", true },
  { "serveroffline.net", false },
  { "serverpedia.de", true },
  { "servers4all.co.uk", true },
  { "serversftw.com", true },
  { "serversuit.com", true },
  { "servertastic.com", true },
  { "servethecity-karlsruhe.de", true },
  { "servettorna.com", true },
  { "servgate.jp", true },
  { "service.gov.uk", true },
  { "serviceboss.de", true },
  { "servida.ch", true },
  { "serviettenhaus.de", true },
  { "servingbaby.com", true },
  { "servious.org", true },
  { "servitek.de", true },
  { "serviziourgente.it", true },
  { "servpanel.de", false },
  { "servx.org", true },
  { "servx.ru", true },
  { "serw.org", true },
  { "seryox.com", true },
  { "sessionslogning.dk", true },
  { "sesslerimmo.ch", true },
  { "sestra.in", true },
  { "setenforce.one", true },
  { "setfix.de", true },
  { "sethcaplan.com", true },
  { "sethvargo.com", true },
  { "setkit.net", true },
  { "setphaserstostun.org", true },
  { "setsailanddive.com", true },
  { "settberg.de", true },
  { "setterirlandes.com.br", true },
  { "settleapp.co", true },
  { "setuid0.kr", true },
  { "setyoursite.nl", true },
  { "seven-purple.com", true },
  { "sevencooks.com", true },
  { "sevenet.pl", true },
  { "sevenhillsapartments.com.au", true },
  { "sevenicealimentos.com.br", true },
  { "sevenmatches.com", true },
  { "severine-trousselard.com", true },
  { "severntrentinsuranceportal.com", true },
  { "sevinci.ch", true },
  { "sevsopr.ru", true },
  { "sewafineseam.com", true },
  { "sewinginsight.com", true },
  { "sewoo.co.uk", true },
  { "sex-education.com", true },
  { "sexaki.com", true },
  { "sexdocka.nu", true },
  { "sexgarage.de", true },
  { "sexmobil.de", true },
  { "sexocomgravidas.com", true },
  { "sexpay.net", true },
  { "sexplicit.co.uk", true },
  { "sexservice.io", true },
  { "sexshopnet.com.br", true },
  { "sexwork.net", true },
  { "sexy-store.nl", true },
  { "seyfarth.de", true },
  { "seyr.it", true },
  { "seyr.me", true },
  { "sfa.sk", true },
  { "sfaturiit.ro", true },
  { "sfcomercio.com.br", true },
  { "sfdev.ovh", true },
  { "sfg-nordholz.de", true },
  { "sfile.eu", true },
  { "sfirat-haomer.com", true },
  { "sfleisure.com", true },
  { "sfo-fog.ch", true },
  { "sft-framework.org", true },
  { "sftool.gov", true },
  { "sg-elektro.de", true },
  { "sg.search.yahoo.com", false },
  { "sgb.co", true },
  { "sglibellen.de", true },
  { "sgroup-hitoduma.com", true },
  { "sgroup-rec.com", true },
  { "sgtcodfish.com", true },
  { "sgtsnookums.net", true },
  { "sgtt.ch", true },
  { "sgutranscripts.org", true },
  { "sh-heppelmann.de", true },
  { "sh-network.de", false },
  { "sh0rt.zone", true },
  { "sh0shin.org", true },
  { "shaaaaaaaaaaaaa.com", true },
  { "shaamrelief.org", true },
  { "shad.waw.pl", true },
  { "shadesofgrayadr.com", true },
  { "shadesofgraylaw.com", true },
  { "shadex.net", true },
  { "shadigee.org", true },
  { "shadowict.net", true },
  { "shadowict.tech", true },
  { "shadowkitsune.net", true },
  { "shadowlurker.com.au", true },
  { "shadowsing.com", true },
  { "shadowsocks.com", true },
  { "shadowsocks.com.au", true },
  { "shadowsocks.com.hk", true },
  { "shadowsocks.fr", false },
  { "shadowsocks.la", true },
  { "shadowsocks.to", true },
  { "shadwe.com", true },
  { "shadynook.net", true },
  { "shafou.com", true },
  { "shafou.net", true },
  { "shaharyaranjum.com", true },
  { "shaicoleman.com", true },
  { "shakan.ch", true },
  { "shaken-kyoto.jp", true },
  { "shaken110.com", true },
  { "shakepeers.org", false },
  { "shakerwebdesign.net", true },
  { "shakes4u.com", true },
  { "shakespearevet.com", true },
  { "shalazine.com", true },
  { "shalott.org", true },
  { "shamara.info", true },
  { "shamariki.ru", true },
  { "shan.io", false },
  { "shan.si", true },
  { "shanahanstrategy.com", true },
  { "shandonsg.co.uk", true },
  { "shanekoster.net", true },
  { "shanetully.com", true },
  { "shanewadleigh.com", true },
  { "shankangke.com", true },
  { "shannoneichorn.com", true },
  { "shansing.cn", true },
  { "shansing.com", true },
  { "shansing.net", true },
  { "shansing.space", true },
  { "shaobin.wang", true },
  { "sharanyamunsi.net", true },
  { "share.works", true },
  { "sharealo.org", true },
  { "sharedhost.de", true },
  { "shareeri.com", true },
  { "sharelovenotsecrets.com", true },
  { "sharemessage.net", true },
  { "shareoffice.ch", true },
  { "sharepointdrive.com", true },
  { "sharescope.co.uk", false },
  { "shareselecttools.com", true },
  { "shareworx.net", true },
  { "shariahlawcenter.com", true },
  { "shariahlawcenter.org", true },
  { "sharialawcenter.com", true },
  { "sharialawcenter.org", true },
  { "shark5060.net", true },
  { "sharkie.org.za", true },
  { "sharperedge.pw", true },
  { "sharperedgecomputers.com", true },
  { "sharu.me", true },
  { "shasso.com", true },
  { "shaun.net", true },
  { "shaunandamyswedding.com", true },
  { "shaunc.com", true },
  { "shaundanielz.com", true },
  { "shaunharker.com", true },
  { "shav.it", true },
  { "shavegazette.com", true },
  { "shawnhogan.com", true },
  { "shawnwilkerson.com", true },
  { "shawnwilson.info", true },
  { "shazbots.org", true },
  { "shazzlemd.com", true },
  { "shazzlepro.com", true },
  { "sheaf.site", true },
  { "shearcomfort.com", true },
  { "sheehyinfinitioftysonsparts.com", true },
  { "sheepfriends.com", true },
  { "sheet.host", true },
  { "shehaal.com", true },
  { "shehata.com", true },
  { "sheilasdrivingschool.com", true },
  { "shelfordsandstaplefordscouts.org.uk", true },
  { "shellday.cc", true },
  { "shelleystoybox.com", true },
  { "shellfire.de", true },
  { "shellgame.io", true },
  { "shellj.me", true },
  { "shelljuggler.com", true },
  { "shellshock.eu", true },
  { "shellvatore.us", true },
  { "shemissed.me", true },
  { "shemsconseils.ma", true },
  { "shena.co.uk", true },
  { "shenghaiautoparts.com", true },
  { "shenghaiautoparts.net", true },
  { "shengrenyu.com", true },
  { "shenyuqi.com", false },
  { "sherbers.de", true },
  { "sherrikehoetherapy.com", true },
  { "shethbox.com", true },
  { "shft.cl", true },
  { "shgt.jp", true },
  { "shh-listen.com", true },
  { "shiawasedo.co.jp", true },
  { "shichibukai.net", true },
  { "shico.org", true },
  { "shieldcomputer.com", true },
  { "shieldfe.com", true },
  { "shift-record.com", true },
  { "shift-to.co.jp", true },
  { "shift.ooo", true },
  { "shiftdevices.com", true },
  { "shiftj.is", true },
  { "shiftleft.org", true },
  { "shiga1.jp", true },
  { "shihadwiki.com", true },
  { "shijing.me", true },
  { "shikimori.one", true },
  { "shikimori.org", true },
  { "shimi.net", true },
  { "shimo.im", true },
  { "shin-inc.jp", true },
  { "shinghoi.com", true },
  { "shining.gifts", true },
  { "shinnyosangha.org", false },
  { "shinonome-lab.eu.org", true },
  { "shintoism.com", true },
  { "shinyuu.net", true },
  { "shipard.com", true },
  { "shipard.cz", true },
  { "shipcloud.io", true },
  { "shirakaba-cc.com", true },
  { "shirt2go.shop", true },
  { "shirtsdelivered.com", true },
  { "shirtsofholland.com", true },
  { "shishamania.de", true },
  { "shishkin.us", true },
  { "shishlik.net", true },
  { "shitagi-shop.com", true },
  { "shitbeast.institute", true },
  { "shitmybradsays.com", true },
  { "shitposts.se", true },
  { "shitproductions.org", true },
  { "shitsta.in", true },
  { "shivamber.com", true },
  { "shivammaheshwari.com", true },
  { "shlmail.info", true },
  { "shmibbles.me", true },
  { "shobhanayogsadan.com", true },
  { "shock.ee", true },
  { "shockercityservices.com", true },
  { "shodan.io", true },
  { "shoemuse.com", true },
  { "shoestringeventing.co.uk", true },
  { "shokola.com", true },
  { "shome.de", true },
  { "shooter.dog", true },
  { "shop-s.net", true },
  { "shopadvies.nl", true },
  { "shopalike.cz", true },
  { "shopalike.dk", true },
  { "shopalike.es", true },
  { "shopalike.fi", true },
  { "shopalike.fr", true },
  { "shopalike.hu", true },
  { "shopalike.it", true },
  { "shopalike.nl", true },
  { "shopalike.pl", true },
  { "shopalike.se", true },
  { "shopalike.sk", true },
  { "shopapi.cz", true },
  { "shopatkei.com", true },
  { "shopbakersnook.com", true },
  { "shopcoupon.co.za", true },
  { "shopcoupons.co.id", true },
  { "shopcoupons.my", true },
  { "shopcoupons.ph", true },
  { "shopcoupons.sg", true },
  { "shopifycloud.com", true },
  { "shopkini.com", true },
  { "shoplandia.co", true },
  { "shoppia.se", true },
  { "shopping24.de", true },
  { "shoppr.dk", true },
  { "shopsouthafrican.com", true },
  { "shopstart.dk", true },
  { "shoptec.sk", true },
  { "shorebreaksecurity.com", true },
  { "shorehamfort.co.uk", true },
  { "short-biography.com", true },
  { "short-term-plans.com", true },
  { "shortdiary.me", true },
  { "shorten.ninja", true },
  { "shoshin-aikido.de", true },
  { "shotbow.net", true },
  { "shotonwhat.com", true },
  { "shouldihookupwithmybarista.com", true },
  { "shouttag.com", true },
  { "show-saratov.ru", false },
  { "showbits.net", true },
  { "showdepiscinas.com.br", true },
  { "showf.om", true },
  { "showmax.com", true },
  { "showmethemoney.ru", true },
  { "showpassword.net", true },
  { "showroom.cam", true },
  { "showroom.co.uk", true },
  { "showroom.uk", true },
  { "showroom113.ru", true },
  { "showsonar.com", true },
  { "shoxmusic.net", true },
  { "shredriteservices.com", true },
  { "shrinidhiclinic.in", true },
  { "shrinkhub.com", true },
  { "shrub.ca", true },
  { "shrug.ml", true },
  { "shteiman.net", true },
  { "shtorku.com", true },
  { "shu-fu.net", true },
  { "shulan.moe", true },
  { "shura.eu.org", true },
  { "shuro.de", true },
  { "shuset.dk", true },
  { "shushu.media", true },
  { "shutter-shower.com", true },
  { "shux.pro", true },
  { "shwrm.ch", true },
  { "shybynature.com", true },
  { "shyuka.me", true },
  { "si-benelux.nl", true },
  { "si.to", true },
  { "si2b.fr", true },
  { "siamsnus.com", true },
  { "sianbryn.co.uk", true },
  { "sibfk.org", true },
  { "sibiutourguide.com", true },
  { "sibrenvasse.nl", true },
  { "siciliadisinfestazioni.it", true },
  { "siciliamconsulting.com", true },
  { "sicilianbalm.com", true },
  { "siciliapulizie.it", true },
  { "sicken.eu", true },
  { "sickfile.com", true },
  { "sicklepod.com", true },
  { "siconnect.us", true },
  { "sidelka-tver.ru", true },
  { "sidema.be", true },
  { "sidepodcast.com", true },
  { "sidepodcastdaily.com", true },
  { "sidepodcastextra.com", true },
  { "sideshowbarker.net", true },
  { "sidium.de", true },
  { "sidnicio.us", true },
  { "sidonge.com", true },
  { "sidongkim.com", true },
  { "sidpod.ru", true },
  { "siegemund-frankfurt.de", true },
  { "sieh.es", true },
  { "sientemendoza.com.ar", true },
  { "sieulog.com", true },
  { "siewert-kau.de", true },
  { "sift-tool.org", true },
  { "sig6.org", true },
  { "sigabrt.org", true },
  { "siggerudklatreklubb.no", true },
  { "sightcure.jp", true },
  { "sighup.nz", true },
  { "sigismonda.ch", true },
  { "sigma-signalisation.com", true },
  { "sigmalux.ltd", true },
  { "sigmalux.sarl", true },
  { "sigmapramuka.com", true },
  { "sign.io", true },
  { "signage.red", true },
  { "signal.org", true },
  { "signalmaps.co.uk", true },
  { "signaltransmitter.de", true },
  { "signere.com", true },
  { "signere.no", true },
  { "significados.com", true },
  { "significados.com.br", true },
  { "significantbanter.com", true },
  { "signing-milter.org", true },
  { "signix.net", true },
  { "signtul.com", false },
  { "sigsegv.run", true },
  { "sigsrv.net", true },
  { "sigterm.sh", true },
  { "siirtutkusu.com", true },
  { "sikevux.se", true },
  { "siku-shop.ch", true },
  { "silashes.com", true },
  { "silashes.ru", true },
  { "silaslova-ekb.ru", true },
  { "silent-clean.de", true },
  { "silentkernel.fr", false },
  { "silentundo.org", true },
  { "silerfamily.net", true },
  { "siliconchip.me", true },
  { "silke-hunde.de", true },
  { "silkebaekken.no", true },
  { "silkebeckmann.de", true },
  { "sillisalaatti.fi", true },
  { "sillysnapz.co.uk", true },
  { "siloportem.net", true },
  { "silsha.me", true },
  { "silv.me", true },
  { "silvacor-ziegel.de", true },
  { "silver-heart.co.uk", true },
  { "silverartcollector.com", true },
  { "silverbowflyshop.com", true },
  { "silverdragonart.com", true },
  { "silvergoldbull.ba", true },
  { "silvergoldbull.be", true },
  { "silvergoldbull.bg", true },
  { "silvergoldbull.bj", true },
  { "silvergoldbull.by", true },
  { "silvergoldbull.ca", true },
  { "silvergoldbull.cl", true },
  { "silvergoldbull.cm", true },
  { "silvergoldbull.cn", true },
  { "silvergoldbull.co", true },
  { "silvergoldbull.co.ao", true },
  { "silvergoldbull.co.il", true },
  { "silvergoldbull.co.no", true },
  { "silvergoldbull.co.tz", true },
  { "silvergoldbull.co.uk", true },
  { "silvergoldbull.com", true },
  { "silvergoldbull.com.ar", true },
  { "silvergoldbull.com.au", true },
  { "silvergoldbull.com.eg", true },
  { "silvergoldbull.com.gh", true },
  { "silvergoldbull.com.mt", true },
  { "silvergoldbull.cr", true },
  { "silvergoldbull.cz", true },
  { "silvergoldbull.de", true },
  { "silvergoldbull.dj", true },
  { "silvergoldbull.do", true },
  { "silvergoldbull.ec", true },
  { "silvergoldbull.ee", true },
  { "silvergoldbull.es", true },
  { "silvergoldbull.gd", true },
  { "silvergoldbull.ge", true },
  { "silvergoldbull.gl", true },
  { "silvergoldbull.gr", true },
  { "silvergoldbull.gt", true },
  { "silvergoldbull.hk", true },
  { "silvergoldbull.hn", true },
  { "silvergoldbull.hr", true },
  { "silvergoldbull.hu", true },
  { "silvergoldbull.id", true },
  { "silvergoldbull.in", true },
  { "silvergoldbull.is", true },
  { "silvergoldbull.it", true },
  { "silvergoldbull.kg", true },
  { "silvergoldbull.kr", true },
  { "silvergoldbull.ky", true },
  { "silvergoldbull.li", true },
  { "silvergoldbull.lk", true },
  { "silvergoldbull.lt", true },
  { "silvergoldbull.lv", true },
  { "silvergoldbull.ma", true },
  { "silvergoldbull.md", true },
  { "silvergoldbull.mk", true },
  { "silvergoldbull.ml", true },
  { "silvergoldbull.mw", true },
  { "silvergoldbull.my", true },
  { "silvergoldbull.nz", true },
  { "silvergoldbull.ph", true },
  { "silvergoldbull.pl", true },
  { "silvergoldbull.pt", true },
  { "silvergoldbull.qa", true },
  { "silvergoldbull.rs", true },
  { "silvergoldbull.ru", true },
  { "silvergoldbull.se", true },
  { "silvergoldbull.si", true },
  { "silvergoldbull.sn", true },
  { "silvergoldbull.sv", true },
  { "silvergoldbull.tg", true },
  { "silvergoldbull.tj", true },
  { "silvergoldbull.tn", true },
  { "silvergoldbull.tt", true },
  { "silvergoldbull.tw", true },
  { "silvergoldbull.uy", true },
  { "silvergoldbull.uz", true },
  { "silvergoldbull.ws", true },
  { "silverlinkz.net", true },
  { "silverseen.com", true },
  { "silverstartup.sk", true },
  { "silverwind.io", true },
  { "silvine.xyz", true },
  { "silvobeat.com", true },
  { "sim-karten.net", true },
  { "sim-minaoshi.jp", true },
  { "sim-sim.appspot.com", true },
  { "sim4seed.org", true },
  { "simam.de", true },
  { "simark.ca", true },
  { "simbeton.nl", true },
  { "simeonoff.ninja", true },
  { "simetal.ch", true },
  { "simfed.org", true },
  { "simha.online", true },
  { "simivalleyelectrical.com", true },
  { "simlau.net", true },
  { "simmis.fr", true },
  { "simoesgoulart.com.br", true },
  { "simon-agozzino.fr", true },
  { "simon-hofmann.org", true },
  { "simon-mueller.de", true },
  { "simon3k.moe", true },
  { "simonastallone.com", true },
  { "simonberard.garden", true },
  { "simonbondo.dk", true },
  { "simoncommunity.org.uk", true },
  { "simoncook.org", true },
  { "simonfischer.info", true },
  { "simonhirscher.de", true },
  { "simonkjellberg.com", true },
  { "simonkjellberg.se", true },
  { "simonlyabonnement.nl", true },
  { "simonpaarlberg.com", true },
  { "simonreich.de", true },
  { "simonschmitt.ch", true },
  { "simonshine.dk", true },
  { "simonspeich.ch", true },
  { "simonsreich.de", true },
  { "simontaite.com", true },
  { "simonwessel.net", true },
  { "simonwoodside.com", true },
  { "simpbx.net", true },
  { "simpel.be", true },
  { "simpeo.fr", true },
  { "simpeo.org", true },
  { "simphony.cz", true },
  { "simpip.com", true },
  { "simple.com", false },
  { "simpleclassiclife.com", true },
  { "simplecoding.click", true },
  { "simplecontacts.com", true },
  { "simplednscrypt.org", true },
  { "simpleindianrecipes.com", true },
  { "simpleinout.com", true },
  { "simpleinvoices.io", true },
  { "simpletax.ca", true },
  { "simplewire.de", true },
  { "simplexgame.net", true },
  { "simplia.cz", true },
  { "simpliby.com", true },
  { "simplicitypvp.net", true },
  { "simplidesigns.nl", true },
  { "simplifylivelove.com", true },
  { "simplithai.com", true },
  { "simply.scot", true },
  { "simplycharlottemason.com", true },
  { "simplycloud.de", true },
  { "simplyfixit.co.uk", true },
  { "simplyhelen.de", true },
  { "simplylovejesus.com", true },
  { "simplymozzo.se", true },
  { "simplyrara.com", true },
  { "simplyregister.net", true },
  { "simplystudio.com", true },
  { "simpte.com", true },
  { "simpul.nl", true },
  { "simsnieuws.nl", true },
  { "simukti.net", true },
  { "simumiehet.com", true },
  { "sin-nombre-alleria.de", true },
  { "sin.swiss", true },
  { "sinaryuda.web.id", true },
  { "sinatrafamily.com", true },
  { "sinceschool.com", true },
  { "sinclairinat0r.com", true },
  { "sinde.ru", true },
  { "sinefili.com", true },
  { "sinergy.ch", true },
  { "singaporemint.com", true },
  { "singapurfirma.com", true },
  { "singee.site", true },
  { "singel.ch", true },
  { "single-in-stuttgart.de", true },
  { "singles-aus-hamburg.de", true },
  { "singles-berlin.de", true },
  { "singleuse.link", true },
  { "singlu10.org", false },
  { "sinktank.de", true },
  { "sinn.io", true },
  { "sinnersprojects.ro", true },
  { "sinnovate.de", false },
  { "sinomod.com", true },
  { "sinon.org", true },
  { "sinonimos.com.br", true },
  { "sinonimosonline.com", true },
  { "sinonimosonline.com.br", true },
  { "sinquin.eu", true },
  { "sint-joris.nl", true },
  { "sinterama.biz", true },
  { "sinuelovirtual.com.br", true },
  { "sipc.org", true },
  { "sipsik.net", true },
  { "siraweb.org", true },
  { "sirbouncealotcastles.co.uk", true },
  { "sirbouncelot.co.uk", true },
  { "sirburton.com", true },
  { "sirchuk.net", true },
  { "sircon.no", true },
  { "sirena.co.jp", true },
  { "sirencallofficial.com", true },
  { "sirenslove.com", true },
  { "siriuspup.com", true },
  { "sirtaptap.com", true },
  { "sirtuins.com", true },
  { "sirvoy.com", true },
  { "sisgopro.com", true },
  { "sisseastumine.ee", true },
  { "sistel.es", true },
  { "sistem-maklumat.com", true },
  { "sistem-maklumat.com.my", true },
  { "sistemos.net", true },
  { "sistemy48.ru", false },
  { "sistimiki-anaparastasi.gr", true },
  { "sistov.it", true },
  { "sisv.eu", true },
  { "sit-brn.ru", true },
  { "sit.ec", true },
  { "sitc.sk", true },
  { "sitebuilderreport.com", true },
  { "sitecuatui.com", true },
  { "sitedrive.fi", true },
  { "sitehome.eu", false },
  { "sitehoster.org", true },
  { "sitenv.org", true },
  { "siterencontre.me", true },
  { "sites.google.com", true },
  { "sitesko.de", true },
  { "sitesource101.com", true },
  { "sitesuccessful.com", true },
  { "sitevandaag.nl", true },
  { "sitischu.com", true },
  { "sitsy.ru", false },
  { "sivale.mx", true },
  { "sivyerge.com", true },
  { "sixpackholubice.cz", true },
  { "sixtwentyten.com", true },
  { "sj-leisure.com", true },
  { "sja-se-training.com", true },
  { "sjaakgilsingfashion.nl", true },
  { "sjatsh.com", true },
  { "sjd.is", true },
  { "sjdaws.com", true },
  { "sjdtaxi.com", true },
  { "sjis.me", true },
  { "sjleisure.co.uk", true },
  { "sjoorm.com", true },
  { "sjv4u.ch", true },
  { "sk-net.cz", true },
  { "skalarwelle.eu", true },
  { "skanvordoff.ru", true },
  { "skanword.info", true },
  { "skatclub-beratzhausen.de", true },
  { "skatesins.ch", true },
  { "skatingchina.com", true },
  { "skatn.de", true },
  { "skazka.ru", true },
  { "skday.com", true },
  { "skedda.com", true },
  { "skedr.io", true },
  { "skeeley.com", true },
  { "skei.org", true },
  { "skepneklaw.com", true },
  { "skepticalsports.com", true },
  { "sketchmyroom.com", true },
  { "sketchywebsite.net", true },
  { "skhaz.io", true },
  { "skhire.co.uk", true },
  { "skhoop.cz", true },
  { "skia.org", false },
  { "skid.church", true },
  { "skiddle.com", true },
  { "skifairview.com", true },
  { "skifttiljutlanderbank.dk", true },
  { "skigebied.nl", true },
  { "skigebiete-test.de", true },
  { "skile.ru", false },
  { "skilletfood.com", true },
  { "skillled.com", true },
  { "skills2services.com", true },
  { "skillseo.com", true },
  { "skimming.net", true },
  { "skin-cosmetic.eu", true },
  { "skinbet.co", true },
  { "skincases.co", true },
  { "skincontracts.co", true },
  { "sking.io", true },
  { "skingame.co", true },
  { "skingames.co", true },
  { "skinpwrd.com", true },
  { "skins.net", true },
  { "skipfault.com", true },
  { "skippy.dog", true },
  { "skischule-wildewiese.de", true },
  { "skizzen-zeichnungen.de", true },
  { "skks.cz", true },
  { "sklepsamsung.pl", true },
  { "sklotechnik.cz", true },
  { "sknclinics.co.uk", true },
  { "skogsbruket.fi", true },
  { "skogskultur.fi", true },
  { "skol.bzh", true },
  { "skolagatt.is", true },
  { "skolem.de", true },
  { "skoleniphp.cz", true },
  { "skommettiamo.it", true },
  { "skomski.org", true },
  { "skontakt.cz", true },
  { "skontorp-enterprise.no", true },
  { "skortekaas.nl", false },
  { "skory.us", true },
  { "skram.de", true },
  { "skrivande.co", true },
  { "skryptersi.pl", true },
  { "sksdrivingschool.com.au", true },
  { "sktan.com", true },
  { "skuldwyrm.no", true },
  { "skwile-cafe.com", true },
  { "skyanchor.com", true },
  { "skybloom.com", true },
  { "skybloom.io", false },
  { "skybound.link", true },
  { "skyderby.ru", true },
  { "skydragoness.com", true },
  { "skydrive.live.com", false },
  { "skylgenet.nl", true },
  { "skylightcreative.com.au", true },
  { "skylinertech.com", true },
  { "skylineservers.com", true },
  { "skylocker.net", true },
  { "skylocker.nl", true },
  { "skyloisirs.ch", true },
  { "skyminds.net", true },
  { "skynet233.ch", true },
  { "skynethk.com", true },
  { "skynetnetwork.eu.org", true },
  { "skynetz.tk", true },
  { "skype.com", true },
  { "skyquid.co.uk", true },
  { "skyris.co", true },
  { "skys-entertainment.com", true },
  { "skysuite.nl", true },
  { "skyzimba.com.br", true },
  { "sl0.us", true },
  { "slab.com", true },
  { "slack-files.com", true },
  { "slack.com", true },
  { "sladic.si", false },
  { "slainvet.net", true },
  { "slamdjapan.com", true },
  { "slamix.nl", true },
  { "slane.cn", false },
  { "slangbellor.com", true },
  { "slanterns.net", true },
  { "slapen17.nl", true },
  { "slash32.co.uk", true },
  { "slashcrypto.org", true },
  { "slatop.org", false },
  { "slaughter.com", true },
  { "slaughterhouse.fr", true },
  { "slavasveta.info", true },
  { "slaws.io", true },
  { "sleeplessbeastie.eu", true },
  { "sleepmap.de", true },
  { "sleepstar.co.uk", true },
  { "sleepstar.de", true },
  { "sleepstar.fr", true },
  { "sleio.com", true },
  { "slever.cz", true },
  { "slevermann.de", true },
  { "slevomat.cz", true },
  { "slicklines.co.uk", true },
  { "slicss.com", true },
  { "slidebatch.com", true },
  { "slides.zone", true },
  { "slik.ai", true },
  { "slimk1nd.nl", true },
  { "slimmerbouwen.be", true },
  { "slimspots.com", true },
  { "slingo-sta.com", true },
  { "slingo.com", true },
  { "slingooriginals.com", true },
  { "slingoweb.com", true },
  { "slink.hr", true },
  { "slip-gaming.tk", true },
  { "slneighbors.org", true },
  { "slo-net.net", true },
  { "slo-tech.com", true },
  { "sloancom.com", false },
  { "slonep.net", true },
  { "slopeedge.com", true },
  { "slotboss.co.uk", true },
  { "slotcar.com", false },
  { "slotfara.com", true },
  { "sloths.org", true },
  { "slotlist.info", true },
  { "slovenskycestovatel.sk", true },
  { "slow.zone", true },
  { "slowb.ro", true },
  { "slowfood.es", true },
  { "slowgames.xyz", true },
  { "slpower.com", true },
  { "slrd-isperih.com", true },
  { "sluimann.de", true },
  { "sluitkampzeist.nl", false },
  { "slusham.com", true },
  { "slvh.fr", true },
  { "slxh.eu", true },
  { "slxh.nl", true },
  { "sm-supplements.gr", true },
  { "sm.ms", true },
  { "sm2016.ch", true },
  { "sma-gift.com", true },
  { "smablo.com", true },
  { "smackhappy.com", true },
  { "smadav.ml", true },
  { "smalldogbreeds.net", true },
  { "smalle-voet.de", true },
  { "smallhadroncollider.com", true },
  { "smallpath.me", true },
  { "smalltalkconsulting.com", true },
  { "smaltimento-rifiuti.org", true },
  { "smaltimento.caserta.it", true },
  { "smaltimento.napoli.it", true },
  { "smaltimentoamianto.frosinone.it", true },
  { "smaltimentoamianto.latina.it", true },
  { "smaltimentorifiuti.firenze.it", true },
  { "smaltimentorifiuti.veneto.it", true },
  { "smares.de", true },
  { "smart-cp.jp", true },
  { "smart-informatics.com", true },
  { "smart-shapes.co.uk", true },
  { "smart-wohnen.net", true },
  { "smart.gov", true },
  { "smartairkey.com", true },
  { "smartandcom.ch", true },
  { "smartandhappychild.ro", true },
  { "smartboleta.com", true },
  { "smartcheck.gov", true },
  { "smartcleaningcenter.nl", true },
  { "smartcpa.ca", true },
  { "smartest-trading.com", true },
  { "smartfit.cz", true },
  { "smartftp.com", true },
  { "smarthinking.nl", true },
  { "smarthouse.de", true },
  { "smartjoin.style", true },
  { "smartlocksmith.com", true },
  { "smartlogreturns.com", true },
  { "smartlogstock.com", true },
  { "smartlogtower.com", true },
  { "smartmeal.ru", true },
  { "smartmessages.net", true },
  { "smartmomsmartideas.com", true },
  { "smartpass.government.ae", true },
  { "smartphonechecker.co.uk", true },
  { "smartpolicingplatform.com", true },
  { "smartrade.tech", true },
  { "smartservices.nl", true },
  { "smartshiftme.com", true },
  { "smartship.co.jp", true },
  { "smartshoppers.es", true },
  { "smartsparrow.com", true },
  { "smartvideo.io", true },
  { "smartviewing.com", true },
  { "smartwelve.com", true },
  { "smartwritingservice.com", true },
  { "smartwurk.nl", true },
  { "smash-gg.club", true },
  { "smatch.com", true },
  { "smb445.com", true },
  { "smdavis.us", true },
  { "smdcn.net", true },
  { "sme-gmbh.net", true },
  { "smeetsengraas.com", true },
  { "smeso.it", true },
  { "smiatek.name", true },
  { "smileandpay.com", true },
  { "smiledirectsales.com", true },
  { "smilessoftplay.co.uk", true },
  { "smileytechguy.com", true },
  { "smilingmiao.com", true },
  { "smime.io", true },
  { "smimea.info", true },
  { "smipty.cn", true },
  { "smipty.com", true },
  { "smit.com.ua", true },
  { "smit.ee", true },
  { "smithandcanova.co.uk", false },
  { "smithchow.com", true },
  { "smithfieldbaptist.org", true },
  { "smm.im", true },
  { "smmcab.website", true },
  { "smokeandmirrors.agency", true },
  { "smokinghunks.com", true },
  { "smoo.st", true },
  { "smoothcomp.com", true },
  { "smoothgesturesplus.com", true },
  { "smoothics.at", true },
  { "smoothics.com", true },
  { "smoothics.eu", true },
  { "smoothics.mobi", true },
  { "smoothics.net", true },
  { "smoothtalker.com", true },
  { "smorgasblog.ie", true },
  { "smow.com", true },
  { "smow.de", true },
  { "smries.com", false },
  { "smsappointment.com", true },
  { "smsben.net", true },
  { "smsbrana.cz", true },
  { "smsg-dev.ch", true },
  { "smsk.email", true },
  { "smsk.io", true },
  { "smskeywords.co.uk", true },
  { "smskmail.com", true },
  { "smsprivacy.org", true },
  { "smuncensored.com", true },
  { "smutba.se", true },
  { "smutek.net", true },
  { "smx.net.br", true },
  { "snackbesteld.nl", true },
  { "snafu.cz", true },
  { "snake.dog", true },
  { "snap.com", true },
  { "snapappointments.com", true },
  { "snapchat.com", true },
  { "snapfinance.com", true },
  { "snapserv.ch", true },
  { "snapserv.net", true },
  { "snaptools.io", true },
  { "snatch.com.ua", true },
  { "snazel.co.uk", true },
  { "snazzie.nl", true },
  { "sncdn.com", true },
  { "sndbouncycastles.co.uk", true },
  { "sneak.berlin", true },
  { "sneakpod.de", true },
  { "sneakynote.com", true },
  { "sneakypaw.com", true },
  { "sneberger.cz", false },
  { "sneed.it", true },
  { "sneedit.com", true },
  { "sneedit.de", true },
  { "sneeuwhoogtes.eu", true },
  { "sneezry.com", true },
  { "snel4u.nl", true },
  { "snelbv.nl", true },
  { "snelshops.nl", true },
  { "snelwebshop.nl", true },
  { "snelxboxlivegold.nl", true },
  { "snerith.com", true },
  { "snfdata.com", false },
  { "snic.website", true },
  { "sniderman.eu.org", true },
  { "sniderman.pro", true },
  { "sniderman.us", true },
  { "sniderman.xyz", true },
  { "sniep.net", true },
  { "snight.co", true },
  { "snille.com", true },
  { "snip.run", true },
  { "snippet.wiki", true },
  { "snl.no", true },
  { "snoerendevelopment.nl", true },
  { "snopyta.com", true },
  { "snote.io", true },
  { "snoupon.com", true },
  { "snovey.com", true },
  { "snow-online.com", true },
  { "snow-online.de", true },
  { "snow.dog", true },
  { "snowalerts.eu", true },
  { "snowalerts.nl", true },
  { "snowchamps.nl", true },
  { "snowcrestdesign.com", true },
  { "snowdy.dk", true },
  { "snowdy.link", true },
  { "snowhaze.ch", true },
  { "snowhaze.com", true },
  { "snowpak.com", true },
  { "snowplane.net", true },
  { "snowraven.de", true },
  { "snrat.com", true },
  { "snrub.co", true },
  { "snuff.porn", true },
  { "snughealth.org.uk", true },
  { "sny.no", true },
  { "so-comm.fr", true },
  { "soakgames.com", true },
  { "soapitup.com.au", true },
  { "soaringtoglory.com", true },
  { "sobaya-gohei.com", true },
  { "sobelift.com", true },
  { "sobersys.com", true },
  { "sobie.ch", true },
  { "sobieray.dyndns.org", true },
  { "sobotkama.eu", true },
  { "sobreporcentagem.com", true },
  { "soc.net", true },
  { "socal-babes.com", true },
  { "soccersavings.com", true },
  { "soccorso-stradale.org", true },
  { "sochi-sochno.ru", true },
  { "social-events.net", false },
  { "social-media-strategies.it", true },
  { "socialdj.de", true },
  { "socialfacecook.com", true },
  { "socialhams.net", true },
  { "socializam.com", false },
  { "socialmedia.ro", true },
  { "socialnous.co", true },
  { "socialrank.com", true },
  { "socialsecurity.gov", false },
  { "socialstrata.com", true },
  { "socialtrends.pl", true },
  { "socialweblearning.com", true },
  { "societe-chablaisienne-de-revetements.com", true },
  { "societe-chablaisienne-de-revetements.fr", true },
  { "societyhilldance.com", true },
  { "socioambiental.org", true },
  { "sociobiology.com", true },
  { "sociopathy.org", true },
  { "sockeye.io", true },
  { "sockscap64.com", true },
  { "socoastal.com", true },
  { "sodadigital.com.au", true },
  { "sodafilm.de", true },
  { "sodexam.pro", true },
  { "sodi.nl", true },
  { "sodiao.cc", true },
  { "sodomojo.com", true },
  { "sofa-rockers.org", true },
  { "sofabedshop.de", true },
  { "sofiavanmoorsel.com", true },
  { "sofort.com", true },
  { "sofortueberweisung.de", true },
  { "softandbouncy.co.uk", true },
  { "softanka.com", true },
  { "softart.club", true },
  { "softballrampage.com", true },
  { "softcreatr.de", false },
  { "softplay4hire.co.uk", true },
  { "softplaynation.co.uk", true },
  { "softprayog.in", true },
  { "softrobot.se", true },
  { "softtennis-zenei.com", true },
  { "software.rocks", true },
  { "softwarebetrieb.de", true },
  { "softwaredesign.foundation", false },
  { "softwarevoortherapeuten.nl", true },
  { "softwerk-edv.de", true },
  { "sogola.com", true },
  { "sogravatas.com.br", true },
  { "sogutma.com.tr", true },
  { "sohamroy.me", true },
  { "soia.ca", true },
  { "soinvett.com", true },
  { "soju.fi", true },
  { "sokche.com", true },
  { "sokietech.com", true },
  { "sokkenhoek.nl", true },
  { "sokolkarvina.cz", true },
  { "sokouchousa.net", true },
  { "sol-computers.es", true },
  { "sol.works", true },
  { "sol24.net", true },
  { "solacyre.ch", true },
  { "solanum-games.com", true },
  { "solar-aydinlatma.com", true },
  { "solar-ec.com", true },
  { "solariiknight.org", true },
  { "solariilacheie.ro", true },
  { "solarplan-berlin.de", true },
  { "solarstrom.net", true },
  { "soldecom.com", true },
  { "soldout-app.com", true },
  { "sole-erdwaermetauscher.de", true },
  { "soledadpenades.com", true },
  { "solentbubblesandbounce.co.uk", true },
  { "soleria.eu", true },
  { "solfegiator.ch", true },
  { "soli.cafe", true },
  { "solicafe.at", true },
  { "solidshield.com", true },
  { "solidtuesday.com", true },
  { "solihullcarnival.co.uk", true },
  { "solihullinflatables.com", true },
  { "solihulllionsclub.org.uk", true },
  { "solipym.net", true },
  { "solit.systems", true },
  { "solmek.co.uk", true },
  { "solmek.com", true },
  { "solomisael.com", true },
  { "solomo.pt", true },
  { "solonotizie24.it", true },
  { "solos.im", true },
  { "solsocog.de", true },
  { "soluphant.de", true },
  { "solus-project.com", true },
  { "solutionhoisthire.com.au", true },
  { "solve-it.se", true },
  { "solved.tips", true },
  { "solvemethod.com", true },
  { "solvingproblems.com.au", true },
  { "solvops.com", true },
  { "somaini.li", true },
  { "somali-derp.com", true },
  { "somaliagenda.com", true },
  { "somaliaonline.com", true },
  { "somanao.com", true },
  { "somcase.com.br", true },
  { "somecrazy.com", true },
  { "somethingsimilar.com", true },
  { "sommefeldt.com", true },
  { "somosnoticia.com.br", true },
  { "sompani.com", true },
  { "somuchbetterwithage.com", true },
  { "somweyr.de", true },
  { "sona-gaming.com", true },
  { "sonacupalova.cz", true },
  { "sonarqube.com", false },
  { "sondergaard.de", true },
  { "songluck.com", true },
  { "songsmp3.co", true },
  { "songsmp3.com", true },
  { "songsmp3.info", true },
  { "songsmp3.io", true },
  { "songsmp3.net", true },
  { "songsthatsavedyourlife.com", true },
  { "songtianyi.com", true },
  { "songzhuolun.com", true },
  { "soniafauville.com", true },
  { "sonialive.com", true },
  { "sonic.studio", true },
  { "sonicdoe.com", true },
  { "sonixonline.com", true },
  { "sonoecoracao.com.br", true },
  { "sonyunlock.nu", true },
  { "soodwatthanaphon.net", true },
  { "soohealthy.nl", true },
  { "soomee.be", true },
  { "soomee1.be", true },
  { "soontm.de", true },
  { "soopure.nl", true },
  { "soph.jp", true },
  { "soph.us", true },
  { "sopher.io", true },
  { "sophiaandmatt.co.uk", true },
  { "sophiakligys.com", true },
  { "sophieandtrey.com", true },
  { "soprabalao.com.br", true },
  { "sor.so", true },
  { "soraharu.com", true },
  { "soraiaschneider.com.br", true },
  { "sorakumo.jp", true },
  { "sorcix.com", true },
  { "sorellecollection.com.au", true },
  { "sorenstudios.com", true },
  { "sorever.online", true },
  { "sorex.photo", true },
  { "sorrowfulunfounded.com", true },
  { "sortesim.com.br", true },
  { "soruly.com", true },
  { "sorz.org", true },
  { "sos-falegname.it", true },
  { "sos-idraulico.it", true },
  { "sos.de", true },
  { "sosoftplay.co.uk", true },
  { "sospromotions.com.au", true },
  { "sostacancun.com", true },
  { "sosteam.jp", true },
  { "sosteric.si", true },
  { "sotadb.info", true },
  { "sotar.us", true },
  { "sotavasara.net", true },
  { "sotoasobi.net", true },
  { "sotthewes.nl", true },
  { "sou-co.jp", true },
  { "soubriquet.org", true },
  { "soufastnet.com.br", true },
  { "souki.cz", true },
  { "soukodou.jp", true },
  { "soul-source.co.uk", true },
  { "soulcrazy.org", true },
  { "soulmate.dating", true },
  { "soulmating.de", true },
  { "soulogic.com", true },
  { "soulsteer.com", true },
  { "soumikghosh.com", true },
  { "soumya92.me", true },
  { "soundabout.nl", true },
  { "soundedj.com.br", true },
  { "soundeo.com", true },
  { "soundeo.net", true },
  { "soundgasm.net", true },
  { "soundsecurity.io", true },
  { "souqtajmeel.com", true },
  { "sour.is", true },
  { "sourcebox.be", true },
  { "sourcely.net", true },
  { "sourceway.de", true },
  { "souris.ch", true },
  { "sous-surveillance.net", true },
  { "southafrican.dating", true },
  { "southambouncycastle.co.uk", true },
  { "southamerican.dating", true },
  { "southbankregister.com.au", true },
  { "southernmost.us", true },
  { "southernutahinfluencers.com", true },
  { "southlakenissanparts.com", true },
  { "southmelbourne.apartments", true },
  { "southmorangtownhouses.com.au", true },
  { "southside-crew.com", true },
  { "southside-tuning-day.de", true },
  { "southwaymotors.com", true },
  { "southwestrda.org.uk", true },
  { "soutien-naissance.com", true },
  { "soved.eu", true },
  { "sovendus.com", true },
  { "sovendus.de", true },
  { "sowlutions.com", true },
  { "soybase.org", true },
  { "sozai-good.com", true },
  { "sozialy.com", false },
  { "sozon.ca", true },
  { "sp-sephiroth.jp", true },
  { "sp.com.pl", true },
  { "sp8ce.co", true },
  { "space-it.de", true },
  { "spacebaseapp.com", true },
  { "spacedirectory.org", true },
  { "spacedots.net", true },
  { "spacehighway.ms", true },
  { "spacehost.de", false },
  { "spacestation13.com", true },
  { "spackova.cz", true },
  { "spaconnection.com", true },
  { "spahireleeds.co.uk", true },
  { "spaid.xyz", false },
  { "spakurort.eu", true },
  { "spaldingwall.com", true },
  { "spamdrain.com", true },
  { "spamwc.de", true },
  { "spanda.io", true },
  { "spanjeflydrive.nl", true },
  { "spanyolul.hu", true },
  { "spar-ni.co.uk", true },
  { "spar.co.uk", false },
  { "sparanoid.com", true },
  { "sparendirekt.at", true },
  { "sparkasse.de", true },
  { "sparkforautism.org", true },
  { "sparklatvia.lv", true },
  { "sparklebastard.com", true },
  { "sparprofi.at", true },
  { "sparta-en.org", true },
  { "sparta-solutions.de", true },
  { "spartaconsulting.fi", true },
  { "spartaermelo.nl", true },
  { "spasicilia.it", true },
  { "spatzenwerkstatt.de", true },
  { "spaysy.com", true },
  { "spaziobenedetti.com.br", true },
  { "spaziopervoi.com.br", true },
  { "spazturtle.co.uk", true },
  { "spazzacamino.roma.it", true },
  { "spdepartamentos.com.br", true },
  { "spdf.net", true },
  { "speak-polish.com", true },
  { "spearfishingmx.com", true },
  { "speargames.net", true },
  { "specialistnow.com.au", true },
  { "specialtyalloys.ca", true },
  { "speciesism.com", true },
  { "spectrosoftware.de", true },
  { "spedplus.com.br", false },
  { "speech-balloon.com", true },
  { "speechdrop.net", true },
  { "speechmate.com", true },
  { "speechmore.ml", true },
  { "speechndraw.com", true },
  { "speeddate.it", false },
  { "speedof.me", true },
  { "speedracer.ca", true },
  { "speedsportofhull.co.uk", true },
  { "speedtailors.com", true },
  { "speedtest-russia.com", true },
  { "speedychat.it", true },
  { "speeltoneel.nl", true },
  { "speerpunt.info", true },
  { "speets.ca", true },
  { "speich.net", true },
  { "spek.tech", true },
  { "spellcheck24.net", true },
  { "spellchecker.net", true },
  { "spendwise.com.au", true },
  { "spenglerei-shop.de", true },
  { "sperohub.com", true },
  { "sperrstun.de", true },
  { "spesys-services.fr", true },
  { "spha.info", true },
  { "sphereblur.com", true },
  { "spherenix.org", true },
  { "sphido.org", true },
  { "spicydog.org", true },
  { "spicymatch.com", true },
  { "spidermail.tk", true },
  { "spidernet.tk", true },
  { "spideroak.com", true },
  { "spiders.org.ua", true },
  { "spielezar.ch", true },
  { "spielland.ch", true },
  { "spiellawine.de", true },
  { "spiet.nl", true },
  { "spiff.eu", true },
  { "spiga.ch", true },
  { "spikeykc.me", true },
  { "spillersfamily.net", true },
  { "spilogkoder.dk", true },
  { "spinalien.net", true },
  { "spindrift.com", true },
  { "spingenie.com", true },
  { "spinner.dnshome.de", true },
  { "spins.fedoraproject.org", true },
  { "spinspin.wtf", true },
  { "spiralschneiderkaufen.de", true },
  { "spirella-shop.ch", true },
  { "spirit-hunters-germany.de", true },
  { "spiritual.dating", true },
  { "spiritualife.net", true },
  { "spiritualregression.com.au", true },
  { "spiroduct.gr", true },
  { "spisbilligt.dk", true },
  { "spitfiredialers.com", true },
  { "spittank.info", true },
  { "spittersberger.recipes", true },
  { "splarty.net", true },
  { "splendidspoon.com", true },
  { "splendorservizi.it", true },
  { "splikity.com", true },
  { "splintermail.com", true },
  { "splitdna.com", true },
  { "splitreflection.com", true },
  { "splunk.net", true },
  { "splunk.zone", true },
  { "spodelime.com", true },
  { "spoketwist.com", true },
  { "spoluck.ca", true },
  { "spolwind.de", true },
  { "spom.net", true },
  { "sponc.de", true },
  { "spongepowered.org", true },
  { "sponsor.network", true },
  { "sponsormatch.eu", true },
  { "sponsorowani.pl", true },
  { "spoofhaus.com", true },
  { "spookbook.net", true },
  { "spookquest.com", true },
  { "spookyinternet.com", true },
  { "spoopy.link", true },
  { "sporara.com", true },
  { "sporcard.com", true },
  { "spornkuller.de", true },
  { "sport-in-sundern.de", true },
  { "sport-potreby.cz", true },
  { "sport-potreby.sk", true },
  { "sport247.bet", true },
  { "sportakrobatik.at", true },
  { "sporter.com", true },
  { "sportflash.info", true },
  { "sportnesia.com", true },
  { "sportovnidum.cz", true },
  { "sportparks.com", true },
  { "sportparks.org", true },
  { "sportressofblogitude.com", true },
  { "sports.dating", true },
  { "sportsjaw.com", true },
  { "sportsmanadvisor.com", false },
  { "sportsmansblog.com", true },
  { "sportstraineradvisor.com", true },
  { "sportugalia.ru", true },
  { "sportvereine.online", true },
  { "sportxt.ru", true },
  { "spot-lumiere-led.com", true },
  { "spotlightsrule.com", true },
  { "spotrebitelskecentrum.sk", true },
  { "spottedpenguin.co.uk", true },
  { "spotteredu.com", true },
  { "spotupload.com", true },
  { "sppin.fr", true },
  { "spr.id.au", true },
  { "sprachfreudehoch3.de", true },
  { "sprayforce.com", true },
  { "spreadsheetgear.com", true },
  { "spreadsheets.google.com", true },
  { "spreadthenews.eu", true },
  { "spree.co.za", true },
  { "spreed.me", true },
  { "spricknet.de", true },
  { "sprigings.com", true },
  { "springerundpartner.de", true },
  { "springfieldbricks.com", true },
  { "sprinklermanohio.com", true },
  { "spritmonitor.de", true },
  { "sprock.io", false },
  { "sproing.ca", true },
  { "spron.in", true },
  { "sprucecreekclubs.com", true },
  { "sprucecreekgcc.com", true },
  { "sps-lehrgang.de", true },
  { "sptk.org", true },
  { "spuffin.com", true },
  { "spufpowered.com", true },
  { "spunkt.fr", true },
  { "spur.com.br", true },
  { "spydar007.com", true },
  { "spydar007.net", true },
  { "spydersec.com", true },
  { "spykedigital.com", true },
  { "spyprofit.ru", true },
  { "spyroszarzonis.com", true },
  { "sqkaccountancy.co.uk", true },
  { "sql-und-xml.de", true },
  { "sqlapius.net", true },
  { "sqlfeatures.com", true },
  { "sqr-training.com", true },
  { "sqroot.eu", true },
  { "squaddraft.com", true },
  { "squadlinx.com", true },
  { "square-src.de", false },
  { "square.com", false },
  { "squarelab.it", true },
  { "squareonebgc.com.ph", true },
  { "squareup.com", false },
  { "squawk.cc", true },
  { "squeezemetrics.com", true },
  { "squido.ch", true },
  { "squidparty.com", true },
  { "squirex2.com", true },
  { "sr-33.com", true },
  { "sr33.com", true },
  { "srandom.com", true },
  { "sranje.rocks", true },
  { "srbija-nekretnine.org", true },
  { "src.fedoraproject.org", true },
  { "srchub.org", true },
  { "srihash.org", true },
  { "srinivasan.io", true },
  { "sro.center", true },
  { "srolim.com", true },
  { "srrdb.com", true },
  { "srroddy.com", true },
  { "srun.in", true },
  { "srv.so", true },
  { "srvc.io", true },
  { "ss.com", true },
  { "ss.lt", true },
  { "ss.lv", true },
  { "ss.ua", true },
  { "ss64.com", true },
  { "ss64.org", true },
  { "ss88.uk", true },
  { "ssa.gov", false },
  { "ssbgportal.net", true },
  { "ssbkk.ru", true },
  { "ssbrm.ch", true },
  { "ssc8689.com", true },
  { "ssc8689.net", true },
  { "sscd.no", true },
  { "ssco.xyz", true },
  { "ssdax.com", false },
  { "ssdservers.co.uk", true },
  { "ssenberg.nl", true },
  { "ssh-keys.online", true },
  { "ssh-vault.com", true },
  { "sshool.at", true },
  { "ssky.cn", true },
  { "ssl-zertifikate.de", true },
  { "ssl.do", true },
  { "ssl.doctor", true },
  { "ssl.md", true },
  { "ssl247.co.uk", true },
  { "ssl247.com.mx", true },
  { "ssl247.de", true },
  { "ssl247.dk", true },
  { "sslbrain.com", true },
  { "sslcertificaten.nl", true },
  { "sslcertificateshop.com", true },
  { "sslcheck.nl", true },
  { "ssldecoder.org", true },
  { "ssldev.net", true },
  { "sslmate.com", true },
  { "sslok.com", true },
  { "sslping.com", true },
  { "sslpoint.com", true },
  { "ssls.cz", true },
  { "sslsurvey.de", true },
  { "ssmato.me", true },
  { "ssmca.com", true },
  { "ssnet.vip", true },
  { "sso.to", false },
  { "ssready.io", true },
  { "ssready.org", true },
  { "sstaging.com", true },
  { "sstewartgallus.com", true },
  { "ssuc.net", true },
  { "ssuiteoffice.com", true },
  { "ssuitesoft.com", true },
  { "st-antonius-kuenzell.de", true },
  { "st-kilian-markt-erlbach.de", true },
  { "st-news.de", true },
  { "st-steuern.de", true },
  { "staatschutz.at", true },
  { "staatsschutz.at", true },
  { "staatsschutzgesetz.at", true },
  { "stablelib.com", true },
  { "stackptr.com", true },
  { "stacktile.io", false },
  { "stackunderflow.com", true },
  { "staddlestonesbowness.co.uk", true },
  { "stadm.com", true },
  { "stadsbygd.info", true },
  { "stadt-apotheke-muensingen.de", true },
  { "stadtbuecherei-bad-wurzach.de", true },
  { "stadterneuerung-hwb.de", true },
  { "stadtpapa.de", true },
  { "stadtplan-ilmenau.de", true },
  { "staff.direct", true },
  { "stage.wepay.com", false },
  { "stage4.ch", true },
  { "stageirites.com", true },
  { "stageirites.fr", true },
  { "stageirites.org", true },
  { "stahlfors.com", true },
  { "stainedglass.net.au", true },
  { "stair.ch", true },
  { "stairfallgames.com", true },
  { "stairlin.com", true },
  { "stako.jp", true },
  { "staktrace.com", true },
  { "stalder.work", true },
  { "stalker-shop.com", true },
  { "stalkr.net", true },
  { "stall-zur-linde.de", true },
  { "stamboommuller.nl", true },
  { "stamboomvanderwal.nl", true },
  { "stameystreet.com", true },
  { "stamkassa.nl", true },
  { "stammtisch.domains", true },
  { "stamonicatourandtravel.com", true },
  { "stamparmakarije.me", true },
  { "stampederadon.com", true },
  { "stanandjerre.org", true },
  { "standagainstspying.org", true },
  { "standard.co.uk", true },
  { "standardequipment.com", true },
  { "standards.gov", true },
  { "standoutbooks.com", true },
  { "stanthonymaryclaret.org", true },
  { "star-citizen.wiki", true },
  { "star-clean.it", true },
  { "starcoachservices.ca", true },
  { "starcomproj.com", true },
  { "stardanceacademy.net", true },
  { "stardust-entertainments.co.uk", true },
  { "starflix.uk", true },
  { "starfm.de", true },
  { "stargarder-jungs.de", true },
  { "stargazer.de", true },
  { "starina.ru", true },
  { "starka.st", true },
  { "starkbim.com", true },
  { "starking.net.cn", true },
  { "starlightentertainmentdevon.co.uk", true },
  { "starlim.co.in", true },
  { "starlim.org", true },
  { "starpeak.org", true },
  { "starphotoboothsni.co.uk", true },
  { "starplatinum.jp", true },
  { "starsam80.net", true },
  { "starskim.cn", true },
  { "starstreak.net", true },
  { "startaninflatablebusiness.com", true },
  { "starteesforsale.co.za", true },
  { "startergen.com", true },
  { "startlab.sk", true },
  { "startle.cloud", true },
  { "startpage.com", true },
  { "startpage.info", true },
  { "startrek.in", true },
  { "starttraffic.com", true },
  { "starttraffic.uk", true },
  { "startupgenius.org", true },
  { "startuppeople.co.uk", true },
  { "starwatches.eu", true },
  { "starwins.co.uk", true },
  { "stassi.ch", true },
  { "stastka.ch", true },
  { "stat.ink", true },
  { "statebuildinggroup.com", true },
  { "statecollegemortgages.com", true },
  { "static-692b8c32.de", true },
  { "static-myfxee-808795.c.cdn77.org", true },
  { "static-myfxoau-808795.c.cdn77.org", true },
  { "static-myfxouk-808795.c.cdn77.org", true },
  { "static.wepay.com", false },
  { "staticline.de", true },
  { "stationa.ch", true },
  { "stationary-traveller.eu", true },
  { "stationatbuckscounty.com", true },
  { "stationatlyndhurst.com", true },
  { "stationatwillowgrove.com", true },
  { "stationcharlie.co.za", true },
  { "statistikian.com", true },
  { "statofus.com", true },
  { "stats.g.doubleclick.net", true },
  { "statuscode.ch", true },
  { "stav.io", true },
  { "stavros.ovh", true },
  { "stay.black", true },
  { "stayme.cz", true },
  { "stayschemingco.com", true },
  { "stb-schefczyk.de", true },
  { "stb-strzyzewski.de", true },
  { "stbennett.org", true },
  { "stcu.org", false },
  { "std-home-test.com", true },
  { "stderr.cc", true },
  { "stdev.org", true },
  { "steakovercooked.com", true },
  { "stealsaga.net", true },
  { "steamdb.info", true },
  { "steamerrors.com", true },
  { "steamgifts.com", true },
  { "steamhours.com", true },
  { "steampress.io", true },
  { "steamscore.info", true },
  { "steamstat.us", true },
  { "steamtrades.com", true },
  { "steborio.pw", true },
  { "steckel.cc", true },
  { "stedb.eu", true },
  { "stedbg.net", true },
  { "steef389.eu", true },
  { "steel-roses.de", true },
  { "steelephys.com.au", true },
  { "steelmounta.in", true },
  { "steemit.com", true },
  { "steenackers.be", true },
  { "steerty.com", true },
  { "stefan-bayer.eu", true },
  { "stefan-rothe.ch", true },
  { "stefan-schlueter.de", true },
  { "stefan-schmid.com", true },
  { "stefanbayer.de", true },
  { "stefancosma.xyz", true },
  { "stefanorossi.it", true },
  { "stefanovski.io", false },
  { "stefanvanburen.xyz", true },
  { "stefany.eu", true },
  { "steffentreeservice.com", true },
  { "steidlewirt.de", true },
  { "steigerplank.com", false },
  { "steinbergmedia.de", true },
  { "steinibox.de", true },
  { "steklein.de", true },
  { "stella-artis-ensemble.at", true },
  { "stellarguard.me", true },
  { "stellarium-gornergrat.ch", true },
  { "stellarvale.net", true },
  { "stellen.ch", true },
  { "stelleninserate.de", true },
  { "stellenticket.de", true },
  { "stellmacher.name", true },
  { "stemapp.io", true },
  { "stembureauledenindenhaag.nl", true },
  { "stemsims.com", true },
  { "stening.co", true },
  { "stenzhorn-cloud.de", true },
  { "stepanvanek.cz", true },
  { "stephan-matthiesen.de", true },
  { "stephane-huc.net", false },
  { "stephaniedeady.ie", true },
  { "stephanieschreiber.com", true },
  { "stephenhaunts.com", true },
  { "stephenhorler.com.au", true },
  { "stephenj.co.uk", true },
  { "stephenjvoiceovers.com", true },
  { "stephenperreira.com", true },
  { "stephenschrauger.com", true },
  { "stephenschrauger.info", true },
  { "stephenschrauger.net", true },
  { "stephenschrauger.org", true },
  { "stephenskory.com", true },
  { "stephensol.is", true },
  { "stephensolis.com", true },
  { "stephsolis.net", true },
  { "steponedanceclub.co.uk", true },
  { "steponedanceclub.uk", true },
  { "stepstone.dk", true },
  { "stepsweb.com", true },
  { "ster-enzo.nl", true },
  { "sterchi-fromages.ch", true },
  { "stereo.lu", true },
  { "stereochro.me", false },
  { "sterlinx.de", true },
  { "stern-freunde.de", true },
  { "stern.koeln", true },
  { "sternadel.pl", true },
  { "sternen-sitzberg.ch", true },
  { "sternenbund.info", true },
  { "sternplastic.com", true },
  { "stetspa.it", true },
  { "steuer-voss.de", true },
  { "steuerberater-essen-steele.com", true },
  { "steuerkanzlei-edel.de", true },
  { "steuern-recht-wirtschaft.de", true },
  { "steuerseminare-graf.de", true },
  { "steuertipps-sonderausgaben.de", true },
  { "steve.kiwi", true },
  { "steveborba.com", true },
  { "stevedesmond.ca", true },
  { "stevedoggett.com", true },
  { "stevegrav.es", true },
  { "stevemonteyne.be", true },
  { "steven-bennett.com", true },
  { "stevenbolgartersnakes.com", true },
  { "stevenhumphrey.uk", true },
  { "stevenkwan.me", true },
  { "stevenroddis.com", true },
  { "stevens.se", false },
  { "steventress.com", true },
  { "stevenwooding.com", true },
  { "stevenz.net", true },
  { "stevenz.science", true },
  { "stevenz.xyz", true },
  { "stevesdrivingschooltyneside.com", true },
  { "stewartswines.com", true },
  { "stewonet.nl", true },
  { "steyaert.be", false },
  { "stforex.com", true },
  { "stfw.info", true },
  { "stichtingliab.nl", true },
  { "stichtingscholierenvervoerzeeland.nl", true },
  { "stichtingsticky.nl", true },
  { "stick2bike.de", true },
  { "stickeramoi.com", true },
  { "stickergiant.com", true },
  { "stickertuningfetzt.de", true },
  { "stickies.io", true },
  { "stickmanventures.com", true },
  { "stiffordacademy.org.uk", true },
  { "stift-kremsmuenster.at", true },
  { "stig.io", false },
  { "stigharder.com", true },
  { "stigviewer.com", true },
  { "stijnbelmans.be", true },
  { "stijnodink.nl", true },
  { "stikic.me", true },
  { "stikkie.me", true },
  { "stilartmoebel.de", true },
  { "stilecop.com", true },
  { "stillnessproject.com", true },
  { "stilmobil.se", true },
  { "stimmgabel.lu", true },
  { "stin.hr", true },
  { "stinsky.com", true },
  { "stintup.com", true },
  { "stipsan.me", true },
  { "stirblaut.de", true },
  { "stirling.co", true },
  { "stirlingpoon.com", true },
  { "stitchfiddle.com", true },
  { "stivesbouncycastlehire.co.uk", true },
  { "stjohnin.com", true },
  { "stjohnmiami.org", true },
  { "stjohnsc.com", true },
  { "stln.ml", true },
  { "stlu.de", true },
  { "stlukesbrandon.org", true },
  { "stm-net.de", true },
  { "stmlearning.com", true },
  { "stmsolutions.pl", true },
  { "stneotsbouncycastlehire.co.uk", true },
  { "stnl.de", false },
  { "stockpile.com", true },
  { "stockrow.com", true },
  { "stocktrader.com", true },
  { "stodieck.com", true },
  { "stoebermehl.at", true },
  { "stoffelnet.de", true },
  { "stokvistrading.nl", true },
  { "stolin.info", true },
  { "stolina.de", false },
  { "stolkpotplanten.nl", true },
  { "stolkschepen.nl", true },
  { "stolpi.is", true },
  { "stomt.com", true },
  { "stonedworms.de", true },
  { "stonefusion.org.uk", true },
  { "stonehammerhead.org", true },
  { "stonemain.eu", true },
  { "stonewuu.com", true },
  { "stony.com", true },
  { "stonystratford.org", true },
  { "stopbreakupnow.org", true },
  { "stopbullying.gov", true },
  { "stopfraud.gov", true },
  { "stopthethyroidmadness.com", true },
  { "stordbatlag.no", true },
  { "storedsafe.com", true },
  { "storillo.com", true },
  { "stormi.io", true },
  { "storvann.net", true },
  { "storvann.no", true },
  { "storycollective.film", true },
  { "storycollective.nl", true },
  { "storyland.ie", true },
  { "storysift.news", true },
  { "storytea.top", true },
  { "storytell.com", true },
  { "storytime.hu", true },
  { "stouter.nl", true },
  { "stoxford.com", true },
  { "straatderzotten.nl", true },
  { "strahlende-augen.info", true },
  { "straightedgebarbers.ca", true },
  { "strajnar.si", true },
  { "straka.name", true },
  { "strangelane.com", true },
  { "strangemusicinc.com", true },
  { "strangemusicinc.net", true },
  { "strate.io", true },
  { "strategiccapital.com", true },
  { "strategiclivingblog.com", true },
  { "strategie-zone.de", true },
  { "strathewerd.de", true },
  { "stratmann-b.de", true },
  { "stratuscloud.co.za", true },
  { "stratuscloudconsulting.cn", true },
  { "stratuscloudconsulting.co.uk", true },
  { "stratuscloudconsulting.co.za", true },
  { "stratuscloudconsulting.com", true },
  { "stratuscloudconsulting.in", true },
  { "stratuscloudconsulting.info", true },
  { "stratuscloudconsulting.net", true },
  { "stratuscloudconsulting.org", true },
  { "straubis.org", true },
  { "strauser.com", true },
  { "stravers.shoes", true },
  { "stream-ing.xyz", true },
  { "streamchan.org", true },
  { "streamlineautogroup.com", true },
  { "streampanel.net", true },
  { "streams.dyndns.org", true },
  { "streamthemeeting.com", true },
  { "streetdancecenter.com", true },
  { "streetmarket.ru", true },
  { "streets.mn", true },
  { "streetspotr.com", true },
  { "streetview.wien", true },
  { "strefapi.com", true },
  { "strengthroots.com", true },
  { "stressfreehousehold.com", true },
  { "stretchmyan.us", true },
  { "stretchpc.com", true },
  { "striata.com", true },
  { "striatadev.com", true },
  { "stricted.net", true },
  { "strictlyguitar.de", true },
  { "strictlynormal.com", true },
  { "strijkshop.be", true },
  { "stringtoolbox.com", true },
  { "stringvox.com", true },
  { "stripe.com", true },
  { "striptizer.tk", true },
  { "strivephysmed.com", false },
  { "strm.hu", true },
  { "strobeltobias.de", true },
  { "strobeto.de", true },
  { "strobotti.com", true },
  { "stroginohelp.ru", true },
  { "strom.family", true },
  { "stromberger.org", true },
  { "strommenhome.com", true },
  { "strongpassword.club", true },
  { "strongrandom.com", false },
  { "strongsalpinesucculents.com", true },
  { "strongtowerpc.com", true },
  { "stroomacties.nl", true },
  { "strozik.de", true },
  { "structurally.net", true },
  { "structure.systems", true },
  { "strugee.net", true },
  { "strutta.me", true },
  { "struxureon.com", true },
  { "strydom.me.uk", true },
  { "stsolarenerji.com", true },
  { "stt.wiki", true },
  { "stuartbell.co.uk", true },
  { "stuartmorris.id.au", true },
  { "stuartmorris.me", true },
  { "stuartmorris.name", true },
  { "stuartmorris.tel", true },
  { "stuarts.xyz", false },
  { "stuco.co", true },
  { "stucydee.nl", true },
  { "studenckiemetody.pl", true },
  { "student-eshop.cz", true },
  { "student-eshop.sk", true },
  { "studentfinancecountdown.com", true },
  { "studentforums.biz", true },
  { "studentloans.gov", true },
  { "studentpop.com", true },
  { "studentrightsadvocate.org", true },
  { "studentse.fr", true },
  { "studenttenant.com", true },
  { "studer.su", true },
  { "studiebegeleiding-haegeman.be", true },
  { "studiemeter.nl", true },
  { "studienportal.eu", true },
  { "studienservice.de", true },
  { "studiereader.nl", true },
  { "studio-architetto.com", true },
  { "studio-fotografico.ru", true },
  { "studiodentisticosanmarco.it", true },
  { "studiodewit.nl", true },
  { "studiodoprazer.com.br", true },
  { "studiogavioli.com", true },
  { "studiograou.com", true },
  { "studiohelder.fr", false },
  { "studiokicca.com", true },
  { "studiolegalepaternostro.it", true },
  { "studiomarcella.com", true },
  { "studionowystyl.pl", true },
  { "studioproapp.com", true },
  { "studioriehl.com", true },
  { "studioscherp.nl", true },
  { "studiostawki.com", true },
  { "studiostudio.net", true },
  { "studiotheatrestains.fr", true },
  { "studiovaud.com", true },
  { "studipro-formation.fr", true },
  { "studipro-marketing.fr", true },
  { "studium.cz", true },
  { "studlan.no", true },
  { "studport.rv.ua", true },
  { "studyin.jp", true },
  { "studying-neet.com", true },
  { "studytactics.com", true },
  { "stuermer.me", true },
  { "stuetzredli.ch", true },
  { "stuff-fibre.co.nz", true },
  { "stuffi.fr", true },
  { "stuffie.org", true },
  { "stuka-art.de", true },
  { "stulda.cz", false },
  { "stumeta.de", true },
  { "stumeta2018.de", true },
  { "stumf.si", true },
  { "stuntmen.xyz", true },
  { "stupendous.net", false },
  { "sturbi.de", true },
  { "stutelage.com", true },
  { "stuttgart-gablenberg.de", true },
  { "stuudium.cloud", true },
  { "stuudium.com", true },
  { "stuudium.life", true },
  { "stuudium.net", true },
  { "stuudium.org", true },
  { "stuudium.pro", true },
  { "stuur.nl", false },
  { "stuvel.eu", true },
  { "stuvus.de", true },
  { "stuvus.uni-stuttgart.de", true },
  { "stw-group.at", true },
  { "stygium.net", false },
  { "styleci.io", true },
  { "stylecollective.us", true },
  { "styles.pm", true },
  { "stylett.ru", true },
  { "stylewish.me", true },
  { "styloeart.com", true },
  { "stypr.com", true },
  { "su1ph3r.io", true },
  { "suareforma.com", true },
  { "suave.io", true },
  { "sub-net.at", true },
  { "sub.media", true },
  { "subastasdecarros.net", true },
  { "subculture.live", true },
  { "subdev.org", true },
  { "sublevel.net", false },
  { "sublimebits.com", true },
  { "sublocale.com", true },
  { "submedia.tv", true },
  { "submelon.tech", true },
  { "subohm.com", true },
  { "suborbital.io", true },
  { "subrosr.com", true },
  { "subsistence.wiki", true },
  { "substitutealert.com", true },
  { "subterfuge.io", true },
  { "suburban-landscape.net", true },
  { "suburbaninfinitioftroyparts.com", true },
  { "succ.in", true },
  { "succesprojekter.dk", true },
  { "successwithflora.com", true },
  { "succubus.xxx", true },
  { "suche.org", true },
  { "suchmaschinen-werkstatt.de", true },
  { "suckmyan.us", false },
  { "sucretown.net", true },
  { "sud66.com", true },
  { "sudaraka.org", true },
  { "sudmotor-occasions.be", true },
  { "sudo.org.au", true },
  { "sudo.ws", true },
  { "sudokian.io", true },
  { "sudoschool.com", true },
  { "suelyonjones.com", true },
  { "suessdeko.de", true },
  { "suevia-ka.de", true },
  { "suffix.ru", true },
  { "suffts.de", true },
  { "sufix.cz", true },
  { "sugarandcloth.com", true },
  { "sugarbrother.com", true },
  { "sugarshin.net", true },
  { "suggea.com", true },
  { "suggestim.ch", true },
  { "suisui.stream", true },
  { "suitesapp.com", true },
  { "sujoydhar.in", true },
  { "suki.moe", true },
  { "sukrie.net", true },
  { "suksit.com", true },
  { "sulek.eu", true },
  { "sulian.me", false },
  { "suluvir.com", true },
  { "sumguy.com", true },
  { "summa-prefis.com", true },
  { "summa.eu", false },
  { "summercampthailand.com", true },
  { "summershomes.com", true },
  { "sumoatm.com", false },
  { "sumthing.com", true },
  { "sun-leo.co.jp", true },
  { "sunboxstore.jp", true },
  { "sunbritetv.com", true },
  { "sunchasercats.com", true },
  { "sundanceusa.com", true },
  { "sundayfundayjapan.com", true },
  { "sunfeathers.net", true },
  { "sunflyer.cn", false },
  { "sunfox.cz", true },
  { "sunfulong.blog", true },
  { "sunfulong.me", true },
  { "sunjaydhama.com", true },
  { "sunn.ie", true },
  { "sunsetwx.com", true },
  { "sunshinesf.org", true },
  { "sunsmartresorts.com", true },
  { "sunstar.bg", true },
  { "sunwolf.studio", true },
  { "sunyataherb.com", true },
  { "supa.sexy", true },
  { "supastuds.com", true },
  { "super-demarche.com", true },
  { "super-erotica.ru", true },
  { "super-o-blog.com", true },
  { "superaficionados.com", true },
  { "superbart.nl", true },
  { "superbdistribute.com", true },
  { "superbouncebouncycastles.com", true },
  { "superbowlkneel.com", true },
  { "superbshare.com", true },
  { "supercalorias.com", true },
  { "supercastlesadelaide.com.au", true },
  { "supercastlesbrisbane.com.au", true },
  { "supercastlesmelbourne.com.au", true },
  { "supercastlessunshinecoast.com.au", true },
  { "supercastlessydney.com.au", true },
  { "supercentenarian.com", true },
  { "supercinebattle.fr", true },
  { "supereight.net", true },
  { "superguide.com.au", true },
  { "superhappiness.com", true },
  { "superhome.com.au", true },
  { "supermarx.nl", true },
  { "supermercadosdia.com.ar", true },
  { "supermil.ch", true },
  { "supern0va.net", true },
  { "supernaut.info", true },
  { "supernt.lt", true },
  { "supersahnetorten.de", true },
  { "supersec.es", true },
  { "supersole.net", true },
  { "supersonnig-festival.de", true },
  { "supersonnigfestival.de", true },
  { "supersteosbouncycastles.com", true },
  { "supersu.kr", true },
  { "superswingtrainer.com", true },
  { "supertasker.org", true },
  { "supertechcrew.com", true },
  { "supertutorial.com.br", true },
  { "supervisionassist.com", true },
  { "supeuro.com", true },
  { "supperclub.es", false },
  { "supplementler.com", true },
  { "supplies24.at", true },
  { "supplies24.es", true },
  { "support.mayfirst.org", false },
  { "supportdesk.nu", true },
  { "supportericking.org", true },
  { "supportme123.com", true },
  { "suprem.biz", true },
  { "suprem.ch", true },
  { "supriville.com.br", true },
  { "sur-v.com", true },
  { "surao.cz", true },
  { "surasak.io", true },
  { "sure-it.de", true },
  { "suretone.co.za", true },
  { "surfocal.com", true },
  { "surgenet.nl", true },
  { "surgeongeneral.gov", true },
  { "surgicalassociateswny.com", true },
  { "suroil.com", true },
  { "surpreem.com", true },
  { "survature.com", true },
  { "surveyhealthcare.com", true },
  { "surveymill.co.uk", true },
  { "survivalmonkey.com", true },
  { "survivebox.fr", true },
  { "susanbpilates.co", true },
  { "susanbpilates.com", true },
  { "susann-kerk.de", true },
  { "susanna-komischke.de", true },
  { "susc.org.uk", true },
  { "sush.us", true },
  { "sushi.roma.it", true },
  { "sushibesteld.nl", true },
  { "sushifrick.de", true },
  { "sushikatze.de", true },
  { "sushiwereld.be", true },
  { "susosudon.com", true },
  { "suspension-shop.com", true },
  { "sussexwebdesigns.co.uk", false },
  { "sussexwebsites.info", false },
  { "sustainabilityknowledgegroup.com", true },
  { "sustainoss.org", true },
  { "sustsol.com", true },
  { "sutas.market", true },
  { "suttonbouncycastles.co.uk", true },
  { "suurhelsinki.cf", true },
  { "suuria.de", true },
  { "suwalls.com", true },
  { "suzi3d.com", true },
  { "suzukikazuki.com", true },
  { "suzukimarinepress.com", true },
  { "sv-1966-medenbach.de", true },
  { "sv-turm-hohenlimburg.de", true },
  { "sv.search.yahoo.com", false },
  { "svager.cz", true },
  { "svantner.sk", true },
  { "svarnyjunak.cz", true },
  { "svc-sitec.com", true },
  { "svc-sitec.com.mx", true },
  { "svc-sitec.mx", true },
  { "svc-sitec.org", true },
  { "svdb.co", false },
  { "svdreamcatcher.com", true },
  { "sve-hosting.nl", true },
  { "sveinerik.org", true },
  { "svenbacia.me", true },
  { "svendubbeld.nl", true },
  { "sveneckelmann.de", true },
  { "svenjaundchristian.de", true },
  { "svennd.be", true },
  { "svetandroida.cz", true },
  { "svetlilo.com", true },
  { "svetzitrka.cz", false },
  { "svijet-medija.hr", true },
  { "svinformatica.es", true },
  { "svm-basketball.de", true },
  { "svm-it.eu", true },
  { "sw-servers.net", true },
  { "sw33tp34.com", true },
  { "swallsoft.co.uk", true },
  { "swallsoft.com", true },
  { "swankism.com", true },
  { "swansdoor.org", true },
  { "swap.gg", true },
  { "swapadoodle.com", true },
  { "swarfarm.com", true },
  { "swarlys-server.de", true },
  { "swarmation.com", true },
  { "swat4stats.com", true },
  { "swattransport.ae", true },
  { "sway-cdn.com", true },
  { "sway.com", true },
  { "swd.agency", true },
  { "swedishhost.com", true },
  { "swedishhost.se", true },
  { "sweep-me.net", true },
  { "sweepay.ch", true },
  { "sweet-orr.com", true },
  { "sweetair.com", true },
  { "sweetbridge.com", true },
  { "sweetgood.de", true },
  { "sweets-mimatsu.com", true },
  { "swehack.org", true },
  { "swerve-media-testbed-03.co.uk", true },
  { "swetrust.com", true },
  { "swfmax.com", true },
  { "swiftqueue.com", true },
  { "swilly.org", true },
  { "swimbee.nl", true },
  { "swimmer.com.au", true },
  { "swimwear365.co.uk", true },
  { "swineson.me", true },
  { "swing-belleville.de", true },
  { "swingmonkey.com", true },
  { "swipetv.ie", true },
  { "swiss-apartments.com", true },
  { "swiss-connection.net", true },
  { "swiss-cyber-experts.ch", true },
  { "swisscannabis.club", true },
  { "swissdojo.ch", true },
  { "swisselement365.com", true },
  { "swissfreshaircan.com", true },
  { "swissid.ch", true },
  { "swisslinux.org", true },
  { "swisstechtalks.ch", true },
  { "swissxperts.ch", true },
  { "switch.moe", true },
  { "switcheo.exchange", true },
  { "switcheo.rocks", true },
  { "switzerland-family-office.com", true },
  { "swordfeng.xyz", true },
  { "swuosa.org", false },
  { "swvaux.com", true },
  { "swyn.net", true },
  { "sxistolithos.gr", true },
  { "sy-anduril.de", true },
  { "sy24.ru", true },
  { "syajvo.if.ua", true },
  { "sychov.pro", true },
  { "sydney-sehen.com", true },
  { "sydney.dating", true },
  { "sydneyhelicopters.com.au", true },
  { "sydneylawnandturf.com.au", true },
  { "syenar.net", true },
  { "syezd.com.au", true },
  { "syha.org.uk", true },
  { "syhost.at", true },
  { "syhost.ch", true },
  { "syhost.de", true },
  { "sykepleien.no", false },
  { "sylaps.com", true },
  { "syleam.in", true },
  { "syllogi.xyz", true },
  { "sylvaincombe.net", true },
  { "sylvaindurand.fr", true },
  { "sylvaindurand.org", true },
  { "sylvaloir.fr", true },
  { "sylvan.me", true },
  { "sylvangarden.net", true },
  { "sylve.ch", true },
  { "sym01.com", true },
  { "symb.ch", true },
  { "symbiose-bien-etre.ch", true },
  { "symbiose-com.ch", true },
  { "symbiose-immobilier.ch", true },
  { "symbiose.com", true },
  { "symbiosecom.ch", true },
  { "symeda.de", true },
  { "symetria.io", true },
  { "symfora-meander.nl", true },
  { "symlnk.de", true },
  { "symphonos.it", true },
  { "symptome-erklaert.de", true },
  { "synabi.com", true },
  { "synaptickz.me", true },
  { "synatra.co", true },
  { "sync-it.no", true },
  { "syncflare.com", true },
  { "synchrocube.com", true },
  { "synchronyse.com", true },
  { "synchtu.be", true },
  { "syncrise.co.jp", true },
  { "syneart.com", true },
  { "synecek11.cz", true },
  { "synergyflare.com", true },
  { "synergyworkingdogclub.com", true },
  { "synerionagile.com", true },
  { "synony.me", true },
  { "synotna.eu", true },
  { "syntaxnightmare.com", true },
  { "syntheticmotoroil.org", true },
  { "syntheticurinereview.com", true },
  { "synthetik.com", true },
  { "syriatalk.biz", true },
  { "syriatalk.org", true },
  { "sysadm.guru", true },
  { "sysadmins.ro", true },
  { "syscoon.com", true },
  { "sysctl.se", true },
  { "sysdb.io", true },
  { "syslogic.io", true },
  { "sysmike.de", true },
  { "system-m.de", true },
  { "system.cf", true },
  { "system.is", true },
  { "system12.pl", true },
  { "system365.eu", true },
  { "systemadmin.uk", true },
  { "systematic-momo.com", true },
  { "systematic-momo.dk", true },
  { "systemd.ch", true },
  { "systemd.eu.org", true },
  { "systemeprod.fr", true },
  { "systemintegra.ru", true },
  { "systemli.org", true },
  { "systemreboot.net", true },
  { "systemspace.link", true },
  { "systemweb.no", true },
  { "systemzeit.info", true },
  { "systoolbox.net", true },
  { "sysystems.cz", true },
  { "syt3.net", true },
  { "sytk.me", true },
  { "syy.im", true },
  { "syzygy-tables.info", true },
  { "szagun.net", true },
  { "szamitogepdepo.com", true },
  { "szaydon.me", false },
  { "szczot3k.pl", true },
  { "szechenyi2020.hu", true },
  { "szentistvanpt.sk", true },
  { "szerelem.love", true },
  { "szunia.com", true },
  { "szybkiebieganie.pl", true },
  { "szyndler.ch", true },
  { "t-hawk.com", true },
  { "t-net.org.hu", true },
  { "t-shirts4less.nl", true },
  { "t-stonegroup.com", true },
  { "t.facebook.com", false },
  { "t12u.com", true },
  { "t2000headphones.com", true },
  { "t2000laserpointers.com", true },
  { "t23m-navi.jp", false },
  { "t2i.nl", true },
  { "t4c.link", true },
  { "t7e.de", false },
  { "ta-65.com", true },
  { "ta-sports.net", true },
  { "ta65.com", true },
  { "taabe.net", true },
  { "taartbesteld.nl", true },
  { "taartenfeesies.nl", true },
  { "tabarnak.ga", true },
  { "tabernadovinho.com.br", true },
  { "tabithawebb.co.uk", true },
  { "tabledusud.be", true },
  { "tabledusud.nl", true },
  { "tablescraps.com", true },
  { "tablet.facebook.com", false },
  { "tabletd.com", true },
  { "taborsky.cz", true },
  { "tac-volley.com", true },
  { "tachyonapp.com", true },
  { "tacklinglife.com", true },
  { "tacklog.com", true },
  { "tacomafia.net", false },
  { "tacostea.net", true },
  { "tadata.me", true },
  { "taddiestales.com", true },
  { "tadeo.ca", true },
  { "tadluedtke.com", true },
  { "tadtadya.com", true },
  { "tagabrand.co.uk", true },
  { "tagdocumentary.com", true },
  { "taggedpdf.com", false },
  { "taglioepiega.com", true },
  { "taglioepiega.eu", true },
  { "taglioepiega.it", true },
  { "tagpay.com", true },
  { "tahosa.co", true },
  { "tahosalodge.org", true },
  { "tai-in.com", true },
  { "tai-in.net", true },
  { "tailandfur.com", true },
  { "tailpuff.net", true },
  { "tails.boum.org", true },
  { "taimane.com", true },
  { "taishon.nagoya", true },
  { "taitmacleod.com", true },
  { "taiwan.dating", true },
  { "taiwantour.info", true },
  { "taiyouko-hatuden.net", true },
  { "tajper.pl", true },
  { "take1give1.com", false },
  { "takebackyourstate.com", true },
  { "takebackyourstate.net", true },
  { "takebackyourstate.org", true },
  { "takeitoffline.co.uk", true },
  { "takemoto-ped.com", true },
  { "taken.pl", true },
  { "takeshifujimoto.com", true },
  { "takk.pl", true },
  { "takuhai12.com", true },
  { "takumi-s.net", true },
  { "takuto.de", true },
  { "takuyaphotos.com", true },
  { "talentcast.nl", true },
  { "talentcast.org", true },
  { "talenthub.co.nz", true },
  { "talentos.pt", true },
  { "taler.net", true },
  { "talideon.com", false },
  { "talk.google.com", true },
  { "talk.xyz", true },
  { "talkgadget.google.com", true },
  { "talking12.com", true },
  { "talkingmoose.net", true },
  { "talkreal.net", true },
  { "talktech.com", true },
  { "talktodarcy.com", true },
  { "talktwincities.com", true },
  { "talkwithyourbaby.org", true },
  { "tallcraft.com", true },
  { "talldude.net", true },
  { "talltreeskv.com.au", true },
  { "talon.rip", true },
  { "talsi.eu", true },
  { "talun.de", true },
  { "tamashimx.net", true },
  { "tamasszabo.net", true },
  { "tamchunho.com", true },
  { "tamindir.com", true },
  { "tammy.pro", true },
  { "tampabaybusinesslistings.com", true },
  { "tancredi.nl", true },
  { "tandem-trade.ru", true },
  { "tandempartnerships.com", true },
  { "tandzorg.link", true },
  { "tangel.me", true },
  { "tangemann.org", true },
  { "tangiblesecurity.com", true },
  { "tango-cats.de", true },
  { "tango-ouest.com", true },
  { "tangoalpha.co.uk", true },
  { "tangsisi.com", true },
  { "tanhit.com", true },
  { "taniafitness.co.uk", true },
  { "taniafitness.com", true },
  { "tanie-uslugi-ksiegowe.pl", true },
  { "taniku-succulent.com", true },
  { "tankpassen-vergelijken.nl", true },
  { "tankski.co.uk", true },
  { "tannenhof-moelln.de", true },
  { "tantalos.nl", true },
  { "tantei100.net", true },
  { "tantetilli.de", true },
  { "tanto259.name", false },
  { "tanyanama.com", true },
  { "tanz.info", true },
  { "tanzhijun.com", true },
  { "tanzo.io", true },
  { "taoburee.com", true },
  { "tapakgram.com", true },
  { "taplemon.at", true },
  { "taplemon.com", true },
  { "taprix.org", true },
  { "taqsim.jp", true },
  { "taquilla.com", true },
  { "taqun.club", true },
  { "taranis.re", true },
  { "tarasecurity.co.uk", true },
  { "tarasecurity.com", true },
  { "tarasevich.by", true },
  { "tardis.io", true },
  { "targetbuilding.com", true },
  { "targetexecutivesearch.com", true },
  { "targimieszkaniowe.net", true },
  { "tariff.cc", true },
  { "tarik.io", true },
  { "tarsan.cz", true },
  { "tartaneagle.org.uk", true },
  { "tartanhamedshop.com.br", true },
  { "taruntarun.net", true },
  { "tas2580.net", false },
  { "taskin.me", true },
  { "taskotron.fedoraproject.org", true },
  { "taskotron.stg.fedoraproject.org", true },
  { "taskulu.com", true },
  { "taskulu.ir", true },
  { "taskutark.ee", true },
  { "tasogarenoinori.net", true },
  { "tass.nu", true },
  { "tastic.com", true },
  { "tastycake.net", false },
  { "tastystakes.com", true },
  { "tat2grl85.com", true },
  { "tatara.ne.jp", true },
  { "tateesq.com", true },
  { "tatildukkani.com", true },
  { "tatiloley.com", true },
  { "tatsidou.gr", true },
  { "tattoo.dating", true },
  { "taunhanh.us", true },
  { "tavolaquadrada.com.br", true },
  { "tavsys.net", true },
  { "tax-guard.com", true },
  { "taxaroo.com", true },
  { "taxi-chamonix.fr", true },
  { "taxi-collectif.ch", true },
  { "taxi-puck.pl", true },
  { "taxi-waregem.be", true },
  { "taxicollectif.ch", true },
  { "taxiindenbosch.nl", true },
  { "taxis-collectifs.ch", true },
  { "taxisafmatosinhos.pt", true },
  { "taxiscollectifs.ch", true },
  { "taxlab.co.nz", true },
  { "taxmadras.com", true },
  { "taxspeaker.com", true },
  { "taxsquirrel.com", true },
  { "taylorpearson.me", false },
  { "taylors-castles.co.uk", true },
  { "taylorstauss.com", true },
  { "taysonvodao.fr", true },
  { "tb-devel.de", true },
  { "tb-itf.de", true },
  { "tba.bm", true },
  { "tbfocus.com", true },
  { "tbitc.ch", true },
  { "tbonejs.org", true },
  { "tbrindus.ca", true },
  { "tbrss.com", true },
  { "tbs-certificates.co.uk", true },
  { "tbspace.de", true },
  { "tbtech.cz", true },
  { "tbuchloh.de", true },
  { "tbys.us", true },
  { "tc-st-leonard.ch", true },
  { "tc.nz", true },
  { "tcacademy.co.uk", true },
  { "tcb-a.org", true },
  { "tcb-b.org", true },
  { "tcf.org", true },
  { "tcgforum.pl", true },
  { "tcgrepublic.com", true },
  { "tchaka.top", true },
  { "tchannels.tv", true },
  { "tchebb.me", true },
  { "tchebotarev.com", true },
  { "tchnics.de", true },
  { "tchoukball.ch", true },
  { "tcmwellnessclinic.com", true },
  { "tcnapplications.com", true },
  { "tcptun.com", true },
  { "tcpweb.net", true },
  { "tcspartner.net", true },
  { "tdchrom.com", true },
  { "tdfbfoundation.org", true },
  { "tdrcartuchos.com.br", true },
  { "tdrs.info", true },
  { "tdsf.io", true },
  { "tdsinflatables.co.uk", true },
  { "tdude.co", true },
  { "tea.codes", true },
  { "teabagdesign.co.uk", true },
  { "teachercreatedmaterials.com", true },
  { "teacherph.com", true },
  { "teacherpowered.org", true },
  { "teachingcopyright.com", true },
  { "teachingcopyright.net", true },
  { "teachingcopyright.org", true },
  { "teachmeplease.com", true },
  { "teachmeplease.ru", true },
  { "teachpeople.org", true },
  { "teachwithouttears.com", true },
  { "teahut.net", true },
  { "team-azerty.com", true },
  { "team-bbd.com", true },
  { "team.house", true },
  { "team3482.com", true },
  { "teamassists.com", true },
  { "teambeam.at", true },
  { "teambeam.ch", true },
  { "teambeam.com", true },
  { "teambeam.de", true },
  { "teambition.com", true },
  { "teambodyproject.com", true },
  { "teamcombat.com", true },
  { "teamliquidpro.com", true },
  { "teammathics.com", true },
  { "teamnetsol.com", true },
  { "teamninjaapp.com", true },
  { "teamnissannorthparts.com", true },
  { "teamnorthgermany.de", true },
  { "teampaddymurphy.ch", true },
  { "teampaddymurphy.ie", true },
  { "teamtouring.net", true },
  { "teamtrack.uk", true },
  { "teamup.com", true },
  { "teamupturn.com", true },
  { "teamupturn.org", true },
  { "teamusec.de", true },
  { "teasenetwork.com", true },
  { "teaser-trailer.com", true },
  { "teatrarium.com", true },
  { "teb-akademia.pl", true },
  { "tebodental.com", true },
  { "tec3000.ch", true },
  { "tecart-cloud.de", true },
  { "tecart-system.de", true },
  { "tecartcrm.de", true },
  { "tech-blogger.net", true },
  { "tech-clips.com", true },
  { "tech-director.ru", true },
  { "tech-essential.com", true },
  { "tech-rat.com", true },
  { "tech-seminar.jp", true },
  { "tech-value.eu", true },
  { "tech-zealots.com", true },
  { "techace.jp", true },
  { "techademy.nl", true },
  { "techbelife.com", true },
  { "techbrown.com", true },
  { "techcentric.com", false },
  { "techcracky.com", true },
  { "techcultivation.de", false },
  { "techcultivation.net", false },
  { "techcultivation.org", false },
  { "techday.co.nz", true },
  { "techday.com", true },
  { "techday.com.au", true },
  { "techday.eu", true },
  { "techdirt.com", true },
  { "techdroid.eu", true },
  { "techendeavors.com", true },
  { "techformator.pl", true },
  { "techhappy.ca", true },
  { "techinet.pl", true },
  { "techinsurance.com", true },
  { "techjoe.co", true },
  { "techmajesty.com", true },
  { "techmasters.io", true },
  { "technicabv.nl", true },
  { "technicalbrothers.cf", true },
  { "technicallyeasy.net", true },
  { "techniclab.net", false },
  { "technifocal.com", true },
  { "technoinfogroup.it", true },
  { "technologie-innovation.fr", true },
  { "technologyand.me", true },
  { "technologysi.com", true },
  { "technoparcepsilon.fr", true },
  { "technoscoots.com", true },
  { "technosorcery.net", true },
  { "technosuport.com", true },
  { "technoswag.ca", true },
  { "technotonic.co.uk", true },
  { "techold.ru", true },
  { "techorbiter.com", true },
  { "techosmarcelo.com.ar", true },
  { "techpit.us", true },
  { "techpivot.net", true },
  { "techshift.eu", true },
  { "techshift.nl", true },
  { "techshift.se", true },
  { "techsolvency.com", true },
  { "techtalks.no", true },
  { "techtrackerpro.com", true },
  { "techtuts.info", true },
  { "techvalue.gr", true },
  { "techviewforum.com", true },
  { "techwayz.com", true },
  { "techwithcromulent.com", true },
  { "techwords.io", true },
  { "teckids.org", true },
  { "tecmarkdig.com", true },
  { "tecne.ws", true },
  { "tecnicoelettrodomestici.roma.it", true },
  { "tecnidev.com", true },
  { "tecnoarea.com.ar", true },
  { "tecnobrasilloja.com.br", true },
  { "tecnodritte.it", true },
  { "tecnogazzetta.it", true },
  { "tecnologiasurbanas.com", true },
  { "tecon.co.at", true },
  { "tecyt.com", true },
  { "tedb.us", true },
  { "teddy.ch", true },
  { "teddybradford.com", true },
  { "teddylu.info", true },
  { "teddyss.com", false },
  { "tedsdivingsystem.com", true },
  { "tedxodense.com", true },
  { "tee-idf.net", true },
  { "teebeedee.org", false },
  { "teemo.gg", true },
  { "teemperor.de", true },
  { "teemulintula.fi", true },
  { "teencounseling.com", true },
  { "teenerotic.net", true },
  { "teesypeesy.com", true },
  { "teeworlds-friends.de", true },
  { "tefek.cz", true },
  { "tege-elektronik.hu", true },
  { "tehcrayz.com", true },
  { "tehrabbitt.com", false },
  { "tehranperfume.com", true },
  { "teixobactin.com", true },
  { "tejarat98.com", true },
  { "teknemodus.com.au", true },
  { "teknik.io", true },
  { "tekniskakustik.se", true },
  { "tekno.de", true },
  { "teksuperior.com", true },
  { "tektuts.com", true },
  { "tekuteku.jp", true },
  { "telamon.fr", true },
  { "tele-alarme.ch", true },
  { "tele-assistance.ch", true },
  { "tele-online.com", true },
  { "telealarme.ch", true },
  { "telealarmevalais.ch", true },
  { "telecamera.pro", false },
  { "telecomwestland.nl", true },
  { "teledivi.com", true },
  { "telefon.report", true },
  { "telefonabonnement.dk", true },
  { "telefoncek.si", true },
  { "telefonkonferenz.ch", true },
  { "telefonni-ustredna.cz", true },
  { "telefonseelsorge-paderborn.de", true },
  { "telefoon.nl", true },
  { "telefoonabonnement.nl", true },
  { "telegramdr.com", true },
  { "telehealthventures.com", false },
  { "telekothonbd.com", true },
  { "teleogistic.net", true },
  { "telepass.me", true },
  { "telephonedirectories.us", true },
  { "telepons.com", true },
  { "telework.gov", true },
  { "telling.xyz", true },
  { "tellusaboutus.com", true },
  { "telly.site", true },
  { "tellygames.com", true },
  { "teloo.pl", true },
  { "telos-analytics.com", true },
  { "teltru.com", true },
  { "telugu4u.net", true },
  { "tem.li", true },
  { "tematicas.org", true },
  { "temizmama.com", true },
  { "temnacepel.cz", true },
  { "temp.pm", true },
  { "tempa.com.ua", true },
  { "tempdomain.ml", true },
  { "tempflix.com", true },
  { "template-parks.com", true },
  { "templateinvaders.com", true },
  { "tempus-aquilae.de", true },
  { "ten-cafe.com", true },
  { "tenable.com.au", true },
  { "tenbos.ch", true },
  { "tendance-et-accessoires.com", true },
  { "tendermaster.com.ua", true },
  { "tenderstem.co.uk", true },
  { "tendomag.com", true },
  { "tenenz.com", true },
  { "tenisservis.eu", true },
  { "tenkofx.com", true },
  { "tenma.pro", true },
  { "tennisadmin.com", true },
  { "tennismindgame.com", true },
  { "tenno.tools", true },
  { "tenpo-iku.com", true },
  { "tenpolab.com", true },
  { "tenseapp.pl", true },
  { "tenshoku-hanashi.com", true },
  { "tent.io", true },
  { "tenta.com", true },
  { "tentabrowser.com", true },
  { "tentations-voyages.com", false },
  { "tenthousandcoffees.com", true },
  { "tenthpin.com", true },
  { "tenyx.de", true },
  { "tenzer.dk", true },
  { "tepid.org", true },
  { "tepitus.de", true },
  { "teplofom.ru", true },
  { "teplomash24.ru", true },
  { "tequilazor.com", true },
  { "terabyte.services", true },
  { "terabyteharddrive.net", true },
  { "terabyteit.co.uk", true },
  { "teracloud.at", true },
  { "teranacreative.com", true },
  { "tercerapuertoaysen.cl", true },
  { "teriiphotography.com", true },
  { "terlindung.com", true },
  { "termax.me", true },
  { "termino.eu", true },
  { "termitemounds.org", true },
  { "termitinitus.org", true },
  { "termografiranje.si", true },
  { "terra.fitness", true },
  { "terrab.de", false },
  { "terracloud.de", false },
  { "terraelectronica.ru", true },
  { "terrafinanz.de", true },
  { "terraform.io", true },
  { "terragni-sarasin.ch", true },
  { "terrainator.com", true },
  { "terralimno.com", true },
  { "terralimno.eu", true },
  { "terraluna.space", true },
  { "terrastaffinggroup.com", false },
  { "terraweb.net", true },
  { "terresmagiques.com", true },
  { "terrty.net", true },
  { "terryjohnsononline.com", true },
  { "tes.com", true },
  { "tesche.biz", true },
  { "teschenhausen.com", true },
  { "tescoirelandpayslips.com", true },
  { "tescolide.cz", true },
  { "tescoludia.sk", true },
  { "teskalabs.com", true },
  { "tesoro.pr", true },
  { "tessai.ga", true },
  { "test-textbooks.com", true },
  { "test.de", true },
  { "testadren.com", true },
  { "testgeomed.ro", true },
  { "testi.info", true },
  { "testnode.xyz", false },
  { "testomato.com", true },
  { "testosterone-complex.com", true },
  { "testosteronedetective.com", true },
  { "testpornsite.com", true },
  { "testsuite.org", true },
  { "testuje.net", true },
  { "tetedelacourse.ch", true },
  { "teto.nu", true },
  { "tetraktus.org", true },
  { "tetsugakunomichi.jp", true },
  { "tetsumaki.net", true },
  { "teufel.dk", true },
  { "teufelswerk.net", true },
  { "teulon.eu", true },
  { "teusink.eu", true },
  { "teva-li.com", true },
  { "tewarilab.co.uk", true },
  { "tewkesburybouncycastles.co.uk", true },
  { "texasllcpros.com", true },
  { "texaspaintingandgutters.com", true },
  { "texastwostepdivorce.com", true },
  { "texasvolunteerattorneys.org", true },
  { "texby.com", true },
  { "texhnolyze.net", true },
  { "text-shirt.com", true },
  { "textburst.com", true },
  { "texter-linz.at", true },
  { "texterseo.at", true },
  { "texterseo.de", true },
  { "textinmate.com", true },
  { "textpedia.org", true },
  { "textualapp.com", false },
  { "textundblog.de", true },
  { "texture.net.au", true },
  { "texus.me", true },
  { "texy.info", true },
  { "teysens.com", true },
  { "teyssedre.ca", true },
  { "tezcam.tk", true },
  { "tf-network.de", true },
  { "tf2b.com", true },
  { "tf2calculator.com", true },
  { "tfg-bouncycastles.com", true },
  { "tfle.xyz", true },
  { "tflite.com", true },
  { "tfnapps.de", true },
  { "tfreeman.org", true },
  { "tfx.com.br", true },
  { "tfx.pt", true },
  { "tfxstartup.com", true },
  { "tfxstartup.com.br", true },
  { "tgamobility.co.uk", true },
  { "tgb.org.uk", true },
  { "tgbyte.com", true },
  { "tgbyte.de", true },
  { "tgexport.eu", true },
  { "tgmkanis.com", true },
  { "tgui.eu", true },
  { "tgui.net", true },
  { "tgw.com", true },
  { "tgwork.com", true },
  { "th.search.yahoo.com", false },
  { "thablubb.de", true },
  { "thackert.myfirewall.org", true },
  { "thaedal.net", true },
  { "thai.dating", true },
  { "thaicyberpoint.com", true },
  { "thaiforest.ch", true },
  { "thaihomecooking.com", true },
  { "thailandpharmacy.net", true },
  { "thairehabassociation.com", true },
  { "thajskyraj.com", true },
  { "thalan.fr", true },
  { "thalgott.net", true },
  { "thalhammer.it", true },
  { "thalia.nu", true },
  { "thallinger.me", true },
  { "thalskarth.com", true },
  { "thamesfamilydentistry.com", true },
  { "thanabh.at", true },
  { "thanatoid.net", true },
  { "thatdarkplace.com", true },
  { "thatquiz.org", true },
  { "thca.ca", true },
  { "thcpbees.co.uk", true },
  { "the-body-shop.hu", false },
  { "the-fermenter.com", true },
  { "the-hemingway-code.de", true },
  { "the-mystery.org", true },
  { "the-nash-education-program.com", true },
  { "the-pcca.org", true },
  { "the-webmaster.com", true },
  { "the2f.de", true },
  { "the3musketeers.biz", true },
  { "theactuary.ninja", true },
  { "theadultswiki.com", true },
  { "thealexandertechnique.co.uk", true },
  { "theankhlife.com", true },
  { "theanticellulitediet.com", true },
  { "thebakers.com.br", true },
  { "thebakery2go.de", true },
  { "thebannerstore.com", true },
  { "thebasebk.org", true },
  { "thebcm.co.uk", true },
  { "thebest.ch", true },
  { "thebestfun.co.uk", true },
  { "thebestsavingsplan.com", true },
  { "thebigbitch.nl", true },
  { "thebigdatacompany.com", true },
  { "thebigwave.de", true },
  { "thebikeinsurer.co.uk", true },
  { "thebimhub.com", true },
  { "thebit.link", true },
  { "theblackknightsings.com", true },
  { "theblondeabroad.com", true },
  { "thebodyprinciple.com", true },
  { "thebonerking.com", true },
  { "thebouncedepartment.co.uk", true },
  { "thebouncyman.co.uk", true },
  { "theboxofcarlos.com", true },
  { "thebreakroom.org", true },
  { "thebusinessofgoodfilm.com", true },
  { "thecandidforum.com", true },
  { "thecarolingconnection.com", true },
  { "thecellulitediet.com", true },
  { "thecherryship.ch", true },
  { "thechunk.net", true },
  { "theciderlink.com.au", true },
  { "thecitizens.com", true },
  { "thecitywarehouse.clothing", true },
  { "thecloudmigrator.com", true },
  { "thecloudshelter.com", true },
  { "thecoffeepod.co.uk", true },
  { "thecoffeesuperstore.com", true },
  { "thecolumnist.net", true },
  { "thecompany.pl", true },
  { "theconcordbridge.azurewebsites.net", true },
  { "thecondobuyers.com", true },
  { "thecozycastle.com", true },
  { "thecrazytravel.com", true },
  { "thecrew-exchange.com", true },
  { "thecrochetcottage.net", true },
  { "thecskr.in", true },
  { "thecuppacakery.co.uk", true },
  { "thecuriouscat.net", true },
  { "thecuriousdev.com", true },
  { "thecurvyfashionista.com", true },
  { "thecustomdroid.com", true },
  { "thecustomizewindows.com", true },
  { "thedark1337.com", true },
  { "thedarkartsandcrafts.com", true },
  { "thedebug.life", true },
  { "thederminstitute.com", true },
  { "thedevilwearswibra.nl", true },
  { "thediaryofadam.com", true },
  { "thedisc.nl", true },
  { "thediscovine.com", true },
  { "thedocumentrefinery.com", true },
  { "thedominatorsclan.com", true },
  { "thedreamtravelgroup.co.uk", true },
  { "thedronechart.com", true },
  { "thedrunkencabbage.com", true },
  { "thedutchmarketers.com", true },
  { "theebookkeepers.co.za", true },
  { "theeducationdirectory.org", true },
  { "theeighthbit.com", true },
  { "theel0ja.ovh", true },
  { "theemasphere.com", true },
  { "theexpatriate.de", true },
  { "thefanimatrix.net", true },
  { "thefasterweb.com", true },
  { "thefbstalker.com", true },
  { "thefengshuioffice.com", true },
  { "theferrarista.com", true },
  { "theflowerbasketonline.com", true },
  { "theflyingbear.net", true },
  { "thefnafarchive.org", true },
  { "thefox.com.fr", true },
  { "thefrk.pw", true },
  { "thefunfirm.co.uk", true },
  { "thegarrowcompany.com", true },
  { "thegcccoin.com", true },
  { "thegeekdiary.com", true },
  { "thegioinano.com", true },
  { "thegrape.ro", true },
  { "thegreatpakistan.com", true },
  { "thegreatplains.com", true },
  { "thegreenfields.se", true },
  { "thegreenmanpottery.com", true },
  { "thegreenpark.co.uk", true },
  { "thegreens.us", true },
  { "thegvoffice.net", true },
  { "thegym.org", true },
  { "thehackerblog.com", true },
  { "thehairstandard.com", true },
  { "thehaxbys.co.uk", true },
  { "thehiddenbay.cc", false },
  { "thehiddenbay.fi", true },
  { "thehiddenbay.info", true },
  { "thehiddenbay.ws", true },
  { "thehivedesign.org", true },
  { "thehomeicreate.com", true },
  { "thehookup.be", true },
  { "thehotness.tech", true },
  { "thehouseofgod.org.nz", true },
  { "thehowtohome.com", true },
  { "theidiotboard.com", true },
  { "theillustrationstudio.com.au", true },
  { "theimagefile.com", true },
  { "theinflatables-ni.co.uk", true },
  { "theinflatablesne.co.uk", true },
  { "theinitium.com", true },
  { "theintercept.com", true },
  { "theinternationalgeekconspiracy.eu", true },
  { "thejacksoninstitute.com.au", true },
  { "thekev.in", true },
  { "thekindplate.ca", true },
  { "thekingofhate.com", true },
  { "thekrewserver.com", true },
  { "thelaimlife.com", true },
  { "thelanscape.com", true },
  { "thelastsurprise.com", true },
  { "thelinuxtree.net", true },
  { "thelittlecraft.com", true },
  { "thelocals.ru", true },
  { "thelonelyones.co.uk", true },
  { "themacoaching.nl", true },
  { "themarshallproject.org", true },
  { "themaster.site", true },
  { "themeaudit.com", true },
  { "themecraft.studio", true },
  { "themefoxx.com", true },
  { "themesurgeons.net", true },
  { "themetacity.com", true },
  { "themilanlife.com", true },
  { "themillerslive.com", true },
  { "themimitoof.fr", true },
  { "themist.cz", true },
  { "themoep.at", true },
  { "themoneyconverter.com", true },
  { "themonkeytrail.co.uk", true },
  { "themonthly.com.au", true },
  { "themostexpensiveworkofart.com", true },
  { "themusecollaborative.org", true },
  { "themusicinnoise.net", true },
  { "thenanfang.com", true },
  { "thenarcissisticlife.com", true },
  { "thenexwork.com", true },
  { "thenib.com", true },
  { "thenichecast.com", true },
  { "thenocman.com", true },
  { "thenowheremen.com", true },
  { "theobromos.fr", true },
  { "theocharis.org", true },
  { "theodorahome.co", true },
  { "theodorahome.com.br", true },
  { "theofleck.com", true },
  { "theojones.name", true },
  { "theokouzelis.com", true },
  { "theoldbrewhouse.info", true },
  { "theonethaimassage.de", true },
  { "theoriginalbit.com", true },
  { "theory-test-online.co.uk", true },
  { "theory.org", true },
  { "theosblog.de", true },
  { "theoscure.eu", true },
  { "thepaffy.de", true },
  { "thepartner.co.uk", true },
  { "thepartydoctors.co.uk", true },
  { "thepasteb.in", true },
  { "thepathsofdiscovery.com", true },
  { "thepaulagcompany.com", true },
  { "thepaymentscompany.com", true },
  { "thepb.in", true },
  { "thepeninsulaires.com", true },
  { "thephonecaseplace.com", true },
  { "thephp.cc", true },
  { "thepiabo.ovh", true },
  { "thepieslicer.com", true },
  { "thepiratesociety.org", true },
  { "theplaidpoodle.com", true },
  { "theplasticsurgerycenterofnashville.com", true },
  { "theplaydaysbus.co.uk", true },
  { "theplayspot.co.uk", true },
  { "theposhfudgecompany.co.uk", true },
  { "thepostoffice.ro", true },
  { "thepriorybandbsyresham.co.uk", true },
  { "thepromisemusic.com", true },
  { "theragran.co.id", true },
  { "theralino.de", true },
  { "theramo.re", true },
  { "therandombits.com", true },
  { "therapynotes.com", true },
  { "therapyportal.com", true },
  { "therapysxm.com", true },
  { "therealcost.gov", true },
  { "thereaper.net.au", true },
  { "theresa-mayer.eu", true },
  { "therevenge.me", true },
  { "therewill.be", true },
  { "thermalbad-therme.de", true },
  { "thermity.com", true },
  { "thermolamina.nl", true },
  { "theroks.com", true },
  { "theroyalmarinescharity.org.uk", true },
  { "theruizes.com", true },
  { "theruleslawyer.net", true },
  { "therumfordcitizen.com", true },
  { "thesalonthing.com", false },
  { "thesassynut.com", true },
  { "thesaturdaypaper.com.au", true },
  { "thesaurus.net", true },
  { "theschool.jp", true },
  { "thescientists.nl", true },
  { "thesecondsposts.com", true },
  { "theseed.io", true },
  { "theseedbox.xyz", true },
  { "theseletarmall.com", true },
  { "theseoframework.com", true },
  { "theseosystem.com", true },
  { "theserver201.tk", true },
  { "thesession.org", false },
  { "thesharedbrain.ch", true },
  { "thesharedbrain.com", true },
  { "thesharepointfarm.com", true },
  { "theshine.pl", true },
  { "thesignacademy.co.uk", true },
  { "thesignalco.com.au", true },
  { "thesimplifiers.com", true },
  { "thesisgeek.com", true },
  { "thesishelp.net", true },
  { "theskingym.co.uk", true },
  { "thesmallbusinesswebsiteguy.com", true },
  { "thesmokingcuban.com", true },
  { "thesocialmediacentral.com", true },
  { "thesplashlab.com", true },
  { "thestationatwillowgrove.com", true },
  { "thesteins.org", false },
  { "thestonegroup.de", true },
  { "thestoritplace.com", true },
  { "thestory.ie", true },
  { "thestoryshack.com", true },
  { "thestral.pro", true },
  { "thestralbot.com", true },
  { "thestrategyagency.com.au", true },
  { "thestudyla.com", true },
  { "thestyle.city", true },
  { "thesuppercircle.com", true },
  { "theswissbay.ch", true },
  { "thetechnical.me", true },
  { "thetenscrolls.com", true },
  { "thetomharling.com", true },
  { "thetree.ro", true },
  { "thetrendspotter.net", true },
  { "thetuxkeeper.de", false },
  { "theunitedstates.io", true },
  { "thevacweb.com", true },
  { "thevalentineconstitution.com", true },
  { "thewarrencenter.org", true },
  { "thewaxhouse.academy", true },
  { "thewaxhouse.de", true },
  { "thewaxhouse.shop", true },
  { "thewebdexter.com", true },
  { "thewebflash.com", true },
  { "thewebsitedoctors.co.uk", true },
  { "thewebsitemarketingagency.com", true },
  { "thewhitehat.club", true },
  { "thewhitneypaige.com", true },
  { "thewindow.com", true },
  { "thewinstonatlyndhurst.com", true },
  { "thewoodkid.com.au", true },
  { "thexfactorgames.com", true },
  { "thexme.de", true },
  { "theyachtteam.com", true },
  { "theyarnhookup.com", false },
  { "theyear199x.org", true },
  { "theyearinpictures.co.uk", true },
  { "theyosh.nl", true },
  { "thezillersathenshotel.com", true },
  { "thiagohersan.com", true },
  { "thibaultwalle.com", true },
  { "thibautcharles.net", true },
  { "thienteakee.com", true },
  { "thiepcuoidep.com", true },
  { "thiepxinh.net", true },
  { "thierry-daellenbach.com", true },
  { "thierrybasset.ch", true },
  { "thierryhayoz.ch", true },
  { "thijsbekke.nl", true },
  { "thijsslop.nl", true },
  { "thijsvanderveen.net", true },
  { "thinegen.de", true },
  { "thingies.site", true },
  { "think-asia.org", true },
  { "think-positive-watches.de", true },
  { "thinkheaddesign.com", true },
  { "thinkindifferent.net", true },
  { "thinkingandcomputing.com", true },
  { "thinkingplanet.net", true },
  { "thinklikeanentrepreneur.com", true },
  { "thinkmarketing.ca", true },
  { "thinkquality.nl", true },
  { "thinkrealty.com", true },
  { "thinktux.net", true },
  { "thirdbearsolutions.com", true },
  { "thirdworld.moe", true },
  { "thiry-automobiles.net", true },
  { "thisbrownman.com", true },
  { "thiscloudiscrap.com", false },
  { "thiscode.works", true },
  { "thisdot.site", true },
  { "thisfreelife.gov", true },
  { "thisishugo.com", true },
  { "thisistheserver.com", true },
  { "thisiswhywemom.com", true },
  { "thismatter.com", true },
  { "thisoldearth.com", true },
  { "thisserver.dontexist.net", true },
  { "thistleandleaves.com", true },
  { "thm.vn", true },
  { "thole.org", true },
  { "thom4s.info", true },
  { "thomalaudan.de", true },
  { "thomas-bertran.com", true },
  { "thomas-fahle.de", true },
  { "thomas-prior.com", true },
  { "thomas-sammut.com", true },
  { "thomas-suchon.fr", true },
  { "thomas.love", false },
  { "thomasbeckers.be", true },
  { "thomaseyck.com", true },
  { "thomasfoster.co", true },
  { "thomasgriffin.io", true },
  { "thomashunter.name", false },
  { "thomasmcfly.com", true },
  { "thomasscholz.com", true },
  { "thomassen.sh", true },
  { "thomasstevensmusic.com", true },
  { "thomastimepieces.com.au", true },
  { "thomasvochten.com", true },
  { "thomaswoo.com", true },
  { "thomsonscleaning.co.uk", true },
  { "thomspooren.nl", true },
  { "thomwiggers.nl", true },
  { "thor.edu", true },
  { "thor.re", true },
  { "thoroquel.org", true },
  { "thorsten-schaefer.com", true },
  { "thorstenschaefer.name", true },
  { "thosci.com", true },
  { "thotpublicidad.com", true },
  { "thoughtlessleaders.online", true },
  { "thoughtsynth.com", true },
  { "thoughtsynth.net", true },
  { "thoughtsynth.org", true },
  { "thouni.de", true },
  { "thousandgreens.com", true },
  { "thousandoakselectrical.com", true },
  { "threatmarket.com", true },
  { "threatworking.com", true },
  { "threecrownsllp.com", true },
  { "threedpro.me", true },
  { "threefours.net", true },
  { "threelions.ch", true },
  { "threema.ch", true },
  { "threexxx.ch", true },
  { "thriftdiving.com", true },
  { "thrivesummit.com", true },
  { "thriveta.com", true },
  { "thriveweb.com.au", true },
  { "throttlerz.in", true },
  { "throughtheglass.photo", true },
  { "throwaway.link", true },
  { "throwpass.com", true },
  { "thues.eu", true },
  { "thuisverpleging-meerdael.be", true },
  { "thullbery.com", true },
  { "thummer.net", true },
  { "thunderfield-boat.co.uk", true },
  { "thunderkeys.net", true },
  { "thundr.eu", true },
  { "thunraz.com", true },
  { "thusoy.com", false },
  { "thuviensoft.com", true },
  { "thuviensoft.net", true },
  { "thw-bernburg.de", true },
  { "thxandbye.de", true },
  { "thycotic.ru", true },
  { "thyngster.com", true },
  { "thzone.net", true },
  { "ti-js.com", true },
  { "ti-pla.net", true },
  { "ti-planet.org", true },
  { "tiacollection.com", true },
  { "tiagonunes.pt", true },
  { "tiaki.org", true },
  { "tianeptine.com", true },
  { "tianshili.me", true },
  { "tiantangbt.com", true },
  { "tibipg.com", true },
  { "ticfleet.com", true },
  { "ticketassist.nl", true },
  { "ticketluck.com", true },
  { "ticketmates.com.au", true },
  { "ticketpro.ca", true },
  { "ticketslover.com", true },
  { "ticketsmate.com", true },
  { "ticketsource.co.uk", true },
  { "ticketsource.eu", true },
  { "ticketsource.us", true },
  { "ticketsourcebeta.co.uk", true },
  { "ticketsvergleichen.de", true },
  { "tickit.ca", true },
  { "tid.jp", true },
  { "tidycustoms.net", true },
  { "tielectric.ch", true },
  { "tiendafetichista.com", true },
  { "tiendavertigo.com", true },
  { "tiens-ib.cz", true },
  { "tier-1-entrepreneur.com", true },
  { "tierarztpraxis-bogenhausen.de", true },
  { "tierarztpraxis-illerwinkel.de", true },
  { "tierarztpraxis-weinert.de", true },
  { "ties.com", true },
  { "tiew.pl", true },
  { "tifan.net", true },
  { "tiffanytravels.com", true },
  { "tiffnix.com", true },
  { "tigerchef.com", true },
  { "tigerdile.com", true },
  { "tiggeriffic.com", true },
  { "tiggi.pw", true },
  { "tiglitub.com", true },
  { "tiihosen.fi", true },
  { "tijden.nu", true },
  { "tijo.ch", true },
  { "tik.edu.ee", true },
  { "tik.help", true },
  { "tiki-god.co.uk", true },
  { "tildes.net", true },
  { "tildesnyder.com", true },
  { "tiledailyshop.com", true },
  { "tilesbay.com", true },
  { "tiliaze.be", true },
  { "tiliaze.biz", true },
  { "tiliaze.eu", true },
  { "tiliaze.info", true },
  { "tiliaze.net", true },
  { "till.im", true },
  { "tillberg.us", true },
  { "tilleysbouncycastles.co.uk", true },
  { "tillseasyscore.com", true },
  { "tiltedwindmillcrafts.com", true },
  { "timbarlotta.com", true },
  { "timberkel.com", true },
  { "timbishopartist.com", true },
  { "timbrust.de", true },
  { "timco.cloud", true },
  { "timdebruijn.nl", true },
  { "timdeneau.com", true },
  { "timdoug.com", true },
  { "time.gov", true },
  { "time.sh", true },
  { "time2060.ru", true },
  { "time22.com", true },
  { "time2choose.com", true },
  { "timeauction.hk", true },
  { "timebox.tk", true },
  { "timeglass.de", true },
  { "timetab.org", true },
  { "timetech.io", true },
  { "timetotrade.com", true },
  { "timewasters.nl", true },
  { "timfiedler.net", true },
  { "timing.com.br", true },
  { "timjk.de", true },
  { "timklefisch.de", true },
  { "timmersgems.com", true },
  { "timmy.im", true },
  { "timmy.ws", true },
  { "timmyrs.de", true },
  { "timnash.co.uk", true },
  { "timonengelke.de", true },
  { "timoso.de", true },
  { "timothybjacobs.com", true },
  { "timowi.de", true },
  { "timoxbrow.com", true },
  { "timtaubert.de", true },
  { "timtelfer.com", true },
  { "timtj.ca", true },
  { "timvivian.ca", true },
  { "timweb.ca", true },
  { "tinastahlschmidt.de", true },
  { "tindallriley.co.uk", true },
  { "tinf15b4.de", true },
  { "tinfoilsecurity.com", false },
  { "tinfoleak.com", true },
  { "tinker.career", true },
  { "tinkerboard.org", true },
  { "tinkertry.com", true },
  { "tinlc.org", true },
  { "tinte24.de", true },
  { "tintencenter.com", true },
  { "tintenfix.net", true },
  { "tintenfux.de", true },
  { "tintenland.de", true },
  { "tintenprofi.de", true },
  { "tiny.ee", true },
  { "tinyhousefinance.com.au", true },
  { "tinylan.com", true },
  { "tinyspeck.com", true },
  { "tinyssh.com", true },
  { "tinyssh.org", true },
  { "tinytownsoftplay.co.uk", true },
  { "tinyvpn.net", true },
  { "tinyvpn.org", true },
  { "tioat.net", true },
  { "tipaki.gr", true },
  { "tipbox.is", true },
  { "tiplanet.org", true },
  { "tipoftheday.tips", true },
  { "tippytoad.com", true },
  { "tir-mauperthuis.fr", true },
  { "tir-pistolet-chexbres.ch", true },
  { "tircentrale.net", true },
  { "tirionnetwork.de", true },
  { "tirlins.com", true },
  { "tiroler-kupferschmiede.com", true },
  { "tirs4ne.ch", true },
  { "tischlerei-klettke.de", true },
  { "tism.in", true },
  { "tissot-mayenfisch.com", true },
  { "tit-cdn.de", true },
  { "tit-dns.de", true },
  { "tit-mail.de", true },
  { "tit.systems", true },
  { "titandirect.co.uk", true },
  { "titanous.com", true },
  { "titanpointe.org", true },
  { "titansized.com", true },
  { "titanwaterproofing.com.au", true },
  { "titelseite.ch", true },
  { "titiansgirlphotography.com", true },
  { "tittelbach.at", false },
  { "titusetcompagnies.net", true },
  { "tivido.nl", true },
  { "tiwag.at", true },
  { "tjampoer.com", true },
  { "tjandpals.com", true },
  { "tjenestetorvet.dk", true },
  { "tjkcastles.uk", true },
  { "tjl.rocks", true },
  { "tjp.ch", true },
  { "tjsbouncycastles.co.uk", true },
  { "tkacz.pro", true },
  { "tkanemoto.com", true },
  { "tkat.ch", true },
  { "tkeycoin.com", true },
  { "tkgpm.com", true },
  { "tkjg.fi", true },
  { "tkn.me", true },
  { "tkn.tokyo", true },
  { "tkusano.jp", true },
  { "tkw01536.de", false },
  { "tlach.cz", true },
  { "tlca.org", true },
  { "tlcnet.info", true },
  { "tlehseasyads.com", true },
  { "tleng.de", true },
  { "tlo.xyz", true },
  { "tloxygen.com", true },
  { "tls-proxy.de", true },
  { "tls.builders", true },
  { "tls.care", true },
  { "tls1914.org", true },
  { "tlsrobot.se", true },
  { "tlthings.net", true },
  { "tlumaczenie.com", true },
  { "tlys.de", true },
  { "tm.id.au", true },
  { "tmberg.cf", true },
  { "tmberg.ga", true },
  { "tmberg.gq", true },
  { "tmberg.ml", true },
  { "tmberg.tk", true },
  { "tmc.com.mt", true },
  { "tmconnects.com", true },
  { "tmcpromotions.co.uk", true },
  { "tmcreationweb.com", true },
  { "tmdb.biz", true },
  { "tmf.ru", true },
  { "tmhr.moe", true },
  { "tmi-products.eu", true },
  { "tmi-produkter.se", true },
  { "tmi.news", true },
  { "tmm.cx", true },
  { "tmonitoring.com", true },
  { "tmpraider.net", true },
  { "tmpsantos.com.br", true },
  { "tmtopup.com", true },
  { "tn0.club", true },
  { "tndentalwellness.com", true },
  { "tnes.dk", true },
  { "tniad.mil.id", false },
  { "tnl.cloud", true },
  { "tntmobi.com", true },
  { "tny.link", true },
  { "to2mbn.org", true },
  { "toad.ga", true },
  { "tobacco.gov", true },
  { "tobedo.net", true },
  { "tober-cpag.de", true },
  { "tobi-mayer.de", true },
  { "tobias-bauer.de", true },
  { "tobias-haenel.de", true },
  { "tobias-kleinmann.de", true },
  { "tobias-kluge.com", true },
  { "tobias-kluge.de", true },
  { "tobias-picha.de", true },
  { "tobias-weidhase.de", true },
  { "tobias.gr", true },
  { "tobias4.ddns.net", true },
  { "tobiasbrunner.net", true },
  { "tobiasconradi.com", true },
  { "tobiashorvath.com", true },
  { "tobiashorvath.de", true },
  { "tobiassachs.de", true },
  { "tobiassattler.com", true },
  { "tobiemilford.com", true },
  { "tobis-rundfluege.de", true },
  { "tobis-webservice.de", true },
  { "tobischo.de", true },
  { "tobisworld.ch", true },
  { "tobyalden.com", true },
  { "tobyx.com", true },
  { "tobyx.de", true },
  { "tobyx.eu", true },
  { "tobyx.net", true },
  { "tobyx.org", true },
  { "tocaro.im", true },
  { "toccoig.com", true },
  { "tochi-urikata.net", true },
  { "todacarreira.com", true },
  { "todaciencia.com", true },
  { "todamateria.com.br", true },
  { "todapolitica.com", true },
  { "todaymeow.com", true },
  { "toddfry.com", true },
  { "todocracy.com", true },
  { "todoescine.com", true },
  { "todoist.com", true },
  { "todokete.ga", true },
  { "todon.fr", true },
  { "toeglhofer.at", true },
  { "toeightycountries.com", true },
  { "toekomstperspectief.be", true },
  { "toerclub-ing-arnhem.nl", true },
  { "toetsplatform.be", true },
  { "tofe.io", true },
  { "tofilmhub.com", true },
  { "tofu.cf", true },
  { "togech.jp", true },
  { "togetter.com", true },
  { "toheb.de", true },
  { "tohokinemakan.tk", true },
  { "tohokufd.com", true },
  { "tojeto.eu", true },
  { "tokage.me", true },
  { "tokaido.com", true },
  { "tokainafb.net", true },
  { "tokainakurasi.net", true },
  { "tokbijouxs.com.br", true },
  { "tokens.net", true },
  { "tokfun.com", true },
  { "tokic.hr", true },
  { "tokinoha.net", true },
  { "tokio.fi", true },
  { "tokka.com", true },
  { "tokke.dk", true },
  { "tokkee.org", true },
  { "tokky.eu", true },
  { "tokugai.com", true },
  { "tokumei.co", true },
  { "tokyo-onkyo.jp", true },
  { "tokyo-powerstation.com", true },
  { "tokyo.dating", true },
  { "tokyobarbershop.com", true },
  { "tokyomakino.com", true },
  { "tokyovipper.com", true },
  { "tolboe.com", true },
  { "toleressea.fr", true },
  { "toles-sur-mesure.fr", true },
  { "tolle-wolke.de", true },
  { "tollerunterricht.com", true },
  { "tollfreeproxy.com", true },
  { "tom-geiger.de", true },
  { "tom-kunze.de", true },
  { "tom-maxwell.com", true },
  { "tom.horse", true },
  { "tomabrafix.de", true },
  { "tomandshirley.com", true },
  { "tomasjacik.cz", true },
  { "tomaskavalek.cz", true },
  { "tomaspatera.cz", true },
  { "tomaspialek.cz", true },
  { "tomasvecera.cz", true },
  { "tomasz.com", true },
  { "tomatenaufdenaugen.de", true },
  { "tomatis-nantes.com", true },
  { "tomaw.net", true },
  { "tomaz.eu", true },
  { "tombaker.me", true },
  { "tomberek.info", true },
  { "tombrossman.com", true },
  { "tomcort.com", true },
  { "tomd.ai", true },
  { "tomdudfield.com", true },
  { "tomend.es", true },
  { "tomershemesh.me", true },
  { "tomfisher.eu", true },
  { "tomharling.uk", true },
  { "tomharris.tech", true },
  { "tomi.cc", true },
  { "tomica.me", true },
  { "tomiler.com", true },
  { "tomjans.nl", true },
  { "tomjn.com", true },
  { "tomjonsson.se", true },
  { "tomkunze.de", true },
  { "tomkwok.com", true },
  { "tomli.blog", true },
  { "tomlowenthal.com", true },
  { "tomm.yt", true },
  { "tommic.eu", true },
  { "tomnatt.com", true },
  { "tomo.gr", false },
  { "tomochun.net", true },
  { "tomosm.net", true },
  { "tomravinmd.com", true },
  { "tomrei.com", true },
  { "toms.ovh", true },
  { "tomschlick.com", true },
  { "tomsdevsn.me", true },
  { "tomssl.com", true },
  { "tomticket.com", true },
  { "tomudding.com", true },
  { "tomudding.nl", true },
  { "tomvote.com", true },
  { "tomwassenberg.com", true },
  { "tomwassenberg.nl", true },
  { "tomwilson.io", true },
  { "tomyork.net", true },
  { "tonabor.ru", true },
  { "tonage.de", true },
  { "toncusters.nl", true },
  { "tondles.com", true },
  { "tonegidoarchief.nl", true },
  { "toner24.at", true },
  { "toner24.co.uk", true },
  { "toner24.es", true },
  { "toner24.fr", true },
  { "toner24.it", true },
  { "toner24.nl", true },
  { "toner24.pl", true },
  { "tonerdepot.de", true },
  { "tonerjet.at", true },
  { "tonerjet.co.uk", true },
  { "tonerklick.de", true },
  { "tonerkurier.de", true },
  { "tonermaus.de", true },
  { "tonermonster.de", true },
  { "tonex.de", true },
  { "tonex.nl", true },
  { "toniharant.de", true },
  { "tonkayagran.com", true },
  { "tonkayagran.ru", true },
  { "tonkinson.com", true },
  { "tonkinwilsonvillenissanparts.com", true },
  { "tono.us", true },
  { "tonsit.com", true },
  { "tonsit.org", true },
  { "tontonnews.net", true },
  { "tonyarcieri.com", true },
  { "tonymanning.com", false },
  { "tonytan.cn", true },
  { "tonytan.io", true },
  { "tonytron.com.br", true },
  { "tonyw.xyz", true },
  { "tonywebster.com", true },
  { "too.gy", true },
  { "toobug.net", true },
  { "toolbox.ninja", false },
  { "toolkits.design", true },
  { "toolroomrecords.com", true },
  { "tools.pro", true },
  { "toom.io", true },
  { "toonpool.com", true },
  { "toonsburgh.com", true },
  { "toool.nl", true },
  { "toool.org", true },
  { "toothdoc.ca", true },
  { "tooti.biz", true },
  { "top-esb.com", true },
  { "top-obaly.cz", true },
  { "top-opakowania.pl", true },
  { "top-solar-info.de", true },
  { "top9.fr", true },
  { "topaxi.ch", true },
  { "topaxi.codes", true },
  { "topbilan.com", true },
  { "topbounce.com", true },
  { "topbouncycastles.co.uk", true },
  { "topbrakes.com", true },
  { "topclassfun.ie", true },
  { "topdesk.net", true },
  { "topdevbox.net", true },
  { "topdogsinflatables.co.uk", true },
  { "topekafoundationpros.com", true },
  { "topeng-emas.com", true },
  { "topesb.com", true },
  { "topeyelashenhancerserumreviews.com", true },
  { "topfivepercent.co.uk", true },
  { "topicdesk.com", true },
  { "topicit.net", true },
  { "topirishcasinos.com", true },
  { "topjobs.ch", true },
  { "toplist.eu", true },
  { "topnotepad.com", true },
  { "topodin.com", true },
  { "toponlinecasinosites.co.uk", true },
  { "topprice.ua", true },
  { "topshelfcommercial.com", true },
  { "toptec.net.br", true },
  { "toptexture.com", true },
  { "toptheto.com", true },
  { "topvertimai.lt", true },
  { "topwin.la", true },
  { "topwindowcleaners.co.uk", true },
  { "topworktops.co.uk", true },
  { "toracon.org", true },
  { "torbay.ga", true },
  { "torbe.es", true },
  { "torchantifa.org", true },
  { "toreni.us", true },
  { "toretame.jp", true },
  { "torg-room.ru", true },
  { "torkware.com", true },
  { "tormakristof.eu", true },
  { "tormentedradio.com", false },
  { "torn1.se", true },
  { "torngalaxy.com", true },
  { "torogroups.com", true },
  { "torontocorporatelimo.services", true },
  { "torontostarts.com", true },
  { "torproject.org", false },
  { "torprojects.com", true },
  { "torquato.de", false },
  { "torrent.fedoraproject.org", true },
  { "torrent.is", true },
  { "torrentpier.me", true },
  { "torrenttop100.net", true },
  { "torrentz2.al", true },
  { "torresygutierrez.com", true },
  { "torretzalam.com", true },
  { "torservers.net", true },
  { "torsten-schmitz.net", true },
  { "torstensenf.de", true },
  { "torte.roma.it", true },
  { "tortoises-turtles.com", true },
  { "tortugan.com.br", true },
  { "tosainu.com.br", true },
  { "toscer.me", false },
  { "toschool.com.br", true },
  { "toshkov.com", true },
  { "toskana-appartement.de", true },
  { "tosostav.cz", true },
  { "tosteberg.se", true },
  { "tostu.de", true },
  { "totaku.ru", true },
  { "totalbeauty.co.uk", true },
  { "totalbike.com.br", true },
  { "totalcarcheck.co.uk", true },
  { "totalchecklist.com", true },
  { "totalforcegym.com", true },
  { "totalhomecareinc.com", true },
  { "totallylegitimatehosting.ru", true },
  { "totalpahire.com", true },
  { "totalparts.com.au", true },
  { "totalprint.hu", true },
  { "totaltriathlon.com", true },
  { "totem-international.com", true },
  { "totobetty.com", true },
  { "totodil.es", true },
  { "totolabs.com", true },
  { "touch.facebook.com", false },
  { "touch.mail.ru", true },
  { "touchoflife.in", true },
  { "touchscreentills.com", true },
  { "touchtable.nl", true },
  { "touchweb.fr", true },
  { "touchwoodtrees.com.au", true },
  { "tougetu.com", true },
  { "touhou.ac.cn", true },
  { "touhou.cc", true },
  { "touhou.fm", true },
  { "touhouwiki.net", true },
  { "toujours-actif.com", true },
  { "tounyou-raku.com", true },
  { "tourgest.net", true },
  { "tourify.me", true },
  { "tourismwithme.com", true },
  { "tourispo.com", true },
  { "tournamentmgr.com", true },
  { "tournevis.ch", true },
  { "tourtransferitaly.it", true },
  { "tourtrektrip.com", true },
  { "tous-travaux.ch", true },
  { "toushi-exe.com", true },
  { "toushi-return.xyz", true },
  { "toushi-shakkin.com", true },
  { "touslesdrivers.com", true },
  { "tout-art.ch", true },
  { "toutart.ch", true },
  { "toutenmusic.fr", true },
  { "toutmonexam.fr", true },
  { "tovare.com", true },
  { "toverland-tickets.nl", true },
  { "tovp.org", true },
  { "townandcountryus.com", true },
  { "townhousedevelopments.com.au", true },
  { "townhouseregister.com.au", true },
  { "townofbridgewater.ca", true },
  { "towsonroofers.com", true },
  { "towywebdesigns.uk", true },
  { "tox.im", true },
  { "tox21.gov", false },
  { "toymagazine.com.br", true },
  { "toymania.de", true },
  { "toyota-kinenkan.com", true },
  { "toysperiod.com", true },
  { "tp-iryuubun.com", true },
  { "tp-kabushiki.com", true },
  { "tp-kyouyufudousan.com", true },
  { "tp-law.jp", true },
  { "tpbproxy.co", true },
  { "tpbunblocked.org", true },
  { "tpci.biz", true },
  { "tpidg.us", true },
  { "tpolemis.com", true },
  { "tpp.chat", true },
  { "tppleague.me", false },
  { "tpro.rocks", true },
  { "tqdev.com", true },
  { "tr.search.yahoo.com", false },
  { "tr0n.net", true },
  { "traas.org", true },
  { "trabajarenperu.com", true },
  { "trabajarenremoto.com", true },
  { "trabbel.org", true },
  { "tracalada.cl", true },
  { "trace.guru", true },
  { "trace.moe", true },
  { "traceheatinguk.co.uk", true },
  { "tracelight.io", true },
  { "traceroute.guru", true },
  { "traceroute.link", true },
  { "traceroute.network", true },
  { "traces.ml", true },
  { "tracfinancialservices.com", true },
  { "tracinsurance.com", true },
  { "track.plus", true },
  { "trackchair.com", true },
  { "trackdomains.com", true },
  { "trackersimulator.org", true },
  { "trackeye.dk", true },
  { "trackrecordpro.co.uk", true },
  { "trackyourlogs.com", true },
  { "tractorpumps.com", true },
  { "trad-n-vo.com", true },
  { "trade-arcade.com", true },
  { "trade.gov.uk", true },
  { "trade247.exchange", true },
  { "tradedesk.co.za", true },
  { "tradeinvent.co.uk", true },
  { "trademan.ky", true },
  { "traderjoe-cloud.de", true },
  { "tradinews.com", true },
  { "tradinews.fr", true },
  { "traditions.nl", true },
  { "traditionskapperscollege.nl", true },
  { "traditionsvivantesenimages.ch", true },
  { "traeningsprojekt.dk", false },
  { "trafarm.ro", true },
  { "trafas.nl", true },
  { "traffic.az", true },
  { "trafficmanager.ltd", true },
  { "trafficmanager.xxx", true },
  { "trafficologyblueprint.com", true },
  { "trafficpixel.tk", true },
  { "traffixdevices.com", true },
  { "traficmusik.net", true },
  { "tragmi.ch", true },
  { "trailerparty.com", true },
  { "trailforks.com", true },
  { "train-track.co.uk", true },
  { "trainex.org", true },
  { "trainhornforums.com", true },
  { "trainiac.com.au", true },
  { "trainings-handschuhe-test.de", true },
  { "trainline.at", true },
  { "trainline.cn", true },
  { "trainline.com.br", true },
  { "trainline.com.pt", true },
  { "trainline.cz", true },
  { "trainline.de", true },
  { "trainline.dk", true },
  { "trainline.es", true },
  { "trainline.eu", true },
  { "trainline.fr", true },
  { "trainline.it", true },
  { "trainline.nl", true },
  { "trainline.no", true },
  { "trainline.pl", true },
  { "trainline.se", true },
  { "trainsgoodplanesbad.com", true },
  { "traista.ru", true },
  { "traiteurpapillonevents.be", true },
  { "trajano.net", true },
  { "tran.pw", true },
  { "trance-heal.com", true },
  { "trance-heal.de", true },
  { "trance-heal.me", true },
  { "tranceheal.com", true },
  { "tranceheal.de", true },
  { "tranceheal.me", true },
  { "trancendances.fr", true },
  { "trangcongnghe.com", true },
  { "trangell.com", true },
  { "tranglenull.xyz", true },
  { "transacid.de", true },
  { "transappealrights.com", true },
  { "transcend.org", true },
  { "transcontrol.com.ua", true },
  { "transcricentro.pt", true },
  { "transfer.pw", true },
  { "transferio.nl", true },
  { "transfers.do", true },
  { "transfers.mx", true },
  { "transferserver.at", true },
  { "transfersummit.com", true },
  { "transfigurewizard.com", true },
  { "transfile.fr", true },
  { "transformaniatime.com", true },
  { "transformations-magazin.com", true },
  { "transgendergedenkdag.nl", true },
  { "transgenderinfo.nl", true },
  { "transgendernetwerk.org", true },
  { "transglobaltravel.com", true },
  { "transhumanism.co.uk", true },
  { "transhumanist.co.uk", true },
  { "transhumanist.com", true },
  { "transhumanist.net", true },
  { "transhumanist.org", true },
  { "transhumanist.uk", true },
  { "transitownplaza.com", true },
  { "transitpoint.us", true },
  { "translate-polish.com", true },
  { "translate.fedoraproject.org", true },
  { "translate.googleapis.com", true },
  { "translate.stg.fedoraproject.org", true },
  { "translateblender.ru", true },
  { "translatoruk.co.uk", true },
  { "transmarttouring.com", true },
  { "transmisjeonline.pl", true },
  { "transnexus.com", true },
  { "transparentcorp.com", true },
  { "transport.eu", true },
  { "transporta.it", true },
  { "transporterlock.com", true },
  { "transverify.com", true },
  { "trashnothing.com", true },
  { "trashwagon.club", true },
  { "traslocare.roma.it", true },
  { "traslochi-trasporti-facchinaggio.it", true },
  { "tratamentoparacelulite.biz", true },
  { "tratamentoparacelulite.net", true },
  { "trattamenti.biz", true },
  { "trattamento-cotto.it", true },
  { "trauer-beileid.de", true },
  { "traut.cloud", true },
  { "travador.com", true },
  { "travaux-toiture-idf.fr", true },
  { "travel-dealz.de", true },
  { "travel-to-nature.ch", true },
  { "travel.co.za", true },
  { "travel1x1.com", true },
  { "travel365.it", true },
  { "travelarmenia.org", true },
  { "traveling-thailand.info", true },
  { "travellers.dating", true },
  { "travelling.expert", true },
  { "travellovers.fr", true },
  { "travelmyth.ie", true },
  { "travelogue.jp", true },
  { "travelphoto.cc", true },
  { "travelpricecheck.com", true },
  { "travelshack.com", true },
  { "travi.org", true },
  { "travisf.net", true },
  { "travisforte.io", true },
  { "travisfranck.com", true },
  { "travler.net", true },
  { "trbanka.com", true },
  { "trea98.org", true },
  { "treaslockbox.gov", true },
  { "tree0.xyz", true },
  { "treebaglia.xyz", true },
  { "treehouseresort.nl", true },
  { "trees.chat", true },
  { "treeschat.com", true },
  { "treetopsecurity.com", true },
  { "trefcon.cz", true },
  { "trefpuntdemeent.nl", true },
  { "treinaweb.com.br", false },
  { "treinonerd.com", true },
  { "trek-planet.ru", true },
  { "trekfriend.com", true },
  { "trekkinglife.de", true },
  { "tremlor.com", true },
  { "tremolosoftware.com", true },
  { "trendkraft.de", true },
  { "trendykids.cz", true },
  { "trenta.io", true },
  { "trentmaydew.com", true },
  { "tresorit.com", true },
  { "tresorsecurity.com", true },
  { "tretail.net", true },
  { "tretkowski.de", true },
  { "trewe.eu", true },
  { "trezy.me", true },
  { "trezy.net", true },
  { "trhastane.com", true },
  { "triage.clinic", true },
  { "triage.com", true },
  { "triage.md", true },
  { "triageclinic.com", true },
  { "trialandsuccess.nl", true },
  { "trialcentralnet.com", true },
  { "trianglecastles.co.uk", true },
  { "trianon.xyz", true },
  { "tribac.de", true },
  { "tribaldos.com", true },
  { "tribly.de", true },
  { "tribut.de", true },
  { "tributh.cf", true },
  { "tributh.ga", true },
  { "tributh.gq", true },
  { "tributh.ml", true },
  { "tributh.net", true },
  { "tributh.tk", true },
  { "tricefy4.com", true },
  { "trident-online.de", true },
  { "tridentflood.com", true },
  { "trietment.com", true },
  { "trigardon-rg.de", true },
  { "trik.es", false },
  { "trillian.im", true },
  { "triluxds.com", true },
  { "trim-a-slab.com", true },
  { "trimage.org", true },
  { "trimarchimanuele.it", true },
  { "trinary.ca", true },
  { "trineco.com", true },
  { "trineco.fi", true },
  { "tringavillasyala.com", true },
  { "trink-und-partyspiele.de", true },
  { "trinnes.net", true },
  { "triop.se", true },
  { "trior.net", true },
  { "tripinsider.club", false },
  { "triple-mmm.de", true },
  { "triplekeys.net", true },
  { "tripp.xyz", true },
  { "tripseats.com", true },
  { "tripsinc.com", true },
  { "trisect.eu", true },
  { "trixexpressweb.nl", true },
  { "triz.co.uk", true },
  { "trizone.com.au", true },
  { "trkpuls.tk", true },
  { "trockendock.ch", true },
  { "troedel-trolle.de", true },
  { "troedelhannes.at", true },
  { "troianet.com.br", true },
  { "troisdorf-gestalten.de", true },
  { "trollingeffects.org", true },
  { "trollmoa.se", true },
  { "trollscave.xyz", true },
  { "trommelwirbel.com", true },
  { "tronatic-studio.com", true },
  { "trondelan.no", true },
  { "tronflix.com", true },
  { "troomcafe.com", true },
  { "trophee-discount.com", true },
  { "tropicalserver.com", true },
  { "trotec.com", true },
  { "trotina.cz", true },
  { "trouweninoverijssel.nl", true },
  { "trovaprezzi.it", true },
  { "troyfawkes.com", true },
  { "troyhuntsucks.com", true },
  { "troykelly.com", true },
  { "trpg.wiki", true },
  { "trs.tn", true },
  { "trtltravel.com", true },
  { "trtruijens.com", true },
  { "tru.ltd", true },
  { "truckersmp.com", true },
  { "truckerswereld.nl", false },
  { "truckstop-magazin.de", false },
  { "true-itk.de", true },
  { "trueblueessentials.com", true },
  { "trueinstincts.ca", true },
  { "truejob.com", true },
  { "truekey.com", true },
  { "truentumvet.it", true },
  { "truerizm.ru", true },
  { "truestaradvisors.com", true },
  { "truesteamachievements.com", true },
  { "truestor.com", true },
  { "trueteaching.com", true },
  { "truetrophies.com", true },
  { "trufflemonkey.co.uk", true },
  { "truly-madly-happiness.de", true },
  { "trumanlibrary.org", true },
  { "trumeet.top", true },
  { "trunk-show.net", true },
  { "truserve.org", true },
  { "trusitio.com", true },
  { "trustcase.com", true },
  { "trustednetworks.nl", true },
  { "trustfield.ch", true },
  { "trustserv.de", true },
  { "truthmessages.pw", true },
  { "truvisory.com", true },
  { "trw-reseller.com", true },
  { "trybabyschoice.com", true },
  { "trybooking.com", true },
  { "tryfabulousskincream.com", true },
  { "tryfabulousskinserum.com", true },
  { "trygarciniaslimdiet.com", true },
  { "tryhard.cz", true },
  { "trymegadrol.com", true },
  { "trynta.com", true },
  { "trynta.net", true },
  { "tryretool.com", true },
  { "tryupdates.com", true },
  { "trywesayyes.com", true },
  { "trzepak.pl", true },
  { "ts-publishers.com", true },
  { "ts3-dns.com", true },
  { "ts3-dns.me", false },
  { "ts3-dns.net", false },
  { "tsa-sucks.com", true },
  { "tsab.moe", true },
  { "tsatestprep.com", true },
  { "tschuermans.be", true },
  { "tscqmalawi.info", true },
  { "tsedryk.ca", true },
  { "tsicons.com", true },
  { "tsigaradiko.com", true },
  { "tsironis-olivenoel.de", true },
  { "tslcontractors.co.uk", true },
  { "tsng.co.jp", true },
  { "tss.am", true },
  { "tstrubberstamp.com", true },
  { "tsugi.fr", true },
  { "tsukhani.com", true },
  { "tsuki.moe", true },
  { "tsukuba.style", true },
  { "tsumegumi.com", true },
  { "tsumi.it", true },
  { "tsundere.moe", true },
  { "tsung.co", true },
  { "tsurai.work", true },
  { "tsuyuzakihiroyuki.com", true },
  { "tsv-1894.de", true },
  { "ttb.gov", true },
  { "ttbonline.gov", true },
  { "ttc-birkenfeld.de", true },
  { "ttcaarberg.ch", true },
  { "ttcf.ca", true },
  { "ttchan.org", true },
  { "ttdsevaonline.com", true },
  { "ttll.de", true },
  { "ttsoft.pl", true },
  { "ttsweb.org", true },
  { "ttt.tt", true },
  { "ttuwiki.ee", true },
  { "ttuwiki.org", true },
  { "tty1.net", true },
  { "ttyystudio.com", true },
  { "tu6.pm", true },
  { "tuang-tuang.com", true },
  { "tubanten.nl", true },
  { "tube.tools", true },
  { "tubejack.nl", true },
  { "tubeju.com", true },
  { "tubepro.de", true },
  { "tubs4fun.co.uk", true },
  { "tubul.net", true },
  { "tucnak.eu", true },
  { "tucny.com", true },
  { "tucsonfcu.com", true },
  { "tucsonpcrepair.com", true },
  { "tucuxi.org", true },
  { "tudiennhakhoa.com", true },
  { "tudorproject.org", true },
  { "tufashionista.com", true },
  { "tufilo.com", true },
  { "tuincentersnaet.be", true },
  { "tuitle.com", true },
  { "tulenceria.es", true },
  { "tumagiri.net", true },
  { "tumblenfun.com", true },
  { "tumedico.es", true },
  { "tumelum.de", true },
  { "tumutanzi.com", true },
  { "tunaut.com", true },
  { "tune-web.de", true },
  { "tunefish-entertainment.de", true },
  { "tuner.cloud", true },
  { "tuning-werkstatt-nuernberg.de", true },
  { "tuningblog.eu", false },
  { "tunnelblick.net", true },
  { "tunnelventilation.pro", true },
  { "tunnelwatch.com", true },
  { "tuntitili.fi", true },
  { "tuotteet.org", true },
  { "tupa-germania.ru", true },
  { "tupeuxpastest.ch", true },
  { "tuppenceworth.ie", true },
  { "turbobit.ch", true },
  { "turdnagel.com", true },
  { "turigum.com", true },
  { "turkish.dating", true },
  { "turkrock.com", true },
  { "turnaroundforum.de", true },
  { "turncircles.com", true },
  { "turnoffthelights.com", true },
  { "turnonsocial.com", true },
  { "turpinpesage.fr", true },
  { "tursiae.org", true },
  { "turtle.ai", true },
  { "turtleduckstudios.com", true },
  { "turtlepwr.com", true },
  { "turtles.ga", true },
  { "turunculevye.com", true },
  { "tuscanyleather.it", true },
  { "tutanota.com", true },
  { "tutiendaroja.com", true },
  { "tutiendarosa.com", true },
  { "tuto-craft.com", true },
  { "tutorat-tect.org", true },
  { "tutorialinux.com", true },
  { "tutorme.com", true },
  { "tuts4you.com", true },
  { "tuttimundi.org", true },
  { "tuttoandroid.net", true },
  { "tuwaner.com", true },
  { "tuxcloud.net", true },
  { "tuxflow.de", false },
  { "tuxgeo.com", false },
  { "tuxie.com", true },
  { "tuxlife.net", true },
  { "tuxpeliculas.com", true },
  { "tuxplace.nl", true },
  { "tuxtimo.me", true },
  { "tuxz.net", true },
  { "tuza.com.au", true },
  { "tuzaijidi.com", true },
  { "tv-programme.be", true },
  { "tv-programme.com", true },
  { "tvbeugels.nl", false },
  { "tvc.red", true },
  { "tvcal.net", true },
  { "tvcmarketing.com", true },
  { "tver-msk.ru", true },
  { "tverdohleb.com", true },
  { "tverskaya-outlet.ru", true },
  { "tvhshop.be", true },
  { "tvleaks.se", true },
  { "tvs-virtual.cz", true },
  { "tvseries.info", true },
  { "tvsheerenhoek.nl", true },
  { "tvzr.com", true },
  { "tw.search.yahoo.com", false },
  { "twaka.com", true },
  { "twb.berlin", true },
  { "twd2.me", true },
  { "twd2.net", false },
  { "tweakers.com.au", true },
  { "tweakers.net", true },
  { "tweakersbadge.nl", true },
  { "tweaktown.com", true },
  { "twelve.rocks", true },
  { "twelve.today", true },
  { "twem.ddns.net", true },
  { "twenty71.com", true },
  { "twentymilliseconds.com", true },
  { "twilleys.com", true },
  { "twincitynissantxparts.com", true },
  { "twisata.com", true },
  { "twistapp.com", true },
  { "twistdevelopment.co.uk", true },
  { "twisted-brains.org", true },
  { "twistedwave.com", true },
  { "twisto.cz", true },
  { "twit-guide.com", true },
  { "twitchplaysleaderboard.info", true },
  { "twitter.com", false },
  { "twitteroauth.com", true },
  { "twizzkidzinflatables.co.uk", true },
  { "twlan.org", true },
  { "twocornertiming.com", true },
  { "twodadsgames.com", true },
  { "twofactorauth.org", true },
  { "twohuo.com", true },
  { "twojfaktum.pl", true },
  { "twolanedesign.com", true },
  { "twopif.net", true },
  { "tworaz.net", true },
  { "twun.io", true },
  { "txcap.org", true },
  { "txdivorce.org", true },
  { "txi.su", true },
  { "txlrs.org", true },
  { "txm.pl", true },
  { "tyche.io", true },
  { "tycho.org", true },
  { "tycjt.vip", true },
  { "tycom.cz", true },
  { "tyil.nl", true },
  { "tyil.work", true },
  { "tyl.io", true },
  { "tylerdavies.net", true },
  { "tylerfreedman.com", true },
  { "tylerharcourt.com", true },
  { "tylerharcourt.net", true },
  { "tylerharcourt.org", true },
  { "tylerharcourt.xyz", true },
  { "tylerjharcourt.com", true },
  { "tylerschmidtke.com", true },
  { "typcn.com", true },
  { "type1joe.com", true },
  { "type1joe.net", true },
  { "type1joe.org", true },
  { "typeblog.net", true },
  { "typecodes.com", true },
  { "typehub.net", true },
  { "typeonejoe.com", true },
  { "typeonejoe.net", true },
  { "typeonejoe.org", true },
  { "typeria.net", true },
  { "typewolf.com", true },
  { "typing.com", true },
  { "typist.tech", true },
  { "typo3.com", true },
  { "tyroremotes.co.uk", true },
  { "tyroremotes.es", true },
  { "tyroremotes.eu", true },
  { "tyroremotes.fr", true },
  { "tyroremotes.nl", true },
  { "tysox.de", true },
  { "tyuo-keibi.co.jp", true },
  { "tzifas.com", true },
  { "u-metals.com", true },
  { "u.nu", true },
  { "u03.fr", true },
  { "u1100.com", true },
  { "u1144.com", true },
  { "u2fanlife.com", true },
  { "u2fsecuritykeys.com", true },
  { "u4mh-dev-accesscontroller.azurewebsites.net", true },
  { "u4mh-dev-portal.azurewebsites.net", true },
  { "u5.re", true },
  { "u5b.de", false },
  { "u5r.nl", true },
  { "ua.search.yahoo.com", false },
  { "uae-company-service.com", true },
  { "uangteman.com", true },
  { "uasmi.com", true },
  { "uat-activesg.com", true },
  { "ub3rk1tten.com", false },
  { "ubanquity.com", true },
  { "uberbkk.com", true },
  { "uberboxen.net", true },
  { "uberestimator.com", true },
  { "ubermail.me", true },
  { "ubertt.org", true },
  { "uberwald.de", true },
  { "uberwald.ws", true },
  { "ubezpieczeniepsa.com", true },
  { "ubi.gg", true },
  { "ubineering.de", true },
  { "ublaboo.org", true },
  { "uborcare.com", true },
  { "uc.ac.id", true },
  { "ucac.nz", false },
  { "ucangiller.com", true },
  { "ucch.be", true },
  { "ucfirst.nl", true },
  { "uchargeapp.com", true },
  { "uclanmasterplan.co.uk", true },
  { "uclip.club", true },
  { "ucppe.org", false },
  { "ucrdatatool.gov", true },
  { "uctarna.online", true },
  { "udbhav.me", true },
  { "uddi.ng", true },
  { "udo-luetkemeier.de", true },
  { "udomain.net", true },
  { "udp.sh", false },
  { "udruga-point.hr", true },
  { "udvoukocek.eu", true },
  { "ueberdosis.io", true },
  { "ueberwachungspaket.at", true },
  { "uedaviolin.com", true },
  { "uel-thompson-okanagan.ca", true },
  { "ueni.com", true },
  { "uerdingen.info", true },
  { "uevan.com", true },
  { "uex.im", true },
  { "ufanisi.mx", true },
  { "ufindme.at", true },
  { "ufo.moe", true },
  { "ufplanets.com", true },
  { "uggedal.com", true },
  { "ugx-mods.com", true },
  { "uhasseltodin.be", true },
  { "uhc.gg", true },
  { "uhrenlux.de", true },
  { "ui8.net", true },
  { "uiberlay.cz", true },
  { "uicchy.com", true },
  { "uiop.link", true },
  { "uitgeverij-deviant.nl", true },
  { "ujob.com.cn", true },
  { "uk.dating", true },
  { "uk.search.yahoo.com", false },
  { "ukbc.london", true },
  { "ukchemicalresearch.org", false },
  { "ukclimbing.com", true },
  { "ukdefencejournal.org.uk", true },
  { "ukhas.net", true },
  { "ukhillwalking.com", true },
  { "ukmeetandgreet.com", true },
  { "ukmortgagecompare.co.uk", true },
  { "ukooku.com", true },
  { "ukozliku.cz", true },
  { "ukpirate.org", true },
  { "ukrainians.ch", true },
  { "ukrigging.net", true },
  { "ukrnet.co.uk", true },
  { "uktw.co.uk", true },
  { "ukwct.org.uk", true },
  { "ulabox.com", true },
  { "ulen.me", true },
  { "uli-eckhardt.de", true },
  { "ullah.se", true },
  { "ulmer-schneesport.de", true },
  { "ulovdomov.cz", true },
  { "ulrik.moe", true },
  { "ultieme.be", false },
  { "ultima-ratio.at", true },
  { "ultimate-uk.com", true },
  { "ultimateanu.com", true },
  { "ultimatemafia.net", true },
  { "ultraseopro.com", true },
  { "ultrasite.tk", true },
  { "ultratech.software", true },
  { "ultratechlp.com", true },
  { "umassfive.coop", true },
  { "umbricht.li", true },
  { "umbriel.fr", true },
  { "umenlisam.com", true },
  { "umisonoda.com", true },
  { "umkmjogja.com", true },
  { "umsolugar.com.br", true },
  { "umwandeln-online.de", true },
  { "un-framed.co.za", true },
  { "un-zero-un.fr", true },
  { "un.fo", true },
  { "unapolegetic.co", true },
  { "unapp.me", true },
  { "unatco.noip.me", true },
  { "unbelievableplaces.de", true },
  { "unblock-zh.org", true },
  { "unblockall.xyz", true },
  { "unblocked.at", true },
  { "unblocked.bet", true },
  { "unblocked.bid", true },
  { "unblocked.cam", true },
  { "unblocked.ink", true },
  { "unblocked.lat", true },
  { "unblocked.live", true },
  { "unblocked.mx", true },
  { "unblocked.one", true },
  { "unblocked.pl", true },
  { "unblocked.pro", true },
  { "unblocked.pub", true },
  { "unblocked.sh", true },
  { "unblocked.uno", true },
  { "unblocked.vc", true },
  { "unblocked.vip", true },
  { "unblockedbay.info", true },
  { "unblockweb.co", true },
  { "unboundmoney.com", true },
  { "unboxforteams.work", true },
  { "uncarved.com", true },
  { "unccelearn.org", true },
  { "uncensoreddns.dk", true },
  { "uncensoreddns.org", true },
  { "undecidable.de", true },
  { "undeductive.media", true },
  { "underbridgeleisure.co.uk", true },
  { "undercovercondoms.co.uk", true },
  { "undercovercondoms.com", true },
  { "underfloorheating-uk.co.uk", true },
  { "underlined.fr", true },
  { "undernet.uy", false },
  { "undo.co.il", true },
  { "undone.me", true },
  { "unece-deta.eu", true },
  { "unedouleur.com", true },
  { "unefleur.be", true },
  { "unerosesurlalune.fr", true },
  { "unexpected.nu", true },
  { "unfettered.net", false },
  { "unfuddle.cn", true },
  { "unga.dk", true },
  { "ungegamere.dk", true },
  { "unghie.com", true },
  { "unicef-karten.at", true },
  { "unicef.pl", true },
  { "unicefcards.at", true },
  { "unicefcards.cz", true },
  { "unicefcards.gr", true },
  { "unicefcards.it", true },
  { "unicefcards.nl", true },
  { "unicefcards.sk", true },
  { "unicefcestitke.rs", true },
  { "unicefkaarten.nl", true },
  { "unicefkartkidlafirm.pl", true },
  { "unicefkepeslapok.hu", true },
  { "unicefkort.dk", true },
  { "unicefvoscilnice.si", true },
  { "unicolabo.jp", true },
  { "unicorn.melbourne", true },
  { "unicorntooling.eu", true },
  { "unicredit.ba", true },
  { "unicredit.ro", true },
  { "unicreditbank.hu", true },
  { "unicreditbank.rs", true },
  { "unicreditbank.ru", false },
  { "unidevgroup.ru", true },
  { "unieducar.org.br", true },
  { "uniekglas.nl", true },
  { "unifei.edu.br", true },
  { "unifiednetwork.me", true },
  { "uniform-agri.com", true },
  { "uniformebateriasheliar.com.br", true },
  { "unikoingold.com", true },
  { "unila.edu.br", true },
  { "uninet.cf", true },
  { "unionplat.ru", true },
  { "uniprimebr.com.br", false },
  { "uniq.site", true },
  { "unique-bouncy-castles.co.uk", true },
  { "unique-pathways.ch", true },
  { "unique-pathways.com", true },
  { "uniquepathways.ch", true },
  { "unit7jazz.com", true },
  { "unit7jazz.org", true },
  { "unite-ka.de", true },
  { "united-coders.com", true },
  { "united-schools.net", true },
  { "united.com", false },
  { "unitedadmins.com", true },
  { "unitedkingdoms-guild.com", true },
  { "unitedpsychological.com", true },
  { "unitedstreamers.de", true },
  { "unitel2000.de", true },
  { "unityconsciousnessbooks.com", true },
  { "univercite.ch", true },
  { "univeril.com", true },
  { "universal-happiness.com", true },
  { "universalcarremote.com", true },
  { "universalpaymentgateway.com", true },
  { "universeinform.com", true },
  { "universogay.com", true },
  { "univitale.fr", true },
  { "unix.se", true },
  { "unixadm.org", true },
  { "unixapp.ml", true },
  { "unixattic.com", true },
  { "unixforum.org", true },
  { "unixfox.eu", true },
  { "unixtime.date", true },
  { "unlax.com", true },
  { "unleash.pw", true },
  { "unli.xyz", true },
  { "unlocken.nl", true },
  { "unlocktalent.gov", true },
  { "unlogis.ch", true },
  { "unmanaged.space", true },
  { "unmarkdocs.co", true },
  { "unmonito.red", true },
  { "uno-pizza.ru", true },
  { "uno.fi", true },
  { "unobrindes.com.br", true },
  { "unoccupyabq.org", true },
  { "unpkg.com", true },
  { "unpossible.xyz", true },
  { "unpr.dk", true },
  { "unquote.li", true },
  { "unrealircd.org", true },
  { "unrelated.net.au", true },
  { "unripple.com", true },
  { "unruh.fr", true },
  { "uns.vn", true },
  { "unsacsurledos.com", true },
  { "unsee.cc", true },
  { "unseen.is", true },
  { "unser-gartenforum.de", true },
  { "unsereins.me", true },
  { "unsourirealecole.fr", true },
  { "unstamps.org", true },
  { "unstockd.org", true },
  { "unsuspicious.click", true },
  { "unterfrankenclan.de", true },
  { "unterhaltungsbox.com", true },
  { "unterkunft.guru", true },
  { "unternehmer-radio.de", true },
  { "unterschicht.tv", true },
  { "untethereddog.com", true },
  { "unun.fi", true },
  { "unusualhatclub.com", true },
  { "unveiledgnosis.com", true },
  { "unworthy.ml", true },
  { "unx.dk", true },
  { "unxicdellum.cat", true },
  { "upandclear.org", true },
  { "upay.ru", true },
  { "upbad.com", true },
  { "upbeatrobot.com", true },
  { "upbeatrobot.eu", true },
  { "upd.jp", true },
  { "upgamerengine.com", true },
  { "upgamerengine.com.br", true },
  { "upgamerengine.net", true },
  { "upgauged.com", true },
  { "upitnik.rs", true },
  { "uplaqui.com.br", true },
  { "uplinklabs.net", true },
  { "upload.cat", true },
  { "upload.facebook.com", false },
  { "uploadbeta.com", true },
  { "uplr.it", true },
  { "upnext.io", true },
  { "upperroommission.ca", true },
  { "upplevelse.com", true },
  { "upr-info.org", true },
  { "upr.com.ua", true },
  { "uprouteyou.com", true },
  { "upsiteseo.com", true },
  { "uptimed.com", true },
  { "uptimenotguaranteed.com", true },
  { "uptodateinteriors.com", true },
  { "uptogood.org", true },
  { "uptoon.jp", true },
  { "uptownlocators.com", true },
  { "uptrends.com", true },
  { "uptrends.de", true },
  { "uptrex.co.uk", true },
  { "upundit.com", true },
  { "upwork.com", true },
  { "ur.nl", true },
  { "ur2.pw", true },
  { "uradisam.rs", true },
  { "urbackups.com", true },
  { "urbalex.ch", true },
  { "urban-culture.fr", true },
  { "urban-karuizawa.co.jp", true },
  { "urban.melbourne", true },
  { "urbancreators.dk", true },
  { "urbanesecurity.com", true },
  { "urbanfi.sh", true },
  { "urbanguerillas.de", true },
  { "urbanietz-immobilien.de", true },
  { "urbanmelbourne.info", true },
  { "urbannewsservice.com", true },
  { "urbansparrow.in", true },
  { "urbanstylestaging.com", true },
  { "urbanwaters.gov", false },
  { "urbanwildlifealliance.org", false },
  { "urbexdk.nl", true },
  { "urcentral.com", true },
  { "urcentral.net", true },
  { "urcentral.nl", true },
  { "ureka.org", true },
  { "urgences-valais.ch", true },
  { "urinedrugtesthq.com", true },
  { "uripura.de", true },
  { "urist1011.ru", true },
  { "url.cab", true },
  { "url.fi", true },
  { "url.fm", true },
  { "url.rw", true },
  { "url0.eu", true },
  { "urlaub-busreisen.de", true },
  { "urlaub-leitner.at", true },
  { "urlscan.io", true },
  { "urltell.com", true },
  { "urltodomain.com", true },
  { "ursa-minor-beta.org", true },
  { "ursae.co", true },
  { "urspringer.de", true },
  { "ursuslibris.hu", true },
  { "urth.org", true },
  { "urukproject.org", true },
  { "usa-greencard.eu", true },
  { "usaa.com", false },
  { "usabackground.com", true },
  { "usability.gov", true },
  { "usaestaonline.com", true },
  { "usage.be", true },
  { "usagexchange.com", true },
  { "usairlines.us", true },
  { "usajobs.com", true },
  { "usajobs.gov", true },
  { "usakitchensandflooring.com", true },
  { "usalearning.gov", true },
  { "usastaffing.gov", true },
  { "usatomotori.com", true },
  { "usbcraft.com", true },
  { "usbevents.co.uk", true },
  { "usbr.gov", true },
  { "uscloud.nl", true },
  { "usd.de", true },
  { "usds.gov", true },
  { "use.be", true },
  { "use.ci", true },
  { "usebean.com", true },
  { "usedoor.jp", true },
  { "usedu.us", true },
  { "usetypo3.com", true },
  { "useyourloaf.com", true },
  { "usgande.com", true },
  { "ushandbookapp.com", true },
  { "ushare.ch", true },
  { "usimmigration.us", true },
  { "usipvd.ch", true },
  { "usitcolours.bg", true },
  { "usleep.net", true },
  { "usmint.gov", true },
  { "usninosnikrcni.eu", true },
  { "usnti.com", true },
  { "usparklodging.com", true },
  { "uspsoig.gov", true },
  { "ussm.gov", true },
  { "ussuka.com", true },
  { "ust.space", true },
  { "ustensiles-cuisine.boutique", true },
  { "ustr.gov", false },
  { "usualbeings.com", true },
  { "usuluddin.ga", true },
  { "uswitch.com", true },
  { "ut-addicted.com", true },
  { "utahfireinfo.gov", true },
  { "utahlocal.net", true },
  { "utazas-nyaralas.info", true },
  { "utcast-mate.com", true },
  { "utdscanner.com", true },
  { "utdsgda.com", true },
  { "uteam.it", true },
  { "utepils.de", true },
  { "utgifter.no", true },
  { "utilia.tools", true },
  { "utilitarian.com", true },
  { "utilitarian.net", true },
  { "utilitarian.org", true },
  { "utilitarianism.com", true },
  { "utilitarianism.org", true },
  { "utilitarismo.com", true },
  { "utilitronium.com", true },
  { "utilityapi.com", true },
  { "utilityreport.eu", true },
  { "utitreatment.com", true },
  { "utonia.ch", true },
  { "utopialgb.org.uk", true },
  { "utopicestudios.com", true },
  { "utox.io", true },
  { "utugnn.ru", true },
  { "utw.me", true },
  { "utwente.io", true },
  { "utzon.net", true },
  { "uuit.nl", true },
  { "uvenuse.cz", true },
  { "uvocorp.com", true },
  { "uvolejniku.cz", true },
  { "uwac.co.uk", false },
  { "uwekoetter.com", true },
  { "uwelilienthal.de", true },
  { "uwimonacs.org.jm", true },
  { "uwsoftware.be", true },
  { "uwvloereruit.nl", true },
  { "uxtechnologist.com", true },
  { "uy.search.yahoo.com", false },
  { "uz.search.yahoo.com", false },
  { "uzaymedya.com.tr", true },
  { "v-d-p.net", true },
  { "v-spin.cz", true },
  { "v-tek.fi", true },
  { "v-u-z.ru", true },
  { "v1sit0r.ru", true },
  { "v2bv.net", true },
  { "v2bv.win", true },
  { "v2cn.win", true },
  { "v2ex.com", true },
  { "v5wz.com", true },
  { "v5xp.com", true },
  { "va-reitartikel.com", true },
  { "va.gov", true },
  { "vacationsbyvip.com", true },
  { "vaccines.gov", true },
  { "vacuumpump.co.id", true },
  { "vadennissanofhiltonheadparts.com", true },
  { "vaeplatform.com", true },
  { "vaew.com", true },
  { "vagabond.fr", true },
  { "vagaerg.com", true },
  { "vagaerg.net", true },
  { "vagmour.eu", true },
  { "vagpartsdb.com", true },
  { "vagrantcloud.com", true },
  { "vagrantup.com", true },
  { "vaincreladyslexie.com", true },
  { "vaindil.com", true },
  { "vaioswolke.xyz", true },
  { "vakantiedetective.nl", true },
  { "vakantienet.nl", true },
  { "vakuutuskanava.fi", true },
  { "val-sec.com", true },
  { "valasi.eu", true },
  { "valbonne-consulting.com", true },
  { "valcano-krd.ru", true },
  { "valcano.ru", true },
  { "valenciadevops.me", true },
  { "valentin-ochs.de", true },
  { "valentin-sundermann.de", true },
  { "valentinberclaz.com", true },
  { "valentineapparel.com", true },
  { "valentineforpresident.com", true },
  { "valentinera.in", true },
  { "valentinesongs.com", true },
  { "valentinritz.com", true },
  { "valeriansaliou.name", true },
  { "vales.io", true },
  { "valesdev.com", true },
  { "valesdigital.com", true },
  { "validatis.com", true },
  { "validator.nu", true },
  { "validbrands.com", true },
  { "valika.ee", true },
  { "valis.sx", true },
  { "valkohattu.fi", true },
  { "valkor.pro", true },
  { "vallei-veluwe.nl", true },
  { "valleyautofair.com", true },
  { "valleycode.net", true },
  { "vallutaja.eu", true },
  { "valokuva-albumi.fi", true },
  { "valordolarblue.com.ar", true },
  { "valorem-tax.ch", true },
  { "valoremtax.ch", true },
  { "valoremtax.com", true },
  { "valshamar.is", true },
  { "valsk.is", false },
  { "valskis.lt", true },
  { "valtlai.fi", true },
  { "valtoaho.com", true },
  { "valudo.st", true },
  { "valueng.com", true },
  { "valueseed.net", true },
  { "vampyrium.com", false },
  { "vampyrium.net", false },
  { "van11y.net", true },
  { "vanbinnenuit.nl", true },
  { "vancityconcerts.com", true },
  { "vancouvercosmeticsurgery.ca", true },
  { "vancouverwatowncar.com", true },
  { "vandalfsen.me", true },
  { "vandenbroeck-usedcars.be", true },
  { "vandeput.be", true },
  { "vanderbiltcisa.org", true },
  { "vanderkrieken.org", true },
  { "vanderkroon.nl", true },
  { "vanderziel.org", true },
  { "vaneigenkweek.be", true },
  { "vanetv.com", true },
  { "vangeluwedeberlaere.be", true },
  { "vanhoudt-usedcars.be", true },
  { "vanhoutte.be", false },
  { "vanhove.biz", true },
  { "vanmalland.com", true },
  { "vannaos.com", true },
  { "vannaos.net", true },
  { "vanohaker.ru", true },
  { "vanouwerkerk.net", true },
  { "vantagepointpreneed.com", true },
  { "vante.me", true },
  { "vantien.com", true },
  { "vanvoro.us", false },
  { "vanwunnik.com", true },
  { "vapecom-shop.com", true },
  { "vapecrunch.com", true },
  { "vapehour.com", true },
  { "vapensiero.co.uk", true },
  { "vaperolles.ch", true },
  { "vapesense.co.uk", true },
  { "vaphone.co", true },
  { "vapor.cloud", false },
  { "vapordepot.jp", true },
  { "varcare.jp", true },
  { "varden.info", true },
  { "vareillefoundation.fr", true },
  { "vareillefoundation.org", true },
  { "varghese.de", true },
  { "variag-group.ru", true },
  { "variag-montazh.ru", true },
  { "varicoseveinssolution.com", true },
  { "varimedoma.com", true },
  { "varshathacker.com", true },
  { "varunagw.com", false },
  { "varunpriolkar.com", true },
  { "varvy.com", true },
  { "varztupasaulis.com", true },
  { "varztupasaulis.eu", true },
  { "varztupasaulis.lt", true },
  { "varztupasaulis.net", true },
  { "vase-eroticke-povidky.cz", true },
  { "vasel.de", true },
  { "vasel.eu", true },
  { "vashel.us", true },
  { "vasileruscior.ro", true },
  { "vaskulitis-info.de", true },
  { "vasports.com.au", true },
  { "vastgoedcultuurfonds.nl", true },
  { "vasyharan.com", true },
  { "vat-eu.com", true },
  { "vatelecom.dk", true },
  { "vats.im", true },
  { "vatsalyagoel.com", true },
  { "vatsim-uk.co.uk", true },
  { "vatsim.uk", true },
  { "vattulainen.fi", true },
  { "vaud-fleurs.ch", true },
  { "vaughanrisher.com", true },
  { "vault21.net", true },
  { "vaultproject.io", true },
  { "vaur.fr", true },
  { "vavel.com", true },
  { "vavouchers.com", true },
  { "vawebsite.co", true },
  { "vawlt.io", true },
  { "vaygren.com", true },
  { "vazue.com", true },
  { "vb-oa.co.uk", true },
  { "vb.media", true },
  { "vbazile.com", true },
  { "vbcdn.com", true },
  { "vbestreviews.com", true },
  { "vbh2o.com", true },
  { "vbwinery.com", true },
  { "vcam.org", true },
  { "vccmurah.net", true },
  { "vcdn.xyz", true },
  { "vcelin-na-doliku.cz", true },
  { "vcf.gov", true },
  { "vcientertainment.com", false },
  { "vcmi.download", true },
  { "vcps.com", true },
  { "vcraftaudio.com", true },
  { "vcsjones.codes", true },
  { "vcsjones.com", true },
  { "vcti.cloud", true },
  { "vd42.net", true },
  { "vda.li", true },
  { "vdanker.net", true },
  { "vdbongard.com", true },
  { "vdcomp.cz", true },
  { "vdemuzere.be", true },
  { "vdesc.com", true },
  { "vdisk24.de", true },
  { "vdmeij.com", true },
  { "vdownloader.com", true },
  { "vdrpro.com", true },
  { "vdzwan.net", true },
  { "ve.search.yahoo.com", false },
  { "ve3oat.ca", true },
  { "vea.re", true },
  { "veblr.com", false },
  { "vec.ac.nz", true },
  { "vecerkaracing.cz", true },
  { "vecozo.nl", true },
  { "vectorwish.com", true },
  { "veg-leiden.nl", true },
  { "vegalayer.com", true },
  { "vegalitarian.org", true },
  { "vegane-proteine.com", true },
  { "veganforum.org", true },
  { "veganism.co.uk", true },
  { "veganism.com", true },
  { "vegasdocs.com", true },
  { "vegepa.com", true },
  { "veggie-treff.de", true },
  { "vegguide.org", true },
  { "veii.de", true },
  { "veil-framework.com", true },
  { "veit.zone", true },
  { "veke.fi", true },
  { "velen.io", true },
  { "venalytics.com", true },
  { "venclave.com", true },
  { "vendigital.com", true },
  { "vendorconnect.nyc", true },
  { "vendserve.eu", true },
  { "venenum.org", true },
  { "venirextra.com", true },
  { "venirideal.com", true },
  { "venje.pro", true },
  { "ventesprivees-fr.com", true },
  { "ventilateurs-plafond.com", true },
  { "ventizo.com", true },
  { "ventriloservers.biz", true },
  { "venturebanners.co.uk", true },
  { "venturedisplay.co.uk", true },
  { "venturum.com", true },
  { "venturum.de", true },
  { "venturum.eu", true },
  { "venturum.net", true },
  { "ver-ooginoog.nl", true },
  { "ver.ma", true },
  { "vera.bg", true },
  { "veraandsteve.date", true },
  { "veramagazine.jp", true },
  { "verasani.ch", true },
  { "verberne.nu", true },
  { "verbier-lechable.com", true },
  { "verbierfestival.com", true },
  { "verdict.gg", true },
  { "verduccies.com", true },
  { "verein-kiekin.de", true },
  { "vereinlandwege.de", true },
  { "vereinscheck.de", true },
  { "verfassungsklage.at", true },
  { "vergeaccessories.com", true },
  { "vergelijksimonly.nl", true },
  { "verhovs.ky", true },
  { "verifalia.com", true },
  { "verifyos.com", true },
  { "verifyyourip.com", true },
  { "veriny.tf", true },
  { "veriomed.com", true },
  { "veritafineviolins.com", true },
  { "veritas-data.de", true },
  { "verizonconnect.com", true },
  { "verizonguidelines.com", true },
  { "verliebt-in-bw.de", true },
  { "verliebt-in-niedersachsen.de", true },
  { "verliefde-jongens.nl", true },
  { "vermeerdealers.com", true },
  { "vermiliontaxiservice.com", true },
  { "vermogeninkaart.nl", true },
  { "vermuetje.nl", true },
  { "vernaeve-usedcars.be", true },
  { "vernonatvclub.ca", true },
  { "vernonchan.com", true },
  { "vernonfigureskatingclub.com", true },
  { "vernonfilmsociety.bc.ca", true },
  { "vernonhouseofhope.com", true },
  { "vernonsecureselfstorage.ca", true },
  { "vernonspeedskatingclub.com", true },
  { "vernonwintercarnival.com", true },
  { "veronic.hu", true },
  { "veronique-schmitz.de", true },
  { "verrerie-mousseline.org", true },
  { "verry.org", true },
  { "vers.one", true },
  { "versagercloud.de", true },
  { "versbesteld.nl", true },
  { "versbeton.nl", true },
  { "versicherungen-werner-hahn.de", true },
  { "versicherungskontor.net", true },
  { "verspai.de", true },
  { "verstraetenusedcars.be", true },
  { "vertebrates.com", true },
  { "verteilergetriebe.info", true },
  { "vertigo.name", false },
  { "vertikar.net", false },
  { "vertner.net", true },
  { "vertrieb-strategie.de", true },
  { "verwayen.com", true },
  { "very-kids.fr", true },
  { "veryapt.com", true },
  { "verymelon.de", true },
  { "verzekeringsacties.nl", true },
  { "verzick.com", true },
  { "ves.vn.ua", true },
  { "vescudero.net", true },
  { "veslosada.com", true },
  { "vespacascadia.com", true },
  { "vestingbar.nl", true },
  { "veterinario.roma.it", true },
  { "vetforum.co", true },
  { "vetinte.eu", true },
  { "vetofish.com", true },
  { "vets.gov", true },
  { "veverusak.cz", true },
  { "vfdworld.com", true },
  { "vfn-nrw.de", true },
  { "vforvendetta.science", true },
  { "vgchat.us", true },
  { "vgerak.com", true },
  { "vgolos.zt.ua", true },
  { "vgropp.de", true },
  { "vhummel.nl", true },
  { "vi.photo", true },
  { "via-shire-krug.ru", true },
  { "viacdn.org", true },
  { "viafinance.cz", false },
  { "viaggio-in-cina.it", true },
  { "viajandoporelmundo.com.ar", true },
  { "viaje-a-china.com", true },
  { "vialibido.com.br", true },
  { "vialorran.com", true },
  { "viaprinto.de", true },
  { "vibrant-america.com", true },
  { "vicentee.com", true },
  { "vichiya.com", true },
  { "vician.cz", false },
  { "vicicode.com", true },
  { "viciousflora.com", true },
  { "vicjuwelen-annelore.be", true },
  { "victorcanera.com", true },
  { "victordiaz.me", true },
  { "victoreriksson.ch", true },
  { "victoreriksson.co", true },
  { "victoreriksson.com", true },
  { "victoreriksson.eu", true },
  { "victoreriksson.info", true },
  { "victoreriksson.me", true },
  { "victoreriksson.net", true },
  { "victoreriksson.nu", true },
  { "victoreriksson.org", true },
  { "victoreriksson.se", true },
  { "victoreriksson.us", true },
  { "victorgbustamante.com", true },
  { "victorhawk.com", true },
  { "victoriaartist.ru", true },
  { "victoriastudio.ru", true },
  { "victoriaville.ca", true },
  { "victorjacobs.com", true },
  { "victornet.de", true },
  { "victornilsson.pw", true },
  { "victoroilpress.com", true },
  { "victorzambrano.com", true },
  { "vicyu.com", true },
  { "vid-immobilien.de", true },
  { "vida-it.com", true },
  { "vida.es", true },
  { "vidadu.com", true },
  { "vidbooster.com", true },
  { "vide-greniers.org", false },
  { "videogamesartwork.com", true },
  { "videoload.co", true },
  { "videomail.io", true },
  { "videosdiversosdatv.com", true },
  { "videoseyredin.net", true },
  { "videospornogratis.pt", true },
  { "videosqr.com", true },
  { "vidister.de", true },
  { "vidkovaomara.si", true },
  { "vidlyoficial.com", true },
  { "vieclam24h.vn", false },
  { "viekelis.lt", false },
  { "viemeister.com", true },
  { "viemontante.be", true },
  { "vientos.coop", true },
  { "viepixel.at", true },
  { "vierdaagsehotel.nl", true },
  { "vierpfeile.de", true },
  { "vierpluseins.wtf", true },
  { "vietnamese.dating", true },
  { "vietnamhost.vn", false },
  { "vietnamluxurytravelagency.com", true },
  { "vietnamwomenveterans.org", true },
  { "vieux.pro", true },
  { "viewbook.com", true },
  { "viewmyrecords.com", true },
  { "viga.me", true },
  { "vigenebio.com", true },
  { "vigilantnow.com", true },
  { "vigliano.ovh", true },
  { "vigo-krankenversicherung.de", true },
  { "vigo-tarife.de", true },
  { "vigour.us", true },
  { "vigoxatelier.tech", true },
  { "vigrey.com", true },
  { "vijay-international.com", true },
  { "vijverbenodigdheden.nl", true },
  { "vik.im", true },
  { "vikalbino.com.br", true },
  { "vikapaula.com", true },
  { "vikashkumar.me", true },
  { "viking-style.ru", true },
  { "vikings.net", true },
  { "vikodek.com", true },
  { "viktorprevaric.eu", true },
  { "vilabiamodas.com.br", true },
  { "villa-bellarte.de", true },
  { "villa-gockel.de", true },
  { "villafiore.com.br", true },
  { "villageunique.com.br", true },
  { "villagockel.de", true },
  { "villalaskowa.pl", true },
  { "villamariaamalfi.it", true },
  { "villasfinistere.fr", true },
  { "villasforsale-bali.com", true },
  { "villehardouin.fr", true },
  { "villek.fi", true },
  { "villekaaria.eu", true },
  { "villenavedornon.fr", true },
  { "villenvinkit.com", true },
  { "villerez.fr", true },
  { "villesalonen.fi", true },
  { "viltsu.net", true },
  { "vima.ch", true },
  { "vimeo.com", true },
  { "vinagro.sk", true },
  { "vinarstvimodryhrozen.cz", true },
  { "vincentcox.com", false },
  { "vincentpancol.com", true },
  { "vincitraining.com", true },
  { "vineright.com", true },
  { "vinilosdecorativos.net", true },
  { "vinner.com.au", true },
  { "vinnie.gq", true },
  { "vinogradovka.com", true },
  { "vinolli.de", true },
  { "vinovum.net", true },
  { "vinsetchampagne.fr", true },
  { "vintagebandfestival.org", true },
  { "vintagecaskandbarrel.com", true },
  { "vintagejeeps.net", true },
  { "vintageportgifts.co.uk", true },
  { "vintagesouthernpicks.com", true },
  { "vintagetrailerbuyers.com", true },
  { "vintazh.net", true },
  { "vinticom.ch", false },
  { "vintock.com", true },
  { "vinyculture.com", true },
  { "vinzite.com", true },
  { "violet-letter.delivery", true },
  { "violetraven.co.uk", true },
  { "violin4fun.nl", true },
  { "vionicbeach.com", true },
  { "vionicshoes.com", true },
  { "viosey.com", true },
  { "vioye.com", true },
  { "vip8522.com", true },
  { "vipesball.cc", true },
  { "vipesball.info", true },
  { "vipesball.me", true },
  { "vipesball.net", true },
  { "viptamin.eu", true },
  { "viptamol.com", true },
  { "vir-tec.eu", true },
  { "viral32111.com", true },
  { "viralboombox.xyz", true },
  { "viralpop.it", true },
  { "viralsouls.in", true },
  { "virgopolymer.com", true },
  { "virial.de", true },
  { "viridis-milites.cz", true },
  { "virtualcloud.ddns.net", true },
  { "virtualhealth.com", true },
  { "virtuality4d.com", true },
  { "virtuallifestyle.nl", true },
  { "virtualmt2.pl", true },
  { "virtualsanity.com", true },
  { "virtualvaults.com", true },
  { "virtubox.net", true },
  { "virtusaero.com", true },
  { "virvum.ch", true },
  { "visaexpert.co.za", true },
  { "visalogy.com", true },
  { "visaop.com", true },
  { "visapourailleurs.fr", true },
  { "visaya.com.co", true },
  { "viscoelastico.com.br", true },
  { "viscopic.com", true },
  { "vishwashantiyoga.com", true },
  { "visibox.nl", true },
  { "visikom.de", true },
  { "visioflux-premium.com", true },
  { "visiondigitalsog.com", true },
  { "visionless.me", false },
  { "visionnissancanandaiguaparts.com", true },
  { "visistruct.com", true },
  { "visit-montenegro.com", true },
  { "visitcambridgeshirefens.org", true },
  { "visitkangaroovalley.com.au", true },
  { "visor.ph", true },
  { "vistaalmar.es", true },
  { "vistacampus.gov", true },
  { "vistastylebuilder.com", false },
  { "vistb.me", true },
  { "vistec-support.de", true },
  { "visual-cockpit.com", true },
  { "visualdrone.co", true },
  { "visualgrafix.com.mx", true },
  { "visualideas.org", true },
  { "visualizing.info", true },
  { "visudira.com", true },
  { "vitahook.pw", true },
  { "vital-tel.co.uk", true },
  { "vitalamin.com", true },
  { "vitalamin.de", true },
  { "vitalismaatjes.nl", true },
  { "vitalityscience.com", true },
  { "vitalware.com", true },
  { "vitalyzhukphoto.com", true },
  { "vitamaxxi.com.br", true },
  { "vitaminler.com", true },
  { "vitastic.nl", true },
  { "viteoscrm.ch", true },
  { "vitkausk.as", true },
  { "vitkutny.cz", true },
  { "vitoye.com", true },
  { "vitra-vcare.co.uk", true },
  { "vitrado.de", true },
  { "vitsoft.by", true },
  { "vitzro.kr", true },
  { "vivaldi-fr.com", true },
  { "vivaldi.club", true },
  { "vivaldi.com", true },
  { "vivamusic.es", true },
  { "vivanosports.com.br", true },
  { "vivatv.com.tw", true },
  { "vivendi.de", true },
  { "vivianmaier.cn", true },
  { "vivid-academy.com", true },
  { "vividinflatables.co.uk", true },
  { "vividlumen.com", true },
  { "viviennevandenbos.nl", true },
  { "vivirenelmundo.com", true },
  { "vivo.sx", true },
  { "vivoitaliankitchen.com", true },
  { "vivoseg.com", true },
  { "viyf.org", true },
  { "vizards.cc", true },
  { "vize.ai", true },
  { "vizija-nepremicnine.si", true },
  { "vizional.com", true },
  { "vizzboard.com", true },
  { "vjeff.com", true },
  { "vjeff.net", true },
  { "vjhfoundation.org", true },
  { "vjpatel.me", true },
  { "vk-k.com", true },
  { "vk4wip.org.au", true },
  { "vkb-remont.ru", true },
  { "vkennke.org", true },
  { "vkirichenko.name", true },
  { "vkox.com", true },
  { "vksportphoto.com", true },
  { "vkulagin.ru", true },
  { "vladislavstoyanov.com", true },
  { "vlastimilburian.cz", true },
  { "vldkn.net", true },
  { "vleesbesteld.nl", true },
  { "vleij.se", true },
  { "vlndc.org", true },
  { "vloeck.de", true },
  { "vlora.city", true },
  { "vlovgr.se", true },
  { "vlsk.eu", true },
  { "vlzbazar.ru", true },
  { "vm-0.com", true },
  { "vm-co.ch", true },
  { "vm0.eu", true },
  { "vmc.co.id", true },
  { "vmem.jp", false },
  { "vmgirls.com", true },
  { "vmhydro.ru", false },
  { "vmis.nl", true },
  { "vmoagents.com", false },
  { "vmug.pl", true },
  { "vmzone.de", true },
  { "vn.search.yahoo.com", false },
  { "vnd.cloud", true },
  { "vnfs-team.com", true },
  { "vnvisa.center", true },
  { "vnvisa.ru", true },
  { "vocaloid.my", true },
  { "vocalsynth.space", true },
  { "vocalviews.com", true },
  { "vocustest.aero", true },
  { "vodpay.com", true },
  { "vodpay.net", true },
  { "vodpay.org", true },
  { "vogler.name", true },
  { "voicu.ch", true },
  { "void-it.nl", true },
  { "void-zero.com", true },
  { "voidcore.org", true },
  { "voidi.ca", true },
  { "voidpay.com", true },
  { "voidpay.net", true },
  { "voidpay.org", true },
  { "voidptr.eu", true },
  { "voids.org", true },
  { "voidshift.com", true },
  { "voilo.club", true },
  { "voilodaisuki.club", true },
  { "voipsun.com", true },
  { "voiro.club", true },
  { "voirodaisuki.club", true },
  { "vokalsystem.com", true },
  { "vokativy.cz", false },
  { "vokeapp.com", true },
  { "volatimer.com", true },
  { "volcanconcretos.com", true },
  { "volcano-kazan.ru", true },
  { "volcano-spb.ru", true },
  { "volcano-vts.ru", true },
  { "volcano24.ru", true },
  { "volcanov.ru", true },
  { "volga.us", true },
  { "volgavibes.ru", false },
  { "voliere-info.nl", false },
  { "volker-gropp.de", true },
  { "volkergropp.de", true },
  { "volkerwesselstransfer.nl", false },
  { "volkerwesselswave.nl", false },
  { "volkswurst.de", true },
  { "vollans.id.au", true },
  { "voloevents.com", true },
  { "volta.io", true },
  { "volto.io", true },
  { "volunteeringmatters.org.uk", true },
  { "vomitb.in", true },
  { "vonauw.com", true },
  { "vonborstelboerner.de", true },
  { "vonniehudson.com", true },
  { "vonski.pl", true },
  { "voodoochile.at", true },
  { "vop.li", true },
  { "vorkbaard.nl", true },
  { "vorlage-musterbriefe.de", true },
  { "vorlage-mustervertrag.de", true },
  { "vorlagen-geburtstagsgruesse.de", true },
  { "vorlicek.de", true },
  { "vorm2.com", true },
  { "vorodevops.com", true },
  { "vos-fleurs.ch", true },
  { "vos-fleurs.com", true },
  { "vosgym.jp", true },
  { "vosky.fr", true },
  { "vosn.de", true },
  { "vosselaer.com", true },
  { "vosser.de", true },
  { "vostronet.com", true },
  { "voter-info.uk", true },
  { "votercircle.com", true },
  { "votesandymurman.com", true },
  { "votocek.cz", true },
  { "votockova.cz", true },
  { "votoot.com", true },
  { "votre-site-internet.ch", true },
  { "voxfilmeonline.net", true },
  { "voxml.com", true },
  { "voxographe.com", false },
  { "voyage-martinique.fr", true },
  { "voyageforum.com", true },
  { "voyagesaufildespages.be", true },
  { "voyageschine.com", true },
  { "voyagesdetective.fr", true },
  { "vozami.com", true },
  { "vpc-display.com", true },
  { "vpn.black", true },
  { "vpn.ht", true },
  { "vpnservice.nl", true },
  { "vpsboard.com", true },
  { "vpsdream.dk", true },
  { "vpsport.ch", true },
  { "vpsvz.net", true },
  { "vrandopulo.ru", true },
  { "vranjske.co.rs", true },
  { "vrcholovka.cz", true },
  { "vreaulafacultate.ro", true },
  { "vreeman.com", true },
  { "vriesdonkow.be", true },
  { "vrijgezellen-feest.com", true },
  { "vrijgezellenfeestzwolle.com", true },
  { "vrlaid.com", false },
  { "vroedvrouwella.be", true },
  { "vrsgames.com.mx", true },
  { "vrsystem.com.br", true },
  { "vrtak-cz.net", true },
  { "vrtouring.org", true },
  { "vsamsonov.com", true },
  { "vscale.io", true },
  { "vsean.net", true },
  { "vserver-preis-vergleich.de", true },
  { "vsesrazu-raiffeisen.ru", true },
  { "vsl-defi.ch", true },
  { "vssnederland.nl", true },
  { "vstehn.ru", true },
  { "vsund.de", true },
  { "vsx.ch", true },
  { "vtaxi.se", true },
  { "vtipe-vylez.cz", true },
  { "vuakhuyenmai.vn", true },
  { "vubey.yt", true },
  { "vuilelakens.be", true },
  { "vuljespaarpot.nl", true },
  { "vulndetect.com", true },
  { "vulnerabilities.io", true },
  { "vulnerability.ch", true },
  { "vulners.com", true },
  { "vulns.sexy", true },
  { "vulnscan.org", true },
  { "vulpine.club", true },
  { "vumetric.com", true },
  { "vuojolahti.fi", true },
  { "vuvanhon.com", true },
  { "vux.li", true },
  { "vuzi.fr", true },
  { "vvactivia.nl", true },
  { "vvdbronckhorst.nl", true },
  { "vvoip.org.uk", true },
  { "vvw-8522.com", true },
  { "vw-touranclub.cz", true },
  { "vwbusje.com", true },
  { "vwhcare.com", true },
  { "vwittich.de", true },
  { "vwsoft.de", true },
  { "vwt-event.nl", true },
  { "vww-8522.com", true },
  { "vx.hn", true },
  { "vxst.org", true },
  { "vxstream-sandbox.com", true },
  { "vybeministry.org", true },
  { "vyber-odhadce.cz", true },
  { "vyberodhadce.cz", true },
  { "vykup-car.ru", true },
  { "vyplnto.cz", true },
  { "vysko.cz", true },
  { "vyskocil.eu", true },
  { "vyvygen.org", true },
  { "vyzner.cz", true },
  { "vzce.cn", true },
  { "vzis.org", true },
  { "vztekloun.cz", true },
  { "w-p-k.de", true },
  { "w-spotlight.appspot.com", true },
  { "w-w-auto.de", true },
  { "w.wiki", true },
  { "w2n.me", true },
  { "w3ctag.org", true },
  { "w3n.org", true },
  { "w4.no", true },
  { "w4b.in", true },
  { "w4eg.de", true },
  { "w4nvu.org", true },
  { "w50.co.uk", true },
  { "w5gfe.org", true },
  { "w7k.de", true },
  { "w84.it", true },
  { "wa-stromerzeuger.de", true },
  { "waaw.tv", true },
  { "wabatam.com", true },
  { "wachter.biz", true },
  { "wacky.one", true },
  { "wadidi.com", true },
  { "wadsworth.gallery", true },
  { "wadvisor.com", true },
  { "waelisch.de", true },
  { "waelti.xxx", true },
  { "waf.ninja", true },
  { "waf.sexy", true },
  { "wafa4hw.com", true },
  { "wafelland.be", true },
  { "waffle.at", true },
  { "wagyu-bader.de", true },
  { "wahidhasan.com", true },
  { "wahlman.org", true },
  { "wahrnehmungswelt.de", true },
  { "wahrnehmungswelten.de", true },
  { "wai-in.com", true },
  { "wai-in.net", true },
  { "waigel.org", true },
  { "wail.net", true },
  { "wains.be", true },
  { "wait.jp", true },
  { "waiterwheels.com", true },
  { "waits.io", true },
  { "waixingrenfuli.vip", true },
  { "waka-mono.com", true },
  { "waka168.com", true },
  { "waka168.net", true },
  { "waka88.com", true },
  { "waka88.net", true },
  { "wakamiyasumiyosi.com", true },
  { "wakandasun.com", true },
  { "wakatime.com", true },
  { "wakiminblog.com", true },
  { "wala-floor.de", true },
  { "walent.in", true },
  { "walentin.co", true },
  { "walk.onl", true },
  { "walkera-fans.de", true },
  { "walkhighlandsandislands.com", true },
  { "walkingrehabilitation.com", true },
  { "walksedona.com", true },
  { "wallabet.fr", true },
  { "wallabies.org", true },
  { "wallace-group.net", true },
  { "wallacehigh.org.uk", true },
  { "wallet.google.com", true },
  { "wallet.pp.ua", true },
  { "wallethub.com", false },
  { "walletnames.com", true },
  { "wallinger-online.at", true },
  { "wallingford.cc", true },
  { "wallpapers.pub", true },
  { "wallpaperup.com", true },
  { "walls.de", true },
  { "walls.io", true },
  { "walltime.info", true },
  { "wallysmasterblaster.com.au", true },
  { "walnutgaming.com", true },
  { "walnutis.net", true },
  { "walpu.ski", true },
  { "walpuski.com", true },
  { "walravensax.nl", true },
  { "walruses.org", true },
  { "walshbanks.com", true },
  { "waltellis.com", true },
  { "walter.lc", true },
  { "waltzmanplasticsurgery.com", true },
  { "walvi.nl", true },
  { "wan.pp.ua", false },
  { "wander.al", true },
  { "wandercue.com", true },
  { "wandervoll.ch", true },
  { "wanderzoom.co", true },
  { "wane.co", true },
  { "wangqiliang.cn", true },
  { "wangqiliang.com", true },
  { "wangqiliang.org", true },
  { "wangql.net", true },
  { "wangqr.tk", true },
  { "wangtanzhang.com", true },
  { "wangyue.blog", true },
  { "wangzuan168.cc", true },
  { "wannaridecostarica.com", true },
  { "wantshow.com.br", true },
  { "wanybug.cn", true },
  { "wanybug.com", true },
  { "waonui.io", true },
  { "wardow.com", true },
  { "warebouncycastles.co.uk", true },
  { "warekit.io", true },
  { "warenits.at", false },
  { "wargameexclusive.com", true },
  { "warhaggis.com", true },
  { "warmestwishes.ca", true },
  { "warmservers.com", true },
  { "warofelements.de", true },
  { "warp-radio.com", true },
  { "warp-radio.net", true },
  { "warp-radio.tv", true },
  { "warr.ath.cx", true },
  { "warringtonkidsbouncycastles.co.uk", true },
  { "warschild.org", true },
  { "warsh.moe", true },
  { "wartorngalaxy.com", true },
  { "waschpark-hantschel.de", true },
  { "wasema.com", true },
  { "wasfestes.de", true },
  { "washingtonregisteredagent.io", true },
  { "washingtonviews.com", true },
  { "wasi-net.de", true },
  { "wasielewski.com.de", true },
  { "wasil.org", true },
  { "waslh.com", true },
  { "wasserburg.dk", true },
  { "wasserspucker.de", true },
  { "wassibauer.com", true },
  { "wastrel.ch", true },
  { "watch-wiki.org", true },
  { "watchface.watch", true },
  { "watchfreeonline.co.uk", true },
  { "watchinventory.com", true },
  { "watchparts-and-tools-okayama.co.jp", true },
  { "watchpci.com", true },
  { "watchstyle.com", true },
  { "water-addict.com", true },
  { "waterdrop.tk", true },
  { "waterfedpole.com", true },
  { "waterleeftinbeek.nl", true },
  { "watermonitor.gov", true },
  { "wateroutlook.com", true },
  { "watersb.org", true },
  { "waterschaplimburg.nl", true },
  { "watertrails.io", true },
  { "waterworkscondos.com", true },
  { "watfordjc.uk", true },
  { "watoo.tech", true },
  { "watsonwork.me", true },
  { "waukeect.com", true },
  { "wave-ola.es", true },
  { "wavesboardshop.com", true },
  { "wavesoftime.com", true },
  { "waveum.com", true },
  { "wawak.pl", true },
  { "waxlrs.com", true },
  { "wayfair.de", true },
  { "wayohoo.com", true },
  { "wayohoo.net", true },
  { "waytt.cf", true },
  { "waze.com", true },
  { "wbci.us", false },
  { "wbg-vs.de", true },
  { "wbt-solutions.ch", true },
  { "wbt-solutions.net", true },
  { "wbudd.com", true },
  { "wbuntu.com", true },
  { "wbvb.nl", true },
  { "wbx.support", true },
  { "wby.gd", true },
  { "wcbook.ru", false },
  { "wcn.life", false },
  { "wd627.com", true },
  { "wd976.com", true },
  { "wdbflowersevents.co.uk", true },
  { "wdbgroup.co.uk", true },
  { "wdesk.com", true },
  { "wdmg.com.ua", true },
  { "wdodelta.nl", true },
  { "wdol.gov", true },
  { "wdrl.info", true },
  { "wdt.cz", false },
  { "wdt.io", true },
  { "we-bb.com", true },
  { "we-run-linux.de", true },
  { "we-use-linux.de", true },
  { "weacceptbitcoin.gr", true },
  { "wealthcentral.com.au", true },
  { "wealthfactory.com", false },
  { "wealthprojector.com", true },
  { "wealthprojector.com.au", true },
  { "wealthreport.com.au", true },
  { "wearandcare.net", true },
  { "weare1inspirit.com", true },
  { "wearegenki.com", true },
  { "wearepapermill.co", true },
  { "wearesouthafricans.com", true },
  { "wearvr.com", true },
  { "weather-and-climate.com", false },
  { "weathermyway.rocks", true },
  { "web-advisor.co.uk", true },
  { "web-art.cz", true },
  { "web-design.co.il", true },
  { "web-dl.cc", true },
  { "web-hotel.gr", true },
  { "web-kouza.com", true },
  { "web-mail.info", true },
  { "web-redacteuren.nl", true },
  { "web-wave.jp", true },
  { "web.bzh", true },
  { "web.cc", false },
  { "web.de", true },
  { "web2033.com", true },
  { "web2ldap.de", true },
  { "web2screen.tv", true },
  { "web404.net", true },
  { "webaeon.org", true },
  { "webaholic.co.in", true },
  { "webais.ru", true },
  { "webambacht.nl", true },
  { "webandmore.de", false },
  { "webapky.cz", true },
  { "webappky.cz", true },
  { "webartex.ru", true },
  { "webbiz.co.uk", true },
  { "webbson.net", false },
  { "webbuzz.com.au", true },
  { "webbx.se", true },
  { "webcamtoy.com", true },
  { "webcatchers.nl", true },
  { "webcatechism.com", false },
  { "webclimbers.ch", true },
  { "webcollect.org.uk", true },
  { "webcontentspinning.com", true },
  { "webcookies.org", true },
  { "webcrm.com", true },
  { "webdeflect.com", true },
  { "webdesign-st.de", true },
  { "webdesigneauclaire.com", true },
  { "webdesignerinwarwickshire.co.uk", true },
  { "webdesignplay.com", true },
  { "webdesignplayground.io", true },
  { "webdesignsandiego.com", true },
  { "webdevops.io", true },
  { "webdevxp.com", true },
  { "webdl.org", true },
  { "webduck.nl", false },
  { "webeast.eu", true },
  { "webeau.com", true },
  { "webergrillrestaurant.com", true },
  { "webev.ru", true },
  { "webexample.win", true },
  { "webexp.biz", true },
  { "webfilings-eu-mirror.appspot.com", true },
  { "webfilings-eu.appspot.com", true },
  { "webfilings-mirror-hrd.appspot.com", true },
  { "webfilings.appspot.com", true },
  { "webfixers.nl", true },
  { "webfox.com.br", true },
  { "webgarten.ch", true },
  { "webgears.com", true },
  { "webgreat.de", true },
  { "webharvest.gov", true },
  { "webhooks.stream", true },
  { "webhostingzzp.nl", false },
  { "webhostplan.info", true },
  { "webinnovation.ie", true },
  { "webjobposting.com", true },
  { "webkef.com", true },
  { "webkeks.org", true },
  { "weblagring.se", true },
  { "weblate.org", true },
  { "webless.com", true },
  { "webliberty.ru", true },
  { "webline.ch", true },
  { "weblogic.pl", true },
  { "weblogzwolle.nl", true },
  { "webmail.gigahost.dk", false },
  { "webmail.info", false },
  { "webmail.onlime.ch", false },
  { "webmail.xalqbank.az", true },
  { "webmandesign.eu", true },
  { "webmax.com.tr", true },
  { "webmedpharmacy.co.uk", true },
  { "webmel.com", true },
  { "webmetering.at", true },
  { "webministeriet.net", true },
  { "webmixseo.com", true },
  { "webmotelli.fi", true },
  { "webnames.ca", true },
  { "webogram.org", false },
  { "webpostingmart.com", true },
  { "webpostingpro.com", true },
  { "webpostingreviews.com", true },
  { "webproxy.pw", true },
  { "webpubsub.com", true },
  { "webqualitat.com.br", true },
  { "webqueens.com", true },
  { "webrebels.org", false },
  { "webrentcars.com", true },
  { "webreport.fr", true },
  { "webreslist.com", true },
  { "websectools.com", true },
  { "websecurity.is", true },
  { "webseitendesigner.com", false },
  { "webseitenserver.com", true },
  { "websharks.org", true },
  { "website-engineering.co.za", true },
  { "websiteboost.nl", true },
  { "websiteforlease.ca", true },
  { "websiteout.ca", true },
  { "websiteout.net", true },
  { "websiterent.ca", true },
  { "websites4business.ca", true },
  { "websitesdallas.com", true },
  { "websiteservice.pro", true },
  { "webslake.com", true },
  { "websmartmedia.co.uk", true },
  { "webspiral.jp", true },
  { "webspire.tech", true },
  { "webstijlen.nl", true },
  { "webstore.be", false },
  { "webstu.be", true },
  { "webstudio-n.com", true },
  { "webstylemedia.com", true },
  { "websvetaines.lt", true },
  { "webtalis.nl", true },
  { "webtasarim.pw", true },
  { "webtek.nu", true },
  { "webtheapp.com", true },
  { "webtobesocial.de", true },
  { "webtorrent.io", true },
  { "webtrh.cz", true },
  { "webtropia.com", false },
  { "webvisum.de", true },
  { "webwednesday.nl", true },
  { "webwinkelexploitatie.nl", true },
  { "webwinkelwestland.nl", true },
  { "webwit.nl", true },
  { "webwolf.co.za", true },
  { "webworkshop.ltd", true },
  { "webyazilimankara.com", true },
  { "webz.one", true },
  { "webzanem.com", true },
  { "wechatify.com", true },
  { "wecleanbins.com", true },
  { "wecobble.com", true },
  { "wedding-m.jp", true },
  { "weddingalbumsdesign.com", true },
  { "weddingfantasy.ru", true },
  { "weddingsbynoon.co.uk", true },
  { "weddywood.ru", false },
  { "wedos.com", true },
  { "weeblr.com", true },
  { "weeblrpress.com", true },
  { "weedcircles.com", true },
  { "weedlife.com", true },
  { "weednews.co", true },
  { "weedupdate.com", true },
  { "weedworthy.com", true },
  { "weedypedia.de", true },
  { "week.report", true },
  { "weekdone.com", true },
  { "weekendinitaly.com", true },
  { "weekly-residence.com", true },
  { "weeklycenter.co.jp", true },
  { "weeknummers.be", true },
  { "weeknummers.nl", true },
  { "weemake.fr", true },
  { "weemakers.fr", true },
  { "weerda.fr", true },
  { "weerstatistieken.nl", true },
  { "wefinanceinc.com", true },
  { "wefitboilers.com", true },
  { "wegethitched.co.uk", true },
  { "weggeweest.nl", true },
  { "wegner.no", true },
  { "wegotcookies.com", true },
  { "wegrzynek.org", true },
  { "wegvielfalt.de", true },
  { "wehostdnn.com", true },
  { "weibomiaopai.com", true },
  { "weideheuvel.org", true },
  { "weidmannfibertechnology.com", true },
  { "weien.org", true },
  { "weigelia.nl", true },
  { "weihnachten-schenken.de", true },
  { "weiling.clinic", true },
  { "weils.net", true },
  { "weiltoast.de", true },
  { "weimaraner.com.br", true },
  { "weiming.ddns.net", true },
  { "weimz.com", true },
  { "wein.cc", true },
  { "wein.co.kr", true },
  { "weinbergerlawgroup.com", true },
  { "weinundsein.com", true },
  { "weirdesigns.com", true },
  { "weirdserver.com", true },
  { "weisse-liste.de", true },
  { "weissman.agency", true },
  { "weiterbildung-vdz.de", true },
  { "weitergedacht.eu", true },
  { "weizenspr.eu", true },
  { "welcome-tahiti.com", true },
  { "welcome-werkstatt.com", true },
  { "welcome-werkstatt.de", true },
  { "welcome26.ch", true },
  { "welcomehelp.de", true },
  { "welcomescuba.com", true },
  { "weld.io", true },
  { "weldwp.com", true },
  { "wella-download-center.de", true },
  { "wellacapability.com", true },
  { "wellbeing360.com.au", true },
  { "wellcom.co.il", true },
  { "welldrake.com", true },
  { "wellensteyn.ru", true },
  { "weller.pm", true },
  { "wellist.com", true },
  { "wellmarts.com", true },
  { "wellness-gutschein.de", true },
  { "wellnesscheck.net", true },
  { "wellopp.com", true },
  { "wellsplasticsurgery.com", true },
  { "wellspringcamps.com", true },
  { "welovecatsandkittens.com", true },
  { "welovemail.com", true },
  { "welpo.me", true },
  { "welsh.com.br", true },
  { "welteneroberer.de", true },
  { "weltengilde.de", true },
  { "weltenhueter.de", true },
  { "weltverschwoerung.de", true },
  { "welzijnkoggenland.nl", true },
  { "wemakebookkeepingeasy.com", true },
  { "wemakemenus.com", true },
  { "wemakeonlinereviews.com", true },
  { "wemovemountains.co.uk", true },
  { "wen-in.com", true },
  { "wen-in.net", true },
  { "wenchieh.com", true },
  { "wendlberger.net", true },
  { "wendu.me", true },
  { "wener.me", false },
  { "wengebowuguan.com", true },
  { "wenger-shop.ch", true },
  { "wenjs.me", true },
  { "wensing-und-koenig.de", true },
  { "wepay.com", false },
  { "wepay.in.th", true },
  { "wepay.vn", true },
  { "weplaynaked.dk", true },
  { "wer-kommt-her.de", true },
  { "wer.sh", true },
  { "werally.com", true },
  { "werbedesign-tauber.de", true },
  { "werbefotograf-leitner.de", true },
  { "werbefotografie-leitner.de", true },
  { "werbewelt-tv.de", true },
  { "werbezentrum-stiebler.de", true },
  { "werehub.org", true },
  { "wereldkoffie.eu", true },
  { "werk-34.de", true },
  { "werk32.net", true },
  { "werkaanonderwijs.nl", true },
  { "werkemotion.com", true },
  { "werkenbijdfzs.nl", true },
  { "werkenbijwierda.nl", true },
  { "werkenvoorphiladelphia.nl", true },
  { "werkgroepderdewereld.nl", true },
  { "werkgroeppaleisparkhetloo.nl", true },
  { "werkinc.de", true },
  { "werkkrew.xyz", true },
  { "werkstattkinder.de", true },
  { "werktor.com", true },
  { "werktor.net", true },
  { "werkz.io", true },
  { "wermeester.com", true },
  { "werner-ema.de", true },
  { "werpo.com.ar", true },
  { "wertheimer-burgrock.de", true },
  { "wertpapiertreuhand.de", true },
  { "werwolf-live.de", true },
  { "wesayyesprogram.com", true },
  { "wesecom.com", true },
  { "wesell.asia", true },
  { "weserv.nl", true },
  { "wesleycabus.be", true },
  { "wesoco.de", true },
  { "wesreportportal.com", true },
  { "wessner.co", true },
  { "wessner.org", true },
  { "west-contemporary.com", true },
  { "west-trans.com.au", true },
  { "west-wind.net", true },
  { "westcanal.net", true },
  { "westcarrollton.org", true },
  { "westcentenaryscouts.org.au", true },
  { "westcentralaor.org", true },
  { "westcoastaggregate.com", true },
  { "westcoastcastles.com", true },
  { "westcountrystalking.com", true },
  { "westendwifi.net", true },
  { "westeros.hu", true },
  { "westhighlandwhiteterrier.com.br", true },
  { "westhillselectrical.com", true },
  { "westlakevillageelectrical.com", true },
  { "westlights.net", true },
  { "westlinntowncar.com", true },
  { "westmead.org", true },
  { "westmeadapartments.com.au", true },
  { "westmidlandsbouncycastlehire.co.uk", true },
  { "westmidlandsinflatables.co.uk", true },
  { "westsuburbanbank.com", true },
  { "westwood.no", true },
  { "wetofu.top", true },
  { "wevenues.com", true },
  { "wevg.org", true },
  { "wewitro.de", true },
  { "wewitro.net", true },
  { "wexfordbouncycastles.ie", true },
  { "wexilapp.com", true },
  { "weyland-yutani.org", true },
  { "weyland.tech", true },
  { "wezl.net", true },
  { "wf-bigsky-master.appspot.com", true },
  { "wf-demo-eu.appspot.com", true },
  { "wf-demo-hrd.appspot.com", true },
  { "wf-dogfood-hrd.appspot.com", true },
  { "wf-hosting.de", true },
  { "wf-pentest.appspot.com", true },
  { "wf-staging-hr.appspot.com", true },
  { "wf-training-hrd.appspot.com", true },
  { "wf-training-master.appspot.com", true },
  { "wf-trial-hrd.appspot.com", true },
  { "wfh.ovh", true },
  { "wfh.se", true },
  { "wft-portfolio.nl", true },
  { "wg-steubenstrasse.de", true },
  { "wg3k.us", true },
  { "wgom.org", true },
  { "wgplatform.co.uk", true },
  { "wgraphics.ru", true },
  { "wh-guide.de", true },
  { "whanau.org", true },
  { "what-wood.servehttp.com", true },
  { "whatagreatwebsite.net", true },
  { "whatanime.ga", true },
  { "whatarepatentsfor.com", true },
  { "whatclinic.co.uk", true },
  { "whatclinic.com", true },
  { "whatclinic.com.ph", true },
  { "whatclinic.de", true },
  { "whatclinic.ie", true },
  { "whatclinic.ru", true },
  { "whateveraspidercan.com", true },
  { "whatismycountry.com", true },
  { "whatismyipaddress.ca", true },
  { "whatnext.limited", true },
  { "whatsahoy.com", true },
  { "whatsapp.com", true },
  { "whatsmychaincert.com", true },
  { "whatsupdeco.com", true },
  { "whatsupgold.com.tw", true },
  { "whatsupoutdoor.com", true },
  { "whatthingsweigh.com", true },
  { "whatwebcando.today", true },
  { "whatwg.org", true },
  { "whd-guide.de", true },
  { "wheatgra.in", true },
  { "wheatley.nl", true },
  { "wheeler.kiwi.nz", true },
  { "wheelwide.co.uk", true },
  { "wheelwork.org", true },
  { "wheelwright.org", true },
  { "when.fm", false },
  { "where2trip.com", true },
  { "whereiszakir.com", true },
  { "whexit.nl", true },
  { "whey-protein.ch", true },
  { "whiletrue.run", true },
  { "whimtrip.fr", false },
  { "whing.org", true },
  { "whipnic.com", true },
  { "whirlpool-luboss.de", true },
  { "whisky-circle.info", true },
  { "whiskynerd.ca", true },
  { "whisp.ly", false },
  { "whispeer.de", true },
  { "whisperinghoperanch.org", true },
  { "whisperlab.org", true },
  { "whistleb.com", true },
  { "whistleblower.gov", true },
  { "whitby-brewery.com", true },
  { "whitealps.at", true },
  { "whitealps.be", true },
  { "whitealps.ch", true },
  { "whitealps.de", true },
  { "whitealps.fr", true },
  { "whitealps.net", true },
  { "whitebear.cloud", true },
  { "whitefm.ch", true },
  { "whitehathackers.com.br", true },
  { "whitehouse.gov", true },
  { "whitehousedrugpolicy.gov", true },
  { "whiteink.com", true },
  { "whitejaguars.com", true },
  { "whitelabelcashback.nl", true },
  { "whitelabeltickets.com", false },
  { "whitepharmacy.co.uk", true },
  { "whiteshadowimperium.com", true },
  { "whitewebhosting.co.za", true },
  { "whitewebhosting.com", true },
  { "whitewinterwolf.com", true },
  { "whitkirkartsguild.com", true },
  { "whitkirkchurch.org.uk", true },
  { "whitworth.nyc", true },
  { "whizzzbang.co.uk", true },
  { "whmcs.hosting", true },
  { "whnpa.org", true },
  { "who-calledme.com", true },
  { "who.pm", true },
  { "whoasome.com", true },
  { "whocalld.com", true },
  { "whocalled.us", true },
  { "whocybered.me", true },
  { "whoisamitsingh.com", true },
  { "whoisthenightking.com", true },
  { "whoiswp.com", true },
  { "wholelotofbounce.co.uk", false },
  { "wholesalecbd.com", true },
  { "whonix.org", true },
  { "whoownsmyavailability.com", true },
  { "whosyourdaddy.ml", true },
  { "whoturgled.com", true },
  { "whqtravel.org", false },
  { "whta.se", true },
  { "whub.io", true },
  { "why-brexit.uk", true },
  { "whychoosebob.net.au", true },
  { "whyopencomputing.ch", true },
  { "whyopencomputing.com", true },
  { "whytls.com", true },
  { "whyworldhot.com", true },
  { "whyz1722.tk", true },
  { "wibbe.link", true },
  { "wiberg.nu", true },
  { "wichitafoundationpros.com", true },
  { "wickrath.net", true },
  { "widdleguy.com", true },
  { "wideboxmacau.com", false },
  { "widegab.com", true },
  { "widemann.de", true },
  { "widememory.com", true },
  { "widsl.de", true },
  { "wiebel.org", true },
  { "wiebetaaltdat.nl", true },
  { "wieckiewicz.org", true },
  { "wiedmeyer.de", true },
  { "wiedu.net", true },
  { "wiegedaten.de", true },
  { "wiehenkrug.de", true },
  { "wien52.at", true },
  { "wieneck-bauelemente.de", true },
  { "wienergyjobs.com", true },
  { "wieobensounten.de", true },
  { "wifi-hack.com", true },
  { "wifi-names.com", true },
  { "wifimask.com", true },
  { "wifipineapple.com", true },
  { "wifirst.net", true },
  { "wifree.lv", true },
  { "wigggle.it", true },
  { "wigle.net", true },
  { "wiimotion.de", true },
  { "wijnbesteld.nl", true },
  { "wijnservices.nl", false },
  { "wijzijnwolf.nl", true },
  { "wiki-play.ru", true },
  { "wiki.python.org", true },
  { "wikibooks.org", true },
  { "wikibulz.com", true },
  { "wikidata.org", true },
  { "wikidsystems.com", false },
  { "wikileaks.com", true },
  { "wikileaks.org", true },
  { "wikimedia.org", true },
  { "wikimediafoundation.org", true },
  { "wikimilk.org", true },
  { "wikinews.org", true },
  { "wikipedia.org", true },
  { "wikiquote.org", true },
  { "wikisource.org", true },
  { "wikiversity.org", true },
  { "wikivisually.com", true },
  { "wikivoyage.org", true },
  { "wiktionary.org", true },
  { "wiktoriaslife.com", true },
  { "wilane.org", true },
  { "wilcodeboer.me", true },
  { "wild-turtles.com", false },
  { "wildboaratvparts.com", true },
  { "wildcard.hu", true },
  { "wilddogdesign.co.uk", true },
  { "wildewood.ca", true },
  { "wildlifeadaptationstrategy.gov", true },
  { "wildnisfamilie.net", true },
  { "wildtrip.blog", true },
  { "wildwildtravel.com", true },
  { "wilfrid-calixte.fr", true },
  { "wili.li", true },
  { "wiliquet.net", true },
  { "wilkushka.com", true },
  { "wilkushka.net", true },
  { "willberg.bayern", true },
  { "willekeinden.nl", true },
  { "willems-kristiansen.dk", true },
  { "willfarrell.ca", true },
  { "willi-graf-gymnasium.de", true },
  { "willi-graf-os.de", true },
  { "william.gg", true },
  { "williamboundsltd.com", true },
  { "williamfeely.info", true },
  { "williamjohngauthier.net", true },
  { "williamsonshore.com", true },
  { "williamsportmortgages.com", true },
  { "williamtm.com", true },
  { "willnorris.com", true },
  { "willow.technology", true },
  { "willowdalechurch.ca", true },
  { "willowtree.school", true },
  { "wills.co.tt", true },
  { "willstamper.name", true },
  { "willstocks.co.uk", true },
  { "willywangstory.com", true },
  { "willywangstory.com.tw", true },
  { "willywangstory.org", true },
  { "wiloca.it", true },
  { "wilseyrealty.com", true },
  { "wimachtendienk.com", true },
  { "wimbo.nl", true },
  { "wimpernforyou.de", true },
  { "win7stylebuilder.com", false },
  { "winddan.nz", true },
  { "windelnkaufen24.de", true },
  { "windowcleaningexperts.net", true },
  { "windows10insider.com", true },
  { "windowslatest.com", true },
  { "windowsnerd.com", true },
  { "windowwellcovers.com", true },
  { "windrunner.se", true },
  { "windscribe.com", true },
  { "windsock-app.com", true },
  { "windycitydubfest.com", true },
  { "wine-tapa.com", true },
  { "wineonthewall.com", true },
  { "winepress.org", true },
  { "winfieldchen.me", true },
  { "winghill.com", true },
  { "wingify.com", true },
  { "winhistory-forum.net", true },
  { "winkelcentrumputten.nl", true },
  { "winmodels.org", true },
  { "winmodels.ru", true },
  { "winphonemetro.com", true },
  { "winportal.cz", false },
  { "winsome.world", true },
  { "wint.global", true },
  { "winter-elektro.de", true },
  { "winter.engineering", false },
  { "winterbergwebcams.com", true },
  { "wintercam.nl", true },
  { "winterfeldt.de", true },
  { "winterhillbank.com", true },
  { "wintermeyer-consulting.de", true },
  { "wintermeyer.de", true },
  { "winterschoen.nl", true },
  { "wintodoor.com", true },
  { "wipswiss.ch", true },
  { "wir-bewegen.sh", true },
  { "wircon-int.net", true },
  { "wire.com", true },
  { "wiredcut.com", true },
  { "wireframesoftware.com", true },
  { "wireheading.com", true },
  { "wirelesswatch.com.au", true },
  { "wireshark.org", true },
  { "wiretime.de", true },
  { "wiretrip.io", true },
  { "wirhabenspass.de", true },
  { "wirkaufendeinau.to", true },
  { "wirkstoffreich.de", true },
  { "wirralbouncycastles.co.uk", true },
  { "wirsberg-studios.de", true },
  { "wirsol.com", true },
  { "wis.no", true },
  { "wisak.me", true },
  { "wisal.org", true },
  { "wiseflat.com", true },
  { "wisper.net.au", true },
  { "wispsuperfoods.com", true },
  { "wisv.ch", true },
  { "wisweb.no", true },
  { "wit.ai", true },
  { "with-environment.com", true },
  { "withgoogle.com", true },
  { "withinsecurity.com", true },
  { "withlocals.com", true },
  { "withyoutube.com", true },
  { "witneywaterpolo.org.uk", true },
  { "witt-international.co.uk", true },
  { "witte.cloud", true },
  { "witway.nl", false },
  { "wivoc.nl", true },
  { "wiz.at", true },
  { "wiz.biz", true },
  { "wiz.farm", true },
  { "wizardbouncycastles.co.uk", true },
  { "wizardmeow.xin", true },
  { "wizzley.com", true },
  { "wizzr.nl", true },
  { "wj0666.com", true },
  { "wjci.com", true },
  { "wje-online.de", true },
  { "wjg.ca", true },
  { "wjg.dk", true },
  { "wjglerum.nl", true },
  { "wjm2038.me", true },
  { "wjr.io", true },
  { "wjwieland.dvrdns.org", false },
  { "wkv.com", true },
  { "wkz.io", true },
  { "wlaws.com", true },
  { "wlci.gov", true },
  { "wlog.it", true },
  { "wlsme.org", true },
  { "wlt.ca", false },
  { "wltix.com", false },
  { "wlwlwx.com", true },
  { "wm-access.com", true },
  { "wm-access.de", true },
  { "wm-talk.net", true },
  { "wmaccess.com", true },
  { "wmaccess.de", true },
  { "wmawri.com", true },
  { "wmfusercontent.org", true },
  { "wmkowa.de", true },
  { "wmustore.com", true },
  { "wnu.com", true },
  { "wo-ist-elvira.net", true },
  { "wo2forum.nl", true },
  { "woah.how", true },
  { "wobble.ninja", true },
  { "wobblywotnotz.co.uk", true },
  { "wochennummern.de", true },
  { "wodboss.com", true },
  { "wodinaz.com", true },
  { "wodka-division.de", true },
  { "woelkchen.me", true },
  { "wofford-ecs.org", true },
  { "woffs.de", true },
  { "wogo.org", true },
  { "woheni.de", true },
  { "wohlgemuth.rocks", true },
  { "wohnbegleitung.ch", true },
  { "wohnsitz-ausland.com", true },
  { "woi.vision", true },
  { "wokinghammotorhomes.com", true },
  { "woktoss.com", true },
  { "wolfachtal-alpaka.de", true },
  { "wolfarth.info", true },
  { "wolfermann.org", true },
  { "wolferstetterkeller.de", true },
  { "wolfgang-braun.info", true },
  { "wolfgang-kerschbaumer.at", true },
  { "wolfgang-kerschbaumer.com", true },
  { "wolfgang-kerschbaumer.net", true },
  { "wolfgang-kloke.de", true },
  { "wolfgang-ziegler.com", true },
  { "wolfie.ovh", true },
  { "wolfram.io", true },
  { "wolfsden.cz", true },
  { "wolfwings.us", true },
  { "wolfy1339.com", false },
  { "wolkenspeicher.org", true },
  { "wolkoopjes.nl", true },
  { "wollgredel.de", true },
  { "wollongongbaptist.hopto.org", true },
  { "wollwerk.org", true },
  { "wolszon.me", true },
  { "womb.city", true },
  { "wombatalla.com.au", true },
  { "wombats.net", true },
  { "women-only.net", true },
  { "womensalespros.com", true },
  { "womenshairlossproject.com", true },
  { "wonabo.com", true },
  { "wonderbill.com", true },
  { "wonderfuleducation.eu", true },
  { "wonderfuleducation.nl", true },
  { "wondergorilla.com", true },
  { "wonderhowto.com", true },
  { "wonderlandmovies.de", true },
  { "wondermags.com", true },
  { "wonghome.net", true },
  { "woodbury.io", true },
  { "woodcoin.org", true },
  { "woodev.us", true },
  { "woodlandhillselectrical.com", true },
  { "woodlandsmetro.church", true },
  { "woodlandsvale.uk", true },
  { "woodlandwindows.com", true },
  { "woodomat.com", true },
  { "woodsidepottery.ca", true },
  { "woof.gq", true },
  { "woohooyeah.nl", true },
  { "woonboulevardvolendam.nl", true },
  { "woontegelwinkel.nl", true },
  { "wooplagaming.com", true },
  { "wootware.co.za", true },
  { "wopen.org", true },
  { "wopr.network", true },
  { "worcade.net", true },
  { "worcesterbouncycastlehire.co.uk", true },
  { "worcesterbouncycastles.co.uk", true },
  { "worcesterfestival.co.uk", true },
  { "word-grabber.com", true },
  { "wordcounter.net", true },
  { "wordher.com", true },
  { "wordlessecho.com", true },
  { "wordpress.com", false },
  { "wordpresspro.cl", true },
  { "wordsmart.it", true },
  { "wordspy.com", true },
  { "wordxtra.net", true },
  { "worf.in", true },
  { "work-in-progress.website", true },
  { "workcelerator.com", true },
  { "workcheck.bz", true },
  { "workcloud.jp", true },
  { "workgrouptech.org", true },
  { "workingclassmedia.com", true },
  { "workinginsync.co.uk", true },
  { "workingmachine.info", true },
  { "workissime.com", true },
  { "workplaces.online", true },
  { "workraw.com", true },
  { "works-ginan.jp", true },
  { "workshopszwolle.nl", true },
  { "workshopzwolle.com", true },
  { "worksitevr.com", true },
  { "world-in-my-eyes.com", true },
  { "worldcareers.dk", true },
  { "worldchess.london", true },
  { "worldcigars.com.br", true },
  { "worldcrafts.org", true },
  { "worldcubeassociation.org", true },
  { "worldessays.com", true },
  { "worldeventscalendars.com", true },
  { "worldnettps.com", true },
  { "worldofbelia.de", true },
  { "worldofparties.co.uk", true },
  { "worldofterra.net", true },
  { "worldofvnc.net", true },
  { "worldofwobble.co.uk", true },
  { "worldpeacetechnology.com", true },
  { "worldsgreatestazuredemo.com", true },
  { "worldsoccerclips.com", true },
  { "worldstone777.com", true },
  { "worldtalk.de", true },
  { "wormdisk.net", true },
  { "worst.horse", false },
  { "wort-suchen.de", true },
  { "woshiluo.site", true },
  { "wot-tudasbazis.hu", true },
  { "wotra-register.com", true },
  { "woudenberg.nl", true },
  { "woufbox.com", true },
  { "woutergeraedts.nl", true },
  { "wouterslop.com", true },
  { "wouterslop.eu", true },
  { "wouterslop.nl", true },
  { "wow-foederation.de", true },
  { "wow-screenshots.net", true },
  { "wowaffixes.info", true },
  { "wowbouncycastles.co.uk", true },
  { "wowhelp.it", true },
  { "wowi-ffo.de", true },
  { "wowjs.co.uk", true },
  { "wowjs.org", true },
  { "wowjs.uk", true },
  { "wownmedia.com", true },
  { "wozalapha.com", true },
  { "wp-bullet.com", true },
  { "wp-master.org", true },
  { "wp-mix.com", true },
  { "wp-site1.com", true },
  { "wp-site2.com", true },
  { "wp-tao.com", true },
  { "wpac.de", true },
  { "wpandup.org", true },
  { "wpcdn.bid", true },
  { "wpcharged.nz", true },
  { "wpdesigner.ir", true },
  { "wpdirecto.com", true },
  { "wpdublin.com", true },
  { "wpenhance.com", true },
  { "wpexplorer.com", true },
  { "wpformation.com", true },
  { "wphostingblog.nl", true },
  { "wpinter.com", true },
  { "wpldn.uk", true },
  { "wpletter.de", false },
  { "wpmeetup-berlin.de", true },
  { "wpmu-tutorials.de", true },
  { "wpoptimalizace.cz", true },
  { "wpostats.com", false },
  { "wpscans.com", true },
  { "wpsec.nl", true },
  { "wpserp.com", true },
  { "wpsharks.com", true },
  { "wpsnelheid.nl", true },
  { "wpsono.com", true },
  { "wpthaiuser.com", true },
  { "wptomatic.de", true },
  { "wptotal.com", true },
  { "wpturnedup.com", true },
  { "wpvulndb.com", true },
  { "wq.ro", true },
  { "wr.su", true },
  { "wrapit.hu", true },
  { "wrapitup.co.uk", true },
  { "wrara.org", true },
  { "wrc-results.com", true },
  { "wrdcfiles.ca", true },
  { "wrdx.io", true },
  { "wrenwrites.com", true },
  { "wrgms.com", true },
  { "wristreview.com", true },
  { "write-right.net", true },
  { "writecustomessay.com", true },
  { "writeenglishright.com", true },
  { "writemyessay.info", true },
  { "writemyessay.today", true },
  { "writemyessays.com", true },
  { "writemypaperhub.com", true },
  { "writemytermpapers.com", true },
  { "writeoff.me", true },
  { "writepride.com", true },
  { "writepro.net", true },
  { "writereditor.com", true },
  { "writing-job-online.com", true },
  { "writingcities.net", true },
  { "writingtoserve.net", true },
  { "writtit.com", true },
  { "wrksheet.com", true },
  { "wrmea.org", true },
  { "wromeapp.com", true },
  { "wrongware.cz", true },
  { "wrp-timber-mouldings.co.uk", true },
  { "wrp.gov", true },
  { "wsa.poznan.pl", true },
  { "wsadek.ovh", true },
  { "wsb.pl", true },
  { "wscales.com", false },
  { "wscbiolo.id", true },
  { "wsdcapital.com", true },
  { "wselektro.de", true },
  { "wsgvet.com", true },
  { "wsl.sh", true },
  { "wss.com.ve", true },
  { "wsspalluto.de", true },
  { "wssv.ch", true },
  { "wstudio.ch", true },
  { "wstx.com", true },
  { "wsv-grafenau.de", true },
  { "wsyy.info", true },
  { "wt-server3.de", true },
  { "wtfismyip.com", true },
  { "wtfnope.org", true },
  { "wth.in", true },
  { "wtpmj.com", true },
  { "wtw.io", false },
  { "wuerfel.wf", true },
  { "wuerfelmail.de", true },
  { "wufu.org", false },
  { "wufupay.com", true },
  { "wug.jp", true },
  { "wug.news", true },
  { "wuifan.com", true },
  { "wuji.cz", true },
  { "wumbo.cf", true },
  { "wumbo.co.nz", true },
  { "wumbo.ga", true },
  { "wumbo.gq", true },
  { "wumbo.ml", true },
  { "wumbo.tk", true },
  { "wunderkarten.de", true },
  { "wunderlist.com", true },
  { "wundi.net", true },
  { "wutianxian.com", true },
  { "wutianyi.com", true },
  { "wuxiaobai.win", true },
  { "wuxiaohen.com", true },
  { "wuyue.photo", true },
  { "wv-n.de", true },
  { "wvg.myds.me", true },
  { "wvv-8522.com", true },
  { "wvw-8522.com", true },
  { "ww2onlineshop.com", true },
  { "wwbsb.xyz", true },
  { "wweforums.net", true },
  { "wweichen.com.cn", true },
  { "wwgc2011.se", true },
  { "wwv-8522.com", true },
  { "www-33445.com", true },
  { "www-49889.com", true },
  { "www-62755.com", true },
  { "www-8522.am", true },
  { "www-8522.com", true },
  { "www-9822.com", true },
  { "www.aclu.org", false },
  { "www.airbnb.com", true },
  { "www.amazon.cn", true },
  { "www.amazon.fr", true },
  { "www.amazon.it", true },
  { "www.apollo-auto.com", false },
  { "www.banking.co.at", false },
  { "www.braintreepayments.com", false },
  { "www.calyxinstitute.org", false },
  { "www.capitainetrain.com", false },
  { "www.captaintrain.com", false },
  { "www.cnet.com", true },
  { "www.dropbox.com", true },
  { "www.dropcam.com", false },
  { "www.entropia.de", false },
  { "www.eternalgoth.co.uk", true },
  { "www.etsy.com", true },
  { "www.evernote.com", false },
  { "www.facebook.com", false },
  { "www.fastmail.com", true },
  { "www.ft.com", true },
  { "www.getcloak.com", false },
  { "www.gmail.com", false },
  { "www.googlemail.com", false },
  { "www.gov.uk", false },
  { "www.govt.nz", true },
  { "www.grc.com", false },
  { "www.healthcare.gov", false },
  { "www.heliosnet.com", true },
  { "www.honeybadger.io", false },
  { "www.hyatt.com", false },
  { "www.icann.org", false },
  { "www.intercom.io", true },
  { "www.irccloud.com", false },
  { "www.lastpass.com", false },
  { "www.linode.com", false },
  { "www.lookout.com", false },
  { "www.makeyourlaws.org", true },
  { "www.messenger.com", true },
  { "www.mydigipass.com", false },
  { "www.mylookout.com", false },
  { "www.noisebridge.net", true },
  { "www.opsmate.com", true },
  { "www.paypal.com", false },
  { "www.python.org", true },
  { "www.re", true },
  { "www.rememberthemilk.com", true },
  { "www.sb", true },
  { "www.simple.com", false },
  { "www.theguardian.com", true },
  { "www.therapynotes.com", true },
  { "www.tinfoilsecurity.com", false },
  { "www.torproject.org", false },
  { "www.tumblr.com", false },
  { "www.twitter.com", false },
  { "www.united.com", true },
  { "www.usaa.com", false },
  { "www.vino75.com", false },
  { "www.wepay.com", false },
  { "www.wordpress.com", false },
  { "www68277.com", true },
  { "wxcafe.net", true },
  { "wxh.jp", true },
  { "wxster.com", true },
  { "wxyz.buzz", true },
  { "wyam.io", true },
  { "wybar.uk", true },
  { "wyday.com", true },
  { "wygibanki.pl", true },
  { "wygodnie.pl", true },
  { "wynterhill.co.uk", true },
  { "wyo.cam", true },
  { "wypemagazine.se", true },
  { "wyrihaximus.net", true },
  { "wyrimaps.net", true },
  { "wzfetish.com.br", true },
  { "wzfou.com", true },
  { "wzrd.in", true },
  { "wzyboy.org", true },
  { "x-iweb.ru", true },
  { "x-one.co.jp", true },
  { "x.io", true },
  { "x.st", true },
  { "x0r.be", true },
  { "x13.com", true },
  { "x1616.tk", true },
  { "x1be.win", true },
  { "x2d2.de", true },
  { "x64architecture.com", true },
  { "x69.biz", true },
  { "x69x.net", true },
  { "x7plus.com", true },
  { "xa.search.yahoo.com", false },
  { "xa1.uk", true },
  { "xanadu-taxi.cz", true },
  { "xanax.pro", true },
  { "xatr0z.org", false },
  { "xavier.is", true },
  { "xawen.net", true },
  { "xbb.hk", true },
  { "xbb.li", true },
  { "xbertschy.com", true },
  { "xblau.com", true },
  { "xboxdownloadthat.com", true },
  { "xboxlivegoldshop.nl", true },
  { "xboxonex.shop", true },
  { "xbrl.online", true },
  { "xbrlsuccess.appspot.com", true },
  { "xbt.co", true },
  { "xbtce.com", true },
  { "xbtmusic.org", false },
  { "xcelerator.ninja", true },
  { "xcentricmold.com", true },
  { "xchangeinfo.com", true },
  { "xcler8.com", true },
  { "xclirion-support.de", true },
  { "xcorpsolutions.com", true },
  { "xd.cm", true },
  { "xd.fi", true },
  { "xdavidhu.me", true },
  { "xdeftor.com", true },
  { "xecureit.com", true },
  { "xeedbeam.me", true },
  { "xega.org", true },
  { "xehost.com", true },
  { "xelesante.jp", true },
  { "xenomedia.nl", true },
  { "xenon.cloud", true },
  { "xenoncloud.net", true },
  { "xenophile.name", true },
  { "xenotropegames.com", true },
  { "xenoworld.de", true },
  { "xentox.com", true },
  { "xerblade.com", true },
  { "xerhost.de", true },
  { "xerownia.eu", true },
  { "xetown.com", true },
  { "xfce.space", true },
  { "xfd3.de", true },
  { "xferion.com", true },
  { "xfix.pw", true },
  { "xgame.com.tr", true },
  { "xgclan.com", true },
  { "xgn.es", true },
  { "xhmikosr.io", true },
  { "xho.me", true },
  { "xia.de", true },
  { "xiamuzi.com", true },
  { "xiangblog.com", true },
  { "xiangweiqing.co.uk", true },
  { "xiangwenquan.me", true },
  { "xiaobude.cn", true },
  { "xiaofengsky.com", true },
  { "xiaoguo.net", false },
  { "xiaolan.me", true },
  { "xiaolanglang.net", true },
  { "xiaomi.eu", true },
  { "xiaoniaoyou.com", true },
  { "xiaoyu.net", true },
  { "xiaoyy.org", true },
  { "xiaxuejin.cn", true },
  { "xice.cf", true },
  { "xichtsbuch.de", true },
  { "xicreative.net", true },
  { "xif.at", true },
  { "xight.org", true },
  { "xilef.org", true },
  { "xilegames.com", true },
  { "xilkoi.net", true },
  { "ximbo.net", true },
  { "xin-in.com", true },
  { "xin-in.net", true },
  { "xinex.cz", true },
  { "xing-in.net", true },
  { "xingiahanvisa.net", true },
  { "xiongx.cn", true },
  { "xj8876.com", true },
  { "xjd.vision", true },
  { "xjjeeps.com", true },
  { "xjoin.de", true },
  { "xjpvictor.info", true },
  { "xkblog.xyz", true },
  { "xkcd.pw", true },
  { "xkngroup.com", true },
  { "xkviz.net", true },
  { "xlan.be", true },
  { "xlange.com", true },
  { "xluxes.jp", true },
  { "xmedius.ca", true },
  { "xmedius.com", false },
  { "xmedius.eu", true },
  { "xmenrevolution.com", true },
  { "xmerak.com", true },
  { "xmlbeam.org", true },
  { "xmpp.dk", true },
  { "xmppwocky.net", true },
  { "xmr.to", true },
  { "xmtpro.com", true },
  { "xmusic.live", true },
  { "xn-----8kcgbo2bmdgkdacthvjf.xn--p1ai", true },
  { "xn----7sbfl2alf8a.xn--p1ai", true },
  { "xn----8hcdn2ankm1bfq.com", true },
  { "xn--0iv967ab7w.xn--rhqv96g", true },
  { "xn--0kq33cz5c8wmwrqqw1d.com", true },
  { "xn--24-6kch4bfqee.xn--p1ai", true },
  { "xn--24-glcia8dc.xn--p1ai", true },
  { "xn--3lqp21gwna.cn", true },
  { "xn--6o8h.cf", true },
  { "xn--79q87uvkclvgd56ahq5a.net", true },
  { "xn--7ca.co", true },
  { "xn--7xa.google.com", true },
  { "xn--80aaagmgvmvmcuoq7r.xn--p1ai", true },
  { "xn--80ac0aqlt.xn--p1ai", true },
  { "xn--80adb4aeode.xn--p1ai", true },
  { "xn--80aejljbfwxn.xn--p1ai", true },
  { "xn--80anogxed.xn--p1ai", true },
  { "xn--80azelb.xn--p1ai", true },
  { "xn--8dry00a7se89ay98epsgxxq.com", true },
  { "xn--8mr166hf6s.xn--fiqs8s", true },
  { "xn--90accgba6bldkcbb7a.xn--p1acf", true },
  { "xn--allgu-biker-o8a.de", true },
  { "xn--aviao-dra1a.pt", true },
  { "xn--baron-bonzenbru-elb.com", true },
  { "xn--ben-bank-8za.dk", true },
  { "xn--benbank-dxa.dk", true },
  { "xn--berwachungspaket-izb.at", true },
  { "xn--brneruhr-0za.ch", true },
  { "xn--cck4ax91r.com", true },
  { "xn--cck7f515h.com", true },
  { "xn--cckdrt0kwb4g3cnh.com", true },
  { "xn--cckvb1cwa0c5br5e2d2711k.net", true },
  { "xn--cctsgy36bnvprwpekc.com", true },
  { "xn--d1acj9c.xn--90ais", true },
  { "xn--dcko6fsa5b1a8gyicbc.biz", true },
  { "xn--dej-3oa.lv", true },
  { "xn--detrkl13b9sbv53j.com", true },
  { "xn--detrkl13b9sbv53j.org", true },
  { "xn--die-zahnrzte-ncb.de", true },
  { "xn--dk8haaa.ws", true },
  { "xn--dmonenjger-q5ag.net", true },
  { "xn--dragni-g1a.de", true },
  { "xn--dtursfest-72a.dk", true },
  { "xn--e--0g4aiy1b8rmfg3o.jp", true },
  { "xn--e--4h4axau6ld4lna0g.com", true },
  { "xn--e--ig4a4c3f6bvc5et632i.com", true },
  { "xn--e1aoahhqgn.xn--p1ai", true },
  { "xn--ecki0cd0bu9a4nsjb.com", true },
  { "xn--eckle6c0exa0b0modc7054g7h8ajw6f.com", true },
  { "xn--elsignificadodesoar-c4b.com", true },
  { "xn--erklderbarenben-slbh.dk", true },
  { "xn--f9jh4f4b4993b66s.tokyo", true },
  { "xn--familie-pppinghaus-l3b.de", true },
  { "xn--feuerlscher-arten-4zb.de", true },
  { "xn--fischereiverein-mnsterhausen-i7c.de", true },
  { "xn--frankierknig-djb.de", true },
  { "xn--hfk-allgu-schwaben-stb.de", true },
  { "xn--hllrigl-90a.at", true },
  { "xn--i2ru8q2qg.com", true },
  { "xn--imker-in-nrnberg-szb.de", true },
  { "xn--j4h.cf", true },
  { "xn--jbs-tna.de", true },
  { "xn--jda.tk", true },
  { "xn--jp8hx8f.ws", true },
  { "xn--jywq5uqwqxhd2onsij.jp", true },
  { "xn--kda.tk", true },
  { "xn--knstler-n2a.tips", false },
  { "xn--ktha-kamrater-pfba.se", true },
  { "xn--lckwg.net", true },
  { "xn--love-un4c7e0d4a.com", true },
  { "xn--lsaupp-iua.se", true },
  { "xn--lsupp-mra.net", true },
  { "xn--manuela-stsser-psb.de", true },
  { "xn--maraa-rta.org", true },
  { "xn--mein-kchenhelfer-ozb.de", true },
  { "xn--mensenges-o1a8c.gq", true },
  { "xn--mensengesss-t8a.gq", true },
  { "xn--mentaltraining-fr-musiker-uwc.ch", true },
  { "xn--mgbbh2a9fub.xn--ngbc5azd", false },
  { "xn--mgbmmp7eub.com", true },
  { "xn--mhringen-65a.de", true },
  { "xn--mhsv04avtt1xi.com", false },
  { "xn--mllers-wxa.info", true },
  { "xn--myrepubic-wub.net", true },
  { "xn--myrepublc-x5a.net", true },
  { "xn--n8j7dygrbu0c31a5861bq8qb.com", true },
  { "xn--n8jp5083dnzs.net", true },
  { "xn--n8jtcugp92n4wc738f.net", true },
  { "xn--o38h.tk", true },
  { "xn--pbt947am3ab71g.com", true },
  { "xn--pe-bka.ee", true },
  { "xn--pq1a637b.xn--6qq986b3xl", true },
  { "xn--q9jb1h5dvcspke3218b9mn4p0c.com", true },
  { "xn--qckss0j.tk", true },
  { "xn--qfun83b.ga", true },
  { "xn--r8jzaf7977b09e.com", true },
  { "xn--reisebro-herrsching-bbc.de", true },
  { "xn--roselire-60a.ch", true },
  { "xn--roselire-60a.com", true },
  { "xn--rt-cja.eu", true },
  { "xn--rt-cja.ie", true },
  { "xn--rtter-kva.eu", true },
  { "xn--ruanmller-u9a.com", true },
  { "xn--s-1gaa.fi", true },
  { "xn--seelenwchter-mcb.eu", true },
  { "xn--spenijmazania-yhc.pl", true },
  { "xn--sz8h.ml", true },
  { "xn--t-oha.lv", true },
  { "xn--t8j4aa4nkg1h9bwcvud.com", true },
  { "xn--t8j4aa4nyhxa7duezbl49aqg5546e264d.net", true },
  { "xn--t8j4aa4nzg3a5euoxcwee.xyz", true },
  { "xn--tigreray-i1a.org", true },
  { "xn--u8jwd.ga", true },
  { "xn--u9j0ia6hb7347cg8wavz0avb0e.com", true },
  { "xn--u9jv84l7ea468b.com", true },
  { "xn--v-wfa35g.ro", true },
  { "xn--v6q426ishax2a.xyz", true },
  { "xn--vck8crc655y34ioha.net", true },
  { "xn--woistdermlleimer-rzb.de", true },
  { "xn--wq9h.ml", true },
  { "xn--y8j148r.xn--q9jyb4c", true },
  { "xn--zettlmeil-n1a.de", true },
  { "xn--zr9h.cf", true },
  { "xn--zr9h.ga", true },
  { "xn--zr9h.ml", true },
  { "xn--zr9h.tk", true },
  { "xn5.de", true },
  { "xnaas.info", true },
  { "xnet-x.net", true },
  { "xninja.xyz", true },
  { "xnode.org", true },
  { "xntrik.wtf", true },
  { "xnu.kr", true },
  { "xo.tc", true },
  { "xoda.pw", true },
  { "xolphin.nl", true },
  { "xombitgames.com", true },
  { "xombitmusic.com", true },
  { "xone.cz", true },
  { "xonn.de", true },
  { "xotika.tv", true },
  { "xp2.de", true },
  { "xpd.se", true },
  { "xpenology-fr.net", true },
  { "xperidia.com", true },
  { "xpj.bet", true },
  { "xpjcunkuan.com", true },
  { "xpletus.nl", true },
  { "xplore-dna.net", true },
  { "xpoc.pro", true },
  { "xps2pdf.co.uk", true },
  { "xps2pdf.info", true },
  { "xq55.com", true },
  { "xqin.net", true },
  { "xqk7.com", true },
  { "xr.cx", true },
  { "xrippedhd.com", true },
  { "xrockx.de", true },
  { "xroot.org", false },
  { "xs2a.no", true },
  { "xscancun.com", true },
  { "xsec.me", true },
  { "xserownia.com.pl", true },
  { "xserownia.eu", true },
  { "xserownia.net", true },
  { "xserownia.pl", true },
  { "xsmobile.de", true },
  { "xss.ht", true },
  { "xss.sk", true },
  { "xsstime.nl", true },
  { "xsz.jp", true },
  { "xtarget.ru", true },
  { "xtom.chat", true },
  { "xtom.com", true },
  { "xtom.com.hk", true },
  { "xtom.io", true },
  { "xtom.wiki", true },
  { "xtrainsights.com", true },
  { "xtreme-servers.eu", true },
  { "xtremebouncepartyhire.com.au", true },
  { "xtremegaming.it", true },
  { "xtronics.com", true },
  { "xts.bike", true },
  { "xts3636.net", true },
  { "xtu2.com", true },
  { "xuab.net", true },
  { "xuan-li88.com", true },
  { "xuan-li88.net", true },
  { "xubo666.com", true },
  { "xuedianshang.com", true },
  { "xujan.com", true },
  { "xuming.studio", true },
  { "xuntier.ch", true },
  { "xviimusic.com", true },
  { "xvt-blog.tk", true },
  { "xwalck.se", true },
  { "xwaretech.info", true },
  { "xx0r.eu", true },
  { "xxffo.com", true },
  { "xxiz.com", true },
  { "xxx3dbdsm.com", true },
  { "xxxladyboysporn.com", true },
  { "xxxlbox.com", true },
  { "xyfun.net", true },
  { "xyngular-health.com", true },
  { "xynta.ch", true },
  { "xywing.com", true },
  { "xyyp.mn", true },
  { "xyzulu.hosting", true },
  { "xza.fr", true },
  { "xzclip.cn", true },
  { "xzoneadventure.com", true },
  { "y11n.net", true },
  { "yaay.com.br", true },
  { "yabrt.cn", true },
  { "yabuisha.jp", true },
  { "yachigoya.com", true },
  { "yacineboumaza.fr", true },
  { "yacobo.com", true },
  { "yado-furu.com", true },
  { "yafull.com", true },
  { "yafuoku.ru", true },
  { "yagihiro.tech", true },
  { "yahan.tv", true },
  { "yaharu.ru", true },
  { "yahvehyireh.com", true },
  { "yak.is", true },
  { "yakmade.com", true },
  { "yakmoo.se", true },
  { "yalecleaners.com", true },
  { "yallamotor.com", true },
  { "yalook.com", true },
  { "yama.su", true },
  { "yamadaya.tv", true },
  { "yamaken.jp", true },
  { "yamashita-clinic.org", true },
  { "yame2.com", true },
  { "yamilafeinart.de", true },
  { "yamm.io", true },
  { "yanaduday.com", true },
  { "yanbao.xyz", true },
  { "yandere.moe", true },
  { "yangjingwen.cn", true },
  { "yangmaodang.org", true },
  { "yanngraf.ch", true },
  { "yanngraf.com", true },
  { "yannick.cloud", true },
  { "yannik-buerkle.de", true },
  { "yanovich.net", true },
  { "yanqiyu.info", true },
  { "yantrasthal.com", true },
  { "yao-in.com", true },
  { "yao-in.net", true },
  { "yaoidreams.com", true },
  { "yapbreak.fr", true },
  { "yarcom.ru", false },
  { "yarravilletownhouses.com.au", true },
  { "yaru.one", true },
  { "yatesun.com", true },
  { "yatorie.net", true },
  { "yatsuenpoon.com", true },
  { "yaup.tk", true },
  { "yawnbox.com", true },
  { "yaxim.org", true },
  { "yazaral.com", true },
  { "ybin.me", true },
  { "ybresson.com", true },
  { "ybsul.com", true },
  { "ybti.net", true },
  { "ybzhao.com", true },
  { "ych.art", true },
  { "ycherbonnel.fr", true },
  { "ychon.com", true },
  { "ychong.com", true },
  { "yclan.net", true },
  { "yd.io", true },
  { "yeapdata.com", true },
  { "yeesker.com", true },
  { "yellowpages.ee", true },
  { "yelon.hu", true },
  { "yelp.at", true },
  { "yelp.be", true },
  { "yelp.ca", true },
  { "yelp.ch", true },
  { "yelp.cl", true },
  { "yelp.co.jp", true },
  { "yelp.co.nz", true },
  { "yelp.co.uk", true },
  { "yelp.com", true },
  { "yelp.com.ar", true },
  { "yelp.com.au", true },
  { "yelp.com.br", true },
  { "yelp.com.hk", true },
  { "yelp.com.mx", true },
  { "yelp.com.ph", true },
  { "yelp.com.sg", true },
  { "yelp.com.tr", true },
  { "yelp.com.tw", true },
  { "yelp.cz", true },
  { "yelp.de", true },
  { "yelp.dk", true },
  { "yelp.es", true },
  { "yelp.fi", true },
  { "yelp.fr", true },
  { "yelp.ie", true },
  { "yelp.it", true },
  { "yelp.my", true },
  { "yelp.nl", true },
  { "yelp.no", true },
  { "yelp.pl", true },
  { "yelp.pt", true },
  { "yelp.se", true },
  { "yemektarifleri.com", true },
  { "yenibilgi.net", true },
  { "yennhi.co", true },
  { "yep-pro.ch", true },
  { "yephy.com", true },
  { "yeshu.org", true },
  { "yesiammaisey.me", true },
  { "yeswecan.co.bw", true },
  { "yeswehack.com", true },
  { "yetanalytics.io", true },
  { "yetii.net", true },
  { "yetzt.me", false },
  { "yeu.io", true },
  { "yex.nz", true },
  { "yex.trade", true },
  { "yfengs.moe", true },
  { "ygcdyf.com", true },
  { "yh35.net", true },
  { "yhaupenthal.org", true },
  { "yhb.io", true },
  { "yhndnzj.com", true },
  { "yhong.me", true },
  { "yhrd.org", true },
  { "yibaoweilong.top", true },
  { "yicknam.my", true },
  { "yiffy.tips", false },
  { "yiffy.zone", false },
  { "yigujin.cn", true },
  { "yii2.cc", true },
  { "yikeyong.com", true },
  { "yimgo.fr", true },
  { "yin8888.tv", true },
  { "yinfor.com", true },
  { "yingatech.com", true },
  { "yinglinda.love", true },
  { "yinlei.org", true },
  { "yipingguo.com", true },
  { "yiyuanzhong.com", true },
  { "yiyueread.com", true },
  { "yiz96.com", true },
  { "yjsoft.me", true },
  { "yjsw.sh.cn", true },
  { "yksityisyydensuoja.fi", true },
  { "ylde.de", true },
  { "ylilauta.org", true },
  { "ylinternal.com", true },
  { "ymarion.de", true },
  { "ymblaw.com", true },
  { "ymtsonline.org", true },
  { "ynnovasport.be", true },
  { "yobai-grouprec.jp", true },
  { "yobai28.com", true },
  { "yobify.com", true },
  { "yocchan1513.net", true },
  { "yoga-alliance-teacher-training.com", true },
  { "yoga-bad-toelz.de", true },
  { "yoga-prive.de", true },
  { "yoga-school.xyz", true },
  { "yoga-schwerin.de", true },
  { "yoga-sky.de", true },
  { "yoga-zentrum-narayani.de", true },
  { "yogabhawnamission.com", true },
  { "yogananda-roma.org", true },
  { "yogaschoolrishikesh.com", true },
  { "yogatrainingrishikesh.com", true },
  { "yoimise.net", true },
  { "yoitoko.city", true },
  { "yoitsu.moe", true },
  { "yokohama-legaloffice.jp", true },
  { "yolo.jetzt", true },
  { "yolobert.de", true },
  { "yolops.net", true },
  { "yombo.net", true },
  { "yongbin.org", true },
  { "yoonas.com", true },
  { "yooooex.com", true },
  { "yopuedo.co", true },
  { "yoramvandevelde.net", true },
  { "yorcom.nl", false },
  { "yorcool.nl", true },
  { "yorkshiredalesinflatables.co.uk", true },
  { "yorkshireinflatables.co.uk", true },
  { "yorkshireterrier.com.br", true },
  { "yorname.ml", true },
  { "yosbeda.com", true },
  { "yosemo.de", true },
  { "yosheenetwork.fr", true },
  { "yoshibaworks.com", true },
  { "yoshitsugu.net", true },
  { "yospos.org", true },
  { "yotilab.com", true },
  { "yotta-zetta.com", true },
  { "yotubaiotona.net", true },
  { "you.com.br", true },
  { "youareme.ca", true },
  { "youc.ir", true },
  { "youcanfuckoff.xyz", true },
  { "youcanmakeit.at", true },
  { "youcruit.com", true },
  { "youdowell.com", true },
  { "youdungoofd.com", true },
  { "youftp.tk", true },
  { "yougee.ml", true },
  { "youhacked.me", true },
  { "youhavewords.com", true },
  { "youhua.ru", true },
  { "youjizz.bz", true },
  { "youkaryote.com", true },
  { "youkaryote.org", true },
  { "youked.com", true },
  { "youkok2.com", true },
  { "youlend.com", true },
  { "youmonit.me", true },
  { "youms.de", true },
  { "young-sheldon.com", true },
  { "youngdogs.org", true },
  { "youngfree.cn", true },
  { "youngsook.com", true },
  { "youngsook.org", true },
  { "youpark.no", true },
  { "your-erotic-stories.com", true },
  { "your-out.com", true },
  { "youran.me", true },
  { "yourciso.com", true },
  { "yourcopywriter.it", true },
  { "yourforex.org", true },
  { "yourfriendlytech.com", true },
  { "yourgames.tv", true },
  { "yourhair.net", true },
  { "youri.me", true },
  { "yourlovesong.com.mx", true },
  { "yourskin.nl", true },
  { "yourticketbooking.com", true },
  { "yousei.ne.jp", true },
  { "yout.com", true },
  { "youth.gov", true },
  { "youtous.me", true },
  { "youtsuu-raku.com", true },
  { "youtube.com", true },
  { "youtubedownloader.com", true },
  { "youwatchporn.com", true },
  { "yoxall.me.uk", true },
  { "yoyoost.duckdns.org", true },
  { "ypart.eu", true },
  { "ypid.de", true },
  { "yplanapp.com", true },
  { "yqjf68.com", true },
  { "yr166166.com", true },
  { "ys-shop.biz", true },
  { "ysicing.net", true },
  { "ysicorp.com", true },
  { "yslbeauty.com", true },
  { "ysun.xyz", true },
  { "ysx.me.uk", true },
  { "ytb.zone", true },
  { "ytbmp3.com", true },
  { "ytbmp4.com", true },
  { "ytec.ca", true },
  { "ytpak.com", true },
  { "ytpak.pk", true },
  { "ytreza.fr", true },
  { "ytuquelees.net", true },
  { "yu.gg", false },
  { "yuan.ga", true },
  { "yuanben.io", true },
  { "yuanbenlian.com", true },
  { "yuanjiazhao.tk", true },
  { "yubi.co", true },
  { "yubicloud.io", true },
  { "yubico.ae", true },
  { "yubico.at", true },
  { "yubico.be", true },
  { "yubico.biz", true },
  { "yubico.cloud", true },
  { "yubico.co.in", true },
  { "yubico.co.kr", true },
  { "yubico.co.uk", true },
  { "yubico.com", true },
  { "yubico.com.ar", true },
  { "yubico.cz", true },
  { "yubico.dk", true },
  { "yubico.es", true },
  { "yubico.fi", true },
  { "yubico.in", true },
  { "yubico.info", true },
  { "yubico.io", true },
  { "yubico.mobi", true },
  { "yubico.mx", true },
  { "yubico.net", true },
  { "yubico.online", true },
  { "yubico.org", true },
  { "yubico.pe", true },
  { "yubico.se", true },
  { "yubico.sg", true },
  { "yubico.tv", true },
  { "yubico.uk", true },
  { "yubico.us", true },
  { "yubicodemo.com", true },
  { "yubikey.ae", true },
  { "yubikey.asia", true },
  { "yubikey.at", true },
  { "yubikey.cl", true },
  { "yubikey.co", true },
  { "yubikey.co.uk", true },
  { "yubikey.com", true },
  { "yubikey.com.ar", true },
  { "yubikey.com.au", true },
  { "yubikey.dk", true },
  { "yubikey.fi", true },
  { "yubikey.io", true },
  { "yubikey.mx", true },
  { "yubikey.org", true },
  { "yubikey.pe", true },
  { "yubikey.se", true },
  { "yubikey.sg", true },
  { "yubikey.uk", true },
  { "yubikey.us", true },
  { "yubikeys.net", true },
  { "yubikeys.org", true },
  { "yubikeyservices.eu", true },
  { "yubiking.com", true },
  { "yue.la", true },
  { "yuema.net.cn", true },
  { "yui.cat", true },
  { "yuka.one", true },
  { "yukari.cafe", true },
  { "yuki-nagato.com", true },
  { "yuki.xyz", true },
  { "yukijinji.moe", true },
  { "yukimochi.com", true },
  { "yukimochi.io", true },
  { "yukimochi.jp", true },
  { "yukonconnector.com", true },
  { "yukonlip.com", true },
  { "yukontec.com", true },
  { "yumeconcert.com", true },
  { "yummylooks.com", true },
  { "yunity.org", true },
  { "yunjishou.pro", true },
  { "yunzhu.li", true },
  { "yuqi.me", true },
  { "yuricarlenzoli.it", true },
  { "yurikirin.me", true },
  { "yurimoens.be", true },
  { "yurisviridov.com", true },
  { "yusa.me", true },
  { "yushi.moe", true },
  { "yusu.org", true },
  { "yutakato.net", true },
  { "yutang.vn", true },
  { "yutangyun.com", true },
  { "yuwei.org", true },
  { "yuweiyang.xyz", true },
  { "yuxingxin.com", true },
  { "yuxuan.org", true },
  { "yuyu.io", true },
  { "yuzei.tk", true },
  { "yveshield.com", true },
  { "yveslegendre.fr", true },
  { "yvesx.com", true },
  { "yvetteerasmus.com", true },
  { "yvonnehaeusser.de", true },
  { "yvonnethomet.ch", true },
  { "yvonnewilhelmi.com", true },
  { "yxt521.com", true },
  { "yya.bid", true },
  { "yya.me", true },
  { "yya.men", true },
  { "yyc.city", true },
  { "yyyy.xyz", true },
  { "yzal.io", true },
  { "yzcloud.me", true },
  { "yzer.club", true },
  { "yzimroni.net", true },
  { "z-konzept-nutrition.ru", true },
  { "z-latko.info", true },
  { "z-vector.com", true },
  { "z.ai", true },
  { "z1h.de", true },
  { "z33.ch", true },
  { "z33.co", true },
  { "z4k.de", true },
  { "z99944x.xyz", true },
  { "za.search.yahoo.com", false },
  { "zaagbaak.nl", true },
  { "zaalleatherwear.nl", false },
  { "zabbix.tips", true },
  { "zabszk.net", true },
  { "zabukovnik.net", true },
  { "zacarias.com.ar", true },
  { "zacavi.com.br", true },
  { "zacharopoulos.eu", false },
  { "zacharopoulos.me", false },
  { "zacharopoulos.org", false },
  { "zacharydubois.me", true },
  { "zacharyschneider.com", true },
  { "zachaysan.com", true },
  { "zachborboa.com", true },
  { "zachgibbens.org", true },
  { "zachpeters.org", true },
  { "zachschneider.ca", true },
  { "zaclys.com", true },
  { "zadroweb.com", true },
  { "zafirus.name", true },
  { "zaghyr.org", true },
  { "zahe.me", true },
  { "zahnaerzte-bohne.de", true },
  { "zahnarzt-duempten.de", true },
  { "zahnarzt-hofer.de", true },
  { "zahnarzt-kramer.ch", true },
  { "zahnarzt-muenich.de", true },
  { "zajazd.biz", true },
  { "zakcutner.uk", true },
  { "zakladam.cz", true },
  { "zakmccrac.de", true },
  { "zakojifarm.jp", true },
  { "zakr.es", true },
  { "zakspartiesandevents.com", true },
  { "zalamea.ph", true },
  { "zaloghaz.ro", true },
  { "zamocosmeticos.com.br", true },
  { "zamow.co", true },
  { "zandcell.com", true },
  { "zanellidesigns.co.uk", true },
  { "zanthra.com", true },
  { "zanzabar.it", true },
  { "zaoext.com", true },
  { "zapatoshechoamano.pe", true },
  { "zapier.com", true },
  { "zappbuildapps.com", false },
  { "zappos.com", true },
  { "zaptan.info", false },
  { "zaptan.net", false },
  { "zaptan.org", false },
  { "zaptan.us", false },
  { "zarabiaj.com", true },
  { "zaratan.fr", true },
  { "zargescases.co.uk", true },
  { "zarmarket.org", true },
  { "zarpo.com.br", true },
  { "zary.me", true },
  { "zatsepin.by", true },
  { "zaufanatrzeciastrona.pl", true },
  { "zavec.com.ec", true },
  { "zavetaji.lv", true },
  { "zawo-electric.de", true },
  { "zayna.eu", true },
  { "zberger.com", true },
  { "zbetcheck.in", true },
  { "zbp.at", false },
  { "zbrane-doplnky.cz", true },
  { "zbyga.cz", true },
  { "zbyte.it", true },
  { "zcarot.com", true },
  { "zcarrot.com", true },
  { "zcgram.com", true },
  { "zcon.nl", true },
  { "zcr.ca", true },
  { "zdbl.de", true },
  { "zdenekspacek.cz", true },
  { "zdorovayasimya.com", true },
  { "zdravesteny.cz", true },
  { "zdrojak.cz", true },
  { "ze3kr.com", true },
  { "zeb.fun", true },
  { "zebbra.ro", true },
  { "zebedeescastles.co.uk", true },
  { "zebulon.fr", true },
  { "zeds-official.com", true },
  { "zeebrieshoekvanholland.nl", true },
  { "zeel.com", true },
  { "zeelynk.com", true },
  { "zeetoppers.nl", true },
  { "zeeuw.nl", true },
  { "zeguigui.com", true },
  { "zeilenmethans.nl", true },
  { "zeilles.nu", true },
  { "zeitoununiversity.org", true },
  { "zeitpunkt-kulturmagazin.de", true },
  { "zekesnider.com", true },
  { "zekinteractive.com", true },
  { "zelfoverstappen.nl", true },
  { "zelfrijdendeautos.com", true },
  { "zellari.ru", true },
  { "zemlova.cz", true },
  { "zen-diez.de", true },
  { "zen-ume.com", true },
  { "zenevents.ro", true },
  { "zenfusion.fr", true },
  { "zenics.co.uk", true },
  { "zenithmedia.ca", true },
  { "zenk-security.com", true },
  { "zenmate.com.tr", true },
  { "zenofa.co.id", true },
  { "zentask.io", true },
  { "zenvideocloud.com", true },
  { "zenvite.com", true },
  { "zenycosta.com", true },
  { "zephyrbk.com", true },
  { "zephyrbookkeeping.com", true },
  { "zeplin.io", true },
  { "zer0-day.pw", true },
  { "zer0.de", true },
  { "zerg.uk", true },
  { "zerobounce.net", true },
  { "zerofy.de", true },
  { "zerolab.org", true },
  { "zeronet.io", true },
  { "zeropoint.bg", true },
  { "zeropush.com", true },
  { "zeroseteatacado.com.br", true },
  { "zerossl.com", true },
  { "zertif.info", true },
  { "zertitude.com", true },
  { "zeryn.net", true },
  { "zespia.tw", false },
  { "zestylemon.co.uk", true },
  { "zetamode.com", true },
  { "zetorzeszow.pl", false },
  { "zetrov.pl", true },
  { "zettaplan.ru", true },
  { "zettlmeissl.de", true },
  { "zevelev.net", true },
  { "zewtie.com", true },
  { "zfast.com.br", true },
  { "zfg.li", true },
  { "zfly.me", true },
  { "zfo.gg", true },
  { "zfree.co.nz", true },
  { "zgrep.org", true },
  { "zh.search.yahoo.com", false },
  { "zhang-hao.com", true },
  { "zhang.nz", true },
  { "zhangfangzhou.com", true },
  { "zhangge.net", true },
  { "zhanghao.me", true },
  { "zhangheda.cf", true },
  { "zhangsidan.com", true },
  { "zhangyuhao.com", true },
  { "zhaofeng.li", true },
  { "zhaoxixiangban.cc", true },
  { "zhcexo.com", true },
  { "zhen-chen.com", true },
  { "zhengjie.com", true },
  { "zhiku8.com", true },
  { "zhima.io", true },
  { "zhitanska.com", true },
  { "zhiwei.me", true },
  { "zhl123.com", true },
  { "zhome.info", true },
  { "zhoushuo.me", true },
  { "zhoutiancai.cn", true },
  { "zhovner.com", true },
  { "zhuihoude.com", true },
  { "zhuji.com", true },
  { "zhuji.com.cn", true },
  { "zhuji5.com", true },
  { "zhujicaihong.com", true },
  { "zhuweiyou.com", true },
  { "zi.is", true },
  { "ziegler-family.com", true },
  { "ziegler-heizung-frankfurt.de", true },
  { "zielonakarta.com", true },
  { "ziemlich-zackig.de", true },
  { "ziemlichzackig.de", true },
  { "zifb.in", true },
  { "zigi.io", true },
  { "zigottos.fr", true },
  { "zigzagmart.com", true },
  { "zihao.me", false },
  { "zijung.me", true },
  { "zikinf.com", true },
  { "ziktime.com", true },
  { "zillertaleralpen.net", true },
  { "zilon.com.co", true },
  { "zilore.com", true },
  { "zilsen.com", true },
  { "zima.io", true },
  { "zimiao.moe", true },
  { "zimmer-voss.de", true },
  { "zingarastore.com", true },
  { "zingjerijk.nl", true },
  { "zings.eu", true },
  { "zinniamay.com", true },
  { "zinoui.com", true },
  { "ziondrive.com.br", true },
  { "zip.ch", true },
  { "zipkey.de", true },
  { "ziptie.com", true },
  { "zircode.com", true },
  { "ziroh.be", true },
  { "zirtual.com", true },
  { "zitrone44.de", true },
  { "zitseng.com", true },
  { "zittingskalender.be", true },
  { "zivava.ge", true },
  { "zivmergers.com", true },
  { "zivver.com", true },
  { "zivyruzenec.cz", false },
  { "zixiao.wang", true },
  { "zixo.sk", true },
  { "ziz.exchange", true },
  { "zk.gd", true },
  { "zk9.nl", true },
  { "zkrypt.cc", true },
  { "zlatakus.cz", true },
  { "zlatosnadno.cz", true },
  { "zlavomat.sk", true },
  { "zlc1994.com", true },
  { "zlima12.com", true },
  { "zlypi.com", true },
  { "zmala.com", true },
  { "zmscable.com", true },
  { "znation.nl", true },
  { "zoccarato.ovh", true },
  { "zockenbiszumumfallen.de", true },
  { "zodgame.us", true },
  { "zodiacohouses.com", true },
  { "zoeller.me", true },
  { "zofrex.com", true },
  { "zohar.wang", true },
  { "zoigl.club", true },
  { "zojadravai.com", true },
  { "zoki.art", true },
  { "zolokar.xyz", true },
  { "zombiesecured.com", true },
  { "zomerschoen.nl", true },
  { "zomiac.pp.ua", true },
  { "zonadigital.co", true },
  { "zonecb.com", true },
  { "zonehomesolutions.com", true },
  { "zonemaster.fr", true },
  { "zonemaster.net", true },
  { "zonesec.org", true },
  { "zonewatcher.com", true },
  { "zonglovani.info", true },
  { "zonky.cz", true },
  { "zonkysetkani.cz", true },
  { "zoo.city", true },
  { "zoofit.com.au", true },
  { "zooish.net", true },
  { "zook.systems", true },
  { "zoola.io", true },
  { "zoolaboo.de", true },
  { "zoological-gardens.eu", true },
  { "zoom.earth", true },
  { "zoomek.com", true },
  { "zoomseoservices.com", false },
  { "zooom.azurewebsites.net", true },
  { "zooom2.azurewebsites.net", true },
  { "zooparadies.eu", true },
  { "zooplankton.no", true },
  { "zootime.net", true },
  { "zootime.org", true },
  { "zoowiki.us", true },
  { "zooxdata.com", true },
  { "zopy.com.br", true },
  { "zopyx.com", true },
  { "zor.com", true },
  { "zorgclustertool.nl", true },
  { "zorig.ch", true },
  { "zorium.org", true },
  { "zorki.nl", true },
  { "zorntt.fr", true },
  { "zouk.info", true },
  { "zouyaoji.top", true },
  { "zozzle.co.uk", true },
  { "zqwqz.com", true },
  { "zravypapir.cz", true },
  { "zrniecka-pre-sny.sk", true },
  { "zrnieckapresny.sk", true },
  { "zrt.io", true },
  { "zs-ohradni.cz", true },
  { "zs-reporyje.cz", true },
  { "zscales.com", false },
  { "zserver.fr", true },
  { "zskomenskeho.cz", true },
  { "zskomenskeho.eu", true },
  { "zsoltsandor.me", true },
  { "zsrbcs.com", true },
  { "zten.org", true },
  { "ztjuh.tk", true },
  { "zuan-in.com", true },
  { "zuan-in.net", true },
  { "zubel.it", false },
  { "zubro.net", true },
  { "zuefle.net", true },
  { "zug-anwalt.de", true },
  { "zug.fr", true },
  { "zug.io", true },
  { "zughilfen-test.de", true },
  { "zuiacg.com", true },
  { "zula.africa", true },
  { "zulu.ro", true },
  { "zulu7.com", true },
  { "zum-baur.de", true },
  { "zumazar.ru", true },
  { "zund-app.com", true },
  { "zundapp529.nl", true },
  { "zundappachterhoek.nl", true },
  { "zuolan.me", false },
  { "zup.me", true },
  { "zupago.com", true },
  { "zupago.pe", true },
  { "zuppy.pm", true },
  { "zuralski.net", true },
  { "zurgl.com", false },
  { "zurickrelogios.com.br", true },
  { "zurret.de", true },
  { "zusjesvandenbos.nl", true },
  { "zutsu-raku.com", true },
  { "zuzumba.es", true },
  { "zvps.uk", true },
  { "zvxr.net", true },
  { "zvz.im", true },
  { "zwalcz-cellulit.com", true },
  { "zwartendijkstalling.nl", true },
  { "zwb3.de", true },
  { "zwerimex.com", true },
  { "zwk.de", true },
  { "zwollemag.nl", true },
  { "zwollemagazine.nl", true },
  { "zwy.ch", true },
  { "zx1168.com", true },
  { "zx2268.com", true },
  { "zx6rninja.de", true },
  { "zx7r.de", true },
  { "zxavier.com", true },
  { "zxtcode.com", true },
  { "zy.md", true },
  { "zybbo.com", true },
  { "zyciedlazwierzat.pl", true },
  { "zyciedogorynogami.pl", true },
  { "zyger.co.za", true },
  { "zylai.com", true },
  { "zymmm.com", true },
  { "zypern-firma.com", true },
  { "zyria.de", true },
  { "zyrillezuno.com", true },
  { "zyul.ddns.net", true },
  { "zyzardx.com", true },
  { "zzsec.org", true },
};
